![logo](http://www.robrowser.com/logo.png)

roBrowser is a web-based clone of the popular MMORPG [Ragnarok Online](http://iro.ragnarokonline.com/) built with WebGL, JavaScript, HTML5, and more. The project is entirely free and opensource, so you're welcome to setup roBrowser on your own server or try a [demo](http://demo.robrowser.com/).

You can learn more at http://robrowser.com

## Screenshots
![screen](http://upload.robrowser.com/demo.jpg)


## Installing

### Prerequisites

To run roBrowser you will need a browser that supports [WebGL](http://www.chromeexperiments.com/webgl/) and is OpenGL ES 2.0 compatible. We've tested the following browsers:

* Chrome
* FireFox
* Opera
* IE11

If you don't run roBrowser in a Chrome App, you will need a Java plugin installed instead.

### Quickstart

1.  [Download roBrowser](https://github.com/vthibault/roBrowser/archive/master.zip) and extract it.
2.  [Convert DB](https://github.com/vthibault/roBrowser/tree/master/tools/converter/) to get custom content to roBrowser.
3.  [Compile scripts](https://github.com/vthibault/roBrowser/tree/master/tools/build/) to reduce loading time.
4.  Install the [remote client](https://github.com/vthibault/roBrowser/tree/master/client) and set the parameter *remoteClient* to your server.
5.  Install the [websocket proxy](https://github.com/herenow/wsProxy/blob/master/README.md) and set the parameter *socketProxy* to your proxy server URL.
6.  Configure roBrowser - [documentation](http://www.robrowser.com/getting-started#API) and some [examples](https://github.com/vthibault/roBrowser/tree/master/examples).

## Contributing

roBrowser is developed by a [team](https://github.com/vthibault/roBrowser/graphs/contributors) located around the world. Check out the [documentation](http://www.robrowser.com/getting-started#API) and submit a pull request!

## Contact

* [Demo](http://demo.robrowser.com/)
* [roBrowser website](http://www.robrowser.com/)
* [roBrowser forum](http://forum.robrowser.com/)
* IRC Channel: *irc.rizon.net* / Channel: *#roBrowser*
