/**
 * DB/Monsters/MonsterTable.js
 *
 * Monster Table ID
 *
 * This file is part of ROBrowser, Ragnarok Online in the Web Browser (http://www.robrowser.com/).
 *
 * @author Vincent Thibault
 */

define(function()
{
	"use strict";

	return {
		0: "Novice",
		1: "Swordman",
		2: "Mage",
		3: "Archer",
		4: "Acolyte",
		5: "Merchant",
		6: "Thief",
		7: "Knight",
		8: "Priest",
		9: "Wizard",
		10: "Blacksmith",
		11: "Hunter",
		12: "Assassin",
		13: "Knight",
		14: "Crusader",
		15: "Monk",
		16: "Sage",
		17: "Rogue",
		18: "Alchemist",
		19: "Bard",
		20: "Dancer",
		21: "Crusader",
		23: "Super Novice",
		24: "Gunslinger",
		25: "Ninja",
		//45: "1_ETC_01",
		46: "1_ETC_01",
		47: "1_M_01",
		48: "1_M_02",
		49: "1_M_03",
		50: "1_M_04",
		51: "1_M_BARD",
		52: "1_M_HOF",
		53: "1_M_INNKEEPER",
		54: "1_M_JOBGUIDER",
		55: "1_M_JOBTESTER",
		56: "1_M_KNIGHTMASTER",
		57: "1_M_LIBRARYMASTER",
		58: "1_M_MERCHANT",
		59: "1_M_ORIENT01",
		60: "1_M_PASTOR",
		61: "1_M_PUBMASTER",
		62: "1_M_SIZ",
		63: "1_M_SMITH",
		64: "1_M_WIZARD",
		65: "1_M_YOUNGKNIGHT",
		66: "1_F_01",
		67: "1_F_02",
		68: "1_F_03",
		69: "1_F_04",
		70: "1_F_GYPSY",
		71: "1_F_LIBRARYGIRL",
		72: "1_F_MARIA",
		73: "1_F_MERCHANT_01",
		74: "1_F_MERCHANT_02",
		75: "1_F_ORIENT_01",
		76: "1_F_ORIENT_02",
		77: "1_F_ORIENT_03",
		78: "1_F_ORIENT_04",
		79: "1_F_PRIEST",
		80: "1_F_PUBGIRL",
		81: "4_DOG01",
		82: "4_KID01",
		83: "4_M_01",
		84: "4_M_02",
		85: "4_M_03",
		86: "4_M_04",
		87: "4_M_BARBER",
		88: "4_M_ORIENT01",
		89: "4_M_ORIENT02",
		90: "4_F_01",
		91: "4_F_02",
		92: "4_F_03",
		93: "4_F_04",
		94: "4_F_MAID",
		95: "4_F_SISTER",
		96: "4W_KID",
		97: "4W_M_01",
		98: "4W_M_02",
		99: "4W_M_03",
		100: "4W_SAILOR",
		101: "4W_F_01",
		102: "8_F",
		103: "8_F_GRANDMOTHER",
		104: "1_ETC_01",
		105: "8W_SOLDIER",
		106: "1_M_MOC_LORD",
		107: "1_M_PAY_ELDER",
		108: "1_M_PRON_KING",
		109: "4_M_MANAGER",
		110: "4_M_MINISTER",
		//111: "1_ETC_01",
		112: "4_F_KAFRA6",
		113: "4_F_KAFRA5",
		114: "4_F_KAFRA4",
		115: "4_F_KAFRA3",
		116: "4_F_KAFRA2",
		117: "4_F_KAFRA1",
		118: "2_M_THIEFMASTER",
		119: "2_M_SWORDMASTER",
		120: "2_M_PHARMACIST",
		121: "2_M_MOLGENSTEIN",
		122: "2_M_DYEINGER",
		123: "2_F_MAGICMASTER",
		124: "4_F_TELEPORTER",
		125: "4_M_TELEPORTER",
		400: "Poring",
		401: "4_M_MUT2",
		402: "4_M_SCIENCE",
		403: "4_F_VALKYRIE2",
		404: "4_M_UNCLEKNIGHT",
		405: "4_M_YOUNGKNIGHT",
		406: "2_MONEMUS",
		407: "4_M_ATEIL",
		408: "4_F_ANNIVERSARY",
		409: "4_M_GREATPO",
		410: "4_M_NOVELIST",
		411: "4_M_CHAMPSOUL",
		412: "4_M_OLDFRIAR",
		413: "4_M_CRU_SOLD",
		414: "4_M_CRU_KNT",
		415: "4_M_CRU_HEAD",
		416: "4_M_CRU_CRUA",
		417: "4_M_KY_SOLD",
		418: "4_M_KY_KNT",
		419: "4_M_KY_HEAD",
		420: "4_M_KY_KIYOM",
		421: "4_M_BOSSCAT",
		422: "4_M_BABYCAT",
		423: "4W_F_KAFRA2",
		424: "4_F_MUNAK",
		425: "4_M_BONGUN",
		426: "4_BEAR",
		427: "4_BLUEWOLF",
		428: "4_PECOPECO",
		429: "4_M_JP_MID",
		430: "4_M_JP_RUN",
		431: "4_ORCLADY",
		432: "4_ORCLADY2",
		433: "4_ORCWARRIOR",
		434: "4_ORCWARRIOR2",
		435: "4_F_FAIRY",
		436: "4_F_FAIRYKID",
		437: "4_F_FAIRYKID2",
		438: "4_F_FAIRYKID3",
		439: "4_F_FAIRYKID4",
		440: "4_F_FAIRYKID5",
		441: "4_F_FAIRYKID6",
		442: "4_M_FAIRYKID",
		443: "4_M_FAIRYKID2",
		444: "4_M_FAIRYKID3",
		445: "4_M_FAIRYKID4",
		446: "4_M_FAIRYKID5",
		447: "4_M_FAIRYSOLDIER",
		448: "4_M_TUFFOLD",
		449: "4_MAN_BENKUNI",
		450: "4_MAN_GALTUN",
		451: "4_MAN_JERUTOO",
		452: "4_MAN_LAVAIL",
		453: "4_MAN_NITT",
		454: "4_MAN_PIOM",
		455: "4_MAN_PIOM2",
		456: "4_M_DSTMAN",
		457: "4_M_DSTMANDEAD",
		458: "4_BABYLEOPARD",
		459: "4_M_REDSWORD",
		460: "4_MAN_PIOM3",
		461: "4_M_FAIRYSOLDIER2",
		462: "4_F_FAIRYSOLDIER",
		463: "4_DRAGON_EGG",
		464: "4_MIMIC",
		465: "4_F_FAIRY1",
		466: "4_F_GUILLOTINE",
		467: "4_M_GUILLOTINE",
		468: "4_M_KNIGHT_BLACK",
		469: "4_M_KNIGHT_GOLD",
		470: "4_M_KNIGHT_SILVER",
		471: "4_SKULL_MUD",
		472: "4_M_BRZ_INDIAN",
		473: "4_F_BRZ_INDIAN",
		474: "4_F_BRZ_INDOLD",
		475: "4_M_BRZ_JACI",
		476: "4_M_BRZ_MAN1",
		477: "4_M_BRZ_MAN2",
		478: "4_F_BRZ_WOMAN",
		479: "4_M_MINSTREL",
		480: "4_M_MINSTREL1",
		481: "4_M_SHADOWCHASER",
		482: "4_F_SHADOWCHASER",
		483: "4_M_SURA",
		484: "4_F_SURA",
		485: "4_F_WANDERER",
		486: "4_M_BARD",
		487: "1_FLAG_NOFEAR",
		488: "4_M_NOFEARGUY",
		489: "4_MAN_PIOM6",
		490: "4_MAN_PIOM4",
		491: "4_MAN_PIOM5",
		492: "4_MAN_GALTUN1",
		493: "4_HUMAN_GERUTOO",
		494: "4_M_ROKI",
		495: "4_M_MERCAT1",
		496: "4_M_MERCAT2",
		497: "4_M_CATMAN1",
		498: "4_M_CATMAN2",
		499: "4_F_BRZ_WOMAN2",
		500: "4_M_JP_DISH",
		501: "4_F_JP_NOAH",
		502: "4_F_JP_OZ",
		503: "4_F_JP_CHROME",
		504: "4_F_JP_RINNE",
		505: "4_WHITETIGER",
		506: "4_VENDING_MACHINE",
		507: "4_MISTY",
		508: "4_NECORING",
		509: "4_ELEPHANT",
		510: "4_F_NYDHOG",
		511: "4_F_NYDHOG2",
		512: "4_M_ROKI2",
		513: "4_M_DOGTRAVELER",
		514: "4_M_DOGTRAVELER2",
		515: "4_F_DOGTRAVELER",
		516: "4_M_RAFLE_GR",
		517: "4_M_RAFLE_OLD",
		518: "4_F_RAFLE_PK",
		519: "4_M_LYINGDOG",
		520: "4_F_MORAFINE1",
		521: "4_F_MORAFINE2",
		522: "4_M_RAFLE_OR",
		523: "4_F_RAFLE_YE",
		524: "4_M_RAFLE_VI",
		525: "4_F_RAFLE_VI",
		526: "4_M_ARDHA",
		527: "4_CREEPER",
		528: "JP_RUFAKU",
		529: "JP_SUPIKA",
		530: "JP_SABIKU",
		531: "JP_ARUGORU",
		532: "JP_ARUNA",
		533: "JP_AIRI",
		534: "4_M_DEWOLDMAN",
		535: "4_M_DEWOLDWOMAN",
		536: "4_M_DEWMAN",
		537: "4_M_DEWWOMAN",
		538: "4_M_DEWBOY",
		539: "4_M_DEWGIRL",
		540: "4_M_DEWZATICHIEF",
		541: "4_M_DEWZATIMAN",
		542: "4_M_ALCHE_E",
		543: "4_MASK_SMOKEY",
		544: "4_CAT_SAILOR1",
		545: "4_CAT_SAILOR2",
		546: "4_CAT_SAILOR3",
		547: "4_CAT_SAILOR4",
		548: "4_CAT_CHEF",
		549: "4_CAT_MERMASTER",
		550: "4_CRACK",
		551: "4_ASTER",
		552: "4_F_STARFISHGIRL",
		553: "4_CAT_DOWN",
		554: "4_CAT_REST",
		555: "4_CAT_3COLOR",
		556: "4_CAT_ADMIRAL",
		557: "4_SOIL",
		558: "4_F_ALCHE_A",
		559: "4_CAT_ADV1",
		560: "4_CAT_ADV2",
		561: "4_CAT_SAILOR5",
		562: "2_DROP_MACHINE",
		563: "2_SLOT_MACHINE",
		564: "2_VENDING_MACHINE1",
		565: "MOB_TOMB",
		566: "MYSTCASE",
		567: "4_M_SIT_NOVICE",
		568: "4_OCTOPUS_LEG",
		569: "4_F_NURSE",
		570: "4_MAL_SOLDIER",
		571: "4_MAL_CAPTAIN",
		572: "4_MAL_BUDIDAI",
		573: "4_M_MAYOR",
		574: "4_M_BARYO_OLD",
		575: "4_F_BARYO_OLD",
		576: "4_F_BARYO_GIRL",
		577: "4_M_BARYO_BOY",
		578: "4_M_BARYO_MAN",
		579: "4_F_BARYO_WOMAN",
		580: "4_BARYO_CHIEF",
		581: "4_MAL_KAFRA",
		582: "4_M_MALAYA",
		583: "4_F_MALAYA",
		584: "4_F_PATIENT",
		585: "4_M_PATIENT",
		586: "4_F_KR_TIGER",
		587: "4_M_KR_BOY",
		588: "4_M_KAGE_OLD",
		589: "4_WHIKEBAIN",
		590: "4_EREND",
		591: "4_RAWREL",
		592: "4_ARMAIA",
		593: "4_KAVAC",
		594: "4_YGNIZEM",
		595: "4_EREMES",
		596: "4_MAGALETA",
		597: "4_KATRINN",
		598: "4_SHECIL",
		599: "4_SEYREN",
		600: "4_HARWORD",
		601: "4_F_JP_CYNTHIA",
		602: "4_M_JP_GUSTON",
		603: "4_M_JP_BERKUT",
		604: "4_F_JP_DARK_ADELAIDE",
		605: "4_M_JP_DARK_DARIUS",
		606: "4_M_JP_JESTER",
		607: "XMAS_SMOKEY_B",
		608: "XMAS_SMOKEY_R",
		609: "XMAS_SMOKEY_Y",
		610: "4_f_clockdoll",
		611: "4_f_fairy2",
		612: "4_f_pinkwoman",
		613: "4_fairydeadleaf",
		614: "4_frog",
		615: "4_m_blackman",
		616: "4_m_blueman",
		617: "4_m_fairyang",
		618: "4_m_fairyavant",
		619: "4_m_fairyfreak",
		620: "4_m_fairykid6",
		621: "4_m_fairyscholar",
		622: "4_m_fairyscholar_dirty",
		623: "4_m_fariy_hisie",
		624: "4_m_fariyking",
		625: "4_m_newoz",
		626: "4_m_oliver",
		627: "4_m_professorworm",
		628: "4_m_redman",
		629: "4_F_GELKA",
		630: "4_M_ROTERT",
		631: "4_BLACKDRAGON",
		632: "4_M_GUNSLINGER",
		633: "4_F_GUNSLINGER",
		634: "4_M_ARCHER",
		635: "4_M_SWORDMAN",
		636: "4_M_NINJA_RED",
		637: "4_M_NINJA_BLUE",
		638: "4_M_THIEF_RUMIN",
		639: "4_M_NOV_RUMIN",
		640: "4_F_MAYSEL",
		641: "4_F_ACOLYTE",
		642: "4_M_NOV_HUNT",
		643: "4_F_GENETIC",
		644: "4_F_TAEKWON",
		645: "4_F_SWORDMAN",
		646: "4_F_IU",
		647: "4_M_RAGI",
		648: "4_M_MELODY",
		649: "4_TRACE",
		650: "4_F_HIMEL",
		651: "4_LEVITATEMAN",
		652: "4_M_HEINRICH",
		653: "4_M_ROYALGUARD",
		654: "4_M_BARMUND",
		655: "4_F_KHALITZBURG",
		656: "4_F_HIMEL2",
		657: "4_WHITEKNIGHT",
		658: "4_COCO",
		659: "4_M_ALADDIN",
		660: "4_M_GENIE",
		661: "4_F_GENIE",
		662: "4_JP_MID_SWIM",
		663: "4_JP_RUNE_SWIM",
		664: "4_F_FENRIR",
		665: "4_F_GEFFEN_FAY",
		666: "4_F_IRIS",
		667: "4_F_LUCILE",
		668: "4_F_SARAH_BABY",
		669: "4_GEFFEN_01",
		670: "4_GEFFEN_02",
		671: "4_GEFFEN_03",
		672: "4_GEFFEN_04",
		673: "4_GEFFEN_05",
		674: "4_GEFFEN_06",
		675: "4_GEFFEN_07",
		676: "4_GEFFEN_08",
		677: "4_GEFFEN_09",
		678: "4_GEFFEN_10",
		679: "4_GEFFEN_11",
		680: "4_GEFFEN_12",
		681: "4_GEFFEN_13",
		682: "4_GEFFEN_14",
		683: "4_M_CHAOS",
		684: "4_M_CHIEF_IRIN",
		685: "4_M_SAKRAY",
		686: "4_M_SAKRAYROYAL",
		687: "4_TOWER_01",
		688: "4_TOWER_02",
		689: "4_TOWER_03",
		690: "4_TOWER_04",
		691: "4_TOWER_05",
		692: "4_TOWER_06",
		693: "4_TOWER_07",
		694: "4_TOWER_08",
		695: "4_TOWER_09",
		696: "4_TOWER_10",
		697: "4_TOWER_11",
		698: "4_TOWER_12",
		699: "4_TOWER_13",
		700: "8_F_GIRL",
		701: "4_F_GODEMOM",
		702: "4_F_GON",
		703: "4_F_KID2",
		704: "4_M_BIBI",
		705: "4_M_GEF_SOLDIER",
		706: "4_M_KID1",
		707: "4_M_MOC_SOLDIER",
		708: "4_M_PAY_SOLDIER",
		709: "4_M_SEAMAN",
		710: "4_M_SNOWMAN",
		711: "4_F_05",
		712: "4_M_05",
		713: "4_M_06",
		714: "4_F_06",
		715: "4_M_PIERROT",
		716: "4_M_KID2",
		717: "4_F_KID3",
		718: "4_M_SANTA",
		719: "4_F_NACORURI",
		720: "4_F_SHAMAN",
		721: "4_F_KAFRA7",
		722: "Guildflag90_1.gr2",
		723: "1_SHADOW_NPC",
		724: "4_F_07",
		725: "4_F_JOB_ASSASSIN",
		726: "4_F_JOB_BLACKSMITH",
		727: "4_F_JOB_HUNTER",
		728: "4_F_JOB_KNIGHT",
		729: "4_F_NOVICE",
		730: "4_M_JOB_ASSASSIN",
		731: "4_M_JOB_BLACKSMITH",
		732: "4_M_JOB_HUNTER",
		733: "4_M_JOB_KNIGHT1",
		734: "4_M_JOB_KNIGHT2",
		735: "4_M_JOB_WIZARD",
		736: "4_BAPHOMET",
		737: "4_DARKLORD",
		738: "4_DEVIRUCHI",
		739: "8_DOPPEL",
		740: "2_M_ALCHE",
		741: "2_M_BARD_ORIENT",
		742: "2_M_SAGE_B",
		743: "2_M_SAGE_OLD",
		744: "4_F_ALCHE",
		745: "4_F_CRU",
		746: "4_F_MONK",
		747: "4_F_ROGUE",
		748: "4_M_ALCHE_A",
		749: "4_M_ALCHE_B",
		750: "4_M_ALCHE_C",
		751: "4_M_CRU",
		752: "4_M_CRU_OLD",
		753: "4_M_MONK",
		754: "4_M_SAGE_A",
		755: "4_M_SAGE_C",
		756: "4_F_SON",
		757: "4_F_JPN2",
		758: "4_F_JPN",
		759: "4_F_JPNCHIBI",
		760: "4_F_JPNOBA2",
		761: "4_F_JPNOBA",
		762: "4_M_JPN2",
		763: "4_M_JPN",
		764: "4_M_JPNCHIBI",
		765: "4_M_JPNOJI2",
		766: "4_M_JPNOJI",
		767: "8_M_JPNSOLDIER",
		768: "8_M_JPNMASTER",
		769: "4_F_JPNMU",
		770: "4_F_TWGIRL",
		771: "4_F_TWGRANDMOM",
		772: "4_F_TWMASKGIRL",
		773: "4_F_TWMIDWOMAN",
		774: "4_M_TWBOY",
		775: "4_M_TWMASKMAN",
		776: "4_M_TWMIDMAN",
		777: "4_M_TWOLDMAN",
		778: "4_M_TWTEAMAN",
		779: "4_M_YOYOROGUE",
		780: "8_M_TWSOLDIER",
		781: "4_F_UMGIRL",
		782: "4_F_UMOLDWOMAN",
		783: "4_F_UMWOMAN",
		784: "4_M_UMCHIEF",
		785: "4_M_UMDANCEKID2",
		786: "4_M_UMDANCEKID",
		787: "4_M_UMKID",
		788: "4_M_UMOLDMAN",
		789: "4_M_UMSOLDIER",
		790: "4_M_SALVATION",
		791: "4_F_NFDEADKAFRA",
		792: "4_F_NFDEADMGCIAN",
		793: "4_F_NFLOSTGIRL",
		794: "4_M_NFDEADMAN2",
		795: "4_M_NFDEADMAN",
		796: "4_M_NFDEADSWDMAN",
		797: "4_M_NFLOSTMAN",
		798: "4_M_NFMAN",
		799: "4_NFBAT",
		800: "4_NFCOCK",
		801: "4_NFCOFFIN",
		802: "4_NFWISP",
		803: "1_F_SIGNZISK",
		804: "1_M_SIGN1",
		805: "1_M_SIGNALCHE",
		806: "1_M_SIGNART",
		807: "1_M_SIGNMCNT",
		808: "1_M_SIGNMONK2",
		809: "1_M_SIGNMONK",
		810: "1_M_SIGNROGUE",
		811: "4_F_VALKYRIE",
		812: "TW_TOWER",
		813: "2_M_OLDBLSMITH",
		814: "4_F_CHNDOCTOR",
		815: "4_F_CHNDRESS1",
		816: "4_F_CHNDRESS2",
		817: "4_F_CHNDRESS3",
		818: "4_F_CHNWOMAN",
		819: "4_M_CHN8GUEK",
		820: "4_M_CHNCOOK",
		821: "4_M_CHNGENERL",
		822: "4_M_CHNMAN",
		823: "4_M_CHNMONK",
		824: "4_M_CHNOLD",
		825: "4_M_CHNSOLDIER",
		826: "4_M_DWARF",
		827: "4_M_GRANDMONK",
		828: "4_M_ROGUE",
		829: "4_M_DOMINO",
		830: "4_F_DOMINO",
		831: "4_F_ZONDAGIRL",
		832: "4_M_REIDIN_KURS",
		833: "4_M_ZONDAOYAJI",
		834: "4_M_BUDDHIST",
		835: "2_BOARD1",
		836: "2_BOARD2",
		837: "2_BULLETIN_BOARD",
		838: "4_F_THAIAYO",
		839: "4_F_THAIGIRL",
		840: "4_F_THAISHAMAN",
		841: "4_M_THAIAYO",
		842: "4_M_THAIOLD",
		843: "4_M_THAIONGBAK",
		844: "CLEAR_NPC",
		845: "4_F_RACING",
		846: "4_F_EINOLD",
		847: "4_M_EINOLD",
		848: "4_M_EINMINER",
		849: "4_M_DIEMAN",
		850: "4_F_EINWOMAN",
		851: "4_M_REPAIR",
		852: "4_M_EIN_SOLDIER",
		853: "4_M_YURI",
		854: "4_M_EINMAN2",
		855: "4_M_EINMAN",
		856: "2_F_SIGN1",
		857: "4_BOARD3",
		858: "4_BULLETIN_BOARD2",
		859: "4_F_AGENTKAFRA",
		860: "4_F_KAFRA8",
		861: "4_F_KAFRA9",
		862: "4_F_LGTGIRL",
		863: "4_F_LGTGRAND",
		864: "4_F_OPERATION",
		865: "4_LGTSCIENCE",
		866: "4_M_LGTGRAND",
		867: "4_M_LGTGUARD2",
		868: "4_M_LGTGUARD",
		869: "4_M_LGTMAN",
		870: "4_M_LGTPOOR",
		871: "4_M_OPERATION",
		872: "4_M_PRESIDENT",
		873: "4_M_REINDEER",
		874: "4_M_ZONDAMAN",
		875: "4_M_PECOKNIGHT",
		876: "4_CAT",
		877: "4_F_YUNYANG",
		878: "4_M_OILMAN",
		879: "4_F_CAPEGIRL",
		880: "4_M_MASKMAN",
		881: "4_M_SITDOWN",
		882: "4_F_SITDOWN",
		883: "4_M_ALCHE_D",
		884: "4_M_ACROSS",
		885: "4_F_ACROSS",
		886: "4_COOK",
		887: "4_M_LIEMAN",
		888: "2_POSTBOX",
		889: "4_BULL",
		890: "4_LAM",
		891: "4_F_HUGIRL",
		892: "4_F_HUGRANMA",
		893: "4_F_HUWOMAN",
		894: "4_F_KHELLISIA",
		895: "4_F_KHELLY",
		896: "4_M_HUBOY",
		897: "4_M_HUGRANFA",
		898: "4_M_HUMAN_01",
		899: "4_M_HUMAN_02",
		900: "4_M_HUMERCHANT",
		901: "4_M_HUOLDARMY",
		902: "4_M_KHKIEL",
		903: "4_M_KHKYEL",
		904: "4_M_KHMAN",
		905: "4_F_KHWOMAN",
		906: "4_F_KHGIRL",
		907: "4_M_KHBOY",
		908: "4_M_PHILMAN",
		909: "4_PORING",
		910: "2_COLAVEND",
		911: "4_F_SOCCER",
		912: "4_M_SOCCER7",
		913: "4_M_SOCCER9",
		914: "4_F_CHILD",
		915: "4_F_MADAME",
		916: "4_F_MASK1",
		917: "4_F_MASK",
		918: "4_F_RACHOLD",
		919: "4_F_SHABBY",
		920: "4_F_TRAINEE",
		921: "4_M_CHILD1",
		922: "4_M_CHILD",
		923: "4_M_DOCTOR",
		924: "4_M_FROZEN1",
		925: "4_M_FROZEN",
		926: "4_M_MASK1",
		927: "4_M_MASK",
		928: "4_M_MIDDLE1",
		929: "4_M_MIDDLE",
		930: "4_M_RACHMAN2",
		931: "4_M_RACHMAN1",
		932: "4_M_RACHOLD1",
		933: "4_M_RACHOLD",
		934: "4_M_RASWORD",
		935: "4_M_TRAINEE",
		936: "4_F_ARUNA_POP",
		937: "4_M_ARUNA_NFM1",
		938: "4_DST_CAMEL",
		939: "4_DST_SOLDIER",
		940: "4_F_DESERT",
		941: "4_F_DST_CHILD",
		942: "4_F_DST_GRAND",
		943: "4_M_DESERT",
		944: "4_M_DST_CHILD",
		945: "4_M_DST_GRAND",
		946: "4_M_DST_MASTER",
		947: "4_M_DST_TOUGH",
		948: "4_ANGELING",
		949: "4_ARCHANGELING",
		950: "4_GHOSTRING",
		951: "4_F_EDEN_MASTER",
		952: "4_F_EDEN_OFFICER",
		953: "4_M_EDEN_GUARDER",
		954: "4_M_PATRICK",
		955: "4_DONKEY",
		956: "4_M_TRISTAN",
		957: "4_WHITE_COW",
		958: "4_F_RUSCHILD",
		959: "4_F_RUSWOMAN1",
		960: "4_F_RUSWOMAN2",
		961: "4_F_RUSWOMAN3",
		962: "4_M_RUSCHILD",
		963: "4_M_GUSLIMAN",
		964: "4_M_RUSBALD",
		965: "4_M_RUSKING",
		966: "4_M_RUSKNIGHT",
		967: "4_M_RUSMAN1",
		968: "4_M_RUSMAN2",
		969: "4_M_DRAKE",
		970: "4_F_BABAYAGA",
		971: "4_F_RUSGREEN",
		972: "4_RUS_DWOLF",
		973: "1_FLAG_LION",
		974: "1_FLAG_EAGLE",
		975: "4_M_MIKID",
		976: "4_BLUE_FLOWER",
		977: "4_RED_FLOWER",
		978: "4_YELL_FLOWER",
		979: "4_F_CAVE1",
		980: "4_F_MUT1",
		981: "4_F_MUT2",
		982: "4_F_SCIENCE",
		983: "4_M_1STPRIN1",
		984: "4_M_1STPRIN2",
		985: "4_M_2NDPRIN1",
		986: "4_M_2NDPRIN2",
		987: "4_M_3RDPRIN1",
		988: "4_M_3RDPRIN2",
		989: "4_M_4THPRIN1",
		990: "4_M_4THPRIN2",
		991: "4_M_5THPRIN1",
		992: "4_M_5THPRIN2",
		993: "4_M_6THPRIN1",
		994: "4_M_6THPRIN2",
		995: "4_M_CASMAN1",
		996: "4_M_CAVE1",
		997: "4_M_MOCASS1",
		998: "4_M_MOCASS2",
		999: "4_M_MUT1",
		1001: "Scorpion",
		1002: "Poring",
		1003: "Thief_bug_egg",
		1004: "Hornet",
		1005: "Farmiliar",
		1006: "Thief_bug_larva",
		1007: "Fabre",
		1008: "Pupa",
		1009: "Condor",
		1010: "Wilow",
		1011: "Chocho",
		1012: "Roda_frog",
		1013: "Wolf",
		1014: "Spore",
		1015: "Zombie",
		1016: "Skel_archer",
		1017: "Thief_bug_female",
		1018: "Creamy",
		1019: "Pecopeco",
		1020: "Mandragora",
		1021: "Thief_bug_male",
		1022: "Were_wolf",
		1023: "Ork_warrior",
		1024: "Worm_tail",
		1025: "Snake",
		1026: "Munak",
		1027: "Raptice",
		1028: "Skel_soldier",
		1029: "Isis",
		1030: "Anacondaq",
		1031: "Poporing",
		1032: "Vorit",
		1033: "Elder_wilow",
		1034: "Thara_frog",
		1035: "Hunter_fly",
		1036: "Ghoul",
		1037: "Side_winder",
		1038: "Osiris",
		1039: "Baphomet",
		1040: "Golem",
		1041: "Mummy",
		1042: "Steel_chocho",
		1043: "Seahores",
		1044: "Obeaune",
		1045: "Marc",
		1046: "Doppelganger",
		1047: "Peco_egg",
		1048: "Thief_bug_egg",
		1049: "Picky",
		1050: "Picky_",
		1051: "Thief_bug_larva",
		1052: "Rocker",
		1053: "Thief_bug_female",
		1054: "Thief_bug_male",
		1055: "Muka",
		1056: "Smokie",
		1057: "Yoyo",
		1058: "Metaller",
		1059: "Mistress",
		1060: "Bigfoot",
		1061: "Nightmare",
		1062: "Poring_",
		1063: "Lunatic",
		1064: "MEGALODON",
		1065: "STROUF",
		1066: "VADON",
		1067: "CORNUTUS",
		1068: "HYDRA",
		1069: "SWORD_FISH",
		1070: "KUKRE",
		1071: "PIRATE_SKEL",
		1072: "KAHO",
		1073: "CRAB",
		1074: "SHELLFISH",
		1075: "TURTLE",
		1076: "SKELETON",
		1077: "POISON_SPORE",
		1078: "RED_PLANT",
		1079: "BLUE_PLANT",
		1080: "GREEN_PLANT",
		1081: "YELLOW_PLANT",
		1082: "WHITE_PLANT",
		1083: "SHINING_PLANT",
		1084: "BLACK_MUSHROOM",
		1085: "RED_MUSHROOM",
		1086: "GOLDEN_BUG",
		1087: "ORK_HERO",
		1088: "VOCAL",
		1089: "TOAD",
		1090: "MASTERING",
		1091: "DRAGON_FLY",
		1092: "VAGABOND_WOLF",
		1093: "ECLIPSE",
		1094: "AMBERNITE",
		1095: "ANDRE",
		1096: "ANGELING",
		1097: "ANT_EGG",
		1098: "ANUBIS",
		1099: "ARGIOPE",
		1100: "ARGOS",
		1101: "BAPHOMET_",
		1102: "BATHORY",
		1103: "CARAMEL",
		1104: "COCO",
		1105: "DENIRO",
		1106: "DESERT_WOLF",
		1107: "DESERT_WOLF_B",
		1108: "DEVIACE",
		1109: "DEVIRUCHI",
		1110: "DOKEBI",
		1111: "DRAINLIAR",
		1112: "DRAKE",
		1113: "DROPS",
		1114: "DUSTINESS",
		1115: "EDDGA",
		1116: "EGGYRA",
		1117: "EVIL_DRUID",
		1118: "FLORA",
		1119: "FRILLDORA",
		1120: "GHOSTRING",
		1121: "GIEARTH",
		1122: "GOBLIN_1",
		1123: "GOBLIN_2",
		1124: "GOBLIN_3",
		1125: "GOBLIN_4",
		1126: "GOBLIN_5",
		1127: "HODE",
		1128: "HORN",
		1129: "HORONG",
		1130: "JAKK",
		1131: "JOKER",
		1132: "KHALITZBURG",
		1133: "KOBOLD_1",
		1134: "KOBOLD_2",
		1135: "KOBOLD_3",
		1136: "KOBOLD_4",
		1137: "KOBOLD_5",
		1138: "MAGNOLIA",
		1139: "MANTIS",
		1140: "MARDUK",
		1141: "MARINA",
		1142: "MARINE_SPHERE",
		1143: "MARIONETTE",
		1144: "MARSE",
		1145: "MARTIN",
		1146: "MATYR",
		1147: "MAYA",
		1148: "MEDUSA",
		1149: "MINOROUS",
		1150: "MOONLIGHT",
		1151: "MYST",
		1152: "ORC_SKELETON",
		1153: "ORC_ZOMBIE",
		1154: "PASANA",
		1155: "PETIT",
		1156: "PETIT_",
		1157: "PHARAOH",
		1158: "PHEN",
		1159: "PHREEONI",
		1160: "PIERE",
		1161: "PLANKTON",
		1162: "RAFFLESIA",
		1163: "RAYDRIC",
		1164: "REQUIEM",
		1165: "SAND_MAN",
		1166: "SAVAGE",
		1167: "SAVAGE_BABE",
		1168: "Pupa",
		1169: "SKEL_WORKER",
		1170: "SOHEE",
		1171: "SOLDIER_ANDRE",
		1172: "SOLDIER_DENIRO",
		1173: "SOLDIER_PIERE",
		1174: "STAINER",
		1175: "TAROU",
		1176: "VITATA",
		1177: "ZENORC",
		1178: "ZEROM",
		1179: "WHISPER",
		1180: "NINE_TAIL",
		1181: "dragon_5.gr2",
		1182: "RED_MUSHROOM",
		1183: "CHOCHO",
		1184: "FABRE",
		1185: "WHISPER",
		1186: "WHISPER_BOSS",
		1187: "SWITCH",
		1188: "BON_GUN",
		1189: "ORC_ARCHER",
		1190: "ORC_LORD",
		1191: "MIMIC",
		1192: "WRAITH",
		1193: "ALARM",
		1194: "ARCLOUSE",
		1195: "RIDEWORD",
		1196: "SKEL_PRISONER",
		1197: "ZOMBIE_PRISONER",
		1198: "DARK_PRIEST",
		1199: "PUNK",
		1200: "ZHERLTHSH",
		1201: "RYBIO",
		1202: "PHENDARK",
		1203: "MYSTELTAINN",
		1204: "TIRFING",
		1205: "EXECUTIONER",
		1206: "ANOLIAN",
		1207: "STING",
		1208: "WANDER_MAN",
		1209: "CRAMP",
		1210: "Poring",
		1211: "BRILIGHT",
		1212: "IRON_FIST",
		1213: "HIGH_ORC",
		1214: "CHOCO",
		1215: "STEM_WORM",
		1216: "PENOMENA",
		1217: "Poring",
		1218: "Poring",
		1219: "knight_of_abyss",
		1220: "desert_wolf",
		1221: "savage",
		1222: "high_orc",
		1223: "orc_warrior",
		1224: "poison_spore",
		1225: "choco",
		1226: "kobold_1",
		1227: "goblin_1",
		1228: "phen",
		1229: "fabre",
		1230: "pupa",
		1231: "creamy",
		1232: "peco_egg",
		1233: "pecopeco",
		1234: "yoyo",
		1235: "ork_warrior",
		1236: "ant_egg",
		1237: "andre",
		1238: "picky",
		1239: "deniro",
		1240: "picky",
		1241: "picky_",
		1242: "MARIN",
		1243: "SASQUATCH",
		1244: "JAKK_XMAS",
		1245: "GOBLINE_XMAS",
		1246: "COOKIE_XMAS",
		1247: "ANTONIO",
		1248: "CRUISER",
		1249: "MYSTCASE",
		1250: "CHEPET",
		1251: "KNIGHT_OF_WINDSTORM",
		1252: "GARM",
		1253: "Gargoyle",
		1254: "Raggler",
		1255: "Neraid",
		1256: "Pest",
		1257: "Injustice",
		1258: "Goblin_Archer",
		1259: "Gryphon",
		1260: "Dark_Frame",
		1261: "Wild_Rose",
		1262: "Mutant_Dragon",
		1263: "Wind_Ghost",
		1264: "Merman",
		1265: "Cookie",
		1266: "Aster",
		1267: "Carat",
		1268: "Bloody_Knight",
		1269: "Clock",
		1270: "C_Tower_Manager",
		1271: "Alligator",
		1272: "Dark_Lord",
		1273: "Orc_Lady",
		1274: "Megalith",
		1275: "Alice",
		1276: "Raydric_Archer",
		1277: "Greatest_General",
		1278: "Stalactic_Golem",
		1279: "Tri_Joint",
		1280: "Steam_Goblin",
		1281: "SageWorm",
		1282: "Kobold_Archer",
		1283: "Chimera",
		1284: "Hugeling90_6.gr2",
		1285: "Aguardian90_8.gr2",
		1286: "Kguardian90_7.gr2",
		1287: "Sguardian90_9.gr2",
		1288: "Empelium90_0.gr2",
		1289: "maya_puple",
		1290: "SKELETON_GENERAL",
		1291: "WRAITH_DEAD",
		1292: "MINI_DEMON",
		1293: "CREMY_FEAR",
		1294: "KILLER_MANTIS",
		1295: "OWL_BARON",
		1296: "KOBOLT_LEADER",
		1297: "ANCIENT_MUMMY",
		1298: "ZOMBIE_MASTER",
		1299: "GOBLIN_LEADER",
		1300: "CATERPILLAR",
		1301: "AM_MUT",
		1302: "DARK_ILLUSION",
		1303: "GIANT_HONET",
		1304: "GIANT_SPIDER",
		1305: "ANCIENT_WORM",
		1306: "LEIB_OLMAI",
		1307: "CAT_O_NINE_TAIL",
		1308: "PANZER_GOBLIN",
		1309: "GAJOMART",
		1310: "MAJORUROS",
		1311: "GULLINBURSTI",
		1312: "TURTLE_GENERAL",
		1313: "MOBSTER",
		1314: "PERMETER",
		1315: "ASSULTER",
		1316: "SOLIDER",
		1317: "FUR_SEAL",
		1318: "HEATER",
		1319: "FREEZER",
		1320: "OWL_DUKE",
		1321: "DRAGON_TAIL",
		1322: "SPRING_RABBIT",
		1323: "SEE_OTTER",
		1324: "TREASUREBOX_2.gr2",
		1325: "TREASUREBOX_2.gr2",
		1326: "TREASUREBOX_2.gr2",
		1327: "TREASUREBOX_2.gr2",
		1328: "TREASUREBOX_2.gr2",
		1329: "TREASUREBOX_2.gr2",
		1330: "TREASUREBOX_2.gr2",
		1331: "TREASUREBOX_2.gr2",
		1332: "TREASUREBOX_2.gr2",
		1333: "TREASUREBOX_2.gr2",
		1334: "TREASUREBOX_2.gr2",
		1335: "TREASUREBOX_2.gr2",
		1336: "TREASUREBOX_2.gr2",
		1337: "TREASUREBOX_2.gr2",
		1338: "TREASUREBOX_2.gr2",
		1339: "TREASUREBOX_2.gr2",
		1340: "TREASUREBOX_2.gr2",
		1341: "TREASUREBOX_2.gr2",
		1342: "TREASUREBOX_2.gr2",
		1343: "TREASUREBOX_2.gr2",
		1344: "TREASUREBOX_2.gr2",
		1345: "TREASUREBOX_2.gr2",
		1346: "TREASUREBOX_2.gr2",
		1347: "TREASUREBOX_2.gr2",
		1348: "TREASUREBOX_2.gr2",
		1349: "TREASUREBOX_2.gr2",
		1350: "TREASUREBOX_2.gr2",
		1351: "TREASUREBOX_2.gr2",
		1352: "TREASUREBOX_2.gr2",
		1353: "TREASUREBOX_2.gr2",
		1354: "TREASUREBOX_2.gr2",
		1355: "TREASUREBOX_2.gr2",
		1356: "TREASUREBOX_2.gr2",
		1357: "TREASUREBOX_2.gr2",
		1358: "TREASUREBOX_2.gr2",
		1359: "TREASUREBOX_2.gr2",
		1360: "TREASUREBOX_2.gr2",
		1361: "TREASUREBOX_2.gr2",
		1362: "TREASUREBOX_2.gr2",
		1363: "TREASUREBOX_2.gr2",
		1364: "G_ASSULTER",
		1365: "APOCALIPS",
		1366: "LAVA_GOLEM",
		1367: "BLAZZER",
		1368: "GEOGRAPHER",
		1369: "GRAND_PECO",
		1370: "SUCCUBUS",
		1371: "FAKE_ANGEL",
		1372: "GOAT",
		1373: "LORD_OF_DEATH",
		1374: "INCUBUS",
		1375: "THE_PAPER",
		1376: "HARPY",
		1377: "ELDER",
		1378: "DEMON_PUNGUS",
		1379: "NIGHTMARE_TERROR",
		1380: "DRILLER",
		1381: "GRIZZLY",
		1382: "DIABOLIC",
		1383: "EXPLOSION",
		1384: "DELETER",
		1385: "DELETER_",
		1386: "SLEEPER",
		1387: "GIG",
		1388: "ARCHANGELING",
		1389: "DRACULA",
		1390: "VIOLY",
		1391: "GALAPAGO",
		1392: "ROTAR_ZAIRO",
		1393: "G_MUMMY",
		1394: "G_ZOMBIE",
		1395: "CRYSTAL_1",
		1396: "CRYSTAL_2",
		1397: "CRYSTAL_3",
		1398: "CRYSTAL_4",
		1399: "EVENT_BAPHO",
		1400: "KARAKASA",
		1401: "SHINOBI",
		1402: "POISON_TOAD",
		1403: "ANTIQUE_FIRELOCK",
		1404: "MIYABI_NINGYO",
		1405: "TENGU",
		1406: "KAPHA",
		1407: "DOKEBI_",
		1408: "BLOOD_BUTTERFLY",
		1409: "RICE_CAKE_BOY",
		1410: "LIVE_PEACH_TREE",
		1411: "PEACH_TREE_BULLET",
		1412: "EVIL_CLOUD_HERMIT",
		1413: "WILD_GINSENG",
		1414: "GINSENG_BULLET",
		1415: "BABY_LEOPARD",
		1416: "WICKED_NYMPH",
		1417: "ZIPPER_BEAR",
		1418: "DARK_SNAKE_LORD",
		1419: "FARMILIAR",
		1420: "Skel_archer",
		1421: "ISIS",
		1422: "HUNTER_FLY",
		1423: "GHOUL",
		1424: "SIDE_WINDER",
		1425: "OBEAUNE",
		1426: "MARC",
		1427: "NIGHTMARE",
		1428: "POISON_SPORE",
		1429: "ARGIOPE",
		1430: "ARGOS",
		1431: "BAPHOMET_",
		1432: "DESERT_WOLF",
		1433: "DEVIRUCHI",
		1434: "DRAINLIAR",
		1435: "EVIL_DRUID",
		1436: "JAKK",
		1437: "JOKER",
		1438: "KHALITZBURG",
		1439: "HIGH_ORC",
		1440: "STEM_WORM",
		1441: "PENOMENA",
		1442: "SASQUATCH",
		1443: "CRUISER",
		1444: "CHEPET",
		1445: "RAGGLER",
		1446: "INJUSTICE",
		1447: "GRYPHON",
		1448: "DARK_FRAME",
		1449: "MUTANT_DRAGON",
		1450: "WIND_GHOST",
		1451: "MERMAN",
		1452: "ORC_LADY",
		1453: "RAYDRIC_ARCHER",
		1454: "TRI_JOINT",
		1455: "KOBOLD_ARCHER",
		1456: "CHIMERA",
		1457: "MANTIS",
		1458: "MARDUK",
		1459: "MARIONETTE",
		1460: "MATYR",
		1461: "MINOROUS",
		1462: "ORC_SKELETON",
		1463: "ORC_ZOMBIE",
		1464: "PASANA",
		1465: "PETIT",
		1466: "PETIT_",
		1467: "RAYDRIC",
		1468: "REQUIEM",
		1469: "SKEL_WORKER",
		1470: "ZEROM",
		1471: "NINE_TAIL",
		1472: "BON_GUN",
		1473: "ORC_ARCHER",
		1474: "MIMIC",
		1475: "WRAITH",
		1476: "ALARM",
		1477: "ARCLOUSE",
		1478: "RIDEWORD",
		1479: "SKEL_PRISONER",
		1480: "ZOMBIE_PRISONER",
		1481: "PUNK",
		1482: "ZHERLTHSH",
		1483: "RYBIO",
		1484: "PHENDARK",
		1485: "MYSTELTAINN",
		1486: "TIRFING",
		1487: "EXECUTIONER",
		1488: "ANOLIAN",
		1489: "STING",
		1490: "WANDER_MAN",
		1491: "DOKEBI",
		1492: "INCANTATION_SAMURAI",
		1493: "DRYAD",
		1494: "KIND_OF_BEETLE",
		1495: "STONE_SHOOTER",
		1496: "STONE_SHOOTER_BULLET",
		1497: "WOODEN_GOLEM",
		1498: "WOOTAN_SHOOTER",
		1499: "WOOTAN_FIGHTER",
		1500: "PARASITE",
		1501: "PARASITE_BULLET",
		1502: "Poring",
		1503: "GIBBET",
		1504: "DULLAHAN",
		1505: "LOLI_RURI",
		1506: "DISGUISE",
		1507: "BLOODY_MURDERER",
		1508: "QUVE",
		1509: "LUDE",
		1510: "HYLOZOIST",
		1511: "AMON_RA",
		1512: "HYEGUN",
		1513: "CIVIL_SERVANT",
		1514: "DANCING_DRAGON",
		1515: "GARM_BABY",
		1516: "INCREASE_SOIL",
		1517: "LI_ME_MANG_RYANG",
		1518: "BACSOJIN",
		1519: "CHUNG_E",
		1520: "BOILED_RICE",
		1521: "Alice",
		1522: "ANCIENT_MUMMY",
		1523: "ANTIQUE_FIRELOCK",
		1524: "BABY_LEOPARD",
		1525: "BATHORY",
		1526: "BLOOD_BUTTERFLY",
		1527: "C_TOWER_MANAGER",
		1528: "CLOCK",
		1529: "DARK_SNAKE_LORD",
		1530: "DRACULA",
		1531: "EVIL_CLOUD_HERMIT",
		1532: "EXPLOSION",
		1533: "FUR_SEAL",
		1534: "GOBLIN_1",
		1535: "GOBLIN_2",
		1536: "GOBLIN_3",
		1537: "GOBLIN_4",
		1538: "GOBLIN_5",
		1539: "GOBLIN_LEADER",
		1540: "GOLEM",
		1541: "GREATEST_GENERAL",
		1542: "INCANTATION_SAMURAI",
		1543: "KAPHA",
		1544: "KARAKASA",
		1545: "KOBOLD_1",
		1546: "KOBOLD_2",
		1547: "KOBOLD_3",
		1548: "KOBOLD_LEADER",
		1549: "LAVA_GOLEM",
		1550: "LIVE_PEACH_TREE",
		1551: "MARSE",
		1552: "MIYABI_NINGYO",
		1553: "MYST",
		1554: "NIGHTMARE_TERROR",
		1555: "PARASITE",
		1556: "POISON_TOAD",
		1557: "ROTAR_ZAIRO",
		1558: "SAND_MAN",
		1559: "SCORPION",
		1560: "SHINOBI",
		1561: "SMOKIE",
		1562: "Skel_soldier",
		1563: "TENGU",
		1564: "WICKED_NYMPH",
		1565: "WILD_GINSENG",
		1566: "WRAITH_DEAD",
		1567: "ANCIENT_WORM",
		1568: "ANGELING",
		1569: "BLOODY_KNIGHT",
		1570: "CRAMP",
		1571: "DEVIACE",
		1572: "DROPS",
		1573: "ELDER",
		1574: "ELDER_WILOW",
		1575: "FLORA",
		1576: "GHOSTRING",
		1577: "GOBLIN_ARCHER",
		1578: "HORONG",
		1579: "HYDRA",
		1580: "INCUBUS",
		1581: "VOCAL",
		1582: "DEVILING",
		1583: "TAO_GUNKA",
		1584: "TAMRUAN",
		1585: "MIME_MONKEY",
		1586: "LEAF_CAT",
		1587: "KRABEN",
		1588: "ORC_XMAS",
		1589: "Mandragora",
		1590: "GEOGRAPHER",
		1591: "Lunatic",
		1592: "MOBSTER",
		1593: "ANCIENT_MUMMY",
		1594: "FREEZER",
		1595: "MARIN",
		1596: "TAMRUAN",
		1597: "Gargoyle",
		1598: "BLAZZER",
		1599: "WHISPER_BOSS",
		1600: "HEATER",
		1601: "PERMETER",
		1602: "SOLIDER",
		1603: "BIGFOOT",
		1604: "GIANT_HONET",
		1605: "DARK_ILLUSION",
		1606: "GARM_BABY",
		1607: "GOBLINE_XMAS",
		1608: "Thief_bug_male",
		1609: "DANCING_DRAGON",
		1610: "Munak",
		1611: "BON_GUN",
		1612: "HYEGUN",
		1613: "METALING",
		1614: "MINERAL",
		1615: "OBSIDIAN",
		1616: "PITMAN",
		1617: "WASTE_STOVE",
		1618: "UNGOLIANT",
		1619: "PORCELLIO",
		1620: "NOXIOUS",
		1621: "VENOMOUS",
		1622: "TEDDY_BEAR",
		1623: "RSX_0806",
		1624: "WASTE_STOVE",
		1625: "PORCELLIO",
		1626: "DARK_PRIEST",
		1627: "ANOPHELES",
		1628: "MOLE",
		1629: "HILL_WIND",
		1630: "BACSOJIN",
		1631: "CHUNG_E",
		1632: "GREMLIN",
		1633: "BEHOLDER",
		1634: "SEYREN",
		1635: "EREMES",
		1636: "HARWORD",
		1637: "MAGALETA",
		1638: "SHECIL",
		1639: "KATRINN",
		1640: "SEYREN",
		1641: "EREMES",
		1642: "HARWORD",
		1643: "MAGALETA",
		1644: "SHECIL",
		1645: "KATRINN",
		1646: "SEYREN",
		1647: "EREMES",
		1648: "HARWORD",
		1649: "MAGALETA",
		1650: "SHECIL",
		1651: "KATRINN",
		1652: "YGNIZEM",
		1653: "WHIKEBAIN",
		1654: "ARMAIA",
		1655: "EREND",
		1656: "KAVAC",
		1657: "RAWREL",
		1658: "YGNIZEM",
		1659: "WHIKEBAIN",
		1660: "ARMAIA",
		1661: "EREND",
		1662: "KAVAC",
		1663: "RAWREL",
		1664: "POTON_CANON",
		1665: "POTON_CANON_1",
		1666: "POTON_CANON_2",
		1667: "POTON_CANON_3",
		1668: "ARCHDAM",
		1669: "DIMIK",
		1670: "DIMIK_1",
		1671: "DIMIK_2",
		1672: "DIMIK_3",
		1673: "DIMIK_4",
		1674: "MONEMUS",
		1675: "VENATU",
		1676: "VENATU_1",
		1677: "VENATU_2",
		1678: "VENATU_3",
		1679: "VENATU_4",
		1680: "HILL_WIND_1",
		1681: "GEMINI",
		1682: "REMOVAL",
		1683: "POTON_CANON",
		1684: "ARCHDAM",
		1685: "APOCALIPS_H",
		1686: "ORC_BABY",
		1687: "GREEN_IGUANA",
		1688: "LADY_TANEE",
		1689: "G_BACSOJIN",
		1690: "G_SPRING_RABBIT",
		1691: "KRABEN",
		1692: "BREEZE",
		1693: "PLASMA_Y",
		1694: "PLASMA_R",
		1695: "PLASMA_G",
		1696: "PLASMA_P",
		1697: "PLASMA_B",
		1698: "DEATHWORD",
		1699: "ANCIENT_MIMIC",
		1700: "OBSERVATION",
		1701: "SHELTER",
		1702: "RETRIBUTION",
		1703: "SOLACE",
		1704: "THA_ODIUM",
		1705: "THA_DESPERO",
		1706: "THA_MAERO",
		1707: "THA_DOLOR",
		1708: "THANATOS",
		1709: "THA_ODIUM",
		1710: "THA_DESPERO",
		1711: "THA_MAERO",
		1712: "THA_DOLOR",
		1713: "ACIDUS",
		1714: "FERUS",
		1715: "NOVUS",
		1716: "ACIDUS_",
		1717: "FERUS_",
		1718: "NOVUS_",
		1719: "DETALE",
		1720: "HYDRO",
		1721: "DRAGON_EGG",
		1722: "JAKK",
		1723: "SHECIL",
		1724: "POTON_CANON",
		1725: "Poring",
		1726: "Lunatic",
		1727: "SAVAGE_BABE",
		1728: "DESERT_WOLF_B",
		1729: "BAPHOMET_",
		1730: "DEVIRUCHI",
		1731: "DOPPELGANGER",
		1732: "TREASUREBOX_2.gr2",
		1733: "KIEL",
		1734: "KIEL_",
		1735: "ALICEL",
		1736: "ALIOT",
		1737: "ALIZA",
		1738: "CONSTANT",
		1739: "ALICEL",
		1740: "ALIOT",
		1741: "COOKIE_XMAS",
		1742: "Carat",
		1743: "MYSTCASE",
		1744: "Wild_Rose",
		1745: "CONSTANT",
		1746: "ALIZA",
		1747: "Snake",
		1748: "Anacondaq",
		1749: "Medusa",
		1750: "RED_PLANT",
		1751: "RANDGRIS",
		1752: "SKOGUL",
		1753: "FRUS",
		1754: "SKEGGIOLD",
		1755: "SKEGGIOLD_",
		1756: "HYDRO",
		1757: "ACIDUS",
		1758: "FERUS",
		1759: "ACIDUS_",
		1760: "FERUS_",
		1761: "SKOGUL",
		1762: "FRUS",
		1763: "SKEGGIOLD",
		1764: "SKEGGIOLD_",
		1765: "G_RANDGRIS",
		1766: "EM_ANGELING",
		1767: "EM_DEVILING",
		1768: "GLOOMUNDERNIGHT",
		1769: "AGAV",
		1770: "ECHIO",
		1771: "VANBERK",
		1772: "ISILLA",
		1773: "HODREMLIN",
		1774: "SEEKER",
		1775: "SNOWIER",
		1776: "SIROMA",
		1777: "ICE_TITAN",
		1778: "GAZETI",
		1779: "KTULLANUX",
		1780: "MUSCIPULAR",
		1781: "DROSERA",
		1782: "ROWEEN",
		1783: "GALION",
		1784: "STAPO",
		1785: "ATROS",
		1786: "AGAV",
		1787: "ECHIO",
		1788: "ICE_TITAN",
		1789: "ICEICLE",
		1790: "RAFFLESIA",
		1791: "GALION",
		1792: "SOCCER_BALL",
		1793: "MEGALITH",
		1794: "ROWEEN",
		1795: "BLOODY_KNIGHT",
		1796: "AUNOE",
		1797: "FANAT",
		1798: "TREASUREBOX_2.gr2",
		1799: "SEYREN",
		1800: "EREMES",
		1801: "HARWORD",
		1802: "MAGALETA",
		1803: "SHECIL",
		1804: "KATRINN",
		1805: "SEYREN",
		1806: "EREMES",
		1807: "HARWORD",
		1808: "MAGALETA",
		1809: "SHECIL",
		1810: "KATRINN",
		1811: "SMOKIE",
		1812: "LUDE",
		1813: "HYDRO",
		1814: "MOONLIGHT",
		1815: "EVENT_RICECAKE",
		1816: "EVENT_GOURD",
		1817: "DETALE",
		1818: "ALARM",
		1819: "BATHORY",
		1820: "BIGFOOT",
		1821: "DESERT_WOLF",
		1822: "DEVIRUCHI",
		1823: "FREEZER",
		1824: "GARM_BABY",
		1825: "GOBLINE_XMAS",
		1826: "MYST",
		1827: "SASQUATCH",
		1828: "GULLINBURSTI",
		1829: "Kguardian90_7.gr2",
		1830: "Aguardian90_8.gr2",
		1831: "SALAMANDER",
		1832: "IFRIT",
		1833: "KASA",
		1834: "SALAMANDER",
		1835: "KASA",
		1836: "MAGMARING",
		1837: "IMP",
		1838: "KNOCKER",
		1839: "BYORGUE",
		1840: "GOLDEN_SAVAGE",
		1841: "Snake",
		1842: "Anacondaq",
		1843: "SIDE_WINDER",
		1844: "ISIS",
		1845: "TREASUREBOX_2.gr2",
		1846: "Empelium90_0.gr2",
		1847: "Poring",
		1848: "Baphomet",
		1849: "Osiris",
		1850: "ORK_HERO",
		1851: "MOBSTER",
		1852: "EM_ANGELING",
		1853: "EM_DEVILING",
		1854: "Muka",
		1855: "POISON_SPORE",
		1856: "MAGNOLIA",
		1857: "MARIN",
		1858: "PLANKTON",
		1859: "Mandragora",
		1860: "COCO",
		1861: "CHOCO",
		1862: "MARTIN",
		1863: "G_SPRING_RABBIT",
		1864: "ZOMBIE_SLAUGHTER",
		1865: "RAGGED_ZOMBIE",
		1866: "HELL_POODLE",
		1867: "BANSHEE",
		1868: "BANSHEE",
		1869: "FLAME_SKULL",
		1870: "NECROMANCER",
		1871: "FALLINGBISHOP",
		1872: "HUNTER_FLY",
		1873: "DRAGON_FLY",
		1874: "BEELZEBUB_",
		1875: "TRISTAN_3RD",
		1876: "LORD_OF_DEATH",
		1877: "CRYSTAL_4",
		1878: "SHINING_PLANT",
		1879: "ECLIPSE_P",
		1880: "WOOD_GOBLIN",
		1881: "LES",
		1882: "VAVAYAGA",
		1883: "UZHAS",
		1884: "MAVKA",
		1885: "GOPINICH",
		1886: "MAVKA",
		1887: "FREEZER",
		1888: "GARM_BABY",
		1889: "GARM",
		1890: "GOPINICH",
		1891: "G_RANDGRIS",
		1892: "LOLI_RURI",
		1893: "knight_of_abyss",
		1894: "POURING",
		1895: "SEYREN",
		1896: "KATRINN",
		1897: "Baphomet",
		1898: "Zombie",
		1899: "Kguardian90_7.gr2",
		1900: "Aguardian90_8.gr2",
		1901: "Condor",
		1902: "TREASUREBOX_2.gr2",
		1903: "TREASUREBOX_2.gr2",
		1904: "BOMBPORING",
		1905: "BARRICADE",
		1906: "BARRICADE",
		1907: "s_empel_1",
		1908: "s_empel_2",
		1909: "OBJ_A",
		1910: "OBJ_B",
		1911: "OBJ_NEUTRAL",
		1912: "OBJ_FLAG_A",
		1913: "OBJ_FLAG_B",
		1914: "OBJ_A2",
		1915: "OBJ_B2",
		1916: "MOROCC",
		1917: "MOROCC",
		1918: "MOROCC_1",
		1919: "MOROCC_2",
		1920: "MOROCC_3",
		1921: "MOROCC_4",
		1922: "MOROCC_1",
		1923: "MOROCC_2",
		1924: "MOROCC_3",
		1925: "MOROCC_4",
		1926: "JAKK",
		1927: "WHISPER",
		1928: "DEVIRUCHI",
		1929: "BAPHOMET_I",
		1930: "PIAMETTE",
		1931: "WISH_MAIDEN",
		1932: "GARDEN_KEEPER",
		1933: "GARDEN_WATCHER",
		1934: "BLUE_FLOWER",
		1935: "RED_FLOWER",
		1936: "YELL_FLOWER",
		1937: "CONSTANT",
		1938: "TREASUREBOX_2.gr2",
		1939: "TREASUREBOX_2.gr2",
		1940: "TREASUREBOX_2.gr2",
		1941: "TREASUREBOX_2.gr2",
		1942: "TREASUREBOX_2.gr2",
		1943: "TREASUREBOX_2.gr2",
		1944: "TREASUREBOX_2.gr2",
		1945: "TREASUREBOX_2.gr2",
		1946: "TREASUREBOX_2.gr2",
		1947: "PIAMETTE",
		1948: "Poring",
		1949: "Kguardian90_7.gr2",
		1950: "Aguardian90_8.gr2",
		1951: "CRYSTAL_1",
		1952: "CRYSTAL_2",
		1953: "CRYSTAL_3",
		1954: "CRYSTAL_4",
		1955: "TREASUREBOX_2.gr2",
		1956: "NAGHT_SIEGER",
		1957: "ENTWEIHEN",
		1958: "G_ENTWEIHEN",
		1959: "G_ENTWEIHEN",
		1960: "G_ENTWEIHEN",
		1961: "G_ENTWEIHEN",
		1962: "ANTONIO",
		1963: "»õÇØÀÎÇü",
		1964: "Nightmare",
		1965: "Wild_Rose",
		1966: "DOPPELGANGER",
		1967: "YGNIZEM",
		1968: "STROUF",
		1969: "MARC",
		1970: "OBEAUNE",
		1971: "VADON",
		1972: "MARINA",
		1973: "Poring",
		1974: "BANSHEE_MASTER",
		1975: "BEHOLDER_MASTER",
		1976: "COBALT_MINERAL",
		1977: "HEAVY_METALING",
		1978: "HELL_APOCALIPS",
		1979: "ZAKUDAM",
		1980: "KUBLIN",
		1981: "HIGH_ORC",
		1982: "ORC_ARCHER",
		1983: "ORC_SKELETON",
		1984: "ORC_LADY",
		1985: "DANDELION",
		1986: "TATACHO",
		1987: "CENTIPEDE",
		1988: "NEPENTHES",
		1989: "HILLSRION",
		1990: "HARDROCK_MOMMOTH",
		1991: "TENDRILRION",
		1992: "CORNUS",
		1993: "NAGA",
		1994: "LUCIOLA_VESPA",
		1995: "PINGUICULA",
		1996: "BACSOJIN",
		1997: "TATACHO",
		1998: "HILLSRION",
		1999: "CENTIPEDE_LARVA",
		2000: "M_GAMEMASTER",
		2001: "F_GAMEMASTER",
		2002: "G_SPRING_RABBIT",
		2003: "BACSOJIN",
		2004: "WICKED_NYMPH",
		2005: "PLASMA_B",
		2006: "PLASMA_P",
		2007: "PLASMA_R",
		2008: "BLOODY_KNIGHT",
		2009: "GOAT",
		2010: "MAJORUROS",
		2011: "Ghoul",
		2012: "Zombie",
		2013: "DRACO",
		2014: "DRACO_EGG",
		2015: "PINGUICULA_D",
		2016: "AQUA_ELEMENTAL",
		2017: "RATA",
		2018: "DUNEYRR",
		2019: "ANCIENT_TREE",
		2020: "RHYNCHO",
		2021: "PHYLLA",
		2022: "S_NYDHOG",
		2023: "DARK_SHADOW",
		2024: "BRADIUM_GOLEM",
		2025: "MYSTCASE",
		2026: "DANDELION",
		2027: "DARK_SHADOW",
		2028: "E_MINOROUS",
		2029: "MINOROUS",
		2030: "FALLINGBISHOP",
		2031: "dandelion",
		2032: "BAPHOMET_",
		2033: "YELLOW_PLANT",
		2034: "DESERT_WOLF_B",
		2035: "NIHILITY_ZEM",
		2036: "RANDGRIS",
		2037: "RANDGRIS",
		2038: "RANDGRIS",
		2039: "EXECUTIONER",
		2040: "TIRFING",
		2041: "MYSTELTAINN",
		2042: "¹ÌÄÉ´Ð_·Îº¿_¹°¸®",
		2043: "¹ÌÄÉ´Ð_·Îº¿_¸¶¹ý",
		2044: "¹ÌÄÉ´Ð_·Îº¿_¸¶¹ý",
		2045: "¹ÌÄÉ´Ð_·Îº¿_¸¶¹ý",
		2046: "¹ÌÄÉ´Ð_·Îº¿_¸¶¹ý",
		2047: "NAGA",
		2048: "PINGUICULA_D",
		2049: "BRADIUM_GOLEM",
		2050: "AQUA_ELEMENTAL",
		2051: "Baphomet",
		2052: "Dark_Lord",
		2053: "DIMIK",
		2054: "BATHORY",
		2055: "INCUBUS",
		2056: "ZHERLTHSH",
		2057: "CRAMP",
		2058: "MIMIC",
		2059: "DISGUISE",
		2060: "ALICE",
		2061: "STAPO",
		2062: "POPORING",
		2063: "DROPS",
		2064: "MAGMARING",
		2065: "METALING",
		2066: "ANOPHELES",
		2067: "ANOPHELES",
		2068: "BOITATA",
		2069: "IARA",
		2070: "PIRANHA",
		2071: "HEADLESS_MULE",
		2072: "JAGUAR",
		2073: "TOUCAN",
		2074: "CURUPIRA",
		2075: "E_VADON_X",
		2076: "WIND_GHOST",
		2077: "SKOGUL",
		2078: "SUCCUBUS",
		2079: "CRYSTAL_H",
		2080: "CRYSTAL_L",
		2081: "HYDRA",
		2082: "PIRANHA",
		2083: "HORN_SCARABA",
		2084: "HORN_SCARABA2",
		2085: "ANTLER_SCARABA",
		2086: "RAKE_SCARABA",
		2087: "QUEEN_SCARABA",
		2088: "HORN_SCARABA_EGG",
		2089: "HORN_SCARABA2_EGG",
		2090: "ANTLER_SCARABA_EGG",
		2091: "RAKE_SCARABA_EGG",
		2092: "DOLOMEDES",
		2093: "BOTARING",
		2094: "ORK_HERO",
		2095: "EDDGA",
		2096: "Osiris",
		2097: "DRACULA",
		2098: "DOPPELGANGER",
		2099: "Mistress",
		2100: "BAPHOMET",
		2101: "LORD_OF_DEATH",
		2102: "Dark_Lord",
		2103: "KTULLANUX",
		2104: "DARK_SNAKE_LORD",
		2105: "TURTLE_GENERAL",
		2106: "APOCALIPS_H",
		2107: "FALLINGBISHOP",
		2108: "GLOOMUNDERNIGHT",
		2109: "RANDGRIS",
		2110: "IFRIT",
		2111: "HARWORD",
		2112: "SEYREN",
		2113: "EREMES",
		2114: "EL_AGNI_S",
		2115: "EL_AGNI_M",
		2116: "EL_AGNI_L",
		2117: "EL_AQUA_S",
		2118: "EL_AQUA_M",
		2119: "EL_AQUA_L",
		2120: "EL_VENTUS_S",
		2121: "EL_VENTUS_M",
		2122: "EL_VENTUS_L",
		2123: "EL_TERA_S",
		2124: "EL_TERA_M",
		2125: "EL_TERA_L",
		2131: "LOST_DRAGON",
		2132: "POM_SPIDER",
		2133: "ANGRA_MANTIS",
		2134: "PARUS",
		2135: "CREEPER",
		2136: "LITTLE_FATUM",
		2137: "MIMING",
		2138: "NYDHOG_MEMORY1_1",
		2139: "NYDHOG_MEMORY1_2",
		2140: "NYDHOG_MEMORY1_1",
		2141: "NYDHOG_MEMORY1_2",
		2142: "NYDHOG_MEMORY1_1",
		2143: "NYDHOG_MEMORY1_2",
		2144: "ANTLER_SCARABA",
		2145: "RAKE_SCARABA",
		2146: "S_NYDHOG",
		2147: "WHITE_PLANT",
		2148: "BLUE_PLANT",
		2149: "SAVAGE_BABE",
		2150: "WATERMELON",
		2151: "ALNOLDI",
		2152: "COMODO",
		2153: "CENDRAWASIH",
		2154: "BANASPATY",
		2155: "BUTOIJO",
		2156: "LEAK",
		2157: "BANASPATY",
		2158: "HORNET",
		2159: "GIANT_HORNET",
		2160: "LUCIOLA_VESPA",
		2161: "I_HORN_SCARABA",
		2162: "I_HORN_SCARABA2",
		2163: "I_ANTLER_SCARABA",
		2164: "I_RAKE_SCARABA",
		2165: "I_QUEEN_SCARABA",
		2166: "I_HORN_SCARABA_EGG",
		2167: "I_HORN_SCARABA2_EGG",
		2168: "I_ANTLER_SCARABA_EGG",
		2169: "I_RAKE_SCARABA_EGG",
		2170: "I_ANTLER_SCARABA",
		2171: "I_RAKE_SCARABA",
		2172: "I_HORN_SCARABA",
		2173: "I_HORN_SCARABA2",
		2174: "VADON",
		2175: "MARSE",
		2176: "CRAB",
		2177: "CORNUTUS",
		2178: "SHELLFISH",
		2179: "KUKRE",
		2180: "STROUF",
		2181: "SWORD_FISH",
		2182: "MARC",
		2183: "ANOLIAN",
		2184: "OBEAUNE",
		2185: "KAPHA",
		2186: "COELACANTH_N",
		2187: "COELACANTH_N",
		2188: "COELACANTH_N",
		2189: "COELACANTH_H",
		2190: "COELACANTH_H",
		2191: "MD_SEAWEED",
		2192: "MD_OCTOPUS",
		2193: "MD_OCTOPUS_LEG",
		2194: "MD_GIANT_OCTOPUS",
		2195: "KUKRE",
		2196: "STROUF",
		2197: "RED_ERUMA",
		2198: "KING_DRAMOH",
		2199: "SIORAVA",
		2200: "J_TAINI",
		2201: "SROPHO",
		2202: "KRAKEN",
		2203: "POT_DOFLE",
		2204: "SEDORA",
		2205: "TACNU",
		2206: "KRAKEN_LEG",
		2207: "RACARCH",
		2208: "WILD_RIDER",
		2209: "THIEF_BUG",
		2210: "XMAS_LUNATIC",
		2211: "TEDDY_BEAR",
		2212: "KNIGHT_OF_WINDSTORM",
		2213: "WANDER_MAN",
		2214: "WICKED_NYMPH",
		2215: "KASA",
		2216: "SALAMANDER",
		2217: "TEDDY_BEAR",
		2218: "MD_OCTOPUS_LEG",
		2219: "MD_GIANT_OCTOPUS",
		2220: "quve",
		2221: "RANDEL",
		2222: "FLAMEL",
		2223: "CELIA",
		2224: "CHEN",
		2225: "GERTIE",
		2226: "ALPHOCCIO",
		2227: "TRENTINI",
		2228: "RANDEL",
		2229: "FLAMEL",
		2230: "CELIA",
		2231: "CHEN",
		2232: "GERTIE",
		2233: "ALPHOCCIO",
		2234: "TRENTINI",
		2235: "RANDEL",
		2236: "FLAMEL",
		2237: "CELIA",
		2238: "CHEN",
		2239: "GERTIE",
		2240: "ALPHOCCIO",
		2241: "TRENTINI",
		2242: "DESERT_WOLF",
		2243: "DESERT_WOLF_B",
		2244: "CHEN",
		2245: "8W_SOLDIER",
		2246: "WOOTAN_FIGHTER",
		2247: "INCREASE_SOIL",
		2248: "GOLDPORING",
		2249: "PYURIEL",
		2250: "LORA",
		2251: "GIOIA",
		2252: "ELVIRA",
		2253: "DAEHYON",
		2254: "SOHEON",
		2255: "KADES",
		2256: "RUDO",
		2257: "PIAMETTE",
		2258: "PIAMETTE",
		2259: "GARDEN_KEEPER",
		2260: "GARDEN_KEEPER",
		2261: "GARDEN_WATCHER",
		2262: "GARDEN_WATCHER",
		2263: "WISH_MAIDEN",
		2264: "ARMAIA",
		2265: "ARMAIA",
		2266: "EREND",
		2267: "EREND",
		2268: "KAVAC",
		2269: "KAVAC",
		2270: "RAWREL",
		2271: "RAWREL",
		2272: "WHIKEBAIN",
		2273: "WHIKEBAIN",
		2274: "YGNIZEM",
		2275: "YGNIZEM",
		2276: "DOPPELGANGER",
		2277: "LORA",
		2278: "ELVIRA",
		2279: "SOHEON",
		2280: "RUDO",
		2281: "DARK_SHADOW",
		2282: "DARK_FRAME",
		2283: "DARK_PRIEST",
		2284: "KOBOLD_1",
		2285: "KOBOLD_2",
		2286: "KOBOLD_3",
		2287: "KOBOLD_ARCHER",
		2288: "TREASUREBOX_2.gr2",
		2289: "FABRE",
		2290: "THIEF_BUG",
		2291: "HORNET",
		2292: "HORN",
		2293: "KIND_OF_BEETLE",
		2294: "ARGIOPE",
		2295: "GIANT_SPIDER",
		2296: "KILLER_MANTIS",
		2297: "GIANT_HONET",
		2298: "DRAGON_TAIL",
		2299: "STAINER",
		2300: "CHOCHO",
		2301: "STEEL_CHOCHO",
		2302: "HUNTER_FLY",
		2303: "MAYA",
		2304: "QUEEN_SCARABA",
		2305: "UNGOLIANT",
		2306: "GOLDEN_BUG",
		2307: "MISTRESS",
		2308: "SHINOBI",
		2309: "BUNGISNGIS",
		2310: "ENGKANTO",
		2311: "MANANANGGAL",
		2312: "MANGKUKULAM",
		2313: "TIKBALANG",
		2314: "TIYANAK",
		2315: "WAKWAK",
		2316: "JEJELING",
		2317: "BANGUNGOT",
		2318: "BANGUNGOT",
		2319: "BUWAYA",
		2320: "BAKONAWA",
		2321: "BAKONAWA",
		2322: "BAKONAWA",
		2323: "BOMBPORING",
		2324: "PENOMENA",
		2325: "BAPHOMET_",
		2326: "GALAPAGO",
		2327: "ELDER_WILOW",
		2328: "ANOPHELES",
		2329: "ANT_EGG",
		2330: "DRACO",
		2331: "MD_SEAWEED",
		2332: "BUWAYA",
		2333: "ANOPHELES",
		2334: "WAKWAK",
		2335: "TREASUREBOX_2.gr2",
		2336: "DOMOVOI",
		2337: "ANOPHELES",
		2338: "MANANANGGAL",
		2339: "MANGKUKULAM",
		2340: "TIYANAK",
		2341: "WISH_MAIDEN",
		2342: "DIABOLIC",
		2343: "ANOPHELES",
		2344: "WISH_MAIDEN",
		2345: "ZHERLTHSH",
		2346: "KTULLANUX",
		2347: "EDDGA",
		2348: "CIVIL_SERVANT",
		2349: "LOLI_RURI",
		2350: "SEDORA",
		2351: "CHEPET",
		2352: "E_RSX_0805",
		2353: "N_MINOROUS",
		2354: "N_MUMMY",
		2355: "N_VORIT",
		2356: "N_MIMIC",
		2357: "N_MIMIC",
		2358: "N_ARCLOUSE",
		2359: "N_ARCLOUSE",
		2360: "N_ANCIENT_MUMMY",
		2361: "N_ANCIENT_MUMMY",
		2362: "N_AMON_RA",
		2363: "MENBLATT",
		2364: "PETAL",
		2365: "CENERE",
		2366: "ANTIQUE_BOOK",
		2367: "LICHTERN_B",
		2368: "LICHTERN_Y",
		2369: "LICHTERN_R",
		2370: "LICHTERN_G",
		2371: "FAITHFUL_MANAGER",
		2372: "SOIL",
		2373: "ROCK",
		2374: "THICKET",
		2375: "MOROCC_4",
		2376: "MOROCC_2",
		2377: "NOVUS_",
		2378: "ANTLER_SCARABA",
		2379: "XMAS_SMOKEY_SOCK",
		2380: "XMAS_SMOKEY_GIFT",
		2381: "VADON",
		2382: "E_VADON_X",
		2383: "VADON",
		2384: "KRAKEN_LEG",
		2385: "KRAKEN_LEG",
		2386: "KRAKEN_LEG",
		2387: "KRAKEN_LEG",
		2388: "KRAKEN_LEG",
		2390: "KRAKEN_LEG",
		2391: "KRAKEN_LEG",
		2392: "KRAKEN_LEG",
		2393: "KRAKEN_LEG",
		2394: "MERMAN_SE",
		2395: "SEIREN",
		2396: "POSEIDON",
		2397: "KRAKEN_BABY",
		2398: "LITTLE_PORING",
		2399: "MINI_DEMON",
		2400: "DIABOLIC",
		2401: "PORING",
		2402: "POPORING",
		2403: "POPORING",
		2404: "DEAD_PLANKTON",
		2405: "WEAK_SKELETON",
		2406: "WEAK_SKEL_SOLDIER",
		2407: "SAILOR_SKELETON",
		2408: "PECO_EGG",
		2409: "HORN_SCARABA_EGG",
		2410: "HORN_SCARABA2_EGG",
		2411: "DRAGON_EGG",
		2412: "RANDGRIS",
		2413: "ANT_EGG",
		2414: "RIDEWORD",
		4001: "High Novice",
		4002: "High Swordman",
		4003: "High Mage",
		4004: "High Archer",
		4005: "High Acolyte",
		4006: "High Merchant",
		4007: "High Thief",
		4008: "Lord Knight",
		4009: "High Priest",
		4010: "High Wizard",
		4011: "Mastersmith",
		4012: "Sniper",
		4013: "Assassin Cross",
		4014: "Lord Knight",
		4015: "Paladin",
		4016: "Champion",
		4017: "Scholar",
		4018: "Stalker",
		4019: "Biochemist",
		4020: "Minstrel",
		4021: "Gypsy",
		4022: "Paladin",
		4023: "Baby",
		4024: "Baby Swordman",
		4025: "Baby Magician",
		4026: "Baby Archer",
		4027: "Baby Acolyte",
		4028: "Baby Merchant",
		4029: "Baby Thief",
		4030: "Baby Knight",
		4031: "Baby Priest",
		4032: "Baby Wizard",
		4033: "Baby Blacksmith",
		4034: "Baby Hunter",
		4035: "Baby Assassin",
		4036: "Baby Knight",
		4037: "Baby Crusader",
		4038: "Baby Monk",
		4039: "Baby Sage",
		4040: "Baby Rogue",
		4041: "Baby Alchemist",
		4042: "Baby Bard",
		4043: "Baby Dancer",
		4044: "Baby Crusader",
		4045: "Super Baby",
		4046: "TaeKwon Boy",
		4047: "Taekwon Master",
		4048: "Taekwon Master",
		4049: "Soul Linker",
		4050: "Gangsi",
		4051: "Death Knight",
		4052: "Dark Collector",
		4054: "Rune Knight",
		4055: "Warlock",
		4056: "Ranger",
		4057: "Arc Bishop",
		4058: "Mechanic",
		4059: "Guillotine Cross",
		4060: "Rune Knight",
		4061: "Warlock",
		4062: "Ranger",
		4063: "Arc Bishop",
		4064: "Mechanic",
		4065: "Guillotine Cross",
		4066: "Royal Guard",
		4067: "Sorcerer",
		4068: "Minstrel",
		4069: "Wanderer",
		4070: "Sura",
		4071: "Genetic",
		4072: "Shadow Chaser",
		4073: "Royal Guard",
		4074: "Sorcerer",
		4075: "Minstrel",
		4076: "Wanderer",
		4077: "Sura",
		4078: "Genetic",
		4079: "Shadow Chaser",
		4080: "Rune Knight",
		4081: "Rune Knight",
		4082: "Royal Guard",
		4083: "Royal Guard",
		4084: "Ranger",
		4085: "Ranger",
		4086: "Mechanic",
		4087: "Mechanic",
		4096: "Baby Rune",
		4097: "Baby Warlock",
		4098: "Baby Ranger",
		4099: "Baby Bishop",
		4100: "Baby Mechanic",
		4101: "Baby Cross",
		4102: "Baby Guard",
		4103: "Baby Sorcerer",
		4104: "Baby Minstrel",
		4105: "Baby Wanderer",
		4106: "Baby Sura",
		4107: "Baby Genetic",
		4108: "Baby Chaser",
		4109: "Baby Rune",
		4110: "Baby Guard",
		4111: "Baby Ranger",
		4112: "Baby Mechanic",
		4190: "Super Novice",
		4191: "Super Baby",
		4211: "Kagerou",
		4212: "Oboro",
		4215: "Rebellion",
		6001: "LIF",
		6002: "AMISTR",
		6003: "FILIR",
		6004: "VANILMIRTH",
		6005: "LIF2",
		6006: "AMISTR2",
		6007: "FILIR2",
		6008: "VANILMIRTH2",
		6009: "LIF_H",
		6010: "AMISTR_H",
		6011: "FILIR_H",
		6012: "VANILMIRTH_H",
		6013: "LIF_H2",
		6014: "AMISTR_H2",
		6015: "FILIR_H2",
		6016: "VANILMIRTH_H2",
		6017: "¿©\\È°¿ëº´",
		6018: "¿©\\È°¿ëº´",
		6019: "¿©\\È°¿ëº´",
		6020: "¿©\\È°¿ëº´",
		6021: "¿©\\È°¿ëº´",
		6022: "¿©\\È°¿ëº´",
		6023: "¿©\\È°¿ëº´",
		6024: "¿©\\È°¿ëº´",
		6025: "¿©\\È°¿ëº´",
		6026: "¿©\\È°¿ëº´",
		6027: "³²\\Ã¢¿ëº´",
		6028: "³²\\Ã¢¿ëº´",
		6029: "³²\\Ã¢¿ëº´",
		6030: "³²\\Ã¢¿ëº´",
		6031: "³²\\Ã¢¿ëº´",
		6032: "³²\\Ã¢¿ëº´",
		6033: "³²\\Ã¢¿ëº´",
		6034: "³²\\Ã¢¿ëº´",
		6035: "³²\\Ã¢¿ëº´",
		6036: "³²\\Ã¢¿ëº´",
		6037: "³²\\°Ë¿ëº´",
		6038: "³²\\°Ë¿ëº´",
		6039: "³²\\°Ë¿ëº´",
		6040: "³²\\°Ë¿ëº´",
		6041: "³²\\°Ë¿ëº´",
		6042: "³²\\°Ë¿ëº´",
		6043: "³²\\°Ë¿ëº´",
		6044: "³²\\°Ë¿ëº´",
		6045: "³²\\°Ë¿ëº´",
		6046: "³²\\°Ë¿ëº´",
		6048: "MER_EIRA",
		6049: "MER_BAYERI",
		6050: "MER_SERA",
		6051: "MER_DIETER",
		6052: "MER_ELEANOR"
	};
});