/**
 * DB/Status/StatusConst.js
 *
 * Status constants enumeration
 *
 * This file is part of ROBrowser, Ragnarok Online in the Web Browser (http:www.robrowser.com/).
 *
 * @author Vincent Thibault
 */
define(function()
{
	"use strict";

	return {
		PROVOKE:                                 0,
		ENDURE:                                  1,
		TWOHANDQUICKEN:                          2,
		CONCENTRATION:                           3,
		HIDING:                                  4,
		CLOAKING:                                5,
		ENCHANTPOISON:                           6,
		POISONREACT:                             7,
		QUAGMIRE:                                8,
		ANGELUS:                                 9,
		BLESSING:                               10,
		CRUCIS:                                 11,
		INC_AGI:                                12,
		DEC_AGI:                                13,
		SLOWPOISON:                             14,
		IMPOSITIO:                              15,
		SUFFRAGIUM:                             16,
		ASPERSIO:                               17,
		BENEDICTIO:                             18,
		KYRIE:                                  19,
		MAGNIFICAT:                             20,
		GLORIA:                                 21,
		LEXAETERNA:                             22,
		ADRENALINE:                             23,
		WEAPONPERFECT:                          24,
		OVERTHRUST:                             25,
		MAXIMIZE:                               26,
		RIDING:                                 27,
		FALCON:                                 28,
		TRICKDEAD:                              29,
		SHOUT:                                  30,
		ENERGYCOAT:                             31,
		BROKENARMOR:                            32,
		BROKENWEAPON:                           33,
		ILLUSION:                               34,
		WEIGHTOVER50:                           35,
		WEIGHTOVER90:                           36,
		ATTHASTE_POTION1:                       37,
		ATTHASTE_POTION2:                       38,
		ATTHASTE_POTION3:                       39,
		ATTHASTE_INFINITY:                      40,
		MOVHASTE_POTION:                        41,
		MOVHASTE_INFINITY:                      42,
		AUTOCOUNTER:                            43,
		SPLASHER:                               44,
		ANKLESNARE:                             45,
		POSTDELAY:                              46,
		NOACTION:                               47,
		IMPOSSIBLEPICKUP:                       48,
		BARRIER:                                49,
		NOEQUIPWEAPON:                          50,
		NOEQUIPSHIELD:                          51,
		NOEQUIPARMOR:                           52,
		NOEQUIPHELM:                            53,
		PROTECTWEAPON:                          54,
		PROTECTSHIELD:                          55,
		PROTECTARMOR:                           56,
		PROTECTHELM:                            57,
		AUTOGUARD:                              58,
		REFLECTSHIELD:                          59,
		DEVOTION:                               60,
		PROVIDENCE:                             61,
		DEFENDER:                               62,
		MAGICROD:                               63,
		WEAPONPROPERTY:                         64,
		AUTOSPELL:                              65,
		SPECIALZONE:                            66,
		MASK:                                   67,
		SPEARQUICKEN:                           68,
		BDPLAYING:                              69,
		WHISTLE:                                70,
		ASSASSINCROSS:                          71,
		POEMBRAGI:                              72,
		APPLEIDUN:                              73,
		HUMMING:                                74,
		DONTFORGETME:                           75,
		FORTUNEKISS:                            76,
		SERVICEFORYOU:                          77,
		RICHMANKIM:                             78,
		ETERNALCHAOS:                           79,
		DRUMBATTLEFIELD:                        80,
		RINGNIBELUNGEN:                         81,
		ROKISWEIL:                              82,
		INTOABYSS:                              83,
		SIEGFRIED:                              84,
		BLADESTOP:                              85,
		EXPLOSIONSPIRITS:                       86,
		STEELBODY:                              87,
		EXTREMITYFIST:                          88,
		COMBOATTACK:                            89,
		PROPERTYFIRE:                           90,
		PROPERTYWATER:                          91,
		PROPERTYWIND:                           92,
		PROPERTYGROUND:                         93,
		MAGICATTACK:                            94,
		STOP:                                   95,
		WEAPONBRAKER:                           96,
		PROPERTYUNDEAD:                         97,
		POWERUP:                                98,
		AGIUP:                                  99,
		SIEGEMODE:                              100,
		INVISIBLE:                              101,
		STATUSONE:                              102,
		AURABLADE:                              103,
		PARRYING:                               104,
		LKCONCENTRATION:                        105,
		TENSIONRELAX:                           106,
		BERSERK:                                107,
		SACRIFICE:                              108,
		GOSPEL:                                 109,
		ASSUMPTIO:                              110,
		BASILICA:                               111,
		GROUNDMAGIC:                            112,
		MAGICPOWER:                             113,
		EDP:                                    114,
		TRUESIGHT:                              115,
		WINDWALK:                               116,
		MELTDOWN:                               117,
		CARTBOOST:                              118,
		CHASEWALK:                              119,
		SWORDREJECT:                            120,
		MARIONETTE_MASTER:                      121,
		MARIONETTE:                             122,
		MOON:                                   123,
		BLOODING:                               124,
		JOINTBEAT:                              125,
		MINDBREAKER:                            126,
		MEMORIZE:                               127,
		FOGWALL:                                128,
		SPIDERWEB:                              129,
		PROTECTEXP:                             130,
		SUB_WEAPONPROPERTY:                     131,
		AUTOBERSERK:                            132,
		RUN:                                    133,
		TING:                                   134,
		STORMKICK_ON:                           135,
		STORMKICK_READY:                        136,
		DOWNKICK_ON:                            137,
		DOWNKICK_READY:                         138,
		TURNKICK_ON:                            139,
		TURNKICK_READY:                         140,
		COUNTER_ON:                             141,
		COUNTER_READY:                          142,
		DODGE_ON:                               143,
		DODGE_READY:                            144,
		STRUP:                                  145,
		PROPERTYDARK:                           146,
		ADRENALINE2:                            147,
		PROPERTYTELEKINESIS:                    148,
		SOULLINK:                               149,
		PLUSATTACKPOWER:                        150,
		PLUSMAGICPOWER:                         151,
		DEVIL1:                                 152,
		KAITE:                                  153,
		SWOO:                                   154,
		STAR2:                                  155,
		KAIZEL:                                 156,
		KAAHI:                                  157,
		KAUPE:                                  158,
		SMA_READY:                              159,
		SKE:                                    160,
		ONEHANDQUICKEN:                         161,
		FRIEND:                                 162,
		FRIENDUP:                               163,
		SG_WARM:                                164,
		SG_SUN_WARM:                            165,
		SG_MOON_WARM:                           166,
		SG_STAR_WARM:                           167,
		EMOTION:                                168,
		SUN_COMFORT:                            169,
		MOON_COMFORT:                           170,
		STAR_COMFORT:                           171,
		EXPUP:                                  172,
		GDSKILL_BATTLEORDER:                    173,
		GDSKILL_REGENERATION:                   174,
		GDSKILL_POSTDELAY:                      175,
		RESISTHANDICAP:                         176,
		MAXHPPERCENT:                           177,
		MAXSPPERCENT:                           178,
		DEFENCE:                                179,
		SLOWDOWN:                               180,
		PRESERVE:                               181,
		INCSTR:                                 182,
		NOT_EXTREMITYFIST:                      183,
		CLAIRVOYANCE:                           184,
		MOVESLOW_POTION:                        185,
		DOUBLECASTING:                          186,
		GRAVITATION:                            187,
		OVERTHRUSTMAX:                          188,
		LONGING:                                189,
		HERMODE:                                190,
		TAROTCARD:                              191,
		HLIF_AVOID:                             192,
		HFLI_FLEET:                             193,
		HFLI_SPEED:                             194,
		HLIF_CHANGE:                            195,
		HAMI_BLOODLUST:                         196,
		CR_SHRINK:                              197,
		WZ_SIGHTBLASTER:                        198,
		DC_WINKCHARM:                           199,
		RG_CCONFINE_M:                          200,
		RG_CCONFINE_S:                          201,
		DISABLEMOVE:                            202,
		GS_MADNESSCANCEL:                       203,
		GS_GATLINGFEVER:                        204,
		EARTHSCROLL:                            205,
		NJ_UTSUSEMI:                            206,
		NJ_BUNSINJYUTSU:                        207,
		NJ_NEN:                                 208,
		GS_ADJUSTMENT:                          209,
		GS_ACCURACY:                            210,
		NJ_SUITON:                              211,
		PET:                                    212,
		MENTAL:                                 213,
		EXPMEMORY:                              214,
		PERFORMANCE:                            215,
		GAIN:                                   216,
		GRIFFON:                                217,
		DRIFT:                                  218,
		WALLSHIFT:                              219,
		REINCARNATION:                          220,
		PATTACK:                                221,
		PSPEED:                                 222,
		PDEFENSE:                               223,
		PCRITICAL:                              224,
		RANKING:                                225,
		PTRIPLE:                                226,
		DENERGY:                                227,
		WAVE1:                                  228,
		WAVE2:                                  229,
		WAVE3:                                  230,
		WAVE4:                                  231,
		DAURA:                                  232,
		DFREEZER:                               233,
		DPUNISH:                                234,
		DBARRIER:                               235,
		DWARNING:                               236,
		MOUSEWHEEL:                             237,
		DGAUGE:                                 238,
		DACCEL:                                 239,
		DBLOCK:                                 240,
		FOOD_STR:                               241,
		FOOD_AGI:                               242,
		FOOD_VIT:                               243,
		FOOD_DEX:                               244,
		FOOD_INT:                               245,
		FOOD_LUK:                               246,
		FOOD_BASICAVOIDANCE:                    247,
		FOOD_BASICHIT:                          248,
		FOOD_CRITICALSUCCESSVALUE:              249,
		CASH_PLUSEXP:                           250,
		CASH_DEATHPENALTY:                      251,
		CASH_RECEIVEITEM:                       252,
		CASH_BOSS_ALARM:                        253,
		DA_ENERGY:                              254,
		DA_FIRSTSLOT:                           255,
		DA_HEADDEF:                             256,
		DA_SPACE:                               257,
		DA_TRANSFORM:                           258,
		DA_ITEMREBUILD:                         259,
		DA_ILLUSION:                            260,
		DA_DARKPOWER:                           261,
		DA_EARPLUG:                             262,
		DA_CONTRACT:                            263,
		DA_BLACK:                               264,
		DA_MAGICCART:                           265,
		CRYSTAL:                                266,
		DA_REBUILD:                             267,
		DA_EDARKNESS:                           268,
		DA_EGUARDIAN:                           269,
		DA_TIMEOUT:                             270,
		FOOD_STR_CASH:                          271,
		FOOD_AGI_CASH:                          272,
		FOOD_VIT_CASH:                          273,
		FOOD_DEX_CASH:                          274,
		FOOD_INT_CASH:                          275,
		FOOD_LUK_CASH:                          276,
		MER_FLEE:                               277,
		MER_ATK:                                278,
		MER_HP:                                 279,
		MER_SP:                                 280,
		MER_HIT:                                281,
		SLOWCAST:                               282,
		MAGICMIRROR:                            283,
		STONESKIN:                              284,
		ANTIMAGIC:                              285,
		CRITICALWOUND:                          286,
		NPC_DEFENDER:                           287,
		NOACTION_WAIT:                          288,
		MOVHASTE_HORSE:                         289,
		PROTECT_DEF:                            290,
		PROTECT_MDEF:                           291,
		HEALPLUS:                               292,
		S_LIFEPOTION:                           293,
		L_LIFEPOTION:                           294,
		CRITICALPERCENT:                        295,
		PLUSAVOIDVALUE:                         296,
		ATKER_ASPD:                             297,
		TARGET_ASPD:                            298,
		ATKER_MOVESPEED:                        299,
		ATKER_BLOOD:                            300,
		TARGET_BLOOD:                           301,
		ARMOR_PROPERTY:                         302,
		REUSE_LIMIT_A:                          303,
		HELLPOWER:                              304,
		STEAMPACK:                              305,
		REUSE_LIMIT_B:                          306,
		REUSE_LIMIT_C:                          307,
		REUSE_LIMIT_D:                          308,
		REUSE_LIMIT_E:                          309,
		REUSE_LIMIT_F:                          310,
		INVINCIBLE:                             311,
		CASH_PLUSONLYJOBEXP:                    312,
		PARTYFLEE:                              313,
		ANGEL_PROTECT:                          314,
		ENDURE_MDEF:                            315,
		ENCHANTBLADE:                           316,
		DEATHBOUND:                             317,
		REFRESH:                                318,
		GIANTGROWTH:                            319,
		STONEHARDSKIN:                          320,
		VITALITYACTIVATION:                     321,
		FIGHTINGSPIRIT:                         322,
		ABUNDANCE:                              323,
		REUSE_MILLENNIUMSHIELD:                 324,
		REUSE_CRUSHSTRIKE:                      325,
		REUSE_REFRESH:                          326,
		REUSE_STORMBLAST:                       327,
		VENOMIMPRESS:                           328,
		EPICLESIS:                              329,
		ORATIO:                                 330,
		LAUDAAGNUS:                             331,
		LAUDARAMUS:                             332,
		CLOAKINGEXCEED:                         333,
		HALLUCINATIONWALK:                      334,
		HALLUCINATIONWALK_POSTDELAY:            335,
		RENOVATIO:                              336,
		WEAPONBLOCKING:                         337,
		WEAPONBLOCKING_POSTDELAY:               338,
		ROLLINGCUTTER:                          339,
		EXPIATIO:                               340,
		POISONINGWEAPON:                        341,
		TOXIN:                                  342,
		PARALYSE:                               343,
		VENOMBLEED:                             344,
		MAGICMUSHROOM:                          345,
		DEATHHURT:                              346,
		PYREXIA:                                347,
		OBLIVIONCURSE:                          348,
		LEECHESEND:                             349,
		DUPLELIGHT:                             350,
		FROSTMISTY:                             351,
		FEARBREEZE:                             352,
		ELECTRICSHOCKER:                        353,
		MARSHOFABYSS:                           354,
		RECOGNIZEDSPELL:                        355,
		STASIS:                                 356,
		WUGRIDER:                               357,
		WUGDASH:                                358,
		WUGBITE:                                359,
		CAMOUFLAGE:                             360,
		ACCELERATION:                           361,
		HOVERING:                               362,
		SPHERE_1:                               363,
		SPHERE_2:                               364,
		SPHERE_3:                               365,
		SPHERE_4:                               366,
		SPHERE_5:                               367,
		MVPCARD_TAOGUNKA:                       368,
		MVPCARD_MISTRESS:                       369,
		MVPCARD_ORCHERO:                        370,
		MVPCARD_ORCLORD:                        371,
		OVERHEAT_LIMITPOINT:                    372,
		OVERHEAT:                               373,
		SHAPESHIFT:                             374,
		INFRAREDSCAN:                           375,
		MAGNETICFIELD:                          376,
		NEUTRALBARRIER:                         377,
		NEUTRALBARRIER_MASTER:                  378,
		STEALTHFIELD:                           379,
		STEALTHFIELD_MASTER:                    380,
		MANU_ATK:                               381,
		MANU_DEF:                               382,
		SPL_ATK:                                383,
		SPL_DEF:                                384,
		REPRODUCE:                              385,
		MANU_MATK:                              386,
		SPL_MATK:                               387,
		STR_SCROLL:                             388,
		INT_SCROLL:                             389,
		LG_REFLECTDAMAGE:                       390,
		FORCEOFVANGUARD:                        391,
		BUCHEDENOEL:                            392,
		AUTOSHADOWSPELL:                        393,
		SHADOWFORM:                             394,
		RAID:                                   395,
		SHIELDSPELL_DEF:                        396,
		SHIELDSPELL_MDEF:                       397,
		SHIELDSPELL_REF:                        398,
		BODYPAINT:                              399,
		EXEEDBREAK:                             400,
		ADORAMUS:                               401,
		PRESTIGE:                               402,
		INVISIBILITY:                           403,
		DEADLYINFECT:                           404,
		BANDING:                                405,
		EARTHDRIVE:                             406,
		INSPIRATION:                            407,
		ENERVATION:                             408,
		GROOMY:                                 409,
		RAISINGDRAGON:                          410,
		IGNORANCE:                              411,
		LAZINESS:                               412,
		LIGHTNINGWALK:                          413,
		ACARAJE:                                414,
		UNLUCKY:                                415,
		CURSEDCIRCLE_ATKER:                     416,
		CURSEDCIRCLE_TARGET:                    417,
		WEAKNESS:                               418,
		CRESCENTELBOW:                          419,
		NOEQUIPACCESSARY:                       420,
		STRIPACCESSARY:                         421,
		MANHOLE:                                422,
		POPECOOKIE:                             423,
		FALLENEMPIRE:                           424,
		GENTLETOUCH_ENERGYGAIN:                 425,
		GENTLETOUCH_CHANGE:                     426,
		GENTLETOUCH_REVITALIZE:                 427,
		BLOODYLUST:                             428,
		SWINGDANCE:                             429,
		SYMPHONYOFLOVERS:                       430,
		PROPERTYWALK:                           431,
		SPELLFIST:                              432,
		NETHERWORLD:                            433,
		SIREN:                                  434,
		DEEPSLEEP:                              435,
		SIRCLEOFNATURE:                         436,
		COLD:                                   437,
		GLOOMYDAY:                              438,
		SONG_OF_MANA:                           439,
		CLOUDKILL:                              440,
		DANCEWITHWUG:                           441,
		RUSHWINDMILL:                           442,
		ECHOSONG:                               443,
		HARMONIZE:                              444,
		STRIKING:                               445,
		WARMER:                                 446,
		MOONLITSERENADE:                        447,
		SATURDAYNIGHTFEVER:                     448,
		SITDOWN_FORCE:                          449,
		ANALYZE:                                450,
		LERADSDEW:                              451,
		MELODYOFSINK:                           452,
		WARCRYOFBEYOND:                         453,
		UNLIMITEDHUMMINGVOICE:                  454,
		SPELLBOOK1:                             455,
		SPELLBOOK2:                             456,
		SPELLBOOK3:                             457,
		FREEZE_SP:                              458,
		GN_TRAINING_SWORD:                      459,
		GN_REMODELING_CART:                     460,
		CARTSBOOST:                             461,
		FIXEDCASTINGTM_REDUCE:                  462,
		THORNTRAP:                              463,
		BLOODSUCKER:                            464,
		SPORE_EXPLOSION:                        465,
		DEMONIC_FIRE:                           466,
		FIRE_EXPANSION_SMOKE_POWDER:            467,
		FIRE_EXPANSION_TEAR_GAS:                468,
		BLOCKING_PLAY:                          469,
		MANDRAGORA:                             470,
		ACTIVATE:                               471,
		SECRAMENT:                              472,
		ASSUMPTIO2:                             473,
		TK_SEVENWIND:                           474,
		LIMIT_ODINS_RECALL:                     475,
		STOMACHACHE:                            476,
		MYSTERIOUS_POWDER:                      477,
		MELON_BOMB:                             478,
		BANANA_BOMB_SITDOWN_POSTDELAY:          479,
		PROMOTE_HEALTH_RESERCH:                 480,
		ENERGY_DRINK_RESERCH:                   481,
		EXTRACT_WHITE_POTION_Z:                 482,
		VITATA_500:                             483,
		EXTRACT_SALAMINE_JUICE:                 484,
		BOOST500:                               485,
		FULL_SWING_K:                           486,
		MANA_PLUS:                              487,
		MUSTLE_M:                               488,
		LIFE_FORCE_F:                           489,
		VACUUM_EXTREME:                         490,
		SAVAGE_STEAK:                           491,
		COCKTAIL_WARG_BLOOD:                    492,
		MINOR_BBQ:                              493,
		SIROMA_ICE_TEA:                         494,
		DROCERA_HERB_STEAMED:                   495,
		PUTTI_TAILS_NOODLES:                    496,
		BANANA_BOMB:                            497,
		SUMMON_AGNI:                            498,
		SPELLBOOK4:                             499,
		SPELLBOOK5:                             500,
		SPELLBOOK6:                             501,
		SPELLBOOK7:                             502,
		ELEMENTAL_AGGRESSIVE:                   503,
		RETURN_TO_ELDICASTES:                   504,
		BANDING_DEFENCE:                        505,
		SKELSCROLL:                             506,
		DISTRUCTIONSCROLL:                      507,
		ROYALSCROLL:                            508,
		IMMUNITYSCROLL:                         509,
		MYSTICSCROLL:                           510,
		BATTLESCROLL:                           511,
		ARMORSCROLL:                            512,
		FREYJASCROLL:                           513,
		SOULSCROLL:                             514,
		CIRCLE_OF_FIRE:                         515,
		CIRCLE_OF_FIRE_OPTION:                  516,
		FIRE_CLOAK:                             517,
		FIRE_CLOAK_OPTION:                      518,
		WATER_SCREEN:                           519,
		WATER_SCREEN_OPTION:                    520,
		WATER_DROP:                             521,
		WATER_DROP_OPTION:                      522,
		WIND_STEP:                              523,
		WIND_STEP_OPTION:                       524,
		WIND_CURTAIN:                           525,
		WIND_CURTAIN_OPTION:                    526,
		WATER_BARRIER:                          527,
		ZEPHYR:                                 528,
		SOLID_SKIN:                             529,
		SOLID_SKIN_OPTION:                      530,
		STONE_SHIELD:                           531,
		STONE_SHIELD_OPTION:                    532,
		POWER_OF_GAIA:                          533,
		EL_WAIT:                                534,
		EL_PASSIVE:                             535,
		EL_DEFENSIVE:                           536,
		EL_OFFENSIVE:                           537,
		EL_COST:                                538,
		PYROTECHNIC:                            539,
		PYROTECHNIC_OPTION:                     540,
		HEATER:                                 541,
		HEATER_OPTION:                          542,
		TROPIC:                                 543,
		TROPIC_OPTION:                          544,
		AQUAPLAY:                               545,
		AQUAPLAY_OPTION:                        546,
		COOLER:                                 547,
		COOLER_OPTION:                          548,
		CHILLY_AIR:                             549,
		CHILLY_AIR_OPTION:                      550,
		GUST:                                   551,
		GUST_OPTION:                            552,
		BLAST:                                  553,
		BLAST_OPTION:                           554,
		WILD_STORM:                             555,
		WILD_STORM_OPTION:                      556,
		PETROLOGY:                              557,
		PETROLOGY_OPTION:                       558,
		CURSED_SOIL:                            559,
		CURSED_SOIL_OPTION:                     560,
		UPHEAVAL:                               561,
		UPHEAVAL_OPTION:                        562,
		TIDAL_WEAPON:                           563,
		TIDAL_WEAPON_OPTION:                    564,
		ROCK_CRUSHER:                           565,
		ROCK_CRUSHER_ATK:                       566,
		FIRE_INSIGNIA:                          567,
		WATER_INSIGNIA:                         568,
		WIND_INSIGNIA:                          569,
		EARTH_INSIGNIA:                         570,
		EQUIPED_FLOOR:                          571,
		GUARDIAN_RECALL:                        572,
		MORA_BUFF:                              573,
		REUSE_LIMIT_G:                          574,
		REUSE_LIMIT_H:                          575,
		NEEDLE_OF_PARALYZE:                     576,
		PAIN_KILLER:                            577,
		G_LIFEPOTION:                           578,
		VITALIZE_POTION:                        579,
		LIGHT_OF_REGENE:                        580,
		OVERED_BOOST:                           581,
		SILENT_BREEZE:                          582,
		ODINS_POWER:                            583,
		STYLE_CHANGE:                           584,
		SONIC_CLAW_POSTDELAY:                   585,
		// ...
		SILVERVEIN_RUSH_POSTDELAY:              596,
		MIDNIGHT_FRENZY_POSTDELAY:              597,
		GOLDENE_FERSE:                          598,
		ANGRIFFS_MODUS:                         599,
		TINDER_BREAKER:                         600,
		TINDER_BREAKER_POSTDELAY:               601,
		CBC:                                    602,
		CBC_POSTDELAY:                          603,
		EQC:                                    604,
		MAGMA_FLOW:                             605,
		GRANITIC_ARMOR:                         606,
		PYROCLASTIC:                            607,
		VOLCANIC_ASH:                           608,
		SPIRITS_SAVEINFO1:                      609,
		SPIRITS_SAVEINFO2:                      610,
		MAGIC_CANDY:                            611,
		SEARCH_STORE_INFO:                      612,
		ALL_RIDING:                             613,
		ALL_RIDING_REUSE_LIMIT:                 614,
		MACRO:                                  615,
		MACRO_POSTDELAY:                        616,
		BEER_BOTTLE_CAP:                        617,
		OVERLAPEXPUP:                           618,
		PC_IZ_DUN05:                            619,
		CRUSHSTRIKE:                            620,
		MONSTER_TRANSFORM:                      621,
		SIT:                                    622,
		ONAIR:                                  623,
		MTF_ASPD:                               624,
		MTF_RANGEATK:                           625,
		MTF_MATK:                               626,
		MTF_MLEATKED:                           627,
		MTF_CRIDAMAGE:                          628,
		REUSE_LIMIT_MTF:                        629,
		MACRO_PERMIT:                           630,
		MACRO_PLAY:                             631,
		SKF_CAST:                               632,
		SKF_ASPD:                               633,
		SKF_ATK:                                634,
		SKF_MATK:                               635,
		REWARD_PLUSONLYJOBEXP:                  636,
		HANDICAPSTATE_NORECOVER:                637,
		SET_NUM_DEF:                            638,
		SET_NUM_MDEF:                           639,
		SET_PER_DEF:                            640,
		SET_PER_MDEF:                           641,
		PARTYBOOKING_SEARCH_DEALY:              642,
		PARTYBOOKING_REGISTER_DEALY:            643,
		PERIOD_TIME_CHECK_DETECT_SKILL:         644,
		KO_JYUMONJIKIRI:                        645,
		MEIKYOUSISUI:                           646,
		ATTHASTE_CASH:                          647,
		EQUIPPED_DIVINE_ARMOR:                  648,
		EQUIPPED_HOLY_ARMOR:                    649,
		RWC2011:                                650,
		KYOUGAKU:                               651,
		IZAYOI:                                 652,
		ZENKAI:                                 653,
		KG_KAGEHUMI:                            654,
		KYOMU:                                  655,
		KAGEMUSYA:                              656,
		ZANGETSU:                               657,
		PHI_DEMON:                              658,
		GENSOU:                                 659,
		AKAITSUKI:                              660,
		TETANY:                                 661,
		GM_BATTLE:                              662,
		GM_BATTLE2:                             663,
		RWC_SCROLL2011:                         664,
		ACTIVE_MONSTER_TRANSFORM:               665,
		MYSTICPOWDER:                           666,
		ECLAGE_RECALL:                          667,
		ENTRY_QUEUE_APPLY_DELAY:                668,
		REUSE_LIMIT_ECL:                        669,
		M_LIFEPOTION:                           670,
		ENTRY_QUEUE_NOTIFY_ADMISSION_TIME_OUT:  671,
		UNKNOWN_NAME:                           672,
		ON_PUSH_CART:                           673,
		HAT_EFFECT:                             674,
		FLOWER_LEAF:                            675,
		RAY_OF_PROTECTION:                      676,
		GLASTHEIM_ATK:                          677,
		GLASTHEIM_DEF:                          678,
		GLASTHEIM_HEAL:                         679,
		GLASTHEIM_HIDDEN:                       680,
		GLASTHEIM_STATE:                        681,
		GLASTHEIM_ITEMDEF:                      682,
		GLASTHEIM_HPSP:                         683,
		HOMUN_SKILL_POSTDELAY:                  684,
		ALMIGHTY:                               685,
		GVG_GIANT:                              686,
		GVG_GOLEM:                              687,
		GVG_STUN:                               688,
		GVG_STONE:                              689,
		GVG_FREEZ:                              690,
		GVG_SLEEP:                              691,
		GVG_CURSE:                              692,
		GVG_SILENCE:                            693,
		GVG_BLIND:                              694,
		CLIENT_ONLY_EQUIP_ARROW:                695,
		CLAN_INFO:                              696,
		JP_EVENT01:                             697,
		JP_EVENT02:                             698,
		JP_EVENT03:                             699,
		JP_EVENT04:                             700,
		TELEPORT_FIXEDCASTINGDELAY:             701,
		GEFFEN_MAGIC1:                          702,
		GEFFEN_MAGIC2:                          703,
		GEFFEN_MAGIC3:                          704,
		QUEST_BUFF1:                            705,
		QUEST_BUFF2:                            706,
		QUEST_BUFF3:                            707,
		REUSE_LIMIT_RECALL:                     708,
		SAVEPOSITION:                           709,
		HANDICAPSTATE_ICEEXPLO:                 710,
		FENRIR_CARD:                            711,
		REUSE_LIMIT_ASPD_POTION:                712,
		MAXPAIN:                                713,
		PC_STOP:                                714,
		FRIGG_SONG:                             715,
		OFFERTORIUM:                            716,
		TELEKINESIS_INTENSE:                    717,
		MOONSTAR:                               718,
		STRANGELIGHTS:                          719,
		FULL_THROTTLE:                          720,
		REBOUND:                                721,
		UNLIMIT:                                722,
		KINGS_GRACE:                            723,
		ITEM_ATKMAX:                            724,
		ITEM_ATKMIN:                            725,
		ITEM_MATKMAX:                           726,
		ITEM_MATKMIN:                           727,
		SUPER_STAR:                             728,
		HIGH_RANKER:                            729,
		DARKCROW:                               730,
		VALENTINE1_2013:                        731,
		VALENTINE2_2013:                        732,
		VALENTINE3_2013:                        733,
		ILLUSIONDOPING:                         734,
		// ...
		CHILL:                                  736,
		BURNT:                                  737,
		FLASHCOMBO:                             740,
		// ...
		B_TRAP:                                 752,
		E_CHAIN:                                753,
		E_QD_SHOT_READY:                        754,
		C_MARKER:                               755,
		H_MINE:                                 756,
		H_MINE_SPLASH:                          757,
		P_ALTER:                                758,
		HEAT_BARREL:                            759,
		ANTI_M_BLAST:                           760,
		SLUGSHOT:                               761,
		SWORDCLAN:                              762,
		ARCWANDCLAN:                            763,
		GOLDENMACECLAN:                         764,
		CROSSBOWCLAN:                           765,
		PACKING_ENVELOPE1:                      766,
		PACKING_ENVELOPE2:                      767,
		PACKING_ENVELOPE3:                      768,
		PACKING_ENVELOPE4:                      769,
		PACKING_ENVELOPE5:                      770,
		PACKING_ENVELOPE6:                      771,
		PACKING_ENVELOPE7:                      772,
		PACKING_ENVELOPE8:                      773,
		PACKING_ENVELOPE9:                      774,
		PACKING_ENVELOPE10:                     775,
		GLASTHEIM_TRANS:                        776,
		// ...
		HEAT_BARREL_AFTER:                      778,
		DECORATION_OF_MUSIC:                    779,
	};
});