/**
 * DB/Items/ItemTable.js
 *
 * This file is part of ROBrowser, Ragnarok Online in the Web Browser (http://www.robrowser.com/).
 *
 * @author Vincent Thibault
 */

define(function()
{
	"use strict";


	return {

		501: {
			unidentifiedDisplayName: "Red Potion",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion made from ground Red Herbs that restores ^000088about 45 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Red Potion",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion made from ground Red Herbs that restores ^000088about 45 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		502: {
			unidentifiedDisplayName: "Orange Potion",
			unidentifiedResourceName: "\xc1\xd6\xc8\xab\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion made from ground Red and Yellow Herbs that restores ^000088about 105 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Orange Potion",
			identifiedResourceName: "\xc1\xd6\xc8\xab\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion made from ground Red and Yellow Herbs that restores ^000088about 105 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		503: {
			unidentifiedDisplayName: "Yellow Potion",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion made from ground Yellow Herbs that restores ^000088about 175 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 13^000000",
			],
			identifiedDisplayName: "Yellow Potion",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion made from ground Yellow Herbs that restores ^000088about 175 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 13^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		504: {
			unidentifiedDisplayName: "White Potion",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion made from ground White Herbs that restores ^000088about 325 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "White Potion",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion made from ground White Herbs that restores ^000088about 325 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		505: {
			unidentifiedDisplayName: "Blue Potion",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion made from ground Blue Herbs that restores ^000088about 60 SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Blue Potion",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion made from ground Blue Herbs that restores ^000088about 60 SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		506: {
			unidentifiedDisplayName: "Green Potion",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion which cures ^000088Poison^000000, ^000088Silence^000000, ^000088Blind^000000 and ^000088Confusion^000000 effects.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Green Potion",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion which cures ^000088Poison^000000, ^000088Silence^000000, ^000088Blind^000000 and ^000088Confusion^000000 effects.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		507: {
			unidentifiedDisplayName: "Red Herb",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xc7\xe3\xba\xea",
			unidentifiedDescriptionName: [
				"A weak medicinal herb which heals wounds.",
				"^000088Recovers a little HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Red Herb",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xc7\xe3\xba\xea",
			identifiedDescriptionName: [
				"A weak medicinal herb which heals wounds.",
				"^000088Recovers a little HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		508: {
			unidentifiedDisplayName: "Yellow Herb",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xc7\xe3\xba\xea",
			unidentifiedDescriptionName: [
				"A valuable medicinal herb which efficiently heals wounds.",
				"^000088Recovers a little HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Yellow Herb",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xc7\xe3\xba\xea",
			identifiedDescriptionName: [
				"A valuable medicinal herb which efficiently heals wounds.",
				"^000088Recovers a little HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		509: {
			unidentifiedDisplayName: "White Herb",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xc7\xe3\xba\xea",
			unidentifiedDescriptionName: [
				"A valuable medicinal herb which greatly heals wounds.",
				"^000088Recovers a little HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "White Herb",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xc7\xe3\xba\xea",
			identifiedDescriptionName: [
				"A valuable medicinal herb which greatly heals wounds.",
				"^000088Recovers a little HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		510: {
			unidentifiedDisplayName: "Blue Herb",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc7\xe3\xba\xea",
			unidentifiedDescriptionName: [
				"A very valuable medicinal herb whose unique aroma gratifies one's spirit.",
				"^000088Recovers a little SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Blue Herb",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc7\xe3\xba\xea",
			identifiedDescriptionName: [
				"A very valuable medicinal herb whose unique aroma gratifies one's spirit.",
				"^000088Recovers a little SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		511: {
			unidentifiedDisplayName: "Green Herb",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xc7\xe3\xba\xea",
			unidentifiedDescriptionName: [
				"A valuable medicinal herb which ^000088counteracts the effects of poison^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Green Herb",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xc7\xe3\xba\xea",
			identifiedDescriptionName: [
				"A valuable medicinal herb which ^000088counteracts the effects of poison^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		512: {
			unidentifiedDisplayName: "Apple",
			unidentifiedResourceName: "\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"A round, edible fruit that, when eaten once a day, keeps the doctor away.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Apple",
			identifiedResourceName: "\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"A round, edible fruit that, when eaten once a day, keeps the doctor away.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		513: {
			unidentifiedDisplayName: "Banana",
			unidentifiedResourceName: "\xb9\xd9\xb3\xaa\xb3\xaa",
			unidentifiedDescriptionName: [
				"A sweet tasting tropical fruit made famous by its use in slapstick comedy and practical jokes.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Banana",
			identifiedResourceName: "\xb9\xd9\xb3\xaa\xb3\xaa",
			identifiedDescriptionName: [
				"A sweet tasting tropical fruit made famous by its use in slapstick comedy and practical jokes.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		514: {
			unidentifiedDisplayName: "Grape",
			unidentifiedResourceName: "\xc6\xf7\xb5\xb5",
			unidentifiedDescriptionName: [
				"Clustered berries with smooth skin that can be fermented to make wine.",
				"^000088Recovers a small amount of SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Grape",
			identifiedResourceName: "\xc6\xf7\xb5\xb5",
			identifiedDescriptionName: [
				"Clustered berries with smooth skin that can be fermented to make wine.",
				"^000088Recovers a small amount of SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		515: {
			unidentifiedDisplayName: "Carrot",
			unidentifiedResourceName: "\xb4\xe7\xb1\xd9",
			unidentifiedDescriptionName: [
				"An orange root that is supposedly good for your vision. Despite the Beta Carotene, kids don't care much for it.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Carrot",
			identifiedResourceName: "\xb4\xe7\xb1\xd9",
			identifiedDescriptionName: [
				"An orange root that is supposedly good for your vision. Despite the Beta Carotene, kids don't care much for it.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		516: {
			unidentifiedDisplayName: "Sweet Potato",
			unidentifiedResourceName: "\xb0\xed\xb1\xb8\xb8\xb6",
			unidentifiedDescriptionName: [
				"A tuber that can be fried, baked, boiled, mashed, even eaten.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Potato",
			identifiedResourceName: "\xb0\xed\xb1\xb8\xb8\xb6",
			identifiedDescriptionName: [
				"Anael's favorite. Can be fried, baked, boiled, mashed, even eaten.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight : ^7777772^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		517: {
			unidentifiedDisplayName: "Meat",
			unidentifiedResourceName: "\xb0\xed\xb1\xe2",
			unidentifiedDescriptionName: [
				"A leg of meat that's been cooked to near perfection.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Meat",
			identifiedResourceName: "\xb0\xed\xb1\xe2",
			identifiedDescriptionName: [
				"A leg of meat that's been cooked to near perfection.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		518: {
			unidentifiedDisplayName: "Honey",
			unidentifiedResourceName: "\xb2\xdc",
			unidentifiedDescriptionName: [
				"A sweet product made by bees that is endowed with yummy flavor and medicinal uses.",
				"^000088Recovers a small amount of HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Honey",
			identifiedResourceName: "\xb2\xdc",
			identifiedDescriptionName: [
				"A sweet product made by bees that is endowed with yummy flavor and medicinal uses.",
				"^000088Recovers a small amount of HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		519: {
			unidentifiedDisplayName: "Milk",
			unidentifiedResourceName: "\xbf\xec\xc0\xaf",
			unidentifiedDescriptionName: [
				"Pasteurized and bottled cow milk that is chock full of bovine goodness.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Milk",
			identifiedResourceName: "\xbf\xec\xc0\xaf",
			identifiedDescriptionName: [
				"Pasteurized and bottled cow milk that is chock full of bovine goodness.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		520: {
			unidentifiedDisplayName: "Hinalle Leaflet",
			unidentifiedResourceName: "\xc8\xf7\xb3\xaa\xb7\xb9\xc0\xc7\xc0\xd9\xbb\xe7\xb1\xcd",
			unidentifiedDescriptionName: [
				"Leaf cut from a Hinalle Plant which has a cool, fresh scent. It can ease pain and reinvigorate.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hinalle Leaflet",
			identifiedResourceName: "\xc8\xf7\xb3\xaa\xb7\xb9\xc0\xc7\xc0\xd9\xbb\xe7\xb1\xcd",
			identifiedDescriptionName: [
				"Leaf cut from a Hinalle Plant which has a cool, fresh scent. It can ease pain and reinvigorate.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		521: {
			unidentifiedDisplayName: "Aloe Leaflet",
			unidentifiedResourceName: "\xbe\xcb\xb7\xce\xbf\xa1\xc0\xd9\xbb\xe7\xb1\xcd",
			unidentifiedDescriptionName: [
				"Leaf cut from an Aloe plant.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Aloe Leaflet",
			identifiedResourceName: "\xbe\xcb\xb7\xce\xbf\xa1\xc0\xd9\xbb\xe7\xb1\xcd",
			identifiedDescriptionName: [
				"Leaf cut from an Aloe plant.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		522: {
			unidentifiedDisplayName: "Mastela Fruit",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xd7\xb6\xf3\xc0\xc7\xbf\xad\xb8\xc5",
			unidentifiedDescriptionName: [
				"A shiny, purple fruit picked from the boughs of the Mastela tree.",
				"^000088Recovers a great amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Mastela Fruit",
			identifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xd7\xb6\xf3\xc0\xc7\xbf\xad\xb8\xc5",
			identifiedDescriptionName: [
				"A shiny, purple fruit picked from the boughs of the Mastela tree.",
				"^000088Recovers a great amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		523: {
			unidentifiedDisplayName: "Holy Water",
			unidentifiedResourceName: "\xbc\xba\xbc\xf6",
			unidentifiedDescriptionName: [
				"Blessed water used in sacred ceremonies.",
				"^000088Cures the Curse status^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Holy Water",
			identifiedResourceName: "\xbc\xba\xbc\xf6",
			identifiedDescriptionName: [
				"Blessed water used in sacred ceremonies.",
				"^000088Cures the Curse status^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		525: {
			unidentifiedDisplayName: "Panacea",
			unidentifiedResourceName: "\xb8\xb8\xb4\xc9\xbe\xe0",
			unidentifiedDescriptionName: [
				"A mystic remedy for all illnesses.",
				"^000088Cures every abnormal status^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Panacea",
			identifiedResourceName: "\xb8\xb8\xb4\xc9\xbe\xe0",
			identifiedDescriptionName: [
				"A mystic remedy for all illnesses.",
				"^000088Cures every abnormal status^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		526: {
			unidentifiedDisplayName: "Royal Jelly",
			unidentifiedResourceName: "\xb7\xce\xbe\xe2\xc1\xa6\xb8\xae",
			unidentifiedDescriptionName: [
				"Highly nutritious jelly secreted by honeybees. Used to feed bee larva and future queen bees.",
				"^000088Cures every abnormal status^000000; ^000088Recovers 250 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Royal Jelly",
			identifiedResourceName: "\xb7\xce\xbe\xe2\xc1\xa6\xb8\xae",
			identifiedDescriptionName: [
				"Highly nutritious jelly secreted by honeybees. Used to feed bee larva and future queen bees.",
				"^000088Cures every abnormal status^000000; ^000088Recovers 250 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		528: {
			unidentifiedDisplayName: "Monster's Feed",
			unidentifiedResourceName: "\xb1\xab\xb9\xb0\xc0\xc7\xb8\xd4\xc0\xcc",
			unidentifiedDescriptionName: [
				"Processed food that is normally fed to monsters.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Monster's Feed",
			identifiedResourceName: "\xb1\xab\xb9\xb0\xc0\xc7\xb8\xd4\xc0\xcc",
			identifiedDescriptionName: [
				"Processed food that is normally fed to monsters.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		529: {
			unidentifiedDisplayName: "Candy",
			unidentifiedResourceName: "\xbb\xe7\xc5\xc1",
			unidentifiedDescriptionName: [
				"A confection of sugar, chocolate and other flavorings. Kids love it!",
				"^000088Recovers 45 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Candy",
			identifiedResourceName: "\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"A confection of sugar, chocolate and other flavorings. Kids love it!",
				"^000088Recovers 45 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		530: {
			unidentifiedDisplayName: "Candy Cane",
			unidentifiedResourceName: "\xb8\xb7\xb4\xeb\xbb\xe7\xc5\xc1",
			unidentifiedDescriptionName: [
				"A striped cane of peppermint candy. Sugar daddies love it!",
				"^000088Recovers 105 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Candy Cane",
			identifiedResourceName: "\xb8\xb7\xb4\xeb\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"A striped cane of peppermint candy. Sugar daddies love it!",
				"^000088Recovers 105 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		531: {
			unidentifiedDisplayName: "Apple Juice",
			unidentifiedResourceName: "\xbb\xe7\xb0\xfa\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"Bottled apple juice that's easy to digest.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Apple Juice",
			identifiedResourceName: "\xbb\xe7\xb0\xfa\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"Bottled apple juice that's easy to digest.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		532: {
			unidentifiedDisplayName: "Banana Juice",
			unidentifiedResourceName: "\xb9\xd9\xb3\xaa\xb3\xaa\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"Bottled banana juice that's easy to digest.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Banana Juice",
			identifiedResourceName: "\xb9\xd9\xb3\xaa\xb3\xaa\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"Bottled banana juice that's easy to digest.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		533: {
			unidentifiedDisplayName: "Grape Juice",
			unidentifiedResourceName: "\xc6\xf7\xb5\xb5\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"Bottled grape juice that's easy to digest.",
				"^000088Recovers a suitable amount of SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Grape Juice",
			identifiedResourceName: "\xc6\xf7\xb5\xb5\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"Bottled grape juice that's easy to digest.",
				"^000088Recovers a suitable amount of SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		534: {
			unidentifiedDisplayName: "Carrot Juice",
			unidentifiedResourceName: "\xb4\xe7\xb1\xd9\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"Bottled carrot juice that's easy to digest.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Carrot Juice",
			identifiedResourceName: "\xb4\xe7\xb1\xd9\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"Bottled carrot juice that's easy to digest.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		535: {
			unidentifiedDisplayName: "Pumpkin",
			unidentifiedResourceName: "\xc8\xa3\xb9\xda",
			unidentifiedDescriptionName: [
				"A large orange fruit grown from a vine that's used in baking pies and a few other dishes.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Pumpkin",
			identifiedResourceName: "\xc8\xa3\xb9\xda",
			identifiedDescriptionName: [
				"A large orange fruit grown from a vine that's used in baking pies and a few other dishes.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		536: {
			unidentifiedDisplayName: "Ice Cream",
			unidentifiedResourceName: "\xbe\xc6\xc0\xcc\xbd\xba\xc5\xa9\xb8\xb2",
			unidentifiedDescriptionName: [
				"Deliciously frosty ice cream that can cause brain freeze if you eat too much too quickly.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			identifiedDisplayName: "Ice Cream",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbd\xba\xc5\xa9\xb8\xb2",
			identifiedDescriptionName: [
				"Deliciously frosty ice cream that can cause brain freeze if you eat too much too quickly.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		537: {
			unidentifiedDisplayName: "Pet Food",
			unidentifiedResourceName: "\xb1\xab\xb9\xb0\xc0\xc7\xb8\xd4\xc0\xcc",
			unidentifiedDescriptionName: [
				"Sterilized food that has been fortified with vitamins and minerals. Some Cute Pets will feed on this.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pet Food",
			identifiedResourceName: "\xb1\xab\xb9\xb0\xc0\xc7\xb8\xd4\xc0\xcc",
			identifiedDescriptionName: [
				"Sterilized food that has been fortified with vitamins and minerals. Some Cute Pets will feed on this.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		538: {
			unidentifiedDisplayName: "Well Baked Cookie",
			unidentifiedResourceName: "\xc0\xdf\xb1\xb8\xbf\xee\xc4\xed\xc5\xb0",
			unidentifiedDescriptionName: [
				"A warm, scrumptious cookie.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Well-baked Cookie",
			identifiedResourceName: "\xc0\xdf\xb1\xb8\xbf\xee\xc4\xed\xc5\xb0",
			identifiedDescriptionName: [
				"A warm, scrumptious cookie.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		539: {
			unidentifiedDisplayName: "Piece Of Cake",
			unidentifiedResourceName: "\xc1\xb6\xb0\xa2\xc4\xc9\xc0\xcc\xc5\xa9",
			unidentifiedDescriptionName: [
				"A sweet slice of cake covered in icing and topped with a cherry.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Piece of Cake",
			identifiedResourceName: "\xc1\xb6\xb0\xa2\xc4\xc9\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"A sweet slice of cake covered in icing and topped with a cherry.",
				"^000088Recovers a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		540: {
			unidentifiedDisplayName: "Feed for Falcon",
			unidentifiedResourceName: "\xb1\xab\xb9\xb0\xc0\xc7\xb8\xd4\xc0\xcc",
			unidentifiedDescriptionName: [
				"Food intended for Falcons, but it's actually tasty enough for humans to eat.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Falcon Food",
			identifiedResourceName: "\xb1\xab\xb9\xb0\xc0\xc7\xb8\xd4\xc0\xcc",
			identifiedDescriptionName: [
				"Food intended for Falcons, but it's actually tasty enough for humans to eat.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		541: {
			unidentifiedDisplayName: "Feed for PecoPeco",
			unidentifiedResourceName: "\xb1\xab\xb9\xb0\xc0\xc7\xb8\xd4\xc0\xcc",
			unidentifiedDescriptionName: [
				"Food manufactured to feed Peco Pecos, but will suffice for desperately hungry humans as well.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "PecoPeco Food",
			identifiedResourceName: "\xb1\xab\xb9\xb0\xc0\xc7\xb8\xd4\xc0\xcc",
			identifiedDescriptionName: [
				"Food manufactured to feed Peco Pecos, but will suffice for desperately hungry humans as well.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		542: {
			unidentifiedDisplayName: "Festive Cookie",
			unidentifiedResourceName: "\xb8\xed\xc0\xfd\xb0\xfa\xc0\xda",
			unidentifiedDescriptionName: [
				"A sweet and crunchy snack usually available during certain times in Japan.",
				"^000088Recover 325 ~ 405 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Festive Cookie",
			identifiedResourceName: "\xb8\xed\xc0\xfd\xb0\xfa\xc0\xda",
			identifiedDescriptionName: [
				"A sweet and crunchy snack usually available during certain times in Japan.",
				"^000088Recover 325 ~ 405 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		543: {
			unidentifiedDisplayName: "Festive Rainbow Cake",
			unidentifiedResourceName: "\xb8\xed\xc0\xfd\xb9\xab\xc1\xf6\xb0\xb3\xb6\xb1",
			unidentifiedDescriptionName: [
				"Cake made of rice decorated in 3 colors, red, white and green.",
				"^000088Recover 325 ~ 405 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Festive Rainbow Cake",
			identifiedResourceName: "\xb8\xed\xc0\xfd\xb9\xab\xc1\xf6\xb0\xb3\xb6\xb1",
			identifiedDescriptionName: [
				"Cake made of rice decorated in 3 colors, red, white and green.",
				"^000088Recover 325 ~ 405 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		544: {
			unidentifiedDisplayName: "Raw Fish",
			unidentifiedResourceName: "\xc8\xb8",
			unidentifiedDescriptionName: [
				"A raw, fresh fish.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Raw Fish",
			identifiedResourceName: "\xc8\xb8",
			identifiedDescriptionName: [
				"A raw, fresh fish.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		545: {
			unidentifiedDisplayName: "Condensed Red Potion",
			unidentifiedResourceName: "\xb7\xb9\xb5\xe5\xbd\xbd\xb8\xb2\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A condensed Red Potion.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Condensed Red Potion",
			identifiedResourceName: "\xb7\xb9\xb5\xe5\xbd\xbd\xb8\xb2\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A condensed Red Potion.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		546: {
			unidentifiedDisplayName: "Condensed Yellow Potion",
			unidentifiedResourceName: "\xbf\xbb\xb7\xce\xbf\xec\xbd\xbd\xb8\xb2\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A condensed Yellow Potion.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Condensed Yellow Potion",
			identifiedResourceName: "\xbf\xbb\xb7\xce\xbf\xec\xbd\xbd\xb8\xb2\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A condensed Yellow Potion.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		547: {
			unidentifiedDisplayName: "Condensed White Potion",
			unidentifiedResourceName: "\xc8\xad\xc0\xcc\xc6\xae\xbd\xbd\xb8\xb2\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A condensed White Potion.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Condensed White Potion",
			identifiedResourceName: "\xc8\xad\xc0\xcc\xc6\xae\xbd\xbd\xb8\xb2\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A condensed White Potion.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		548: {
			unidentifiedDisplayName: "Cheese",
			unidentifiedResourceName: "\xc4\xa1\xc1\xee",
			unidentifiedDescriptionName: [
				"A palatable food with an unique scent.",
				"^000088Restores a small amount of SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Cheese",
			identifiedResourceName: "\xc4\xa1\xc1\xee",
			identifiedDescriptionName: [
				"A palatable food with an unique scent.",
				"^000088Restores a small amount of SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		549: {
			unidentifiedDisplayName: "Yam",
			unidentifiedResourceName: "\xb9\xe3\xb0\xed\xb1\xb8\xb8\xb6",
			unidentifiedDescriptionName: [
				"A kind of plant root used as food. It's advised to eat this slowly with water, or to bake it beforehand.",
				"^000088Restores a great amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			identifiedDisplayName: "Yam",
			identifiedResourceName: "\xb9\xe3\xb0\xed\xb1\xb8\xb8\xb6",
			identifiedDescriptionName: [
				"A kind of plant root used as food. It's advised to eat this slowly with water, or to bake it beforehand.",
				"^000088Restores a great amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		550: {
			unidentifiedDisplayName: "Rice Snack",
			unidentifiedResourceName: "\xbb\xbd\xc6\xa2\xb1\xe2",
			unidentifiedDescriptionName: [
				"A snack made out of rice that doesn't contain any fat. Some women love having this snack.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rice Cake",
			identifiedResourceName: "\xbb\xbd\xc6\xa2\xb1\xe2",
			identifiedDescriptionName: [
				"A snack made out of rice that doesn't contain any fat. Some women love having this snack.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		551: {
			unidentifiedDisplayName: "Sushi",
			unidentifiedResourceName: "\xc3\xca\xb9\xe4",
			unidentifiedDescriptionName: [
				"An Eastern delicacy, in which various types of raw fish is placed on top of rice.",
				"The rice is marinated in vinegar then wrapped in dried seaweed.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Sushi",
			identifiedResourceName: "\xc3\xca\xb9\xe4",
			identifiedDescriptionName: [
				"An Eastern delicacy, in which various types of raw fish is placed on top of rice.",
				"The rice is marinated in vinegar then wrapped in dried seaweed.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		552: {
			unidentifiedDisplayName: "Ketupat",
			unidentifiedResourceName: "\x4b\x45\x54\x55\x50\x41\x54",
			unidentifiedDescriptionName: [
				"A typical food which is usually presented at Idul Fitri feast day of Ramadan moment.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ketupat",
			identifiedResourceName: "\x4b\x45\x54\x55\x50\x41\x54",
			identifiedDescriptionName: [
				"A typical food which is usually presented at Idul Fitri feast day of Ramadan moment.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		553: {
			unidentifiedDisplayName: "Bao",
			unidentifiedResourceName: "\xb8\xb8\xb5\xce",
			unidentifiedDescriptionName: [
				"A type of dough that is filled with ground meat, usually served hot.",
				"People living in eastern countries have enjoyed eating this food for a long time.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Bao",
			identifiedResourceName: "\xb8\xb8\xb5\xce",
			identifiedDescriptionName: [
				"A type of dough that is filled with ground meat, usually served hot.",
				"People living in eastern countries have enjoyed eating this food for a long time.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		554: {
			unidentifiedDisplayName: "Mochi",
			unidentifiedResourceName: "\xb8\xf0\xc2\xee",
			unidentifiedDescriptionName: [
				"Soft and warm rice cake.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			identifiedDisplayName: "Mochi",
			identifiedResourceName: "\xb8\xf0\xc2\xee",
			identifiedDescriptionName: [
				"Soft and warm rice cake.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		555: {
			unidentifiedDisplayName: "Traditional Rice Cake",
			unidentifiedResourceName: "\xb6\xb1",
			unidentifiedDescriptionName: [
				"A type of food that is made of rice powder. There are many recipes to make this food, all of them absolutely delicious.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Traditional Rice Cake",
			identifiedResourceName: "\xb6\xb1",
			identifiedDescriptionName: [
				"A type of food that is made of rice powder. There are many recipes to make this food, all of them absolutely delicious.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		556: {
			unidentifiedDisplayName: "Rice Cake Stick",
			unidentifiedResourceName: "\xb0\xa1\xb7\xa1\xb6\xb1",
			unidentifiedDescriptionName: [
				"A thin stick of rice cake which is moist and sticky.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rice Cake Stick",
			identifiedResourceName: "\xb0\xa1\xb7\xa1\xb6\xb1",
			identifiedDescriptionName: [
				"A thin stick of rice cake which is moist and sticky.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		557: {
			unidentifiedDisplayName: "Neatly Sliced Rice Cake",
			unidentifiedResourceName: "\xbd\xe4\xb8\xb0\xb0\xa1\xb7\xa1\xb6\xb1",
			unidentifiedDescriptionName: [
				"A bag of sliced rice cake. Can be cooked in various ways.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neatly Sliced Rice Cake",
			identifiedResourceName: "\xbd\xe4\xb8\xb0\xb0\xa1\xb7\xa1\xb6\xb1",
			identifiedDescriptionName: [
				"A bag of sliced rice cake. Can be cooked in various ways.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		558: {
			unidentifiedDisplayName: "Chocolate",
			unidentifiedResourceName: "\xc3\xca\xc4\xdd\xb7\xbf",
			unidentifiedDescriptionName: [
				"Fried and ground Cacao that is solidified with Milk and cacao paste. Delicious and bittersweet.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Chocolate",
			identifiedResourceName: "\xc3\xca\xc4\xdd\xb7\xbf",
			identifiedDescriptionName: [
				"Fried and ground Cacao that is solidified with Milk and cacao paste. Delicious and bittersweet.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		559: {
			unidentifiedDisplayName: "Hand-made Chocolate",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf",
			unidentifiedDescriptionName: [
				"A collection of chocolates that are gathered and arranged to make a beautiful item. This is often used in courtship, and sometimes even used effectively.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			identifiedDisplayName: "Hand-made Chocolate",
			identifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf",
			identifiedDescriptionName: [
				"A collection of chocolates that are gathered and arranged to make a beautiful item. This is often used in courtship, and sometimes even used effectively.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		560: {
			unidentifiedDisplayName: "Handmade Chocolate",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf\x5f",
			unidentifiedDescriptionName: [
				"White chocolate which is used to propose to a girl by a boy during White Day.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			identifiedDisplayName: "Handmade White Chocolate",
			identifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf\x5f",
			identifiedDescriptionName: [
				"White chocolate which is used to propose to a girl by a boy during White Day.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		561: {
			unidentifiedDisplayName: "White Chocolate",
			unidentifiedResourceName: "\xc8\xad\xc0\xcc\xc6\xae\xc3\xca\xc4\xdd\xb7\xbf",
			unidentifiedDescriptionName: [
				"A white cacao.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			identifiedDisplayName: "White Chocolate",
			identifiedResourceName: "\xc8\xad\xc0\xcc\xc6\xae\xc3\xca\xc4\xdd\xb7\xbf",
			identifiedDescriptionName: [
				"A white cacao.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		562: {
			unidentifiedDisplayName: "Doublecrust Swiss Fondue",
			unidentifiedResourceName: "\xc7\xc7\xc0\xda",
			unidentifiedDescriptionName: [
				"A cheese that was put in between bread with sauces and other stuff before it was added with sweet potatoes and butter to be make into Domino Swiss Pizza.",
				"It taste soft and sweet as if it melted in your mouth. This is the double layered Pizza made by Domino, the high quality pizza maker.",
				"[To be send]",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Doublecrust Swiss Fondue",
			identifiedResourceName: "\xc7\xc7\xc0\xda",
			identifiedDescriptionName: [
				"A cheese that was put in between bread with sauces and other stuff before it was added with sweet potatoes and butter to be make into Domino Swiss Pizza.",
				"It taste soft and sweet as if it melted in your mouth. This is the double layered Pizza made by Domino, the high quality pizza maker.",
				"[To be send]",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		563: {
			unidentifiedDisplayName: "Doublecrust Swiss Fondue",
			unidentifiedResourceName: "\xc7\xc7\xc0\xda",
			unidentifiedDescriptionName: [
				"A cheese that was put in between bread with sauces and other stuff before it was added with sweet potatoes and butter to be make into Domino Swiss Pizza.",
				"It taste soft and sweet as if it melted in your mouth. This is the double layered Pizza made by Domino, the high quality pizza maker.",
				"[To be send]",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Doublecrust Swiss Fondue",
			identifiedResourceName: "\xc7\xc7\xc0\xda",
			identifiedDescriptionName: [
				"A cheese that was put in between bread with sauces and other stuff before it was added with sweet potatoes and butter to be make into Domino Swiss Pizza.",
				"It taste soft and sweet as if it melted in your mouth. This is the double layered Pizza made by Domino, the high quality pizza maker.",
				"[To be send]",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		564: {
			unidentifiedDisplayName: "Rice Ball",
			unidentifiedResourceName: "\xc1\xd6\xb8\xd4\xb9\xe4",
			unidentifiedDescriptionName: [
				"A lump of rice which can be eaten for lunch.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Rice Ball",
			identifiedResourceName: "\xc1\xd6\xb8\xd4\xb9\xe4",
			identifiedDescriptionName: [
				"A lump of rice which can be eaten for lunch.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		565: {
			unidentifiedDisplayName: "Vita500",
			unidentifiedResourceName: "\xba\xf1\xc5\xb8\x35\x30\x30\xba\xb4",
			unidentifiedDescriptionName: [
				"A delicious multi-vitamin drink. It is without caffeine and good for your health.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Vita500",
			identifiedResourceName: "\xba\xf1\xc5\xb8\x35\x30\x30\xba\xb4",
			identifiedDescriptionName: [
				"A delicious multi-vitamin drink. It is without caffeine and good for your health.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		566: {
			unidentifiedDisplayName: "Tom Yum Goong",
			unidentifiedResourceName: "\x152\x63\xbe\xe7\xb2\xe1",
			unidentifiedDescriptionName: [
				"A type of soup which is regarded as one of the three famous soups in the world.",
				"It has a spicy, sweet and sour taste with shrimps, lemons and chilies.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Tom Yum Goong",
			identifiedResourceName: "\x152\x63\xbe\xe7\xb2\xe1",
			identifiedDescriptionName: [
				"A type of soup which is regarded as one of the three famous soups in the world.",
				"It has a spicy, sweet and sour taste with shrimps, lemons and chilies.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		567: {
			unidentifiedDisplayName: "Shrimp",
			unidentifiedResourceName: "\xbb\xf5\xbf\xec",
			unidentifiedDescriptionName: [
				"A shellfish which has a long tail and many legs.",
				"When cooked, the color of body changes into red and its flesh is very tasty with an unique scent.",
				"^000088Recovers a little HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Shrimp",
			identifiedResourceName: "\xbb\xf5\xbf\xec",
			identifiedDescriptionName: [
				"A shellfish which has a long tail and many legs.",
				"When cooked, the color of body changes into red and its flesh is very tasty with an unique scent.",
				"^000088Recovers a little HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		568: {
			unidentifiedDisplayName: "Lemon",
			unidentifiedResourceName: "\xb7\xb9\xb8\xf3",
			unidentifiedDescriptionName: [
				"A bright yellow fruit with very sour juice and a fresh scent.",
				"^000088Recovers a little SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Lemon",
			identifiedResourceName: "\xb7\xb9\xb8\xf3",
			identifiedDescriptionName: [
				"A bright yellow fruit with very sour juice and a fresh scent.",
				"^000088Recovers a little SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		569: {
			unidentifiedDisplayName: "Novice Potion",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"An exclusive Red Potion for Novices!",
				"^000088Restore a little HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Novice Potion",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"An exclusive Red Potion for Novices!",
				"^000088Restore a little HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		570: {
			unidentifiedDisplayName: "Lucky Candy",
			unidentifiedResourceName: "\xbb\xe7\xc5\xc1",
			unidentifiedDescriptionName: [
				"A candy which is rumored to bring luck to whomever eats it.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Lucky Candy",
			identifiedResourceName: "\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"A candy which is rumored to bring luck to whomever eats it.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		571: {
			unidentifiedDisplayName: "Lucky Candy Cane",
			unidentifiedResourceName: "\xb8\xb7\xb4\xeb\xbb\xe7\xc5\xc1",
			unidentifiedDescriptionName: [
				"A candy cane which is rumored to bring luck to whomever eats it.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Lucky Candy Cane",
			identifiedResourceName: "\xb8\xb7\xb4\xeb\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"A candy cane which is rumored to bring luck to whomever eats it.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		572: {
			unidentifiedDisplayName: "Lucky Cookie",
			unidentifiedResourceName: "\xc0\xdf\xb1\xb8\xbf\xee\xc4\xed\xc5\xb0",
			unidentifiedDescriptionName: [
				"A cookie which is rumored to bring luck to whomever eats it.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Lucky Cookie",
			identifiedResourceName: "\xc0\xdf\xb1\xb8\xbf\xee\xc4\xed\xc5\xb0",
			identifiedDescriptionName: [
				"A cookie which is rumored to bring luck to whomever eats it.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		573: {
			unidentifiedDisplayName: "Chocolate Drink",
			unidentifiedResourceName: "\xc3\xca\xc4\xdd\xb7\xbf\xb5\xe5\xb8\xb5\xc5\xa9",
			unidentifiedDescriptionName: [
				"A kind of drink made from chocolate and milk from one of the Royal Court Dessert Specialist's recipes.",
				"Although the Dessert Chef wishes for people to drink this treat elegantly, it's usually gulped down, enjoyed with hand sloppily placed on the waist.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Chocolate Drink",
			identifiedResourceName: "\xc3\xca\xc4\xdd\xb7\xbf\xb5\xe5\xb8\xb5\xc5\xa9",
			identifiedDescriptionName: [
				"A kind of drink made from chocolate and milk from one of the Royal Court Dessert Specialist's recipes.",
				"Although the Dessert Chef wishes for people to drink this treat elegantly, it's usually gulped down, enjoyed with hand sloppily placed on the waist.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		574: {
			unidentifiedDisplayName: "Egg",
			unidentifiedResourceName: "\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg from a bird. It's full of nutrition, making it an ideal food for growing children.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Egg",
			identifiedResourceName: "\xbe\xcb",
			identifiedDescriptionName: [
				"An egg from a bird. It's full of nutrition, making it an ideal food for growing children.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		575: {
			unidentifiedDisplayName: "2nd Anniversary Cake",
			unidentifiedResourceName: "\xc1\xb6\xb0\xa2\xc4\xc9\xc0\xcc\xc5\xa9",
			unidentifiedDescriptionName: [
				"A piece of sweet cake with icing and a cherry on top. Made in celebration of Ragnarok's second anniversary.",
				"^000088Restores a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "2nd Anniversary Cake",
			identifiedResourceName: "\xc1\xb6\xb0\xa2\xc4\xc9\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"A piece of sweet cake with icing and a cherry on top. Made in celebration of Ragnarok's second anniversary.",
				"^000088Restores a suitable amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		576: {
			unidentifiedDisplayName: "Prickly Fruit",
			unidentifiedResourceName: "\xb0\xa1\xbd\xc3\xbf\xad\xb8\xc5",
			unidentifiedDescriptionName: [
				"A thorned tree fruit with fresh scent.",
				"^000088Restore a small amount of HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Prickly Fruit",
			identifiedResourceName: "\xb0\xa1\xbd\xc3\xbf\xad\xb8\xc5",
			identifiedDescriptionName: [
				"A thorned tree fruit with fresh scent.",
				"^000088Restore a small amount of HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		577: {
			unidentifiedDisplayName: "Bag of Grain",
			unidentifiedResourceName: "\xb0\xee\xbd\xc4",
			unidentifiedDescriptionName: [
				"Dried grains that are commonly used in the cuisines of many countries.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Bag of Grain",
			identifiedResourceName: "\xb0\xee\xbd\xc4",
			identifiedDescriptionName: [
				"Dried grains that are commonly used in the cuisines of many countries.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		578: {
			unidentifiedDisplayName: "Strawberry",
			unidentifiedResourceName: "\xb5\xfe\xb1\xe2",
			unidentifiedDescriptionName: [
				"A red berry that is renown for its slightly sweet and sour taste, and is best eaten fresh.",
				"^000088Recover a little SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Strawberry",
			identifiedResourceName: "\xb5\xfe\xb1\xe2",
			identifiedDescriptionName: [
				"A red berry that is renown for its slightly sweet and sour taste, and is best eaten fresh.",
				"^000088Recover a little SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		579: {
			unidentifiedDisplayName: "Fresh Fish",
			unidentifiedResourceName: "\xb8\xc0\xc1\xc1\xc0\xba\xb9\xb0\xb0\xed\xb1\xe2",
			unidentifiedDescriptionName: [
				"A fresh fish that can be cooked in a variety of ways.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Fresh Fish",
			identifiedResourceName: "\xb8\xc0\xc1\xc1\xc0\xba\xb9\xb0\xb0\xed\xb1\xe2",
			identifiedDescriptionName: [
				"A fresh fish that can be cooked in a variety of ways.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		580: {
			unidentifiedDisplayName: "Bread",
			unidentifiedResourceName: "\xbb\xa7",
			unidentifiedDescriptionName: [
				"A staple food made from flour or meal mixed with other dry and liquid ingredients, usually combined with a leavening agent, and kneaded, shaped into loaves, and baked.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Bread",
			identifiedResourceName: "\xbb\xa7",
			identifiedDescriptionName: [
				"A staple food made from flour or meal mixed with other dry and liquid ingredients, usually combined with a leavening agent, and kneaded, shaped into loaves, and baked.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		581: {
			unidentifiedDisplayName: "Edible Mushroom",
			unidentifiedResourceName: "\xbd\xc4\xbf\xeb\xb9\xf6\xbc\xb8",
			unidentifiedDescriptionName: [
				"An edible, fleshy fungi of the class Basidiomycota, characteristically having an umbrella-shaped cap borne on a stalk.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Edible Mushroom",
			identifiedResourceName: "\xbd\xc4\xbf\xeb\xb9\xf6\xbc\xb8",
			identifiedDescriptionName: [
				"An edible, fleshy fungi of the class Basidiomycota, characteristically having an umbrella-shaped cap borne on a stalk.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		582: {
			unidentifiedDisplayName: "Orange",
			unidentifiedResourceName: "\xbf\xc0\xb7\xbb\xc1\xf6",
			unidentifiedDescriptionName: [
				"A Citrus, round fruit with a yellowish or reddish rind having a sweetish, acidic juice.",
				"^000088Recover a small amount of HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Orange",
			identifiedResourceName: "\xbf\xc0\xb7\xbb\xc1\xf6",
			identifiedDescriptionName: [
				"A Citrus, round fruit with a yellowish or reddish rind having a sweetish, acidic juice.",
				"^000088Recover a small amount of HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		583: {
			unidentifiedDisplayName: "Ketupat Sayur",
			unidentifiedResourceName: "\x152\x63\xbe\xe7\xb2\xe1",
			unidentifiedDescriptionName: [
				"Made traditional cookery of ketupat served to celebrate idul fitri feast day of Ramadan.",
				"This cookery is very high nutritious and delicious can improve body vitality.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Ketupat Sayur",
			identifiedResourceName: "\x152\x63\xbe\xe7\xb2\xe1",
			identifiedDescriptionName: [
				"Made traditional cookery of ketupat served to celebrate idul fitri feast day of Ramadan.",
				"This cookery is very high nutritious and delicious can improve body vitality.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		584: {
			unidentifiedDisplayName: "Fish Cake Soup",
			unidentifiedResourceName: "\x152\x63\xbe\xe7\xb2\xe1",
			unidentifiedDescriptionName: [
				"A bowl filled with hot, hearty fish broth and a generous helping of fish cake.",
				"^ffffff_^000000",
				"Weight :^777777 6^000000",
			],
			identifiedDisplayName: "Fish Cake Soup",
			identifiedResourceName: "\x152\x63\xbe\xe7\xb2\xe1",
			identifiedDescriptionName: [
				"A bowl filled with hot, hearty fish broth and a generous helping of fish cake.",
				"^ffffff_^000000",
				"Weight :^777777 6^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		585: {
			unidentifiedDisplayName: "Brusti",
			unidentifiedResourceName: "\xba\xce\xb8\xa3\xbd\xba\xc6\xbc",
			unidentifiedDescriptionName: [
				"A sausage with delicious smell and taste. Tastes even better if you eat it with some wheat beer.",
				"^000088Recovers a small amount of HP^000000.",
				"Cast ^008800Level 3 Magnificat^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Brusti",
			identifiedResourceName: "\xba\xce\xb8\xa3\xbd\xba\xc6\xbc",
			identifiedDescriptionName: [
				"A sausage with delicious smell and taste. Tastes even better if you eat it with some wheat beer.",
				"^000088Recovers a small amount of HP^000000.",
				"Cast ^008800Level 3 Magnificat^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		586: {
			unidentifiedDisplayName: "Mother's Cake",
			unidentifiedResourceName: "\xc1\xb6\xb0\xa2\xc4\xc9\xc0\xcc\xc5\xa9",
			unidentifiedDescriptionName: [
				"A piece of mother's cake that can even warm hearts.",
				"Restores ^000088about 325 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mother's Cake",
			identifiedResourceName: "\xc1\xb6\xb0\xa2\xc4\xc9\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"A piece of mother's cake that can even warm hearts.",
				"Restores ^000088about 325 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		587: {
			unidentifiedDisplayName: "Red Prickly Fruit",
			unidentifiedResourceName: "\xb0\xa1\xbd\xc3\xbf\xad\xb8\xc5\x5f",
			unidentifiedDescriptionName: [
				"A freshly scented, thorny fruit from a tree.",
				"^000088Restore a small amount of HP and SP^000000",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Red Prickly Fruit",
			identifiedResourceName: "\xb0\xa1\xbd\xc3\xbf\xad\xb8\xc5\x5f",
			identifiedDescriptionName: [
				"A freshly scented, thorny fruit from a tree.",
				"^000088Restore a small amount of HP and SP^000000",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		588: {
			unidentifiedDisplayName: "Spaghetti",
			unidentifiedResourceName: "\x152\x63\xbe\xe7\xb2\xe1",
			unidentifiedDescriptionName: [
				"A noodle dish from a far nation, made from water and flour. Many tastes can be achieved using various sauces.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Spaghetti",
			identifiedResourceName: "\x152\x63\xbe\xe7\xb2\xe1",
			identifiedDescriptionName: [
				"A noodle dish from a far nation, made from water and flour. Many tastes can be achieved using various sauces.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		589: {
			unidentifiedDisplayName: "Pizza",
			unidentifiedResourceName: "\xc7\xc7\xc0\xda",
			unidentifiedDescriptionName: [
				"A flour dough with yeast, spread into a circle and baked after putting on various ingredients.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Pizza",
			identifiedResourceName: "\xc7\xc7\xc0\xda",
			identifiedDescriptionName: [
				"A flour dough with yeast, spread into a circle and baked after putting on various ingredients.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		590: {
			unidentifiedDisplayName: "Pretzel",
			unidentifiedResourceName: "\xba\xea\xb8\xae\xc1\xa9\x5f",
			unidentifiedDescriptionName: [
				"Looks so yummy that you will feel like to have a bite instantly.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Pretzel",
			identifiedResourceName: "\xba\xea\xb8\xae\xc1\xa9\x5f",
			identifiedDescriptionName: [
				"Looks so yummy that you will feel like to have a bite instantly.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		591: {
			unidentifiedDisplayName: "Caviar Pancake",
			unidentifiedResourceName: "\xc4\xb3\xba\xf1\xbe\xee\xc6\xd2\xc4\xc9\xc0\xcc\xc5\xa9",
			unidentifiedDescriptionName: [
				"Pancake with roe. Traditional taste will remind one of luxurious Russian fairs and walkings.",
				"^000088Cures every abnormal status^000000 ; ^000088Recovers HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Caviar Pancake",
			identifiedResourceName: "\xc4\xb3\xba\xf1\xbe\xee\xc6\xd2\xc4\xc9\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"Pancake with roe. Traditional taste will remind one of luxurious Russian fairs and walkings.",
				"^000088Cures every abnormal status^000000 ; ^000088Recovers HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		592: {
			unidentifiedDisplayName: "Jam Pancake",
			unidentifiedResourceName: "\xb5\xfe\xb1\xe2\xc0\xeb\xc6\xd2\xc4\xc9\xc0\xcc\xc5\xa9",
			unidentifiedDescriptionName: [
				"Fragrant pancake with jam. Tasty babushkino strawberry jam - as in the childhood.",
				"^000088Cures every abnormal status^000000 ; ^000088Recovers HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Jam Pancake",
			identifiedResourceName: "\xb5\xfe\xb1\xe2\xc0\xeb\xc6\xd2\xc4\xc9\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"Fragrant pancake with jam. Tasty babushkino strawberry jam - as in the childhood.",
				"^000088Cures every abnormal status^000000 ; ^000088Recovers HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		593: {
			unidentifiedDisplayName: "Honey Pancake",
			unidentifiedResourceName: "\xb9\xfa\xb2\xdc\xc6\xd2\xc4\xc9\xc0\xcc\xc5\xa9",
			unidentifiedDescriptionName: [
				"Fragrant pancake with honey. It's very sweet.",
				"^000088Cures every abnormal status^000000 ; ^000088Recovers HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Honey Pancake",
			identifiedResourceName: "\xb9\xfa\xb2\xdc\xc6\xd2\xc4\xc9\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"Fragrant pancake with honey. It's very sweet.",
				"^000088Cures every abnormal status^000000 ; ^000088Recovers HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		594: {
			unidentifiedDisplayName: "Sour-Cream Pancake",
			unidentifiedResourceName: "\xbb\xfe\xbf\xf6\xc5\xa9\xb8\xb2\xc6\xd2\xc4\xc9\xc0\xcc\xc5\xa9",
			unidentifiedDescriptionName: [
				"Fragrant pancake with sour cream. It such simple, but such substantial.",
				"^000088Cures every abnormal status^000000 ; ^000088Recovers HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Sour-Cream Pancake",
			identifiedResourceName: "\xbb\xfe\xbf\xf6\xc5\xa9\xb8\xb2\xc6\xd2\xc4\xc9\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"Fragrant pancake with sour cream. It such simple, but such substantial.",
				"^000088Cures every abnormal status^000000 ; ^000088Recovers HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		595: {
			unidentifiedDisplayName: "Mushroom Pancake",
			unidentifiedResourceName: "\xb8\xd3\xbd\xac\xb7\xeb\xc6\xd2\xc4\xc9\xc0\xcc\xc5\xa9",
			unidentifiedDescriptionName: [
				"Fragrant pancake with mushroom. The substantial food, which it is pleasant and is useful to eat in this cold weather.",
				"^000088Cures every abnormal status^000000 ; ^000088Recovers HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Mushroom Pancake",
			identifiedResourceName: "\xb8\xd3\xbd\xac\xb7\xeb\xc6\xd2\xc4\xc9\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"Fragrant pancake with mushroom. The substantial food, which it is pleasant and is useful to eat in this cold weather.",
				"^000088Cures every abnormal status^000000 ; ^000088Recovers HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		596: {
			unidentifiedDisplayName: "Cute Strawberry-Choco",
			unidentifiedResourceName: "\xb1\xf4\xc2\xef\xc7\xd1\xb5\xfe\xb1\xe2\xc3\xca\xc4\xdd\xb7\xbf",
			unidentifiedDescriptionName: [
				"It seems someone made a mistake to coat a fresh strawberry with a chocolate.",
				"Even its look is not excellent, let's think about someone's earnestness.",
				"^000088Recovers a small amount of SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Cute Strawberry-Choco",
			identifiedResourceName: "\xb1\xf4\xc2\xef\xc7\xd1\xb5\xfe\xb1\xe2\xc3\xca\xc4\xdd\xb7\xbf",
			identifiedDescriptionName: [
				"It seems someone made a mistake to coat a fresh strawberry with a chocolate.",
				"Even its look is not excellent, let's think about someone's earnestness.",
				"^000088Recovers a small amount of SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		597: {
			unidentifiedDisplayName: "Lovely Choco-Tart",
			unidentifiedResourceName: "\xb7\xaf\xba\xed\xb8\xae\xc3\xca\xc4\xda\xc5\xb8\xb8\xa3\xc6\xae",
			unidentifiedDescriptionName: [
				"This very soft chocolate is overflowed with the love.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Lovely Choco-Tart",
			identifiedResourceName: "\xb7\xaf\xba\xed\xb8\xae\xc3\xca\xc4\xda\xc5\xb8\xb8\xa3\xc6\xae",
			identifiedDescriptionName: [
				"This very soft chocolate is overflowed with the love.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		598: {
			unidentifiedDisplayName: "Light Red Potion",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion made from ground Red Herbs that restores ^000088about 45 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Red Potion",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion made from ground Red Herbs that restores ^000088about 45 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		599: {
			unidentifiedDisplayName: "Light Orange Potion",
			unidentifiedResourceName: "\xc1\xd6\xc8\xab\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion made from ground Red and Yellow Herbs that restores ^000088about 105 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Orange Potion",
			identifiedResourceName: "\xc1\xd6\xc8\xab\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion made from ground Red and Yellow Herbs that restores ^000088about 105 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		601: {
			unidentifiedDisplayName: "Fly Wing",
			unidentifiedResourceName: "\xc6\xc4\xb8\xae\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"An enchanted fly's wing that instantly sends its user to a random spot when waved in the air.",
				"^000088Instant teleport^000000.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Fly Wing",
			identifiedResourceName: "\xc6\xc4\xb8\xae\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"An enchanted fly's wing that instantly sends its user to a random spot when waved in the air.",
				"^000088Instant teleport^000000.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		602: {
			unidentifiedDisplayName: "Butterfly Wing",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"An enchanted butterfly's wing that instantly sends its user to his Save Point when waved in the air.",
				"^000088Instant teleport to character's Save Point^000000.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Butterfly Wing",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"An enchanted butterfly's wing that instantly sends its user to his Save Point when waved in the air.",
				"^000088Instant teleport to character's Save Point^000000.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		603: {
			unidentifiedDisplayName: "Old Blue Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A mysterious blue box that seems to hold something inside, but you'll have to open it to find out.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Old Blue Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A mysterious blue box that seems to hold something inside, but you'll have to open it to find out.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		604: {
			unidentifiedDisplayName: "Dead Branch",
			unidentifiedResourceName: "\xb0\xed\xb8\xf1\xb3\xaa\xb9\xab\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"A twig which contains the mysterious power of eternity. It can summon a living creature.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Dead Branch",
			identifiedResourceName: "\xb0\xed\xb8\xf1\xb3\xaa\xb9\xab\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"A twig which contains the mysterious power of eternity. It can summon a living creature.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		605: {
			unidentifiedDisplayName: "Anodyne",
			unidentifiedResourceName: "\xbe\xc8\xc6\xbc\xc6\xe4\xc0\xce\xb8\xe0\xc6\xae",
			unidentifiedDescriptionName: [
				"A medicine made from ground Mint that is used to ease pain and relax muscle tension. It's a popular painkiller because of its potency.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Anodyne",
			identifiedResourceName: "\xbe\xc8\xc6\xbc\xc6\xe4\xc0\xce\xb8\xe0\xc6\xae",
			identifiedDescriptionName: [
				"A medicine made from ground Mint that is used to ease pain and relax muscle tension. It's a popular painkiller because of its potency.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		606: {
			unidentifiedDisplayName: "Aloevera",
			unidentifiedResourceName: "\xbe\xcb\xb7\xce\xbf\xa1\xba\xa3\xb6\xf3",
			unidentifiedDescriptionName: [
				"A basic herbal emollient made from Aloe extract. Despite its stench and sour taste, it's addictive if regularly eaten.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Aloevera",
			identifiedResourceName: "\xbe\xcb\xb7\xce\xbf\xa1\xba\xa3\xb6\xf3",
			identifiedDescriptionName: [
				"A basic herbal emollient made from Aloe extract. Despite its stench and sour taste, it's addictive if regularly eaten.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		607: {
			unidentifiedDisplayName: "Yggdrasilberry",
			unidentifiedResourceName: "\xc0\xcc\xb1\xd7\xb5\xe5\xb6\xf3\xbd\xc7\xbf\xad\xb8\xc5",
			unidentifiedDescriptionName: [
				"Fruit from the Yggdrasil tree which brings life to our world. Its fantastic taste is full of life.",
				"^000088Fully restores HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Yggdrasilberry",
			identifiedResourceName: "\xc0\xcc\xb1\xd7\xb5\xe5\xb6\xf3\xbd\xc7\xbf\xad\xb8\xc5",
			identifiedDescriptionName: [
				"Fruit from the Yggdrasil tree which brings life to our world. Its fantastic taste is full of life.",
				"^000088Fully restores HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		608: {
			unidentifiedDisplayName: "Yggdrasil Seed",
			unidentifiedResourceName: "\xc0\xcc\xb1\xd7\xb5\xe5\xb6\xf3\xbd\xc7\xbe\xbe\xbe\xd1",
			unidentifiedDescriptionName: [
				"Seed from the Yggdrasil tree which holds our world together. It has a weird, energizing pungence.",
				"^000088Restores one half of Maximum HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Yggdrasil Seed",
			identifiedResourceName: "\xc0\xcc\xb1\xd7\xb5\xe5\xb6\xf3\xbd\xc7\xbe\xbe\xbe\xd1",
			identifiedDescriptionName: [
				"Seed from the Yggdrasil tree which holds our world together. It has a weird, energizing pungence.",
				"^000088Restores one half of Maximum HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		609: {
			unidentifiedDisplayName: "Amulet",
			unidentifiedResourceName: "\xb9\xdd\xc8\xa5\xba\xce",
			unidentifiedDescriptionName: [
				"A forbidden talisman that can reanimate the dead, resulting in a walking corpse or undead zombie.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Amulet",
			identifiedResourceName: "\xb9\xdd\xc8\xa5\xba\xce",
			identifiedDescriptionName: [
				"A forbidden talisman that can reanimate the dead, resulting in a walking corpse or undead zombie.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		610: {
			unidentifiedDisplayName: "Yggdrasil Leaf",
			unidentifiedResourceName: "\xc0\xcc\xb1\xd7\xb5\xe5\xb6\xf3\xbd\xc7\xc0\xd9",
			unidentifiedDescriptionName: [
				"Leaf from the Yggdrasil tree which maintains the mortal coil. It can bring life to fallen characters.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Yggdrasil Leaf",
			identifiedResourceName: "\xc0\xcc\xb1\xd7\xb5\xe5\xb6\xf3\xbd\xc7\xc0\xd9",
			identifiedDescriptionName: [
				"Leaf from the Yggdrasil tree which maintains the mortal coil. It can bring life to fallen characters.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		611: {
			unidentifiedDisplayName: "Magnifier",
			unidentifiedResourceName: "\xb5\xb8\xba\xb8\xb1\xe2",
			unidentifiedDescriptionName: [
				"A magnifying glass used for scrutinizing objects.",
				"^000088Appraises unidentified items and equipment^000000.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Magnifier",
			identifiedResourceName: "\xb5\xb8\xba\xb8\xb1\xe2",
			identifiedDescriptionName: [
				"A magnifying glass used for scrutinizing objects.",
				"^000088Appraises unidentified items and equipment^000000.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		612: {
			unidentifiedDisplayName: "Mini Furnace",
			unidentifiedResourceName: "\xbf\xeb\xb1\xa4\xb7\xce",
			unidentifiedDescriptionName: [
				"A disposable, miniature blast furnace that can be easily carried. Used to manufacture metals.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Mini Furnace",
			identifiedResourceName: "\xbf\xeb\xb1\xa4\xb7\xce",
			identifiedDescriptionName: [
				"A disposable, miniature blast furnace that can be easily carried. Used to manufacture metals.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		613: {
			unidentifiedDisplayName: "Iron Hammer",
			unidentifiedResourceName: "\xb0\xad\xc3\xb6\xb8\xc1\xc4\xa1",
			unidentifiedDescriptionName: [
				"A disposable hammer made out of well-tempered steel.",
				"Necessary tool in crafting ^000088Level 1 Weapons^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Iron Hammer",
			identifiedResourceName: "\xb0\xad\xc3\xb6\xb8\xc1\xc4\xa1",
			identifiedDescriptionName: [
				"A disposable hammer made out of well-tempered steel.",
				"Necessary tool in crafting ^000088Level 1 Weapons^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		614: {
			unidentifiedDisplayName: "Golden Hammer",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xc0\xc7\xb8\xc1\xc4\xa1",
			unidentifiedDescriptionName: [
				"A disposable hammer made out of pure gold.",
				"Necessary tool in crafting ^000088Level 2 Weapons^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Golden Hammer",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xc0\xc7\xb8\xc1\xc4\xa1",
			identifiedDescriptionName: [
				"A disposable hammer made out of pure gold.",
				"Necessary tool in crafting ^000088Level 2 Weapons^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		615: {
			unidentifiedDisplayName: "Oridecon Hammer",
			unidentifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc\xb8\xc1\xc4\xa1",
			unidentifiedDescriptionName: [
				"A disposable hammer made out of Oridecon.",
				"Necessary tool in crafting ^000088Level 3 Weapons^000000.",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			identifiedDisplayName: "Oridecon Hammer",
			identifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc\xb8\xc1\xc4\xa1",
			identifiedDescriptionName: [
				"A disposable hammer made out of Oridecon.",
				"Necessary tool in crafting ^000088Level 3 Weapons^000000.",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		616: {
			unidentifiedDisplayName: "Old Card Album",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"An antique album in which the power of a mysterious Card item is contained.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Old Card Album",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"An antique album in which the power of a mysterious Card item is contained.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		617: {
			unidentifiedDisplayName: "Old Purple Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"An old purple box holding contents that are a mystery until it is opened.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Old Purple Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"An old purple box holding contents that are a mystery until it is opened.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		618: {
			unidentifiedDisplayName: "Worn Out Scroll",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			unidentifiedDescriptionName: [
				"A rolled up piece of parchment, now brittle with age, on which faded text can scarcely be read.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Worn Out Scroll",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			identifiedDescriptionName: [
				"A rolled up piece of parchment, now brittle with age, on which faded text can scarcely be read.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		619: {
			unidentifiedDisplayName: "Unripe Apple",
			unidentifiedResourceName: "\xb4\xfa\xc0\xcd\xc0\xba\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"An apple that isn't ripe enough for humans to eat. Poring finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Unripe Apple",
			identifiedResourceName: "\xb4\xfa\xc0\xcd\xc0\xba\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"An apple that isn't ripe enough for humans to eat. Poring finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		620: {
			unidentifiedDisplayName: "Orange Juice",
			unidentifiedResourceName: "\xbf\xc0\xb7\xbb\xc1\xf6\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"A small bottle of orange juice. Drops finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Orange Juice",
			identifiedResourceName: "\xbf\xc0\xb7\xbb\xc1\xf6\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"A small bottle of orange juice. Drops finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		621: {
			unidentifiedDisplayName: "Bitter Herb",
			unidentifiedResourceName: "\xbe\xb2\xb5\xf0\xbe\xb4\xc7\xae",
			unidentifiedDescriptionName: [
				"An herb that is too bitter for the human palate. Poporing finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Bitter Herb",
			identifiedResourceName: "\xbe\xb2\xb5\xf0\xbe\xb4\xc7\xae",
			identifiedDescriptionName: [
				"An herb that is too bitter for the human palate. Poporing finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		622: {
			unidentifiedDisplayName: "Rainbow Carrot",
			unidentifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb3\xb4\xe7\xb1\xd9",
			unidentifiedDescriptionName: [
				"A fragrant carrot colored with all the hues of the rainbow. Lunatic finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Rainbow Carrot",
			identifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb3\xb4\xe7\xb1\xd9",
			identifiedDescriptionName: [
				"A fragrant carrot colored with all the hues of the rainbow. Lunatic finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		623: {
			unidentifiedDisplayName: "Earthworm the Dude",
			unidentifiedResourceName: "\xb8\xda\xc0\xef\xc0\xcc\xc1\xf6\xb7\xb7\xc0\xcc",
			unidentifiedDescriptionName: [
				"A rather suave looking earthworm gifted with womanizing debonairness. Picky finds him to be quite delicious.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Earthworm the Dude",
			identifiedResourceName: "\xb8\xda\xc0\xef\xc0\xcc\xc1\xf6\xb7\xb7\xc0\xcc",
			identifiedDescriptionName: [
				"A rather suave looking earthworm gifted with womanizing debonairness. Picky finds him to be quite delicious.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		624: {
			unidentifiedDisplayName: "Rotten Fish",
			unidentifiedResourceName: "\xbd\xe2\xc0\xba\xbb\xfd\xbc\xb1",
			unidentifiedDescriptionName: [
				"A rotting, dirty fish that attracts flies. Chonchon finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Rotten Fish",
			identifiedResourceName: "\xbd\xe2\xc0\xba\xbb\xfd\xbc\xb1",
			identifiedDescriptionName: [
				"A rotting, dirty fish that attracts flies. Chonchon finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		625: {
			unidentifiedDisplayName: "Rusty Iron",
			unidentifiedResourceName: "\xb3\xec\xbd\xbd\xbe\xee\xb9\xf6\xb8\xb0\xc3\xb6",
			unidentifiedDescriptionName: [
				"A rusty piece of iron that would only interest scavengers and vermin. Steel Chonchon finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Rusty Iron",
			identifiedResourceName: "\xb3\xec\xbd\xbd\xbe\xee\xb9\xf6\xb8\xb0\xc3\xb6",
			identifiedDescriptionName: [
				"A rusty piece of iron that would only interest scavengers and vermin. Steel Chonchon finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		626: {
			unidentifiedDisplayName: "Monster Juice",
			unidentifiedResourceName: "\xb8\xf3\xbd\xba\xc5\xcd\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"A fetid drink made of monster blood. Hunter Fly finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Monster Juice",
			identifiedResourceName: "\xb8\xf3\xbd\xba\xc5\xcd\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"A fetid drink made of monster blood. Hunter Fly finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		627: {
			unidentifiedDisplayName: "Sweet Milk",
			unidentifiedResourceName: "\xb4\xde\xc4\xde\xc7\xd1\xbf\xec\xc0\xaf",
			unidentifiedDescriptionName: [
				"Sweet, luscious, full bodied milk. Savage Babe finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Sweet Milk",
			identifiedResourceName: "\xb4\xde\xc4\xde\xc7\xd1\xbf\xec\xc0\xaf",
			identifiedDescriptionName: [
				"Sweet, luscious, full bodied milk. Savage Babe finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		628: {
			unidentifiedDisplayName: "Well-Dried Bone",
			unidentifiedResourceName: "\xb8\xbb\xb8\xb0\xbb\xc0\xb4\xd9\xb1\xcd",
			unidentifiedDescriptionName: [
				"A tough, chewy bone that has been dried in the sun. Baby Desert Wolf finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Well-Dried Bone",
			identifiedResourceName: "\xb8\xbb\xb8\xb0\xbb\xc0\xb4\xd9\xb1\xcd",
			identifiedDescriptionName: [
				"A tough, chewy bone that has been dried in the sun. Baby Desert Wolf finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		629: {
			unidentifiedDisplayName: "Singing Flower",
			unidentifiedResourceName: "\xb3\xeb\xb7\xa1\xc7\xcf\xb4\xc2\xb2\xc9",
			unidentifiedDescriptionName: [
				"A flower that has been miraculously blessed with the gift of song. Rocker is inexplicably drawn to its sweet melodies.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Singing Flower",
			identifiedResourceName: "\xb3\xeb\xb7\xa1\xc7\xcf\xb4\xc2\xb2\xc9",
			identifiedDescriptionName: [
				"A flower that has been miraculously blessed with the gift of song. Rocker is inexplicably drawn to its sweet melodies.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		630: {
			unidentifiedDisplayName: "Dew Laden Moss",
			unidentifiedResourceName: "\xbe\xc6\xc4\xa7\xc0\xcc\xbd\xbd\xc0\xcc\xb3\xa2",
			unidentifiedDescriptionName: [
				"A dewy, green moss that grows in cool places. Spore finds it quite delectable.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Dew Laden Moss",
			identifiedResourceName: "\xbe\xc6\xc4\xa7\xc0\xcc\xbd\xbd\xc0\xcc\xb3\xa2",
			identifiedDescriptionName: [
				"A dewy, green moss that grows in cool places. Spore finds it quite delectable.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		631: {
			unidentifiedDisplayName: "Deadly Noxious Herb",
			unidentifiedResourceName: "\xb8\xcd\xb5\xb6\xc3\xca",
			unidentifiedDescriptionName: [
				"A plant that contains poisons that would harm most living creatures. Poison Spore is known to savor its flavor.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Deadly Noxious Herb",
			identifiedResourceName: "\xb8\xcd\xb5\xb6\xc3\xca",
			identifiedDescriptionName: [
				"A plant that contains poisons that would harm most living creatures. Poison Spore is known to savor its flavor.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		632: {
			unidentifiedDisplayName: "Fatty Chubby Earthworm",
			unidentifiedResourceName: "\xc5\xe4\xbd\xc7\xc5\xe4\xbd\xc7\xc1\xf6\xb7\xb7\xc0\xcc",
			unidentifiedDescriptionName: [
				"An earthworm that stopped caring about its figure years ago. Peco Peco loves the way that it tastes.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Fatty Chubby Earthworm",
			identifiedResourceName: "\xc5\xe4\xbd\xc7\xc5\xe4\xbd\xc7\xc1\xf6\xb7\xb7\xc0\xcc",
			identifiedDescriptionName: [
				"An earthworm that stopped caring about its figure years ago. Peco Peco loves the way that it tastes.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		633: {
			unidentifiedDisplayName: "Baked Yam",
			unidentifiedResourceName: "\xb1\xb8\xbf\xee\xb0\xed\xb1\xb8\xb8\xb6",
			unidentifiedDescriptionName: [
				"A baked sweet potato with an appetizing scent. Smokie loves eating this.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Sweet Potato",
			identifiedResourceName: "\xb1\xb8\xbf\xee\xb0\xed\xb1\xb8\xb8\xb6",
			identifiedDescriptionName: [
				"A baked sweet potato with an appetizing scent. Smokie loves eating this.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		634: {
			unidentifiedDisplayName: "Tropical Banana",
			unidentifiedResourceName: "\xbf\xad\xb4\xeb\xc0\xc7\xb9\xd9\xb3\xaa\xb3\xaa",
			unidentifiedDescriptionName: [
				"A premium quality banana grown in the tropics. Yoyo finds it irresistible; forever will it be his one weakness.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Tropical Banana",
			identifiedResourceName: "\xbf\xad\xb4\xeb\xc0\xc7\xb9\xd9\xb3\xaa\xb3\xaa",
			identifiedDescriptionName: [
				"A premium quality banana grown in the tropics. Yoyo finds it irresistible; forever will it be his one weakness.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		635: {
			unidentifiedDisplayName: "Horror of Tribe",
			unidentifiedResourceName: "\xc1\xb6\xc1\xf7\xc0\xc7\xbe\xb4\xb8\xc0",
			unidentifiedDescriptionName: [
				"A trophy awarded to the bravest of Orcs. Orc Warriors are compelled to claim it as their very own.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Orc Trophy",
			identifiedResourceName: "\xc1\xb6\xc1\xf7\xc0\xc7\xbe\xb4\xb8\xc0",
			identifiedDescriptionName: [
				"A trophy awarded to the bravest of Orcs. Orc Warriors are compelled to claim it as their very own.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		636: {
			unidentifiedDisplayName: "No Recipient",
			unidentifiedResourceName: "\xbc\xf6\xc3\xeb\xc0\xce\xba\xd2\xb8\xed",
			unidentifiedDescriptionName: [
				"An old, heartfelt letter that has never been delivered since it has no recipient. Munak is inexplicably drawn to this item.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "No Recipient",
			identifiedResourceName: "\xbc\xf6\xc3\xeb\xc0\xce\xba\xd2\xb8\xed",
			identifiedDescriptionName: [
				"An old, heartfelt letter that has never been delivered since it has no recipient. Munak is inexplicably drawn to this item.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		637: {
			unidentifiedDisplayName: "Old Broom",
			unidentifiedResourceName: "\xc7\xe5\xba\xf8\xc0\xda\xb7\xe7",
			unidentifiedDescriptionName: [
				"A generations old broom that is handed down within a family. Dokebi is drawn to it for some reason.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Old Broom",
			identifiedResourceName: "\xc7\xe5\xba\xf8\xc0\xda\xb7\xe7",
			identifiedDescriptionName: [
				"A generations old broom that is handed down within a family. Dokebi is drawn to it for some reason.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		638: {
			unidentifiedDisplayName: "Silver Knife of Chastity",
			unidentifiedResourceName: "\xbc\xf8\xb0\xe1\xc0\xc7\xc0\xba\xc0\xe5\xb5\xb5",
			unidentifiedDescriptionName: [
				"A silver knife that is a symbol of a virgin's chastity. Sohee loves collecting these.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Silver Knife of Chastity",
			identifiedResourceName: "\xbc\xf8\xb0\xe1\xc0\xc7\xc0\xba\xc0\xe5\xb5\xb5",
			identifiedDescriptionName: [
				"A silver knife that is a symbol of a virgin's chastity. Sohee loves collecting these.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		639: {
			unidentifiedDisplayName: "Armlet of Obedience",
			unidentifiedResourceName: "\xba\xb9\xc1\xbe\xc0\xc7\xc6\xc8\xc2\xee",
			unidentifiedDescriptionName: [
				"A fancy, intricately decorated bracelet. Isis is lured by its regal beauty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Armlet of Obedience",
			identifiedResourceName: "\xba\xb9\xc1\xbe\xc0\xc7\xc6\xc8\xc2\xee",
			identifiedDescriptionName: [
				"A fancy, intricately decorated bracelet. Isis is lured by its regal beauty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		640: {
			unidentifiedDisplayName: "Shining Stone",
			unidentifiedResourceName: "\xb9\xdd\xc2\xa6\xc0\xcc\xb4\xc2\xb5\xb9",
			unidentifiedDescriptionName: [
				"A stone that softly glimmers with faint light. Petite is drawn to its gentle sparkle.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Shining Stone",
			identifiedResourceName: "\xb9\xdd\xc2\xa6\xc0\xcc\xb4\xc2\xb5\xb9",
			identifiedDescriptionName: [
				"A stone that softly glimmers with faint light. Petite is drawn to its gentle sparkle.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		641: {
			unidentifiedDisplayName: "Contracts in Shadow",
			unidentifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			unidentifiedDescriptionName: [
				"A contract drawn in darkness. Deviruchi is compelled to claim this item as its own.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Contract in Shadow",
			identifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			identifiedDescriptionName: [
				"A contract drawn in darkness. Deviruchi is compelled to claim this item as its own.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		642: {
			unidentifiedDisplayName: "Book of Devil",
			unidentifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			unidentifiedDescriptionName: [
				"A forbidden book in which the secret for summoning high level demons is detailed. Baphomet Jr. can not resist its power.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Book of the Devil",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			identifiedDescriptionName: [
				"A forbidden book in which the secret for summoning high level demons is detailed. Baphomet Jr. can not resist its power.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		643: {
			unidentifiedDisplayName: "Pet Incubator",
			unidentifiedResourceName: "\xbe\xcb\xba\xce\xc8\xad\xb1\xe2",
			unidentifiedDescriptionName: [
				"A portable incubator that is used to hatch Cute Pet monster eggs.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Pet Incubator",
			identifiedResourceName: "\xbe\xcb\xba\xce\xc8\xad\xb1\xe2",
			identifiedDescriptionName: [
				"A portable incubator that is used to hatch Cute Pet monster eggs.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		644: {
			unidentifiedDisplayName: "Gift Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing some sort of present.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Gift Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing some sort of present.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		645: {
			unidentifiedDisplayName: "Concentration Potion",
			unidentifiedResourceName: "\xc1\xfd\xc1\xdf\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potent medicine that stimulates concentration.",
				"Temporarily increases Attack Speed.",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			identifiedDisplayName: "Concentration Potion",
			identifiedResourceName: "\xc1\xfd\xc1\xdf\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potent medicine that stimulates concentration.",
				"Temporarily increases Attack Speed.",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		656: {
			unidentifiedDisplayName: "Awakening Potion",
			unidentifiedResourceName: "\xb0\xa2\xbc\xba\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A special tonic that combats the effects of drowsiness.",
				"Temporarily increases Attack Speed.",
				"Weight :^777777 15^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 All except Acolyte, Priest, Bard and Dancer^000000",
			],
			identifiedDisplayName: "Awakening Potion",
			identifiedResourceName: "\xb0\xa2\xbc\xba\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A special tonic that combats the effects of drowsiness.",
				"Temporarily increases Attack Speed.",
				"Weight :^777777 15^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 All except Acolyte, Priest, Bard and Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		657: {
			unidentifiedDisplayName: "Berserk Potion",
			unidentifiedResourceName: "\xb9\xf6\xbc\xad\xc5\xa9\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"Remarkably powerful medicine that stimulates circulation and amplifies quickness.",
				"Temporarily increases Attack Speed.",
				"Weight :^777777 20^000000",
				"Required Level :^777777 85^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, TaeKwon Class, Mage, Wizard, Rogue^000000",
			],
			identifiedDisplayName: "Berserk Potion",
			identifiedResourceName: "\xb9\xf6\xbc\xad\xc5\xa9\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"Remarkably powerful medicine that stimulates circulation and amplifies quickness.",
				"Temporarily increases Attack Speed.",
				"Weight :^777777 20^000000",
				"Required Level :^777777 85^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, TaeKwon Class, Mage, Wizard, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		658: {
			unidentifiedDisplayName: "Union of Tribe",
			unidentifiedResourceName: "\xc1\xb6\xc1\xf7\xc0\xc7\xb4\xdc\xb0\xe1\xb7\xc2",
			unidentifiedDescriptionName: [
				"A symbol of solidarity that evokes a feeling of nobility to those who see it.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Union of Tribe",
			identifiedResourceName: "\xc1\xb6\xc1\xf7\xc0\xc7\xb4\xdc\xb0\xe1\xb7\xc2",
			identifiedDescriptionName: [
				"A symbol of solidarity that evokes a feeling of nobility to those who see it.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		659: {
			unidentifiedDisplayName: "Her Heart",
			unidentifiedResourceName: "\xb1\xd7\xb3\xe0\xc0\xc7\xb8\xb6\xc0\xbd",
			unidentifiedDescriptionName: [
				"An old book rumored to be enchanted by a girl whose name has been forgotten with time. For some reason, Bongun is drawn to it.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Her Heart",
			identifiedResourceName: "\xb1\xd7\xb3\xe0\xc0\xc7\xb8\xb6\xc0\xbd",
			identifiedDescriptionName: [
				"An old book rumored to be enchanted by a girl whose name has been forgotten with time. For some reason, Bongun is drawn to it.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		660: {
			unidentifiedDisplayName: "Forbidden Red Candle",
			unidentifiedResourceName: "\xb1\xdd\xb4\xdc\xc0\xc7\xba\xd3\xc0\xba\xbe\xe7\xc3\xca",
			unidentifiedDescriptionName: [
				"A candle that may have a mysterious purpose.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Forbidden Red Candle",
			identifiedResourceName: "\xb1\xdd\xb4\xdc\xc0\xc7\xba\xd3\xc0\xba\xbe\xe7\xc3\xca",
			identifiedDescriptionName: [
				"A candle that may have a mysterious purpose.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		661: {
			unidentifiedDisplayName: "Soft Apron",
			unidentifiedResourceName: "\xc7\xcf\xb4\xc3\xc7\xcf\xb4\xc3\xc7\xd1\xbe\xd5\xc4\xa1\xb8\xb6",
			unidentifiedDescriptionName: [
				"A soft apron that is double stitched for better quality. Is the favorite item of the Alice monster.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Soft Apron",
			identifiedResourceName: "\xc7\xcf\xb4\xc3\xc7\xcf\xb4\xc3\xbe\xd5\xc4\xa1\xb8\xb6",
			identifiedDescriptionName: [
				"A soft apron that is double stitched for better quality. Is the favorite item of the Alice monster.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		662: {
			unidentifiedDisplayName: "Authoritative Badge",
			unidentifiedResourceName: "\xb8\xb6\xc6\xd0",
			unidentifiedDescriptionName: [
				"A badge made out of bronze that was used in an ancient Asian country.",
				"It was given to government officials who went on business trips and they could use this badge to rent horses anywhere.",
				"^000088Temporarily increases Movement Speed^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Authoritative Badge",
			identifiedResourceName: "\xb8\xb6\xc6\xd0",
			identifiedDescriptionName: [
				"A badge made out of bronze that was used in an ancient Asian country.",
				"It was given to government officials who went on business trips and they could use this badge to rent horses anywhere.",
				"^000088Temporarily increases Movement Speed^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		663: {
			unidentifiedDisplayName: "Korean Rice Cake",
			unidentifiedResourceName: "\xbc\xdb\xc6\xed",
			unidentifiedDescriptionName: [
				"Traditional Korean rice cake.",
				"^000088Restores 10% of Maximum HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Korean Rice Cake",
			identifiedResourceName: "\xbc\xdb\xc6\xed",
			identifiedDescriptionName: [
				"Traditional Korean rice cake.",
				"^000088Restores 10% of Maximum HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		664: {
			unidentifiedDisplayName: "Gift Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box which contains a gift.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Gift Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box which contains a gift.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		665: {
			unidentifiedDisplayName: "Gift Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"A box which contains a gift.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Gift Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"A box which contains a gift.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		666: {
			unidentifiedDisplayName: "Gift Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			unidentifiedDescriptionName: [
				"A box which contains a gift.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Gift Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			identifiedDescriptionName: [
				"A box which contains a gift.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		667: {
			unidentifiedDisplayName: "Gift Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box which contains a gift.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Gift Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box which contains a gift.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		668: {
			unidentifiedDisplayName: "New Year's Red Envelope",
			unidentifiedResourceName: "\xbc\xbc\xb9\xee\xb5\xb7",
			unidentifiedDescriptionName: [
				"A red envelope which is given to children on New Year's Day.",
				"It seems to contain something that will make its recipient very happy.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Red Envelope",
			identifiedResourceName: "\xbc\xbc\xb9\xee\xb5\xb7",
			identifiedDescriptionName: [
				"A red envelope which is given to children on New Year's Day.",
				"It seems to contain something that will make its recipient very happy.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		669: {
			unidentifiedDisplayName: "Tempting Rice-Cake Soup",
			unidentifiedResourceName: "\xb6\xb1\xb1\xb9",
			unidentifiedDescriptionName: [
				"A soup made with pieces of rice cake.",
				"It is said that having a bowl of this soup on New Year's Day will make you one year older.",
				"Young children would abuse this custom to reach legal driving age until the law was changed.",
				"It was made during New Year's Day, and has since rotten with the passing of time. It is currently uneatable.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Tempting Rice-Cake Soup",
			identifiedResourceName: "\xb6\xb1\xb1\xb9",
			identifiedDescriptionName: [
				"A soup made with pieces of rice cake.",
				"It is said that having a bowl of this soup on New Year's Day will make you one year older.",
				"Young children would abuse this custom to reach legal driving age until the law was changed.",
				"It was made during New Year's Day, and has since rotten with the passing of time. It is currently uneatable.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		670: {
			unidentifiedDisplayName: "Bag of Gold Coins",
			unidentifiedResourceName: "\xb1\xdd\xc0\xfc\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"A bag filled with gold coins.",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			identifiedDisplayName: "Bag of Gold Coins",
			identifiedResourceName: "\xb1\xdd\xc0\xfc\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"A bag filled with gold coins.",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		671: {
			unidentifiedDisplayName: "Gold Coin ",
			unidentifiedResourceName: "\xb1\xdd\xc8\xad",
			unidentifiedDescriptionName: [
				"A coin made of gold.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Gold Coin ",
			identifiedResourceName: "\xb1\xdd\xc8\xad",
			identifiedDescriptionName: [
				"A coin made of gold.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		672: {
			unidentifiedDisplayName: "Bag of Bronze Coins",
			unidentifiedResourceName: "\xb5\xbf\xc0\xfc\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"A bag filled with bronze coins.",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			identifiedDisplayName: "Bag of Bronze Coins",
			identifiedResourceName: "\xb5\xbf\xc0\xfc\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"A bag filled with bronze coins.",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		673: {
			unidentifiedDisplayName: "Bronze Coin",
			unidentifiedResourceName: "\xb5\xbf\xc8\xad",
			unidentifiedDescriptionName: [
				"A coin made of bronze.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Bronze Coin",
			identifiedResourceName: "\xb5\xbf\xc8\xad",
			identifiedDescriptionName: [
				"A coin made of bronze.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		674: {
			unidentifiedDisplayName: "Mithril Coin",
			unidentifiedResourceName: "\xb9\xcc\xbd\xba\xb8\xb1\xc8\xad",
			unidentifiedDescriptionName: [
				"A coin made of mythril.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Mithril Coin",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xb8\xb1\xc8\xad",
			identifiedDescriptionName: [
				"A coin made of mythril.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		675: {
			unidentifiedDisplayName: "Silver Coin",
			unidentifiedResourceName: "\xc0\xba\xc8\xad",
			unidentifiedDescriptionName: [
				"A coin made of silver.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Silver Coin",
			identifiedResourceName: "\xc0\xba\xc8\xad",
			identifiedDescriptionName: [
				"A coin made of silver.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		676: {
			unidentifiedDisplayName: "Bag of Silver Coins",
			unidentifiedResourceName: "\xc0\xba\xc0\xfc\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"A bag filled with silver coins.",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			identifiedDisplayName: "Bag of Silver Coins",
			identifiedResourceName: "\xc0\xba\xc0\xfc\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"A bag filled with silver coins.",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		677: {
			unidentifiedDisplayName: "Platinum Coin",
			unidentifiedResourceName: "\xb9\xe9\xb1\xdd\xc8\xad",
			unidentifiedDescriptionName: [
				"A coin made of platinum.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Platinum Coin",
			identifiedResourceName: "\xb9\xe9\xb1\xdd\xc8\xad",
			identifiedDescriptionName: [
				"A coin made of platinum.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		678: {
			unidentifiedDisplayName: "Poison Bottle",
			unidentifiedResourceName: "\xb5\xa5\xb5\xe9\xb8\xae\xc6\xf7\xc0\xcc\xc1\xf0\xba\xb4",
			unidentifiedDescriptionName: [
				"A skeleton shaped bottle which contains deadly poison.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Poison Bottle",
			identifiedResourceName: "\xb5\xa5\xb5\xe9\xb8\xae\xc6\xf7\xc0\xcc\xc1\xf0\xba\xb4",
			identifiedDescriptionName: [
				"A skeleton shaped bottle which contains deadly poison.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		679: {
			unidentifiedDisplayName: "Pilule",
			unidentifiedResourceName: "\xb1\xdd\xc8\xaf\xbe\xe0",
			unidentifiedDescriptionName: [
				"An herbal medicine from an old eastern country that is rumored to cure every illness.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Pilule",
			identifiedResourceName: "\xb1\xdd\xc8\xaf\xbe\xe0",
			identifiedDescriptionName: [
				"An herbal medicine from an old eastern country that is rumored to cure every illness.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		680: {
			unidentifiedDisplayName: "Magic Carnation",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xc0\xc7\xc4\xab\xb3\xd7\xc0\xcc\xbc\xc7",
			unidentifiedDescriptionName: [
				"A carnation which is given to parents or teachers on special occasions.",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Magic Carnation",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xc0\xc7\xc4\xab\xb3\xd7\xc0\xcc\xbc\xc7",
			identifiedDescriptionName: [
				"A carnation which is given to parents or teachers on special occasions.",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		681: {
			unidentifiedDisplayName: "Sweet Memory of Marriage",
			unidentifiedResourceName: "\xbd\xc5\xc8\xa5\xc0\xc7\xc3\xdf\xbe\xef",
			unidentifiedDescriptionName: [
				"A picture album of memories of the wedding ceremony or honeymoon.",
				"(Married people only)",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sweet Memory of Marriage",
			identifiedResourceName: "\xbd\xc5\xc8\xa5\xc0\xc7\xc3\xdf\xbe\xef",
			identifiedDescriptionName: [
				"A picture album of memories of the wedding ceremony or honeymoon.",
				"(Married people only)",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		682: {
			unidentifiedDisplayName: "Distilled Fighting Spirit",
			unidentifiedResourceName: "\xbf\xf5\xc8\xb2\xc1\xd6",
			unidentifiedDescriptionName: [
				"A magical drink which increases attack strength when it is taken.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Distilled Fighting Spirit",
			identifiedResourceName: "\xbf\xf5\xc8\xb2\xc1\xd6",
			identifiedDescriptionName: [
				"A magical drink which increases attack strength when it is taken.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		683: {
			unidentifiedDisplayName: "Herb of Incantation",
			unidentifiedResourceName: "\xbe\xd6\xc3\xca",
			unidentifiedDescriptionName: [
				"An enchanted herb which increases Magical attack strength when eaten.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Herb of Incantation",
			identifiedResourceName: "\xbe\xd6\xc3\xca",
			identifiedDescriptionName: [
				"An enchanted herb which increases Magical attack strength when eaten.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		684: {
			unidentifiedDisplayName: "Durian",
			unidentifiedResourceName: "\xb5\xe0\xb8\xae\xbe\xc8",
			unidentifiedDescriptionName: [
				"A tropical delicacy known as the king of fruits. It's big, green and heavy, and is covered in thorns.",
				"Its odor may offend some people, but it tastes delicious.",
				"ATK + 10, MATK + 10",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Durian",
			identifiedResourceName: "\xb5\xe0\xb8\xae\xbe\xc8",
			identifiedDescriptionName: [
				"A tropical delicacy known as the king of fruits. It's big, green and heavy, and is covered in thorns.",
				"Its odor may offend some people, but it tastes delicious.",
				"ATK + 10, MATK + 10",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		685: {
			unidentifiedDisplayName: "Ramadan",
			unidentifiedResourceName: "\x52\x41\x4d\x41\x44\x41\x4e",
			unidentifiedDescriptionName: [
				"A word which means 'September' in a desert country, the month of a holy moon.",
				"During the holy month, everyone fasts and lives in an ascetic fashion.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Ramadan",
			identifiedResourceName: "\x52\x41\x4d\x41\x44\x41\x4e",
			identifiedDescriptionName: [
				"A word which means 'September' in a desert country, the month of a holy moon.",
				"During the holy month, everyone fasts and lives in an ascetic fashion.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		686: {
			unidentifiedDisplayName: "Level 3 Earth Spike",
			unidentifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 3 Earth Spike^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 3 Earth Spike",
			identifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 3 Earth Spike^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		687: {
			unidentifiedDisplayName: "Level 5 Earth Spike",
			unidentifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Earth Spike^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 5 Earth Spike",
			identifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Earth Spike^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		688: {
			unidentifiedDisplayName: "Level 3 Cold Bolt",
			unidentifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 3 Cold Bolt^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 3 Cold Bolt",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 3 Cold Bolt^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		689: {
			unidentifiedDisplayName: "Level 5 Cold Bolt",
			unidentifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Cold Bolt^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 5 Cold Bolt",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Cold Bolt^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		690: {
			unidentifiedDisplayName: "Level 3 Fire Bolt",
			unidentifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 3 Fire Bolt^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 3 Fire Bolt",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 3 Fire Bolt^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		691: {
			unidentifiedDisplayName: "Level 5 Fire Bolt",
			unidentifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Fire Bolt^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 5 Fire Bolt",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Fire Bolt^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		692: {
			unidentifiedDisplayName: "Level 3 Lightening Bolt",
			unidentifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 3 Lightning Bolt^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 3 Lightening Bolt",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 3 Lightning Bolt^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		693: {
			unidentifiedDisplayName: "Level 5 Lightening Bolt",
			unidentifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Lightning Bolt^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 5 Lightening Bolt",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Lightning Bolt^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		694: {
			unidentifiedDisplayName: "Level 3 Soul Strike",
			unidentifiedResourceName: "\xbf\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 3 Soul Strike^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 3 Soul Strike",
			identifiedResourceName: "\xbf\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 3 Soul Strike^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		695: {
			unidentifiedDisplayName: "Level 5 Soul Strike",
			unidentifiedResourceName: "\xbf\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Soul Strike^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 5 Soul Strike",
			identifiedResourceName: "\xbf\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Soul Strike^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		696: {
			unidentifiedDisplayName: "Level 1 Fire Ball",
			unidentifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 1 Fire Ball^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 1 Fire Ball",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 1 Fire Ball^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		697: {
			unidentifiedDisplayName: "Level 5 Fire Ball",
			unidentifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Fire Ball^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 5 Fire Ball",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Fire Ball^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		698: {
			unidentifiedDisplayName: "Level 1 Fire Wall",
			unidentifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 1 Fire Wall^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 1 Fire Wall",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 1 Fire Wall^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		699: {
			unidentifiedDisplayName: "Level 5 Fire Wall",
			unidentifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Fire Wall^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 5 Fire Wall",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Fire Wall^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		700: {
			unidentifiedDisplayName: "Level 1 Frost Diver",
			unidentifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 1 Frost Diver^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 1 Frost Diver",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 1 Frost Diver^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		701: {
			unidentifiedDisplayName: "Ora Ora",
			unidentifiedResourceName: "\xbf\xc0\xb6\xf3\xbf\xc0\xb6\xf3",
			unidentifiedDescriptionName: [
				"A trap that uses sticky, sweet scented liquid to lure and ensnare Thief Bugs. Handy if bugs are totally infesting a home.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Ora Ora",
			identifiedResourceName: "\xbf\xc0\xb6\xf3\xbf\xc0\xb6\xf3",
			identifiedDescriptionName: [
				"A trap that uses sticky, sweet scented liquid to lure and ensnare Thief Bugs. Handy if bugs are totally infesting a home.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		702: {
			unidentifiedDisplayName: "Animal Gore",
			unidentifiedResourceName: "\xb0\xa1\xc3\xe0\xc0\xc7\xc7\xc7",
			unidentifiedDescriptionName: [
				"Bottled blood from a freshly slain beast. It's usually used to lure other animals.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Animal Gore",
			identifiedResourceName: "\xb0\xa1\xc3\xe0\xc0\xc7\xc7\xc7",
			identifiedDescriptionName: [
				"Bottled blood from a freshly slain beast. It's usually used to lure other animals.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		703: {
			unidentifiedDisplayName: "Hinalle",
			unidentifiedResourceName: "\xc8\xf7\xb3\xaa\xb7\xb9",
			unidentifiedDescriptionName: [
				"A common plant with a mildly curative effect, its leaves can give a nice and smoothing sensation.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hinalle",
			identifiedResourceName: "\xc8\xf7\xb3\xaa\xb7\xb9",
			identifiedDescriptionName: [
				"A common plant with a mildly curative effect, its leaves can give a nice and smoothing sensation.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		704: {
			unidentifiedDisplayName: "Aloe",
			unidentifiedResourceName: "\xbe\xcb\xb7\xce\xbf\xa1",
			unidentifiedDescriptionName: [
				"A rare plant with curative properties that only grows deep in the forest during certain times of the year.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aloe",
			identifiedResourceName: "\xbe\xcb\xb7\xce\xbf\xa1",
			identifiedDescriptionName: [
				"A rare plant with curative properties that only grows deep in the forest during certain times of the year.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		705: {
			unidentifiedDisplayName: "Clover",
			unidentifiedResourceName: "\xc5\xac\xb7\xce\xb9\xf6",
			unidentifiedDescriptionName: [
				"A plant with three heart shaped leaves that is plentiful in meadows.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Clover",
			identifiedResourceName: "\xc5\xac\xb7\xce\xb9\xf6",
			identifiedDescriptionName: [
				"A plant with three heart shaped leaves that is plentiful in meadows.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		706: {
			unidentifiedDisplayName: "Four Leaf Clover",
			unidentifiedResourceName: "\xb3\xd7\xc0\xd9\xc5\xac\xb7\xce\xb9\xf6",
			unidentifiedDescriptionName: [
				"An extremely rare clover with four leaves. Legends say that merely holding a Four Leaf Clover is a sign of great fortune to come.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Four Leaf Clover",
			identifiedResourceName: "\xb3\xd7\xc0\xd9\xc5\xac\xb7\xce\xb9\xf6",
			identifiedDescriptionName: [
				"An extremely rare clover with four leaves. Legends say that merely holding a Four Leaf Clover is a sign of great fortune to come.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		707: {
			unidentifiedDisplayName: "Singing Plant",
			unidentifiedResourceName: "\xb3\xeb\xb7\xa1\xc7\xcf\xb4\xc2\xc7\xae",
			unidentifiedDescriptionName: [
				"A mysterious plant that sings melancholic songs under a full moon. Legend says it's a woman grieving over the loss of her lover that has been reborn.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Singing Plant",
			identifiedResourceName: "\xb3\xeb\xb7\xa1\xc7\xcf\xb4\xc2\xc7\xae",
			identifiedDescriptionName: [
				"A mysterious plant that sings melancholic songs under a full moon. Legend says it's a woman grieving over the loss of her lover that has been reborn.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		708: {
			unidentifiedDisplayName: "Ment",
			unidentifiedResourceName: "\xb8\xe0\xc6\xae",
			unidentifiedDescriptionName: [
				"A white flower containing oils that can relieve pain and aches. Strangely, only a few remember how to use it to cause memory loss.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ment",
			identifiedResourceName: "\xb8\xe0\xc6\xae",
			identifiedDescriptionName: [
				"A white flower containing oils that can relieve pain and aches. Strangely, only a few remember how to use it to cause memory loss.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		709: {
			unidentifiedDisplayName: "Izidor",
			unidentifiedResourceName: "\xc0\xcc\xc1\xf6\xb5\xb5\xb8\xa3",
			unidentifiedDescriptionName: [
				"It's a flower with very strong scent, so it is used for a spice for some dishes. It can cause hallucinations if you overeat it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Izidor",
			identifiedResourceName: "\xc0\xcc\xc1\xf6\xb5\xb5\xb8\xa3",
			identifiedDescriptionName: [
				"It's a flower with very strong scent, so it is used for a spice for some dishes. It can cause hallucinations if you overeat it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		710: {
			unidentifiedDisplayName: "Illusion Flower",
			unidentifiedResourceName: "\xc8\xaf\xbb\xf3\xc0\xc7\xb2\xc9",
			unidentifiedDescriptionName: [
				"Rarely seen by humans, this flower supposedly shines brilliantly under the light of the moon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Illusion Flower",
			identifiedResourceName: "\xc8\xaf\xbb\xf3\xc0\xc7\xb2\xc9",
			identifiedDescriptionName: [
				"Rarely seen by humans, this flower supposedly shines brilliantly under the light of the moon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		711: {
			unidentifiedDisplayName: "Shoot",
			unidentifiedResourceName: "\xbb\xf5\xbd\xcf",
			unidentifiedDescriptionName: [
				"A delicate and fragile plant that is still in the early stages of growth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shoot",
			identifiedResourceName: "\xbb\xf5\xbd\xcf",
			identifiedDescriptionName: [
				"A delicate and fragile plant that is still in the early stages of growth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		712: {
			unidentifiedDisplayName: "Flower",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"An ordinary, thornless wildflower that doesn't have any particular scent.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flower",
			identifiedResourceName: "\xb2\xc9",
			identifiedDescriptionName: [
				"An ordinary, thornless wildflower that doesn't have any particular scent.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		713: {
			unidentifiedDisplayName: "Empty Bottle",
			unidentifiedResourceName: "\xba\xf3\xba\xb4",
			unidentifiedDescriptionName: [
				"An empty bottle that can be used for carrying liquid.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Empty Bottle",
			identifiedResourceName: "\xba\xf3\xba\xb4",
			identifiedDescriptionName: [
				"An empty bottle that can be used for carrying liquid.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		714: {
			unidentifiedDisplayName: "Emperium",
			unidentifiedResourceName: "\xbf\xa5\xc6\xe7\xb8\xae\xbf\xf2",
			unidentifiedDescriptionName: [
				"Merely owning this gloriously resplendent gem is said to be a sign of being chosen by fate to wield great power.",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Emperium",
			identifiedResourceName: "\xbf\xa5\xc6\xe7\xb8\xae\xbf\xf2",
			identifiedDescriptionName: [
				"Merely owning this gloriously resplendent gem is said to be a sign of being chosen by fate to wield great power.",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		715: {
			unidentifiedDisplayName: "Yellow Gemstone",
			unidentifiedResourceName: "\xbf\xbb\xb7\xce\xbf\xec\xc1\xaa\xbd\xba\xc5\xe6",
			unidentifiedDescriptionName: [
				"An enchanted crystal that is used in conjunction with certain magic spells. Once used, it is powerless and immediately destroyed.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Yellow Gemstone",
			identifiedResourceName: "\xbf\xbb\xb7\xce\xbf\xec\xc1\xaa\xbd\xba\xc5\xe6",
			identifiedDescriptionName: [
				"An enchanted crystal that is used in conjunction with certain magic spells. Once used, it is powerless and immediately destroyed.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		716: {
			unidentifiedDisplayName: "Red Gemstone",
			unidentifiedResourceName: "\xb7\xb9\xb5\xe5\xc1\xaa\xbd\xba\xc5\xe6",
			unidentifiedDescriptionName: [
				"An enchanted crystal that is used in conjunction with certain magic spells. Once used, it is powerless and immediately destroyed.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Red Gemstone",
			identifiedResourceName: "\xb7\xb9\xb5\xe5\xc1\xaa\xbd\xba\xc5\xe6",
			identifiedDescriptionName: [
				"An enchanted crystal that is used in conjunction with certain magic spells. Once used, it is powerless and immediately destroyed.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		717: {
			unidentifiedDisplayName: "Blue Gemstone",
			unidentifiedResourceName: "\xba\xed\xb7\xe7\xc1\xaa\xbd\xba\xc5\xe6",
			unidentifiedDescriptionName: [
				"An enchanted crystal that is used in conjunction with certain magic spells. Once used, it is powerless and immediately destroyed.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Blue Gemstone",
			identifiedResourceName: "\xba\xed\xb7\xe7\xc1\xaa\xbd\xba\xc5\xe6",
			identifiedDescriptionName: [
				"An enchanted crystal that is used in conjunction with certain magic spells. Once used, it is powerless and immediately destroyed.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		718: {
			unidentifiedDisplayName: "Garnet",
			unidentifiedResourceName: "\xb0\xcb\xba\xd3\xc0\xba\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A dark red jewel that is the birthstone for people born in January.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Garnet",
			identifiedResourceName: "\xb0\xcb\xba\xd3\xc0\xba\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A dark red jewel that is the birthstone for people born in January.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		719: {
			unidentifiedDisplayName: "Amethyst",
			unidentifiedResourceName: "\xba\xb8\xb6\xf3\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A purple jewel that is the birthstone for people born in February.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Amethyst",
			identifiedResourceName: "\xba\xb8\xb6\xf3\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A purple jewel that is the birthstone for people born in February.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		720: {
			unidentifiedDisplayName: "Aquamarine",
			unidentifiedResourceName: "\xc7\xcf\xb4\xc3\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A clear, sky blue jewel that is the birthstone for people born in March.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Aquamarine",
			identifiedResourceName: "\xc7\xcf\xb4\xc3\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A clear, sky blue jewel that is the birthstone for people born in March.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		721: {
			unidentifiedDisplayName: "Emerald",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A brilliant, green jewel that is the birthstone for people born in May.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Emerald",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A brilliant, green jewel that is the birthstone for people born in May.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		722: {
			unidentifiedDisplayName: "Pearl",
			unidentifiedResourceName: "\xba\xd0\xc8\xab\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A pink jewel that is the birthstone for people born in June.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Pearl",
			identifiedResourceName: "\xba\xd0\xc8\xab\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A pink jewel that is the birthstone for people born in June.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		723: {
			unidentifiedDisplayName: "Ruby",
			unidentifiedResourceName: "\xc1\xf8\xc8\xab\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A deep maroon jewel that is the birthstone for people born in July.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Ruby",
			identifiedResourceName: "\xc1\xf8\xc8\xab\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A deep maroon jewel that is the birthstone for people born in July.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		724: {
			unidentifiedDisplayName: "Cursed Ruby",
			unidentifiedResourceName: "\xc1\xf8\xc8\xab\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A ruby containing mysterious powers.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Cursed Ruby",
			identifiedResourceName: "\xc1\xf8\xc8\xab\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A ruby containing mysterious powers.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		725: {
			unidentifiedDisplayName: "Sardonyx",
			unidentifiedResourceName: "\xba\xd3\xc0\xba\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"An onyx with alternating brown and white bands of shard. It's the birthstone for people born in August.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Sardonyx",
			identifiedResourceName: "\xba\xd3\xc0\xba\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"An onyx with alternating brown and white bands of shard. It's the birthstone for people born in August.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		726: {
			unidentifiedDisplayName: "Sapphire",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A dark blue gem that is the birthstone for people born during September.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Sapphire",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A dark blue gem that is the birthstone for people born during September.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		727: {
			unidentifiedDisplayName: "Opal",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A gem displaying an array of brilliant colors that is the birthstone for people born in October.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Opal",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A gem displaying an array of brilliant colors that is the birthstone for people born in October.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		728: {
			unidentifiedDisplayName: "Topaz",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A golden gem that is the birthstone for people born in November.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Topaz",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A golden gem that is the birthstone for people born in November.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		729: {
			unidentifiedDisplayName: "Zircon",
			unidentifiedResourceName: "\xc3\xbb\xb7\xcf\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A dazzling white-blue gem that is the birthstone for the month of December.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Zircon",
			identifiedResourceName: "\xc3\xbb\xb7\xcf\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A dazzling white-blue gem that is the birthstone for the month of December.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		730: {
			unidentifiedDisplayName: "1carat Diamond",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A small, twinkling and transparent gem that can be sold at a good price.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "1carat Diamond",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A small, twinkling and transparent gem that can be sold at a good price.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		731: {
			unidentifiedDisplayName: "2carat Diamond",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A medium size, sparkling transparent gem that can be sold at a high price.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "2carat Diamond",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A medium size, sparkling transparent gem that can be sold at a high price.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		732: {
			unidentifiedDisplayName: "3carat Diamond",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A huge, dazzling gem that can be sold at an outrageous price.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "3carat Diamond",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A huge, dazzling gem that can be sold at an outrageous price.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		733: {
			unidentifiedDisplayName: "Cracked Diamond",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A damaged diamond with obvious imperfections that won't sell for much Zeny.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Cracked Diamond",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A damaged diamond with obvious imperfections that won't sell for much Zeny.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		734: {
			unidentifiedDisplayName: "Red Frame",
			unidentifiedResourceName: "\xba\xd3\xc0\xba\xbe\xd7\xc0\xda",
			unidentifiedDescriptionName: [
				"A red frame that would make a nice present.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Red Frame",
			identifiedResourceName: "\xba\xd3\xc0\xba\xbe\xd7\xc0\xda",
			identifiedDescriptionName: [
				"A red frame that would make a nice present.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		735: {
			unidentifiedDisplayName: "Chung Jah",
			unidentifiedResourceName: "\xc7\xaa\xb8\xa5\xb5\xb5\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"Ancient Korean porcelain made of blue ceramic and crafted by a true master.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Chung Jah",
			identifiedResourceName: "\xc7\xaa\xb8\xa5\xb5\xb5\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"Ancient Korean porcelain made of blue ceramic and crafted by a true master.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		736: {
			unidentifiedDisplayName: "China",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xc1\xa2\xbd\xc3",
			unidentifiedDescriptionName: [
				"A clean, white plate crafted by a Chinese master. It's a nice present for the ladies.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "China",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xc1\xa2\xbd\xc3",
			identifiedDescriptionName: [
				"A clean, white plate crafted by a Chinese master. It's a nice present for the ladies.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		737: {
			unidentifiedDisplayName: "Black Ladle",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xb1\xb9\xc0\xda",
			unidentifiedDescriptionName: [
				"A black colored ladle, made out of an especially strong glowing material.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Black Ladle",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb1\xb9\xc0\xda",
			identifiedDescriptionName: [
				"A black colored ladle, made out of an especially strong glowing material.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		738: {
			unidentifiedDisplayName: "Pencil Case",
			unidentifiedResourceName: "\xbf\xac\xc7\xca\xb2\xc9\xc0\xcc",
			unidentifiedDescriptionName: [
				"A case for containing pencils. It'd be a nice gift for artists, writers, students and the like.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Pencil Case",
			identifiedResourceName: "\xbf\xac\xc7\xca\xb2\xc9\xc0\xcc",
			identifiedDescriptionName: [
				"A case for containing pencils. It'd be a nice gift for artists, writers, students and the like.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		739: {
			unidentifiedDisplayName: "Rouge",
			unidentifiedResourceName: "\xc8\xad\xc0\xe5\xc7\xb0",
			unidentifiedDescriptionName: [
				"Make-up for rich women that is made of extracts from plants and animals. When applied to the skin, it shines in a lustrous, attractive red color.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rouge",
			identifiedResourceName: "\xc8\xad\xc0\xe5\xc7\xb0",
			identifiedDescriptionName: [
				"Make-up for rich women that is made of extracts from plants and animals. When applied to the skin, it shines in a lustrous, attractive red color.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		740: {
			unidentifiedDisplayName: "Puppet",
			unidentifiedResourceName: "\xba\xc0\xc1\xa6\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A cute cotton doll that's a favorite for little girls.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Puppet",
			identifiedResourceName: "\xba\xc0\xc1\xa6\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A cute cotton doll that's a favorite for little girls.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		741: {
			unidentifiedDisplayName: "Poring Doll",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A doll made to resemble a Poring monster. Everyone likes it for its cuteness.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Poring Doll",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A doll made to resemble a Poring monster. Everyone likes it for its cuteness.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		742: {
			unidentifiedDisplayName: "Chonchon Doll",
			unidentifiedResourceName: "\xc3\xcc\xc3\xcc\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A doll made in the image of a Chonchon monster.",
				"Most people feel a little repulsed by this doll.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Chonchon Doll",
			identifiedResourceName: "\xc3\xcc\xc3\xcc\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A doll made in the image of a Chonchon monster.",
				"Most people feel a little repulsed by this doll.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		743: {
			unidentifiedDisplayName: "Spore Doll",
			unidentifiedResourceName: "\xbd\xba\xc6\xf7\xbe\xc6\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A doll that looks just like a Spore monster.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Spore Doll",
			identifiedResourceName: "\xbd\xba\xc6\xf7\xbe\xc6\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A doll that looks just like a Spore monster.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		744: {
			unidentifiedDisplayName: "Bouquet",
			unidentifiedResourceName: "\xb2\xc9\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"A bunch of flowers that is given to express love, thanks or appreciation.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Bouquet",
			identifiedResourceName: "\xb2\xc9\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"A bunch of flowers that is given to express love, thanks or appreciation.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		745: {
			unidentifiedDisplayName: "Wedding Bouquet",
			unidentifiedResourceName: "\xba\xce\xc4\xc9",
			unidentifiedDescriptionName: [
				"A small bouquet thrown by brides during the wedding ceremony. The single woman who catches it is the next to be married, supposedly.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Wedding Bouquet",
			identifiedResourceName: "\xba\xce\xc4\xc9",
			identifiedDescriptionName: [
				"A small bouquet thrown by brides during the wedding ceremony. The single woman who catches it is the next to be married, supposedly.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		746: {
			unidentifiedDisplayName: "Glass Bead",
			unidentifiedResourceName: "\xc0\xaf\xb8\xae\xb1\xb8\xbd\xbd",
			unidentifiedDescriptionName: [
				"A toy for young boys that's sort of like a marble. But not really.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Glass Bead",
			identifiedResourceName: "\xc0\xaf\xb8\xae\xb1\xb8\xbd\xbd",
			identifiedDescriptionName: [
				"A toy for young boys that's sort of like a marble. But not really.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		747: {
			unidentifiedDisplayName: "Crystal Mirror",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa4\xb0\xc5\xbf\xef",
			unidentifiedDescriptionName: [
				"A gorgeous mirror made with polished crystal that is considered an essential for every woman.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Crystal Mirror",
			identifiedResourceName: "\xbc\xf6\xc1\xa4\xb0\xc5\xbf\xef",
			identifiedDescriptionName: [
				"A gorgeous mirror made with polished crystal that is considered an essential for every woman.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		748: {
			unidentifiedDisplayName: "Witherless Rose",
			unidentifiedResourceName: "\xbd\xc3\xb5\xe9\xc1\xf6\xbe\xca\xb4\xc2\xc0\xe5\xb9\xcc",
			unidentifiedDescriptionName: [
				"A symbol of eternal love, this enchanted rose will never wither. However, it is rare and expensive.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Witherless Rose",
			identifiedResourceName: "\xbd\xc3\xb5\xe9\xc1\xf6\xbe\xca\xb4\xc2\xc0\xe5\xb9\xcc",
			identifiedDescriptionName: [
				"A symbol of eternal love, this enchanted rose will never wither. However, it is rare and expensive.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		749: {
			unidentifiedDisplayName: "Frozen Rose",
			unidentifiedResourceName: "\xbe\xf3\xc0\xbd\xc0\xe5\xb9\xcc",
			unidentifiedDescriptionName: [
				"Sculpted out of ice by masters in the Arctic, this unique and beautiful rose makes a great gift.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Frozen Rose",
			identifiedResourceName: "\xbe\xf3\xc0\xbd\xc0\xe5\xb9\xcc",
			identifiedDescriptionName: [
				"Sculpted out of ice by masters in the Arctic, this unique and beautiful rose makes a great gift.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		750: {
			unidentifiedDisplayName: "Baphomet Doll",
			unidentifiedResourceName: "\xb9\xd9\xc6\xf7\xb8\xde\xc6\xae\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A doll made to resemble Baphomet, enemy of all that is righteous. It is a dollmaker's masterpiece.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Baphomet Doll",
			identifiedResourceName: "\xb9\xd9\xc6\xf7\xb8\xde\xc6\xae\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A doll made to resemble Baphomet, enemy of all that is righteous. It is a dollmaker's masterpiece.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		751: {
			unidentifiedDisplayName: "Osiris Doll",
			unidentifiedResourceName: "\xbf\xc0\xbd\xc3\xb8\xae\xbd\xba\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A doll made to resemble Osiris, king of darkness. Without a doubt, it is a dollmaker's masterpiece.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Osiris Doll",
			identifiedResourceName: "\xbf\xc0\xbd\xc3\xb8\xae\xbd\xba\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A doll made to resemble Osiris, king of darkness. Without a doubt, it is a dollmaker's masterpiece.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		752: {
			unidentifiedDisplayName: "Rocker Doll",
			unidentifiedResourceName: "\xb8\xde\xb6\xd1\xb1\xe2\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A doll made to resemble Rocker, the grasshopper that loves to play its violin in the fields.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Rocker Doll",
			identifiedResourceName: "\xb8\xde\xb6\xd1\xb1\xe2\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A doll made to resemble Rocker, the grasshopper that loves to play its violin in the fields.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		753: {
			unidentifiedDisplayName: "Yoyo Doll",
			unidentifiedResourceName: "\xbf\xf8\xbc\xfe\xc0\xcc\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A doll made to resemble one of the Yoyos. These intelligent monkeys live in groups and are very familiar with humans.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Yoyo Doll",
			identifiedResourceName: "\xbf\xf8\xbc\xfe\xc0\xcc\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A doll made to resemble one of the Yoyos. These intelligent monkeys live in groups and are very familiar with humans.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		754: {
			unidentifiedDisplayName: "Racoon Doll",
			unidentifiedResourceName: "\xb3\xca\xb1\xb8\xb8\xae\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A doll made to resemble Smokie, the raccoon that ^333333possibly^000000 has the power of invisibility.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Racoon Doll",
			identifiedResourceName: "\xb3\xca\xb1\xb8\xb8\xae\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A doll made to resemble Smokie, the raccoon that ^333333possibly^000000 has the power of invisibility.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		756: {
			unidentifiedDisplayName: "Rough Oridecon",
			unidentifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc\xbf\xf8\xbc\xae",
			unidentifiedDescriptionName: [
				"Raw ore that mostly consists of Oridecon metal.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Rough Oridecon",
			identifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc\xbf\xf8\xbc\xae",
			identifiedDescriptionName: [
				"Raw ore that mostly consists of Oridecon metal.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		757: {
			unidentifiedDisplayName: "Rough Elunium",
			unidentifiedResourceName: "\xbf\xa1\xb8\xa3\xb4\xbd\xbf\xf8\xbc\xae",
			unidentifiedDescriptionName: [
				"Raw ore that mostly consists of Elunium metal.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Rough Elunium",
			identifiedResourceName: "\xbf\xa1\xb8\xa3\xb4\xbd\xbf\xf8\xbc\xae",
			identifiedDescriptionName: [
				"Raw ore that mostly consists of Elunium metal.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		901: {
			unidentifiedDisplayName: "Daenggie",
			unidentifiedResourceName: "\xb4\xf3\xb1\xe2\xb8\xd3\xb8\xae",
			unidentifiedDescriptionName: [
				"A braided pigtail that has been cut from the head of a young girl.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Daenggie",
			identifiedResourceName: "\xb4\xf3\xb1\xe2\xb8\xd3\xb8\xae",
			identifiedDescriptionName: [
				"A braided pigtail that has been cut from the head of a young girl.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		902: {
			unidentifiedDisplayName: "Tree Root",
			unidentifiedResourceName: "\xb3\xaa\xb9\xab\xbb\xd1\xb8\xae",
			unidentifiedDescriptionName: [
				"Some roots from trees can be used as medicine, but most of them are fibrous enough to be used as rope.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tree Root",
			identifiedResourceName: "\xb3\xaa\xb9\xab\xbb\xd1\xb8\xae",
			identifiedDescriptionName: [
				"Some roots from trees can be used as medicine, but most of them are fibrous enough to be used as rope.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		903: {
			unidentifiedDisplayName: "Reptile Tongue",
			unidentifiedResourceName: "\xc6\xc4\xc3\xe6\xb7\xf9\xc7\xfa\xb9\xd9\xb4\xda",
			unidentifiedDescriptionName: [
				"Merely a severed reptile's tongue.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reptile Tongue",
			identifiedResourceName: "\xc6\xc4\xc3\xe6\xb7\xf9\xc7\xfa\xb9\xd9\xb4\xda",
			identifiedDescriptionName: [
				"Merely a severed reptile's tongue.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		904: {
			unidentifiedDisplayName: "Scorpion Tail",
			unidentifiedResourceName: "\xc0\xfc\xb0\xa5\xc0\xc7\xb2\xbf\xb8\xae",
			unidentifiedDescriptionName: [
				"A tail severed from a scorpion.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scorpion Tail",
			identifiedResourceName: "\xc0\xfc\xb0\xa5\xc0\xc7\xb2\xbf\xb8\xae",
			identifiedDescriptionName: [
				"A tail severed from a scorpion.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		905: {
			unidentifiedDisplayName: "Stem",
			unidentifiedResourceName: "\xbd\xc4\xb9\xb0\xc0\xc7\xc1\xd9\xb1\xe2",
			unidentifiedDescriptionName: [
				"Some stems from plants can be used to in making certain medicines.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stem",
			identifiedResourceName: "\xbd\xc4\xb9\xb0\xc0\xc7\xc1\xd9\xb1\xe2",
			identifiedDescriptionName: [
				"Some stems from plants can be used to in making certain medicines.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		906: {
			unidentifiedDisplayName: "Pointed Scale",
			unidentifiedResourceName: "\xba\xf1\xb4\xc3\xc1\xd9\xb1\xe2",
			unidentifiedDescriptionName: [
				"A single scale from a Worm Tail monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pointed Scale",
			identifiedResourceName: "\xba\xf1\xb4\xc3\xc1\xd9\xb1\xe2",
			identifiedDescriptionName: [
				"A single scale from a Worm Tail monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		907: {
			unidentifiedDisplayName: "Resin",
			unidentifiedResourceName: "\xb0\xed\xb8\xf1\xb3\xaa\xb9\xab\xc1\xf8",
			unidentifiedDescriptionName: [
				"A viscous plant substance used in the production of certain types of goods.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Resin",
			identifiedResourceName: "\xb0\xed\xb8\xf1\xb3\xaa\xb9\xab\xc1\xf8",
			identifiedDescriptionName: [
				"A viscous plant substance used in the production of certain types of goods.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		908: {
			unidentifiedDisplayName: "Spawn",
			unidentifiedResourceName: "\xb0\xb3\xb1\xb8\xb8\xae\xbe\xcb",
			unidentifiedDescriptionName: [
				"Frog eggs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spawn",
			identifiedResourceName: "\xb0\xb3\xb1\xb8\xb8\xae\xbe\xcb",
			identifiedDescriptionName: [
				"Frog eggs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		909: {
			unidentifiedDisplayName: "Jellopy",
			unidentifiedResourceName: "\xc1\xa9\xb7\xce\xc7\xc7",
			unidentifiedDescriptionName: [
				"A small crystallization created by some monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jellopy",
			identifiedResourceName: "\xc1\xa9\xb7\xce\xc7\xc7",
			identifiedDescriptionName: [
				"A small crystallization created by some monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		910: {
			unidentifiedDisplayName: "Garlet",
			unidentifiedResourceName: "\xb0\xa1\xb7\xbf",
			unidentifiedDescriptionName: [
				"A small crystallization created by some monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Garlet",
			identifiedResourceName: "\xb0\xa1\xb7\xbf",
			identifiedDescriptionName: [
				"A small crystallization created by some monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		911: {
			unidentifiedDisplayName: "Scell",
			unidentifiedResourceName: "\xbc\xbf",
			unidentifiedDescriptionName: [
				"A small crystallization created by some monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scell",
			identifiedResourceName: "\xbc\xbf",
			identifiedDescriptionName: [
				"A small crystallization created by some monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		912: {
			unidentifiedDisplayName: "Zargon",
			unidentifiedResourceName: "\xc0\xda\xb8\xa3\xb0\xef",
			unidentifiedDescriptionName: [
				"A small crystallization created by some monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zargon",
			identifiedResourceName: "\xc0\xda\xb8\xa3\xb0\xef",
			identifiedDescriptionName: [
				"A small crystallization created by some monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		913: {
			unidentifiedDisplayName: "Tooth of Bat",
			unidentifiedResourceName: "\xb9\xda\xc1\xe3\xc0\xc7\xc0\xcc\xbb\xa1",
			unidentifiedDescriptionName: [
				"Familiar's sharpened tooth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tooth of Bat",
			identifiedResourceName: "\xb9\xda\xc1\xe3\xc0\xc7\xc0\xcc\xbb\xa1",
			identifiedDescriptionName: [
				"Familiar's sharpened tooth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		914: {
			unidentifiedDisplayName: "Fluff",
			unidentifiedResourceName: "\xbc\xd8\xc5\xd0",
			unidentifiedDescriptionName: [
				"A clump of monster fur and fuzz that can be used to make thread and fabric.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fluff",
			identifiedResourceName: "\xbc\xd8\xc5\xd0",
			identifiedDescriptionName: [
				"A clump of monster fur and fuzz that can be used to make thread and fabric.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		915: {
			unidentifiedDisplayName: "Chrysalis",
			unidentifiedResourceName: "\xb9\xf8\xb5\xa5\xb1\xe2\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"Skin from a larva that has been shed or peeled off.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chrysalis",
			identifiedResourceName: "\xb9\xf8\xb5\xa5\xb1\xe2\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"Skin from a larva that has been shed or peeled off.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		916: {
			unidentifiedDisplayName: "Feather of Birds",
			unidentifiedResourceName: "\xbb\xf5\xc0\xc7\xb1\xea\xc5\xd0",
			unidentifiedDescriptionName: [
				"A bird's feather that can be used in decor or in fabric creation.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Feather of Birds",
			identifiedResourceName: "\xbb\xf5\xc0\xc7\xb1\xea\xc5\xd0",
			identifiedDescriptionName: [
				"A bird's feather that can be used in decor or in fabric creation.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		917: {
			unidentifiedDisplayName: "Talon",
			unidentifiedResourceName: "\xbb\xf5\xc0\xc7\xb9\xdf\xc5\xe9",
			unidentifiedDescriptionName: [
				"A sharp talon from a bird's foot.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Talon",
			identifiedResourceName: "\xbb\xf5\xc0\xc7\xb9\xdf\xc5\xe9",
			identifiedDescriptionName: [
				"A sharp talon from a bird's foot.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		918: {
			unidentifiedDisplayName: "Sticky Webfoot",
			unidentifiedResourceName: "\xb2\xf6\xc0\xfb\xc0\xcc\xb4\xc2\xb9\xb0\xb0\xa5\xc4\xfb",
			unidentifiedDescriptionName: [
				"A webbed foot cut from a monster's hind leg.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sticky Webfoot",
			identifiedResourceName: "\xb2\xf6\xc0\xfb\xc0\xcc\xb4\xc2\xb9\xb0\xb0\xa5\xc4\xfb",
			identifiedDescriptionName: [
				"A webbed foot cut from a monster's hind leg.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		919: {
			unidentifiedDisplayName: "Animal Skin",
			unidentifiedResourceName: "\xb5\xbf\xb9\xb0\xb0\xa1\xc1\xd7",
			unidentifiedDescriptionName: [
				"Animal hide that can be used in making clothes, coverings or beddings.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Animal Skin",
			identifiedResourceName: "\xb5\xbf\xb9\xb0\xb0\xa1\xc1\xd7",
			identifiedDescriptionName: [
				"Animal hide that can be used in making clothes, coverings or beddings.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		920: {
			unidentifiedDisplayName: "Wolf Claw",
			unidentifiedResourceName: "\xb4\xc1\xb4\xeb\xc0\xc7\xb9\xdf\xc5\xe9",
			unidentifiedDescriptionName: [
				"A claw severed from a wolf's paw.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wolf Claw",
			identifiedResourceName: "\xb4\xc1\xb4\xeb\xc0\xc7\xb9\xdf\xc5\xe9",
			identifiedDescriptionName: [
				"A claw severed from a wolf's paw.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		921: {
			unidentifiedDisplayName: "Mushroom Spore",
			unidentifiedResourceName: "\xb9\xf6\xbc\xb8\xc6\xf7\xc0\xda",
			unidentifiedDescriptionName: [
				"A spore discharged from a mushroom.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mushroom Spore",
			identifiedResourceName: "\xb9\xf6\xbc\xb8\xc6\xf7\xc0\xda",
			identifiedDescriptionName: [
				"A spore discharged from a mushroom.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		922: {
			unidentifiedDisplayName: "Orc's Fang",
			unidentifiedResourceName: "\xbf\xc0\xc5\xa9\xc0\xc7\xbc\xdb\xb0\xf7\xb4\xcf",
			unidentifiedDescriptionName: [
				"A cuspid wrenched out of from a gruesome Orc's jaw.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc's Fang",
			identifiedResourceName: "\xbf\xc0\xc5\xa9\xc0\xc7\xbc\xdb\xb0\xf7\xb4\xcf",
			identifiedDescriptionName: [
				"A cuspid wrenched out of from a gruesome Orc's jaw.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		923: {
			unidentifiedDisplayName: "Evil Horn",
			unidentifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xbb\xd4",
			unidentifiedDescriptionName: [
				"Baphomet's horn is a symbol representing evil.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Evil Horn",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xbb\xd4",
			identifiedDescriptionName: [
				"Baphomet's horn is a symbol representing evil.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		924: {
			unidentifiedDisplayName: "Powder of Butterfly",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xb3\xaf\xb0\xb3\xba\xd0",
			unidentifiedDescriptionName: [
				"Butterfly wing powder that sparkles with the power of fantasy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Powder of Butterfly",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xb3\xaf\xb0\xb3\xba\xd0",
			identifiedDescriptionName: [
				"Butterfly wing powder that sparkles with the power of fantasy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		925: {
			unidentifiedDisplayName: "Bill of Birds",
			unidentifiedResourceName: "\xbb\xf5\xc0\xc7\xba\xce\xb8\xae",
			unidentifiedDescriptionName: [
				"A bird's beak. Waste not want not.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bill of Birds",
			identifiedResourceName: "\xbb\xf5\xc0\xc7\xba\xce\xb8\xae",
			identifiedDescriptionName: [
				"A bird's beak. Waste not want not.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		926: {
			unidentifiedDisplayName: "Snake Scale",
			unidentifiedResourceName: "\xb9\xec\xc0\xc7\xba\xf1\xb4\xc3",
			unidentifiedDescriptionName: [
				"Scales from a snake that can be used to make some rather flamboyant clothes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Snake Scale",
			identifiedResourceName: "\xb9\xec\xc0\xc7\xba\xf1\xb4\xc3",
			identifiedDescriptionName: [
				"Scales from a snake that can be used to make some rather flamboyant clothes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		928: {
			unidentifiedDisplayName: "Insect Feeler",
			unidentifiedResourceName: "\xb9\xfa\xb7\xb9\xb4\xf5\xb5\xeb\xc0\xcc",
			unidentifiedDescriptionName: [
				"Antennae that serve as sense organs for insects.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Insect Feeler",
			identifiedResourceName: "\xb9\xfa\xb7\xb9\xb4\xf5\xb5\xeb\xc0\xcc",
			identifiedDescriptionName: [
				"Antennae that serve as sense organs for insects.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		929: {
			unidentifiedDisplayName: "Immortal Heart",
			unidentifiedResourceName: "\xb8\xd8\xc3\xdf\xc1\xf6\xbe\xca\xb4\xc2\xbd\xc9\xc0\xe5",
			unidentifiedDescriptionName: [
				"A heart which will never stop beating. It contains some sort of dreadful power.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Immortal Heart",
			identifiedResourceName: "\xb8\xd8\xc3\xdf\xc1\xf6\xbe\xca\xb4\xc2\xbd\xc9\xc0\xe5",
			identifiedDescriptionName: [
				"A heart which will never stop beating. It contains some sort of dreadful power.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		930: {
			unidentifiedDisplayName: "Rotten Bandage",
			unidentifiedResourceName: "\xbd\xe2\xc0\xba\xba\xd8\xb4\xeb",
			unidentifiedDescriptionName: [
				"Old, dirty bandage that's so soiled, it's almost worthless.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rotten Bandage",
			identifiedResourceName: "\xbd\xe2\xc0\xba\xba\xd8\xb4\xeb",
			identifiedDescriptionName: [
				"Old, dirty bandage that's so soiled, it's almost worthless.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		931: {
			unidentifiedDisplayName: "Orcish Voucher",
			unidentifiedResourceName: "\xbf\xc0\xc5\xa9\xc0\xfc\xbb\xe7\xc0\xc7\xc1\xf5\xc7\xa5",
			unidentifiedDescriptionName: [
				"A small sculpture that serves as the token for every true Orc Warrior.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orcish Voucher",
			identifiedResourceName: "\xbf\xc0\xc5\xa9\xc0\xfc\xbb\xe7\xc0\xc7\xc1\xf5\xc7\xa5",
			identifiedDescriptionName: [
				"A small sculpture that serves as the token for every true Orc Warrior.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		932: {
			unidentifiedDisplayName: "Skel-Bone",
			unidentifiedResourceName: "\xbd\xba\xc4\xcc\xba\xbb",
			unidentifiedDescriptionName: [
				"A bone taken from an Undead skeleton.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Skel-Bone",
			identifiedResourceName: "\xbd\xba\xc4\xcc\xba\xbb",
			identifiedDescriptionName: [
				"A bone taken from an Undead skeleton.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		934: {
			unidentifiedDisplayName: "Memento",
			unidentifiedResourceName: "\xbb\xe7\xc0\xda\xc0\xc7\xc0\xaf\xc7\xb0",
			unidentifiedDescriptionName: [
				"A box that is buried with the dead. It contains gems and someone's mementos.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Memento",
			identifiedResourceName: "\xbb\xe7\xc0\xda\xc0\xc7\xc0\xaf\xc7\xb0",
			identifiedDescriptionName: [
				"A box that is buried with the dead. It contains gems and someone's mementos.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		935: {
			unidentifiedDisplayName: "Shell",
			unidentifiedResourceName: "\xb4\xdc\xb4\xdc\xc7\xd1\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A hard shell that used to protect a monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shell",
			identifiedResourceName: "\xb4\xdc\xb4\xdc\xc7\xd1\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A hard shell that used to protect a monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		936: {
			unidentifiedDisplayName: "Scale Shell",
			unidentifiedResourceName: "\xba\xf1\xb4\xc3\xc7\xc7\xba\xce",
			unidentifiedDescriptionName: [
				"A shell-like piece of tough monster skin that is covered with hard scales.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scale Shell",
			identifiedResourceName: "\xba\xf1\xb4\xc3\xc7\xc7\xba\xce",
			identifiedDescriptionName: [
				"A shell-like piece of tough monster skin that is covered with hard scales.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		937: {
			unidentifiedDisplayName: "Venom Canine",
			unidentifiedResourceName: "\xb5\xb6\xbc\xdb\xb0\xf7\xb4\xcf",
			unidentifiedDescriptionName: [
				"A sharp, poisonous fang from a monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Venom Canine",
			identifiedResourceName: "\xb5\xb6\xbc\xdb\xb0\xf7\xb4\xcf",
			identifiedDescriptionName: [
				"A sharp, poisonous fang from a monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		938: {
			unidentifiedDisplayName: "Sticky Mucus",
			unidentifiedResourceName: "\xb2\xf6\xc0\xfb\xb2\xf6\xc0\xfb\xc7\xd1\xbe\xd7\xc3\xbc",
			unidentifiedDescriptionName: [
				"Mysteriously sticky liquid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sticky Mucus",
			identifiedResourceName: "\xb2\xf6\xc0\xfb\xb2\xf6\xc0\xfb\xc7\xd1\xbe\xd7\xc3\xbc",
			identifiedDescriptionName: [
				"Mysteriously sticky liquid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		939: {
			unidentifiedDisplayName: "Bee Sting",
			unidentifiedResourceName: "\xb9\xfa\xc0\xc7\xb5\xde\xc4\xa7",
			unidentifiedDescriptionName: [
				"A stinger from a hornet or bee.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bee Sting",
			identifiedResourceName: "\xb9\xfa\xc0\xc7\xb5\xde\xc4\xa7",
			identifiedDescriptionName: [
				"A stinger from a hornet or bee.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		940: {
			unidentifiedDisplayName: "Grasshopper's Leg",
			unidentifiedResourceName: "\xb8\xde\xb6\xd1\xb1\xe2\xb5\xde\xb4\xd9\xb8\xae",
			unidentifiedDescriptionName: [
				"A Rocker's hind leg.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Grasshopper's Leg",
			identifiedResourceName: "\xb8\xde\xb6\xd1\xb1\xe2\xb5\xde\xb4\xd9\xb8\xae",
			identifiedDescriptionName: [
				"A Rocker's hind leg.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		941: {
			unidentifiedDisplayName: "Nose Ring",
			unidentifiedResourceName: "\xbc\xe8\xb0\xed\xb6\xfb",
			unidentifiedDescriptionName: [
				"A ring placed in a cow's nose so that it can be steered more easily.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nose Ring",
			identifiedResourceName: "\xbc\xe8\xb0\xed\xb6\xfb",
			identifiedDescriptionName: [
				"A ring placed in a cow's nose so that it can be steered more easily.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		942: {
			unidentifiedDisplayName: "Yoyo Tail",
			unidentifiedResourceName: "\xbf\xf8\xbc\xfe\xc0\xcc\xb2\xbf\xb8\xae",
			unidentifiedDescriptionName: [
				"A prehensile tail from a Yoyo.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yoyo Tail",
			identifiedResourceName: "\xbf\xf8\xbc\xfe\xc0\xcc\xb2\xbf\xb8\xae",
			identifiedDescriptionName: [
				"A prehensile tail from a Yoyo.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		943: {
			unidentifiedDisplayName: "Solid Shell",
			unidentifiedResourceName: "\xb8\xc5\xbf\xec\xb4\xdc\xb4\xdc\xc7\xd1\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A solid, durable shell taken from a monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Solid Shell",
			identifiedResourceName: "\xb8\xc5\xbf\xec\xb4\xdc\xb4\xdc\xc7\xd1\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A solid, durable shell taken from a monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		944: {
			unidentifiedDisplayName: "Horseshoe",
			unidentifiedResourceName: "\xb8\xbb\xb9\xdf\xb1\xc1",
			unidentifiedDescriptionName: [
				"A \"U\" shaped piece of iron fitted on a horse's hoof for its protection.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Horseshoe",
			identifiedResourceName: "\xb8\xbb\xb9\xdf\xb1\xc1",
			identifiedDescriptionName: [
				"A \"U\" shaped piece of iron fitted on a horse's hoof for its protection.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		945: {
			unidentifiedDisplayName: "Raccoon Leaf",
			unidentifiedResourceName: "\xb3\xca\xb1\xb8\xb8\xae\xb3\xaa\xb9\xb5\xc0\xd9",
			unidentifiedDescriptionName: [
				"A leaf that gives Smokies the power to change form and become invisible.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Raccoon Leaf",
			identifiedResourceName: "\xb3\xca\xb1\xb8\xb8\xae\xb3\xaa\xb9\xb5\xc0\xd9",
			identifiedDescriptionName: [
				"A leaf that gives Smokies the power to change form and become invisible.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		946: {
			unidentifiedDisplayName: "Snail's Shell",
			unidentifiedResourceName: "\xb4\xde\xc6\xd8\xc0\xcc\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A hard, spiral shaped shell used by Snails.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Snail's Shell",
			identifiedResourceName: "\xb4\xde\xc6\xd8\xc0\xcc\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A hard, spiral shaped shell used by Snails.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		947: {
			unidentifiedDisplayName: "Horn",
			unidentifiedResourceName: "\xb5\xfc\xb5\xfc\xc7\xd1\xbb\xd4",
			unidentifiedDescriptionName: [
				"Hard and sharp horn from a monster's head.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Horn",
			identifiedResourceName: "\xb5\xfc\xb5\xfc\xc7\xd1\xbb\xd4",
			identifiedDescriptionName: [
				"Hard and sharp horn from a monster's head.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		948: {
			unidentifiedDisplayName: "Bear's Footskin",
			unidentifiedResourceName: "\xb0\xf5\xb9\xdf\xb9\xd9\xb4\xda",
			unidentifiedDescriptionName: [
				"A lazy bear's foot that supposedly has an unique flavor and the power to restore male vigor.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bear's Footskin",
			identifiedResourceName: "\xb0\xf5\xb9\xdf\xb9\xd9\xb4\xda",
			identifiedDescriptionName: [
				"A lazy bear's foot that supposedly has an unique flavor and the power to restore male vigor.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		949: {
			unidentifiedDisplayName: "Feather",
			unidentifiedResourceName: "\xba\xce\xb5\xe5\xb7\xaf\xbf\xee\xc5\xd0",
			unidentifiedDescriptionName: [
				"A feather that boasts full, lustrous barbs used for making clothes of the highest quality.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Feather",
			identifiedResourceName: "\xba\xce\xb5\xe5\xb7\xaf\xbf\xee\xc5\xd0",
			identifiedDescriptionName: [
				"A feather that boasts full, lustrous barbs used for making clothes of the highest quality.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		950: {
			unidentifiedDisplayName: "Heart of Mermaid",
			unidentifiedResourceName: "\xc0\xce\xbe\xee\xc0\xc7\xbd\xc9\xc0\xe5",
			unidentifiedDescriptionName: [
				"The heart of a mermaid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Heart of Mermaid",
			identifiedResourceName: "\xc0\xce\xbe\xee\xc0\xc7\xbd\xc9\xc0\xe5",
			identifiedDescriptionName: [
				"The heart of a mermaid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		951: {
			unidentifiedDisplayName: "Fin",
			unidentifiedResourceName: "\xb5\xee\xc1\xf6\xb4\xc0\xb7\xaf\xb9\xcc",
			unidentifiedDescriptionName: [
				"A fish monster's fin.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fin",
			identifiedResourceName: "\xb5\xee\xc1\xf6\xb4\xc0\xb7\xaf\xb9\xcc",
			identifiedDescriptionName: [
				"A fish monster's fin.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		952: {
			unidentifiedDisplayName: "Cactus Needle",
			unidentifiedResourceName: "\xbc\xb1\xc0\xce\xc0\xe5\xc4\xa7",
			unidentifiedDescriptionName: [
				"A sharp needle from a Muka cactus monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cactus Needle",
			identifiedResourceName: "\xbc\xb1\xc0\xce\xc0\xe5\xc4\xa7",
			identifiedDescriptionName: [
				"A sharp needle from a Muka cactus monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		953: {
			unidentifiedDisplayName: "Stone Heart",
			unidentifiedResourceName: "\xb5\xb9\xbd\xc9\xc0\xe5",
			unidentifiedDescriptionName: [
				"A heart constructed entirely out of stone.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stone Heart",
			identifiedResourceName: "\xb5\xb9\xbd\xc9\xc0\xe5",
			identifiedDescriptionName: [
				"A heart constructed entirely out of stone.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		954: {
			unidentifiedDisplayName: "Shining Scale",
			unidentifiedResourceName: "\xba\xfb\xb3\xaa\xb4\xc2\xba\xf1\xb4\xc3",
			unidentifiedDescriptionName: [
				"A shimmering, reflective scale.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shining Scale",
			identifiedResourceName: "\xba\xfb\xb3\xaa\xb4\xc2\xba\xf1\xb4\xc3",
			identifiedDescriptionName: [
				"A shimmering, reflective scale.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		955: {
			unidentifiedDisplayName: "Worm Peeling",
			unidentifiedResourceName: "\xb9\xfa\xb7\xb9\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"Shed skin from worms and insects.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Worm Peeling",
			identifiedResourceName: "\xb9\xfa\xb7\xb9\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"Shed skin from worms and insects.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		956: {
			unidentifiedDisplayName: "Gill",
			unidentifiedResourceName: "\xb0\xa1\xbd\xc3\xb4\xde\xb8\xb0\xbe\xc6\xb0\xa1\xb9\xcc",
			unidentifiedDescriptionName: [
				"Part of a fish's breathing apparatus.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gill",
			identifiedResourceName: "\xb0\xa1\xbd\xc3\xb4\xde\xb8\xb0\xbe\xc6\xb0\xa1\xb9\xcc",
			identifiedDescriptionName: [
				"Part of a fish's breathing apparatus.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		957: {
			unidentifiedDisplayName: "Decayed Nail",
			unidentifiedResourceName: "\xb8\xc1\xc0\xda\xc0\xc7\xbc\xd5\xc5\xe9",
			unidentifiedDescriptionName: [
				"A putrid, incredibly pungent corpse's nail.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Decayed Nail",
			identifiedResourceName: "\xb8\xc1\xc0\xda\xc0\xc7\xbc\xd5\xc5\xe9",
			identifiedDescriptionName: [
				"A putrid, incredibly pungent corpse's nail.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		958: {
			unidentifiedDisplayName: "Horrendous Mouth",
			unidentifiedResourceName: "\xb8\xc1\xc0\xda\xc0\xc7\xc0\xcc\xbb\xa1",
			unidentifiedDescriptionName: [
				"A complete set of corpse's teeth. Well, as complete as it can get.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Horrendous Mouth",
			identifiedResourceName: "\xb8\xc1\xc0\xda\xc0\xc7\xc0\xcc\xbb\xa1",
			identifiedDescriptionName: [
				"A complete set of corpse's teeth. Well, as complete as it can get.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		959: {
			unidentifiedDisplayName: "Stinky Scale",
			unidentifiedResourceName: "\xbd\xe2\xc0\xba\xba\xf1\xb4\xc3",
			unidentifiedDescriptionName: [
				"A nasty scale with a horribly offensive odor.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stinky Scale",
			identifiedResourceName: "\xbd\xe2\xc0\xba\xba\xf1\xb4\xc3",
			identifiedDescriptionName: [
				"A nasty scale with a horribly offensive odor.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		960: {
			unidentifiedDisplayName: "Nipper",
			unidentifiedResourceName: "\xc1\xfd\xb0\xd4\xb9\xdf",
			unidentifiedDescriptionName: [
				"A crustacean's claw.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nipper",
			identifiedResourceName: "\xc1\xfd\xb0\xd4\xb9\xdf",
			identifiedDescriptionName: [
				"A crustacean's claw.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		961: {
			unidentifiedDisplayName: "Conch",
			unidentifiedResourceName: "\xbc\xd2\xb6\xf3",
			unidentifiedDescriptionName: [
				"The shell of a marine mollusk.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Conch",
			identifiedResourceName: "\xbc\xd2\xb6\xf3",
			identifiedDescriptionName: [
				"The shell of a marine mollusk.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		962: {
			unidentifiedDisplayName: "Tentacle",
			unidentifiedResourceName: "\xc3\xcb\xbc\xf6",
			unidentifiedDescriptionName: [
				"A flexible, prehensile and boneless appendage.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tentacle",
			identifiedResourceName: "\xc3\xcb\xbc\xf6",
			identifiedDescriptionName: [
				"A flexible, prehensile and boneless appendage.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		963: {
			unidentifiedDisplayName: "Sharp Scale",
			unidentifiedResourceName: "\xb3\xaf\xc4\xab\xb7\xce\xbf\xee\xba\xf1\xb4\xc3",
			unidentifiedDescriptionName: [
				"A scale that is much sharper than a razor.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sharp Scale",
			identifiedResourceName: "\xb3\xaf\xc4\xab\xb7\xce\xbf\xee\xba\xf1\xb4\xc3",
			identifiedDescriptionName: [
				"A scale that is much sharper than a razor.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		964: {
			unidentifiedDisplayName: "Crab Shell",
			unidentifiedResourceName: "\xb0\xd4\xb5\xee\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A hard crab shell that smells horrible.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crab Shell",
			identifiedResourceName: "\xb0\xd4\xb5\xee\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A hard crab shell that smells horrible.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		965: {
			unidentifiedDisplayName: "Clam Shell",
			unidentifiedResourceName: "\xc1\xb6\xb0\xb3\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A hard shell taken from a dead clam.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Clam Shell",
			identifiedResourceName: "\xc1\xb6\xb0\xb3\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A hard shell taken from a dead clam.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		966: {
			unidentifiedDisplayName: "Clam Flesh",
			unidentifiedResourceName: "\xc1\xb6\xb0\xb3\xbb\xec",
			unidentifiedDescriptionName: [
				"Muscular and fatty clam tissue that can be cooked in all sorts of ways.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Clam Flesh",
			identifiedResourceName: "\xc1\xb6\xb0\xb3\xbb\xec",
			identifiedDescriptionName: [
				"Muscular and fatty clam tissue that can be cooked in all sorts of ways.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		967: {
			unidentifiedDisplayName: "Turtle Shell",
			unidentifiedResourceName: "\xb0\xc5\xba\xcf\xc0\xcc\xb5\xee\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A hard shell that obviously failed to protect a turtle.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Turtle Shell",
			identifiedResourceName: "\xb0\xc5\xba\xcf\xc0\xcc\xb5\xee\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A hard shell that obviously failed to protect a turtle.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		968: {
			unidentifiedDisplayName: "Heroic Emblem",
			unidentifiedResourceName: "\xbf\xc0\xc5\xa9\xbf\xeb\xc0\xda\xc0\xc7\xc1\xf5\xc7\xa5",
			unidentifiedDescriptionName: [
				"An emblem given to an Orc Warrior that is proof of his heroism.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Heroic Emblem",
			identifiedResourceName: "\xbf\xc0\xc5\xa9\xbf\xeb\xc0\xda\xc0\xc7\xc1\xf5\xc7\xa5",
			identifiedDescriptionName: [
				"An emblem given to an Orc Warrior that is proof of his heroism.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		969: {
			unidentifiedDisplayName: "Gold",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd",
			unidentifiedDescriptionName: [
				"A valuable metal in bullion form. It's used to make coins, jewelry and gaudy false teeth.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Gold",
			identifiedResourceName: "\xc8\xb2\xb1\xdd",
			identifiedDescriptionName: [
				"A valuable metal in bullion form. It's used to make coins, jewelry and gaudy false teeth.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		970: {
			unidentifiedDisplayName: "Alcohol",
			unidentifiedResourceName: "\xbe\xcb\xc4\xda\xbf\xc3",
			unidentifiedDescriptionName: [
				"This colorless liquid is the secret behind the addictiveness of beers and wine. 200 Proof.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Alcohol",
			identifiedResourceName: "\xbe\xcb\xc4\xda\xbf\xc3",
			identifiedDescriptionName: [
				"This colorless liquid is the secret behind the addictiveness of beers and wine. 200 Proof.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		971: {
			unidentifiedDisplayName: "Detrimindexta",
			unidentifiedResourceName: "\xb5\xf0\xc6\xae\xb8\xae\xb9\xce",
			unidentifiedDescriptionName: [
				"A liquid with unique scientific properties. It's difficult to mix in water and is normally diluted in a solution.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Detrimindexta",
			identifiedResourceName: "\xb5\xf0\xc6\xae\xb8\xae\xb9\xce",
			identifiedDescriptionName: [
				"A liquid with unique scientific properties. It's difficult to mix in water and is normally diluted in a solution.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		972: {
			unidentifiedDisplayName: "Karvodailnirol",
			unidentifiedResourceName: "\xc4\xab\xb8\xa3\xba\xb8\xb5\xf4",
			unidentifiedDescriptionName: [
				"A liquid with interesting characteristics and many possible applications.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Karvodailnirol",
			identifiedResourceName: "\xc4\xab\xb8\xa3\xba\xb8\xb5\xf4",
			identifiedDescriptionName: [
				"A liquid with interesting characteristics and many possible applications.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		973: {
			unidentifiedDisplayName: "Counteragent",
			unidentifiedResourceName: "\xc1\xdf\xc8\xad\xc1\xa6",
			unidentifiedDescriptionName: [
				"A mixture of chemical substances that can only be produced by geniuses.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Counteragent",
			identifiedResourceName: "\xc1\xdf\xc8\xad\xc1\xa6",
			identifiedDescriptionName: [
				"A mixture of chemical substances that can only be produced by geniuses.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		974: {
			unidentifiedDisplayName: "Mixture",
			unidentifiedResourceName: "\xc8\xa5\xc7\xd5\xc1\xa6",
			unidentifiedDescriptionName: [
				"A special compound that has applications that can only be understood by keen minds schooled in science.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Mixture",
			identifiedResourceName: "\xc8\xa5\xc7\xd5\xc1\xa6",
			identifiedDescriptionName: [
				"A special compound that has applications that can only be understood by keen minds schooled in science.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		975: {
			unidentifiedDisplayName: "Scarlet Dyestuffs",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf6\xbf\xb0\xb7\xe1",
			unidentifiedDescriptionName: [
				"Red colored dye that is made from grinded Red Herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Scarlet Dyestuffs",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf6\xbf\xb0\xb7\xe1",
			identifiedDescriptionName: [
				"Red colored dye that is made from grinded Red Herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		976: {
			unidentifiedDisplayName: "Lemon Dyestuffs",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xbf\xb0\xb7\xe1",
			unidentifiedDescriptionName: [
				"Yellow colored dye that is made out of ground Yellow Herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Lemon Dyestuffs",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xbf\xb0\xb7\xe1",
			identifiedDescriptionName: [
				"Yellow colored dye that is made out of ground Yellow Herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		978: {
			unidentifiedDisplayName: "Cobaltblue Dyestuffs",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xbb\xf6\xbf\xb0\xb7\xe1",
			unidentifiedDescriptionName: [
				"Blue colored dye that is made from ground Blue Herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Cobaltblue Dyestuffs",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xbb\xf6\xbf\xb0\xb7\xe1",
			identifiedDescriptionName: [
				"Blue colored dye that is made from ground Blue Herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		979: {
			unidentifiedDisplayName: "Darkgreen Dyestuffs",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf6\xbf\xb0\xb7\xe1",
			unidentifiedDescriptionName: [
				"Green colored dye that is made out of ground Green Herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Darkgreen Dyestuffs",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf6\xbf\xb0\xb7\xe1",
			identifiedDescriptionName: [
				"Green colored dye that is made out of ground Green Herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		980: {
			unidentifiedDisplayName: "Orange Dyestuffs",
			unidentifiedResourceName: "\xc1\xd6\xc8\xab\xbb\xf6\xbf\xb0\xb7\xe1",
			unidentifiedDescriptionName: [
				"Orange colored dye that is made from grinding Red and Yellow Herbs together.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Orange Dyestuffs",
			identifiedResourceName: "\xc1\xd6\xc8\xab\xbb\xf6\xbf\xb0\xb7\xe1",
			identifiedDescriptionName: [
				"Orange colored dye that is made from grinding Red and Yellow Herbs together.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		981: {
			unidentifiedDisplayName: "Violet Dyestuffs",
			unidentifiedResourceName: "\xba\xb8\xb6\xf3\xbb\xf6\xbf\xb0\xb7\xe1",
			unidentifiedDescriptionName: [
				"Purpled colored dye that is made by grinding Blue and Red Herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Violet Dyestuffs",
			identifiedResourceName: "\xba\xb8\xb6\xf3\xbb\xf6\xbf\xb0\xb7\xe1",
			identifiedDescriptionName: [
				"Purpled colored dye that is made by grinding Blue and Red Herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		982: {
			unidentifiedDisplayName: "White Dyestuffs",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xbb\xf6\xbf\xb0\xb7\xe1",
			unidentifiedDescriptionName: [
				"White colored dye that is made out of grinded White Herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "White Dyestuffs",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xbb\xf6\xbf\xb0\xb7\xe1",
			identifiedDescriptionName: [
				"White colored dye that is made out of grinded White Herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		983: {
			unidentifiedDisplayName: "Black Dyestuffs",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xbb\xf6\xbf\xb0\xb7\xe1",
			unidentifiedDescriptionName: [
				"Black colored dye made from various grinded herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Black Dyestuffs",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xbb\xf6\xbf\xb0\xb7\xe1",
			identifiedDescriptionName: [
				"Black colored dye made from various grinded herbs.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		984: {
			unidentifiedDisplayName: "Oridecon",
			unidentifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc",
			unidentifiedDescriptionName: [
				"Pure Oridecon metal. Widely known as the Blessed Metal, it can increase the damage of weapons once welded to them.",
				"Used to temper ^000088Level 3 and 4 weapons^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Oridecon",
			identifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc",
			identifiedDescriptionName: [
				"Pure Oridecon metal. Widely known as the Blessed Metal, it can increase the damage of weapons once welded to them.",
				"Used to temper ^000088Level 3 and 4 weapons^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		985: {
			unidentifiedDisplayName: "Elunium",
			unidentifiedResourceName: "\xbf\xa1\xb8\xa3\xb4\xbd",
			unidentifiedDescriptionName: [
				"A very light, non-toxic metal used for refining and toughening ^000088Armor^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Elunium",
			identifiedResourceName: "\xbf\xa1\xb8\xa3\xb4\xbd",
			identifiedDescriptionName: [
				"A very light, non-toxic metal used for refining and toughening ^000088Armor^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		986: {
			unidentifiedDisplayName: "Anvil",
			unidentifiedResourceName: "\xb8\xf0\xb7\xe7",
			unidentifiedDescriptionName: [
				"A smithing tool on which heated metals are placed so that they can be shaped by hammering. Used in the making of common products.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Anvil",
			identifiedResourceName: "\xb8\xf0\xb7\xe7",
			identifiedDescriptionName: [
				"A smithing tool on which heated metals are placed so that they can be shaped by hammering. Used in the making of common products.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		987: {
			unidentifiedDisplayName: "Oridecon Anvil",
			unidentifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc\xb8\xf0\xb7\xe7",
			unidentifiedDescriptionName: [
				"An anvil, made of pure Oridecon, that's used to make quality goods.",
				"^ffffff_^000000",
				"Weight :^777777 70^000000",
			],
			identifiedDisplayName: "Oridecon Anvil",
			identifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc\xb8\xf0\xb7\xe7",
			identifiedDescriptionName: [
				"An anvil, made of pure Oridecon, that's used to make quality goods.",
				"^ffffff_^000000",
				"Weight :^777777 70^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		988: {
			unidentifiedDisplayName: "Golden Anvil",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xc0\xc7\xb8\xf0\xb7\xe7",
			unidentifiedDescriptionName: [
				"An anvil, made of pure Gold, that's used in the manufacture of high quality products.",
				"^ffffff_^000000",
				"Weight :^777777 90^000000",
			],
			identifiedDisplayName: "Golden Anvil",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xc0\xc7\xb8\xf0\xb7\xe7",
			identifiedDescriptionName: [
				"An anvil, made of pure Gold, that's used in the manufacture of high quality products.",
				"^ffffff_^000000",
				"Weight :^777777 90^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		989: {
			unidentifiedDisplayName: "Emperium Anvil",
			unidentifiedResourceName: "\xbf\xa5\xc6\xe7\xb8\xae\xbf\xf2\xb8\xf0\xb7\xe7",
			unidentifiedDescriptionName: [
				"An anvil, made of pure Emperium, that's used to manufacture products of the highest quality.",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Emperium Anvil",
			identifiedResourceName: "\xbf\xa5\xc6\xe7\xb8\xae\xbf\xf2\xb8\xf0\xb7\xe7",
			identifiedDescriptionName: [
				"An anvil, made of pure Emperium, that's used to manufacture products of the highest quality.",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		990: {
			unidentifiedDisplayName: "Red Blood",
			unidentifiedResourceName: "\xb7\xb9\xb5\xe5\xba\xed\xb7\xaf\xb5\xe5",
			unidentifiedDescriptionName: [
				"A vivid red ore that glows from inside with an orange yellow light. Possesses the ^FF0000Fire^000000 Property and can form the enchanted stone, Flame Heart, when refined.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Red Blood",
			identifiedResourceName: "\xb7\xb9\xb5\xe5\xba\xed\xb7\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A vivid red ore that glows from inside with an orange yellow light. Possesses the ^FF0000Fire^000000 Property and can form the enchanted stone, Flame Heart, when refined.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		991: {
			unidentifiedDisplayName: "Crystal Blue",
			unidentifiedResourceName: "\xc5\xa9\xb8\xae\xbd\xba\xc5\xbb\xba\xed\xb7\xe7",
			unidentifiedDescriptionName: [
				"A sky colored ore that glows with the light of the deep ocean depths. Possesses the ^0000FFWater^000000 Property and forms the enchanted stone, Mystic Frozen, when refined.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Crystal Blue",
			identifiedResourceName: "\xc5\xa9\xb8\xae\xbd\xba\xc5\xbb\xba\xed\xb7\xe7",
			identifiedDescriptionName: [
				"A sky colored ore that glows with the light of the deep ocean depths. Possesses the ^0000FFWater^000000 Property and forms the enchanted stone, Mystic Frozen, when refined.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		992: {
			unidentifiedDisplayName: "Wind of Verdure",
			unidentifiedResourceName: "\xbf\xbb\xb7\xce\xbf\xec\xb6\xf3\xc0\xcc\xba\xea",
			unidentifiedDescriptionName: [
				"A lemon colored ore that contains a pale, greenish light. Possesses the ^009900Wind^000000 Property and forms the enchanted stone, Rough Wind, when refined.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Wind of Verdure",
			identifiedResourceName: "\xbf\xbb\xb7\xce\xbf\xec\xb6\xf3\xc0\xcc\xba\xea",
			identifiedDescriptionName: [
				"A lemon colored ore that contains a pale, greenish light. Possesses the ^009900Wind^000000 Property and forms the enchanted stone, Rough Wind, when refined.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		993: {
			unidentifiedDisplayName: "Green Live",
			unidentifiedResourceName: "\xc0\xa9\xb5\xe5\xbf\xc0\xba\xea\xb9\xf6\xb5\xe0\xbe\xee",
			unidentifiedDescriptionName: [
				"A blue-green ore imbued with a faint, mesmerizing light. Possesses the ^996600Earth^000000 Property and forms the enchanted stone, Great Nature, when refined.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Green Live",
			identifiedResourceName: "\xc0\xa9\xb5\xe5\xbf\xc0\xba\xea\xb9\xf6\xb5\xe0\xbe\xee",
			identifiedDescriptionName: [
				"A blue-green ore imbued with a faint, mesmerizing light. Possesses the ^996600Earth^000000 Property and forms the enchanted stone, Great Nature, when refined.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		994: {
			unidentifiedDisplayName: "Flame Heart",
			unidentifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xd3\xc7\xcf\xc6\xae",
			unidentifiedDescriptionName: [
				"A dark red, heart shaped stone enchanted with the ^FF0000Fire^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Flame Heart",
			identifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xd3\xc7\xcf\xc6\xae",
			identifiedDescriptionName: [
				"A dark red, heart shaped stone enchanted with the ^FF0000Fire^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		995: {
			unidentifiedDisplayName: "Mystic Frozen",
			unidentifiedResourceName: "\xb9\xcc\xbd\xba\xc6\xbd\xc7\xc1\xb7\xce\xc1\xf0",
			unidentifiedDescriptionName: [
				"A light blue, crystal stone enchanted with the ^0000FFWater^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Mystic Frozen",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xc6\xbd\xc7\xc1\xb7\xce\xc1\xf0",
			identifiedDescriptionName: [
				"A light blue, crystal stone enchanted with the ^0000FFWater^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		996: {
			unidentifiedDisplayName: "Rough Wind",
			unidentifiedResourceName: "\xb7\xaf\xc7\xc1\xc0\xa9\xb5\xe5",
			unidentifiedDescriptionName: [
				"A pale green, lightning bolt shaped stone imbued with the ^009900Wind^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Rough Wind",
			identifiedResourceName: "\xb7\xaf\xc7\xc1\xc0\xa9\xb5\xe5",
			identifiedDescriptionName: [
				"A pale green, lightning bolt shaped stone imbued with the ^009900Wind^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		997: {
			unidentifiedDisplayName: "Great Nature",
			unidentifiedResourceName: "\xb1\xd7\xb7\xb9\xc0\xcc\xc6\xae\xb3\xd7\xc0\xcc\xc3\xc4",
			unidentifiedDescriptionName: [
				"A citrus colored, bud shaped stone enchanted with the ^996600Earth^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Great Nature",
			identifiedResourceName: "\xb1\xd7\xb7\xb9\xc0\xcc\xc6\xae\xb3\xd7\xc0\xcc\xc3\xc4",
			identifiedDescriptionName: [
				"A citrus colored, bud shaped stone enchanted with the ^996600Earth^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		998: {
			unidentifiedDisplayName: "Iron",
			unidentifiedResourceName: "\xc3\xb6",
			unidentifiedDescriptionName: [
				"Malleable, silver-white metal that's very light weight and easy to temper. Commonly used to create arms and other goods.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Iron",
			identifiedResourceName: "\xc3\xb6",
			identifiedDescriptionName: [
				"Malleable, silver-white metal that's very light weight and easy to temper. Commonly used to create arms and other goods.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		999: {
			unidentifiedDisplayName: "Steel",
			unidentifiedResourceName: "\xb0\xad\xc3\xb6",
			unidentifiedDescriptionName: [
				"An iron and carbon alloy known for its structural durability and usually used in the crafting of high-quality arms.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Steel",
			identifiedResourceName: "\xb0\xad\xc3\xb6",
			identifiedDescriptionName: [
				"An iron and carbon alloy known for its structural durability and usually used in the crafting of high-quality arms.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1000: {
			unidentifiedDisplayName: "Star Crumb",
			unidentifiedResourceName: "\xba\xb0\xc0\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A small stellar crystal, fallen from the heavens, which can be used to craft strengthened weapons.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Star Crumb",
			identifiedResourceName: "\xba\xb0\xc0\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A small stellar crystal, fallen from the heavens, which can be used to craft strengthened weapons.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1001: {
			unidentifiedDisplayName: "Star Dust",
			unidentifiedResourceName: "\xba\xb0\xc0\xc7\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"Stardust which can form a Star Crumb after being refined.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Star Dust",
			identifiedResourceName: "\xba\xb0\xc0\xc7\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"Stardust which can form a Star Crumb after being refined.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1002: {
			unidentifiedDisplayName: "Iron Ore",
			unidentifiedResourceName: "\xc3\xb6\xb1\xa4\xbc\xae",
			unidentifiedDescriptionName: [
				"An impure ore that forms Iron after being refined.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Iron Ore",
			identifiedResourceName: "\xc3\xb6\xb1\xa4\xbc\xae",
			identifiedDescriptionName: [
				"An impure ore that forms Iron after being refined.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1003: {
			unidentifiedDisplayName: "Coal",
			unidentifiedResourceName: "\xbc\xae\xc5\xba",
			unidentifiedDescriptionName: [
				"A black mineral substance that can form Steel once it is combined with Iron.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Coal",
			identifiedResourceName: "\xbc\xae\xc5\xba",
			identifiedDescriptionName: [
				"A black mineral substance that can form Steel once it is combined with Iron.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1004: {
			unidentifiedDisplayName: "Chivalry Emblem",
			unidentifiedResourceName: "\xc3\xe6\xc0\xfd\xc0\xc7\xc1\xf5\xb0\xc5",
			unidentifiedDescriptionName: [
				"A token which shows a knight's loyalty to his lord.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Chivalry Emblem",
			identifiedResourceName: "\xc3\xe6\xc0\xfd\xc0\xc7\xc1\xf5\xb0\xc5",
			identifiedDescriptionName: [
				"A token which shows a knight's loyalty to his lord.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1005: {
			unidentifiedDisplayName: "Hammer of Blacksmith",
			unidentifiedResourceName: "\xb4\xeb\xc0\xe5\xc0\xe5\xc0\xcc\xc0\xc7\xb8\xc1\xc4\xa1",
			unidentifiedDescriptionName: [
				"A hammer for the Blacksmith class that is used for refining.",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			identifiedDisplayName: "Hammer of Blacksmith",
			identifiedResourceName: "\xb4\xeb\xc0\xe5\xc0\xe5\xc0\xcc\xc0\xc7\xb8\xc1\xc4\xa1",
			identifiedDescriptionName: [
				"A hammer for the Blacksmith class that is used for refining.",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1006: {
			unidentifiedDisplayName: "Old Magicbook",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb8\xb6\xb9\xfd\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell book containing powerful, ancient magic.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Old Magicbook",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb8\xb6\xb9\xfd\xbc\xad",
			identifiedDescriptionName: [
				"A spell book containing powerful, ancient magic.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1007: {
			unidentifiedDisplayName: "Necklace of Wisdom",
			unidentifiedResourceName: "\xc7\xfd\xbe\xc8",
			unidentifiedDescriptionName: [
				"A mysterious necklace that is rumored to possess the power of clairvoyance.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Necklace of Wisdom",
			identifiedResourceName: "\xc7\xfd\xbe\xc8",
			identifiedDescriptionName: [
				"A mysterious necklace that is rumored to possess the power of clairvoyance.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1008: {
			unidentifiedDisplayName: "Necklace of Oblivion",
			unidentifiedResourceName: "\xba\xf1\xc1\xa4\xc7\xd1\xb8\xb6\xc0\xbd",
			unidentifiedDescriptionName: [
				"A necklace given from a master once one earns the honor of joining the Assassin Guild.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Necklace of Oblivion",
			identifiedResourceName: "\xba\xf1\xc1\xa4\xc7\xd1\xb8\xb6\xc0\xbd",
			identifiedDescriptionName: [
				"A necklace given from a master once one earns the honor of joining the Assassin Guild.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1009: {
			unidentifiedDisplayName: "Hand of God",
			unidentifiedResourceName: "\xbc\xba\xc8\xe7",
			unidentifiedDescriptionName: [
				"A figure of a hand that contains great religious symbolism.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Hand of God",
			identifiedResourceName: "\xbc\xba\xc8\xe7",
			identifiedDescriptionName: [
				"A figure of a hand that contains great religious symbolism.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1010: {
			unidentifiedDisplayName: "Phracon",
			unidentifiedResourceName: "\xc7\xc1\xb6\xf3\xc4\xdc",
			unidentifiedDescriptionName: [
				"A metal that can be used to strengthen and upgrade ^000088Level 1 Weapons^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Phracon",
			identifiedResourceName: "\xc7\xc1\xb6\xf3\xc4\xdc",
			identifiedDescriptionName: [
				"A metal that can be used to strengthen and upgrade ^000088Level 1 Weapons^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1011: {
			unidentifiedDisplayName: "Emveretarcon",
			unidentifiedResourceName: "\xbf\xa5\xba\xa3\xb8\xa3\xc5\xb8\xc4\xdc",
			unidentifiedDescriptionName: [
				"A metal that can be used to strengthen and upgrade ^000088Level 2 Weapons^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Emveretarcon",
			identifiedResourceName: "\xbf\xa5\xba\xa3\xb8\xa3\xc5\xb8\xc4\xdc",
			identifiedDescriptionName: [
				"A metal that can be used to strengthen and upgrade ^000088Level 2 Weapons^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1012: {
			unidentifiedDisplayName: "Frill",
			unidentifiedResourceName: "\xb5\xb5\xb8\xb6\xb9\xec\xc0\xc7\xb8\xf1\xb4\xfa\xb9\xcc",
			unidentifiedDescriptionName: [
				"Some skin from the neck of a lizard which lives in the desert.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Frill",
			identifiedResourceName: "\xb5\xb5\xb8\xb6\xb9\xec\xc0\xc7\xb8\xf1\xb4\xfa\xb9\xcc",
			identifiedDescriptionName: [
				"Some skin from the neck of a lizard which lives in the desert.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1013: {
			unidentifiedDisplayName: "Rainbow Shell",
			unidentifiedResourceName: "\xbe\xcb\xb7\xcf\xb4\xde\xb7\xcf\xc7\xd1\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A bug shell that reflects the colors of the rainbow.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rainbow Shell",
			identifiedResourceName: "\xbe\xcb\xb7\xcf\xb4\xde\xb7\xcf\xc7\xd1\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A bug shell that reflects the colors of the rainbow.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1014: {
			unidentifiedDisplayName: "Ant Jaw",
			unidentifiedResourceName: "\xb0\xb3\xb9\xcc\xc0\xc7\xc5\xce\xbb\xc0",
			unidentifiedDescriptionName: [
				"A tough, sharp jaw from an ant.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ant Jaw",
			identifiedResourceName: "\xb0\xb3\xb9\xcc\xc0\xc7\xc5\xce\xbb\xc0",
			identifiedDescriptionName: [
				"A tough, sharp jaw from an ant.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1015: {
			unidentifiedDisplayName: "Tongue",
			unidentifiedResourceName: "\xb1\xe6\xb0\xed\xb0\xa1\xb4\xc0\xb4\xd9\xb6\xf5\xc7\xf4",
			unidentifiedDescriptionName: [
				"A tongue cut from a monster.",
				"It has a disgusting coating of sticky saliva.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tongue",
			identifiedResourceName: "\xb1\xe6\xb0\xed\xb0\xa1\xb4\xc0\xb4\xd9\xb6\xf5\xc7\xf4",
			identifiedDescriptionName: [
				"A tongue cut from a monster.",
				"It has a disgusting coating of sticky saliva.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1016: {
			unidentifiedDisplayName: "Rat Tail",
			unidentifiedResourceName: "\xc1\xe3\xc0\xc7\xb2\xbf\xb8\xae",
			unidentifiedDescriptionName: [
				"A thin rat's tail.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rat Tail",
			identifiedResourceName: "\xc1\xe3\xc0\xc7\xb2\xbf\xb8\xae",
			identifiedDescriptionName: [
				"A thin rat's tail.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1017: {
			unidentifiedDisplayName: "Mole Whiskers",
			unidentifiedResourceName: "\xb5\xce\xb4\xf5\xc1\xf6\xc0\xc7\xbc\xf6\xbf\xb0",
			unidentifiedDescriptionName: [
				"Whiskers from a mole.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mole Whiskers",
			identifiedResourceName: "\xb5\xce\xb4\xf5\xc1\xf6\xc0\xc7\xbc\xf6\xbf\xb0",
			identifiedDescriptionName: [
				"Whiskers from a mole.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1018: {
			unidentifiedDisplayName: "Mole Claw",
			unidentifiedResourceName: "\xb5\xce\xb4\xf5\xc1\xf6\xc0\xc7\xbc\xd5\xc5\xe9",
			unidentifiedDescriptionName: [
				"A mole's claw that is sturdy enough to dig into the ground.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mole Claw",
			identifiedResourceName: "\xb5\xce\xb4\xf5\xc1\xf6\xc0\xc7\xbc\xd5\xc5\xe9",
			identifiedDescriptionName: [
				"A mole's claw that is sturdy enough to dig into the ground.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1019: {
			unidentifiedDisplayName: "Trunk",
			unidentifiedResourceName: "\xb3\xaa\xb9\xab\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A woody stem from a tree that's useful for lumber.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Trunk",
			identifiedResourceName: "\xb3\xaa\xb9\xab\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A woody stem from a tree that's useful for lumber.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1020: {
			unidentifiedDisplayName: "Black Hair",
			unidentifiedResourceName: "\xb1\xe4\xb8\xd3\xb8\xae\xc4\xab\xb6\xf4",
			unidentifiedDescriptionName: [
				"Lustrous, well brushed hair cut from some virgin.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Black Hair",
			identifiedResourceName: "\xb1\xe4\xb8\xd3\xb8\xae\xc4\xab\xb6\xf4",
			identifiedDescriptionName: [
				"Lustrous, well brushed hair cut from some virgin.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1021: {
			unidentifiedDisplayName: "Dokkaebi Horn",
			unidentifiedResourceName: "\xb5\xb5\xb1\xfa\xba\xf1\xc0\xc7\xbb\xd4",
			unidentifiedDescriptionName: [
				"Horns from a Dokebi which are rumored to bring great fortune to their owner.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dokebi Horn",
			identifiedResourceName: "\xb5\xb5\xb1\xfa\xba\xf1\xc0\xc7\xbb\xd4",
			identifiedDescriptionName: [
				"Horns from a Dokebi which are rumored to bring great fortune to their owner.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1022: {
			unidentifiedDisplayName: "Nine Tails",
			unidentifiedResourceName: "\xbf\xa9\xbf\xec\xc0\xc7\xb2\xbf\xb8\xae",
			unidentifiedDescriptionName: [
				"A set of tails that used to belong to a Nine Tail fox. But not anymore, apparently.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nine Tails",
			identifiedResourceName: "\xbf\xa9\xbf\xec\xc0\xc7\xb2\xbf\xb8\xae",
			identifiedDescriptionName: [
				"A set of tails that used to belong to a Nine Tail fox. But not anymore, apparently.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1023: {
			unidentifiedDisplayName: "Fish Tail",
			unidentifiedResourceName: "\xbb\xfd\xbc\xb1\xc0\xc7\xb2\xbf\xb8\xae",
			unidentifiedDescriptionName: [
				"A tail severed from a fish monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fish Tail",
			identifiedResourceName: "\xbb\xfd\xbc\xb1\xc0\xc7\xb2\xbf\xb8\xae",
			identifiedDescriptionName: [
				"A tail severed from a fish monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1024: {
			unidentifiedDisplayName: "Squid Ink",
			unidentifiedResourceName: "\xb8\xd4\xb9\xb0",
			unidentifiedDescriptionName: [
				"Bottled black fluid from Marse the squid that seems to have failed its purpose of providing self defense.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Squid Ink",
			identifiedResourceName: "\xb8\xd4\xb9\xb0",
			identifiedDescriptionName: [
				"Bottled black fluid from Marse the squid that seems to have failed its purpose of providing self defense.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1025: {
			unidentifiedDisplayName: "Cobweb",
			unidentifiedResourceName: "\xb0\xc5\xb9\xcc\xc1\xd9",
			unidentifiedDescriptionName: [
				"A sticky spider's web made of surprisingly strong threadlike fibers.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cobweb",
			identifiedResourceName: "\xb0\xc5\xb9\xcc\xc1\xd9",
			identifiedDescriptionName: [
				"A sticky spider's web made of surprisingly strong threadlike fibers.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1026: {
			unidentifiedDisplayName: "Acorn",
			unidentifiedResourceName: "\xb5\xb5\xc5\xe4\xb8\xae",
			unidentifiedDescriptionName: [
				"A tough, woody shelled nut from an oak tree.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Acorn",
			identifiedResourceName: "\xb5\xb5\xc5\xe4\xb8\xae",
			identifiedDescriptionName: [
				"A tough, woody shelled nut from an oak tree.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1027: {
			unidentifiedDisplayName: "Porcupine Quill",
			unidentifiedResourceName: "\xb0\xed\xbd\xbf\xb5\xb5\xc4\xa1\xb0\xa1\xbd\xc3",
			unidentifiedDescriptionName: [
				"Sharp, hollow quills used to cover and protect some porcupine. Soft, furry, nice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Porcupine Quill",
			identifiedResourceName: "\xb0\xed\xbd\xbf\xb5\xb5\xc4\xa1\xb0\xa1\xbd\xc3",
			identifiedDescriptionName: [
				"Sharp, hollow quills used to cover and protect some porcupine. Soft, furry, nice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1028: {
			unidentifiedDisplayName: "Mane",
			unidentifiedResourceName: "\xb8\xcb\xb5\xc5\xc1\xf6\xc0\xc7\xb0\xa5\xb1\xe2\xc5\xd0",
			unidentifiedDescriptionName: [
				"Bristly, tough hair cut from a wild boar.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mane",
			identifiedResourceName: "\xb8\xcb\xb5\xc5\xc1\xf6\xc0\xc7\xb0\xa5\xb1\xe2\xc5\xd0",
			identifiedDescriptionName: [
				"Bristly, tough hair cut from a wild boar.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1029: {
			unidentifiedDisplayName: "Tiger Skin",
			unidentifiedResourceName: "\xc8\xa3\xb6\xfb\xc0\xcc\xc0\xc7\xb0\xa1\xc1\xd7",
			unidentifiedDescriptionName: [
				"A tiger's hide that's soft, furry, nice and feral.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tiger Skin",
			identifiedResourceName: "\xc8\xa3\xb6\xfb\xc0\xcc\xc0\xc7\xb0\xa1\xc1\xd7",
			identifiedDescriptionName: [
				"A tiger's hide that's soft, furry, nice and feral.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1030: {
			unidentifiedDisplayName: "Tiger's Footskin",
			unidentifiedResourceName: "\xc8\xa3\xb6\xfb\xc0\xcc\xc0\xc7\xb9\xdf\xb9\xd9\xb4\xda",
			unidentifiedDescriptionName: [
				"A tiger's paw that's widely known to the elderly as the King of Invigorators.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tiger's Footskin",
			identifiedResourceName: "\xc8\xa3\xb6\xfb\xc0\xcc\xc0\xc7\xb9\xdf\xb9\xd9\xb4\xda",
			identifiedDescriptionName: [
				"A tiger's paw that's widely known to the elderly as the King of Invigorators.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1031: {
			unidentifiedDisplayName: "Mantis Scythe",
			unidentifiedResourceName: "\xbb\xe7\xb8\xb6\xb1\xcd\xc0\xc7\xc6\xc8",
			unidentifiedDescriptionName: [
				"A sharp, front limb severed from a Mantis.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mantis Scythe",
			identifiedResourceName: "\xbb\xe7\xb8\xb6\xb1\xcd\xc0\xc7\xc6\xc8",
			identifiedDescriptionName: [
				"A sharp, front limb severed from a Mantis.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1032: {
			unidentifiedDisplayName: "Maneater Blossom",
			unidentifiedResourceName: "\xbd\xc4\xc0\xce\xbc\xf6\xc0\xc7\xb2\xc9",
			unidentifiedDescriptionName: [
				"A carnivorous flower with a digestive system very much like the humans.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Maneater Blossom",
			identifiedResourceName: "\xbd\xc4\xc0\xce\xbc\xf6\xc0\xc7\xb2\xc9",
			identifiedDescriptionName: [
				"A carnivorous flower with a digestive system very much like the humans.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1033: {
			unidentifiedDisplayName: "Maneater Root",
			unidentifiedResourceName: "\xbd\xc4\xc0\xce\xbc\xf6\xc0\xc7\xbb\xd1\xb8\xae",
			unidentifiedDescriptionName: [
				"Roots, which resemble human legs, that almost look capable of walking.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Maneater Root",
			identifiedResourceName: "\xbd\xc4\xc0\xce\xbc\xf6\xc0\xc7\xbb\xd1\xb8\xae",
			identifiedDescriptionName: [
				"Roots, which resemble human legs, that almost look capable of walking.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1034: {
			unidentifiedDisplayName: "Blue Hair",
			unidentifiedResourceName: "\xc4\xda\xba\xbc\xc6\xae\xc0\xc7\xc5\xd0",
			unidentifiedDescriptionName: [
				"Hair cut from a Kobold that appears bristly but is actually downy soft.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Hair",
			identifiedResourceName: "\xc4\xda\xba\xbc\xc6\xae\xc0\xc7\xc5\xd0",
			identifiedDescriptionName: [
				"Hair cut from a Kobold that appears bristly but is actually downy soft.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1035: {
			unidentifiedDisplayName: "Dragon Canine",
			unidentifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xc0\xcc\xbb\xa1",
			unidentifiedDescriptionName: [
				"A dragon's cuspid that is sharp enough to pierce through dragon scales.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Canine",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xc0\xcc\xbb\xa1",
			identifiedDescriptionName: [
				"A dragon's cuspid that is sharp enough to pierce through dragon scales.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1036: {
			unidentifiedDisplayName: "Dragon Scale",
			unidentifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xba\xf1\xb4\xc3",
			unidentifiedDescriptionName: [
				"An iridescent dragon's scale that is tough enough to protect from weather and most forms of harm.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Scale",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xba\xf1\xb4\xc3",
			identifiedDescriptionName: [
				"An iridescent dragon's scale that is tough enough to protect from weather and most forms of harm.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1037: {
			unidentifiedDisplayName: "Dragon Tail",
			unidentifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xb2\xbf\xb8\xae",
			unidentifiedDescriptionName: [
				"A tail cut off from a dragon that, sadly, will never grow back.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Tail",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xb2\xbf\xb8\xae",
			identifiedDescriptionName: [
				"A tail cut off from a dragon that, sadly, will never grow back.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1038: {
			unidentifiedDisplayName: "Little Evil Horn",
			unidentifiedResourceName: "\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xc0\xc7\xbb\xd4",
			unidentifiedDescriptionName: [
				"Horns sliced off the head of a little demon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Little Evil Horn",
			identifiedResourceName: "\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xc0\xc7\xbb\xd4",
			identifiedDescriptionName: [
				"Horns sliced off the head of a little demon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1039: {
			unidentifiedDisplayName: "Little Evil Wing",
			unidentifiedResourceName: "\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"Wings from a little demon which look like those of a small bat.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Little Evil Wing",
			identifiedResourceName: "\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"Wings from a little demon which look like those of a small bat.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1040: {
			unidentifiedDisplayName: "Elder Pixie's Moustache",
			unidentifiedResourceName: "\xb4\xc4\xc0\xba\xbf\xe4\xc1\xa4\xc0\xc7\xbc\xf6\xbf\xb0",
			unidentifiedDescriptionName: [
				"A moustache shaved off an old dwarf that has somehow maintained its entire shape and form.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elder Pixie's Moustache",
			identifiedResourceName: "\xb4\xc4\xc0\xba\xbf\xe4\xc1\xa4\xc0\xc7\xbc\xf6\xbf\xb0",
			identifiedDescriptionName: [
				"A moustache shaved off an old dwarf that has somehow maintained its entire shape and form.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1041: {
			unidentifiedDisplayName: "Lantern",
			unidentifiedResourceName: "\xb7\xa3\xc5\xcf",
			unidentifiedDescriptionName: [
				"A portable case with glass panes that allow some contained light to illuminate dark areas.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lantern",
			identifiedResourceName: "\xb7\xa3\xc5\xcf",
			identifiedDescriptionName: [
				"A portable case with glass panes that allow some contained light to illuminate dark areas.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1042: {
			unidentifiedDisplayName: "Bug Leg",
			unidentifiedResourceName: "\xc2\xaa\xc0\xba\xb4\xd9\xb8\xae",
			unidentifiedDescriptionName: [
				"A hind leg that has been cut from a bug.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bug Leg",
			identifiedResourceName: "\xc2\xaa\xc0\xba\xb4\xd9\xb8\xae",
			identifiedDescriptionName: [
				"A hind leg that has been cut from a bug.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1043: {
			unidentifiedDisplayName: "Orc Claw",
			unidentifiedResourceName: "\xbf\xc0\xc5\xa9\xc0\xc7\xbc\xd5\xc5\xe9",
			unidentifiedDescriptionName: [
				"A thick, sharpened fingernail from an Orc.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Claw",
			identifiedResourceName: "\xbf\xc0\xc5\xa9\xc0\xc7\xbc\xd5\xc5\xe9",
			identifiedDescriptionName: [
				"A thick, sharpened fingernail from an Orc.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1044: {
			unidentifiedDisplayName: "Zenorc's Fang",
			unidentifiedResourceName: "\xc1\xa6\xb3\xeb\xc5\xa9\xc0\xc7\xc0\xcc\xbb\xa1",
			unidentifiedDescriptionName: [
				"A cuspid pulled out of a cursed Orc's mouth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zenorc's Fang",
			identifiedResourceName: "\xc1\xa6\xb3\xeb\xc5\xa9\xc0\xc7\xc0\xcc\xbb\xa1",
			identifiedDescriptionName: [
				"A cuspid pulled out of a cursed Orc's mouth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1045: {
			unidentifiedDisplayName: "Cultish Masque",
			unidentifiedResourceName: "\xbd\xc5\xb0\xfc\xc0\xc7\xb0\xa1\xb8\xe9",
			unidentifiedDescriptionName: [
				"A ceremonial mask used by an ancient shaman.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cultish Masque",
			identifiedResourceName: "\xbd\xc5\xb0\xfc\xc0\xc7\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A ceremonial mask used by an ancient shaman.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1046: {
			unidentifiedDisplayName: "Scorpion Nipper",
			unidentifiedResourceName: "\xc0\xfc\xb0\xa5\xc0\xc7\xc1\xfd\xb0\xd4\xbc\xd5",
			unidentifiedDescriptionName: [
				"A sharp forelimb claw removed from a scorpion.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scorpion Nipper",
			identifiedResourceName: "\xc0\xfc\xb0\xa5\xc0\xc7\xc1\xfd\xb0\xd4\xbc\xd5",
			identifiedDescriptionName: [
				"A sharp forelimb claw removed from a scorpion.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1047: {
			unidentifiedDisplayName: "Dead Medusa",
			unidentifiedResourceName: "\xb8\xde\xb5\xce\xbb\xe7\xc0\xc7\xb8\xd3\xb8\xae",
			unidentifiedDescriptionName: [
				"A Medusa's head that, naturally, looks pretty sad and depressed.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dead Medusa",
			identifiedResourceName: "\xb8\xde\xb5\xce\xbb\xe7\xc0\xc7\xb8\xd3\xb8\xae",
			identifiedDescriptionName: [
				"A Medusa's head that, naturally, looks pretty sad and depressed.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1048: {
			unidentifiedDisplayName: "Horrendous Hair",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xc4\xab\xb6\xf4\xb9\xec",
			unidentifiedDescriptionName: [
				"Some of Medusa's hair, which is essentially just a bunch of snakes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Horrendous Hair",
			identifiedResourceName: "\xb8\xd3\xb8\xae\xc4\xab\xb6\xf4\xb9\xec",
			identifiedDescriptionName: [
				"Some of Medusa's hair, which is essentially just a bunch of snakes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1049: {
			unidentifiedDisplayName: "Skirt of Virgin",
			unidentifiedResourceName: "\xc3\xb3\xb3\xe0\xc0\xc7\xbf\xca\xc0\xda\xb6\xf4",
			unidentifiedDescriptionName: [
				"A traditional skirt that symbolizes virginity.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Skirt of Virgin",
			identifiedResourceName: "\xc3\xb3\xb3\xe0\xc0\xc7\xbf\xca\xc0\xda\xb6\xf4",
			identifiedDescriptionName: [
				"A traditional skirt that symbolizes virginity.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1050: {
			unidentifiedDisplayName: "Tendon",
			unidentifiedResourceName: "\xb3\xfa\xb0\xfc",
			unidentifiedDescriptionName: [
				"A bunch of tough, strong tendons.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tendon",
			identifiedResourceName: "\xb3\xfa\xb0\xfc",
			identifiedDescriptionName: [
				"A bunch of tough, strong tendons.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1051: {
			unidentifiedDisplayName: "Detonator",
			unidentifiedResourceName: "\xc8\xfb\xc1\xd9",
			unidentifiedDescriptionName: [
				"A weird organic clump that seems to be the brain for a Marine Sphere monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Detonator",
			identifiedResourceName: "\xc8\xfb\xc1\xd9",
			identifiedDescriptionName: [
				"A weird organic clump that seems to be the brain for a Marine Sphere monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1052: {
			unidentifiedDisplayName: "Single Cell",
			unidentifiedResourceName: "\xb4\xdc\xbc\xbc\xc6\xf7",
			unidentifiedDescriptionName: [
				"A single, functioning cell taken from some monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Single Cell",
			identifiedResourceName: "\xb4\xdc\xbc\xbc\xc6\xf7",
			identifiedDescriptionName: [
				"A single, functioning cell taken from some monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1053: {
			unidentifiedDisplayName: "Ancient Tooth",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xee\xc0\xc7\xc0\xcc\xbb\xa1",
			unidentifiedDescriptionName: [
				"A sharp, serrated tooth pulled from the mouth of a giant deep sea fish.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ancient Tooth",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xee\xc0\xc7\xc0\xcc\xbb\xa1",
			identifiedDescriptionName: [
				"A sharp, serrated tooth pulled from the mouth of a giant deep sea fish.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1054: {
			unidentifiedDisplayName: "Ancient Lips",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xee\xc0\xc7\xc0\xd4\xbc\xfa",
			unidentifiedDescriptionName: [
				"A set of fat lips cut from a giant deep sea fish.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ancient Lips",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xee\xc0\xc7\xc0\xd4\xbc\xfa",
			identifiedDescriptionName: [
				"A set of fat lips cut from a giant deep sea fish.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1055: {
			unidentifiedDisplayName: "Earthworm Peeling",
			unidentifiedResourceName: "\xc1\xf6\xb7\xb7\xc0\xcc\xb0\xa1\xc1\xd7",
			unidentifiedDescriptionName: [
				"A shed skin peeling from an earthworm.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Earthworm Peeling",
			identifiedResourceName: "\xc1\xf6\xb7\xb7\xc0\xcc\xb0\xa1\xc1\xd7",
			identifiedDescriptionName: [
				"A shed skin peeling from an earthworm.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1056: {
			unidentifiedDisplayName: "Grit",
			unidentifiedResourceName: "\xb8\xf0\xb7\xa1\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A cubic grain of sand that brightly sparkles.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Grit",
			identifiedResourceName: "\xb8\xf0\xb7\xa1\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A cubic grain of sand that brightly sparkles.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1057: {
			unidentifiedDisplayName: "Moth Dust",
			unidentifiedResourceName: "\xb3\xaa\xb9\xe6\xc0\xc7\xb3\xaf\xb0\xb3\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"Bottled powder from the wings of a moth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Moth Dust",
			identifiedResourceName: "\xb3\xaa\xb9\xe6\xc0\xc7\xb3\xaf\xb0\xb3\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"Bottled powder from the wings of a moth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1058: {
			unidentifiedDisplayName: "Moth Wings",
			unidentifiedResourceName: "\xb3\xaa\xb9\xe6\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"A set of wings cut from a moth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Moth Wings",
			identifiedResourceName: "\xb3\xaa\xb9\xe6\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"A set of wings cut from a moth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1059: {
			unidentifiedDisplayName: "Fabric",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xc3\xb5\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A piece of nearly transparent fabric.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fabric",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xc3\xb5\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A piece of nearly transparent fabric.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1060: {
			unidentifiedDisplayName: "Golden Hair",
			unidentifiedResourceName: "\xb1\xdd\xba\xfb\xb8\xd3\xb8\xae\xc4\xab\xb6\xf4",
			unidentifiedDescriptionName: [
				"A beautiful lock of golden human hair.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golden Hair",
			identifiedResourceName: "\xb1\xdd\xba\xfb\xb8\xd3\xb8\xae\xc4\xab\xb6\xf4",
			identifiedDescriptionName: [
				"A beautiful lock of golden human hair.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1061: {
			unidentifiedDisplayName: "Witched Starsand",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xba\xb0\xb8\xf0\xb7\xa1",
			unidentifiedDescriptionName: [
				"A bottle of sand that sparkles like the stars and is usually found in witch broom bristles.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Witch Starsand",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xba\xb0\xb8\xf0\xb7\xa1",
			identifiedDescriptionName: [
				"A bottle of sand that sparkles like the stars and is usually found in witch broom bristles.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1062: {
			unidentifiedDisplayName: "Jack o' Pumpkin",
			unidentifiedResourceName: "\xc8\xa3\xb9\xda\xb8\xd3\xb8\xae",
			unidentifiedDescriptionName: [
				"A pumpkin with a carved, spooky face.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jack o' Pumpkin",
			identifiedResourceName: "\xc8\xa3\xb9\xda\xb8\xd3\xb8\xae",
			identifiedDescriptionName: [
				"A pumpkin with a carved, spooky face.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1063: {
			unidentifiedDisplayName: "Fang",
			unidentifiedResourceName: "\xb3\xaf\xc4\xab\xb7\xce\xbf\xee\xbc\xdb\xb0\xf7\xb4\xcf",
			unidentifiedDescriptionName: [
				"A sharp cuspid yanked from some monster's mouth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fang",
			identifiedResourceName: "\xb3\xaf\xc4\xab\xb7\xce\xbf\xee\xbc\xdb\xb0\xf7\xb4\xcf",
			identifiedDescriptionName: [
				"A sharp cuspid yanked from some monster's mouth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1064: {
			unidentifiedDisplayName: "Reins",
			unidentifiedResourceName: "\xb8\xbb\xb0\xed\xbb\xdf",
			unidentifiedDescriptionName: [
				"Ring placed into a horse's pierced nose to help steer it in a certain direction.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reins",
			identifiedResourceName: "\xb8\xbb\xb0\xed\xbb\xdf",
			identifiedDescriptionName: [
				"Ring placed into a horse's pierced nose to help steer it in a certain direction.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1065: {
			unidentifiedDisplayName: "Trap",
			unidentifiedResourceName: "\xc6\xae\xb7\xa6",
			unidentifiedDescriptionName: [
				"Necessary item for Trap related skills.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Trap",
			identifiedResourceName: "\xc6\xae\xb7\xa6",
			identifiedDescriptionName: [
				"Necessary item for Trap related skills.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1066: {
			unidentifiedDisplayName: "Trunk",
			unidentifiedResourceName: "\xb1\xc3\xbc\xf6\xc0\xfc\xc1\xf7\xb3\xaa\xb9\xab",
			unidentifiedDescriptionName: [
				"A tree trunk of wood with an excellent grain.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fine-grained Trunk",
			identifiedResourceName: "\xb1\xc3\xbc\xf6\xc0\xfc\xc1\xf7\xb3\xaa\xb9\xab",
			identifiedDescriptionName: [
				"A tree trunk of wood with an excellent grain.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1067: {
			unidentifiedDisplayName: "Trunk ",
			unidentifiedResourceName: "\xb1\xc3\xbc\xf6\xc0\xfc\xc1\xf7\xb3\xaa\xb9\xab",
			unidentifiedDescriptionName: [
				"A tree trunk of wood that is nice and solid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Solid Trunk",
			identifiedResourceName: "\xb1\xc3\xbc\xf6\xc0\xfc\xc1\xf7\xb3\xaa\xb9\xab",
			identifiedDescriptionName: [
				"A tree trunk of wood that is nice and solid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1068: {
			unidentifiedDisplayName: "Trunk  ",
			unidentifiedResourceName: "\xb1\xc3\xbc\xf6\xc0\xfc\xc1\xf7\xb3\xaa\xb9\xab",
			unidentifiedDescriptionName: [
				"A tree trunk of wood that is pretty low quality.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Barren Trunk",
			identifiedResourceName: "\xb1\xc3\xbc\xf6\xc0\xfc\xc1\xf7\xb3\xaa\xb9\xab",
			identifiedDescriptionName: [
				"A tree trunk of wood that is pretty low quality.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1069: {
			unidentifiedDisplayName: "Orange Mushroom",
			unidentifiedResourceName: "\xb5\xb5\xb5\xcf\xc0\xfc\xc1\xf7\xb9\xf6\xbc\xb8",
			unidentifiedDescriptionName: [
				"A sticky, smelly and poisonous mushroom that's commonly used in medicinal purposes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orange Net Mushroom",
			identifiedResourceName: "\xb5\xb5\xb5\xcf\xc0\xfc\xc1\xf7\xb9\xf6\xbc\xb8",
			identifiedDescriptionName: [
				"A sticky, smelly and poisonous mushroom that's commonly used in medicinal purposes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1070: {
			unidentifiedDisplayName: "Orange Mushroom ",
			unidentifiedResourceName: "\xb5\xb5\xb5\xcf\xc0\xfc\xc1\xf7\xb9\xf6\xbc\xb8",
			unidentifiedDescriptionName: [
				"A rubbery scented, gooey mushroom commonly used in medicinal purposes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orange Gooey Mushroom ",
			identifiedResourceName: "\xb5\xb5\xb5\xcf\xc0\xfc\xc1\xf7\xb9\xf6\xbc\xb8",
			identifiedDescriptionName: [
				"A rubbery scented, gooey mushroom commonly used in medicinal purposes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1071: {
			unidentifiedDisplayName: "Unknown Test Tube",
			unidentifiedResourceName: "\xb8\xb6\xbc\xfa\xc0\xfc\xc1\xf7\xbd\xc3\xc7\xe8\xb0\xfc",
			unidentifiedDescriptionName: [
				"A test tube that contains some sort of unidentified fluid.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Unknown Test Tube",
			identifiedResourceName: "\xb8\xb6\xbc\xfa\xc0\xfc\xc1\xf7\xbd\xc3\xc7\xe8\xb0\xfc",
			identifiedDescriptionName: [
				"A test tube that contains some sort of unidentified fluid.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1072: {
			unidentifiedDisplayName: "DEL Message",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"It's a personal letter written by Mahnsoo, chief of the Merchant Guild.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Delivery Message",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"It's a personal letter written by Mahnsoo, chief of the Merchant Guild.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1073: {
			unidentifiedDisplayName: "Voucher",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"A delivery voucher with the serial number : 2485741",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Voucher",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"A delivery voucher with the serial number : 2485741",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1074: {
			unidentifiedDisplayName: "Voucher",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"A delivery voucher with the serial number : 2328137",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Voucher",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"A delivery voucher with the serial number : 2328137",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1075: {
			unidentifiedDisplayName: "Voucher",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"A delivery voucher with the serial number : 2989396",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Voucher",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"A delivery voucher with the serial number : 2989396",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1076: {
			unidentifiedDisplayName: "Voucher",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"A delivery voucher with the serial number : 2191737",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Voucher",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"A delivery voucher with the serial number : 2191737",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1077: {
			unidentifiedDisplayName: "Voucher",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"A delivery voucher with the serial number : 3012685",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Voucher",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"A delivery voucher with the serial number : 3012685",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1078: {
			unidentifiedDisplayName: "Voucher",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"A delivery voucher with the serial number : 3487372",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Voucher",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"A delivery voucher with the serial number : 3487372",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1079: {
			unidentifiedDisplayName: "Voucher",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"A delivery voucher with the serial number : 3318702",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Voucher",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"A delivery voucher with the serial number : 3318702",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1080: {
			unidentifiedDisplayName: "Voucher",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"A delivery voucher with the serial number : 3543625",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Voucher",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"A delivery voucher with the serial number : 3543625",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1081: {
			unidentifiedDisplayName: "DEL Box",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A small, wooden box marked with the word \"Fragile\".",
				"^ffffff_^000000",
				"Weight :^777777 120^000000",
			],
			identifiedDisplayName: "Delivery Box",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A small, wooden box marked with the word \"Fragile\".",
				"^ffffff_^000000",
				"Weight :^777777 120^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1082: {
			unidentifiedDisplayName: "DEL Box ",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A small, wooden box marked with the word \"Fragile\".",
				"^ffffff_^000000",
				"Weight :^777777 120^000000",
			],
			identifiedDisplayName: "Delivery Box ",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A small, wooden box marked with the word \"Fragile\".",
				"^ffffff_^000000",
				"Weight :^777777 120^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1083: {
			unidentifiedDisplayName: "DEL Box  ",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A small, wooden box marked with the word \"Fragile\".",
				"^ffffff_^000000",
				"Weight :^777777 120^000000",
			],
			identifiedDisplayName: "Delivery Box  ",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A small, wooden box marked with the word \"Fragile\".",
				"^ffffff_^000000",
				"Weight :^777777 120^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1084: {
			unidentifiedDisplayName: "Kafra Pass",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			unidentifiedDescriptionName: [
				"A special, one-time use ticket that allows you to use any of the Kafra Services free of charge.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kafra Pass",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			identifiedDescriptionName: [
				"A special, one-time use ticket that allows you to use any of the Kafra Services free of charge.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1085: {
			unidentifiedDisplayName: "Unknown Test Tube",
			unidentifiedResourceName: "\xb8\xb6\xbc\xfa\xc0\xfc\xc1\xf7\xbd\xc3\xc7\xe8\xb0\xfc",
			unidentifiedDescriptionName: [
				"A test tube that contains an unidentified substance.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Unknown Test Tube",
			identifiedResourceName: "\xb8\xb6\xbc\xfa\xc0\xfc\xc1\xf7\xbd\xc3\xc7\xe8\xb0\xfc",
			identifiedDescriptionName: [
				"A test tube that contains an unidentified substance.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1086: {
			unidentifiedDisplayName: "Unknown Test Tube",
			unidentifiedResourceName: "\xb8\xb6\xbc\xfa\xc0\xfc\xc1\xf7\xbd\xc3\xc7\xe8\xb0\xfc",
			unidentifiedDescriptionName: [
				"A test tube that contains an unidentified substance.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Unknown Test Tube",
			identifiedResourceName: "\xb8\xb6\xbc\xfa\xc0\xfc\xc1\xf7\xbd\xc3\xc7\xe8\xb0\xfc",
			identifiedDescriptionName: [
				"A test tube that contains an unidentified substance.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1087: {
			unidentifiedDisplayName: "Unknown Test Tube",
			unidentifiedResourceName: "\xb8\xb6\xbc\xfa\xc0\xfc\xc1\xf7\xbd\xc3\xc7\xe8\xb0\xfc",
			unidentifiedDescriptionName: [
				"A test tube that contains an unidentified substance.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Unknown Test Tube",
			identifiedResourceName: "\xb8\xb6\xbc\xfa\xc0\xfc\xc1\xf7\xbd\xc3\xc7\xe8\xb0\xfc",
			identifiedDescriptionName: [
				"A test tube that contains an unidentified substance.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1088: {
			unidentifiedDisplayName: "Morroc Solution",
			unidentifiedResourceName: "\xb8\xf0\xb7\xce\xc5\xa9\xbc\xf6\xbf\xeb\xbe\xd7",
			unidentifiedDescriptionName: [
				"A test tube that contains Morocc solution.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Morroc Solution",
			identifiedResourceName: "\xb8\xf0\xb7\xce\xc5\xa9\xbc\xf6\xbf\xeb\xbe\xd7",
			identifiedDescriptionName: [
				"A test tube that contains Morocc solution.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1089: {
			unidentifiedDisplayName: "Payon Solution",
			unidentifiedResourceName: "\xc6\xe4\xc0\xcc\xbf\xe6\xbc\xf6\xbf\xeb\xbe\xd7",
			unidentifiedDescriptionName: [
				"A test tube that contains Payon solution.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Payon Solution",
			identifiedResourceName: "\xc6\xe4\xc0\xcc\xbf\xe6\xbc\xf6\xbf\xeb\xbe\xd7",
			identifiedDescriptionName: [
				"A test tube that contains Payon solution.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1090: {
			unidentifiedDisplayName: "Unknown Test Tube",
			unidentifiedResourceName: "\xb8\xb6\xbc\xfa\xc0\xfc\xc1\xf7\xbd\xc3\xc7\xe8\xb0\xfc",
			unidentifiedDescriptionName: [
				"A test tube that contains an unidentified substance.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Unknown Test Tube",
			identifiedResourceName: "\xb8\xb6\xbc\xfa\xc0\xfc\xc1\xf7\xbd\xc3\xc7\xe8\xb0\xfc",
			identifiedDescriptionName: [
				"A test tube that contains an unidentified substance.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1091: {
			unidentifiedDisplayName: "DEL Box",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A small, wooden box marked with the word \"Fragile\".",
				"^ffffff_^000000",
				"Weight :^777777 120^000000",
			],
			identifiedDisplayName: "Delivery Box",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A small, wooden box marked with the word \"Fragile\".",
				"^ffffff_^000000",
				"Weight :^777777 120^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1092: {
			unidentifiedDisplayName: "Empty Test Tube",
			unidentifiedResourceName: "\xba\xf3\xbd\xc3\xc7\xe8\xb0\xfc",
			unidentifiedDescriptionName: [
				"An empty test tube that can be used to contain some kind of solution.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Empty Test Tube",
			identifiedResourceName: "\xba\xf3\xbd\xc3\xc7\xe8\xb0\xfc",
			identifiedDescriptionName: [
				"An empty test tube that can be used to contain some kind of solution.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1093: {
			unidentifiedDisplayName: "Empty Potion Bottle",
			unidentifiedResourceName: "\xba\xf3\xc6\xf7\xbc\xc7\xba\xb4",
			unidentifiedDescriptionName: [
				"An empty bottle that can be used to contain potions.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Empty Potion Bottle",
			identifiedResourceName: "\xba\xf3\xc6\xf7\xbc\xc7\xba\xb4",
			identifiedDescriptionName: [
				"An empty bottle that can be used to contain potions.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1094: {
			unidentifiedDisplayName: "Short Daenggie",
			unidentifiedResourceName: "\xc2\xaa\xc0\xba\xb4\xf3\xb1\xe2\xb8\xd3\xb8\xae",
			unidentifiedDescriptionName: [
				"A short lock of braided hair.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Short Daenggie",
			identifiedResourceName: "\xc2\xaa\xc0\xba\xb4\xf3\xb1\xe2\xb8\xd3\xb8\xae",
			identifiedDescriptionName: [
				"A short lock of braided hair.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1095: {
			unidentifiedDisplayName: "Needle of Alarm",
			unidentifiedResourceName: "\xbd\xc3\xb0\xe8\xb9\xd9\xb4\xc3",
			unidentifiedDescriptionName: [
				"A set of hands taken from the face of a clock.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Needle of Alarm",
			identifiedResourceName: "\xbd\xc3\xb0\xe8\xb9\xd9\xb4\xc3",
			identifiedDescriptionName: [
				"A set of hands taken from the face of a clock.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1096: {
			unidentifiedDisplayName: "Round Shell",
			unidentifiedResourceName: "\xb5\xd5\xb1\xd9\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A round shell that looks like it has been rolled up.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Round Shell",
			identifiedResourceName: "\xb5\xd5\xb1\xd9\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A round shell that looks like it has been rolled up.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1097: {
			unidentifiedDisplayName: "Worn Out Page",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"A worn, tattered page torn from an old book.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Worn Out Page",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"A worn, tattered page torn from an old book.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1098: {
			unidentifiedDisplayName: "Manacles",
			unidentifiedResourceName: "\xbc\xf6\xb0\xa9",
			unidentifiedDescriptionName: [
				"Wrist restraints that are usually used on prisoners.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Manacles",
			identifiedResourceName: "\xbc\xf6\xb0\xa9",
			identifiedDescriptionName: [
				"Wrist restraints that are usually used on prisoners.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1099: {
			unidentifiedDisplayName: "Worn-out Prison Uniform",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc1\xcb\xbc\xf6\xba\xb9",
			unidentifiedDescriptionName: [
				"An old, used prison uniform.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Worn-out Prison Uniform",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc1\xcb\xbc\xf6\xba\xb9",
			identifiedDescriptionName: [
				"An old, used prison uniform.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1101: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sword",
			identifiedResourceName: "\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A basic one-handed sword.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 25^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 2
		},

		1102: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sword",
			identifiedResourceName: "\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A basic one-handed sword.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 25^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 4,
			ClassNum: 2
		},

		1103: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sword",
			identifiedResourceName: "\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A basic one-handed sword.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 25^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1104: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Falchion",
			identifiedResourceName: "\xc6\xfa\xc3\xc5",
			identifiedDescriptionName: [
				"An one-handed sword with a rounded blade.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 39^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 2
		},

		1105: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Falchion",
			identifiedResourceName: "\xc6\xfa\xc3\xc5",
			identifiedDescriptionName: [
				"An one-handed sword with a rounded blade.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 39^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 4,
			ClassNum: 2
		},

		1106: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Falchion",
			identifiedResourceName: "\xc6\xfa\xc3\xc5",
			identifiedDescriptionName: [
				"An one-handed sword with a rounded blade.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 39^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1107: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blade",
			identifiedResourceName: "\xba\xed\xb7\xb9\xc0\xcc\xb5\xe5",
			identifiedDescriptionName: [
				"An one-handed sword with a thick, flat blade.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 53^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 2
		},

		1108: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blade",
			identifiedResourceName: "\xba\xed\xb7\xb9\xc0\xcc\xb5\xe5",
			identifiedDescriptionName: [
				"An one-handed sword with a thick, flat blade.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 53^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 4,
			ClassNum: 2
		},

		1109: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blade",
			identifiedResourceName: "\xba\xed\xb7\xb9\xc0\xcc\xb5\xe5",
			identifiedDescriptionName: [
				"An one-handed sword with a thick, flat blade.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 53^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1110: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rapier",
			identifiedResourceName: "\xb7\xb9\xc0\xcc\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"An one-handed sword with an elegant blade and crossguard.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 2,
			ClassNum: 2
		},

		1111: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rapier",
			identifiedResourceName: "\xb7\xb9\xc0\xcc\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"An one-handed sword with an elegant blade and crossguard.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 2
		},

		1112: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rapier",
			identifiedResourceName: "\xb7\xb9\xc0\xcc\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"An one-handed sword with an elegant blade and crossguard.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1113: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scimiter",
			identifiedResourceName: "\xbd\xc3\xb9\xcc\xc5\xcd",
			identifiedDescriptionName: [
				"A strong, swift one-handed sword with a curved blade.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 85^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 2,
			ClassNum: 2
		},

		1114: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scimiter",
			identifiedResourceName: "\xbd\xc3\xb9\xcc\xc5\xcd",
			identifiedDescriptionName: [
				"A strong, swift one-handed sword with a curved blade.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 85^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 2
		},

		1115: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scimiter",
			identifiedResourceName: "\xbd\xc3\xb9\xcc\xc5\xcd",
			identifiedDescriptionName: [
				"A strong, swift one-handed sword with a curved blade.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 85^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 2
		},

		1116: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katana",
			identifiedResourceName: "\xc4\xab\xc5\xb8\xb3\xaa",
			identifiedDescriptionName: [
				"A straight bladed sword that the Japanese samurai depended on during battle.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 3,
			ClassNum: 3
		},

		1117: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katana",
			identifiedResourceName: "\xc4\xab\xc5\xb8\xb3\xaa",
			identifiedDescriptionName: [
				"A straight bladed sword that the Japanese samurai depended on during battle.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 4,
			ClassNum: 3
		},

		1118: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katana",
			identifiedResourceName: "\xc4\xab\xc5\xb8\xb3\xaa",
			identifiedDescriptionName: [
				"A straight bladed sword that the Japanese samurai depended on during battle.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1119: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tsurugi",
			identifiedResourceName: "\xc3\xf7\xb7\xe7\xb1\xe2",
			identifiedDescriptionName: [
				"One of the most powerful one-handed swords, the Tsurugi was favored by the Japanese samurai.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		1120: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tsurugi",
			identifiedResourceName: "\xc3\xf7\xb7\xe7\xb1\xe2",
			identifiedDescriptionName: [
				"One of the most powerful one-handed swords, the Tsurugi was favored by the Japanese samurai.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 2,
			ClassNum: 2
		},

		1121: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tsurugi",
			identifiedResourceName: "\xc3\xf7\xb7\xe7\xb1\xe2",
			identifiedDescriptionName: [
				"One of the most powerful one-handed swords, the Tsurugi was favored by the Japanese samurai.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1122: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring Pommel Saber",
			identifiedResourceName: "\xc8\xaf\xb5\xce\xc5\xc2\xb5\xb5",
			identifiedDescriptionName: [
				"An one-handed sword with an elaborately designed hilt.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 2,
			ClassNum: 2
		},

		1123: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Haedonggum",
			identifiedResourceName: "\xc7\xd8\xb5\xbf\xb0\xcb",
			identifiedDescriptionName: [
				"An one-handed, ancient Korean sword that is said to have the mysterious power to control minds.",
				"INT + 3",
				"Class :^777777 Sword^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		1124: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orcish Sword",
			identifiedResourceName: "\xbf\xc0\xc5\xb0\xbd\xac\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"Crafted by Orcish smiths and used by Orc Warriors, this one-handed sword is symbolic to the Orc tribe.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Sword^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 5^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1125: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring Pommel Saber",
			identifiedResourceName: "\xc8\xaf\xb5\xce\xc5\xc2\xb5\xb5",
			identifiedDescriptionName: [
				"An one-handed sword with an elaborately designed hilt.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 2
		},

		1126: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Saber",
			identifiedResourceName: "\xbc\xbc\xc0\xcc\xb9\xf6",
			identifiedDescriptionName: [
				"A heavy one-handed cavalry sword with a slightly curved blade.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 115^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 2,
			ClassNum: 2
		},

		1127: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Saber",
			identifiedResourceName: "\xbc\xbc\xc0\xcc\xb9\xf6",
			identifiedDescriptionName: [
				"A heavy one-handed cavalry sword with a slightly curved blade.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 115^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 2
		},

		1128: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Haedonggum",
			identifiedResourceName: "\xc7\xd8\xb5\xbf\xb0\xcb",
			identifiedDescriptionName: [
				"An one-handed, ancient Korean sword that is said to have the mysterious power to control minds.",
				"INT + 3",
				"Class :^777777 Sword^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 2,
			ClassNum: 2
		},

		1129: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flamberge",
			identifiedResourceName: "\xc7\xc1\xb6\xf7\xba\xa3\xb8\xa3\xb1\xd7",
			identifiedDescriptionName: [
				"A powerful one-handed sword with a decoratively wavy, flame-like blade.",
				"It has great power.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Knight, Crusader^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1130: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Nagan",
			identifiedResourceName: "\xb3\xd7\xc0\xcc\xb0\xc7",
			identifiedDescriptionName: [
				"An one-handed sword topped with several extra edges for making wounds deeper and more unsightly.",
				"Increases damage against DemiHuman monster by 5%",
				"Enables use of ^008800Level 5 Double Attack^000000.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1131: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ice Falchion",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbd\xba\xc6\xc8\xbd\xc3\xbf\xc2",
			identifiedDescriptionName: [
				"An one-handed, formal dress sword imbued with the ^0000FFWater^000000 Property.",
				"Enables use of ^008800Level 3 Cold Bolt^000000.",
				"Add a 10% chance of auto casting ^008800Level 3 Cold Bolt^000000 on the enemy when attacking.",
				"^880000Freeze^000000 enemies by 5% chance when hit.",
				"^880000Freeze^000000 its owner by 1% chance when used.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 60^000000",
				"Property :^0000FF Water^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1132: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Edge",
			identifiedResourceName: "\xbf\xa7\xc1\xf6",
			identifiedDescriptionName: [
				"An one-handed sword with an extremely sharp blade that can cause the ^880000Coma^000000 effect by low chance.",
				"Places ^880000Curse^000000 effect on its target by a 3% chance.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 115^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1133: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fireblend",
			identifiedResourceName: "\xc8\xad\xc0\xcc\xbe\xee\xba\xea\xb7\xa3\xb5\xe5",
			identifiedDescriptionName: [
				"An one-handed, formal dress sword imbued with the ^FF0000Fire^000000 Property.",
				"Enables use of ^008800Level 3 Fire Bolt^000000.",
				"Add a 10% chance of auto casting ^008800Level 3 Fire Bolt^000000 on the enemy when attacking.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 50^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1134: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Caesar's Sword",
			identifiedResourceName: "\xbd\xc3\xc0\xfa\xc1\xee\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"An one-handed sword which looks just like a pair of scissors.",
				"Increase damage inflicted on Plant monster by 25%.",
				"Pierces Defense of Plant monster.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1135: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cutlus",
			identifiedResourceName: "\xc4\xbf\xc6\xb2\xb7\xaf\xbd\xba",
			identifiedDescriptionName: [
				"An one-handed sword popularized by its use by sea adventurers.",
				"Enables use of ^008800Level 5 Bash^000000.",
				"STR + 2",
				"DEF + 1",
				"Class :^777777 Sword^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1136: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Solar Sword",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xb0\xcb",
			identifiedDescriptionName: [
				"An one-handed sword adorned with an engraving of the sun, symbolizing battle spirit and vigor.",
				"Regains 1% of the damage inflicted on its target as HP with each attack.",
				"Drains 15 SP from its owner every 10 seconds.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 85^000000",
				"Weight :^777777 120^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1137: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Excalibur",
			identifiedResourceName: "\xbf\xa2\xbd\xba\xc4\xae\xb8\xae\xb9\xf6",
			identifiedDescriptionName: [
				"The one-handed sword of Arthurian legend, it supposedly selects its owner by its own will to wield its holy powers.",
				"INT + 5",
				"LUK + 10",
				"DEX - 1",
				"Class :^777777 Sword^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 120^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1138: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mysteltainn",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xc6\xbf\xc5\xd7\xc0\xce",
			identifiedDescriptionName: [
				"An one-handed sword similar to the legendary twig which was rumored to have murdered Baldur, the God of Light.",
				"Increase damage inflicted on ^777777Ghost^000000 Property by 15%.",
				"Causes ^880000Stone Curse^000000 effect to enemies by 0.1% chance.",
				"DEX + 3",
				"Class :^777777 Sword^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 100^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1139: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tirfing",
			identifiedResourceName: "\xc5\xd7\xc0\xcf\xc7\xce",
			identifiedDescriptionName: [
				"An one-handed sword said to bring a horrific fate to whoever wields it.",
				"Drains 35 HP from its owner every 10 seconds.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 100^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1140: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Byeollungum",
			identifiedResourceName: "\xba\xb0\xbf\xee\xb0\xcb",
			identifiedDescriptionName: [
				"A giant one-handed sword used by ancient Korean war generals.",
				"Increase damage inflicted on Boss monster by 5%.",
				"Increase damage received from normal monster by 10%.",
				"All Stats + 2",
				"Class :^777777 Sword^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1141: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Immaterial Sword",
			identifiedResourceName: "\xb9\xab\xc7\xfc\xb0\xcb",
			identifiedDescriptionName: [
				"An one-handed, formless sword imbued with the ^777777Ghost^000000 Property that can derange the enemy's mind.",
				"Drains 30% of target's SP by a low chance.",
				"Drain 1 SP from its owner on each attack.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Sword^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 90^000000",
				"Property :^777777 Ghost^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1142: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jeweled Sword",
			identifiedResourceName: "\xc1\xea\xbe\xf3\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A sword that has a beautiful, transparent blade and a hilt adorned with a princely jewel.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 104^000000",
				"Weight :^777777 220^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 68^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1143: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gaia Sword",
			identifiedResourceName: "\xb0\xa1\xc0\xcc\xbe\xc6\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"An enchanted sword that draws ore out from fallen monsters.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 74^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1144: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sashimi",
			identifiedResourceName: "\xbb\xe7\xbd\xc3\xb9\xcc",
			identifiedDescriptionName: [
				"An extremely sharp, thin bladed sword that is very efficient when slicing fish to make Japanese cuisine.",
				"Increases Sushi drop chance when killing Fish monsters by 40%.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 75^000000",
				"Weight :^777777 140^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1145: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Holy Avenger",
			identifiedResourceName: "\xc8\xa6\xb8\xae\xbe\xee\xba\xa5\xc1\xae",
			identifiedDescriptionName: [
				"A sword that symbolizes the Lord's holy retribution.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 125^000000",
				"Weight :^777777 135^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Crusader^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		1146: {
			unidentifiedDisplayName: "One-handed Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Town Sword",
			identifiedResourceName: "\xc5\xb8\xbf\xee\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A common, humbly made sword that is intended for the use of those without any special sword expertise.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		1147: {
			unidentifiedDisplayName: "One-handed Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Town Sword",
			identifiedResourceName: "\xc5\xb8\xbf\xee\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A common, humbly made sword that is intended for the use of those without any special sword expertise.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 2,
			ClassNum: 2
		},

		1148: {
			unidentifiedDisplayName: "One-handed Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Star Dust Blade",
			identifiedResourceName: "\xbd\xba\xc5\xb8\xba\xed\xb7\xb9\xc0\xcc\xb5\xe5",
			identifiedDescriptionName: [
				"A special sword whose blade is made from a fallen meteorite.",
				"During the night, the blade part is said to shine brightly like a star.",
				"Causes ^880000Stun^000000 effect to enemies by 5% chance.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Sword^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		1149: {
			unidentifiedDisplayName: "One-handed Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flamberge",
			identifiedResourceName: "\xc7\xc1\xb6\xf7\xba\xa3\xb8\xa3\xb1\xd7",
			identifiedDescriptionName: [
				"A powerful one-handed sword with a decoratively wavy, flame-like blade.",
				"It has great power.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Knight, Crusader^000000",
			],
			slotCount: 2,
			ClassNum: 2
		},

		1151: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Slayer",
			identifiedResourceName: "\xbd\xbd\xb7\xb9\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A fearsome sword that has slain many a warriors in battle.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 130^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 3
		},

		1152: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Slayer",
			identifiedResourceName: "\xbd\xbd\xb7\xb9\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A fearsome sword that has slain many a warriors in battle.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 130^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 3,
			ClassNum: 3
		},

		1153: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Slayer",
			identifiedResourceName: "\xbd\xbd\xb7\xb9\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A fearsome sword that has slain many a warriors in battle.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 130^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1154: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bastard Sword",
			identifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A straight bladed sword that can be brutally swung just like a baseball bat.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 115^000000",
				"Weight :^777777 160^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 3
		},

		1155: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bastard Sword",
			identifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A straight bladed sword that can be brutally swung just like a baseball bat.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 115^000000",
				"Weight :^777777 160^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 3,
			ClassNum: 3
		},

		1156: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bastard Sword",
			identifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A straight bladed sword that can be brutally swung just like a baseball bat.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 115^000000",
				"Weight :^777777 160^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1157: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Two-handed Sword",
			identifiedResourceName: "\xc5\xf5\xc7\xda\xb5\xe5\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A mighty, yet awfully basic, two-handed sword.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 220^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		1158: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Two-handed Sword",
			identifiedResourceName: "\xc5\xf5\xc7\xda\xb5\xe5\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A mighty, yet awfully basic, two-handed sword.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 220^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 3
		},

		1159: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Two-handed Sword",
			identifiedResourceName: "\xc5\xf5\xc7\xda\xb5\xe5\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A mighty, yet awfully basic, two-handed sword.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 220^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1160: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Broad Sword",
			identifiedResourceName: "\xba\xea\xb7\xce\xb5\xe5\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A sword with a wide, double sided blade.",
				"DEF + 5",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 200^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		1161: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Balmung",
			identifiedResourceName: "\xb9\xdf\xb9\xb6",
			identifiedDescriptionName: [
				"Sword wielded by mighty ^333366GOD-POING^000000, the lawless heroine.",
				"INT + 20, LUK + 20",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 250^000000",
				"Weight :^777777 100^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1162: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Broad Sword",
			identifiedResourceName: "\xba\xea\xb7\xce\xb5\xe5\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A sword with a wide, double sided blade.",
				"DEF + 5",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 200^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 3
		},

		1163: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Claymore",
			identifiedResourceName: "\xc5\xa9\xb7\xb9\xc0\xcc\xb8\xf0\xbe\xee",
			identifiedDescriptionName: [
				"Large, double-edged broad sword that was used by the Scottish highlanders.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 180^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Knight, Crusader^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1164: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Muramasa",
			identifiedResourceName: "\xb9\xab\xb6\xf3\xb8\xb6\xbb\xe7",
			identifiedDescriptionName: [
				"An oriental sword named after a legendary Japanese swordsmith.",
				"^880000Curse^000000 its owner by a low chance.",
				"Critical Rate + 30%, Increases Attack Speed by 8%.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 155^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1165: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Masamune",
			identifiedResourceName: "\xb8\xb6\xbb\xe7\xb9\xab\xb3\xd7",
			identifiedDescriptionName: [
				"An oriental sword that is the masterpiece of an ancient Japanese smith.",
				"Decreases all Defense applied on owner by two-third.",
				"Increases Attack Speed by 2%.",
				"Flee Rate + 30, STR - 5",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1166: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dragon Slayer",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xbd\xbd\xb7\xb9\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A giant sword, rumored to be made from a dragon's tooth, that can easily cut through dragon scales.",
				"Increases damage inflicted on Dragon monster by 15%.",
				"Pierces Defense of Dragon monster.",
				"[^000088Dragon Slayer & Dragon's Breath Equip Set^000000]",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 130^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1167: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Schweizersabel",
			identifiedResourceName: "\xbd\xb4\xb9\xd9\xc0\xcc\xc3\xbc\xb8\xa3\xbb\xfe\xba\xa7",
			identifiedDescriptionName: [
				"A two-handed, formal dress sword imbued with the ^009900Wind^000000 Property.",
				"Add a 10% chance of auto casting ^008800Level 3 Lightning Bolt^000000 on the enemy when attacking.",
				"DEF + 1",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 160^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1168: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Zweihander",
			identifiedResourceName: "\xc1\xee\xb9\xd9\xc0\xcc\xc7\xda\xb4\xf5",
			identifiedDescriptionName: [
				"An enormous, two-handed sword.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 220^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1169: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Executioner",
			identifiedResourceName: "\xbe\xd7\xbc\xad\xc5\xa5\xbc\xc5\xb3\xca",
			identifiedDescriptionName: [
				"A gruesome sword used to behead criminals judged with the death penalty.",
				"Pierces Defense of DemiHuman monster.",
				"Increases damage inflicted on DemiHuman monster by 20%, but increases damage received from DemiHuman monster by 10%.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 155^000000",
				"Weight :^777777 220^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1170: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katzbalger",
			identifiedResourceName: "\xc4\xab\xc3\xf7\xb9\xdf\xb0\xd4\xb8\xa3",
			identifiedDescriptionName: [
				"A sword with an unique, \"S\" shaped hilt.",
				"VIT + 5, DEF + 10",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 175^000000",
				"Weight :^777777 200^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1171: {
			unidentifiedDisplayName: "Two-handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Zweihander",
			identifiedResourceName: "\xc1\xee\xb9\xd9\xc0\xcc\xc7\xda\xb4\xf5",
			identifiedDescriptionName: [
				"An enormous, two-handed sword.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 220^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 3
		},

		1172: {
			unidentifiedDisplayName: "Two-handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Claymore",
			identifiedResourceName: "\xc5\xa9\xb7\xb9\xc0\xcc\xb8\xf0\xbe\xee",
			identifiedDescriptionName: [
				"Large, double-edged broad sword that was used by the Scottish highlanders.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 180^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Knight, Crusader^000000",
			],
			slotCount: 2,
			ClassNum: 3
		},

		1173: {
			unidentifiedDisplayName: "Muramasa",
			unidentifiedResourceName: "\xb9\xab\xb6\xf3\xb8\xb6\xbb\xe7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Muramasa",
			identifiedResourceName: "\xb9\xab\xb6\xf3\xb8\xb6\xbb\xe7",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An oriental sword named after a legendary Japanese swordsmith.",
				"Has a low chance of cursing its wielder.",
				"Critical Rate + 30%, Increases Attack Speed by 8%.",
				"Impossible to refine this item.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 204^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1174: {
			unidentifiedDisplayName: "Executioner",
			unidentifiedResourceName: "\xbe\xd7\xbc\xad\xc5\xa5\xbc\xc5\xb3\xca",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Executioner",
			identifiedResourceName: "\xbe\xd7\xbc\xad\xc5\xa5\xbc\xc5\xb3\xca",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A gruesome sword used to behead criminals judged with the death penalty.",
				"Pierces Defense of DemiHuman monster.",
				"Increases damage inflicted on DemiHuman monster by 20%, but increases damage received from DemiHuman monster by 10%.",
				"Impossible to refine this item.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 190^000000",
				"Weight :^777777 0^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1175: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Atlas Weapon",
			identifiedResourceName: "\xbe\xc6\xc6\xae\xb7\xce\xbd\xba\xc0\xc7\xc8\xe4\xb1\xe2",
			identifiedDescriptionName: [
				"A massive sword used by Atroce. It seems to big for ordinary guys.",
				"Critical Rate + 10%",
				"[^008800Base Strength >= 80^000000]",
				"Add a small chance of breaking the enemy's armor when attacking.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 350^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		1176: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Muscle Cutter",
			identifiedResourceName: "\xb1\xd9\xc0\xb0\xc0\xfd\xb4\xdc\xb1\xe2",
			identifiedDescriptionName: [
				"A weapon to incise wild beast's muscles with ease.",
				"Add a 2% chance of auto casting ^008800Level 1 Decrease Agi^000000 on the enemy when attacking.",
				"Add a 1% chance of auto casting ^880000External Bleeding^000000 on the enemy when attacking.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 220^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 3
		},

		1177: {
			unidentifiedDisplayName: "Two-Handed Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Muramash",
			identifiedResourceName: "\xb9\xab\xb6\xf3\xb8\xb6\xbb\xe7",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"Increases damage by 50%.",
				"Impossible to refine this item.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1178: {
			unidentifiedDisplayName: "Two-handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Schweizersabel",
			identifiedResourceName: "\xbd\xb4\xb9\xd9\xc0\xcc\xc3\xbc\xb8\xa3\xbb\xfe\xba\xa7",
			identifiedDescriptionName: [
				"A two-handed, formal dress sword imbued with the ^009900Wind^000000 Property.",
				"Add a 10% chance of auto casting ^008800Level 3 Lightning Bolt^000000 on the enemy when attacking.",
				"DEF + 1",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 160^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 3
		},

		1179: {
			unidentifiedDisplayName: "Two-handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Executioner",
			identifiedResourceName: "\xbe\xd7\xbc\xad\xc5\xa5\xbc\xc5\xb3\xca",
			identifiedDescriptionName: [
				"A gruesome sword used to behead criminals judged with the death penalty.",
				"Pierces Defense of DemiHuman monster.",
				"Increases damage inflicted on DemiHuman monster by 20%, but increases damage received from DemiHuman monster by 10%.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 155^000000",
				"Weight :^777777 220^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		1180: {
			unidentifiedDisplayName: "Two-handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dragon Slayer",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xbd\xbd\xb7\xb9\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A giant sword, rumored to be made from a dragon's tooth, that can easily cut through dragon scales.",
				"Increases damage inflicted on Dragon monster by 15%.",
				"Pierces Defense of Dragon monster.",
				"[^000088Dragon Slayer & Dragon's Breath Equip Set^000000]",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 130^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 3
		},

		1181: {
			unidentifiedDisplayName: "Two-handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tae Goo Lyeon",
			identifiedResourceName: "\xc5\xc2\xb1\xb8\xb7\xc3",
			identifiedDescriptionName: [
				"This is known as the sword of a brave man from the orient. ",
				"Perfect Dodge +10.",
				"If player is Job Level 70 (If player is a Rune Knight job level needs to be 50) has a chance of receiving ATK + 50 for 10 seconds when physically attacked.",
				"If upgrade level is 9 +, skill cast time and after-casting delay decreases by 20%.",
				"Class : ^777777Two-handed Sword^000000",
				"Attack Strength: ^777777250^000000",
				"Weight : ^777777200^000000",
				"Property: ^777777Neutral^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^77777790^000000",
				"Applicable Job : ^777777Transcendent Swordman only^000000",
			],
			slotCount: 2,
			ClassNum: 3
		},

		1182: {
			unidentifiedDisplayName: "Two-handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bloody Eater",
			identifiedResourceName: "\xba\xed\xb7\xaf\xb5\xf0\xc0\xcc\xc5\xcd",
			identifiedDescriptionName: [
				"A magical sword which releases a dismal black aura.",
				"When dealing physical damage, has a low chance of gaining CRI +100 and ATK +50 for 5 seconds.",
				"Recover 100 HP when killing an enemy.",
				"Class : ^777777Two-handed Sword^000000",
				"Attack Strength: ^777777200^000000",
				"Weight : ^777777120^000000",
				"Property: ^777777Ghost^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job : ^777777Transcendent Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 3
		},

		1183: {
			unidentifiedDisplayName: "Brave Assaulter's Katzbalger",
			unidentifiedResourceName: "\xc4\xab\xc3\xf7\xb9\xdf\xb0\xd4\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brave Assaulter's Katzbalger",
			identifiedResourceName: "\xc4\xab\xc3\xf7\xb9\xdf\xb0\xd4\xb8\xa3",
			identifiedDescriptionName: [
				"A Two-handed Sword made to rush at the enemy's position, especially designed for battles against Demihumans.",
				"STR + 2",
				"Increases Physical Attack Strength towards Demihuman monsters by 55%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"Indestructible.",
				"Class : ^777777Two-handed Sword^000000",
				"Attack Strength: ^777777200^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job : ^777777Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1184: {
			unidentifiedDisplayName: "Valorous Assaulter's Katzbalger",
			unidentifiedResourceName: "\xc4\xab\xc3\xf7\xb9\xdf\xb0\xd4\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valorous Assaulter's Katzbalger",
			identifiedResourceName: "\xc4\xab\xc3\xf7\xb9\xdf\xb0\xd4\xb8\xa3",
			identifiedDescriptionName: [
				"A Two-handed Sword made to rush at the enemy's position, especially designed for battles against Demihumans.",
				"CRI + 20",
				"Increases Physical Attack Strength to Demihuman monsters by 55%.",
				"Increases Critical damage by 20%.",
				"Indestructible.",
				"Class : ^777777Two-handed Sword^000000",
				"Attack Strength: ^777777200^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job : ^777777Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1185: {
			unidentifiedDisplayName: "Violet Fear",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Violet Fear",
			identifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb7\xbf\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A huge violet Two-Handed Sword that's made from the Twin Swords of Naght Sieger.",
				"When attacking there is a chance that for 5 seconds you will completely disregard the defense of the opponent.",
				"Has a chance of autocasting ^FF0000Lv. 3 Meteor Storm^000000 and/or ^FF0000Lv. 5 Frost Nova^000000 with each physical attack.",
				"Class : ^777777Two-handed Sword^000000",
				"Attack Strength: ^777777275^000000",
				"Weight : ^777777220^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job : ^777777Transcendent Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 3
		},

		1186: {
			unidentifiedDisplayName: "Death Guidance",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Death Guidance",
			identifiedResourceName: "\xc1\xd7\xc0\xbd\xc0\xc7\xc0\xce\xb5\xb5\xc0\xda",
			identifiedDescriptionName: [
				"All present for the destruction of weapons that exist cursed.",
				"The sword is the curse of his master, and is the owner and make someone unhappy.",
				"STR + 5, AGI + 2",
				"Perfect Dodge + 20",
				"Add small chance to yourself and the enemy will get a random status effect When physically attacking.",
				"When Physically attacking, an area 11 * 11 area will get hit for 100% damage while you regain 100% damage worth of HP.",
				"[^333399Refine Rate 9~10^000000]",
				"Area becomes 15 * 15, and you will do 200% damage to the area while you regaining 200% damage worth of HP.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 200^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 3
		},

		1187: {
			unidentifiedDisplayName: "Glorious Claymore",
			unidentifiedResourceName: "\xc5\xa9\xb7\xb9\xc0\xcc\xb8\xf0\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Claymore",
			identifiedResourceName: "\xc5\xa9\xb7\xb9\xc0\xcc\xb8\xf0\xbe\xee",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 70%.",
				"Adds 25% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Pierces Defense of DemiHuman monster by 5%.",
				"^ff0000[Slaughter]^000000 Lv 2",
				"[^333399Refine Rate 9~10^000000]",
				"Add a chance of auto casting ^008800Level 1 Concentration^000000 when dealing physical damage.",
				"Add a chance of auto casting ^008800Level 1 Aura Blade^000000 when dealing physical damage.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 220^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Swordsman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1188: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Veteran Sword",
			identifiedResourceName: "\xba\xa3\xc5\xd7\xb6\xfb\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A sword that can only be obtained from masterful sword training.",
				"The sword is said to be stronger when wielded by a master swordsman.",
				"If the player has mastered the Bash Skill, Bash Damage +50%.",
				"If the player has mastered the Bowling Bash Skill, Bowling Bash Damage +50%.",
				"STR + 1, DEX + 1",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 180^000000",
				"Weight :^777777 200^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		1189: {
			unidentifiedDisplayName: "Twohanded Sword",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb3\xaa",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Krasnaya",
			identifiedResourceName: "\xc5\xa9\xb6\xf3\xbd\xba\xb3\xaa\xbe\xdf",
			identifiedDescriptionName: [
				"A straight sword formed like a claymore. The grip is adorned in red, the symbol of a high-ranking knight.",
				"[^008800Base Strength >= 95^000000]",
				"ATK + 20",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 380^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 3,
			ClassNum: 3
		},

		1190: {
			unidentifiedDisplayName: "Claymore",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Claymore",
			identifiedResourceName: "\xc5\xa9\xb7\xb9\xc0\xcc\xb8\xf0\xbe\xee",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"Large, double-edged broad sword that was used by the Scottish highlanders.",
				"Increases damage against small, medium, large size monsters by 40%.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 220^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Knight, Crusader^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1191: {
			unidentifiedDisplayName: "Alca Bringer",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Alca Bringer",
			identifiedResourceName: "\xbe\xcb\xc4\xab\xba\xea\xb8\xb5\xb0\xc5",
			identifiedDescriptionName: [
				"A wide bladed two hand sword that shines with red light.",
				"Every 2 refine on the weapon increases ASPD by 1.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 280^000000",
				"Weight :^777777 340^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 3rd Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1192: {
			unidentifiedDisplayName: "P.Slayer¥°",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Slayer I",
			identifiedResourceName: "\xba\xea\xb7\xce\xb5\xe5\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A two hand sword created by the Paradise Group for beginner swordman.",
				"Impossible to refine this item.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 162^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 26^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1193: {
			unidentifiedDisplayName: "P.Slayer¥±",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Slayer II",
			identifiedResourceName: "\xc4\xab\xc3\xf7\xb9\xdf\xb0\xd4\xb8\xa3",
			identifiedDescriptionName: [
				"A two hand sword created by the Paradise Group.",
				"The sword is suitable for intermediate users.",
				"Impossible to refine this item.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 185^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1194: {
			unidentifiedDisplayName: "Executioner",
			unidentifiedResourceName: "\xbe\xd7\xbc\xad\xc5\xa5\xbc\xc5\xb3\xca",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Executioner",
			identifiedResourceName: "\xbe\xd7\xbc\xad\xc5\xa5\xbc\xc5\xb3\xca",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A gruesome sword used",
				"to behead criminals judged with the death penalty.",
				"Pierces Defense of",
				"Demihuman monsters.",
				"Increases damage inflicted on Demihuman monsters by 20%, but increases damage received by Demihuman monsters by 10%.",
				"This item cannot be Dropped or Traded.",
				"Class :",
				"^777777Two-handed Sword^000000",
				"Attack: ^777777190^000000",
				"Weight : ^7777770^000000",
				"Property: ^777777Shadow^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1196: {
			unidentifiedDisplayName: "Two-handed Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Two-Handed Chrome Metal Sword",
			identifiedResourceName: "\xc5\xa9\xb7\xd2\xb8\xde\xc5\xbb\xc5\xf5\xc7\xda\xb5\xe5\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A cold blue color sword crafted from the other world mineral Bradium.",
				"Indestructible (except in upgrade attempts).",
				"AGI + 3, MaxHP - 10%.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 280^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 110^000000",
				"Applicable Job :^777777 Trans Swordman Class, Trans Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1197: {
			unidentifiedDisplayName: "Eden Group Slayer III",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Slayer III",
			identifiedResourceName: "\xc5\xa9\xb7\xb9\xc0\xcc\xb8\xf0\xbe\xee",
			identifiedDescriptionName: [
				"A two hand sword created by the Paradise Group.",
				"The sword is suitable for advanced users.",
				"Impossible to refine this item.",
				"Class :^777777 Two-handed Sword^000000",
				"Attack :^777777 200^000000",
				"Weight : ^777777 0^000000",
				"Weapon Level : ^777777 3^000000",
				"Required Level : ^777777 60^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1198: {
			unidentifiedDisplayName: "¾ç¼Õ°Ë",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°¥Ä¡",
			identifiedResourceName: "\xb0\xa5\xc4\xa1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"°¥Ä¡°ú ¹Ù´å¹°°í±â. ±æ´Ù¶õ Ä®¸ð¾çÀÌ¾î¼­ µµ¾î·Î ºÒ¸®±âµµ Çß´Ù. ¾ÆÁÖ µüµüÇÏ°Ô ¾ó·ÁÁ® ÀÖ´Ù.",
				"CRI + 20, Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 50% »ó½Â.",
				"°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ³Ãµ¿À» °Ç´Ù.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 50 Ãß°¡.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		1201: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Knife",
			identifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"A simple knife.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 17^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		1202: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Knife",
			identifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"A simple knife.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 17^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 4,
			ClassNum: 1
		},

		1203: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Knife",
			identifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"A simple knife.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 17^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1204: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cutter",
			identifiedResourceName: "\xc4\xbf\xc5\xcd",
			identifiedDescriptionName: [
				"A knife used for cutting enemies.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		1205: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cutter",
			identifiedResourceName: "\xc4\xbf\xc5\xcd",
			identifiedDescriptionName: [
				"A knife used for cutting enemies.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 4,
			ClassNum: 1
		},

		1206: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cutter",
			identifiedResourceName: "\xc4\xbf\xc5\xcd",
			identifiedDescriptionName: [
				"A knife used for cutting enemies.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1207: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Main Gauche",
			identifiedResourceName: "\xb8\xc1\xb0\xed\xbd\xb4",
			identifiedDescriptionName: [
				"A French dagger that is usually held in the left hand to parry attacks.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 43^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		1208: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Main Gauche",
			identifiedResourceName: "\xb8\xc1\xb0\xed\xbd\xb4",
			identifiedDescriptionName: [
				"A French dagger that is usually held in the left hand to parry attacks.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 43^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 4,
			ClassNum: 1
		},

		1209: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Main Gauche",
			identifiedResourceName: "\xb8\xc1\xb0\xed\xbd\xb4",
			identifiedDescriptionName: [
				"A French dagger that is usually held in the left hand to parry attacks.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 43^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1210: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dirk",
			identifiedResourceName: "\xb4\xf5\xc5\xa9",
			identifiedDescriptionName: [
				"An ancient knife used by highlanders in Scotland.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 59^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		1211: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dirk",
			identifiedResourceName: "\xb4\xf5\xc5\xa9",
			identifiedDescriptionName: [
				"An ancient knife used by highlanders in Scotland.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 59^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		1212: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dirk",
			identifiedResourceName: "\xb4\xf5\xc5\xa9",
			identifiedDescriptionName: [
				"An ancient knife used by highlanders in Scotland.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 59^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1213: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dagger",
			identifiedResourceName: "\xb4\xeb\xb0\xc5",
			identifiedDescriptionName: [
				"Knife used for stabbing.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 73^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		1214: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dagger",
			identifiedResourceName: "\xb4\xeb\xb0\xc5",
			identifiedDescriptionName: [
				"Knife used for stabbing.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 73^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		1215: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dagger",
			identifiedResourceName: "\xb4\xeb\xb0\xc5",
			identifiedDescriptionName: [
				"Knife used for stabbing.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 73^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1216: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Stiletto",
			identifiedResourceName: "\xbd\xba\xc6\xbf\xb7\xb9\xc5\xe4",
			identifiedDescriptionName: [
				"A long, thin blade that is known to be used as a concealed weapon by Assassins.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 87^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		1217: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Stiletto",
			identifiedResourceName: "\xbd\xba\xc6\xbf\xb7\xb9\xc5\xe4",
			identifiedDescriptionName: [
				"A long, thin blade that is known to be used as a concealed weapon by Assassins.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 87^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		1218: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Stiletto",
			identifiedResourceName: "\xbd\xba\xc6\xbf\xb7\xb9\xc5\xe4",
			identifiedDescriptionName: [
				"A long, thin blade that is known to be used as a concealed weapon by Assassins.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 87^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1219: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gladius",
			identifiedResourceName: "\xb1\xd7\xb6\xf3\xb5\xf0\xbf\xec\xbd\xba",
			identifiedDescriptionName: [
				"A strong dagger that is usually crafted by traditional artisans.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		1220: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gladius",
			identifiedResourceName: "\xb1\xd7\xb6\xf3\xb5\xf0\xbf\xec\xbd\xba",
			identifiedDescriptionName: [
				"A strong dagger that is usually crafted by traditional artisans.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		1221: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gladius",
			identifiedResourceName: "\xb1\xd7\xb6\xf3\xb5\xf0\xbf\xec\xbd\xba",
			identifiedDescriptionName: [
				"A strong dagger that is usually crafted by traditional artisans.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1222: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Damascus",
			identifiedResourceName: "\xb4\xd9\xb8\xb6\xbd\xba\xc4\xbf\xbd\xba",
			identifiedDescriptionName: [
				"A lethal knife made of a special metal that can easily cut straight into the heart of an enemy.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 118^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		1223: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fortune Sword",
			identifiedResourceName: "\xc6\xf7\xc3\xf3\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A knife with a gold handle that is said to bring great fortune to whoever holds it.",
				"Perfect Dodge + 20",
				"LUK + 5",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1224: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Swordbreaker",
			identifiedResourceName: "\xbc\xd2\xb5\xe5\xba\xea\xb7\xb9\xc0\xcc\xc4\xbf",
			identifiedDescriptionName: [
				"A powerful dagger that is specially constructed to destroy the enemy's weapon by a low chance.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1225: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mailbreaker",
			identifiedResourceName: "\xb8\xde\xc0\xcf\xba\xea\xb7\xb9\xc0\xcc\xc4\xbf",
			identifiedDescriptionName: [
				"An incredibly sharp dagger built to puncture and destroy an enemy's armor by a low chance.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1226: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Damascus",
			identifiedResourceName: "\xb4\xd9\xb8\xb6\xbd\xba\xc4\xbf\xbd\xba",
			identifiedDescriptionName: [
				"A lethal knife made of a special metal that can easily cut straight into the heart of an enemy.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 118^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		1227: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Weeder Knife",
			identifiedResourceName: "\xc0\xa7\xb4\xf5\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"A blade created to cut down stubborn weeds.",
				"Add a 15% resistance against Plant monster.",
				"Increases damage inflicted on Plant monster by 15%.",
				"Pierces Defense of Plant monster.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1228: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Combat Knife",
			identifiedResourceName: "\xc4\xc4\xb9\xee\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"Military combat knife made for battles against DemiHuman monster.",
				"Add a 10% resistance against DemiHuman monster, but increases damage received from Demon monster by 10%.",
				"Pierces Defense of DemiHuman monster.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1229: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kitchen Knife",
			identifiedResourceName: "\xbd\xc4\xc4\xae",
			identifiedDescriptionName: [
				"A domestic knife used for cooking by housewives.",
				"Critical Rate + 30%",
				"Increases damage against Demihuman monsters by 3%.",
				"Add a 50% additional chance of dropping Meat each time a Brute monster is killed.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 75^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1230: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ice pick",
			identifiedResourceName: "\xbc\xdb\xb0\xf7",
			identifiedDescriptionName: [
				"An ice pick that's usually used for piercing solid ice or wood.",
				"Deals more damage depending on the target's Defense.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1231: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bazerald",
			identifiedResourceName: "\xb9\xd9\xc1\xa6\xb6\xf6\xb5\xe5",
			identifiedDescriptionName: [
				"A formal dress dagger, engraved with luxurious emblems, that's usually worn on special occasions.",
				"INT + 5",
				"MATK + 105",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 50^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1232: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Assassin Dagger",
			identifiedResourceName: "\xbe\xee\xbb\xf5\xbd\xc5\xb4\xeb\xb0\xc5",
			identifiedDescriptionName: [
				"A dagger commonly used by Assassins.",
				"Slightly increases Attack Speed.",
				"Maximum SP + 15%",
				"Maximum HP + 20%",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 60^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1233: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Exorciser",
			identifiedResourceName: "\xbe\xd7\xbc\xad\xbb\xe7\xc0\xcc\xc1\xee",
			identifiedDescriptionName: [
				"A ceremonial dagger that possesses the power to defeat evil and is used in performing exorcisms.",
				"Pierces Defense of Demon monster.",
				"Add a 5% resistance against Demon monster.",
				"Increases damage from DemiHuman monster by 10%.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1234: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Moonlight Dagger",
			identifiedResourceName: "\xbf\xf9\xb1\xa4\xb0\xcb",
			identifiedDescriptionName: [
				"A dagger imbued with lunar spirit and the power to drain an enemy's soul.",
				"Regain 3 SP with each attack.",
				"Maximum SP + 10%",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1235: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Azoth",
			identifiedResourceName: "\xbe\xc6\xc1\xb6\xbd\xba",
			identifiedDescriptionName: [
				"A dagger that symbolizes the potential of Alchemy.",
				"Add a low chance of transforming all monsters, aside from Boss monsters, with each attack.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Alchemist^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1236: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sucsamad",
			identifiedResourceName: "\xbc\xf6\xc5\xa9\xbb\xe7\xb8\xb6\xb5\xe5",
			identifiedDescriptionName: [
				"A specialty dagger made by a small, mysterious, desert dwelling tribe.",
				"Increases damage inflicted on ^996600Earth^000000 Property by 10%.",
				"Increases damage inflicted on ^009900Wind^000000 Property by 10%.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1237: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Grimtooth",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc5\xf5\xbd\xba",
			identifiedDescriptionName: [
				"A cursed dagger forged out of monster tooth that is known to cause insanity to whoever may wield it.",
				"Decreases all defenses applied to its owner by half.",
				"Flee Rate + 10",
				"Perfect Dodge + 5",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 180^000000",
				"Weight :^777777 80^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1238: {
			unidentifiedDisplayName: "Knife",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Zeny Knife",
			identifiedResourceName: "\xc1\xa6\xb4\xcf\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"A dagger that steals Zeny from monsters upon their defeat.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 64^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1239: {
			unidentifiedDisplayName: "Knife",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poison Knife",
			identifiedResourceName: "\xc6\xf7\xc0\xcc\xc1\xf0\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"A dreadful dagger whose blade has been soaked in toxin.",
				"Enable a high chance of inflicting the ^880000Poison^000000 status with each attack.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 64^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1240: {
			unidentifiedDisplayName: "Knife",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Princess Knife",
			identifiedResourceName: "\xc7\xc1\xb8\xb0\xbc\xbc\xbd\xba\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"A beautiful dagger that is rumored to have been used by an ancient princess to protect herself.",
				"All Stats + 1",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 84^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1241: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cursed Dagger",
			identifiedResourceName: "\xc0\xfa\xc1\xd6\xb9\xde\xc0\xba\xb4\xdc\xb0\xcb",
			identifiedDescriptionName: [
				"A dagger possessed by evil and given power by hatred and malice.",
				"Curse an enemy by a low chance.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 55^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 85^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1242: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dagger of Counter",
			identifiedResourceName: "\xc4\xab\xbf\xee\xc5\xcd\xb4\xdc\xb0\xcb",
			identifiedDescriptionName: [
				"A dagger that has a high chance to do critical damage to a target.",
				"Increases Critical Rate.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 55^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1243: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Main-Gauche",
			identifiedResourceName: "\xb8\xc1\xb0\xed\xbd\xb4",
			identifiedDescriptionName: [
				"An exclusive Main Gauche for new adventurers.",
				"Impossible to refine this item.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 45^000000",
				"Weight :^777777 0.1^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1244: {
			unidentifiedDisplayName: "Knife",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Holy Dagger",
			identifiedResourceName: "\xc8\xa6\xb8\xae\xb4\xeb\xb0\xc5",
			identifiedDescriptionName: [
				"A dagger blessed with holy water that can be very effective in combat against evil forces.",
				"DEX + 1",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 80^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Thief Class, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1245: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cinquedea",
			identifiedResourceName: "\xc4\xa3\xc4\xf9\xb5\xf0\xbe\xc6",
			identifiedDescriptionName: [
				"A wide bladed dagger that was crafted by Italian artisans.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 70^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		1246: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cinquedea",
			identifiedResourceName: "\xc4\xa3\xc4\xf9\xb5\xf0\xbe\xc6",
			identifiedDescriptionName: [
				"A wide bladed dagger that was crafted by Italian artisans.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 70^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		1247: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kindle Dagger",
			identifiedResourceName: "\xba\xd2\xbd\xee\xbd\xc3\xb0\xb3\xb4\xdc\xb0\xcb",
			identifiedDescriptionName: [
				"This dagger has been used many times as a poker, and ended up being enchanted with a ^FF0000Fire^000000 Property.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 39^000000",
				"Weight :^777777 60^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1248: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Obsidian Dagger",
			identifiedResourceName: "\xc8\xe6\xbf\xe4\xbc\xae\xb4\xdc\xb0\xcb",
			identifiedDescriptionName: [
				"A dagger made from a mysterious black stone called \"Obsidian\". Although the blade is made from stone, it cuts well.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 39^000000",
				"Weight :^777777 60^000000",
				"Property :^996600 Earth^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1249: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fisherman's Dagger",
			identifiedResourceName: "\xbe\xee\xba\xce\xc0\xc7\xb4\xdc\xb0\xcb",
			identifiedDescriptionName: [
				"A dagger used by fishermen to catch shellfish and oysters from the ocean.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 39^000000",
				"Weight :^777777 60^000000",
				"Property :^0000FF Water^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		1250: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jur",
			identifiedResourceName: "\xc1\xea\xb8\xa3",
			identifiedDescriptionName: [
				"A set of Arabian style blades that are worn on the back of both hands or on the forearms.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 125^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 2,
			ClassNum: 16
		},

		1251: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jur",
			identifiedResourceName: "\xc1\xea\xb8\xa3",
			identifiedDescriptionName: [
				"A set of Arabian style blades that are worn on the back of both hands or on the forearms.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 125^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 3,
			ClassNum: 16
		},

		1252: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katar",
			identifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"A set of daggers in which the blades are positioned above the knuckles for use in close range combat.",
				"DEX + 1",
				"Class :^777777 Katar^000000",
				"Attack :^777777 148^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 1,
			ClassNum: 16
		},

		1253: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katar",
			identifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"A set of daggers in which the blades are positioned above the knuckles for use in close range combat.",
				"DEX + 1",
				"Class :^777777 Katar^000000",
				"Attack :^777777 148^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 2,
			ClassNum: 16
		},

		1254: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jamadhar",
			identifiedResourceName: "\xc0\xda\xb8\xb6\xb4\xd9\xb8\xa3",
			identifiedDescriptionName: [
				"A specially made katar with two blades that move like scissors to reveal a third blade from within.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 165^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1255: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jamadhar",
			identifiedResourceName: "\xc0\xda\xb8\xb6\xb4\xd9\xb8\xa3",
			identifiedDescriptionName: [
				"A specially made katar with two blades that move like scissors to reveal a third blade from within.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 165^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 1,
			ClassNum: 16
		},

		1256: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katar of Frozen Icicle",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"A katar fashioned from a cold, sharp icicle.",
				"Inflict the ^880000Freeze^000000 status on enemies by a low chance.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 120^000000",
				"Property :^0000FF Water^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1257: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katar of Quaking",
			identifiedResourceName: "\xb6\xa5\xc0\xc7\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"A katar sculpted from earth.",
				"Inflict the ^880000Blind^000000 status on enemies by a low chance.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 120^000000",
				"Property :^996600 Earth^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1258: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katar of  Raging Blaze",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"A katar molded from an inferno.",
				"Inflict the ^880000Silence^000000 status on enemies by a low chance.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 120^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1259: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katar of Piercing Wind",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"A katar forged with the power of stormy winds.",
				"Inflict the ^880000Sleep^000000 status on enemies by a low chance.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 120^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1260: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sharpened Legbone of Ghoul",
			identifiedResourceName: "\xbe\xf0\xb5\xa5\xb5\xe5\xc0\xc7\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"A katar crafted from a ghoul's femur that still radiates a dark, deathly aura.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 170^000000",
				"Property :^777777 Undead^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1261: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Infiltrator",
			identifiedResourceName: "\xb5\xee\xb5\xda\xb8\xa6\xba\xa3\xb4\xc2\xc0\xda",
			identifiedDescriptionName: [
				"A lethal katar that has been perfectly designed to carry out quick assassinations.",
				"Increases damage inflicted on DemiHuman monster by 50%.",
				"DEF + 3",
				"Flee Rate + 5",
				"Perfect Dodge + 2",
				"Class :^777777 Katar^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 150^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1262: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Loki's Nail",
			identifiedResourceName: "\xb7\xce\xc5\xb0\xc0\xc7\xbc\xd5\xc5\xe9",
			identifiedDescriptionName: [
				"A double bladed katar. When you get cut with this weapon, the wound can not be mended, causing you to slowly die.",
				"^880000External Bleeding^000000 an enemy when you attack (Success Chance 3%).",
				"Class :^777777 Katar^000000",
				"Attack :^777777 115^000000",
				"Weight :^777777 120^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1263: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Unholy Touch",
			identifiedResourceName: "\xbe\xf0\xc8\xa6\xb8\xae\xc5\xcd\xc4\xa1",
			identifiedDescriptionName: [
				"A katar made by a leech, by combining many of the anger and curse left by the dead.",
				"^880000Curse^000000 an enemy when you attack (Success Chance 2%).",
				"Critical Rate - 1",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Katar^000000",
				"Attack :^777777 151^000000",
				"Weight :^777777 125^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1264: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Specialty Jur",
			identifiedResourceName: "\xb9\xd9\xb8\xae\xbe\xee\xbd\xba\xc1\xea\xb8\xa3",
			identifiedDescriptionName: [
				"Although this katar has an increased number of slots, it is hard to handle and is known to cause injury to those who wield it.",
				"^880000External Bleeding^000000 yourself when attacking (Success Chance 0.1%).",
				"Class :^777777 Katar^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 4,
			ClassNum: 16
		},

		1265: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bloody Roar",
			identifiedResourceName: "\xba\xed\xb7\xaf\xb5\xf0\xb7\xce\xbe\xee",
			identifiedDescriptionName: [
				"This katar, known for being effective against humans, is rumored to give a bestial roar when drenched in blood, hence its name.",
				"Pierces Defense of DemiHuman monster.",
				"Flee Rate - 160, Perfect Dodge - 160",
				"Reduces natural HP and SP recovery by 100%.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1266: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Infiltrator",
			identifiedResourceName: "\xb5\xee\xb5\xda\xb8\xa6\xba\xa3\xb4\xc2\xc0\xda",
			identifiedDescriptionName: [
				"A lethal katar that has been perfectly designed to carry out quick assassinations.",
				"Increases damage inflicted on DemiHuman monster by 50%.",
				"DEF + 3",
				"Flee Rate + 5",
				"Perfect Dodge + 2",
				"Class :^777777 Katar^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 150^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 1,
			ClassNum: 16
		},

		1267: {
			unidentifiedDisplayName: "Infiltrator",
			unidentifiedResourceName: "\xb5\xee\xb5\xda\xb8\xa6\xba\xa3\xb4\xc2\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Infiltrator",
			identifiedResourceName: "\xb5\xee\xb5\xda\xb8\xa6\xba\xa3\xb4\xc2\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A lethal katar that has been perfectly designed to carry out quick assassinations.",
				"Increases damage inflicted on DemiHuman monster by 70%.",
				"DEF + 3",
				"Flee Rate + 5",
				"Perfect Dodge + 2, Increases Attack Speed by 5%.",
				"Impossible to refine this item.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 189^000000",
				"Weight :^777777 0^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1268: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wild Beast Claw",
			identifiedResourceName: "\xbe\xdf\xbc\xf6\xc0\xc7\xb9\xdf\xc5\xe9",
			identifiedDescriptionName: [
				"A katar made of a huge beast. Striked enemy can not recover from the made damage.",
				"When the weapon's special ability activates by small chance, the target will receive a very dangerous wound, causing effects of ^008800Heal, Sanctuary, and Potion Pitcher^000000 effectiveness by 20%.",
				"Some recovery items will have their effective reduced by 20%.",
				"[^333399Refine Rate 9~10^000000]",
				"Then the recovery effects will have its effectiveness reduced by 40% instead of 20%.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 145^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Assassin Cross^000000",
			],
			slotCount: 1,
			ClassNum: 16
		},

		1269: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Inverse Scale",
			identifiedResourceName: "\xc0\xce\xb9\xf6\xbd\xba\xbd\xba\xc4\xc9\xbe\xee",
			identifiedDescriptionName: [
				"Katar made of dragon's scale that is very effective in battle.",
				"Every attack you do has a chance of causing all enemies within 5 x 5 cell around you (PBAoE) to receive a random status ailment.",
				"[^333399Refine Rate 9~10^000000]",
				"The affected area of Dragon Fear increases to 11 x 11 around the caster.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 150^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Assassin Cross^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1270: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Drill Katar",
			identifiedResourceName: "\xb5\xe5\xb8\xb1\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"Katar with a rotating drill instead of blade. It seems as it would break any armor in its way.",
				"Small chance to force de-equip everything the target has.",
				"HIT + 30",
				"Class :^777777 Katar^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 140^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Assassin Cross^000000",
			],
			slotCount: 1,
			ClassNum: 16
		},

		1271: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blood Tears",
			identifiedResourceName: "\xc7\xf7\xb7\xe7",
			identifiedDescriptionName: [
				"A katar that enables long range attack with fearsome power.",
				"Every time you attack, small chance to cause ^880000External Bleeding^000000 status ailment to all enemies within 5 x 5 (PBAoE) cells around you.",
				"[^333399Refine Rate 9~10^000000]",
				"The range is increasing to 11 x 11.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 170^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Assassin Cross^000000",
			],
			slotCount: 2,
			ClassNum: 16
		},

		1272: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scratcher",
			identifiedResourceName: "\xb5\xee\xb5\xda\xb8\xa6\xba\xa3\xb4\xc2\xc0\xda",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"Increases damage by 50%.",
				"Impossible to refine this item.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Assassin Cross^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1273: {
			unidentifiedDisplayName: "Bloody Roar",
			unidentifiedResourceName: "\xba\xed\xb7\xaf\xb5\xf0\xb7\xce\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bloody Roar",
			identifiedResourceName: "\xba\xed\xb7\xaf\xb5\xf0\xb7\xce\xbe\xee",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"This katar, known for being effective against humans, is rumored to give a bestial roar when drenched in blood, hence its name.",
				"Pierces Defense of DemiHuman monster.",
				"Recovery HP +3 each 5 seconds.",
				"Impossible to refine this item.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 148^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1274: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xbe\xf0\xc8\xa6\xb8\xae\xc5\xcd\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Unholy Touch",
			identifiedResourceName: "\xbe\xf0\xc8\xa6\xb8\xae\xc5\xcd\xc4\xa1",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A katar made by a leech, by combining many of the anger and curse left by the dead.",
				"Add a 50% chance of auto casting ^880000Curse^000000 effect on an enemy.",
				"Impossible to refine this item.",
				"Indestructible.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 179^000000",
				"Weight :^777777 0^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1275: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katar of Frozen Icicle",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"A katar fashioned from a cold, sharp icicle.",
				"Inflict the ^880000Freeze^000000 status on enemies by a low chance.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 120^000000",
				"Property :^0000FF Water^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 3,
			ClassNum: 16
		},

		1276: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katar of Quaking",
			identifiedResourceName: "\xb6\xa5\xc0\xc7\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"A katar sculpted from earth.",
				"Inflict the ^880000Blind^000000 status on enemies by a low chance.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 120^000000",
				"Property :^996600 Earth^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 3,
			ClassNum: 16
		},

		1277: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katar of  Raging Blaze",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"A katar molded from an inferno.",
				"Inflict the ^880000Silence^000000 status on enemies by a low chance.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 120^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 3,
			ClassNum: 16
		},

		1278: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katar of Piercing Wind",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"A katar forged with the power of stormy winds.",
				"Inflict the ^880000Sleep^000000 status on enemies by a low chance.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 120^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 3,
			ClassNum: 16
		},

		1279: {
			unidentifiedDisplayName: "Brave Carnage Katar",
			unidentifiedResourceName: "\xc7\xf7\xb7\xe7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brave Carnage Katar",
			identifiedResourceName: "\xc7\xf7\xb7\xe7",
			identifiedDescriptionName: [
				"A particularly modified Katar created for battles against Demihumans. It makes for a battlefield full of blood and terrible crimes if equipped by a Master Assassin.",
				"Str + 1, Dex + 1, Luk + 1",
				"Increases Physical Attack Strength towards Demihuman monsters by 70%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"Indestructible.",
				"Class : ^777777Katar^000000",
				"Attack Strength: ^777777130^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1280: {
			unidentifiedDisplayName: "Valorous Carnage Katar",
			unidentifiedResourceName: "\xc7\xf7\xb7\xe7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valorous Carnage Katar",
			identifiedResourceName: "\xc7\xf7\xb7\xe7",
			identifiedDescriptionName: [
				"A particularly modified Katar created for battles against Demihumans. It can be used for terrible crimes if equipped by a Master Assassin.",
				"Str + 1, Dex + 1, Luk + 1",
				"Increases Physical Attack Strength towards Demihuman monsters by 70%.",
				"Increases Critical damage by 20%.",
				"Increases Attack Speed(delay after attacking reduces by 5%)",
				"Indestructible.",
				"Class : ^777777Katar^000000",
				"Attack Strength: ^777777130^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1281: {
			unidentifiedDisplayName: "Glorious Bloody Roar",
			unidentifiedResourceName: "\xba\xed\xb7\xaf\xb5\xf0\xb7\xce\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Bloody Roar",
			identifiedResourceName: "\xba\xed\xb7\xaf\xb5\xf0\xb7\xce\xbe\xee",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 70%.",
				"Adds 20% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Adds 5% defense bypassing on Demi-human monster.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"When dealing physical damage there's a chance that the weapon will awaken and grant max attack speed for 3 seconds.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1282: {
			unidentifiedDisplayName: "Glorious Jamadhar",
			unidentifiedResourceName: "\xc0\xda\xb8\xb6\xb4\xd9\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Jamadhar",
			identifiedResourceName: "\xc0\xda\xb8\xb6\xb4\xd9\xb8\xa3",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 70%.",
				"Increases critical attack against DemiHuman monster by 20%.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Adds a 5% chance critical damage to DemiHuman monster.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"When dealing physical damage there's a chance that the weapon will awaken and grant max attack speed for 3 seconds.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1283: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xb7\xce\xc5\xb0\xc0\xc7\xbc\xd5\xc5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Katar Of Speed",
			identifiedResourceName: "\xb7\xce\xc5\xb0\xc0\xc7\xbc\xd5\xc5\xe9",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"Katar Of Speed.",
				"Increases 25% damage with Sonic Blow skill.",
				"ASPD + 3%.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 175^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1284: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Krishna",
			identifiedResourceName: "\xc5\xa9\xb8\xae\xbd\xb4\xb3\xaa",
			identifiedDescriptionName: [
				"A katar glimmering with dark light. Appears to require considerable power to wield.",
				"Increases damage when using skill ^008800Grimtooth^000000 by 10%.",
				"When performing a physical melee attack, there is a small chance of casting Sonic Blow level 1, or the highest level the player knows.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Assassin Cross^000000",
			],
			slotCount: 2,
			ClassNum: 16
		},

		1285: {
			unidentifiedDisplayName: "Katar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chakram",
			identifiedResourceName: "\xc2\xf7\xc5\xa9\xb6\xf7",
			identifiedDescriptionName: [
				"An unusually designed katar. Symbolizes the eternal cycle of Karma.",
				"HIT + 10 when Katar Mastery is fully learned.",
				"Increases damage when using skill ^008800Meteor Assault^000000 by 20%.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Assassin Cross^000000",
			],
			slotCount: 2,
			ClassNum: 16
		},

		1286: {
			unidentifiedDisplayName: "Jamadhar",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jamadhar",
			identifiedResourceName: "\xc0\xda\xb8\xb6\xb4\xd9\xb8\xa3",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A specially made katar with two blades that move like scissors to reveal a third blade from within.",
				"Increases damage against small, medium, large size monsters by 40%.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1287: {
			unidentifiedDisplayName: "Durga",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Durga",
			identifiedResourceName: "\xb5\xce\xb8\xa3\xb0\xa1",
			identifiedDescriptionName: [
				"A high speed sharp bladed special designed katar.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 190^000000",
				"Weight :^777777 120^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Guillotine Cross^000000",
			],
			slotCount: 1,
			ClassNum: 16
		},

		1288: {
			unidentifiedDisplayName: "Bloody Spear",
			unidentifiedResourceName: "\xc7\xf7\xb7\xe7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bloody Spear",
			identifiedResourceName: "\xc7\xf7\xb7\xe7",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"...",
				"...",
				"...",
				"Class :^777777 Katar^000000",
				"Attack :^777777 145^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1289: {
			unidentifiedDisplayName: "Eden Group Katar I",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Katar I",
			identifiedResourceName: "\xb7\xce\xc5\xb0\xc0\xc7\xbc\xd5\xc5\xe9",
			identifiedDescriptionName: [
				"...",
				"Impossible to refine this item.",
				"Class :^777777 Katar^000000",
				"Attack :^777777 155^000000",
				"Weight : ^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1290: {
			unidentifiedDisplayName: "Ä«Å¸¸£",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¿¡ÀÌÀüÆ® Ä«Å¸¸£",
			identifiedResourceName: "\xbf\xa1\xc0\xcc\xc0\xfc\xc6\xae\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"¾î¶² ±Þ¹ÚÇÑ »óÈ²¿¡¼­µµ Ç¥ÀûÀ» ³õÄ¡Áö ¾Ê´Â ¾Ï»ìÀÚ°¡ ¾Ö¿ëÇß´Ù´Â Ä«Å¸¸£. ÀÚ½ÅÀÇ ¿î¸¶Àú Ç¥Àû¿¡ ÁýÁßÇÏ´Â °Í¿¡ »ç¿ëµÇ¾ú´Ù°í ÇÑ´Ù.",
				"¼ø¼ö LUK 2 ¸¶´Ù HIT 1 »ó½Â.",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^777777170^000000",
				"¹«°Ô : ^777777120^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777±æ·ÎÆ¾Å©·Î½º^000000",
			],
			slotCount: 1,
			ClassNum: 16
		},

		1291: {
			unidentifiedDisplayName: "Ä«Å¸¸£",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "±æ·ÎÆ¾ Ä«Å¸¸£",
			identifiedResourceName: "\xb1\xe6\xb7\xce\xc6\xbe\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"¸Õ °ú°Å, ¾î´À ±æ·ÎÆ¾ Å©·Î½º°¡ ±æµå ³»ÀÇ ¹è½ÅÀÚ¸¦ Ã³´ÜÇÏ±â À§ÇØ »ç¿ëÇß´Ù°í ¾Ë·ÁÁø Ä«Å¸¸£.",
				"DEX + 2, FLEE - 30.",
				"ÀÎ°£Çü Àû¿¡°Ô µ¥¹ÌÁö 50% Áõ°¡.",
				"Å©·Î½º ÀÓÆÑÆ®ÀÇ µ¥¹ÌÁö 30% Áõ°¡.",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^777777200^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777140^000000",
				"ÀåÂø : ^777777±æ·ÎÆ¾Å©·Î½º^000000",
			],
			slotCount: 1,
			ClassNum: 16
		},

		1292: {
			unidentifiedDisplayName: "Ä«Å¸¸£",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°­È­ Ä«Å¸¸£",
			identifiedResourceName: "\xb0\xad\xc8\xad\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Ä«Å¸¸£.",
				"Á¦·Ãµµ 1´ç ATK + 10 / Å©¸®Æ¼ÄÃ °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^777777100^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¾î¼¼½Å°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 16
		},

		1293: {
			unidentifiedDisplayName: "Ä«Å¸¸£",
			unidentifiedResourceName: "\xc1\xea\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë ÀÚ¸¶´Ù¸£",
			identifiedResourceName: "\xc7\xf7\xb7\xe7",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÀÏ¹Ý ¹°¸® Å¸°Ý ¸íÁß ½Ã ÇÃ·¹ÀÌ¾îÀÇ DEF/MDEFÀ» 5ÃÊ°£ 1·Î °íÁ¤½ÃÅ²´Ù. ½ºÅ³ °ø°Ý¿¡´Â ¿µÇâÀ» ¹ÌÄ¡Áö ¾Ê´Â´Ù.",
				"Á¦·Ãµµ¿¡ µû¶ó °ø°Ý¼Óµµ Áõ°¡.(°ø°Ý ÈÄ µô·¹ÀÌ °¨¼Ò)",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^777777170^000000",
				"¹«°Ô : ^777777120^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777¾î¼¼½Å°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1294: {
			unidentifiedDisplayName: "Ä«Å¸¸£",
			unidentifiedResourceName: "\xc1\xea\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë ½ºÄÉ¾î",
			identifiedResourceName: "\xbe\xdf\xbc\xf6\xc0\xc7\xb9\xdf\xc5\xe9",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÀÌ ¹«±âÀÇ ÀÏ¹Ý °ø°ÝÀº ÇÃ·¹ÀÌ¾îÀÇ HP¿¡´Â ¿µÇâÀ» ÁÖÁö ¾Ê°í, ÇÃ·¹ÀÌ¾îÀÇ SP¸¸ 10%¾¿ ¼Ò¸ê½ÃÅ²´Ù. (½ºÅ³°ø°Ý¿¡´Â ÇØ´ç ¿É¼ÇÀÌ ¹ßµ¿µÇÁö ¾Ê´Â´Ù.)",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^777777120^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777¾î¼¼½Å°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1296: {
			unidentifiedDisplayName: "Ä«Å¸¸£",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¸ÞÅ» Ä«Å¸¸£",
			identifiedResourceName: "\xb8\xde\xc5\xbb\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­Ã¶¿¡ ÇÁ¶óÄÜ°ú ¿¥º£¸£Å¸ÄÜÀ» Ã·°¡ÇÏ¿© ´É·ÂÀ» °­È­½ÃÅ² ±Ý¼ÓÀ¸·Î Á¦ÀÛÇÑ Ä«Å¸¸£",
				"Á¦·Ãµµ 1´ç ATK + 5 / Å©¸®Æ¼ÄÃ °ø°Ý·Â 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 20ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"(Áõ°¡·®Àº BaseLv 120±îÁö Àû¿ë)",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^77777775^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¾î¼¼½Å°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 16
		},

		1299: {
			unidentifiedDisplayName: "Ä«Å¸¸£",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º Ä«Å¸¸£",
			identifiedResourceName: "\xc4\xab\xc5\xb8\xb8\xa3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ÃâÇ÷.",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¾î¼¼½Å°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		1301: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Axe",
			identifiedResourceName: "\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A common axe.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 38^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 3^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 6
		},

		1302: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Axe",
			identifiedResourceName: "\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A common axe.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 38^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 3^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 4,
			ClassNum: 6
		},

		1303: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Axe",
			identifiedResourceName: "\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A common axe.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 38^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 3^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 6
		},

		1304: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orcish Axe",
			identifiedResourceName: "\xbf\xc0\xc5\xb0\xbd\xac\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"An axe crafted by Orcish smiths for Orcish warriors.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 75^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 3^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 6
		},

		1305: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cleaver",
			identifiedResourceName: "\xc5\xac\xb8\xae\xb9\xf6",
			identifiedDescriptionName: [
				"A heavy, broad bladed hatchet used by butchers.",
				"Adds 5% damage to the Demi Human monster.",
				"Add a 30% additional chance of dropping Meat each time a Brute monster is killed.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 44^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 6
		},

		1306: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "War Axe",
			identifiedResourceName: "\xbf\xf6\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A bloodthirsty axe that has aided many warriors in battle.",
				"DEX + 2, LUK + 2",
				"Class :^777777 Axe^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 420^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 76^000000",
				"Applicable Job :^777777 Blacksmith, Alchemist^000000",
			],
			slotCount: 1,
			ClassNum: 6
		},

		1307: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Windhawk",
			identifiedResourceName: "\xc0\xa9\xb5\xe5\xc8\xa3\xc5\xa9",
			identifiedDescriptionName: [
				"An axe that summons the power of the wind, giving it unprecedented speed.",
				"Increases Attack Speed by 5%.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 115^000000",
				"Weight :^777777 150^000000",
				"Property :^777777 Wind^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 6
		},

		1308: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Not much is known about the mysterious Golden Axe.",
				"Weight :^777777 300^000000",
			],
			identifiedDisplayName: "Golden Axe",
			identifiedResourceName: "\xb1\xdd\xb5\xb5\xb3\xa2",
			identifiedDescriptionName: [
				"Not much is known about the mysterious Golden Axe.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 300^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 6
		},

		1309: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orcish Axe",
			identifiedResourceName: "\xbf\xc0\xc5\xb0\xbd\xac\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"An axe crafted by Orcish smiths for Orcish warriors.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 75^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 3^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Assassin^000000",
			],
			slotCount: 4,
			ClassNum: 6
		},

		1310: {
			unidentifiedDisplayName: "Glorious Cleaver",
			unidentifiedResourceName: "\xc5\xac\xb8\xae\xb9\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Cleaver",
			identifiedResourceName: "\xc5\xac\xb8\xae\xb9\xf6",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 75%.",
				"Adds 20% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Attack Speed + 5%.",
				"Adds 5% defense bypassing on Demi-human monster.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"Add 5% chance of auto casting ^008800Level 1 Critical Wound^000000 when dealing physical damage.",
				"Add a chance of auto casting ^008800Level 2 Critical Wound^000000 when using skill Mammonite.",
				"Attack Speed + 5%.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 6
		},

		1311: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vecer Axe",
			identifiedResourceName: "\xba\xa3\xc3\xbc\xb8\xa3\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A high quality axe painted in red. It is said to make a peculiar sound when swung in battle.",
				"[^008800Base Lucky >= 90^000000]",
				"ATK + 20",
				"[^008800Base Dexterity >= 90^000000]",
				"CRIT + 5",
				"[^008800Base Lucky or Base Dexterity >= 90^000000]",
				"Increases damage when using skill ^008800Mammonite^000000 by 15%.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Swordman Class, Trans Merchant Class^000000",
			],
			slotCount: 2,
			ClassNum: 6
		},

		1312: {
			unidentifiedDisplayName: "Orcish Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orcish Axe",
			identifiedResourceName: "\xbf\xc0\xc5\xb0\xbd\xac\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An axe crafted by Orcish smiths for Orcish warriors.",
				"Increases damage against small, medium, large size monsters by 70%.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 6
		},

		1313: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Traveler's Axe",
			identifiedResourceName: "\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼¼°è Åõ¾î ¿©ÇàÀÚµéÀÌ °®°í ½Í¾îÇÏ´Â µµ³¢.",
				"STR + 2.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 77^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 6
		},

		1314: {
			unidentifiedDisplayName: "Tomahawk",
			unidentifiedResourceName: "\xc5\xe4\xb8\xb6\xc8\xa3\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Tomahawk",
			identifiedResourceName: "\xc5\xe4\xb8\xb6\xc8\xa3\xc5\xa9",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A light axe imbued with the Wind property which can be hurled at enemies.",
				"Enables use of",
				"^008800Tomahawk Throwing^000000.",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Axe^000000",
				"Attack: ^777777200^000000",
				"Weight : ^7777770^000000",
				"Property: ^777777Wind^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Swordman",
				"and Merchant Classes^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1315: {
			unidentifiedDisplayName: "Right Epsilon",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xc6\xae\xbf\xa6\xbd\xc7\xb7\xd0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Right Epsilon",
			identifiedResourceName: "\xb6\xf3\xc0\xcc\xc6\xae\xbf\xa6\xbd\xc7\xb7\xd0",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A Greek ceremonial axe that possesses the power of holiness.",
				"STR + 10, Holy property,",
				"Enables use of Lvl 3 Heal Increases damage inflicted",
				"on Devil monsters by 3%. Increases Movement Speed.",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Axe^000000",
				"Attack: ^777777229^000000",
				"Weight : ^7777770^000000",
				"Property: ^777777Holy^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1319: {
			unidentifiedDisplayName: "ÇÑ¼Õµµ³¢",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¾×½º",
			identifiedResourceName: "\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÆÄ±«ºÒ°¡.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î µ¿ºù.",
				"°è¿­ : ^777777ÇÑ¼Õµµ³¢^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 6
		},

		1351: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Battle Axe",
			identifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A sturdy, two-handed axe created for fighting multiple enemies at once.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 3^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 3,
			ClassNum: 7
		},

		1352: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Battle Axe",
			identifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A sturdy, two-handed axe created for fighting multiple enemies at once.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 3^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 4,
			ClassNum: 7
		},

		1353: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Battle Axe",
			identifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A sturdy, two-handed axe created for fighting multiple enemies at once.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 3^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1354: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hammer",
			identifiedResourceName: "\xbf\xf6\xc7\xd8\xb8\xd3",
			identifiedDescriptionName: [
				"A really big hammer.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 200^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 16^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 2,
			ClassNum: 7
		},

		1355: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hammer",
			identifiedResourceName: "\xbf\xf6\xc7\xd8\xb8\xd3",
			identifiedDescriptionName: [
				"A really big hammer.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 200^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 16^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 3,
			ClassNum: 7
		},

		1356: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hammer",
			identifiedResourceName: "\xbf\xf6\xc7\xd8\xb8\xd3",
			identifiedDescriptionName: [
				"A really big hammer.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 200^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 16^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1357: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Buster",
			identifiedResourceName: "\xb9\xf6\xbd\xba\xc5\xcd",
			identifiedDescriptionName: [
				"A powerful axe that lives up to its mighty appearance.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 155^000000",
				"Weight :^777777 220^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 7
		},

		1358: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Buster",
			identifiedResourceName: "\xb9\xf6\xbd\xba\xc5\xcd",
			identifiedDescriptionName: [
				"A powerful axe that lives up to its mighty appearance.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 155^000000",
				"Weight :^777777 220^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 2,
			ClassNum: 7
		},

		1359: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Buster",
			identifiedResourceName: "\xb9\xf6\xbd\xba\xc5\xcd",
			identifiedDescriptionName: [
				"A powerful axe that lives up to its mighty appearance.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 155^000000",
				"Weight :^777777 220^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1360: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Two-handed Axe",
			identifiedResourceName: "\xc5\xf5\xc7\xda\xb5\xe5\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A two-handed, double bladed axe.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 185^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 7
		},

		1361: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Two-handed Axe",
			identifiedResourceName: "\xc5\xf5\xc7\xda\xb5\xe5\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A two-handed, double bladed axe.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 185^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 2,
			ClassNum: 7
		},

		1362: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Two-handed Axe",
			identifiedResourceName: "\xc5\xf5\xc7\xda\xb5\xe5\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A two-handed, double bladed axe.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 185^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1363: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bloody Axe",
			identifiedResourceName: "\xba\xed\xb7\xaf\xb5\xe5\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A terrifying axe that is said to fill the entire battlefield with blood once it cuts flesh.",
				"Increases Movement Speed when equipped.",
				"STR + 10",
				"Class :^777777 Axe^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 400^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 44^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1364: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Great Axe",
			identifiedResourceName: "\xb1\xd7\xb7\xb9\xc0\xcc\xc6\xae\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A humongous, double bladed axe.",
				"^008800Mammonite^000000 skill will shove its target 5 cells back when Great Axe is equipped.",
				"Causes ^880000Stun^000000 effect to enemies by 15% chance.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 187^000000",
				"Weight :^777777 180^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 44^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1365: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sabbath",
			identifiedResourceName: "\xbb\xf5\xb9\xf6\xbd\xba",
			identifiedDescriptionName: [
				"An axe which is said to eradicate the darkness in mislead hearts and guide them to the afterlife.",
				"Increases Critical Attack on Undead monster by 50%.",
				"Causes ^880000Coma^000000 effect on Demon monster by a low chance.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 230^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 44^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1366: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Light Epsilon",
			identifiedResourceName: "\xb6\xf3\xc0\xcc\xc6\xae\xbf\xa6\xbd\xc7\xb7\xd0",
			identifiedDescriptionName: [
				"A Greek ceremonial axe that possesses the power of holiness.",
				"Increases damage inflicted on Demon monster by 3%.",
				"Enables use of ^008800Level 3 Heal^000000.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 180^000000",
				"Weight :^777777 230^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 44^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1367: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Slaughter",
			identifiedResourceName: "\xbd\xbd\xb7\xaf\xc5\xcd",
			identifiedDescriptionName: [
				"An axe used for the mass slaughter of enemy forces.",
				"Pierces Defense of Brute monster.",
				"Causes ^880000Coma^000000 effect on Brute monster by a low chance.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 250^000000",
				"Property :^996600 Earth^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 44^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1368: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tomahawk",
			identifiedResourceName: "\xc5\xe4\xb8\xb6\xc8\xa3\xc5\xa9",
			identifiedDescriptionName: [
				"A light axe imbued with the ^009900Wind^000000 Property which can be hurled at enemies.",
				"Enables use of ^008800Throw Tomahawk^000000.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 165^000000",
				"Weight :^777777 250^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 44^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1369: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guillotine",
			identifiedResourceName: "\xb1\xe6\xb7\xce\xc6\xbe",
			identifiedDescriptionName: [
				"A huge guillotine blade welded to a handle for active decapitation.",
				"Causes ^880000Coma^000000 effect on DemiHuman monster.",
				"Regain 2 SP for each attack on a DemiHuman monster and 20 SP for each killed DemiHuman monster.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 215^000000",
				"Weight :^777777 300^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 44^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1370: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Doom Slayer",
			identifiedResourceName: "\xb5\xd2\xbd\xbd\xb7\xb9\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A gigantic and ridiculously heavy axe that requires great strength to use it properly.",
				"Decrease Attack Speed by 40%.",
				"SP cost of All Skills is doubled.",
				"[^008800Base Strength >= 95^000000]",
				"ATK + 340",
				"Causes ^880000Stun^000000 effect to enemies by 30% chance when receiving damage.",
				"Add a 5% chance of breaking the enemy's armor when attacking.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 10^000000",
				"Weight :^777777 600^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1371: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Doom Slayer",
			identifiedResourceName: "\xb5\xd2\xbd\xbd\xb7\xb9\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A gigantic and ridiculously heavy axe that requires great strength to use it properly.",
				"Decrease Attack Speed by 40%.",
				"SP cost of All Skills is doubled.",
				"[^008800Base Strength >= 95^000000]",
				"ATK + 340",
				"Causes ^880000Stun^000000 effect to enemies by 30% chance when receiving damage.",
				"Add a 5% chance of breaking the enemy's armor when attacking.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 10^000000",
				"Weight :^777777 600^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 7
		},

		1372: {
			unidentifiedDisplayName: "Light Epsilon",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xc6\xae\xbf\xa6\xbd\xc7\xb7\xd0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Light Epsilon",
			identifiedResourceName: "\xb6\xf3\xc0\xcc\xc6\xae\xbf\xa6\xbd\xc7\xb7\xd0",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A Greek ceremonial axe that possesses the power of holiness.",
				"Increases damage inflicted on Demon monster by 3%.",
				"Enables use of ^008800Level 3 Heal^000000.",
				"STR + 10",
				"Bonus : Increased Movement Speed 25%.",
				"Impossible to refine this item.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 229^000000",
				"Weight :^777777 0^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1373: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xba\xed\xb7\xaf\xb5\xe5\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Bloody Axe",
			identifiedResourceName: "\xba\xed\xb7\xaf\xb5\xe5\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A terrifying axe that is said to fill the entire battlefield with blood once it cuts flesh.",
				"Matk + 20%, Attack Speed + 5%.",
				"Impossible to refine this item.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 205^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1374: {
			unidentifiedDisplayName: "Tomahawk",
			unidentifiedResourceName: "\xc5\xe4\xb8\xb6\xc8\xa3\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tomahawk",
			identifiedResourceName: "\xc5\xe4\xb8\xb6\xc8\xa3\xc5\xa9",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A light axe imbued with the ^009900Wind^000000 Property which can be hurled at enemies.",
				"Enables use of ^008800Throw Tomahawk^000000.",
				"Impossible to refine this item.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 0^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1375: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Berdysz",
			identifiedResourceName: "\xb9\xf6\xb5\xf0\xbd\xb4",
			identifiedDescriptionName: [
				"An effective battle axe in hand to hand fight. Its long blade gives you chills.",
				"Reduces damage received from Medium-sized monsters by 13%.",
				"Reduces damage received from Large-sized monsters by 15%.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 250^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 2,
			ClassNum: 7
		},

		1376: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Heart Breaker",
			identifiedResourceName: "\xc7\xcf\xc6\xae\xba\xea\xb7\xb9\xc0\xcc\xc4\xbf",
			identifiedDescriptionName: [
				"This special two hand axe was crafted by a great blacksmith and it seems to be capable of destroying any type of armor.",
				"Critical Rate + 20, Attack Speed + 5%",
				"Critical Rate increases depending on the weapon's refinement rate.",
				"[^008800Whitesmith, Creator^000000]",
				"Add a chance of auto casting ^008800Level 3 Hammerfall^000000 on the enemy when attacking.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 175^000000",
				"Weight :^777777 200^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 7
		},

		1377: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hurricane Fury",
			identifiedResourceName: "\xc7\xe3\xb8\xae\xc4\xc9\xc0\xce\xc7\xbb\xb8\xae",
			identifiedDescriptionName: [
				"Hurricane shaped massive two handed axe. The power of hurricane lie hidden in an orb at the center of the axe.",
				"Reduces damage received from Medium-sized monsters by 10%.",
				"Damage reduction from Medium-sized monsters will increase depending on the refinement rate of this weapon.",
				"Attack Speed increases depending on the refinement rate of this weapon.",
				"Every time you attack, small chance to cause damage and a 7 cell knockback effect to all enemies within 15 x 15 (PBAoE) cell around you.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 332^000000",
				"Weight :^777777 350^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 7
		},

		1378: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xb1\xd7\xb7\xb9\xc0\xcc\xc6\xae\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Great Axe",
			identifiedResourceName: "\xb1\xd7\xb7\xb9\xc0\xcc\xc6\xae\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A humongous, double bladed axe.",
				"STR + 5, HIT + 20",
				"Inflict the ^880000Stun^000000 status on targets by a high chance.",
				"^008800Mammonite^000000 damage increased by 20%.",
				"Impossible to refine this item.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 215^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1379: {
			unidentifiedDisplayName: "Valorous Insane Battle Axe",
			unidentifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valorous Insane Battle Axe",
			identifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A terrifying two-handed axe that is said to stimulate the nerves in order to kill Demihumans, once it's in the wearer's hands.",
				"STR + 3",
				"Increases Physical Attack Strength towards Demihuman monsters by 55%.",
				"Ignores physical defense from Demihuman monsters by 20%.",
				"Indestructible.",
				"Class : ^777777Axe^000000",
				"Attack Strength: ^777777200^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1380: {
			unidentifiedDisplayName: "Brave Insane Battle Axe",
			unidentifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brave Insane Battle Axe",
			identifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A terrifying two-handed axe that is said to stimulate the nerves in order to kill Demihumans, once it's in the wearer's hands.",
				"STR + 3",
				"Increases Physical Attack Strength towards Demihuman monsters by 55%.",
				"When attacking, has a chance to destroy your enemy's armor by 100% for 3 seconds.",
				"Indestructible.",
				"Class : ^777777Axe^000000",
				"Attack Strength: ^777777200^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1381: {
			unidentifiedDisplayName: "Novice Battle Axe",
			unidentifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Battle Axe",
			identifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"A sturdy, two-handed axe created for fighting multiple enemies at once.",
				"Impossible to refine this item.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 3^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 3,
			ClassNum: 7
		},

		1382: {
			unidentifiedDisplayName: "Glorious Twohanded Axe",
			unidentifiedResourceName: "\xc5\xf5\xc7\xda\xb5\xe5\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Twohanded Axe",
			identifiedResourceName: "\xc5\xf5\xc7\xda\xb5\xe5\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 70%.",
				"Adds 25% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Add 5% chance of auto casting ^008800Level 1 Critical Wound^000000 when dealing physical damage.",
				"Adds 5% defense bypassing on Demi-human monster.",
				"^ff0000[Slaughter]^000000 Lv 2",
				"[^333399Refine Rate 9~10^000000]",
				"Attack Speed + 10%.",
				"Increases 5% Chance to casting Critical Wound when dealing physical damage.",
				"Add a chance of auto casting ^008800Level 2 Critical Wound^000000 when using skill Mammonite.",
				"Class :^777777 Two Handed Axe^000000",
				"Attack :^777777 220^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1383: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Celestial Axe",
			identifiedResourceName: "\xbc\xba\xc3\xb5\xb5\xb5\xb3\xa2",
			identifiedDescriptionName: [
				"Increases damage against Undead monster by 10%.",
				"Add a chance of auto casting ^008800Level 5 Blessing^000000 on the enemy when attacking.",
				"Class :^777777 Two Handed Axe^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1384: {
			unidentifiedDisplayName: "Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Veteran Axe",
			identifiedResourceName: "\xba\xa3\xc5\xd7\xb6\xfb\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"An axe crafted by a man using an ore given by the ancient god of smithing.",
				"It is said that only one skilled in metalworking can properly wield this axe.",
				"If the player has mastered Smith Dagger, ATK + 10.",
				"If the player has mastered Smith Sword, ATK + 10.",
				"If the player has mastered Smith Two-hand Sword, ATK + 10.",
				"If the player has mastered Smith Knuckle, ATK + 10.",
				"If the player has mastered Smith Spear, ATK + 10.",
				"If the player has mastered Smith Axe, ATK + 10.",
				"If the player has mastered Smith Mace, ATK + 10.",
				"VIT + 2",
				"Class :^777777 Two-Handed Axe^000000",
				"Attack :^777777 250^000000",
				"Weight :^777777 300^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Merchant Class^000000",
			],
			slotCount: 2,
			ClassNum: 7
		},

		1385: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bradium Stonehammer",
			identifiedResourceName: "\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2\xb5\xb9\xb8\xc1\xc4\xa1",
			identifiedDescriptionName: [
				"A hammer crafted from the spirit ore Bradium.",
				"Additional 5% chance to ^880000Stun^000000 when using the skill Hammer Fall.",
				"The chance to ^880000Stun^000000 with Hammer Fall increases by 2% per refine on the weapon.",
				"Class :^777777 Two-Handed Axe^000000",
				"Attack :^777777 210^000000",
				"Weight :^777777 270^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Whitesmith^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1386: {
			unidentifiedDisplayName: "Doom Slayer",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Doom Slayer",
			identifiedResourceName: "\xb5\xd2\xbd\xbd\xb7\xb9\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A gigantic and ridiculously heavy axe that requires great strength to use it properly.",
				"[^008800Base Strength >= 95^000000]",
				"ATK + 400",
				"Causes ^880000Stun^000000 effect to enemies by 30% chance when receiving damage.",
				"Decreases ASPD by 25%. SP cost of All Skills is doubled.",
				"Add a 5% chance of breaking the enemy's armor when attacking.",
				"Class :^777777 Axe^000000",
				"Attack :^777777 20^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1387: {
			unidentifiedDisplayName: "Twohanded Axe",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Giant Axe",
			identifiedResourceName: "\xb1\xe2\xb0\xa3\xc6\xae\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"An incredibly large axe that appears impossible to swing.",
				"Increases damage when using skill ^008800Cart Termination^000000 by 15%.",
				"[^008800Base Strength >= 95^000000]",
				"HIT + 10, ASPD + 3 %",
				"Class :^777777 Two Handed Axe^000000",
				"Attack :^777777 330^000000",
				"Weight :^777777 400^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Swordman Class, Trans Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 7
		},

		1388: {
			unidentifiedDisplayName: "Two-Handed Axe",
			unidentifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Two-Handed Axe",
			identifiedResourceName: "\xc5\xf5\xc7\xda\xb5\xe5\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A two-handed, double bladed axe.",
				"Increases damage against small, medium, large size monsters by 40%.",
				"Class :^777777 Two Handed Axe^000000",
				"Attack :^777777 220^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1391: {
			unidentifiedDisplayName: "Eden Group Two Handed Axe I",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Two Handed Axe I",
			identifiedResourceName: "\xb9\xf6\xb5\xf0\xbd\xb4",
			identifiedDescriptionName: [
				"...",
				"Impossible to refine this item.",
				"Class :^777777 Two Handed Axe^000000",
				"Attack : ^777777 195^000000",
				"Weight : ^777777 0^000000",
				"Weapon Level : ^777777 3^000000",
				"Required Level : ^777777 60^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1392: {
			unidentifiedDisplayName: "¾ç¼Õµµ³¢",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÌ±×´©½º ½ºÅ×ÀÏ",
			identifiedResourceName: "\xc0\xcc\xb1\xd7\xb4\xa9\xbd\xba\xbd\xba\xc5\xd7\xc0\xcf",
			identifiedDescriptionName: [
				"È­¿°»êÀÇ ´ëÀåÀåÀÌ°¡ ¸¸µé¾ú´Ù´Â °Å´ëÇÑ ¾ç¼Õµµ³¢. ¼Õ¿¡ Áã±âµµ ÈûµéÁ¤µµ·Î ¶ß°Å¿î ¿­±â°¡ ´À²¸Áø´Ù.",
				"±ÙÁ¢¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû°ú ÀÚ½Å¿¡°Ô ¹ßÈ­¸¦ °Ç´Ù.",
				"ÆÄ±«ºÒ°¡.",
				"°è¿­ : ^777777¾ç¼Õµµ³¢^000000 °ø°Ý : ^777777250^000000",
				"¹«°Ô : ^777777190^000000 ¼Ó¼º : ^777777È­^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777Àü½Â °Ë»ç/»óÀÎ °è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 7
		},

		1393: {
			unidentifiedDisplayName: "¾ç¼Õµµ³¢",
			unidentifiedResourceName: "\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¿£µå ¼¼Å©Åõ¶ó",
			identifiedResourceName: "\xbf\xa3\xb5\xe5\xbc\xbc\xc5\xa9\xc5\xf5\xb6\xf3",
			identifiedDescriptionName: [
				"¶¥ ³¡ Àú ³Ê¸ÓÀÇ ±ØÇÑÀÇ ´ëÁö¿¡¼­ ÆÄ³½ ±¤¼®À¸·Î Á¦Á¶ÇÑ µµ³¢. º¸±â¸¸ÇØµµ Â÷°¡¿î ³Ã±â°¡ »Ä¼Ó±îÁö ½º¸çµå´Â °Í °°´Ù.",
				"±ÙÁ¢¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû°ú ÀÚ½Å¿¡°Ô ³Ãµ¿À» °Ç´Ù.",
				"ÆÄ±«ºÒ°¡.",
				"°è¿­ : ^777777¾ç¼Õµµ³¢^000000 °ø°Ý : ^777777250^000000",
				"¹«°Ô : ^777777190^000000 ¼Ó¼º : ^777777¼ö^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777Àü½Â °Ë»ç/»óÀÎ °è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 7
		},

		1394: {
			unidentifiedDisplayName: "¾ç¼Õµµ³¢",
			unidentifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°­È­ ÅõÇÚµå¾×½º",
			identifiedResourceName: "\xb0\xad\xc8\xad\xc5\xf5\xc7\xda\xb5\xe5\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼Õµµ³¢.",
				"ÆÄ±«ºÒ°¡.",
				"Á¦·Ãµµ 1´ç ATK + 14 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õµµ³¢^000000 °ø°Ý : ^777777110^000000",
				"¹«°Ô : ^777777200^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 7
		},

		1395: {
			unidentifiedDisplayName: "¾ç¼Õµµ³¢",
			unidentifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë ¹ö½ºÅÍ",
			identifiedResourceName: "\xbf\xf6\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÀÌ ¹«±âÀÇ ÀÏ¹Ý °ø°ÝÀº ÇÃ·¹ÀÌ¾îÀÇ HP¿¡´Â ¿µÇâÀ» ÁÖÁö ¾Ê°í, ÇÃ·¹ÀÌ¾îÀÇ SP¸¸ 10%¾¿ ¼Ò¸ê½ÃÅ²´Ù. (½ºÅ³°ø°Ý¿¡´Â ÇØ´ç ¿É¼ÇÀÌ ¹ßµ¿µÇÁö ¾Ê´Â´Ù.)",
				"ÆÄ±«ºÒ°¡.",
				"°è¿­ : ^777777¾ç¼Õµµ³¢^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^777777250^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1396: {
			unidentifiedDisplayName: "¾ç¼Õµµ³¢",
			unidentifiedResourceName: "\xb1\xe6\xb7\xce\xc6\xbe",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë ±æ·ÎÆ¾",
			identifiedResourceName: "\xb1\xe6\xb7\xce\xc6\xbe",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡, ¹°¸® ¹æ¾î·Â 30% ¹«½Ã.",
				"+6 Á¦·Ã ÀÌ»óÀÏ ½Ã, ¾×½º ºÎ¸Þ¶û, ÆÄ¿ö ½ºÀ®ÀÇ µ¥¹ÌÁö 80% Áõ°¡.",
				"+9 Á¦·Ã ÀÌ»óÀÏ ½Ã, ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 60% Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õµµ³¢^000000 °ø°Ý : ^777777300^000000",
				"¹«°Ô : ^777777550^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1398: {
			unidentifiedDisplayName: "¾ç¼Õµµ³¢",
			unidentifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¸ÞÅ» ÅõÇÚµå¾×½º",
			identifiedResourceName: "\xb8\xde\xc5\xbb\xc5\xf5\xc7\xda\xb5\xe5\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­Ã¶¿¡ ÇÁ¶óÄÜ°ú ¿¥º£¸£Å¸ÄÜÀ» Ã·°¡ÇÏ¿© ´É·ÂÀ» °­È­½ÃÅ² ±Ý¼ÓÀ¸·Î Á¦ÀÛÇÑ ÅõÇÚµå¾×½º",
				"ÆÄ±«ºÒ°¡.",
				"Á¦·Ãµµ 1´ç ATK + 7 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 20ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"(Áõ°¡·®Àº BaseLv 120±îÁö Àû¿ë)",
				"°è¿­ : ^777777¾ç¼Õµµ³¢^000000 °ø°Ý : ^777777105^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 7
		},

		1399: {
			unidentifiedDisplayName: "¾ç¼Õµµ³¢",
			unidentifiedResourceName: "\xb9\xe8\xc6\xb2\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ÅõÇÚµå ¾×½º",
			identifiedResourceName: "\xc5\xf5\xc7\xda\xb5\xe5\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÆÄ±«ºÒ°¡.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ½ºÅÏ.",
				"°è¿­ : ^777777¾ç¼Õµµ³¢^000000 °ø°Ý : ^777777150^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		1401: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Javelin",
			identifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			identifiedDescriptionName: [
				"A light spear that can be thrown in an attack. It'll probably be safer to keep holding on to it, though.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 28^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 3,
			ClassNum: 4
		},

		1402: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Javelin",
			identifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			identifiedDescriptionName: [
				"A light spear that can be thrown in an attack. It'll probably be safer to keep holding on to it, though.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 28^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 4,
			ClassNum: 4
		},

		1403: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Javelin",
			identifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			identifiedDescriptionName: [
				"A light spear that can be thrown in an attack. It'll probably be safer to keep holding on to it, though.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 28^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1404: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spear",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A basic spear that allows slightly longer ranged melee attacks.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 44^000000",
				"Weight :^777777 85^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 3,
			ClassNum: 4
		},

		1405: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spear",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A basic spear that allows slightly longer ranged melee attacks.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 44^000000",
				"Weight :^777777 85^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 4,
			ClassNum: 4
		},

		1406: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spear",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A basic spear that allows slightly longer ranged melee attacks.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 44^000000",
				"Weight :^777777 85^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1407: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pike",
			identifiedResourceName: "\xc6\xc4\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"A long spear that is generally issued to foot soldiers.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 3,
			ClassNum: 4
		},

		1408: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pike",
			identifiedResourceName: "\xc6\xc4\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"A long spear that is generally issued to foot soldiers.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 4,
			ClassNum: 4
		},

		1409: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pike",
			identifiedResourceName: "\xc6\xc4\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"A long spear that is generally issued to foot soldiers.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1410: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lance",
			identifiedResourceName: "\xb7\xa3\xbd\xba",
			identifiedDescriptionName: [
				"A spear that is commonly used by mounted knights.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 185^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1411: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lance",
			identifiedResourceName: "\xb7\xa3\xbd\xba",
			identifiedDescriptionName: [
				"A spear that is commonly used by mounted knights.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 185^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1412: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lance",
			identifiedResourceName: "\xb7\xa3\xbd\xba",
			identifiedDescriptionName: [
				"A spear that is commonly used by mounted knights.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 185^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1413: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gungnir",
			identifiedResourceName: "\xb1\xc3\xb1\xd7\xb4\xd2",
			identifiedDescriptionName: [
				"A legendary spear that is known for its ability to never miss its target.",
				"Has a 25% chance of performing a guided attack that a target can't evade.",
				"HIT + 30",
				"Class :^777777 Spear^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1414: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gelerdria",
			identifiedResourceName: "\xb0\xd6\xb7\xaf\xb5\xe5\xb8\xae\xbe\xc6",
			identifiedDescriptionName: [
				"A special spear imbued with the ^996600Earth^000000 Property.",
				"Maximum HP + 800",
				"Maximum SP - 50",
				"Class :^777777 Spear^000000",
				"Attack :^777777 145^000000",
				"Weight :^777777 70^000000",
				"Property :^996600 Earth^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1415: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brocca",
			identifiedResourceName: "\xb2\xbf\xc3\xac\xc0\xcc",
			identifiedDescriptionName: [
				"A spear that has been made to puncture any armor worn by enemies.",
				"Increases damage inflicted on ^777777Neutral^000000 Property by 25%",
				"Pierces Defense of its target.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 85^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1416: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tjungkuletti",
			identifiedResourceName: "\xc6\xad\xc5\xac\xb7\xb9\xc6\xbc",
			identifiedDescriptionName: [
				"A spear with the power to drain the souls of enemies it has defeated.",
				"Regains 1 SP with each attack and 5 SP each time an enemy is killed.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1417: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poll Axe",
			identifiedResourceName: "\xc6\xfa\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"An axe head mounted on a long pole, this weapon was especially made to break through thick armored plates.",
				"STR + 1, INT + 2, DEX + 1",
				"Class :^777777 Spear^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 380^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 71^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		1418: {
			unidentifiedDisplayName: "Javelin",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gungnir",
			identifiedResourceName: "\xb1\xc3\xb1\xd7\xb4\xd2",
			identifiedDescriptionName: [
				"A legendary spear that is known for its ability to never miss its target.",
				"Has a 25% chance of performing a guided attack that a target can't evade.",
				"HIT + 30",
				"Class :^777777 Spear^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 4
		},

		1419: {
			unidentifiedDisplayName: "Poll Axe",
			unidentifiedResourceName: "\xc6\xfa\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poll Axe",
			identifiedResourceName: "\xc6\xfa\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An axe head mounted on a long pole, this weapon was especially made to break through thick armored plates.",
				"STR + 1, INT + 2, DEX + 1",
				"Impossible to refine this item.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 195^000000",
				"Weight :^777777 480^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1420: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Long Horn",
			identifiedResourceName: "\xb7\xd5\xc8\xa5",
			identifiedDescriptionName: [
				"A sword made with a holy horn. Has capacity to remove poison, and it is said being pierced by this spear causes you to bleed non-stop.",
				"Small chance to cause ^880000External Bleeding^000000 status ailment on the target.",
				"Enables use of ^008800Level 1 Detoxify^000000.",
				"Indestructible (except in upgrade attempts).",
				"[^000088+ Valkyrja's Shield^000000]",
				"Whenever you take damage, small chance to auto-spell ^008800Level 2 Assumptio^000000 on yourself.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 100^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		1421: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Battle Hook",
			identifiedResourceName: "\xb9\xe8\xc6\xb2\xc8\xc5",
			identifiedDescriptionName: [
				"A spear with end that looks like a hook. By pushing or pulling the target, it makes them difficult to move around.",
				"Every time you attack, 5% chance to cause ^880000Stun^000000 on the target.",
				"Increases damage done against DemiHuman type monsters by 20%.",
				"Enables use of ^008800Level 3 Pierce^000000.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 90^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		1422: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hunting Spear",
			identifiedResourceName: "\xc7\xe5\xc6\xc3\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A spear designed specifically to hunt. The end tip looks like a leaf. This spear focused on using its weight to bring damage rather than to piercing the enemy.",
				"Ignores DEF of Brute type monsters.",
				"If you kill a Brute type monster, small chance to receive Meat.",
				"Add a 5% chance of auto casting ^008800Level 3 Joint Beat^000000 on the enemy when attacking.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 180^000000",
				"Weight :^777777 420^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		1423: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pole XO",
			identifiedResourceName: "\xc6\xfa\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"Increases damage by 50%.",
				"Impossible to refine this item.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1424: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xb2\xbf\xc3\xac\xc0\xcc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Brocca",
			identifiedResourceName: "\xb2\xbf\xc3\xac\xc0\xcc",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spear that has been made to puncture any armor worn by enemies.",
				"Increase damage inflicted on Medium size monster by 20%.",
				"Pierces Defense of its target.",
				"Impossible to refine this item.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 149^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1425: {
			unidentifiedDisplayName: "Assaulter Spear",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Assaulter Spear",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A special spear made for charging at the enemy's position. It is especially designed for battles against Demihumans.",
				"STR + 2",
				"Increases Physical Attack Strength towards Demihuman monsters by 95%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"If worn by Crusader or Paladin, Increase in attack speed(Delay after attacking reduces by 20%)",
				"Indestructible.",
				"Class : ^777777Spear^000000",
				"Attack Strength: ^77777760^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1426: {
			unidentifiedDisplayName: "Glorious Spear",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Spear",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 95%.",
				"Adds 20% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Pierces Defense of DemiHuman monster by 5%.",
				"Attack Speed + 5%.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"[^008800Lord Knight Class^000000]",
				"Add a chance of auto casting ^008800Level 2 Critical Wound^000000 when attacking with Pierce skill",
				"[^008800Crusader Class^000000]",
				"Add a chance of auto casting ^008800Level 1 Gloria^000000 when attacking to the monster.",
				"Attack Speed + 5%.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1427: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xb7\xd5\xb1\xe2\xb4\xa9\xbd\xba\xc0\xc7\xc3\xa2",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spear Of Excellent",
			identifiedResourceName: "\xb7\xd5\xb1\xe2\xb4\xa9\xbd\xba\xc0\xc7\xc3\xa2",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A good long spear.",
				"Increases 25% damage with Magnum Break skill.",
				"STR + 2.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1428: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Long Horn",
			identifiedResourceName: "\xb7\xd5\xc8\xa5",
			identifiedDescriptionName: [
				"A sword made with a holy horn. Has capacity to remove poison, and it is said being pierced by this spear causes you to bleed non-stop.",
				"Small chance to cause ^880000External Bleeding^000000 status ailment on the target.",
				"Enables use of ^008800Level 1 Detoxify^000000.",
				"Indestructible (except in upgrade attempts).",
				"[^000088+ Valkyrja's Shield^000000]",
				"Whenever you take damage, small chance to auto-spell ^008800Level 2 Assumptio^000000 on yourself.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 100^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		1429: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hunting Spear",
			identifiedResourceName: "\xc7\xe5\xc6\xc3\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A spear designed specifically to hunt. The end tip looks like a leaf. This spear focused on using its weight to bring damage rather than to piercing the enemy.",
				"Ignores DEF of Brute type monsters.",
				"If you kill a Brute type monster, small chance to receive Meat.",
				"Add a 5% chance of auto casting ^008800Level 3 Joint Beat^000000 on the enemy when attacking.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 180^000000",
				"Weight :^777777 420^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		1430: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc6\xc4\xc0\xcc\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pike",
			identifiedResourceName: "\xc6\xc4\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A long spear that is generally issued to foot soldiers.",
				"Increases damage against small, medium, large size monsters by 70%.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 74^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1431: {
			unidentifiedDisplayName: "Pole Axe",
			unidentifiedResourceName: "\xc6\xfa\xbe\xd7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Pole Axe",
			identifiedResourceName: "\xc6\xfa\xbe\xd7\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A weapon consisting of an axe head mounted on a long pole that is designed to break through thick armor.",
				"STR + 1, INT + 2, DEX + 1",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Spear^000000",
				"Attack: ^777777195^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1433: {
			unidentifiedDisplayName: "One-handed Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Imperial Spear",
			identifiedResourceName: "\xc0\xd3\xc6\xe4\xb8\xae\xbe\xf3\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A beautiful spear with the Rune Kingdom Insignia engraved on it.",
				"MATK + 40",
				"Increases damage of ^008800Cannon Spear^000000 and ^008800Vanishing Point^000000 by 20%. Every 2 refine increases the damage by an additional 3%.",
				"[^000088+ Imperial Guard^000000]",
				"Increases damage of ^008800Grand Cross^00000 and ^008800Ray of Genesis^000000 by 10%.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 180^000000",
				"Weight :^777777 180^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 102^000000",
				"Applicable Job :^777777 Royal Guard Only^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		1434: {
			unidentifiedDisplayName: "Eden Group Spear I",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Spear I",
			identifiedResourceName: "\xb0\xa1\xbf\xa1\xba\xbc\xb1\xd7",
			identifiedDescriptionName: [
				"...",
				"Impossible to refine this item.",
				"Class :^777777 Spear^000000",
				"Attack : ^777777 165^000000",
				"Weight : ^777777 0^000000",
				"Weapon Level : ^777777 3^000000",
				"Required Level : ^777777 60^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1435: {
			unidentifiedDisplayName: "Ã¢",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ä³³í ½ºÇÇ¾î",
			identifiedResourceName: "\xc4\xb3\xb3\xed\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"Ä«¸£´½À¸·Î Á¦ÀÛµÈ ¸Å¿ì °¡´Ã°í ³¯Ä«·Î¿î Ã¢.",
				"MaxSP - 100, Ä³³í½ºÇÇ¾î °ø°Ý·Â 10% Áõ°¡, Á¦·ÃµµÀÇ 3¹è·Î ÇØ´ç ½ºÅ³ °ø°Ý·Â Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777ÇÑ¼ÕÃ¢^000000 °ø°Ý : ^777777180^000000",
				"¹«°Ô : ^777777160^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·Î¾â°¡µå^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		1436: {
			unidentifiedDisplayName: "ÇÑ¼ÕÃ¢",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë ½ºÇÇ¾î",
			identifiedResourceName: "\xb7\xa3\xbd\xba",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 60% Áõ°¡,",
				"+6 Á¦·Ã ÀÌ»óÀÏ ½Ã, Çåµå·¹µå ½ºÇÇ¾î, ÇÉÆ÷ÀÎÆ®¾îÅÃÀÇ µ¥¹ÌÁö 80% Áõ°¡.",
				"+9 Á¦·Ã ÀÌ»óÀÏ ½Ã, ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 30% Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777ÇÑ¼ÕÃ¢^000000 °ø°Ý : ^777777150^000000",
				"¹«°Ô : ^77777785^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1437: {
			unidentifiedDisplayName: "ÇÑ¼ÕÃ¢",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ÆÄÀÌÅ©",
			identifiedResourceName: "\xc6\xc4\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ÀúÁÖ.",
				"°è¿­ : ^777777ÇÑ¼ÕÃ¢^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		1451: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guisarme",
			identifiedResourceName: "\xb1\xcd\xbb\xef",
			identifiedDescriptionName: [
				"Topped with a curved blade and puncturing spike, this spear can topple a mounted warrior in the hands of a highly skilled expert.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 84^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 5
		},

		1452: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guisarme",
			identifiedResourceName: "\xb1\xcd\xbb\xef",
			identifiedDescriptionName: [
				"Topped with a curved blade and puncturing spike, this spear can topple a mounted warrior in the hands of a highly skilled expert.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 84^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 3,
			ClassNum: 5
		},

		1453: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guisarme",
			identifiedResourceName: "\xb1\xcd\xbb\xef",
			identifiedDescriptionName: [
				"Topped with a curved blade and puncturing spike, this spear can topple a mounted warrior in the hands of a highly skilled expert.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 84^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1454: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glaive",
			identifiedResourceName: "\xb1\xdb\xb7\xb9\xc0\xcc\xba\xea",
			identifiedDescriptionName: [
				"A spear with a huge sword-like spearhead.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 104^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 5
		},

		1455: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glaive",
			identifiedResourceName: "\xb1\xdb\xb7\xb9\xc0\xcc\xba\xea",
			identifiedDescriptionName: [
				"A spear with a huge sword-like spearhead.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 104^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 3,
			ClassNum: 5
		},

		1456: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glaive",
			identifiedResourceName: "\xb1\xdb\xb7\xb9\xc0\xcc\xba\xea",
			identifiedDescriptionName: [
				"A spear with a huge sword-like spearhead.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 104^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1457: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Partizan",
			identifiedResourceName: "\xc6\xc4\xc6\xbc\xc0\xdc",
			identifiedDescriptionName: [
				"A spear topped with a double edged blade with two side blades.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 124^000000",
				"Weight :^777777 200^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 5
		},

		1458: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Partizan",
			identifiedResourceName: "\xc6\xc4\xc6\xbc\xc0\xdc",
			identifiedDescriptionName: [
				"A spear topped with a double edged blade with two side blades.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 124^000000",
				"Weight :^777777 200^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 5
		},

		1459: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Partizan",
			identifiedResourceName: "\xc6\xc4\xc6\xbc\xc0\xdc",
			identifiedDescriptionName: [
				"A spear topped with a double edged blade with two side blades.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 124^000000",
				"Weight :^777777 200^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1460: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Trident",
			identifiedResourceName: "\xc6\xae\xb6\xf3\xc0\xcc\xb4\xf8\xc6\xae",
			identifiedDescriptionName: [
				"A triple pronged spear that can also be used for fishing.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 5
		},

		1461: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Trident",
			identifiedResourceName: "\xc6\xae\xb6\xf3\xc0\xcc\xb4\xf8\xc6\xae",
			identifiedDescriptionName: [
				"A triple pronged spear that can also be used for fishing.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 3,
			ClassNum: 5
		},

		1462: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Trident",
			identifiedResourceName: "\xc6\xae\xb6\xf3\xc0\xcc\xb4\xf8\xc6\xae",
			identifiedDescriptionName: [
				"A triple pronged spear that can also be used for fishing.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1463: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hallberd",
			identifiedResourceName: "\xc7\xdb\xb9\xf6\xb5\xe5",
			identifiedDescriptionName: [
				"A spear with a steel spike and axe-blade which enable both piercing and hacking.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 165^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 5
		},

		1464: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hallberd",
			identifiedResourceName: "\xc7\xdb\xb9\xf6\xb5\xe5",
			identifiedDescriptionName: [
				"A spear with a steel spike and axe-blade which enable both piercing and hacking.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 165^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 5
		},

		1465: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hallberd",
			identifiedResourceName: "\xc7\xdb\xb9\xf6\xb5\xe5",
			identifiedDescriptionName: [
				"A spear with a steel spike and axe-blade which enable both piercing and hacking.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 165^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1466: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crescent Scythe",
			identifiedResourceName: "\xc5\xa9\xb7\xb9\xbc\xbe\xc6\xae\xbb\xe7\xc0\xcc\xb4\xf5",
			identifiedDescriptionName: [
				"A heavy scythe that is usually carried by the Grim Reaper.",
				"Critical Rate + 30%",
				"HIT + 10",
				"Class :^777777 Spear^000000",
				"Attack :^777777 180^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1467: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bill Guisarme",
			identifiedResourceName: "\xba\xf4\xb1\xcd\xbb\xef",
			identifiedDescriptionName: [
				"A spear with a hooked blade that has proven its versatility in battle.",
				"Increases damage inflicted on Brute monster by 10%.",
				"Increases damage against DemiHuman monster by 5%.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 183^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1468: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Zephyrus",
			identifiedResourceName: "\xc1\xa6\xc7\xbb\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"A spear imbued with the ^009900Wind^000000 Property.",
				"Add a 10% chance of auto casting ^008800Level 3 Thunder Storm^000000 on the enemy when attacking.",
				"Causes ^880000Silence^000000 effect to enemies by 2% chance.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 200^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1469: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Longinus's Spear",
			identifiedResourceName: "\xb7\xd5\xb1\xe2\xb4\xa9\xbd\xba\xc0\xc7\xc3\xa2",
			identifiedDescriptionName: [
				"A legendary spear owned by the tragic soldier, Longinus.",
				"Increases damage inflicted on DemiHuman and Angel monster by 10%.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 180^000000",
				"Weight :^777777 250^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1470: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brionac",
			identifiedResourceName: "\xba\xea\xb7\xf9\xb3\xaa\xc5\xa9",
			identifiedDescriptionName: [
				"A spear that radiates with the warm, glowing light of pure holiness.",
				"Increases damage inflicted on Boss monsters by 5%.",
				"Enables use of ^008800Level 5 Heal^000000.",
				"Add a 10% chance of auto casting ^008800Level 3 Soul Strike^000000 on the enemy when attacking.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 190^000000",
				"Weight :^777777 300^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1471: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hellfire",
			identifiedResourceName: "\xc7\xef\xc6\xc4\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A spear imbued with the ^FF0000Fire^000000 Property and enchanted with the power to summon flame.",
				"STR + 3",
				"Add a 10% chance of auto casting ^008800Level 3 Fire Ball^000000 on the enemy when attacking.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 350^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1472: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Soul Staff",
			identifiedResourceName: "\xbd\xba\xc5\xc2\xc7\xc1\xbf\xc0\xba\xea\xbc\xd2\xbf\xef",
			identifiedDescriptionName: [
				"A high quality, two-handed staff that amplifies psychic power.",
				"INT + 5, AGI + 2, MATK + 200",
				"[^000088Soul Staff & Spiritual Ring Equip Set^000000]",
				"Class :^777777 Two-handed Staff^000000",
				"Attack :^777777 25^000000",
				"Weight :^777777 140^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 73^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 23
		},

		1473: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wizardry Staff",
			identifiedResourceName: "\xc0\xa7\xc0\xda\xb5\xe5\xb8\xae\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"Rumored to have been crafted by an ancient wizard, this staff contains awesome energies.",
				"INT + 6, DEX + 2, MATK + 200",
				"[^000088Wizardry Staff & Spiritual Ring Equip Set^000000]",
				"Class :^777777 Two-handed Staff^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 240^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 23
		},

		1474: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gae Bolg",
			identifiedResourceName: "\xb0\xa1\xbf\xa1\xba\xbc\xb1\xd7",
			identifiedDescriptionName: [
				"A spear created from the body of a dead giant sea creature, topped with a jagged blade that leaves deep wounds.",
				"Pierces Defense of Dragon monster.",
				"10% additional damage on Boss monster.",
				"[^000088Gaebolg & Dragon's Breath Equip Set^000000]",
				"Class :^777777 Spear^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 200^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1475: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Not much is known about the mysterious Equestrian's Spear.",
				"Weight :^777777 370^000000",
			],
			identifiedDisplayName: "Equestrian's Spear",
			identifiedResourceName: "\xb8\xb6\xbb\xf3\xc3\xa2",
			identifiedDescriptionName: [
				"Not much is known about the mysterious Equestrian's Spear.",
				"Weapon Range + 1",
				"Class :^777777 Spear^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 370^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1476: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crescent Scythe",
			identifiedResourceName: "\xc5\xa9\xb7\xb9\xbc\xbe\xc6\xae\xbb\xe7\xc0\xcc\xb4\xf5",
			identifiedDescriptionName: [
				"A heavy scythe that is usually carried by the Grim Reaper.",
				"Critical Rate + 30%",
				"HIT + 10",
				"Class :^777777 Spear^000000",
				"Attack :^777777 180^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 5
		},

		1477: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spectral Spear",
			identifiedResourceName: "\xbf\xe4\xb1\xab\xc0\xc7\xc3\xa2",
			identifiedDescriptionName: [
				"A formidable two handed spear which the creator sacrificed himself in order to make it.",
				"The spear attempts to dominate the owner's soul.",
				"Increases damage done against ^777777Shadow^000000 Property, Demon and Undead type monsters by 20%.",
				"Reduces damage received from ^777777Shadow^000000 Property, Demon and Undead type monsters by 10%.",
				"If the target enemy dies, ^000088Recovers 50 HP^000000.",
				"Small chance to cause Chaos on yourself.",
				"[^000088Phantom Spear & Seal of Red Silk Equip Set^000000]",
				"Class :^777777 Spear^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 200^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1478: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ahlspiess",
			identifiedResourceName: "\xbe\xcb\xbd\xb4\xc7\xc7\xbd\xba",
			identifiedDescriptionName: [
				"Auger shaped spear that is effective at attacking enemy's weak points.",
				"Ignores DEF of the target.",
				"Add a 2% chance of auto casting ^008800Level 5 Pierce^000000 on the enemy when attacking.",
				"Increases damage done against DemiHuman monster by 10%.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 100^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Knight, Crusader^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1479: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spectral Spear",
			identifiedResourceName: "\xbf\xe4\xb1\xab\xc0\xc7\xc3\xa2",
			identifiedDescriptionName: [
				"A strong two handed spear that has been made to exact vengeance upon a monster, to the point where the creator has thrown away his own life to make it.",
				"Because the spear has its own will, it frequently tries to take over the body of its wielder.",
				"Increases damage done against ^777777Shadow^000000 Property, Demon and Undead type monsters by 20%.",
				"Reduces damage received from ^777777Shadow^000000 Property, Demon and Undead type monsters by 10%.",
				"If the target enemy dies, ^000088Recovers 50 HP^000000.",
				"Small chance to cause Chaos on yourself.",
				"[^000088Phantom Spear & Seal of Red Silk Equip Set^000000]",
				"Class :^777777 Spear^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 200^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 5
		},

		1480: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gae Bolg",
			identifiedResourceName: "\xb0\xa1\xbf\xa1\xba\xbc\xb1\xd7",
			identifiedDescriptionName: [
				"A spear created from the body of a dead giant sea creature, topped with a jagged blade that leaves deep wounds.",
				"Pierces Defense of Dragon monster.",
				"10% additional damage on Boss monster.",
				"[^000088Gaebolg & Dragon's Breath Equip Set^000000]",
				"Class :^777777 Spear^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 200^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 2,
			ClassNum: 5
		},

		1481: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Zephyrus",
			identifiedResourceName: "\xc1\xa6\xc7\xbb\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"A spear imbued with the ^009900Wind^000000 Property.",
				"Add a 10% chance of auto casting ^008800Level 3 Thunder Storm^000000 on the enemy when attacking.",
				"Causes ^880000Silence^000000 effect to enemies by 2% chance.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 200^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 3,
			ClassNum: 5
		},

		1482: {
			unidentifiedDisplayName: "Assaulter Lance",
			unidentifiedResourceName: "\xb7\xa3\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Assaulter Lance",
			identifiedResourceName: "\xb7\xa3\xbd\xba",
			identifiedDescriptionName: [
				"A Two-handed Spear made to rush at the enemy's position, especially designed for battles against Demihumans.",
				"Str + 2",
				"Increases Physical Attack Strength to Demihuman monsters by 25%.",
				"Ignores Physical Defense from Demihuman monsters.",
				"Indestructible.",
				"Class : ^777777Two Handed Spear^000000",
				"Attack Strength: ^777777160^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job: ^777777Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1483: {
			unidentifiedDisplayName: "Ivory Lance",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ivory Lance",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xba\xb8\xb8\xae\xb7\xa3\xbd\xba",
			identifiedDescriptionName: [
				"A Spear created from the Mammonths Fang. It's very hard hence hard to use but, since the end of the spear isn't sharp, its better to just pierce people with it then cut with it.",
				"AGI + 2, ASPD + 3%",
				"Causes ^880000Bleeding^000000 effect to enemies or ^008800Level 1 Joint Beat^000000 on enemy when attacking.",
				"Enables use of ^008800Level 5 Spear Stab^000000.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 5
		},

		1484: {
			unidentifiedDisplayName: "Cardo",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cardo",
			identifiedResourceName: "\xc4\xab\xb8\xa3\xb5\xb5",
			identifiedDescriptionName: [
				"Seems like a 2 handed spear that looks like one of the Ancient Temple Holders. A small version of it.",
				"ASPD - 10%. DEF increases by Refine Rate.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 560^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Lord Knight Class^000000",
			],
			slotCount: 1,
			ClassNum: 5
		},

		1485: {
			unidentifiedDisplayName: "Battle Fork",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Battle Fork",
			identifiedResourceName: "\xb9\xe8\xc6\xb2\xc6\xf7\xc5\xa9",
			identifiedDescriptionName: [
				"Is said to look like the 2 handed Three Branch Spear, this spear is very light and usable.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 112^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 4,
			ClassNum: 5
		},

		1486: {
			unidentifiedDisplayName: "Glorious Lance",
			unidentifiedResourceName: "\xb7\xa3\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Lance",
			identifiedResourceName: "\xb7\xa3\xbd\xba",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 70%.",
				"Adds 25% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Pierces Defense of DemiHuman monster by 5%.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"[^008800Lord Knight Class^000000]",
				"Add a chance of auto casting ^008800Level 2 Critical Wound^000000 when attacking with Pierce skill",
				"[^008800Crusader Class^000000]",
				"Add a chance of auto casting ^008800Level 1 Gloria^000000 when attacking to the monster.",
				"Attack Speed + 5%.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 220^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1487: {
			unidentifiedDisplayName: "Lance",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lance",
			identifiedResourceName: "\xb7\xa3\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spear that is commonly used by mounted knights.",
				"Increases damage against small, medium, large size monsters by 50%.",
				"Class :^777777 Spear^000000",
				"Attack :^777777 220^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1488: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xbe\xcb\xbd\xb4\xc7\xc7\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ahlspiess",
			identifiedResourceName: "\xbe\xcb\xbd\xb4\xc7\xc7\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"...",
				"...",
				"...",
				"Class :^777777 Spear^000000",
				"Attack :^777777 135^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Knight, Crusader^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1489: {
			unidentifiedDisplayName: "¾ç¼ÕÃ¢",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ã»»õÄ¡",
			identifiedResourceName: "\xc3\xbb\xbb\xf5\xc4\xa1\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"Ã»»õÄ¡°ú ¹Ù´å¹°°í±â. °èÀýµû¶ó ÀÌµ¿ÇÏ´Â È¸·ù¼º ¹°°í±â·Î »õÄ¡·ù Áß °¡Àå ¸ÀÀÌ ÁÁ´Ù°í ¾Ë·ÁÁø °í±Þ»ý¼±. ¾ó·Á¼­ ¾ÆÁÖ µüµüÇÏ´Ù.",
				"ÇÇ¾î½º, ½ºÆÄÀÌ·² ÇÇ¾î½º »ç¿ë ½Ã ³ôÀº È®·ü·Î Àû¿¡°Ô ÃâÇ÷À» °Ç´Ù. ±×¸®°í ³·Àº È®·ü·Î ½º½º·Î¿¡°Ô ºù°áÀ» °Ç´Ù.",
				"½ºÆÄÀÌ·² ÇÇ¾î½ºÀÇ °ø°Ý·Â 100% Áõ°¡, ÀÎ½ºÇÇ·¹ÀÌ¼ÇÀÇ °ø°Ý·Â 50% Áõ°¡.(ÀÎ½ºÇÇ·¹ÀÌ¼ÇÀÇ È¿°ú´Â ÀåÂø ÇØÁ¦½Ã »ç¶óÁý´Ï´Ù.)",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 30 Ãß°¡.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1490: {
			unidentifiedDisplayName: "Ã¢",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "±â°£Æ® ·£½º",
			identifiedResourceName: "\xb1\xe2\xb0\xa3\xc6\xae\xb7\xa3\xbd\xba",
			identifiedDescriptionName: [
				"°í´ë ½ÅÀüÀÇ ¼öÈ£ÀÚ¿´´ø °ÅÀÎµéÀÇ Ã¢À» Å©±â¸¸ ÁÙÀÎ »óÅÂ. ÁøÁ¤ÇÑ ÈûÀ» ²ø¾î³¾ ¼ö ÀÖ´Â ÀÚ°¡ °ÅÀÇ ¾ø´Ù°í ÇÑ´Ù.",
				"ASPD - 10, ÀåÂøÇØÁ¦ ½Ã SP - 600.",
				"½ºÆÄÀÌ·² ÇÇ¾î½ºÀÇ Àç»ç¿ë µô·¹ÀÌ 20ÃÊ Ãß°¡.",
				"¼ø¼ö STR 120ÀÌ»óÀÏ ½Ã ATK 300 Ãß°¡.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^77777720^000000",
				"¹«°Ô : ^7777772000^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777140^000000",
				"ÀåÂø : ^777777·é³ªÀÌÆ®^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1491: {
			unidentifiedDisplayName: "¾ç¼ÕÃ¢",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°­È­ ·£½º",
			identifiedResourceName: "\xb0\xad\xc8\xad\xb7\xa3\xbd\xba",
			identifiedDescriptionName: [
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼ÕÃ¢.",
				"Á¦·Ãµµ 1´ç ATK + 12 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777105^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 5
		},

		1492: {
			unidentifiedDisplayName: "¾ç¼ÕÃ¢",
			unidentifiedResourceName: "\xb1\xdb\xb7\xb9\xc0\xcc\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë ±Û·¹ÀÌºê",
			identifiedResourceName: "\xb1\xdb\xb7\xb9\xc0\xcc\xba\xea",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 80% Áõ°¡,",
				"+6 Á¦·Ã ÀÌ»óÀÏ ½Ã,",
				"½ºÆÄÀÌ·² ÇÇ¾î½ºÀÇ µ¥¹ÌÁö 100% Áõ°¡,",
				"¿À¹ö ºê·£µåÀÇ µ¥¹ÌÁö 50% Áõ°¡.",
				"+9 Á¦·Ã ÀÌ»óÀÏ ½Ã,",
				"¹°¸® °ø°ÝÀ» ¹Þ¾ÒÀ» ½Ã, ¹°¸® µ¥¹ÌÁöÀÇ ÀÏºÎ¸¦ ¹Ý»ç.",
				"¸¶¹ý °ø°ÝÀ» ¹Þ¾ÒÀ» ½Ã, ³ôÀº È®·ü·Î °ø°Ý ¸¶¹ýÀ» 2ÃÊ°£ 40%ÀÇ È®·ü·Î ¹Ý»ç.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777250^000000",
				"¹«°Ô : ^777777450^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1493: {
			unidentifiedDisplayName: "¾ç¼ÕÃ¢",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¸ÞÅ» ·£½º",
			identifiedResourceName: "\xb8\xde\xc5\xbb\xb7\xa3\xbd\xba",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­Ã¶¿¡ ÇÁ¶óÄÜ°ú ¿¥º£¸£Å¸ÄÜÀ» Ã·°¡ÇÏ¿© ´É·ÂÀ» °­È­½ÃÅ² ±Ý¼ÓÀ¸·Î Á¦ÀÛÇÑ ·£½º",
				"Á¦·Ãµµ 1´ç ATK + 6 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 20ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"(Áõ°¡·®Àº BaseLv 120±îÁö Àû¿ë)",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 5
		},

		1495: {
			unidentifiedDisplayName: "¾ç¼ÕÃ¢",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ·£½º",
			identifiedResourceName: "\xb7\xa3\xbd\xba",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ¾ÏÈæ.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777150^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		1501: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Club",
			identifiedResourceName: "\xc5\xac\xb7\xb4",
			identifiedDescriptionName: [
				"A heavy bludgeon that makes a handy weapon in a pinch.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 23^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 3,
			ClassNum: 8
		},

		1502: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Club",
			identifiedResourceName: "\xc5\xac\xb7\xb4",
			identifiedDescriptionName: [
				"A heavy bludgeon that makes a handy weapon in a pinch.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 23^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 4,
			ClassNum: 8
		},

		1503: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Club",
			identifiedResourceName: "\xc5\xac\xb7\xb4",
			identifiedDescriptionName: [
				"A heavy bludgeon that makes a handy weapon in a pinch.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 23^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1504: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mace",
			identifiedResourceName: "\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"A flanged, solid club that is effective for simple smashing.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 37^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 3,
			ClassNum: 8
		},

		1505: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mace",
			identifiedResourceName: "\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"A flanged, solid club that is effective for simple smashing.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 37^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 4,
			ClassNum: 8
		},

		1506: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mace",
			identifiedResourceName: "\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"A flanged, solid club that is effective for simple smashing.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 37^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1507: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Smasher",
			identifiedResourceName: "\xbd\xba\xb8\xc5\xbc\xc5",
			identifiedDescriptionName: [
				"Basically a big hammer with spikes, this mace is excellent for breaking all sorts of things.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 54^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 2,
			ClassNum: 8
		},

		1508: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Smasher",
			identifiedResourceName: "\xbd\xba\xb8\xc5\xbc\xc5",
			identifiedDescriptionName: [
				"Basically a big hammer with spikes, this mace is excellent for breaking all sorts of things.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 54^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 3,
			ClassNum: 8
		},

		1509: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Smasher",
			identifiedResourceName: "\xbd\xba\xb8\xc5\xbc\xc5",
			identifiedDescriptionName: [
				"Basically a big hammer with spikes, this mace is excellent for breaking all sorts of things.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 54^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 3,
			ClassNum: 8
		},

		1510: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flail",
			identifiedResourceName: "\xc7\xc3\xb7\xb9\xc0\xcf",
			identifiedDescriptionName: [
				"With a spiked metal ball that freely swings from a chain, a flail is a very intimidating weapon.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 69^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 2,
			ClassNum: 8
		},

		1511: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flail",
			identifiedResourceName: "\xc7\xc3\xb7\xb9\xc0\xcf",
			identifiedDescriptionName: [
				"With a spiked metal ball that freely swings from a chain, a flail is a very intimidating weapon.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 69^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 3,
			ClassNum: 8
		},

		1512: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flail",
			identifiedResourceName: "\xc7\xc3\xb7\xb9\xc0\xcf",
			identifiedDescriptionName: [
				"With a spiked metal ball that freely swings from a chain, a flail is a very intimidating weapon.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 69^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 3,
			ClassNum: 8
		},

		1513: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Morning Star",
			identifiedResourceName: "\xb8\xf0\xb4\xd7\xbd\xba\xc5\xb8",
			identifiedDescriptionName: [
				"A metal club topped with a solid steel ball that's covered in spikes.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 8
		},

		1514: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Morning Star",
			identifiedResourceName: "\xb8\xf0\xb4\xd7\xbd\xba\xc5\xb8",
			identifiedDescriptionName: [
				"A metal club topped with a solid steel ball that's covered in spikes.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 2,
			ClassNum: 8
		},

		1515: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Morning Star",
			identifiedResourceName: "\xb8\xf0\xb4\xd7\xbd\xba\xc5\xb8",
			identifiedDescriptionName: [
				"A metal club topped with a solid steel ball that's covered in spikes.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 2,
			ClassNum: 8
		},

		1516: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sword Mace",
			identifiedResourceName: "\xbc\xd2\xb5\xe5\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"A deadly mace topped with 3 extremely sharp blades on its end.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1517: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sword Mace",
			identifiedResourceName: "\xbc\xd2\xb5\xe5\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"A deadly mace topped with 3 extremely sharp blades on its end.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 8
		},

		1518: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sword Mace",
			identifiedResourceName: "\xbc\xd2\xb5\xe5\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"A deadly mace topped with 3 extremely sharp blades on its end.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 8
		},

		1519: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chain",
			identifiedResourceName: "\xc3\xbc\xc0\xce",
			identifiedDescriptionName: [
				"A simple flail that consists of a thin mace attached to a chain of iron links.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 84^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 2,
			ClassNum: 8
		},

		1520: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chain",
			identifiedResourceName: "\xc3\xbc\xc0\xce",
			identifiedDescriptionName: [
				"A simple flail that consists of a thin mace attached to a chain of iron links.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 84^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 3,
			ClassNum: 8
		},

		1521: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chain",
			identifiedResourceName: "\xc3\xbc\xc0\xce",
			identifiedDescriptionName: [
				"A simple flail that consists of a thin mace attached to a chain of iron links.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 84^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 3,
			ClassNum: 8
		},

		1522: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Stunner",
			identifiedResourceName: "\xbd\xba\xc5\xcd\xb3\xca",
			identifiedDescriptionName: [
				"A huge, unwieldy club that can knock enemies unconscious.",
				"Causes ^880000Stun^000000 effect to enemies by 1% chance.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 200^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1523: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spike",
			identifiedResourceName: "\xbd\xba\xc6\xc4\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"A flail, entirely covered in spikes, that swings wildly and haphazardly in battle.",
				"Decrease the users DEF to 1/3 of its normal rate.",
				"Critical Rate + 40%",
				"Class :^777777 Mace^000000",
				"Attack :^777777 85^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1524: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Mace",
			identifiedResourceName: "\xb0\xf1\xb5\xe7\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"A mace forged out of pure gold.",
				"Increases damage inflicted on Undead monster by 10%.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Mace^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 1,
			ClassNum: 8
		},

		1525: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Long Mace",
			identifiedResourceName: "\xb7\xd5\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"A long, thin mace built like a spear.",
				"Add a 10% resistance against Long Range attacks.",
				"Capable of damaging enemies up to 3 cells away from its owner.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 135^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1526: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Slash",
			identifiedResourceName: "\xbd\xbd\xb7\xa1\xbd\xac",
			identifiedDescriptionName: [
				"A hefty mace with curved, sharp blades.",
				"Increases damage inflicted on Undead monster by 15%.",
				"Receive 5% more Experience Points from Undead monsters.",
				"Causes ^880000Coma^000000 effect on Undead by a low chance.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 145^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1527: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Quadrille",
			identifiedResourceName: "\xc4\xf5\xb5\xe5\xb8\xb1",
			identifiedDescriptionName: [
				"A heavy and powerful iron mace with a rounded top.",
				"Increases damage against Undead, DemiHuman and ^996600Earth^000000 Property by 10%.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 165^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1528: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Grand Cross",
			identifiedResourceName: "\xb1\xd7\xb7\xa3\xb5\xe5\xc5\xa9\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"A cruciform mace that was blessed by the pope of the Rune Midgard kingdom.",
				"Add a 10% chance of auto casting ^008800Level 3 Turn Undead^000000 on the enemy when attacking.",
				"Regain 1 SP for each attack on an Undead monster and 3 SP for each killed Undead monster.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 150^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1529: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Iron Driver",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbe\xf0\xb5\xe5\xb6\xf3\xc0\xcc\xb9\xf6",
			identifiedDescriptionName: [
				"A heavy, round headed mace intended for use in athletic competitions, but has proven to be effective in battle.",
				"Weapon Range + 1",
				"Class :^777777 Mace^000000",
				"Attack :^777777 155^000000",
				"Weight :^777777 300^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 78^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1530: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mjolnir",
			identifiedResourceName: "\xb9\xa6\xb8\xa3\xb4\xd2",
			identifiedDescriptionName: [
				"A facsimile of the mighty hammer wielded by Thor, god of thunder.",
				"Increases Attack Speed.",
				"DEX + 40, STR + 15",
				"Impossible to refine this item.",
				"Indestructible.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 250^000000",
				"Weight :^777777 600^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 95^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1531: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wrench",
			identifiedResourceName: "\xbd\xba\xc6\xd0\xb3\xca",
			identifiedDescriptionName: [
				"A heavy tool with many practical applications.",
				"Enable a chance of randomly inflicting the ^880000Stun, Blind, Poison, Freeze^000000 statuses with each attack.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 115^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1532: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Stunner",
			identifiedResourceName: "\xbd\xba\xc5\xcd\xb3\xca",
			identifiedDescriptionName: [
				"A huge, unwieldy club that can knock enemies unconscious.",
				"Causes ^880000Stun^000000 effect to enemies by 10% chance.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 200^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 2,
			ClassNum: 8
		},

		1533: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Warrior's Balmung",
			identifiedResourceName: "\xb9\xdf\xb9\xb6",
			identifiedDescriptionName: [
				"Any man holding the Warrior's Balmung will gather new inner strength.",
				"All Stats + 5",
				"Class :^777777 Sword^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1534: {
			unidentifiedDisplayName: "Wrench",
			unidentifiedResourceName: "\xbd\xba\xc6\xd0\xb3\xca",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wrench",
			identifiedResourceName: "\xbd\xba\xc6\xd0\xb3\xca",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A heavy tool with many practical applications.",
				"Enable a chance of randomly inflicting the ^880000Stun, Blind, Poison, Freeze^000000 statuses with each attack.",
				"Impossible to refine this item.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1535: {
			unidentifiedDisplayName: "Club",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hollgrehenn's Hammer",
			identifiedResourceName: "\xc8\xa6\xb1\xd7\xb7\xa3\xc1\xa6\xb7\xc3\xb8\xc1\xc4\xa1",
			identifiedDescriptionName: [
				"A hammer that was used by Hollgren to refine weapons and armor.",
				"It looks bulky and powerful, but it doesn't seem to be fully dependable.",
				"Every time you attack the enemy, small chance to destroy their weapon or armor by 10%.",
				"[^000088+ Whitesmith Card^000000]",
				"Very high chance to destroy enemy's equipment, and small chance to destroy your own by 1%.",
				"[^008800Base Strength >= 44^000000]",
				"Damage calculation becomes ATK + 44",
				"Class :^777777 Mace^000000",
				"Attack :^777777 4^000000",
				"Weight :^777777 44^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 44^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 8
		},

		1536: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Good Morning Star",
			identifiedResourceName: "\xb8\xf0\xb4\xd7\xbd\xba\xc5\xb8",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"Increases damage by 50%.",
				"Impossible to refine this item.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1537: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc4\xf5\xb5\xe5\xb8\xb1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Quadrille",
			identifiedResourceName: "\xc4\xf5\xb5\xe5\xb8\xb1",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A heavy and powerful iron mace with a rounded top.",
				"Increases damage against Undead Property by 40%.",
				"Increases damage inflicted on Demon monster by 40%.",
				"Increases damage against DemiHuman type monsters by 30%.",
				"Impossible to refine this item.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 193^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1538: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spike",
			identifiedResourceName: "\xbd\xba\xc6\xc4\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"A flail, entirely covered in spikes, that swings wildly and haphazardly in battle.",
				"Decrease the users DEF to 1/3 of its normal rate.",
				"Critical Rate + 40%",
				"Class :^777777 Mace^000000",
				"Attack :^777777 85^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 2,
			ClassNum: 8
		},

		1539: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Mace",
			identifiedResourceName: "\xb0\xf1\xb5\xe7\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"A mace forged out of pure gold.",
				"Increases damage inflicted on Undead monster by 10%.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Mace^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 2,
			ClassNum: 8
		},

		1540: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Grand Cross",
			identifiedResourceName: "\xb1\xd7\xb7\xa3\xb5\xe5\xc5\xa9\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"A cruciform mace that was blessed by the pope of the Rune Midgard kingdom.",
				"Add a 10% chance of auto casting ^008800Level 3 Turn Undead^000000 on the enemy when attacking.",
				"Regain 1 SP for each attack on an Undead monster and 3 SP for each killed Undead monster.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 150^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 1,
			ClassNum: 8
		},

		1541: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Nemesis",
			identifiedResourceName: "\xb3\xd7\xb8\xde\xbd\xc3\xbd\xba",
			identifiedDescriptionName: [
				"A giant mace of silver made for exorsisms.",
				"Adds 10% damage to ^777777Demon, Shadow^000000 Property monsters by 10%.",
				"Adds 10% chance of auto casting ^008800Signum Crusis^000000 when physical attack. The level of Signum Crusis will increased followed by the upgrade level.",
				"Adds 1% chance ATK + 50 during 20 seconds when physical attack.",
				"When refined to +11 or above, the weapon will cast Signum Crusis Lv 10.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 90^000000",
				"Property:^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1542: {
			unidentifiedDisplayName: "Valorous Battlefield Morning Star",
			unidentifiedResourceName: "\xb8\xf0\xb4\xd7\xbd\xba\xc5\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valorous Battlefield Morning Star",
			identifiedResourceName: "\xb8\xf0\xb4\xd7\xbd\xba\xc5\xb8",
			identifiedDescriptionName: [
				"A deadly mace that is usually worn by the best fighter; it seems to be capable of damaging through an enemy's armor.",
				"It is especially designed for battles against Demihumans.",
				"STR + 1, DEX + 1",
				"Increases Physical Attack Strength towards Demihuman monsters by 75%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"Indestructible.",
				"Class : ^777777Mace^000000",
				"Attack Strength: ^777777105^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1543: {
			unidentifiedDisplayName: "Brave Battlefield Morning Star",
			unidentifiedResourceName: "\xb8\xf0\xb4\xd7\xbd\xba\xc5\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brave Battlefield Morning Star",
			identifiedResourceName: "\xb8\xf0\xb4\xd7\xbd\xba\xc5\xb8",
			identifiedDescriptionName: [
				"A deadly mace that is usually worn by the best fighter; it seems to be capable of damaging through an enemy's armor.",
				"It is especially designed for battles against Demihumans.",
				"STR + 1, DEX + 1",
				"Increases Physical Attack Strength towards Demihuman monsters by 75%.",
				"When melee attacking, has a chance to inflict the ^FF0000Stun^000000 effect for 6 secs.",
				"Indestructible.",
				"Class : ^777777Mace^000000",
				"Attack Strength: ^777777105^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1544: {
			unidentifiedDisplayName: "Lunakaligo",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lunakaligo",
			identifiedResourceName: "\xb7\xe7\xb3\xaa\xc4\xae\xb8\xae\xb0\xed",
			identifiedDescriptionName: [
				"A big dark fry pan that looks like its met its age.",
				"[^008800Base Strength >= 77^000000]",
				"ASPD + 4%, Causes ^880000Stun^000000 effect to enemies by 15% chance.",
				"When a Brute, Plant or Fish Type monster is killed, 5% Chance to drop a food item.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Acolyte Class^000000",
			],
			slotCount: 3,
			ClassNum: 8
		},

		1545: {
			unidentifiedDisplayName: "Novice Mace",
			unidentifiedResourceName: "\xb8\xde\xc0\xcc\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Mace",
			identifiedResourceName: "\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"A flanged, solid club that is effective for simple smashing.",
				"Impossible to refine this item.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 57^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 3,
			ClassNum: 8
		},

		1546: {
			unidentifiedDisplayName: "Glorious Morning Star",
			unidentifiedResourceName: "\xc7\xc3\xb7\xb9\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Morning Star",
			identifiedResourceName: "\xc7\xc3\xb7\xb9\xc0\xcf",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 75%.",
				"Adds 20% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Adds 5% defense bypassing on Demi-human monster.",
				"Attack Speed + 5%.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"Adds a chance to ^880000Stun^000000 opponents when dealing physical damage.",
				"Attack Speed + 5%.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1547: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xbd\xba\xc6\xc4\xc0\xcc\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mace Of Madness",
			identifiedResourceName: "\xbd\xba\xc6\xc4\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"Mace of Insanity.",
				"Increases 25% damage with Cart Revolution skill.",
				"STR + 2.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1548: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Veteran Hammer",
			identifiedResourceName: "\xba\xa3\xc5\xd7\xb6\xfb\xc7\xdc\xb8\xd3",
			identifiedDescriptionName: [
				"A powerful hammer crafted from a meteorite.",
				"The clergy believe the hammer has been blessed with sacred power.",
				"For each level of Divine Protection, Heal Amount + 1%.",
				"For each level of Mace Mastery, CRIT + 2%.",
				"INT + 1, LUK + 1",
				"Class :^777777 Mace^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 180^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 2,
			ClassNum: 8
		},

		1549: {
			unidentifiedDisplayName: "Pilebuncker",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pile Bunker",
			identifiedResourceName: "\xc6\xc4\xc0\xcf\xba\xa1\xc4\xbf",
			identifiedDescriptionName: [
				"A huge iron spike shoots out into a target, then retracted.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 450^000000",
				"Weight :^777777 300^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1550: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Book",
			identifiedResourceName: "\xba\xcf",
			identifiedDescriptionName: [
				"A book that's been put together sturdily enough to be wielded as a weapon in an emergency situation.",
				"Class :^777777 Book^000000",
				"Attack :^777777 85^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 3,
			ClassNum: 15
		},

		1551: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bible",
			identifiedResourceName: "\xb9\xd9\xc0\xcc\xba\xed",
			identifiedDescriptionName: [
				"A book containing a compilation of ancient and sacred writings.",
				"INT + 2",
				"Class :^777777 Book^000000",
				"Attack :^777777 115^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 2,
			ClassNum: 15
		},

		1552: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tablet",
			identifiedResourceName: "\xc5\xb8\xba\xed\xb7\xbf",
			identifiedDescriptionName: [
				"A marble tablet on which the wise words of the ancients have been engraved and immortalized.",
				"Class :^777777 Book^000000",
				"Attack :^777777 125^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 1,
			ClassNum: 15
		},

		1553: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Book of Billows",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xc3\xa5",
			identifiedDescriptionName: [
				"A hefty book with a hard cover that has been enchanted with the ^0000FFWater^000000 Property.",
				"Class :^777777 Book^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 75^000000",
				"Property :^0000FF Water^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1554: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Book of Mother Earth",
			identifiedResourceName: "\xb6\xa5\xc0\xc7\xc3\xa5",
			identifiedDescriptionName: [
				"A hefty book with a hard cover that has been enchanted with the ^996600Earth^000000 Property.",
				"Class :^777777 Book^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 75^000000",
				"Property :^996600 Earth^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1555: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Book of the Blazing Sun",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc3\xa5",
			identifiedDescriptionName: [
				"A hefty book with a hard cover that has been enchanted with the ^FF0000Fire^000000 Property.",
				"Class :^777777 Book^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 75^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1556: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Book of Gust of Wind",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc3\xa5",
			identifiedDescriptionName: [
				"A hefty book with a hard cover that has been enchanted with the ^009900Wind^000000 Property.",
				"Class :^777777 Book^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 75^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1557: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Book of the Apocalypse",
			identifiedResourceName: "\xb9\xac\xbd\xc3\xb7\xcf",
			identifiedDescriptionName: [
				"A book that details prophesies concerning the end of the world.",
				"Increases damage on ^996600Earth^000000, ^0000FFWater^000000, ^FF0000Fire^000000 and ^009900Wind^000000 Property enemies by 7% and ^777777Holy^000000 Property enemies by 5%.",
				"Class :^777777 Book^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 80^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1558: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Girl's Diary",
			identifiedResourceName: "\xbc\xd2\xb3\xe0\xc0\xc7\xc0\xcf\xb1\xe2\xc0\xe5",
			identifiedDescriptionName: [
				"A cute diary in which the innermost thoughts of a young girl have been recorded, but you can never bear to open it.",
				"Increases damage on Bongun monster by 150%.",
				"Class :^777777 Book^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 30^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 1,
			ClassNum: 15
		},

		1559: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Legacy of Dragon",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xc0\xaf\xbb\xea",
			identifiedDescriptionName: [
				"A book in which the origin and history of dragons is written. It's a treasure that is said to be passed among the dragon race.",
				"INT + 3",
				"Pierces Defense of Dragon monster.",
				"^000088Recover 10 SP every time you kill a Dragon monster.^000000",
				"Class :^777777 Book^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1560: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sage's Diary",
			identifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xc0\xcf\xb1\xe2",
			identifiedDescriptionName: [
				"A book made by the wise sage, who wrote his findings and knowledge in the form of a diary.",
				"MATK + 160",
				"[^008800Base Strength >= 50^000000]",
				"Increases Attack Speed by 5%.",
				"[^008800Base Intelligence >= 70^000000]",
				"Increases MATK + 5%",
				"Class :^777777 Book^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 110^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 2,
			ClassNum: 15
		},

		1561: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hardcover Book",
			identifiedResourceName: "\xbe\xe7\xc0\xe5\xba\xbb",
			identifiedDescriptionName: [
				"A thick and heavy hardcover book that could really do some hurt if swung around.",
				"STR + 3, DEX + 2",
				"Class :^777777 Book^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 1,
			ClassNum: 15
		},

		1562: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Battlefield Textbook",
			identifiedResourceName: "\xc0\xfc\xc0\xe5\xc0\xc7\xbc\xad",
			identifiedDescriptionName: [
				"A book containing the History of many wars and the dreams of the strategists that took part in them.",
				"Add a 1% chance of auto casting ^008800Level 3 Blessing^000000 on the user when attacking.",
				"If the user has ^008800Blessing^000000, it will cast it at the user level.",
				"INT + 3",
				"Impossible to refine this item.",
				"Class :^777777 Book^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 1,
			ClassNum: 15
		},

		1563: {
			unidentifiedDisplayName: "Sage's Diary",
			unidentifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xc0\xcf\xb1\xe2",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Sage's Diary",
			identifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xc0\xcf\xb1\xe2",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A book made by the wise sage, who wrote his findings and knowledge in the form of a diary.",
				"MATK + 140, increases Attack Speed by 5%.",
				"Impossible to refine this item.",
				"Class :^777777 Book^000000",
				"Attack :^777777 135^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1564: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Encyclopedia",
			identifiedResourceName: "\xb4\xeb\xb9\xe9\xb0\xfa\xbb\xe7\xc0\xfc",
			identifiedDescriptionName: [
				"A gigantic encyclopedia produced by X company in Prontera, known mostly for its sharp and hard edges. It is so hard to the point that people who got hit by the edges of this book often ask \"Did you guys install 3 carat Diamond on this?\".",
				"MATK + 100, INT + 3, DEX + 2, Critical Rate + 20.",
				"Critical Rate bonus is further increased by +1 per 5 base LUK.",
				"Class :^777777 Book^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 200^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 2,
			ClassNum: 15
		},

		1565: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ledger of Death",
			identifiedResourceName: "\xbb\xe7\xbd\xc5\xc0\xc7\xb8\xed\xba\xce",
			identifiedDescriptionName: [
				"A book containing names, used by the agents of death. There are times when the book of the dead is circulated in this world because they have dropped the book in the realm of the living. There are tons of names written in here, and there seems to be names of people you might know well ... It says Holg ... <Can not see clearly due to paper being torn>.",
				"MATK + 15%, STR + 3, INT + 3, LUK - 20.",
				"Add a 10% chance of auto casting ^880000Coma^000000 effect on DemiHuman monster.",
				"Attack Speed increased depending on the refinement rate of this weapon.",
				"[^008800Sage, Professor^000000]",
				"There is a small chance to cause damage and ^880000Curse^000000 status ailment to every enemies in the screen they are in.",
				"Class :^777777 Book^000000",
				"Attack :^777777 137^000000",
				"Weight :^777777 100^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 85^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 2,
			ClassNum: 15
		},

		1566: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Diary Of Great Basil",
			identifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xc0\xcf\xb1\xe2",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"MATK + 15%, Increases damage by 50%.",
				"Impossible to refine this item.",
				"Class :^777777 Book^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1567: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xbe\xe7\xc0\xe5\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Hardcover Book",
			identifiedResourceName: "\xbe\xe7\xc0\xe5\xba\xbb",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A thick and heavy hardcover book that could really do some hurt if swung around.",
				"STR + 5, DEX + 2, MATK + 100",
				"Impossible to refine this item.",
				"Class :^777777 Book^000000",
				"Attack :^777777 168^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1568: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Book of Billows",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xc3\xa5",
			identifiedDescriptionName: [
				"A hefty book with a hard cover that has been enchanted with the ^0000FFWater^000000 Property.",
				"Class :^777777 Book^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 75^000000",
				"Property :^0000FF Water^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 3,
			ClassNum: 15
		},

		1569: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Book of Mother Earth",
			identifiedResourceName: "\xb6\xa5\xc0\xc7\xc3\xa5",
			identifiedDescriptionName: [
				"A hefty book with a hard cover that has been enchanted with the ^996600Earth^000000 Property.",
				"Class :^777777 Book^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 75^000000",
				"Property :^996600 Earth^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 3,
			ClassNum: 15
		},

		1570: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Book of Blazing Sun",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc3\xa5",
			identifiedDescriptionName: [
				"A hefty book with a hard cover that has been enchanted with the ^FF0000Fire^000000 Property.",
				"Class :^777777 Book^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 75^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 3,
			ClassNum: 15
		},

		1571: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Book of Gust of Wind",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc3\xa5",
			identifiedDescriptionName: [
				"A hefty book with a hard cover that has been enchanted with the ^009900Wind^000000 Property.",
				"Class :^777777 Book^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 75^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 3,
			ClassNum: 15
		},

		1572: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Principles of Magic",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xc1\xa4\xbc\xae",
			identifiedDescriptionName: [
				"This helps students study and build a stroung foundation of using magic.",
				"If you're having trouble with using... - Author : Sage Shawn.",
				"MATK + 160, INT + 3, SP Recovery + 5%",
				"Class :^777777 Book^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 30^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 2,
			ClassNum: 15
		},

		1573: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ancient Magic",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xc0\xc7\xb8\xb6\xb9\xfd",
			identifiedDescriptionName: [
				"A book with a Very impressive phrase,'There is no royal road to learning,' on its cover.",
				"\"Practice makes perfect. If you keep trying, you'll be an expert before you know it.\"",
				"MATK + 140",
				"[^000088+ Mage Coat^000000]",
				"MDEF + 8, Maximum SP + 10%, INT + 4",
				"Class :^777777 Book^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 70^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 2,
			ClassNum: 15
		},

		1574: {
			unidentifiedDisplayName: "Brave Battle Strategy Book",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xba\xed",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brave Battle Strategy Book",
			identifiedResourceName: "\xb9\xd9\xc0\xcc\xba\xed",
			identifiedDescriptionName: [
				"A battlefield book written by ancient strategists from a far east country. It is still being studied by many militarists.",
				"STR + 2, INT + 1, MATK + 125",
				"Increases Physical Attack Strength towards Demihuman monsters by 75%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"Indestructible.",
				"Class : ^777777Book^000000",
				"Attack Strength: ^77777790^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1575: {
			unidentifiedDisplayName: "Valorous Battle Strategy Book",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xba\xed",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valorous Battle Strategy Book",
			identifiedResourceName: "\xb9\xd9\xc0\xcc\xba\xed",
			identifiedDescriptionName: [
				"A battlefield book written by ancient strategists from a far east country. It is still being studied by many militarists.",
				"STR + 1, INT + 2, MATK + 125",
				"Ignores Magical Defense from Demihuman monsters by 25%.",
				"Indestructible.",
				"Class : ^777777Book^000000",
				"Attack Strength: ^77777790^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1576: {
			unidentifiedDisplayName: "Glorious Tablet",
			unidentifiedResourceName: "\xc5\xb8\xba\xed\xb7\xbf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Tablet",
			identifiedResourceName: "\xc5\xb8\xba\xed\xb7\xbf",
			identifiedDescriptionName: [
				"MATK + 155",
				"Increases physical attack against DemiHuman monster by 80%.",
				"Adds 25% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"+6 Upgrade : Ignore Magical Defense of Demihumans +5%, ^ff0000[Slaughter]^000000 Lv 1 (Damage bonus of Slaughter increases up to the upgrade level 14.)",
				"+9 Upgrade : When physically attacking, has a chance of adding Atk +200 for 3 seconds.",
				"Class :^777777 Book^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1577: {
			unidentifiedDisplayName: "Glorious Apocalypse",
			unidentifiedResourceName: "\xb9\xac\xbd\xc3\xb7\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Apocalypse",
			identifiedResourceName: "\xb9\xac\xbd\xc3\xb7\xcf",
			identifiedDescriptionName: [
				"MATK + 155",
				"Increases physical attack against DemiHuman monster by 80%.",
				"Adds 25% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Adds 5% defense bypassing on Demi-human monster.",
				"[^333399Refine Rate 9~10^000000]",
				"Increases MATK + 5%.",
				"Reduces casting time by 5%.",
				"Aftercast Delay - 5%.",
				"Class :^777777 Book^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1578: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xba\xed",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Book Of Prayer",
			identifiedResourceName: "\xb9\xd9\xc0\xcc\xba\xed",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"Book Of Prayer.",
				"VIT + 2. MDEF + 10.",
				"Max SP + 10%.",
				"Class :^777777 Book^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1579: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Book of the Dead",
			identifiedResourceName: "\xbb\xe7\xbd\xc5\xc0\xc7\xb8\xed\xba\xce",
			identifiedDescriptionName: [
				"A book containing names, used by the agents of death. There are times when the book of the dead is circulated in this world because they have dropped the book in the realm of the living. There are tons of names written in here, and there seems to be names of people you might know well ... It says Holg ... <Can not see clearly due to paper being torn>.",
				"MATK + 15%, STR + 3, INT + 3, LUK - 20.",
				"Add a 10% chance of auto casting ^880000Coma^000000 effect on DemiHuman monster.",
				"Attack Speed increased depending on the refinement rate of this weapon.",
				"[^008800Sage, Professor^000000]",
				"There is a small chance to cause damage and ^880000Curse^000000 status ailment to every enemies in the screen they are in.",
				"Class :^777777 Book^000000",
				"Attack :^777777 137^000000",
				"Weight :^777777 100^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 85^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 2,
			ClassNum: 15
		},

		1580: {
			unidentifiedDisplayName: "Giant Encyclopedia",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Giant Encyclopedia",
			identifiedResourceName: "\xb4\xeb\xb9\xe9\xb0\xfa\xbb\xe7\xc0\xfc",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A gigantic encyclopedia produced by X company in Prontera, known mostly for its sharp and hard edges.",
				"It is so hard to the point that people who got hit by the edges of this book often ask \"Did you guys install 3 carat Diamond on this?\".",
				"MATK + 100, INT + 3, DEX + 2, Critical Rate + 20.",
				"CRI bonus increases according to the wearer's LUK.",
				"Increases damage against small, medium, large size monsters by 40%.",
				"Class :^777777 Book^000000",
				"Attack :^777777 145^000000",
				"Weight :^777777 0^000000",
				"Property :^777777 Neutral^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1581: {
			unidentifiedDisplayName: "Diary Of Great Sage",
			unidentifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xc0\xcf\xb1\xe2",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Diary Of Great Sage",
			identifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xc0\xcf\xb1\xe2",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"The diary of a great",
				"sage that was published without him ever knowing.",
				"MATK +20%, Increases",
				"Attack Speed by 5%",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Book^000000 Attack Strength: ^777777135^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Priest, Sage,",
				"Taekwon Master^000000",
			],
			slotCount: 2,
			ClassNum: 15
		},

		1583: {
			unidentifiedDisplayName: "Eden Group Dictionary I",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Dictionary I",
			identifiedResourceName: "\xb8\xde\xb8\xf0\xb6\xf3\xc0\xcc\xc1\xee\xba\xcf",
			identifiedDescriptionName: [
				"...",
				"MATK + 110",
				"Impossible to refine this item.",
				"Class :^777777 Book^000000",
				"Attack : ^777777 135^000000",
				"Weight : ^777777 0^000000",
				"Weapon Level : ^777777 3^000000",
				"Required Level : ^777777 60^000000",
				"Applicable Job :^777777 Priest, Sage, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1584: {
			unidentifiedDisplayName: "Ã¥",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "³Ã±âÀÇ ¸¶¹ý¼­",
			identifiedResourceName: "\xb3\xc3\xb1\xe2\xc0\xc7\xb8\xb6\xb9\xfd\xbc\xad",
			identifiedDescriptionName: [
				"°íÀ§ ¼Ò¼­·¯µéÀÇ ¿¬±¸°¡ Áý´ë¼ºµÈ, 4´ë ¼Ó¼ºº° ¸¶¹ý¼­ Áß ÇÏ³ª. [³Ã±âÆí]",
				"MATK + 160, DEX + 1.",
				"Á¦·ÃµµÀÇ 3¹è¸¸Å­ÀÇ ÄÝµåº¼Æ®, ´ÙÀÌ¾Æ¸óµå ´õ½ºÆ®ÀÇ °ø°Ý·Â %Áõ°¡,",
				"Á¦·ÃµµÀÇ 5¹è¸¸Å­ ÇØ´ç½ºÅ³ÀÇ ¼Ò¸ðSPµµ Áõ°¡.",
				"ÆÄ±«ºÒ°¡.",
				"°è¿­ : ^777777Ã¥^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^777777100^000000 ¼Ó¼º : ^777777¼ö^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777¼Ò¼­·¯^000000",
			],
			slotCount: 2,
			ClassNum: 15
		},

		1585: {
			unidentifiedDisplayName: "Ã¥",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°­È­ ºÏ",
			identifiedResourceName: "\xb0\xad\xc8\xad\xba\xcf",
			identifiedDescriptionName: [
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Ã¥.",
				"MATK + 20.",
				"Á¦·Ãµµ 1´ç ATK + 10 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ã¥^000000 °ø°Ý : ^77777745^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®°è¿­/¼¼ÀÌÁö°è¿­/±Ç¼º^000000",
			],
			slotCount: 1,
			ClassNum: 15
		},

		1586: {
			unidentifiedDisplayName: "Ã¥",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë ¹ÙÀÌºí",
			identifiedResourceName: "\xbb\xe7\xbd\xc5\xc0\xc7\xb8\xed\xba\xce",
			identifiedDescriptionName: [
				"MATK + 125.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"BaseLv¿¡ µû¸¥ Èú·® ¼ÒÆø Áõ°¡.",
				"+6 Á¦·Ã ÀÌ»óÀÏ ½Ã,",
				"¶ó¿ì´Ù¾Æ±×´©½º, ¶ó¿ì´Ù¶ó¹«½º, Å¬¸®¾î·±½ºÀÇ ÄðÅ¸ÀÓÀÌ »ç¶óÁø´Ù. ÇØ´ç½ºÅ³ÀÇ SP¼Ò¸ðµµ 60¾¿ Áõ°¡ÇÑ´Ù.",
				"°è¿­ : ^777777Ã¥^000000 °ø°Ý : ^777777110^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®°è¿­/¼¼ÀÌÁö°è¿­/±Ç¼º^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1587: {
			unidentifiedDisplayName: "Ã¥",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë ´ë¹é°ú»çÀü",
			identifiedResourceName: "\xb4\xeb\xb9\xe9\xb0\xfa\xbb\xe7\xc0\xfc",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 80% Áõ°¡, ¹°¸® ¹æ¾î·Â 30% ¹«½Ã.",
				"Á¦·Ãµµ¿¡ µû¶ó ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 1%¾¿ Ãß°¡ Áõ°¡.",
				"+9 Á¦·Ã ÀÌ»óÀÏ ½Ã, ¹°¸® °ø°Ý ½Ã ÀÏÁ¤ È®·ü·Î 3ÃÊ°£ ATK 200 Áõ°¡.",
				"°è¿­ : ^777777Ã¥^000000 °ø°Ý : ^777777130^000000",
				"¹«°Ô : ^777777100^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®°è¿­/¼¼ÀÌÁö°è¿­/±Ç¼º^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1588: {
			unidentifiedDisplayName: "Ã¥",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¸ÞÅ» ºÏ",
			identifiedResourceName: "\xb8\xde\xc5\xbb\xba\xcf",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­Ã¶¿¡ ÇÁ¶óÄÜ°ú ¿¥º£¸£Å¸ÄÜÀ» Ã·°¡ÇÏ¿© ´É·ÂÀ» °­È­½ÃÅ² ±Ý¼ÓÀ¸·Î ÄÚÆÃÇÑ Ã¥",
				"MATK + 10.",
				"Á¦·Ãµµ 1´ç ATK + 5 / MATK + 2 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 20ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"(Áõ°¡·®Àº BaseLv 120±îÁö Àû¿ë)",
				"°è¿­ : ^777777Ã¥^000000 °ø°Ý : ^77777745^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®°è¿­/¼¼ÀÌÁö°è¿­/±Ç¼º^000000",
			],
			slotCount: 1,
			ClassNum: 15
		},

		1591: {
			unidentifiedDisplayName: "Ã¥",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º Ã¥",
			identifiedResourceName: "\xba\xcf",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¸¶¹ý °ø°Ý·Â 5% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ¾ÏÈæ.",
				"Èú·® 5% Áõ°¡.",
				"°è¿­ : ^777777Ã¥^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®°è¿­/¼¼ÀÌÁö°è¿­/±Ç¼º^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		1599: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"\"^339999The Real Holy Cross^000000\"",
			],
			identifiedDisplayName: "Angra manyu",
			identifiedResourceName: "\xbe\xd3\xb1\xd7\xb6\xf3\xb8\xb6\xc0\xcc\xb4\xba",
			identifiedDescriptionName: [
				"\"^339999The Real Holy Cross^000000\"",
			],
			slotCount: 0,
			ClassNum: 8
		},

		1601: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rod",
			identifiedResourceName: "\xb7\xd4\xb5\xe5",
			identifiedDescriptionName: [
				"A simple magic wand.",
				"MATK + 30",
				"Class :^777777 Rod^000000",
				"Attack :^777777 15^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 3,
			ClassNum: 10
		},

		1602: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rod",
			identifiedResourceName: "\xb7\xd4\xb5\xe5",
			identifiedDescriptionName: [
				"A simple magic wand.",
				"MATK + 30",
				"Class :^777777 Rod^000000",
				"Attack :^777777 15^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 4,
			ClassNum: 10
		},

		1603: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rod",
			identifiedResourceName: "\xb7\xd4\xb5\xe5",
			identifiedDescriptionName: [
				"A simple magic wand.",
				"MATK + 30",
				"Class :^777777 Rod^000000",
				"Attack :^777777 15^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1604: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wand",
			identifiedResourceName: "\xbf\xcf\xb5\xe5",
			identifiedDescriptionName: [
				"A rough-hewn wand that's effective enough for the casting of magic spells.",
				"INT + 1, MATK + 45",
				"Class :^777777 Rod^000000",
				"Attack :^777777 25^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Novice, Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 2,
			ClassNum: 10
		},

		1605: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wand",
			identifiedResourceName: "\xbf\xcf\xb5\xe5",
			identifiedDescriptionName: [
				"A rough-hewn wand that's effective enough for the casting of magic spells.",
				"INT + 1, MATK + 45",
				"Class :^777777 Rod^000000",
				"Attack :^777777 25^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Novice, Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 3,
			ClassNum: 10
		},

		1606: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wand",
			identifiedResourceName: "\xbf\xcf\xb5\xe5",
			identifiedDescriptionName: [
				"A rough-hewn wand that's effective enough for the casting of magic spells.",
				"INT + 1, MATK + 45",
				"Class :^777777 Rod^000000",
				"Attack :^777777 25^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Novice, Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1607: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Staff",
			identifiedResourceName: "\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"A wooden staff adorned with an enchanted jewel.",
				"INT + 2, MATK + 70",
				"Class :^777777 Rod^000000",
				"Attack :^777777 40^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 2,
			ClassNum: 10
		},

		1608: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Staff",
			identifiedResourceName: "\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"A wooden staff adorned with an enchanted jewel.",
				"INT + 2, MATK + 70",
				"Class :^777777 Rod^000000",
				"Attack :^777777 40^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 3,
			ClassNum: 10
		},

		1609: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Staff",
			identifiedResourceName: "\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"A wooden staff adorned with an enchanted jewel.",
				"INT + 2, MATK + 70",
				"Class :^777777 Rod^000000",
				"Attack :^777777 40^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1610: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Arc Wand",
			identifiedResourceName: "\xbe\xc6\xc5\xa9\xbf\xcf\xb5\xe5",
			identifiedDescriptionName: [
				"An ornate, elegantly crafted wand that grants powerful magical energy.",
				"INT + 3, MATK + 95",
				"Class :^777777 Rod^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 10
		},

		1611: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Arc Wand",
			identifiedResourceName: "\xbe\xc6\xc5\xa9\xbf\xcf\xb5\xe5",
			identifiedDescriptionName: [
				"An ornate, elegantly crafted wand that grants powerful magical energy.",
				"INT + 3, MATK + 95",
				"Class :^777777 Rod^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 2,
			ClassNum: 10
		},

		1612: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Arc Wand",
			identifiedResourceName: "\xbe\xc6\xc5\xa9\xbf\xcf\xb5\xe5",
			identifiedDescriptionName: [
				"An ornate, elegantly crafted wand that grants powerful magical energy.",
				"INT + 3, MATK + 95",
				"Class :^777777 Rod^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1613: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mighty Staff",
			identifiedResourceName: "\xb8\xb6\xc0\xcc\xc6\xae\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"A rare staff that can convert psychic energy into brute strength.",
				"Consumes 2 SP with each Physical attack.",
				"STR + 10, MATK + 100",
				"Class :^777777 Rod^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1614: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wand of Occult",
			identifiedResourceName: "\xbd\xc5\xb0\xfc\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A shamanic wand topped with a goat's skull that enhances magic attack power.",
				"INT + 3, MATK + 105",
				"Class :^777777 Rod^000000",
				"Attack :^777777 75^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1615: {
			unidentifiedDisplayName: "Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evil Bone Wand",
			identifiedResourceName: "\xc7\xd8\xb0\xf1\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"Since evil spirits possess this wand of human bone, its suffocatingly accursed aura can be sensed by those who wield it.",
				"INT + 4, MATK + 110",
				"Class :^777777 Rod^000000",
				"Attack :^777777 40^000000",
				"Weight :^777777 70^000000",
				"Property :^777777 Undead^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1616: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wing Staff",
			identifiedResourceName: "\xbd\xba\xc5\xc2\xc7\xc1\xbf\xc0\xba\xea\xc0\xae",
			identifiedDescriptionName: [
				"A staff containing a wind fairy that grants its user the essence of speed.",
				"MATK + 115",
				"Reduce Casting Time by 5%.",
				"[^000088Eagle Wing & Wing Staff Equip Set^000000]",
				"Class :^777777 Rod^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 50^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1617: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Survivor's Rod",
			identifiedResourceName: "\xbb\xfd\xc1\xb8\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A staff created as an united effort of the Mage Guild and the Prontera Church, that is intended to support their trainees for undergoing hardship.",
				"There are two types of this staff.",
				"DEX + 2, MATK + 120, Maximum HP + 300",
				"Class :^777777 Rod^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 100^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1618: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Survivor's Rod",
			identifiedResourceName: "\xbb\xfd\xc1\xb8\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A staff created as an united effort of the Mage Guild and the Prontera Church, that is intended to support their trainees for undergoing hardship.",
				"There are two types of this staff.",
				"DEX + 3, MATK + 120, Maximum HP + 400",
				"[^000088Survivor Manteau & slotted Survivor's Rod Equip Set^000000]",
				"Class :^777777 Rod^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 100^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 10
		},

		1619: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Survivor's Rod",
			identifiedResourceName: "\xbb\xfd\xc1\xb8\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc\x32",
			identifiedDescriptionName: [
				"A staff created as an united effort of the Mage Guild and the Prontera Church, that is intended to support their trainees for undergoing hardship.",
				"There are two types of this staff.",
				"INT + 2, MATK + 120, Maximum HP + 300",
				"Class :^777777 Rod^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 100^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1620: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Survivor's Rod",
			identifiedResourceName: "\xbb\xfd\xc1\xb8\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc\x32",
			identifiedDescriptionName: [
				"A staff created as an united effort of the Mage Guild and the Prontera Church, that is intended to support their trainees for undergoing hardship.",
				"There are two types of this staff.",
				"INT + 3, MATK + 120, Maximum HP + 400",
				"[^000088Survivor Manteau & slotted Survivor's Rod Equip Set^000000]",
				"Class :^777777 Rod^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 100^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 10
		},

		1621: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hypnotist's Staff",
			identifiedResourceName: "\xc3\xd6\xb8\xe9\xbc\xfa\xbb\xe7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A staff that hypnotizes the Novice and makes him feel like he is a great Wizard.",
				"INT + 1, MATK + 120",
				"Class :^777777 Rod^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 50^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 1,
			ClassNum: 10
		},

		1622: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hypnotist's Staff",
			identifiedResourceName: "\xc3\xd6\xb8\xe9\xbc\xfa\xbb\xe7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A staff that hypnotizes the Novice and makes him feel like he is a great Wizard.",
				"INT + 1, MATK + 120",
				"Class :^777777 Rod^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 50^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 2,
			ClassNum: 10
		},

		1623: {
			unidentifiedDisplayName: "Mighty Staff",
			unidentifiedResourceName: "\xb8\xb6\xc0\xcc\xc6\xae\xbd\xba\xc5\xc2\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mighty Staff",
			identifiedResourceName: "\xb8\xb6\xc0\xcc\xc6\xae\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A rare staff that can convert psychic energy into brute strength.",
				"Consumes 1 SP with each Physical attack.",
				"STR + 10, INT + 4, MATK + 100",
				"Impossible to refine this item.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 165^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1624: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lich's Bone Wand",
			identifiedResourceName: "\xb8\xae\xc4\xa1\xc7\xd8\xb0\xf1\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A staff created with a skull of a powerful Lich. The curse eminating from this staff will threaten to all those who dare to threaten the wielder of this staff.",
				"MATK + 170, INT + 1, DEX + 1",
				"Whenever you take a Physical Damage, small chance to cause ^880000Curse^000000 status ailment to every enemies in the screen. This chance is increased depending on the refinement rate of this weapon.",
				"[^333399Refine Rate 9~10^000000]",
				"You will receive bonus MATK + 3%, Maximum SP + 300.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 80^000000",
				"Property :^777777 Undead^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans Mage Class, Trans Acolyte Class^000000",
			],
			slotCount: 2,
			ClassNum: 10
		},

		1625: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Healing Staff",
			identifiedResourceName: "\xc4\xa1\xc0\xaf\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A staff made with a branch from the tree Yggdrasil, created with the sole purpose to heal. The staff has something inscribed in ancient language, saying \"Mubeungjangsugiwon\", or \"Forever free of disease, and have a long life\".",
				"MATK + 105",
				"Amount recovered by ^008800Heal and Sanctuary^000000 skill will increase depending on the refinement level of this weapon.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 10^000000",
				"Weight :^777777 40^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1626: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Piercing Staff",
			identifiedResourceName: "\xbd\xba\xc5\xc2\xc7\xc1\xbf\xc0\xba\xea\xc7\xc7\xbe\xee\xbd\xcc",
			identifiedDescriptionName: [
				"A staff with a jewel in it that causes shockwave every once in a while. The shockwave sometimes nullifies enemy's magic defense.",
				"MATK + 145, INT + 4",
				"When you attack using magical ability, it will ignore 10% of their MDEF and deals damage accordingly. The amount ignored will increase depending on the refinement rate of this weapon.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 50^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans Mage Class, Trans Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1627: {
			unidentifiedDisplayName: "ÁöÆÎÀÌ",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Staffy",
			identifiedResourceName: "\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"INT + 4, MATK + 120",
				"Impossible to refine this item.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 40^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1628: {
			unidentifiedDisplayName: "»ýÁ¸ÀÇ ÁöÆÎÀÌ",
			unidentifiedResourceName: "\xbb\xfd\xc1\xb8\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Survivor's Rod",
			identifiedResourceName: "\xbb\xfd\xc1\xb8\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A staff created as an united effort of the Mage Guild and the Prontera Church, that is intended to support their trainees for undergoing hardship.",
				"There are two types of this staff.",
				"DEX + 4, MATK + 145, Maximum HP + 500",
				"Impossible to refine this item.",
				"[^000088Survivor Manteau & slotted Survivor's Rod Equip Set^000000]",
				"Class :^777777 Rod^000000",
				"Attack :^777777 71^000000",
				"Weight :^777777 0^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1629: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gentleman Staff",
			identifiedResourceName: "\xbd\xc5\xbb\xe7\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A staff once used by a very gentle man somewhere a long ago.",
				"A very narrow sword is hidden inside the staff.",
				"MATK + 125, DEX + 1",
				"[^000088+ Magician Hat^000000]",
				"DEX + 2, INT + 2, SP Recovery + 5%. Each refine increases MATK by 1%.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 40^000000",
				"Weight :^777777 50^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Mage, Acolyte, Soul Linker Class^000000",
			],
			slotCount: 1,
			ClassNum: 10
		},

		1630: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Release of Wish",
			identifiedResourceName: "\xb8\xb1\xb8\xae\xc1\xee\xbf\xc0\xba\xea\xc0\xa7\xbd\xba",
			identifiedDescriptionName: [
				"A staff made of Crystal. It shines beautifully by the light.",
				"This staff also can help the holder recover from damage.",
				"MATK + 125, INT + 3",
				"Increased recovery skill effect + 5%.",
				"When performing a Magical attack, there's a small chance recover SP and HP.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 50^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Mage Class^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1631: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Holy Stick",
			identifiedResourceName: "\xc8\xa6\xb8\xae\xbd\xba\xc6\xbd",
			identifiedDescriptionName: [
				"A holy stick which is made of Rune of Odin, speciallized for exorcism.",
				"MATK + 140, Reduce Casting Time of ^008800Holy Light, Turn Undead, and Magnus Exorcismus^000000 by 25%.",
				"[^000088Sacred Scripture & Holy Stick Equip Set^000000]",
				"Class :^777777 Rod^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 50^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 1,
			ClassNum: 10
		},

		1632: {
			unidentifiedDisplayName: "Warlock's Magic Wand",
			unidentifiedResourceName: "\xb8\xb6\xc0\xcc\xc6\xae\xbd\xba\xc5\xc2\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Warlock's Magic Wand",
			identifiedResourceName: "\xb8\xb6\xc0\xcc\xc6\xae\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"A Rod that has been modified for brave magicians who face enemies in battle.",
				"It is especially designed for battles against Demihumans.",
				"MATK + 125, INT + 4, DEX + 3",
				"Ignores Magic Defense from Demihuman monsters by 25%.",
				"Enables a 5% chance to inflict the Stun effect when using magical attacks.",
				"Indestructible.",
				"Class : ^777777Rod^000000",
				"Attack Strength: ^77777770^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1633: {
			unidentifiedDisplayName: "Warlock's Battle Wand",
			unidentifiedResourceName: "\xb8\xb6\xc0\xcc\xc6\xae\xbd\xba\xc5\xc2\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Warlock's Battle Wand",
			identifiedResourceName: "\xb8\xb6\xc0\xcc\xc6\xae\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"A Rod that has been modified for brave magicians who face enemies in battle.",
				"It is especially designed for battles against Demihumans.",
				"MATK + 125, INT + 3, DEX + 3",
				"Increases Magic Damage against Demihuman monsters by 15%.",
				"Enables a 5% chance to inflict the Stun effect when using magical attacks.",
				"Indestructible.",
				"Class : ^777777Rod^000000",
				"Attack Strength: ^77777770^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1634: {
			unidentifiedDisplayName: "Strong Recovery Wand",
			unidentifiedResourceName: "\xc3\xd6\xb8\xe9\xbc\xfa\xbb\xe7\xc1\xf6\xc6\xce\xc0\xcc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Strong Recovery Wand",
			identifiedResourceName: "\xc3\xd6\xb8\xe9\xbc\xfa\xbb\xe7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A Rod that is intended to heal people during battle.",
				"It provides special treatment to serious wounds.",
				"MATK + 125",
				"Increases the Recovery Rate of Heal, Sanctuary by 14% when they are cast by the wearer.",
				"Restores 5 SP every 10 sec.",
				"Indestructible.",
				"Class : ^777777Rod^000000",
				"Attack Strength: ^77777770^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1635: {
			unidentifiedDisplayName: "Speedy Recovery Wand",
			unidentifiedResourceName: "\xc3\xd6\xb8\xe9\xbc\xfa\xbb\xe7\xc1\xf6\xc6\xce\xc0\xcc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Speedy Recovery Wand",
			identifiedResourceName: "\xc3\xd6\xb8\xe9\xbc\xfa\xbb\xe7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A Rod that is intended to heal people during battle.",
				"It has been optimized to heal more rapidly.",
				"MATK + 125, INT + 3, DEX + 2",
				"Reduces Cast Delay by 15%.",
				"Restores 5 SP every 10 sec.",
				"Indestructible.",
				"Class : ^777777Rod^000000",
				"Attack Strength: ^77777770^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1636: {
			unidentifiedDisplayName: "Thorn Staff of Darkness",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Thorn Staff of Darkness",
			identifiedResourceName: "\xc7\xd8\xb0\xf1\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A strong magical staff covered by sharp thorned vines.",
				"MATK + 160, INT + 3, DEX + 3",
				"Each refine adds magic defense bypassing to your magic attacks.",
				"Each refine reduces the aftercast delay of your skills.",
				"Class :^777777 Two-handed Staff^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Trans Mage, Acolyte^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1637: {
			unidentifiedDisplayName: "Eraser",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eraser",
			identifiedResourceName: "\xc0\xcc\xb7\xb9\xc0\xcc\xc0\xfa",
			identifiedDescriptionName: [
				"A magical rod that enables you to keep draining the enemies mentality.",
				"MATK + 170, INT + 3, DEX + 2",
				"Recovery SP + 8%",
				"There is a small chance while magically attacking, on a radius 11 * 11 of your cell and drain every enemies SP by 20%.",
				"If Refine rate is 10, the area becomes 19 * 19 and you drain every enemies SP by 60%.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans Mage Class, Trans Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1638: {
			unidentifiedDisplayName: "Staff Of Healing",
			unidentifiedResourceName: "\xc4\xa1\xc0\xaf\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Staff Of Healing",
			identifiedResourceName: "\xc4\xa1\xc0\xaf\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A staff made with a branch from the tree Yggdrasil, created with the sole purpose to heal. The staff has something inscribed in ancient language, saying \"Mubeungjangsugiwon\", or \"Forever free of disease, and have a long life\".",
				"MATK + 125",
				"Increases 15% chance to yourself by ^008800Heal and Sanctuary^000000 skill.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 10^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1639: {
			unidentifiedDisplayName: "Novice Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Rod",
			identifiedResourceName: "\xb7\xd4\xb5\xe5",
			identifiedDescriptionName: [
				"A simple magic wand.",
				"MATK + 32",
				"Impossible to refine this item.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 15^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 3,
			ClassNum: 10
		},

		1640: {
			unidentifiedDisplayName: "Glorious Arc Wand",
			unidentifiedResourceName: "\xc3\xd6\xb8\xe9\xbc\xfa\xbb\xe7\xc1\xf6\xc6\xce\xc0\xcc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Arc Wand",
			identifiedResourceName: "\xc3\xd6\xb8\xe9\xbc\xfa\xbb\xe7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"MATK+ 135",
				"Increases magical attack against DemiHuman monster by 15%.",
				"Adds 25% magical defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"Each refine increases MATK + 1%.",
				"[^333399Refine Rate 6~10^000000]",
				"Increases magic defense bypassing by 5%.",
				"[^333399Refine Rate 9~10^000000]",
				"Increases MATK + 5%.",
				"Decreases cast time by 5%.",
				"Decreases aftercast delay by 5%.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1641: {
			unidentifiedDisplayName: "Glorious Cure Wand",
			unidentifiedResourceName: "\xc3\xd6\xb8\xe9\xbc\xfa\xbb\xe7\xc1\xf6\xc6\xce\xc0\xcc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Cure Wand",
			identifiedResourceName: "\xc3\xd6\xb8\xe9\xbc\xfa\xbb\xe7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"MATK + 135",
				"Increases the effectiveness of your Heal and Sanctuary skills by 14%.",
				"Skill Aftercast Delay - 10%.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Increases the effectiveness of your Heal by 5%.",
				"Enables use of ^008800Level 1 Blessing^000000.",
				"[^333399Refine Rate 9~10^000000]",
				"Add a chance of auto casting ^008800Level 10 Heal^000000 when using skill Heal.",
				"[^333399Refine Rate 10^000000]",
				"Increases the effectiveness of your Heal by 10%.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1642: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xbe\xc6\xc5\xa9\xbf\xcf\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Staff Of Darkness",
			identifiedResourceName: "\xbe\xc6\xc5\xa9\xbf\xcf\xb5\xe5",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"Staff Of Darkness.",
				"Decreases casting time by 5%.",
				"MATK + 15%. INT + 2.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1643: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dead Tree CaneStaff",
			identifiedResourceName: "\xb0\xed\xb8\xf1\xb3\xaa\xb9\xab\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A staff made from the wood of a tree long exposed to magic power. The staff holds vast magic power, and at times almost looks like an old vagrant.",
				"INT + 4. MATK + 155",
				"INT bonus increases if refined past + 6, at the cost of reduced Max HP and Max SP.",
				"[^333399Refine Rate 6^000000]",
				"INT + 1, MaxHP - 200, MaxSP - 100.",
				"[^333399Refine Rate 7^000000]",
				"INT + 2, MaxHP - 400, MaxSP - 200.",
				"[^333399Refine Rate 8^000000]",
				"INT + 3, MaxHP - 600, MaxSP - 300.",
				"[^333399Refine Rate 9^000000]",
				"INT + 4, MaxHP - 800, MaxSP - 400.",
				"[^333399Refine Rate 10^000000]",
				"INT + 5, MaxHP - 1000, MaxSP - 500.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 10^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1644: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Staff of Piercing",
			identifiedResourceName: "\xbd\xba\xc5\xc2\xc7\xc1\xbf\xc0\xba\xea\xc7\xc7\xbe\xee\xbd\xcc",
			identifiedDescriptionName: [
				"A staff with a jewel in it that causes shockwave every once in a while. The shockwave sometimes nullifies enemy's magic defense.",
				"MATK + 15%, INT + 4",
				"When you attack using magical ability, it will ignore 10% of their MDEF and deals damage accordingly. The amount ignored will increase depending on the refinement rate of this weapon.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 50^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans Mage Class, Trans Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1645: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lich's Bone Wand",
			identifiedResourceName: "\xb8\xae\xc4\xa1\xc7\xd8\xb0\xf1\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A staff created with a skull of a powerful Lich. The curse eminating from this staff will threaten to all those who dare to threaten the wielder of this staff.",
				"MATK + 20%, INT + 1, DEX + 1",
				"Whenever you take a Physical Damage, small chance to cause ^880000Curse^000000 status ailment to every enemies in the screen. This chance is increased depending on the refinement rate of this weapon.",
				"[^333399Refine Rate 9~10^000000]",
				"You will receive bonus MATK + 3%, Maximum SP + 300.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 80^000000",
				"Property :^777777 Undead^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans Mage Class, Trans Acolyte Class^000000",
			],
			slotCount: 2,
			ClassNum: 10
		},

		1646: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "La'cryma Stick",
			identifiedResourceName: "\xb6\xf3\xc5\xa9\xb8\xae\xb8\xb6\xbd\xba\xc6\xbd",
			identifiedDescriptionName: [
				"Decorated with animal tails, it symbolizes a staff frequently used by a great magician.",
				"Strengthens the ice element magic, Storm Gust.",
				"MATK + 180, INT + 4",
				"Each refine increases MDEF + 1 and damage with ^008800Storm Gust^000000 by 1%.",
				"If refined to + 10, reduce ^008800Storm Gust^000000 cast time by 8%.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Mage Class^000000",
			],
			slotCount: 2,
			ClassNum: 10
		},

		1647: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Croce Staff",
			identifiedResourceName: "\xc5\xa9\xb7\xce\xc3\xbc\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"A staff topped with the red symbol of the Prontera cathedral.",
				"Used by high-ranking members of the clergy.",
				"MATK + 175, INT + 4",
				"A chance of auto casting ^008800Blessing^000000 if ^008800Heal^000000 is learned.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 50^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Acolyte Class^000000",
			],
			slotCount: 1,
			ClassNum: 10
		},

		1648: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Staff Of Bordeaux",
			identifiedResourceName: "\xbd\xba\xc5\xc2\xc7\xc1\xbf\xc0\xba\xea\xbf\xc0\xb8\xa3\xb5\xb5",
			identifiedDescriptionName: [
				"A short conductor's baton encrusted with a stabilizing gemstone.",
				"MATK + 175, INT + 2, DEX + 1",
				"If character has learned ^008800Dragonology^000000, SP Cost is reduced by 1%, INT + 3.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Mage Class^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1649: {
			unidentifiedDisplayName: "Rafini Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Laphine Staff",
			identifiedResourceName: "\xb6\xf3\xc7\xc7\xb4\xcf\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"A staff crafted using a magic stone from the Lapine tribe.",
				"Each refine decreases fixed cast time by 1% (does not stack with other fixed cast time effects).",
				"MATK + 180.",
				"Class :^777777 Staff^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 50^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 3rd Mage Class, Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1650: {
			unidentifiedDisplayName: "P.Staff¥°",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Staff I",
			identifiedResourceName: "\xbb\xfd\xc1\xb8\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc\x32",
			identifiedDescriptionName: [
				"A staff created by the Paradise Group. It's an item suitable for beginners.",
				"INT + 2, MATK + 125",
				"Impossible to refine this item.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 26^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1651: {
			unidentifiedDisplayName: "P.Staff¥±",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Staff II",
			identifiedResourceName: "\xc3\xd6\xb8\xe9\xbc\xfa\xbb\xe7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"An intermediate level rod created by the Paradise Group.",
				"INT + 3, MATK + 150",
				"Impossible to refine this item.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1652: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Traveler's Rod",
			identifiedResourceName: "\xb7\xd4\xb5\xe5",
			identifiedDescriptionName: [
				"...",
				"MATK + 15%, INT + 2, AGI + 1.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 35^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1653: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xc8\xa6\xb8\xae\xbd\xba\xc6\xbd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Healing Of Staff",
			identifiedResourceName: "\xc8\xa6\xb8\xae\xbd\xba\xc6\xbd",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"...",
				"...",
				"...",
				"MATK + 100.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 10^000000",
				"Weight :^777777 0^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 3^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1654: {
			unidentifiedDisplayName: "One-handed Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mental Stick",
			identifiedResourceName: "\xb8\xe0\xc5\xbb\xbd\xba\xc6\xbd",
			identifiedDescriptionName: [
				"A staff that converts physical power into psychic energy.",
				"Reduces ^008800Psychic Wave^000000 variable cast time by 3 seconds, but increases the cost of Psychic Wave by 60 sp.",
				"Each refine above +6 increases ^008800Psychic Wave^000000 attack power by 2%, but decreases MaxHP by 2%.",
				"When unequipping the weapon, you lose 100 SP.",
				"MATK + 170.",
				"Class :^777777 Staff^000000",
				"Attack :^777777 40^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 102^000000",
				"Applicable Job :^777777 Sorcerer^000000",
			],
			slotCount: 1,
			ClassNum: 10
		},

		1657: {
			unidentifiedDisplayName: "Wand Of Affection",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wand Of Affection",
			identifiedResourceName: "\xc0\xda\xbe\xd6\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A staff that radiates a lovely light.",
				"MATK + 160, INT + 2.",
				"Increases heal amount by 10%.",
				"[^000088Affection Robe, Affection Shoes, & Affection Shawl Equip Set^000000]",
				"Increases heal amount by 25%, increases heal SP cost by 20.",
				"Decreases the aftercast delay of ^008800Sacrament, Lauda Ramus, and Lauda Agnus^000000 by 2 seconds.",
				"Class :^777777 Staff^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 50^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Arch Bishop^000000",
			],
			slotCount: 2,
			ClassNum: 10
		},

		1658: {
			unidentifiedDisplayName: "Eden Group Staff III",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Staff III",
			identifiedResourceName: "\xbd\xba\xc5\xc2\xc7\xc1\xbf\xc0\xba\xea\xc0\xae",
			identifiedDescriptionName: [
				"...",
				"INT + 4, MATK + 170",
				"Impossible to refine this item.",
				"Class :^777777 Staff^000000",
				"Attack : ^777777 60^000000",
				"Weight : ^777777 0^000000",
				"Weapon Level : ^777777 3^000000",
				"Required Level : ^777777 60^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1659: {
			unidentifiedDisplayName: "ÁöÆÎÀÌ",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "È¸º¹ÀÇ ºû",
			identifiedResourceName: "\xc8\xb8\xba\xb9\xc0\xc7\xba\xfb",
			identifiedDescriptionName: [
				"¿À·ÎÁö Ä¡À¯´É·Â¸¸À» À§ÇØ °³¹ßµÈ ÁöÆÎÀÌ. Å« È¸º¹´É·ÂÀ» °®´Â ´ë½Å »ç¿ëÀÚÀÇ Á¤½Å·Â ¼Ò¸ðµµ ±Ø½ÉÇÏ´Ù´Â ¼Ò¹®.",
				"MATK + 160.",
				"Á¦·Ãµµ¿¡ µû¶ó Èú·® ¹× Èú¿¡ ¼Ò¸ðµÇ´Â SP Å«ÆøÀ¸·Î Áõ°¡.",
				"ÆÄ±«ºÒ°¡.",
				"°è¿­ : ^777777ÇÑ¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777730^000000",
				"¹«°Ô : ^77777740^000000 ¼Ó¼º : ^777777¼º^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777110^000000",
				"ÀåÂø : ^777777¾ÆÅ©ºñ¼ó^000000",
			],
			slotCount: 1,
			ClassNum: 10
		},

		1660: {
			unidentifiedDisplayName: "Empowered Wand Of Affection",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Empowered Wand Of Affection",
			identifiedResourceName: "\xc0\xda\xbe\xd6\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"ÀÚ¾ÖÀÇ ºûÀ» ´ãÀº ÁöÆÎÀÌ.",
				"MATK + 180, INT + 4.",
				"ÀÚ½ÅÀÌ »ç¿ëÇÏ´Â Èú·® 20% Áõ°¡.",
				"ÀÚ¾ÖÀÇ ·Îºê, ½´Áî, ¼ñ°ú ÇÔ²² ÀåÂø ½Ã Èú·® 45% Ãß°¡ Áõ°¡, Èú »ç¿ë ½Ã SP¼Ò¸ð 50 Áõ°¡. ±ÙÁ¢¹°¸®°ø°ÝÀ» ¹ÞÀ» ½Ã ÀÏÁ¤È®·ü·Î ½Ã·»Ä¡¿ò 1Lv¹ßµ¿.",
				"Å¬¸®¾î·±½º, ¶ó¿ì´Ù ¶ó¹«½º, ¶ó¿ì´Ù ¾Æ±×´©½ºÀÇ ½ºÅ³ ÈÄ µô·¹ÀÌ 3ÃÊ °¨¼Ò.",
				"°è¿­ : ^777777ÇÑ¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777730^000000",
				"¹«°Ô : ^77777750^000000 ¼Ó¼º : ^777777¼º^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777130^000000",
				"ÀåÂø : ^777777¾ÆÅ©ºñ¼ó^000000",
			],
			slotCount: 1,
			ClassNum: 10
		},

		1661: {
			unidentifiedDisplayName: "ÇÑ¼ÕÁöÆÎÀÌ",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¸àÅ» µð½ºÆ®·ÎÀÌ¾î",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xbc\xf6\xc8\xa3\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"¸ðµç ¸¶¹ýÀÌ ÀûÀÇ Á¤½Å·Â±îÁö ÆÄ°íµå´Â ¹«½Ã¹«½ÃÇÑ ÁöÆÎÀÌ.",
				"INT + 10, MATK + 50, MDEF + 20.",
				"Àû °ø°Ý ½Ã ¸Å Å¸°Ý¸¶´Ù SPÀÇ 5%¸¦ ¼Ò¸ê½ÃÅ²´Ù. 6Á¦·ÃºÎÅÍ ¼Ò¸ê½ÃÅ°´Â SP¾çÀÌ ¼ÒÆø Áõ°¡ÇÑ´Ù.",
				"½ºÅ³ »ç¿ë ½Ã SP¼Ò¸ð°¡ 100% Áõ°¡ÇÑ´Ù.",
				"ÆÄ±«ºÒ°¡.",
				"°è¿­ : ^777777ÇÑ¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^777777140^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777ÇÏÀÌÀ§ÀÚµå°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1667: {
			unidentifiedDisplayName: "ÇÑ¼ÕÁöÆÎÀÌ",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ½ºÅÂÇÁ",
			identifiedResourceName: "\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MATK + 100.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¸¶¹ý °ø°Ý·Â 10% Áõ°¡.",
				"¸¶¹ý °ø°Ý ½Ã ³ôÀº È®·ü·Î ¾ÏÈæ.",
				"Èú·® 5% Áõ°¡.",
				"°è¿­ : ^777777ÇÑ¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­/¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		1701: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bow",
			identifiedResourceName: "\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A common bow.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 15^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 3,
			ClassNum: 11
		},

		1702: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bow",
			identifiedResourceName: "\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A common bow.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 15^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 4,
			ClassNum: 11
		},

		1703: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bow",
			identifiedResourceName: "\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A common bow.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 15^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1704: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Composite Bow",
			identifiedResourceName: "\xc4\xc4\xc6\xf7\xc1\xf6\xc6\xae\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"An average bow that is mostly used for small game hunting.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 29^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 3,
			ClassNum: 11
		},

		1705: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Composite Bow",
			identifiedResourceName: "\xc4\xc4\xc6\xf7\xc1\xf6\xc6\xae\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"An average bow that is mostly used for small game hunting.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 29^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 4,
			ClassNum: 11
		},

		1706: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Composite Bow",
			identifiedResourceName: "\xc4\xc4\xc6\xf7\xc1\xf6\xc6\xae\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"An average bow that is mostly used for small game hunting.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 29^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1707: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Great Bow",
			identifiedResourceName: "\xb1\xd7\xb7\xb9\xc0\xcc\xc6\xae\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A simply constructed bow that offers well balanced performance.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 2,
			ClassNum: 11
		},

		1708: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Great Bow",
			identifiedResourceName: "\xb1\xd7\xb7\xb9\xc0\xcc\xc6\xae\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A simply constructed bow that offers well balanced performance.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 3,
			ClassNum: 11
		},

		1709: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Great Bow",
			identifiedResourceName: "\xb1\xd7\xb7\xb9\xc0\xcc\xc6\xae\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A simply constructed bow that offers well balanced performance.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1710: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cross Bow",
			identifiedResourceName: "\xc5\xa9\xb7\xce\xbd\xba\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A specially made bow that uses a firing mechanism to launch arrows at enemies.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 65^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 2,
			ClassNum: 11
		},

		1711: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cross Bow",
			identifiedResourceName: "\xc5\xa9\xb7\xce\xbd\xba\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A specially made bow that uses a firing mechanism to launch arrows at enemies.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 65^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 3,
			ClassNum: 11
		},

		1712: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cross Bow",
			identifiedResourceName: "\xc5\xa9\xb7\xce\xbd\xba\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A specially made bow that uses a firing mechanism to launch arrows at enemies.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 65^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 18^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1713: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Arbalest Bow",
			identifiedResourceName: "\xbe\xcb\xb9\xd9\xb7\xb9\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"A powerful siege weapon that is, in essence, a huge crossbow.",
				"DEX + 2",
				"Class :^777777 Bow^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		1714: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gakkung Bow",
			identifiedResourceName: "\xb0\xa2\xb1\xc3",
			identifiedDescriptionName: [
				"A bow made famous by its use by Goongso, a legendary Korean archer that used this bow's power to smite his enemies.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 110^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		1715: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Arbalest Bow",
			identifiedResourceName: "\xbe\xcb\xb9\xd9\xb7\xb9\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"A powerful siege weapon that is, in essence, a huge crossbow.",
				"DEX + 2",
				"Class :^777777 Bow^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 2,
			ClassNum: 11
		},

		1716: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gakkung Bow",
			identifiedResourceName: "\xb0\xa2\xb1\xc3",
			identifiedDescriptionName: [
				"A bow made famous by its use by Goongso, a legendary Korean archer that used this bow's power to smite his enemies.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 110^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 2,
			ClassNum: 11
		},

		1718: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hunter Bow",
			identifiedResourceName: "\xc7\xe5\xc5\xcd\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A mighty bow that can only be effectively used by Hunters and Snipers.",
				"If equipped together with Hunting Arrow, increases damage by 50%.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 125^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Hunter^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1719: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Roguemaster's Bow",
			identifiedResourceName: "\xb5\xb5\xb5\xcf\xc0\xc7\xc8\xb0",
			identifiedDescriptionName: [
				"A bow, created just for Thieves, that has great attacking range.",
				"Weapon Range + 6",
				"Class :^777777 Bow^000000",
				"Attack :^777777 75^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Thief^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1720: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rudra Bow",
			identifiedResourceName: "\xb7\xe7\xb5\xe5\xb6\xf3\xc0\xc7\xc8\xb0",
			identifiedDescriptionName: [
				"A bow imbued with the sacred essence of Rudra, one of the ancient gods.",
				"Add a 50% resistance to the ^880000Poison^000000, ^880000Curse^000000, ^880000Silence^000000, ^880000Confusion^000000 and ^880000Blind^000000 statuses.",
				"Enables the use of ^008800Level 1 Heal^000000 and ^008800Level 1 Cure^000000.",
				"INT + 5",
				"Class :^777777 Bow^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 120^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Archer Class, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1721: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Repeating Crossbow",
			identifiedResourceName: "\xb8\xae\xc7\xc7\xc6\xc3\xc5\xa9\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"A rapid fire crossbow that can shoot many arrows in a short span of time.",
				"Weapon Range + 4",
				"Class :^777777 Bow^000000",
				"Attack :^777777 95^000000",
				"Weight :^777777 200^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Thief, Hunter, Rogue^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		1722: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ballista",
			identifiedResourceName: "\xb9\xdf\xb8\xae\xbd\xba\xc5\xb8",
			identifiedDescriptionName: [
				"A giant bow which was used in ancient battles.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 145^000000",
				"Weight :^777777 350^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 77^000000",
				"Applicable Job :^777777 Hunter, Bard, Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1723: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Luna Bow",
			identifiedResourceName: "\xb7\xe7\xb3\xaa\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A bow crafted out of moonstone with an attached blade that allows its user to block and counter enemy attacks.",
				"The drawback is that this bow is quite heavy.",
				"[^333399Refine Rate 0~6^000000]",
				"DEF + 2",
				"[^333399Refine Rate 7~8^000000]",
				"DEF + 3",
				"[^333399Refine Rate 9~10^000000]",
				"DEF + 5",
				"[^000088Lunatic Brooch & Luna Bow Equip Set^000000]",
				"Class :^777777 Bow^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 200^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Hunter^000000",
			],
			slotCount: 2,
			ClassNum: 11
		},

		1724: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dragon Wing",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xae",
			identifiedDescriptionName: [
				"A bow made in shape of a dragon wing. It is supposedly made from a dragon bone, and can cause deadly damage to dragons.",
				"Pierces Defense of Dragon monster.",
				"3% chance to get Oridecon Arrow upon killing Dragon monsters.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 120^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1725: {
			unidentifiedDisplayName: "Minstrel Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Minstrel Bow",
			identifiedResourceName: "\xc0\xbd\xc0\xaf\xbd\xc3\xc0\xce\xc0\xc7\xc8\xb0",
			identifiedDescriptionName: [
				"A bow that was made by a wandering bard, by remodeling an instrument. It has a beautiful curve and appearance, so it clears the user's spirit.",
				"INT + 2,",
				"SP Recovery + 10%",
				"Class :^777777 Bow^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 170^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Hunter, Bard, Dancer^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		1726: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hunter Bow",
			identifiedResourceName: "\xc7\xe5\xc5\xcd\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A mighty bow that can only be effectively used by Hunters and Snipers.",
				"If equipped together with Hunting Arrow, increases damage by 50%.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 125^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Hunter^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		1727: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ballista",
			identifiedResourceName: "\xb9\xdf\xb8\xae\xbd\xba\xc5\xb8",
			identifiedDescriptionName: [
				"A giant bow which was used in ancient battles.",
				"Weapon Range + 4",
				"Class :^777777 Bow^000000",
				"Attack :^777777 145^000000",
				"Weight :^777777 350^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 77^000000",
				"Applicable Job :^777777 Hunter, Bard, Dancer^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		1728: {
			unidentifiedDisplayName: "Ballista",
			unidentifiedResourceName: "\xb9\xdf\xb8\xae\xbd\xba\xc5\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ballista",
			identifiedResourceName: "\xb9\xdf\xb8\xae\xbd\xba\xc5\xb8",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A giant bow which was used in ancient battles.",
				"Inflict 20% more damage with Long Range Physical attack.",
				"Impossible to refine this item.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 194^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Hunter, Bard, Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1729: {
			unidentifiedDisplayName: "Rudra Bow",
			unidentifiedResourceName: "\xb7\xe7\xb5\xe5\xb6\xf3\xc0\xc7\xc8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rudra Bow",
			identifiedResourceName: "\xb7\xe7\xb5\xe5\xb6\xf3\xc0\xc7\xc8\xb0",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A bow imbued with the sacred essence of Rudra, one of the ancient gods.",
				"Enables the use of ^008800Level 1 Heal^000000 and ^008800Level 1 Cure^000000.",
				"INT + 5",
				"Impossible to refine this item.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 185^000000",
				"Weight :^777777 0^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Archer Class, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1730: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Burning Bow",
			identifiedResourceName: "\xba\xd2\xc5\xb8\xb4\xc2\xc8\xb0",
			identifiedDescriptionName: [
				"A burning bow that seems it is not possible to grab.",
				"Add a 10% resistance to the ^FF0000Fire^000000 Property.",
				"If equipped together with Fire Arrow, increases damage by 25%.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 95^000000",
				"Weight :^777777 140^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Archer Class, Rogue^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		1731: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Frozen Bow",
			identifiedResourceName: "\xb3\xc3\xb0\xa2\xc0\xc7\xc8\xb0",
			identifiedDescriptionName: [
				"A frozen bow. It is uncertain if it can be pulled to shoot an arrow.",
				"Small chance to ^880000Freeze^000000 the target.",
				"If equipped together with Crystal Arrow, increases damage by 25%.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 140^000000",
				"Weapon Level :^777777 3^000000",
				"Property :^777777 Neutral^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Archer Class, Rogue^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		1732: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Earth Bow",
			identifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc8\xb0",
			identifiedDescriptionName: [
				"A bow that looks like it is made in a natural way, making it look like it looks quite natural.",
				"Small chance to ^880000Blind^000000 the target.",
				"If equipped together with Stone Arrow, increases damage by 25%.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 140^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Archer Class, Rogue^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		1733: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gust Bow",
			identifiedResourceName: "\xc1\xfa\xc7\xb3\xc0\xc7\xc8\xb0",
			identifiedDescriptionName: [
				"A light bow that seems to have a potential to cause a whirlwind.",
				"When the user receives a Physical Damage, small chance to auto-spell ^008800Level 5 Wind Blade^000000.",
				"If equipped together with Wind Arrow, increases damage by 25%.",
				"[^008800Base Intelligence >= 40^000000]",
				"Add a high chance of auto casting ^008800Level 5 Wind Blade^000000.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 95^000000",
				"Weight :^777777 140^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Archer Class, Rogue^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		1734: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orc Archer Bow",
			identifiedResourceName: "\xbf\xc0\xc5\xa9\xbe\xc6\xc3\xc4\xc0\xc7\xc8\xb0",
			identifiedDescriptionName: [
				"A bow used by the Orc Archers. It is very large and looks very powerful.",
				"Every time you kill a monster, small chance to drop Steel Arrow.",
				"If equipped together with Steel Arrow, increases damage by 50%.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 160^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Archer Class, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1735: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kkakkung",
			identifiedResourceName: "\xb0\xa2\xb1\xc3",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"Increases damage by 50%.",
				"Impossible to refine this item.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1736: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Double Bound",
			identifiedResourceName: "\xb4\xf5\xba\xed\xb9\xd9\xbf\xee\xb5\xe5",
			identifiedDescriptionName: [
				"A slim and smooth bow which is speciallized for double attack.",
				"Add a 5% chance of auto casting ^008800Double Strafing^000000 on the enemy when attacking.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Sniper^000000",
			],
			slotCount: 3,
			ClassNum: 11
		},

		1737: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ixion Wings",
			identifiedResourceName: "\xc0\xcd\xbd\xc3\xbf\xc2\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"A beautiful bow that shaped as pure white wings spreaded.",
				"When attacking there is a chance of boost ASPD by 7% for 7 seconds. Higher refine boosts the chance of occurance.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 135^000000",
				"Weight :^777777 30^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Sniper^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		1738: {
			unidentifiedDisplayName: "Valorous Battle CrossBow",
			unidentifiedResourceName: "\xc5\xa9\xb7\xce\xbd\xba\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valorous Battle CrossBow",
			identifiedResourceName: "\xc5\xa9\xb7\xce\xbd\xba\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A Crossbow that has been designed to deal more damage to Demihuman monsters. ",
				"DEX + 2",
				"Increases Physical Attack Strength towards Demihuman monsters by 55%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"Indestructible.",
				"Class : ^777777Bow^000000",
				"Attack Strength: ^777777100^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Archer Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1739: {
			unidentifiedDisplayName: "Brave Battle CrossBow",
			unidentifiedResourceName: "\xc5\xa9\xb7\xce\xbd\xba\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brave Battle CrossBow",
			identifiedResourceName: "\xc5\xa9\xb7\xce\xbd\xba\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A Crossbow that has been designed to deal more damage to Demihuman monsters. ",
				"DEX + 2, INT + 10",
				"Increases Physical Attack Strength towards Demihuman monsters by 55%.",
				"Indestructible.",
				"Class : ^777777Bow^000000",
				"Attack Strength: ^777777100^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Archer Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1740: {
			unidentifiedDisplayName: "Nepenthes Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Nepenthes Bow",
			identifiedResourceName: "\xb3\xd7\xc6\xe6\xb5\xa5\xbd\xba\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A soft bow made by the tentacles of Nepentis.",
				"While using Double Strafing, small chance to Arrow Repel at the same time.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Sniper^000000",
			],
			slotCount: 2,
			ClassNum: 11
		},

		1741: {
			unidentifiedDisplayName: "Cursed Lyre",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cursed Lyre",
			identifiedResourceName: "\xc4\xbf\xc1\xee\xb5\xe5\xb6\xf3\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A long long time ago, in the Eastern lands, there was a Hero who killed people with a cursed bow.",
				"LUK - 2",
				"^880000Curse^000000 on an enemy with Long Range Physical attack. (Success Chance 4%).",
				"Class :^777777 Bow^000000",
				"Attack :^777777 125^000000",
				"Weight :^777777 125^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Trans Archer Class^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		1742: {
			unidentifiedDisplayName: "Novice Composite Bow",
			unidentifiedResourceName: "\xc4\xc4\xc6\xf7\xc1\xf6\xc6\xae\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Composite Bow",
			identifiedResourceName: "\xc4\xc4\xc6\xf7\xc1\xf6\xc6\xae\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"An average bow that is mostly used for small game hunting.",
				"Impossible to refine this item.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 49^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 4^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 3,
			ClassNum: 11
		},

		1743: {
			unidentifiedDisplayName: "Glorious Hunter Bow",
			unidentifiedResourceName: "\xc7\xe5\xc5\xcd\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Hunter Bow",
			identifiedResourceName: "\xc7\xe5\xc5\xcd\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 55%.",
				"Adds 20% defense bypassing on Demi-human monster.",
				"Increases your critical damage by 2 times the refine rate.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Adds 5% defense bypassing on Demi-human monster.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"Increases damage of ^008800Double Strafing^000000 skill by 20%.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1744: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xb5\xb5\xb5\xcf\xc0\xc7\xc8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bow Of Evil",
			identifiedResourceName: "\xb5\xb5\xb5\xcf\xc0\xc7\xc8\xb0",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"The devil's bow.",
				"Increases 25% damage with Double Strafe skill.",
				"DEX + 2.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Applicable Job :^777777 Archer Class, Thief, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1745: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Falken Blitz",
			identifiedResourceName: "\xc6\xc8\xc4\xcb\xba\xed\xb8\xae\xc3\xf7",
			identifiedDescriptionName: [
				"A red bow made in the form of a soaring falcon. It's designed so that skills may be performed elegantly.",
				"Increases damage when using skill ^008800Sharp Shooting, Double Strafe, Arrow Repel^000000 by 10%.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Sniper^000000",
			],
			slotCount: 2,
			ClassNum: 11
		},

		1746: {
			unidentifiedDisplayName: "Elven Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elven Bow",
			identifiedResourceName: "\xbf\xa4\xba\xec\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A bow made to mimic those of ancient forest guardians.",
				"DEX + 2.",
				"If equipped together with Elven Arrow, increases damage by 50%.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 150^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 3rd Archer Class^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		1747: {
			unidentifiedDisplayName: "P.Bow¥°",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Bow I",
			identifiedResourceName: "\xb5\xb5\xb5\xcf\xc0\xc7\xc8\xb0",
			identifiedDescriptionName: [
				"A bow created by the Paradise Group. It's been restructured so its easy to use by beginner archers.",
				"Impossible to refine this item.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 82^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 26^000000",
				"Applicable Job :^777777 Archer Class, Thief Class, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1748: {
			unidentifiedDisplayName: "P.Bow¥±",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Bow II",
			identifiedResourceName: "\xc7\xe5\xc5\xcd\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A practical bow crafted by the Paradise Group. It's a little trickier to use, so more suitable for intermediate users.",
				"Impossible to refine this item.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Archer Class, Thief Class, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1749: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Traveler's Bow",
			identifiedResourceName: "\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"...",
				"DEX + 2.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 40^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Archer Class, Thief Class, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		1750: {
			unidentifiedDisplayName: "Arrow",
			unidentifiedResourceName: "\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"A common arrow.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 25^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Arrow",
			identifiedResourceName: "\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"A common arrow.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 25^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1751: {
			unidentifiedDisplayName: "Arrow",
			unidentifiedResourceName: "\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"An arrow tipped with a silver point enchanted with the power of holiness.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Holy^000000",
			],
			identifiedDisplayName: "Silver Arrow",
			identifiedResourceName: "\xc0\xba\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"An arrow tipped with a silver point enchanted with the power of holiness.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Holy^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1752: {
			unidentifiedDisplayName: "Arrow",
			unidentifiedResourceName: "\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"A flaming arrow that will inflict ^FF0000Fire^000000 Property damage.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^FF0000 Fire^000000",
			],
			identifiedDisplayName: "Fire Arrow",
			identifiedResourceName: "\xba\xd2\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"A flaming arrow that will inflict ^FF0000Fire^000000 Property damage.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^FF0000 Fire^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1753: {
			unidentifiedDisplayName: "Steel Arrow",
			unidentifiedResourceName: "\xb0\xad\xc3\xb6\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"An arrow constructed from hardened steel.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 40^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Steel Arrow",
			identifiedResourceName: "\xb0\xad\xc3\xb6\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"An arrow constructed from hardened steel.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 40^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1754: {
			unidentifiedDisplayName: "Crystal Arrow",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa4\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"An arrow made of blue crystal imbued with the power of Water.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^0000FF Water^000000",
			],
			identifiedDisplayName: "Crystal Arrow",
			identifiedResourceName: "\xbc\xf6\xc1\xa4\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"An arrow made of blue crystal imbued with the power of Water.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^0000FF Water^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1755: {
			unidentifiedDisplayName: "Arrow of Wind",
			unidentifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"An arrow enchanted by the power of the Wind.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^009900 Wind^000000",
			],
			identifiedDisplayName: "Arrow of Wind",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"An arrow enchanted by the power of the Wind.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^009900 Wind^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1756: {
			unidentifiedDisplayName: "Stone Arrow",
			unidentifiedResourceName: "\xbe\xcf\xbc\xae\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"An arrow made of stone imbued with the power of the Earth.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^996600 Earth^000000",
			],
			identifiedDisplayName: "Stone Arrow",
			identifiedResourceName: "\xbe\xcf\xbc\xae\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"An arrow made of stone imbued with the power of the Earth.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^996600 Earth^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1757: {
			unidentifiedDisplayName: "Immaterial Arrow",
			unidentifiedResourceName: "\xb9\xab\xc7\xfc\xc0\xc7\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"A shining arrow that doesn't have a discernable shape.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Ghost^000000",
			],
			identifiedDisplayName: "Immaterial Arrow",
			identifiedResourceName: "\xb9\xab\xc7\xfc\xc0\xc7\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"A shining arrow that doesn't have a discernable shape.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Ghost^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1758: {
			unidentifiedDisplayName: "Stun Arrow",
			unidentifiedResourceName: "\xbd\xba\xc5\xcf\xbe\xd6\xb7\xce\xbf\xec",
			unidentifiedDescriptionName: [
				"A thick, heavy arrow.",
				"Inflict the ^880000Stun^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Stun Arrow",
			identifiedResourceName: "\xbd\xba\xc5\xcf\xbe\xd6\xb7\xce\xbf\xec",
			identifiedDescriptionName: [
				"A thick, heavy arrow.",
				"Inflict the ^880000Stun^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1759: {
			unidentifiedDisplayName: "Freezing Arrow",
			unidentifiedResourceName: "\xc7\xc1\xb8\xae\xc2\xa1\xbe\xd6\xb7\xce\xbf\xec",
			unidentifiedDescriptionName: [
				"An arrow enchanted with the power of ice.",
				"Inflict the ^880000Freeze^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^0000FF Water^000000",
			],
			identifiedDisplayName: "Frozen Arrow",
			identifiedResourceName: "\xc7\xc1\xb8\xae\xc2\xa1\xbe\xd6\xb7\xce\xbf\xec",
			identifiedDescriptionName: [
				"An arrow enchanted with the power of ice.",
				"Inflict the ^880000Freeze^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^0000FF Water^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1760: {
			unidentifiedDisplayName: "Flash Arrow",
			unidentifiedResourceName: "\xbd\xba\xc5\xcf\xbe\xd6\xb7\xce\xbf\xec",
			unidentifiedDescriptionName: [
				"An arrow that explodes with a flash of light upon impact.",
				"Inflicts the ^880000Blind^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Flash Arrow",
			identifiedResourceName: "\xbd\xba\xc5\xcf\xbe\xd6\xb7\xce\xbf\xec",
			identifiedDescriptionName: [
				"An arrow that explodes with a flash of light upon impact.",
				"Inflicts the ^880000Blind^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1761: {
			unidentifiedDisplayName: "Curse Arrow",
			unidentifiedResourceName: "\xc4\xbf\xbd\xba\xbe\xd6\xb7\xce\xbf\xec",
			unidentifiedDescriptionName: [
				"An arrow enchanted with curse magic.",
				"Inflict the ^880000Curse^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Cursed Arrow",
			identifiedResourceName: "\xc4\xbf\xbd\xba\xbe\xd6\xb7\xce\xbf\xec",
			identifiedDescriptionName: [
				"An arrow enchanted with curse magic.",
				"Inflict the ^880000Curse^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1762: {
			unidentifiedDisplayName: "Rusty Arrow",
			unidentifiedResourceName: "\xb3\xec\xbd\xbc\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"An old, rusty arrow.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Poison^000000",
			],
			identifiedDisplayName: "Rusty Arrow",
			identifiedResourceName: "\xb3\xec\xbd\xbc\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"An old, rusty arrow.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Poison^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1763: {
			unidentifiedDisplayName: "Poison Arrow",
			unidentifiedResourceName: "\xb5\xb6\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"An arrow whose tip has been dipped in lethal poison.",
				"Inflict the ^880000Poison^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Poison^000000",
			],
			identifiedDisplayName: "Poison Arrow",
			identifiedResourceName: "\xb5\xb6\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"An arrow whose tip has been dipped in lethal poison.",
				"Inflict the ^880000Poison^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Poison^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1764: {
			unidentifiedDisplayName: "Sharp Arrow",
			unidentifiedResourceName: "\xb3\xaf\xc4\xab\xb7\xce\xbf\xee\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"An arrow with topped with a serrated blade.",
				"Increases Critical Rate.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 10^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Sharp Arrow",
			identifiedResourceName: "\xb3\xaf\xc4\xab\xb7\xce\xbf\xee\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"An arrow with topped with a serrated blade.",
				"Increases Critical Rate.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 10^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1765: {
			unidentifiedDisplayName: "Oridecon Arrow",
			unidentifiedResourceName: "\xb0\xad\xc3\xb6\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"A very powerful arrow made out of Oridecon.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Oridecon Arrow",
			identifiedResourceName: "\xb0\xad\xc3\xb6\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"A very powerful arrow made out of Oridecon.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1766: {
			unidentifiedDisplayName: "Arrow of Counter Evil",
			unidentifiedResourceName: "\xb0\xad\xc3\xb6\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"An arrow that is said to have the might to counter evil.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Holy^000000",
			],
			identifiedDisplayName: "Arrow of Counter Evil",
			identifiedResourceName: "\xb0\xad\xc3\xb6\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"An arrow that is said to have the might to counter evil.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Holy^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1767: {
			unidentifiedDisplayName: "Arrow of Shadow",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xda\xc0\xc7\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"An arrow imbued with the power of darkness.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Shadow^000000",
			],
			identifiedDisplayName: "Arrow of Shadow",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xda\xc0\xc7\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"An arrow imbued with the power of darkness.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Shadow^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1768: {
			unidentifiedDisplayName: "Sleep Arrow",
			unidentifiedResourceName: "\xbd\xbd\xb8\xb3\xbe\xd6\xb7\xce\xbf\xec",
			unidentifiedDescriptionName: [
				"An arrow that can render targets unconscious.",
				"Inflict the ^880000Sleep^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Sleep Arrow",
			identifiedResourceName: "\xbd\xbd\xb8\xb3\xbe\xd6\xb7\xce\xbf\xec",
			identifiedDescriptionName: [
				"An arrow that can render targets unconscious.",
				"Inflict the ^880000Sleep^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1769: {
			unidentifiedDisplayName: "Mute Arrow",
			unidentifiedResourceName: "\xbb\xe7\xc0\xcf\xb7\xb1\xbd\xba\xbe\xd6\xb7\xce\xbf\xec",
			unidentifiedDescriptionName: [
				"An arrow coated with a chemical that will paralyze a target's mouth.",
				"Inflict the ^880000Silence^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Mute Arrow",
			identifiedResourceName: "\xbb\xe7\xc0\xcf\xb7\xb1\xbd\xba\xbe\xd6\xb7\xce\xbf\xec",
			identifiedDescriptionName: [
				"An arrow coated with a chemical that will paralyze a target's mouth.",
				"Inflict the ^880000Silence^000000 status on targets by a low chance.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 1^000000",
				"Weight :^777777 0.3^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1770: {
			unidentifiedDisplayName: "Iron Arrow",
			unidentifiedResourceName: "\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"Forged out of iron, this arrow will inflict more damage than one crafted of wood.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Iron Arrow",
			identifiedResourceName: "\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"Forged out of iron, this arrow will inflict more damage than one crafted of wood.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1771: {
			unidentifiedDisplayName: "Venom Knife",
			unidentifiedResourceName: "\xba\xa3\xb3\xd1\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"A throwing knife that has venomous properties.",
				"When thrown at enemies, there is a possibility it will ^880000Poison^000000 them.",
				"Class :^777777 Throwing Dagger^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Venom Knife",
			identifiedResourceName: "\xba\xa3\xb3\xd1\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"A throwing knife that has venomous properties.",
				"When thrown at enemies, there is a possibility it will ^880000Poison^000000 them.",
				"Class :^777777 Throwing Dagger^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1772: {
			unidentifiedDisplayName: "Holy Arrow",
			unidentifiedResourceName: "\xb0\xad\xc3\xb6\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"An arrow made from a metal that has the power to destroy evil, blessed and covered in holy water.",
				"Increase damage on Demon monster by 5%.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Holy^000000",
			],
			identifiedDisplayName: "Holy Arrow",
			identifiedResourceName: "\xb0\xad\xc3\xb6\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"An arrow made from a metal that has the power to destroy evil, blessed and covered in holy water.",
				"Increase damage on Demon monster by 5%.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Holy^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1773: {
			unidentifiedDisplayName: "Elven Arrow",
			unidentifiedResourceName: "\xbf\xa4\xc7\xc1\xc0\xc7\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"An arrow crafted by the elves from an ancient tree.",
				"When used in combination with Elven Bow, ranged attack damage + 50%.",
				"Class : ^777777 Arrow^000000",
				"Attack : ^777777 45^000000",
				"Weight : ^777777 0.1^000000",
				"Property : ^777777 Neutral^000000",
				"Required Level : ^777777 100^000000",
			],
			identifiedDisplayName: "Elven Arrow",
			identifiedResourceName: "\xbf\xa4\xc7\xc1\xc0\xc7\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"An arrow crafted by the elves from an ancient tree.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 45^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
				"Required Level :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1774: {
			unidentifiedDisplayName: "Hunting Arrow",
			unidentifiedResourceName: "\xbb\xe7\xb3\xc9\xbf\xeb\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"An arrow crafted specifically with hunting large animals in mind.",
				"When used in combination with Hunter Bow, Ranged attack damage + 50%.",
				"Class : ^777777 Arrow^000000",
				"Attack : ^777777 35^000000",
				"Weight : ^777777 0.1^000000",
				"Property : ^777777 Neutral^000000",
			],
			identifiedDisplayName: "Hunting Arrow",
			identifiedResourceName: "\xbb\xe7\xb3\xc9\xbf\xeb\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"An arrow crafted specifically with hunting large animals in mind.",
				"Class :^777777 Arrow^000000",
				"Attack :^777777 35^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1775: {
			unidentifiedDisplayName: "°ø¼º º¸±Þ¿ë È­»ìS",
			unidentifiedResourceName: "\xb0\xad\xc3\xb6\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"°ø¼º ½Ã º¸±Þ¿ëÀ¸·Î ´ë·® Á¦ÀÛµÈ È­»ì.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"º§·ë Å©·Î½º º¸¿ì¿Í ÇÔ²² »ç¿ë ½Ã ¿ø°Å¸® °ø°Ý·Â 70% »ó½Â.",
				"°è¿­ : ^777777È­»ì^000000 °ø°Ý : ^77777745^000000",
				"¹«°Ô : ^7777770.1^000000 ¼Ó¼º : ^777777¹«¼Ó¼º^000000",
				"·¹º§Á¦ÇÑ : ^777777130^000000",
			],
			identifiedDisplayName: "°ø¼º º¸±Þ¿ë È­»ìS",
			identifiedResourceName: "\xb0\xad\xc3\xb6\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"°ø¼º ½Ã º¸±Þ¿ëÀ¸·Î ´ë·® Á¦ÀÛµÈ È­»ì.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"º§·ë Å©·Î½º º¸¿ì¿Í ÇÔ²² »ç¿ë ½Ã ¿ø°Å¸® °ø°Ý·Â 70% »ó½Â.",
				"°è¿­ : ^777777È­»ì^000000 °ø°Ý : ^77777745^000000",
				"¹«°Ô : ^7777770.1^000000 ¼Ó¼º : ^777777¹«¼Ó¼º^000000",
				"·¹º§Á¦ÇÑ : ^777777130^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1776: {
			unidentifiedDisplayName: "°ø¼º º¸±Þ¿ë È­»ìA",
			unidentifiedResourceName: "\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"°ø¼º ½Ã º¸±Þ¿ëÀ¸·Î ´ë·® Á¦ÀÛµÈ È­»ì.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"º§·ë Å©·Î½º º¸¿ì¿Í ÇÔ²² »ç¿ë ½Ã ¿ø°Å¸® °ø°Ý·Â 40% »ó½Â.",
				"°è¿­ : ^777777È­»ì^000000 °ø°Ý : ^77777730^000000",
				"¹«°Ô : ^7777770.1^000000 ¼Ó¼º : ^777777¹«¼Ó¼º^000000",
				"·¹º§Á¦ÇÑ : ^77777795^000000",
			],
			identifiedDisplayName: "°ø¼º º¸±Þ¿ë È­»ìA",
			identifiedResourceName: "\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"°ø¼º ½Ã º¸±Þ¿ëÀ¸·Î ´ë·® Á¦ÀÛµÈ È­»ì.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"º§·ë Å©·Î½º º¸¿ì¿Í ÇÔ²² »ç¿ë ½Ã ¿ø°Å¸® °ø°Ý·Â 40% »ó½Â.",
				"°è¿­ : ^777777È­»ì^000000 °ø°Ý : ^77777730^000000",
				"¹«°Ô : ^7777770.1^000000 ¼Ó¼º : ^777777¹«¼Ó¼º^000000",
				"·¹º§Á¦ÇÑ : ^77777795^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		1801: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Waghnak",
			identifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			identifiedDescriptionName: [
				"A common, yet effective claw that's also known as the \"Tiger Fang\".",
				"Class :^777777 Claw^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 3,
			ClassNum: 12
		},

		1802: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Waghnak",
			identifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			identifiedDescriptionName: [
				"A common, yet effective claw that's also known as the \"Tiger Fang\".",
				"Class :^777777 Claw^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 4,
			ClassNum: 12
		},

		1803: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Knuckle Dusters",
			identifiedResourceName: "\xb3\xca\xc5\xac\xb4\xf5\xbd\xba\xc5\xcd",
			identifiedDescriptionName: [
				"A protective covering that shields the back of the hand and forearm, and has raised studs for offensive purposes.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 45^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 2,
			ClassNum: 12
		},

		1804: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Knuckle Dusters",
			identifiedResourceName: "\xb3\xca\xc5\xac\xb4\xf5\xbd\xba\xc5\xcd",
			identifiedDescriptionName: [
				"A protective covering that shields the back of the hand and forearm, and has raised studs for offensive purposes.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 45^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 3,
			ClassNum: 12
		},

		1805: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Studded Knuckles",
			identifiedResourceName: "\xc8\xa3\xb6\xf3",
			identifiedDescriptionName: [
				"Silver, spiked knuckles with diamond studs that are usually worn by the best fighters in a tribe.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 65^000000",
				"Weight :^777777 45^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 2,
			ClassNum: 12
		},

		1806: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Studded Knuckles",
			identifiedResourceName: "\xc8\xa3\xb6\xf3",
			identifiedDescriptionName: [
				"Silver, spiked knuckles with diamond studs that are usually worn by the best fighters in a tribe.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 65^000000",
				"Weight :^777777 45^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 3,
			ClassNum: 12
		},

		1807: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fist",
			identifiedResourceName: "\xc7\xc7\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"A weapon made in the form of a human fist which effectively inflicts damage on enemies.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 115^000000",
				"Weight :^777777 65^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		1808: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fist",
			identifiedResourceName: "\xc7\xc7\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"A weapon made in the form of a human fist which effectively inflicts damage on enemies.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 115^000000",
				"Weight :^777777 65^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 1,
			ClassNum: 12
		},

		1809: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Claw",
			identifiedResourceName: "\xc5\xa9\xb7\xce",
			identifiedDescriptionName: [
				"A weapon with three long steel claws that have proven effective in close combat.",
				"STR + 2",
				"Class :^777777 Claw^000000",
				"Attack :^777777 86^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 1,
			ClassNum: 12
		},

		1810: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Claw",
			identifiedResourceName: "\xc5\xa9\xb7\xce",
			identifiedDescriptionName: [
				"A weapon with three long steel claws that have proven effective in close combat.",
				"STR + 2",
				"Class :^777777 Claw^000000",
				"Attack :^777777 86^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 2,
			ClassNum: 12
		},

		1811: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Finger",
			identifiedResourceName: "\xc7\xce\xb0\xc5",
			identifiedDescriptionName: [
				"Claws shaped like human fingers with long, sharp nails.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 97^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 1,
			ClassNum: 12
		},

		1812: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Finger",
			identifiedResourceName: "\xc7\xce\xb0\xc5",
			identifiedDescriptionName: [
				"Claws shaped like human fingers with long, sharp nails.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 97^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 2,
			ClassNum: 12
		},

		1813: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kaiser Knuckle",
			identifiedResourceName: "\xc4\xab\xc0\xcc\xc0\xfa\xb3\xca\xc5\xac",
			identifiedDescriptionName: [
				"A claw blessed by Zephyrus, god of the west wind.",
				"Inflicts 5% additional damage on Undead monster and 10% additional damage on ^996600Earth^000000, ^0000FFWater^000000, ^FF0000Fire^000000 and ^009900Wind^000000 Property enemies.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 45^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		1814: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Berserk",
			identifiedResourceName: "\xba\xa3\xb8\xa3\xbc\xbc\xb8\xa3\xc5\xa9",
			identifiedDescriptionName: [
				"A claw imbued with the essence of madness.",
				"Increases Attack Speed.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		1815: {
			unidentifiedDisplayName: "Knuckle",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hatii Claw",
			identifiedResourceName: "\xb0\xa1\xb8\xa7\xc0\xc7\xb9\xdf\xc5\xe9",
			identifiedDescriptionName: [
				"A blood stained weapon created from the claws of Garm, keeper of the door to the netherworld.",
				"Maximum HP - 2%",
				"^880000External Bleeding^000000 an enemy when you attack (Success Chance 2%).",
				"Class :^777777 Claw^000000",
				"Attack :^777777 152^000000",
				"Weight :^777777 55^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 1,
			ClassNum: 12
		},

		1816: {
			unidentifiedDisplayName: "Claw",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Berserk",
			identifiedResourceName: "\xba\xa3\xb8\xa3\xbc\xbc\xb8\xa3\xc5\xa9",
			identifiedDescriptionName: [
				"A claw imbued with the essence of madness.",
				"Increases Attack Speed.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 1,
			ClassNum: 12
		},

		1817: {
			unidentifiedDisplayName: "Kaiser Knuckle",
			unidentifiedResourceName: "\xc4\xab\xc0\xcc\xc0\xfa\xb3\xca\xc5\xac",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kaiser Knuckle",
			identifiedResourceName: "\xc4\xab\xc0\xcc\xc0\xfa\xb3\xca\xc5\xac",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A claw blessed by Zephyrus, god of the west wind.",
				"Inflicts 5% additional damage on Undead monster and 10% additional damage on ^996600Earth^000000, ^0000FFWater^000000, ^FF0000Fire^000000 and ^009900Wind^000000 Property enemies.",
				"Increases Attack Speed by 5%.",
				"Impossible to refine this item.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 159^000000",
				"Weight :^777777 0^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		1818: {
			unidentifiedDisplayName: "Finger",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magma Fist",
			identifiedResourceName: "\xb8\xb6\xb1\xd7\xb8\xb6\xc7\xc7\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"A knuckle made with magma. It appears like any other knuckles, but it sometimes gets very hot to the point it could melt anything in contact with it. However, the inside of this knuckle has been designed specifically so it won't burn the user's hands.",
				"Add a 1% chance of auto casting ^008800Level 5 Flame Launcher^000000 on the enemy when attacking.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 65^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 3,
			ClassNum: 12
		},

		1819: {
			unidentifiedDisplayName: "Finger",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Icicle Fist",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbd\xc3\xc5\xac\xc7\xc7\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"A knuckle made with an icicle. It appears like any other knuckles, but it sometimes gets very cold to the point it could freeze anything in contact with it. However, it seems to have no effect at all to the user.",
				"Add a 1% chance of auto casting ^008800Level 5 Frost Weapon^000000 on the enemy when attacking.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 65^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 3,
			ClassNum: 12
		},

		1820: {
			unidentifiedDisplayName: "Finger",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Electric Fist",
			identifiedResourceName: "\xc0\xcf\xb7\xba\xc6\xae\xb8\xaf\xc7\xc7\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"A knuckle made with the power of lightning. It appears like any other knuckles, but it sometimes cause massive shock to the enemies. Due to the specifically designed components inside of the knuckles, the user is not affected.",
				"Add a 1% chance of auto casting ^008800Level 5 Lighting Loader^000000 on the enemy when attacking.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 65^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 3,
			ClassNum: 12
		},

		1821: {
			unidentifiedDisplayName: "Finger",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Seismic Fist",
			identifiedResourceName: "\xbb\xe7\xc0\xcc\xc1\xee\xb9\xcd\xc7\xc7\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"A knuckle made with the spirit of the earth. It appears like any other knuckles, but it sometimes eminates powerful aura that could destroy any enemies in your way. While the power of the earth shows absolute cruelty toward the enemies, the wielder will only feel the warmth and kindness of the goddess of the earth.",
				"Add a 1% chance of auto casting ^008800Level 5 Seismic Weapon^000000 on the enemy when attacking.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 65^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 3,
			ClassNum: 12
		},

		1822: {
			unidentifiedDisplayName: "Finger",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Combo Battle Glove",
			identifiedResourceName: "\xbf\xac\xb0\xdd\xc0\xc7\xc5\xf5\xb0\xa9",
			identifiedDescriptionName: [
				"The special spells of blessing written on this battle gloves causes Monks that follow the path of the God to bring about much stronger damage.",
				"^008800Raging Trifecta Blow^000000 damage increased by 15%.",
				"^008800Raging Quadruple Blow^000000 damage increased by 15%.",
				"^008800Raging Thrust^000000 damage increased by 20%.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 50^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 4,
			ClassNum: 12
		},

		1823: {
			unidentifiedDisplayName: "Valorous Battle Fist",
			unidentifiedResourceName: "\xc7\xc7\xbd\xba\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valorous Battle Fist",
			identifiedResourceName: "\xc7\xc7\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"Battle Gloves used by combatants in the field of battle. Its wearer is never exhausted because it brings unlimited power once worn.",
				"STR + 2, AGI + 1",
				"Increases Physical Attack Strength towards Demihuman monsters by 95%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"Each physical attack adds the chance of auto casting ^FF0000Zen^000000 skill.",
				"Indestructible.",
				"Class : ^777777Claw^000000",
				"Attack Strength: ^77777730^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		1824: {
			unidentifiedDisplayName: "Brave Battle Fist",
			unidentifiedResourceName: "\xc7\xc7\xbd\xba\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brave Battle Fist",
			identifiedResourceName: "\xc7\xc7\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"Battle Gloves used by combatants in the field of battle. Its wearer is never exhausted because it brings unlimited power once worn.",
				"STR + 2, INT + 1",
				"Increases Physical Attack Strength towards Demihuman monsters by 95%.",
				"Reduces ^FF0000Guillotine Fist^000000 casting time by 25%.",
				"When attacking, and weapon awakening in consistent probability, ",
				"Has a chance of negating ^FF0000Guillotine Fist^000000 Variable Casting Time 100% for 6 secs.",
				"Indestructible.",
				"Class : ^777777Claw^000000",
				"Attack Strength: ^77777730^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		1825: {
			unidentifiedDisplayName: "Horn of Hilthrion",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Horn of Hillslion",
			identifiedResourceName: "\xc8\xa5\xbf\xc0\xba\xea\xc8\xfa\xbd\xba\xb8\xae\xbf\xc2",
			identifiedDescriptionName: [
				"A hard and sharp knuckle that was made from Hels Leon's 3 Horns.",
				"Adds a chance autocast ^008800Level 1 Joint Beat^000000.",
				"Adds a chance autocast ^008800Level 1 Occult Impact^000000 when using skill Chain Crush.",
				"Adds a chance autocast ^008800Level 1 Call Spirit^000000 when received physically attacking.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 95^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Champion^000000",
			],
			slotCount: 3,
			ClassNum: 12
		},

		1826: {
			unidentifiedDisplayName: "Glorious Claw",
			unidentifiedResourceName: "\xc5\xa9\xb7\xce",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Claw",
			identifiedResourceName: "\xc5\xa9\xb7\xce",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 95%.",
				"Adds 25% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Adds 5% defense bypassing on Demi-human monster.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"Add a chance of auto casting ^008800Level 1 Occult Impact^000000 when dealing physical damage.",
				"Add a chance of auto casting ^008800Level 1 Decrease Agility^000000 when dealing physical damage.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		1827: {
			unidentifiedDisplayName: "Glorious Fist",
			unidentifiedResourceName: "\xc7\xc7\xbd\xba\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Fist",
			identifiedResourceName: "\xc7\xc7\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 95%.",
				"Adds 25% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Adds 5% defense bypassing on Demi-human monster.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"When casting the skill [Fury], there's a chance that the skills [Dangerous Soul Collect] and [Guillotine Fist] will temporarily have their cast time removed.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		1828: {
			unidentifiedDisplayName: "Knuckle",
			unidentifiedResourceName: "\xc4\xab\xc0\xcc\xc0\xfa\xb3\xca\xc5\xac",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Monk Knuckle",
			identifiedResourceName: "\xc4\xab\xc0\xcc\xc0\xfa\xb3\xca\xc5\xac",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"Knuckle of monk.",
				"Increases 25% damage with Finger Offensive skill.",
				"INT + 2.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		1829: {
			unidentifiedDisplayName: "Fist",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fist",
			identifiedResourceName: "\xc7\xc7\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A weapon made in the form of a human fist which effectively inflicts damage on enemies.",
				"Increases damage against small, medium, large size monsters by 40%.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		1830: {
			unidentifiedDisplayName: "Knuckle",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sura's Rampage",
			identifiedResourceName: "\xc6\xd0\xc8\xb2\xb3\xad\xb9\xab",
			identifiedDescriptionName: [
				"A flashy knuckle carved from a gold dragon.",
				"Increases ^008800Earth Shaker^000000 and ^008800Sky Net Blow^000000 damage by 20%.",
				"Increases the SP cost of all skills by 5%.",
				"Each refine above +6 decreases the SP cost of skills by 1%.",
				"Class :^777777 Claw^000000",
				"Attack :^777777 142^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 102^000000",
				"Applicable Job :^777777 Sura Only^000000",
			],
			slotCount: 1,
			ClassNum: 12
		},

		1831: {
			unidentifiedDisplayName: "Eden Group Knuckle I",
			unidentifiedResourceName: "\xb9\xd9\xb1\xd7\xb3\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Knuckle I",
			identifiedResourceName: "\xc8\xa3\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Impossible to refine this item.",
				"Class :^777777 Claw^000000",
				"Attack : ^777777 120^000000",
				"Weight : ^777777 0^000000",
				"Weapon Level : ^777777 3^000000",
				"Required Level : ^777777 60^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		1832: {
			unidentifiedDisplayName: "¼ÕÅé",
			unidentifiedResourceName: "\xc5\xa9\xb7\xce",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë Å©·Î",
			identifiedResourceName: "\xc5\xa9\xb7\xce",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡ ´ëÇÑ ¹°¸® °ø°Ý·Â 100% Áõ°¡.",
				"+8Á¦·Ã ÀÌ»ó ½Ã, ÇÃ·¹ÀÌ¾î¿¡ ´ëÇÑ ¹°¸® °ø°Ý·Â 20% Áõ°¡.",
				"+10Á¦·Ã ÀÌ»ó ½Ã,",
				"[Æø±â] »ç¿ë ½Ã ¿ÀÅä½ºÆç [±¤Ãà±â]",
				"[¾Æ¼ö¶ó ÆÐÈ²±Ç]ÀÇ Ä³½ºÆÃ »ç¶óÁü.",
				"3ÃÊ´ç 500ÀÇ HP¸¦ Áö¼ÓÀûÀ¸·Î ¼Ò½Ç.",
				"°è¿­ : ^777777³ÊÅ¬^000000 °ø°Ý : ^777777160^000000",
				"¹«°Ô : ^77777765^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®°è¿­/¸ùÅ©°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		1834: {
			unidentifiedDisplayName: "³ÊÅ¬",
			unidentifiedResourceName: "\xc7\xc7\xbd\xba\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ÇÇ½ºÆ®",
			identifiedResourceName: "\xc7\xc7\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î µ¿ºù.",
				"°è¿­ : ^777777³ÊÅ¬^000000 °ø°Ý : ^777777150^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®°è¿­/¸ùÅ©°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		1901: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Violin",
			identifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			identifiedDescriptionName: [
				"The classical stringed instrument favored by Rocker, the grasshopper monster who'd rather play music than do actual work.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 3,
			ClassNum: 13
		},

		1902: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Violin",
			identifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			identifiedDescriptionName: [
				"The classical stringed instrument favored by Rocker, the grasshopper monster who'd rather play music than do actual work.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 4,
			ClassNum: 13
		},

		1903: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mandolin",
			identifiedResourceName: "\xb8\xb8\xb5\xb9\xb8\xb0",
			identifiedDescriptionName: [
				"A small, stringed instrument used in Baroque, Classical, country and folk music.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 2,
			ClassNum: 13
		},

		1904: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mandolin",
			identifiedResourceName: "\xb8\xb8\xb5\xb9\xb8\xb0",
			identifiedDescriptionName: [
				"A small, stringed instrument used in Baroque, Classical, country and folk music.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 3,
			ClassNum: 13
		},

		1905: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lute",
			identifiedResourceName: "\xb7\xf9\xc6\xae",
			identifiedDescriptionName: [
				"A classical plucked string instrument that is incredibly difficult to tune and adjust.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 2,
			ClassNum: 13
		},

		1906: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lute",
			identifiedResourceName: "\xb7\xf9\xc6\xae",
			identifiedDescriptionName: [
				"A classical plucked string instrument that is incredibly difficult to tune and adjust.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 3,
			ClassNum: 13
		},

		1907: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guitar",
			identifiedResourceName: "\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"A six stringed musical instrument that is played by plucking the strings with fingers or a pick.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 142^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1908: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guitar",
			identifiedResourceName: "\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"A six stringed musical instrument that is played by plucking the strings with fingers or a pick.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 142^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 1,
			ClassNum: 13
		},

		1909: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Harp",
			identifiedResourceName: "\xc7\xcf\xc7\xc1",
			identifiedDescriptionName: [
				"A stringed instrument known for the beautiful sound of each note that is played.",
				"INT + 2",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 114^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 1,
			ClassNum: 13
		},

		1910: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Harp",
			identifiedResourceName: "\xc7\xcf\xc7\xc1",
			identifiedDescriptionName: [
				"A stringed instrument known for the beautiful sound of each note that is played.",
				"INT + 2",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 114^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 2,
			ClassNum: 13
		},

		1911: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gumoongoh",
			identifiedResourceName: "\xb0\xc5\xb9\xae\xb0\xed",
			identifiedDescriptionName: [
				"A traditional chordophone, favored by the aristocracy in days past, which plays deep, subtle notes.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 126^000000",
				"Weight :^777777 130^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 1,
			ClassNum: 13
		},

		1912: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gumoongoh",
			identifiedResourceName: "\xb0\xc5\xb9\xae\xb0\xed",
			identifiedDescriptionName: [
				"A traditional chordophone, favored by the aristocracy in days past, which plays deep, subtle notes.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 126^000000",
				"Weight :^777777 130^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 2,
			ClassNum: 13
		},

		1913: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Electric Guitar",
			identifiedResourceName: "\xc0\xfc\xc0\xda\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"An electric guitar which amplifies its user's power.",
				"Enables use of ^008800Level 1 Jupitel Thunder^000000.",
				"Add a 10% chance of auto casting ^008800Level 1 Jupitel Thunder^000000 on the enemy when attacking.",
				"INT + 2, AGI + 1",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 180^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1914: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Burning Passion Guitar",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"A magically dazzling guitar that bewitches its user to play passionate songs once it's held in his hands.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 90^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1915: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Loner's Guitar",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"A guitar which makes a depressing sound when strummed, and is said to have been played by a bard who spent his entire life in complete loneliness.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 90^000000",
				"Property :^0000FF Water^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1916: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Green Acre Guitar",
			identifiedResourceName: "\xb6\xa5\xc0\xc7\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"According to rumor, this quaint guitar can be used to communicate with stones and even the very earth itself.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 90^000000",
				"Property :^996600 Earth^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1917: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gentle Breeze Guitar",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"A magical guitar which fills the one who plays it with a desire for traveling.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 90^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 27^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1918: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Oriental Lute",
			identifiedResourceName: "\xba\xf1\xc6\xc4",
			identifiedDescriptionName: [
				"An ancient lute that is seen in some oriental towns such as Payon, Amatsu or Gonryun.",
				"Its playing technique has been long lost and nobody in these days knows how to play it properly.",
				"Inflict 10% more damage with Musical Strike and Arrow Vulcan.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1919: {
			unidentifiedDisplayName: "Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Base Guitar",
			identifiedResourceName: "\xba\xa3\xc0\xcc\xbd\xba\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"A musical instrument designed to play low notes.",
				"Every time the enemy dies, ^000088Recovers 3 SP^000000.",
				"Add a 5% chance of auto casting ^008800Level 3 Seismic Weapon^000000 on the enemy when attacking.",
				"Whenever you attack, small chance to cause Chaos around all enemies within 5 x 5 (PBAoE) cells around you.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 150^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Clown^000000",
			],
			slotCount: 1,
			ClassNum: 13
		},

		1920: {
			unidentifiedDisplayName: "Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Berserk Guitar",
			identifiedResourceName: "\xbd\xc5\xb5\xe9\xb8\xb0\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"The legendary guitar known for when the player finally snaps out of stupor, you've already finished your performance.",
				"When equipped, Attack Speed is fixed at 190. Reduces natural HP regeneration rate by 100%. Loses 50 HP per every 5 second. Reduces DEX by massive rate.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 10^000000",
				"Weight :^777777 180^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Clown^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1921: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gun Moon Gom",
			identifiedResourceName: "\xb0\xc5\xb9\xae\xb0\xed",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"Increases damage by 50%.",
				"Impossible to refine this item.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Clown^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1922: {
			unidentifiedDisplayName: "Lute",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Oriental Lute",
			identifiedResourceName: "\xba\xf1\xc6\xc4",
			identifiedDescriptionName: [
				"An ancient lute that is seen in some oriental towns such as Payon, Amatsu or Gonryun.",
				"Its playing technique has been long lost and nobody in these days knows how to play it properly.",
				"Inflict 10% more damage with Musical Strike and Arrow Vulcan.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 2,
			ClassNum: 13
		},

		1923: {
			unidentifiedDisplayName: "Valorous Battlefield Guitar",
			unidentifiedResourceName: "\xb1\xe2\xc5\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valorous Battlefield Guitar",
			identifiedResourceName: "\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"A guitar which was created to encourage armies amidst battle.  ",
				"It looks useful for battles against Demihumans.",
				"DEX + 2",
				"Increases Physical Attack Strength towards Demihuman monsters by 95%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"Indestructible.",
				"Class : ^777777Musical Instrument^000000",
				"Attack Strength: ^77777750^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1924: {
			unidentifiedDisplayName: "Brave Battlefield Guitar",
			unidentifiedResourceName: "\xb1\xe2\xc5\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brave Battlefield Guitar",
			identifiedResourceName: "\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"A guitar which was created to encourage armies amidst battle.  ",
				"It looks useful for battles against Demihumans.",
				"DEX + 2",
				"Increases Physical Attack Strength towards Demihuman monsters by 95%.",
				"Increase Damage of Arrow Vulcan by 20%.",
				"Indestructible.",
				"Class : ^777777Musical Instrument^000000",
				"Attack Strength: ^77777750^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1925: {
			unidentifiedDisplayName: "Cello",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cello",
			identifiedResourceName: "\xc3\xbf\xb7\xce",
			identifiedDescriptionName: [
				"A Large low voiced Violin Instrument. The strings have 4 Lines and shows a silent but relaxing tone for group bands.",
				"AGI + 2, DEX + 3",
				"The ^008800Musical Strike^000000 skill shoves the enemy 2 cells back.",
				"The ^008800Arrow Vulcan^000000 skill shoves the enemy 3 cells back.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Clown^000000",
			],
			slotCount: 3,
			ClassNum: 13
		},

		1926: {
			unidentifiedDisplayName: "Harp of Nepenthes",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Harp of Nepenthes",
			identifiedResourceName: "\xc7\xcf\xc7\xc1\xbf\xc0\xba\xea\xb3\xd7\xc6\xe6\xb5\xa5\xbd\xba",
			identifiedDescriptionName: [
				"A harp made by the strong tentacles of Nepentis.",
				"INT + 2",
				"Add small chance to ^880000Stun^000000 on the enemy when using ^008800Musical Strike^000000.",
				"The probability of inflicting stun effect increases if the Refining Level is over 9.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Clown^000000",
			],
			slotCount: 2,
			ClassNum: 13
		},

		1927: {
			unidentifiedDisplayName: "Glorious Guitar",
			unidentifiedResourceName: "\xba\xa3\xc0\xcc\xbd\xba\xb1\xe2\xc5\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Guitar",
			identifiedResourceName: "\xba\xa3\xc0\xcc\xbd\xba\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 95%.",
				"Adds 20% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Adds 5% defense bypassing on Demi-human monster.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"Add a chance of auto casting ^008800Level 5 Tarot Card^000000 on the monster when using skill Arrow Vulcan.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1928: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb1\xe2\xc5\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spirited Guitar",
			identifiedResourceName: "\xbd\xc5\xb5\xe9\xb8\xb0\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"The legendary guitar known for when the player finally snaps out of stupor, you've already finished your performance.",
				"When equipped, Attack Speed is fixed at 100. Reduces natural HP regeneration rate by 100%. Loses 25 HP per every 5 second. Reduces DEX by massive rate.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 40^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Clown^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1929: {
			unidentifiedDisplayName: "Guitar",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guitar",
			identifiedResourceName: "\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A six stringed musical instrument that is played by plucking the strings with fingers or a pick.",
				"Increases damage against small, medium, large size monsters by 40%.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 177^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1930: {
			unidentifiedDisplayName: "Musical Instrument",
			unidentifiedResourceName: "\xb1\xe2\xc5\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Green Whistle",
			identifiedResourceName: "\xb1\xd7\xb8\xb0\xc8\xd6\xbd\xbd",
			identifiedDescriptionName: [
				"A wind instrument crafted from the solid trunk of a plant.",
				"Decreases the variable casting time of ^008800Deep Sleep Lullaby^000000 and ^008800Windmill Rush^000000 by 2 seconds.",
				"For each refine above +6, decreases the SP cost of those skills by 4 sp.",
				"MATK + 50.",
				"Class :^777777 Musical Instrument^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 102^000000",
				"Applicable Job :^777777 Minstrel Only^000000",
			],
			slotCount: 1,
			ClassNum: 13
		},

		1931: {
			unidentifiedDisplayName: "Eden Group Guitar I",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Guitar I",
			identifiedResourceName: "\xc3\xbf\xb7\xce",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Impossible to refine this item.",
				"Class :^777777 Musical Instrument^000000",
				"Attack : ^777777125^000000",
				"Weight : ^7777770^000000",
				"Weapon Level : ^7777773^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job :^777777 Bard^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1932: {
			unidentifiedDisplayName: "¾Ç±â",
			unidentifiedResourceName: "\xb1\xe2\xc5\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ±âÅ¸",
			identifiedResourceName: "\xb1\xe2\xc5\xb8",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î Áßµ¶.",
				"°è¿­ : ^777777¾Ç±â^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¹Ùµå Àü¿ë^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		1950: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rope",
			identifiedResourceName: "\xb7\xce\xc7\xc1",
			identifiedDescriptionName: [
				"A strong, thick cord composed of tightly braided fiber.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 45^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 3^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 3,
			ClassNum: 14
		},

		1951: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rope",
			identifiedResourceName: "\xb7\xce\xc7\xc1",
			identifiedDescriptionName: [
				"A strong, thick cord composed of tightly braided fiber.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 45^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 3^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 4,
			ClassNum: 14
		},

		1952: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Whip",
			identifiedResourceName: "\xb6\xf3\xc0\xce",
			identifiedDescriptionName: [
				"A standard whip that's perfect for adventuring Dancers.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 30^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 16^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 2,
			ClassNum: 14
		},

		1953: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Whip",
			identifiedResourceName: "\xb6\xf3\xc0\xce",
			identifiedDescriptionName: [
				"A standard whip that's perfect for adventuring Dancers.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 30^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 16^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 3,
			ClassNum: 14
		},

		1954: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wire Whip",
			identifiedResourceName: "\xbf\xcd\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A whip made of a flexible wire attached to an iron handle.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 95^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 16^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 2,
			ClassNum: 14
		},

		1955: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wire Whip",
			identifiedResourceName: "\xbf\xcd\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A whip made of a flexible wire attached to an iron handle.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 95^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 16^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 3,
			ClassNum: 14
		},

		1956: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rante Whip",
			identifiedResourceName: "\xb6\xf5\xc5\xd7",
			identifiedDescriptionName: [
				"A whip with a spiked ball attached at the end.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 135^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1957: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rante Whip",
			identifiedResourceName: "\xb6\xf5\xc5\xd7",
			identifiedDescriptionName: [
				"A whip with a spiked ball attached at the end.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 135^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 1,
			ClassNum: 14
		},

		1958: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tail Whip",
			identifiedResourceName: "\xc5\xd7\xc0\xcf",
			identifiedDescriptionName: [
				"A whip fashioned out of an animal's tail that is said to bring good luck.",
				"LUK + 3",
				"Class :^777777 Whip^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 1,
			ClassNum: 14
		},

		1959: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tail Whip",
			identifiedResourceName: "\xc5\xd7\xc0\xcf",
			identifiedDescriptionName: [
				"A whip fashioned out of an animal's tail that is said to bring good luck.",
				"LUK + 3",
				"Class :^777777 Whip^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 2,
			ClassNum: 14
		},

		1960: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Whip",
			identifiedResourceName: "\xc8\xdb",
			identifiedDescriptionName: [
				"A fairly common and very normal whip.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 1,
			ClassNum: 14
		},

		1961: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Whip",
			identifiedResourceName: "\xc8\xdb",
			identifiedDescriptionName: [
				"A fairly common and very normal whip.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 2,
			ClassNum: 14
		},

		1962: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lariat Whip",
			identifiedResourceName: "\xb6\xf3\xb8\xae\xbe\xee\xc6\xae",
			identifiedDescriptionName: [
				"A hefty whip made from toughened snakeskin.",
				"DEX + 5, AGI + 1",
				"Class :^777777 Whip^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 44^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1963: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rapture Rose",
			identifiedResourceName: "\xb7\xa6\xc3\xc4\xb7\xce\xc1\xee",
			identifiedDescriptionName: [
				"Constructed purely of thorny stems from rosebushes, this whip has a 50% chance of inflicting the ^880000Poison^000000 status on its target with each attack.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 115^000000",
				"Weight :^777777 30^000000",
				"Property :^777777 Poison^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 44^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1964: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chemeti Whip",
			identifiedResourceName: "\xbd\xb4\xb8\xde\xc6\xbc",
			identifiedDescriptionName: [
				"A powerful whip made of steel chain for heavy duty battles.",
				"Critical Rate + 5%",
				"Flee Rate + 10",
				"Perfect Dodge + 2",
				"Class :^777777 Whip^000000",
				"Attack :^777777 135^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 44^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1965: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Flame Whip",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc3\xa4\xc2\xef",
			identifiedDescriptionName: [
				"A whip made from the tough leather of a ^FF0000Fire^000000 Property monster.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 70^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1966: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Icicle Whip",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xc3\xa4\xc2\xef",
			identifiedDescriptionName: [
				"A whip created from enchanted icicles that are eternally frozen.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 70^000000",
				"Property :^0000FF Water^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1967: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gaia Whip",
			identifiedResourceName: "\xb6\xa5\xc0\xc7\xc3\xa4\xc2\xef",
			identifiedDescriptionName: [
				"A whip fashioned out of tough tree roots that have been braided together.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 70^000000",
				"Property :^996600 Earth^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1968: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Skipping Rope",
			identifiedResourceName: "\xc1\xd9\xb3\xd1\xb1\xe2",
			identifiedDescriptionName: [
				"A skipping rope with wooden handles.",
				"Critical Rate + 20%",
				"Class :^777777 Whip^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1969: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blade Whip",
			identifiedResourceName: "\xba\xed\xb7\xb9\xc0\xcc\xb5\xe5\xc8\xdb",
			identifiedDescriptionName: [
				"A wire in which blade fragments are interwoven, making this whip as sharp as a sword.",
				"^880000External Bleeding^000000 an enemy when you attack (Success Chance 3%).",
				"Class :^777777 Whip^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1970: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Queen's Whip",
			identifiedResourceName: "\xbf\xa9\xbf\xd5\xb4\xd4\xc0\xc7\xc3\xa4\xc2\xef",
			identifiedDescriptionName: [
				"A whip with awesome power. Don't even go there with your imagination!",
				"Inflict 10% more damage with Throw Arrow and Arrow Vulcan.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 110^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1971: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Electric Wire",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc3\xa4\xc2\xef",
			identifiedDescriptionName: [
				"Electricity passes through this whip. Be careful not to electrocute yourself!",
				"Class :^777777 Whip^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 70^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1972: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Electric Eel",
			identifiedResourceName: "\xc0\xfc\xb1\xe2\xb9\xec\xc0\xe5\xbe\xee",
			identifiedDescriptionName: [
				"Made of a creature that gives out electric energy. The surface is slippery and feels weird.",
				"INT + 2, AGI + 2",
				"Add a 5% chance of auto casting ^008800Level 3 Jupitel Thunder and Arrow Vulcan^000000 on the enemy when attacking.",
				"The skill level of the ^008800Arrow Vulcan^000000 changes depending on the refinement rate of this weapon.",
				"When refined to + 11 or above, you'll cast level 10.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 200^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Gypsy^000000",
			],
			slotCount: 2,
			ClassNum: 14
		},

		1973: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sea Witch's Foot",
			identifiedResourceName: "\xb9\xd9\xb4\xd9\xb8\xb6\xb3\xe0\xc0\xc7\xb9\xdf",
			identifiedDescriptionName: [
				"A whip made with a foot of the famous western sea witch. It says it steals your life essence, so be careful of the witch.",
				"Whenever the enemy dies, ^000088Recovers 5 SP^000000.",
				"Add a 5% chance of auto casting ^008800Level 3 Frost Nova^000000 on an enemy when the user receives Physical Damage.",
				"Every time you attack, small chance to cause ^880000Silence^000000 to all enemies within 5 x 5 (PBAoE) cells around you.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 150^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Gypsy^000000",
			],
			slotCount: 1,
			ClassNum: 14
		},

		1974: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Carrot Whip",
			identifiedResourceName: "\xb4\xe7\xb1\xd9\xc3\xa4\xc2\xef",
			identifiedDescriptionName: [
				"A whip that gives awards to oneself after working so hard.",
				"Every time you attack, small chance to use AGI Up on yourself. The level of AGI Up cast depends on the refinement rate of this weapon.",
				"When refined to + 11 or above, you'll cast level 10.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 185^000000",
				"Weight :^777777 130^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Gypsy^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1975: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Queen Is Whip",
			identifiedResourceName: "\xbf\xa9\xbf\xd5\xb4\xd4\xc0\xc7\xc3\xa4\xc2\xef",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"Increases damage by 50%.",
				"Impossible to refine this item.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Gypsy^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1976: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Queen's Whip",
			identifiedResourceName: "\xbf\xa9\xbf\xd5\xb4\xd4\xc0\xc7\xc3\xa4\xc2\xef",
			identifiedDescriptionName: [
				"A whip with awesome power. Don't even go there with your imagination!",
				"Inflict 10% more damage with Throw Arrow and Arrow Vulcan.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 110^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 2,
			ClassNum: 14
		},

		1977: {
			unidentifiedDisplayName: "Valorous Battle Lariat",
			unidentifiedResourceName: "\xb6\xf3\xb8\xae\xbe\xee\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valorous Battle Lariat",
			identifiedResourceName: "\xb6\xf3\xb8\xae\xbe\xee\xc6\xae",
			identifiedDescriptionName: [
				"An especially made whip for battling against Demihumans; this whip is strong enough to cut their flesh.",
				"DEX + 2",
				"Increases Physical Attack Strength towards Demihuman monsters by 95%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"Indestructible.",
				"Class : ^777777Whip^00000",
				"Attack Strength: ^77777750^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1978: {
			unidentifiedDisplayName: "Brave Battle Lariat",
			unidentifiedResourceName: "\xb6\xf3\xb8\xae\xbe\xee\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brave Battle Lariat",
			identifiedResourceName: "\xb6\xf3\xb8\xae\xbe\xee\xc6\xae",
			identifiedDescriptionName: [
				"An especially made whip for battling against Demihumans; this whip is strong enough to cut their flesh.",
				"DEX + 2",
				"Increases Physical Attack Strength towards Demihuman monsters by 95%.",
				"Increase Arrow Vulcan Damage by 20%.",
				"Indestructible.",
				"Class : ^777777Whip^000000",
				"Attack Strength: ^77777750^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1979: {
			unidentifiedDisplayName: "Stem of Nepenthes",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Stem of Nepenthes",
			identifiedResourceName: "\xbd\xba\xc5\xdb\xbf\xc0\xba\xea\xb3\xd7\xc6\xe6\xb5\xa5\xbd\xba",
			identifiedDescriptionName: [
				"The strong tentacles of Nepentis brings forth, a hard yet soft rope.",
				"INT + 2",
				"Add small chance to ^880000Frozen^000000 on the enemy when using ^008800Throw Arrow^000000.",
				"If Refining level is over 9, the probability of inflinting Freeze gets higher.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Gypsy^000000",
			],
			slotCount: 2,
			ClassNum: 14
		},

		1980: {
			unidentifiedDisplayName: "Whip of Balance",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Whip of Balance",
			identifiedResourceName: "\xc3\xdf\xc3\xa4\xc2\xef",
			identifiedDescriptionName: [
				"At the end of the rope is a power that enables enemies to back off.",
				"The users hit by this rope have nothing they can do but back off by its powers.",
				"AGI + 2, DEX + 3",
				"The ^008800Throw Arrow^000000 skill shoves the enemy 2 cells back.",
				"The ^008800Arrow Vulcan^000000 skill shoves the enemy 3 cells back.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Gypsy^000000",
			],
			slotCount: 3,
			ClassNum: 14
		},

		1981: {
			unidentifiedDisplayName: "Glorious Lariat",
			unidentifiedResourceName: "\xb6\xf3\xb8\xae\xbe\xee\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Lariat",
			identifiedResourceName: "\xb6\xf3\xb8\xae\xbe\xee\xc6\xae",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 95%.",
				"Adds 20% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Adds 5% defense bypassing on Demi-human monster.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"Add a chance of auto casting ^008800Level 5 Tarot Card^000000 on the monster when using skill Arrow Vulcan.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1982: {
			unidentifiedDisplayName: "Whip",
			unidentifiedResourceName: "\xbf\xa9\xbf\xd5\xb4\xd4\xc0\xc7\xc3\xa4\xc2\xef",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Phenomena Whip",
			identifiedResourceName: "\xbf\xa9\xbf\xd5\xb4\xd4\xc0\xc7\xc3\xa4\xc2\xef",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"Phenomena Whip.",
				"Increases 25% damage with Throw Arrow skill.",
				"DEX + 2.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1983: {
			unidentifiedDisplayName: "Rante Whip",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rante Whip",
			identifiedResourceName: "\xb6\xf5\xc5\xd7",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A whip with a spiked ball attached at the end.",
				"Increases damage against small, medium, large size monsters by 40%.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1984: {
			unidentifiedDisplayName: "Rope",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Stem Whip",
			identifiedResourceName: "\xbd\xba\xc5\xdb\xc8\xdb",
			identifiedDescriptionName: [
				"A whip crafted from the flexible stem of a plant.",
				"Decreases the variable casting time of ^008800Deep Sleep Lullaby^000000 and ^008800Swing Dance^000000 by 2 seconds.",
				"For each refine above + 6, decreases the SP cost of those skills by 4 sp.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 102^000000",
				"Applicable Job :^777777 Wanderer Only^000000",
			],
			slotCount: 1,
			ClassNum: 14
		},

		1985: {
			unidentifiedDisplayName: "Rope",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rosevine",
			identifiedResourceName: "\xb7\xce\xc1\xa6\xb9\xd9\xc0\xce",
			identifiedDescriptionName: [
				"A whip created from a magically enchanted rose that radiates the smell of roses.",
				"When dealing physical damage there is a chance to trigger ^008800Level 1 Voice of Siren^000000.",
				"INT + 2, AGI -2, MATK + 130.",
				"Class :^777777 Whip^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 110^000000",
				"Applicable Job :^777777 Wanderer Only^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1986: {
			unidentifiedDisplayName: "Eden Group Whip I",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Whip I",
			identifiedResourceName: "\xc5\xd7\xc0\xcf",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Impossible to refine this item.",
				"Class :^777777 Whip^000000",
				"Attack : ^777777 125^000000",
				"Weight : ^777777 0^000000",
				"Weapon Level : ^777777 3^000000",
				"Required Level : ^777777 60^000000",
				"Applicable Job :^777777 Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		1987: {
			unidentifiedDisplayName: "Ã¤Âï",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ·ÎÇÁ",
			identifiedResourceName: "\xb7\xce\xc7\xc1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ¾ÏÈæ.",
				"°è¿­ : ^777777Ã¤Âï^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777´í¼­ Àü¿ë^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		2000: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Staff of Destruction",
			identifiedResourceName: "\xb5\xf0\xbd\xba\xc6\xae\xb7\xb0\xbc\xc7\xb7\xd4\xb5\xe5",
			identifiedDescriptionName: [
				"A tremendously powerful Two-handed Staff that can only be wielded by someone who is spiritually strong.",
				"MATK+280, INT+3, AGI+10.",
				"Reduce casting time of Amplify Magic by 50%.",
				"Increase MATK by 1% for every 2 upgrade levels, but raising the upgrade level also increase SP consumption.",
				"Has a chance of auto casting Lv.5 Jupiter Thunder with each enemy attack; this chance can be increased by raising the weapon's upgrade level.",
				"Class :^777777 Two-handed Staff^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 250^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 High Wizard^000000",
			],
			slotCount: 1,
			ClassNum: 23
		},

		2001: {
			unidentifiedDisplayName: "Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Divine Cross",
			identifiedResourceName: "\xb5\xf0\xb9\xd9\xc0\xce\xc5\xa9\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"This staff can be separated in two parts. It gives a holy strength when these two parts are intersected to make a cross.",
				"MATK + 210, DEX + 4",
				"Reduces damage received from Undead and Demon type monsters by 15%.",
				"[^000088+ Spiritual Ring^000000]",
				"MATK + 10%, DEX + 2, and further reduces the damage received from Undead and Demon type monsters by 10%, for total of 25% reduction.",
				"Class :^777777 Two-handed Staff^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 150^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 23
		},

		2002: {
			unidentifiedDisplayName: "Glorious Staff",
			unidentifiedResourceName: "\xc0\xa7\xc0\xda\xb5\xe5\xb8\xae\xbd\xba\xc5\xc2\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Destruction Staff",
			identifiedResourceName: "\xc0\xa7\xc0\xda\xb5\xe5\xb8\xae\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"MATK+ 210",
				"Increases magical attack against DemiHuman monster by 15%.",
				"Adds 25% magical defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"Each refine increases MATK + 1%.",
				"[^333399Refine Rate 6~10^000000]",
				"MATK + 5%.",
				"^fa8072[Desctruction]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"Add a chance of auto casting ^008800Level 10 Safety Wall^000000 when casting ^008800Level 10 Lord of Vermillion, Meteor Storm, Storm Gust^000000 on yourself.",
				"Class :^777777 Two-handed Staff^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 23
		},

		2003: {
			unidentifiedDisplayName: "Two-Handed Rod",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Staff of Destruction",
			identifiedResourceName: "\xb5\xf0\xbd\xba\xc6\xae\xb7\xb0\xbc\xc7\xb7\xd4\xb5\xe5",
			identifiedDescriptionName: [
				"Two handed staff that seems to be possesing a tremendous power. The owner of the staff has to have a strong spiritual strength to use this staff properly.",
				"MATK + 280, INT + 3, AGI + 10",
				"Reduces casting time of Amplify Magic by 50%.",
				"Refinement in multiples of 2 (+2, +4, +6, +8, +10) increases MATK by 1%.",
				"SP taken by all skills will increase depending on the refinement rate of this weapon.",
				"Small chance to cast ^008800Level 5 Jupitel Thunder^000000 whenever you are attacked physically. This chance depends on the refinement rate of this weapon.",
				"Class :^777777 Two-handed Staff^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 250^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 High Wizard^000000",
			],
			slotCount: 1,
			ClassNum: 23
		},

		2004: {
			unidentifiedDisplayName: "Twohanded Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kronos",
			identifiedResourceName: "\xc5\xa9\xb7\xce\xb3\xeb\xbd\xba",
			identifiedDescriptionName: [
				"A figure of the golden dragon that controls time and space sits atop this staff.",
				"Magical energy is focused and condensed into the crystal sphere.",
				"Although impressive in appearance, this staff can be quite heavy to wield.",
				"MATK + 240. INT + 3, MaxHP + 300.",
				"INT + 1, MaxHP 50 every two upgrades on the weapon.",
				"A chance to active MATK + 12%, SP Cost + 20% after using magical attack for 5 seconds.",
				"Class :^777777 Two-handed Staff^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 23
		},

		2005: {
			unidentifiedDisplayName: "Twohanded Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dea Staff",
			identifiedResourceName: "\xbd\xba\xc5\xc2\xc7\xc1\xbf\xc0\xba\xea\xb5\xa5\xbe\xc6",
			identifiedDescriptionName: [
				"Carved with the figure of Thea, Goddess of the Divine Light.",
				"MATK + 220, INT + 6, VIT + 2",
				"A chance to recover 200 SP after using ^008800Heal^000000.",
				"Increase MATK by 1% for every upgrade past + 2.",
				"Class :^777777 Two-handed Staff^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 100^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Acolyte Class^000000",
			],
			slotCount: 1,
			ClassNum: 23
		},

		2006: {
			unidentifiedDisplayName: "Two-handed Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sunshine Staff",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xbc\xf6\xc8\xa3\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A staff that possesses holy force and holds bright sunshine in it.",
				"INT + 6.",
				"SP + 150, MATK + 18%.",
				"Class :^777777 Rod^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 190^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Mage Class^000000",
			],
			slotCount: 0,
			ClassNum: 23
		},

		2007: {
			unidentifiedDisplayName: "Two-handed Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Rod Staff",
			identifiedResourceName: "\xb0\xf1\xb5\xe7\xb7\xce\xb5\xe5\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"A magic staff that holds the power of blowing wind.",
				"Increases ^008800Jupitel Thunder^000000 attack power by 12%.",
				"INT + 3, MATK + 230",
				"Indestructible (except in upgrade attempts).",
				"[^000088Golden Lord Staff, Golden Lord Robe, Golden Lord Shoes, & Golden Lord Orb Equip Set^000000]",
				"Increases damage of Wind element magic by 40%.",
				"Decreases damage of Warth element magic by 30%.",
				"Decreases resistance to Warth element attacks by 50%.",
				"Class :^777777 Two-Handed Staff^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 90^000000",
				"Property :^777777 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Warlock^000000",
			],
			slotCount: 2,
			ClassNum: 23
		},

		2008: {
			unidentifiedDisplayName: "Two-handed Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Aqua Staff",
			identifiedResourceName: "\xbe\xc6\xc4\xed\xbe\xc6\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"A magic staff that holds the power of freezing ice.",
				"Increases ^008800Cold Bolt^000000 and ^008800Frost Diver^000000 attack power by 12%.",
				"INT + 3, MATK + 230",
				"Indestructible (except in upgrade attempts).",
				"[^000088Aqua Staff, Aqua Robe, Aqua Shoes, & Aqua Orb Equip Set^000000]",
				"Increases damage of Water element magic by 40%.",
				"Decreases damage of Wind element magic by 30%.",
				"Decreases resistance to Wind element attacks by 50%.",
				"Class :^777777 Two-Handed Staff^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 90^000000",
				"Property :^777777 Water^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Warlock^000000",
			],
			slotCount: 2,
			ClassNum: 23
		},

		2009: {
			unidentifiedDisplayName: "Two-handed Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crimson Staff",
			identifiedResourceName: "\xc5\xa9\xb8\xb2\xc1\xf0\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"A magic staff that holds the power of burning fire.",
				"Increases ^008800Fire Bolt^000000 and ^008800Fire Ball^000000 attack power by 10%.",
				"INT + 3, MATK + 230",
				"Indestructible (except in upgrade attempts).",
				"[^000088Crimson Staff, Crimson Robe, Crimson Shoes, & Crimson Orb Equip Set^000000]",
				"Increases damage of Fire element magic by 40%.",
				"Decreases damage of Water element magic by 30%.",
				"Decreases resistance to Water element attacks by 50%.",
				"Class :^777777 Two-Handed Staff^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 90^000000",
				"Property :^777777 Fire^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Warlock^000000",
			],
			slotCount: 2,
			ClassNum: 23
		},

		2010: {
			unidentifiedDisplayName: "Two-handed Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Forest Staff",
			identifiedResourceName: "\xc6\xf7\xb7\xb9\xbd\xba\xc6\xae\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"A magic staff that holds the power of the magnificent earth.",
				"Increases ^008800Earth Spike^000000 and ^008800Heavens Drive^000000 attack power by 10%.",
				"INT + 3, MATK + 230",
				"Indestructible (except in upgrade attempts).",
				"[^000088Forest Staff, Forest Robe, Forest Shoes, & Forest Orb Equip Set^000000]",
				"Increases damage of Earth element magic by 40%.",
				"Decreases damage of Fire element magic by 30%.",
				"Decreases resistance to Fire element attacks by 50%.",
				"Class :^777777 Two-Handed Staff^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 90^000000",
				"Property :^777777 Earth^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Warlock^000000",
			],
			slotCount: 2,
			ClassNum: 23
		},

		2011: {
			unidentifiedDisplayName: "Empowered Golden Rod Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Empowered Golden Rod Staff",
			identifiedResourceName: "\xb0\xf1\xb5\xe7\xb7\xce\xb5\xe5\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"¸ô¾ÆÄ¡´Â ¹Ù¶÷ÀÇ ÈûÀ» Áý¾à½ÃÅ² ¸¶¹ýÁöÆÎÀÌ.",
				"À¯ÇÇÅÚ ¼±´õÀÇ °ø°Ý·Â 30% Áõ°¡.",
				"INT + 5, MATK + 270.",
				"°ñµç·ÎµåÀÇ ÀÌ¸§À» °¡Áø ½ºÅÂÇÁ, ·Îºê, ½´Áî, ¿Àºê¸¦ ¼ÂÆ® ÀåÂø ½Ã ¸ðµç Ç³¼Ó¼º ¸¶¹ýÀÇ °ø°Ý·Â 60% Áõ°¡, Áö¼Ó¼º ¸¶¹ýÀÇ °ø°Ý·ÂÀº 60% °¨¼Ò, Áö¼Ó¼º °ø°Ý¿¡ ´ëÇÑ ³»¼º 50% °¨¼Ò.",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777730^000000",
				"¹«°Ô : ^77777790^000000 ¼Ó¼º : ^777777Ç³^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777130^000000",
				"ÀåÂø : ^777777¿ö·Ï^000000",
			],
			slotCount: 1,
			ClassNum: 23
		},

		2012: {
			unidentifiedDisplayName: "Empowered Aqua Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Empowered Aqua Staff",
			identifiedResourceName: "\xbe\xc6\xc4\xed\xbe\xc6\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"Â÷µðÂù ¾óÀ½ÀÇ ÈûÀ» Áý¾à½ÃÅ² ¸¶¹ýÁöÆÎÀÌ.",
				"ÄÝµåº¼Æ®, ÇÁ·Î½ºÆ® ´ÙÀÌ¹ö ÀÇ °ø°Ý·Â 30% Áõ°¡.",
				"INT + 5, MATK + 270.",
				"¾ÆÄí¾ÆÀÇ ÀÌ¸§À» °¡Áø ½ºÅÂÇÁ, ·Îºê, ½´Áî, ¿Àºê¸¦ ¼ÂÆ® ÀåÂø ½Ã ¸ðµç ¼ö¼Ó¼º ¸¶¹ýÀÇ °ø°Ý·Â 60% Áõ°¡, Ç³¼Ó¼º ¸¶¹ýÀÇ °ø°Ý·ÂÀº 60% °¨¼Ò, Ç³¼Ó¼º °ø°Ý¿¡ ´ëÇÑ ³»¼º 50% °¨¼Ò.",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777730^000000",
				"¹«°Ô : ^77777790^000000 ¼Ó¼º : ^777777¼ö^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777130^000000",
				"ÀåÂø : ^777777¿ö·Ï^000000",
			],
			slotCount: 1,
			ClassNum: 23
		},

		2013: {
			unidentifiedDisplayName: "Empowered Crimson Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Empowered Crimson Staff",
			identifiedResourceName: "\xc5\xa9\xb8\xb2\xc1\xf0\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"Å¸¿À¸£´Â ºÒÀÇ ÈûÀ» Áý¾à½ÃÅ² ¸¶¹ýÁöÆÎÀÌ.",
				"ÆÄÀÌ¾î º¼Æ®, ÆÄÀÌ¾î º¼ÀÇ °ø°Ý·Â 30% Áõ°¡.",
				"INT + 5, MATK + 270.",
				"Å©¸²ÁðÀÇ ÀÌ¸§À» °¡Áø ½ºÅÂÇÁ, ·Îºê, ½´Áî, ¿Àºê¸¦ ¼ÂÆ® ÀåÂø ½Ã ¸ðµç È­¼Ó¼º ¸¶¹ýÀÇ °ø°Ý·Â 60% Áõ°¡, ¼ö¼Ó¼º ¸¶¹ýÀÇ °ø°Ý·ÂÀº 60% °¨¼Ò, ¼ö¼Ó¼º °ø°Ý¿¡ ´ëÇÑ ³»¼º 50% °¨¼Ò.",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777730^000000",
				"¹«°Ô : ^77777790^000000 ¼Ó¼º : ^777777È­^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777130^000000",
				"ÀåÂø : ^777777¿ö·Ï^000000",
			],
			slotCount: 1,
			ClassNum: 23
		},

		2014: {
			unidentifiedDisplayName: "Empowered Forest Staff",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Empowered Forest Staff",
			identifiedResourceName: "\xc6\xf7\xb7\xb9\xbd\xba\xc6\xae\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"¿õ´ëÇÑ ¶¥ÀÇ ÈûÀ» Áý¾à½ÃÅ² ¸¶¹ýÁöÆÎÀÌ.",
				"¾î½º ½ºÆÄÀÌÅ©, ÇìºìÁî µå¶óÀÌºêÀÇ °ø°Ý·Â 30% Áõ°¡.",
				"INT + 5, MATK + 270.",
				"Æ÷·¹½ºÆ®ÀÇ ÀÌ¸§À» °¡Áø ½ºÅÂÇÁ, ·Îºê, ½´Áî, ¿Àºê¸¦ ¼ÂÆ® ÀåÂø ½Ã ¸ðµç Áö¼Ó¼º ¸¶¹ýÀÇ °ø°Ý·Â 60% Áõ°¡ÇÏ¸ç, È­¼Ó¼º ¸¶¹ýÀÇ °ø°Ý·ÂÀº 60% °¨¼Ò, È­¼Ó¼º °ø°Ý¿¡ ´ëÇÑ ³»¼º 50% °¨¼Ò.",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777730^000000",
				"¹«°Ô : ^77777790^000000 ¹«°Ô : ^777777Áö^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777130^000000",
				"ÀåÂø : ^777777¿ö·Ï^000000",
			],
			slotCount: 1,
			ClassNum: 23
		},

		2015: {
			unidentifiedDisplayName: "¾ç¼Õ ÁöÆÎÀÌ",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°­È­ ½ºÅÂÇÁ",
			identifiedResourceName: "\xb0\xad\xc8\xad\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ÁöÆÎÀÌ.",
				"MATK + 70.",
				"À§ÀÚµå °è¿­ ÀåÂø ½Ã MATK + 30 Ãß°¡.",
				"¼¼ÀÌÁö °è¿­ ÀåÂø ½Ã MATK + 20 Ãß°¡.",
				"Á¦·Ãµµ 1´ç MATK + 10 / Èú·® 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù MATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^777777100^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			slotCount: 1,
			ClassNum: 23
		},

		2016: {
			unidentifiedDisplayName: "¾ç¼ÕÁöÆÎÀÌ",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë ¾ÆÅ©¿Ïµå",
			identifiedResourceName: "\xb6\xf3\xc7\xc7\xb4\xcf\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"MATK + 220.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¸¶¹ý °ø°Ý·Â 25% Áõ°¡.",
				"ÇÃ·¹ÀÌ¾îÀÇ ¸¶¹ý ¹æ¾î·Â 25% ¹«½Ã.",
				"+6 Á¦·Ã ÀÌ»óÀÏ ½Ã, MATK + 15% Ãß°¡.",
				"+9 Á¦·Ã ÀÌ»óÀÏ ½Ã, º¯µ¿ Ä³½ºÆÃ 20% °¨¼Ò, °íÁ¤ Ä³½ºÆÃ 0.2ÃÊ °¨¼Ò.",
				"ÆÄ±«ºÒ°¡.",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^777777110^000000",
				"¹«°Ô : ^77777780^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			slotCount: 0,
			ClassNum: 23
		},

		2018: {
			unidentifiedDisplayName: "¾ç¼ÕÁöÆÎÀÌ",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¸ÞÅ» ½ºÅÂÇÁ",
			identifiedResourceName: "\xb8\xde\xc5\xbb\xbd\xba\xc5\xc2\xc7\xc1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­Ã¶¿¡ ÇÁ¶óÄÜ°ú ¿¥º£¸£Å¸ÄÜÀ» Ã·°¡ÇÏ¿© ´É·ÂÀ» °­È­½ÃÅ² ±Ý¼ÓÀ¸·Î Á¦ÀÛÇÑ ½ºÅÂÇÁ",
				"MATK + 70.",
				"À§ÀÚµå °è¿­ ÀåÂø ½Ã MATK + 15 Ãß°¡.",
				"¼¼ÀÌÁö °è¿­ ÀåÂø ½Ã MATK + 10 Ãß°¡.",
				"Á¦·Ãµµ 1´ç MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 20ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù MATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"(Áõ°¡·®Àº BaseLv 120±îÁö Àû¿ë)",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			slotCount: 1,
			ClassNum: 23
		},

		2019: {
			unidentifiedDisplayName: "¾ç¼ÕÁöÆÎÀÌ",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ÅõÇÚµå ½ºÅÂÇÁ",
			identifiedResourceName: "\xbd\xba\xc5\xc2\xc7\xc1\xbf\xc0\xba\xea\xbc\xd2\xbf\xef",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MATK + 130.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¸¶¹ý °ø°Ý·Â 20% Áõ°¡.",
				"¸¶¹ý °ø°Ý ½Ã ³ôÀº È®·ü·Î ½ºÅÏ.",
				"Èú·® 5% Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­/¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			slotCount: 0,
			ClassNum: 23
		},

		2020: {
			unidentifiedDisplayName: "¾ç¼ÕÁöÆÎÀÌ",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¿ä¸£¹®°£µå",
			identifiedResourceName: "\xb2\xbf\xc4\xa1\xb1\xb8\xc0\xcc",
			identifiedDescriptionName: [
				"Áö´Ñ ¸¶·Âµµ °­·ÂÇÏÁö¸¸, Àû¿¡°Ô °­·ÂÇÑ µ¶À» ¼±»çÇÏ¿© ´õ¿í À¯¸íÇØÁø '¿ä¸£¹®°£µå'ÀÇ ÀÌ¸§À» ¾ò°Ô µÈ ÁöÆÎÀÌ.",
				"MATK + 280, INT + 20.",
				"¸¶¹ý °ø°Ý ½Ã, ÀÏÁ¤È®·ü·Î Àû¿¡°Ô 'µ¶'À» ºÎ¿©ÇÑ´Ù.",
				"±ÙÁ¢ ¹°¸® °ø°ÝÀ» ¹ÞÀ» ½Ã, ÀÏÁ¤È®·ü·Î Àû¿¡°Ô 'Ä¡¸íÀûÀÎ µ¶'À» ºÎ¿©ÇÑ´Ù.",
				"Á¦·Ã ºÒ°¡.",
				"ÆÄ±« ºÒ°¡.",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^777777200^000000",
				"¹«°Ô : ^777777300^000000 ¼Ó¼º : ^777777µ¶^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777790^000000",
				"ÀåÂø : ^777777À§Àúµå°è¿­/¼¼ÀÌÁö°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			slotCount: 0,
			ClassNum: 23
		},

		2021: {
			unidentifiedDisplayName: "¾ç¼ÕÁöÆÎÀÌ",
			unidentifiedResourceName: "\xb7\xd4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°£¹ÝÅ×ÀÎ",
			identifiedResourceName: "\xb7\xe7\xb3\xaa\xc4\xae\xb8\xae\xb0\xed",
			identifiedDescriptionName: [
				"°­·ÂÇÑ ¸¶·Â »Ó¸¸ÀÌ ¾Æ´Ï¶ó, °ø°ÝÇÑ ´ë»ó¿¡°Ô Ä§¹¬½ÃÅ°´Â Æ¯¼ºÀ» Áö´Ñ ÁöÆÎÀÌ·Î, ÀûÀÇ ¸¶¼úÀ» ¹«·ÂÈ­ ½ÃÅ°´Â '°£¹ÝÅ×ÀÎ'ÀÌ¶ó´Â ÀÌ¸§À» ¾ò°Ô µÇ¾ú´Ù.",
				"MATK + 320, INT + 25, DEX + 25.",
				"¸¶¹ý °ø°Ý ½Ã, ÀÏÁ¤È®·ü·Î Àû¿¡°Ô 'µ¶'À» ºÎ¿© ¶Ç´Â '½Ã·»Ä¡¿ò 1Lv' ¹ßµ¿.",
				"±ÙÁ¢ ¹°¸® °ø°ÝÀ» ¹ÞÀ» ½Ã, ÀÏÁ¤È®·ü·Î Àû¿¡°Ô 'Ä§¹¬'À» ºÎ¿©ÇÑ´Ù.",
				"Á¦·Ã ºÒ°¡.",
				"ÆÄ±« ºÒ°¡.",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^777777200^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777¿ö·Ï^000000",
			],
			slotCount: 0,
			ClassNum: 23
		},

		2101: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guard",
			identifiedResourceName: "\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"A square shield that is small, yet effective in combat.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		2102: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guard",
			identifiedResourceName: "\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"A square shield that is small, yet effective in combat.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		2103: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Buckler",
			identifiedResourceName: "\xb9\xf6\xc5\xac\xb7\xaf",
			identifiedDescriptionName: [
				"A rounded shield that readily absorbs impact from attacks.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 40^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class, Thief Class, Bard, Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		2104: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Buckler",
			identifiedResourceName: "\xb9\xf6\xc5\xac\xb7\xaf",
			identifiedDescriptionName: [
				"A rounded shield that readily absorbs impact from attacks.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 40^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class, Thief Class, Bard, Dancer^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		2105: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shield",
			identifiedResourceName: "\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A well crafted shield which most kinds of attack can not penetrate.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 60^000000",
				"Weight :^777777 130^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		2106: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shield",
			identifiedResourceName: "\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A well crafted shield which most kinds of attack can not penetrate.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 60^000000",
				"Weight :^777777 130^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		2107: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mirror Shield",
			identifiedResourceName: "\xb9\xcc\xb7\xaf\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A shield with a surface constructed of mirror that might reflect harmful magic.",
				"MDEF + 5",
				"Class :^777777 Shield^000000",
				"Defense :^777777 45^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Swordman Class, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		2108: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mirror Shield",
			identifiedResourceName: "\xb9\xcc\xb7\xaf\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A shield with a surface constructed of mirror that might reflect harmful magic.",
				"MDEF + 5",
				"Class :^777777 Shield^000000",
				"Defense :^777777 45^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Swordman Class, Star Gladiator^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		2109: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Memory Book",
			identifiedResourceName: "\xb8\xde\xb8\xf0\xb6\xf3\xc0\xcc\xc1\xee\xba\xcf",
			identifiedDescriptionName: [
				"A magic book filled with long, impractical spells that is so large, it can actually be used just like a shield.",
				"INT + 1, MDEF + 2",
				"[^000088Pocket Watch & Eye Patch & Memory Book Equip Set^000000]",
				"Class :^777777 Shield^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		2110: {
			unidentifiedDisplayName: "Guard",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Holy Guard",
			identifiedResourceName: "\xc8\xa6\xb8\xae\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"A blessed guard with God's symbol engraved on it.",
				"VIT + 2, MDEF + 2",
				"Impossible to refine this item.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 110^000000",
				"Weight :^777777 140^000000",
				"Required Level :^777777 68^000000",
				"Applicable Job :^777777 Crusader^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		2111: {
			unidentifiedDisplayName: "Guard",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sacred Mission",
			identifiedResourceName: "\xbd\xc5\xc0\xc7\xbb\xe7\xc0\xda",
			identifiedDescriptionName: [
				"A symbolic shield, rumored to have been given from God to his messenger.",
				"INT + 2, VIT + 3, MDEF + 3",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Shield^000000",
				"Defense :^777777 120^000000",
				"Weight :^777777 160^000000",
				"Required Level :^777777 83^000000",
				"Applicable Job :^777777 Crusader^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		2112: {
			unidentifiedDisplayName: "Guard",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Guard",
			identifiedResourceName: "\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"An exclusive shield for new adventurers.",
				"Impossible to refine this item.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 0.1^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		2113: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Shield",
			identifiedResourceName: "\xc3\xca\xba\xb8\xc0\xda\xbf\xeb\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A cute shield made out of a special metal for Novices.",
				"Add a 20% resistance against property attacks (All except ^777777Neutral^000000).",
				"Class :^777777 Shield^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		2114: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Stone Buckler",
			identifiedResourceName: "\xbd\xba\xc5\xe6\xb9\xf6\xc5\xac\xb7\xaf",
			identifiedDescriptionName: [
				"A stone shield which Thor obtained by killing Hrungnir, king of giants.",
				"It possesses the powers of giants which rival the might of the gods.",
				"Receive 5% less damage from Large size monster.",
				"[^000088+ Odin's Blessing & Magni's Cap^000000]",
				"STR + 2, DEF + 5, MDEF + 5",
				"[^008800Swordman Class^000000]",
				"Additional DEF + 6",
				"Class :^777777 Shield^000000",
				"Defense :^777777 45^000000",
				"Weight :^777777 150^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		2115: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valkyrja's Shield",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xbe\xc6\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A shield used by Gna, the messenger of Freyja, when she served as a Valkyrie.",
				"Add a 20% resistance against ^0000FFWater^000000, ^FF0000Fire^000000, ^777777Shadow^000000 and ^777777Undead^000000 Property.",
				"MDEF + 5",
				"[^000088+ Odin's Blessing & Frigg's Circlet^000000]",
				"Additional DEF + 2 and MDEF + 5",
				"Additional DEF decrease by Frigg's Circlet and Valkyrja's Shield refine rate.",
				"Additional MDEF increase by Frigg's Circlet and Valkyrja's Shield refine rate.",
				"[^000088Long Horn, Valkyrja's Shield Equip Set^000000]",
				"Class :^777777 Shield^000000",
				"Defense :^777777 80^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		2116: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angelic Guard",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xba\xb8\xc8\xa3",
			identifiedDescriptionName: [
				"Super Novice Guardian Angel's shield which contains holy power that can nullify evil.",
				"Reduce 5% damage from Demon monster.",
				"[^000088Angelic Protection, Angel's Reincarnation, Angelic Guard, Angelic Cardigan & Angel's Kiss Equip Set^000000]",
				"Class :^777777 Shield^000000",
				"Defense :^777777 30^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Novice Types^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		2117: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Arm Guard",
			identifiedResourceName: "\xc6\xc8\xb8\xf1\xc5\xe4\xbd\xc3",
			identifiedDescriptionName: [
				"A wrist protector, designed exclusively for the Ninja class, that is padded with a steel plate for increased defense and durability.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 50^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		2118: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Arm Guard",
			identifiedResourceName: "\xc6\xc8\xb8\xf1\xc5\xe4\xbd\xc3",
			identifiedDescriptionName: [
				"A wrist protector, designed exclusively for the Ninja class, that is padded with a steel plate for increased defense and durability.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 50^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		2119: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Advanced Arm Guard",
			identifiedResourceName: "\xc6\xc8\xb8\xf1\xc5\xe4\xbd\xc3\xb0\xb3\xb7\xae",
			identifiedDescriptionName: [
				"A wrist protector, designed exclusively for the Ninja class, that has been enhanced with high Magic Defense by a gifted artisan.",
				"MDEF + 5",
				"Class :^777777 Shield^000000",
				"Defense :^777777 45^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		2120: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Advanced Arm Guard",
			identifiedResourceName: "\xc6\xc8\xb8\xf1\xc5\xe4\xbd\xc3\xb0\xb3\xb7\xae",
			identifiedDescriptionName: [
				"A wrist protector, designed exclusively for the Ninja class, that has been enhanced with high Magic Defense by a gifted artisan.",
				"MDEF + 5",
				"Class :^777777 Shield^000000",
				"Defense :^777777 45^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		2121: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Memory Book",
			identifiedResourceName: "\xb8\xde\xb8\xf0\xb6\xf3\xc0\xcc\xc1\xee\xba\xcf",
			identifiedDescriptionName: [
				"A magic book filled with long, impractical spells that is so large, it can actually be used just like a shield.",
				"INT + 1, MDEF + 2",
				"[^000088Pocket Watch & Eye Patch & Memory Book Equip Set^000000]",
				"Class :^777777 Shield^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 5
		},

		2122: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Platinum Shield",
			identifiedResourceName: "\xc7\xc3\xb7\xa1\xc6\xbc\xb3\xd1\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A magnificent platinum shield. Some say the shield reflects negative spells.",
				"Reduces damage taken from Medium / Large-sized monsters by 15%.",
				"Reduces damage taken from Undead type monsters by 10%. This effect stacks if the Undead monster also happens to be Medium or Large.",
				"Whenever you receive a Magical Damage there is small chance to reflect all offensive magic against you at 40% chance for 2 seconds.",
				"MDEF + 5",
				"Class :^777777 Shield^000000",
				"Defense :^777777 95^000000",
				"Weight :^777777 120^000000",
				"Required Level :^777777 68^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		2123: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orleans's Server",
			identifiedResourceName: "\xbf\xc0\xb8\xa6\xb7\xb9\xbe\xd3\xc0\xc7\xbc\xad\xb9\xf6",
			identifiedDescriptionName: [
				"A shiny round shaped steel plate used for serving foods.",
				"Reflect of all Magical Damage back to the enemy which inflicted it (Success Chance 5%).",
				"MDEF + 2",
				"[^000088+ Orlean's Gloves^000000]",
				"Reduces casting time by 10%.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 75^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		2124: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Thorny Buckler",
			identifiedResourceName: "\xb0\xa1\xbd\xc3\xb9\xe6\xc6\xd0",
			identifiedDescriptionName: [
				"A rough shield with dozens of spikes. It seems that an aggressor would rather get hurt.",
				"MDEF + 2",
				"[^000088+ Horn of the Buffalo^000000]",
				"Attack Speed is increased by 10%, Reflect 5% of all Physical Damage back to the enemy which inflicted it.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 85^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		2125: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Strong Shield",
			identifiedResourceName: "\xbd\xba\xc6\xae\xb7\xd5\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A massive shield that firmly withstands any kind of attack.",
				"However, the owner receives extra damage since the shield lacks in absorbing the shock.",
				"Can never be knocked back. Receives 20% additional damage from all physical and magical sources.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 90^000000",
				"Weight :^777777 250^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		2126: {
			unidentifiedDisplayName: "Guyak Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guyak Shield",
			identifiedResourceName: "\xb1\xb8\xbe\xe0\xb9\xe6\xc6\xd0",
			identifiedDescriptionName: [
				"...",
				"MDEF + 2, Reflect 5% of all Physical Damage and Magical Damage back to the enemy which inflicted it (Success Chance 2%).",
				"Class :^777777 Shield^000000",
				"Defense :^777777 3^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		2127: {
			unidentifiedDisplayName: "Secular Mission",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Secular Mission",
			identifiedResourceName: "\xbd\xc5\xc0\xc7\xbb\xe7\xc0\xda",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"Reduces damage from enemies by 25%.",
				"Impossible to refine this item.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		2128: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sacred Mission",
			identifiedResourceName: "\xbd\xc5\xc0\xc7\xbb\xe7\xc0\xda",
			identifiedDescriptionName: [
				"A symbolic shield, rumored to have been given from God to his messenger.",
				"INT + 2, VIT + 3, MDEF + 3",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Shield^000000",
				"Defense :^777777 120^000000",
				"Weight :^777777 140^000000",
				"Required Level :^777777 83^000000",
				"Applicable Job :^777777 Crusader^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		2129: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Exorcism Bible",
			identifiedResourceName: "\xb1\xb8\xb8\xb6\xc0\xc7\xbc\xba\xbc\xad",
			identifiedDescriptionName: [
				"A thick book contained basic skills for clerics.",
				"HP, SP Recovery + 3%, INT + 1",
				"[^000088+ Holy Stick^000000]",
				"Inflict 20% more damage with ^008800Magnus Exorcismus^000000.",
				"Add a chance of auto casting ^008800Level 1 Turn Undead^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 80^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		2130: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cross Shield",
			identifiedResourceName: "\xc5\xa9\xb7\xce\xbd\xba\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A big and thick cross-shaped shield. STR + 1",
				"Increases damage of ^008800Rapid Smiting, and Shield Boomerang^000000 by 30%, Increase SP Consumption of skills by 10%.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 130^000000",
				"Weight :^777777 200^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Crusader^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		2131: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magic Bible Vol1",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xc0\xc7\xbc\xad\xc1\xa6\x31\xb1\xc7",
			identifiedDescriptionName: [
				"A thick book which is full of unknown letters. It seems published in series.",
				"MDEF + 3, INT + 2, Add a chance of auto casting ^880000Stun^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 18^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 5
		},

		2132: {
			unidentifiedDisplayName: "Shelter Resistance",
			unidentifiedResourceName: "\xc8\xa6\xb8\xae\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shelter Resistance",
			identifiedResourceName: "\xc8\xa6\xb8\xae\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A Magical Shield that has a strong resistance against every attack that an opponent tries to deal you.",
				"Reduced 20% damage from the monster.",
				"Reflects 1% of Physical Attack",
				"Class :^777777 Shield^000000",
				"Defense :^777777 140^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		2133: {
			unidentifiedDisplayName: "Tournament Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tournament Shield",
			identifiedResourceName: "\xc5\xe4\xb3\xca\xb8\xd5\xc6\xae\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A shield designed to be used in jousting on horseback in tournaments,",
				"providing the best defense if used with a spear.",
				"ATK + 1%",
				"[^000088Long Horn & Battle Hook or Hunting Spear Equip Set^000000]",
				"DEF + 2, ATK + 4%.",
				"[^008800Lord Knight Class^000000]",
				"Attack Speed -5%.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 105^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		2134: {
			unidentifiedDisplayName: "Shield of Naga",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shield of Naga",
			identifiedResourceName: "\xb3\xaa\xb0\xa1\xc0\xc7\xba\xf1\xb4\xc3\xb9\xe6\xc6\xd0",
			identifiedDescriptionName: [
				"A sturdy shield built with an intricate arrangement of Naga Scales.",
				"The scales are so sharp that even by mistakenly touching it you could be cut.",
				"MDEF + 3",
				"When receiving physical damage there's low chance physical damage will be reflected to the attacker for 5 seconds.",
				"The chance for the reflect rate is around 3% for each refine.",
				"The reflect damage increases only up to +10. When refined above +11, every further two refine increase the duration of reflect by 1 second.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 35^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans 2nd Class^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		2135: {
			unidentifiedDisplayName: "Shadow Guard",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shadow Guard",
			identifiedResourceName: "\xbd\xa6\xb5\xb5\xbf\xec\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"A small shield which is wearable with black arms.",
				"[^000088Shadow Guard & Shadow Walk Equip Set^000000]",
				"Add a high chance inflict ^880000Blind^000000 on the enemy When dealing physical damage.",
				"Adds FLEE + 20 for 10 sec when dealing physical damage.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 52^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Stalker^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		2136: {
			unidentifiedDisplayName: "Cracked Buckler",
			unidentifiedResourceName: "\xb9\xf6\xc5\xac\xb7\xaf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cracked Buckler",
			identifiedResourceName: "\xb9\xf6\xc5\xac\xb7\xaf",
			identifiedDescriptionName: [
				"...",
				"AGI + 2, Reduce 10% of ^777777Neutral^000000 Property damage.",
				"Add a 5% chance of auto casting ^008800Level 1 Kyrie Eleison^000000 on the user when receives Physical Damage.",
				"MDEF + 1",
				"Class :^777777 Shield^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		2137: {
			unidentifiedDisplayName: "Neo Valkyrja's Shield",
			unidentifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xbe\xc6\xbd\xaf\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Neo Valkyrja's Shield",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xbe\xc6\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A shield used by Gna, the messanger of Freyja while she served as a Valkyrie.",
				"Add a 30% resistance against DemiHuman monster.",
				"MaxHP + 5%",
				"Add a 20% resistance against ^FF0000Fire^000000 and ^0000FFWater^000000 Property attacks.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 80^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 95^000000",
				"Applicable Job :^777777 Every Jobs except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		2138: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bradium Shield",
			identifiedResourceName: "\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2\xb9\xe6\xc6\xd0",
			identifiedDescriptionName: [
				"A solid shield crafted from Bradium.",
				"Increases ATK of Shield Boomerang by 60%.",
				"AGI - 1, MaxHP + 500",
				"Class :^777777 Shield^000000",
				"Defense :^777777 98^000000",
				"Weight :^777777 180^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Rebirth 2nd Class or above^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		2139: {
			unidentifiedDisplayName: "Flame Thrower",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flame Thrower",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xb9\xe6\xbb\xe7\xb1\xe2",
			identifiedDescriptionName: [
				"Allows you to shoot burning flames at an opponent.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 60^000000",
				"Weight :^777777 200^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		2140: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Energy Rune Guard",
			identifiedResourceName: "\xbf\xa1\xb3\xca\xc1\xf6\xb7\xe9\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"...",
				"MaxSP + 2%.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 70^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		2141: {
			unidentifiedDisplayName: "Freya's Spiritual Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Shield",
			identifiedResourceName: "\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual shield granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"Reduces damage taken from Medium sized monsters by 25%.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		2142: {
			unidentifiedDisplayName: "Freya's Spiritual Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Shield",
			identifiedResourceName: "\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual shield granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"Reduces damage taken from Medium sized monsters by 25%.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		2143: {
			unidentifiedDisplayName: "Freya's Spiritual Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Shield",
			identifiedResourceName: "\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual shield granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"Reduces damage taken from Medium sized monsters by 25%.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		2144: {
			unidentifiedDisplayName: "Freya's Spiritual Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Shield",
			identifiedResourceName: "\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual shield granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"Reduces damage taken from Medium sized monsters by 25%.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		2145: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guardian Shield",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xbe\xc6\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"...",
				"Reduce 10% of ^777777Neutral^000000 Property damage.",
				"MDEF + 1.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		2146: {
			unidentifiedDisplayName: "Siver Guard",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siver Guard",
			identifiedResourceName: "\xbd\xc7\xb9\xf6\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"A heavy shield created from a mix of silver and iron.",
				"It is dazzling when it reflects light.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 60^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 22^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		2147: {
			unidentifiedDisplayName: "Round Buckler",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Round Buckler",
			identifiedResourceName: "\xb6\xf3\xbf\xee\xb5\xe5\xb9\xf6\xc5\xac\xb7\xaf",
			identifiedDescriptionName: [
				"An all round useful round shaped shield.",
				"It gets its high defense value from layers of elunium.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 90^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 22^000000",
				"Applicable Job :^777777 Every Trans Job^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		2148: {
			unidentifiedDisplayName: "Rosa Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rosa Shield",
			identifiedResourceName: "\xb7\xce\xbb\xe7\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A strong shield crafted from a unique metal found in the other world, layered in such a way that that it looks like a blooming flower.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 130^000000",
				"Weight :^777777 130^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 3rd Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		2149: {
			unidentifiedDisplayName: "Upgrade Guard",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Guard",
			identifiedResourceName: "\xb0\xad\xc8\xad\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"A Guard molded out of Elunium and pure gold mixture.",
				"MaxHP + 3%",
				"Class :^777777 Shield^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		2150: {
			unidentifiedDisplayName: "Upgrade Buckler",
			unidentifiedResourceName: "\xb9\xf6\xc5\xac\xb7\xaf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Buckler",
			identifiedResourceName: "\xb0\xad\xc8\xad\xb9\xf6\xc5\xac\xb7\xaf",
			identifiedDescriptionName: [
				"A Buckler molded out of Elunium and pure gold mixture.",
				"MaxHP + 3%",
				"Class :^777777 Shield^000000",
				"Defense :^777777 45^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Acolyte Class, Thief Class, Bard, Dancer^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		2151: {
			unidentifiedDisplayName: "Upgrade Shield",
			unidentifiedResourceName: "\xbd\xaf\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Shield",
			identifiedResourceName: "\xb0\xad\xc8\xad\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A Shield molded out of Elunium and pure gold mixture.",
				"MaxHP + 3%",
				"Class :^777777 Shield^000000",
				"Defense :^777777 65^000000",
				"Weight :^777777 65^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		2152: {
			unidentifiedDisplayName: "Anti Demon Shield",
			unidentifiedResourceName: "\xc5\xa9\xb7\xce\xbd\xba\xbd\xaf\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Anti Demon Shield",
			identifiedResourceName: "\xc5\xa9\xb7\xce\xbd\xba\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"...",
				"...",
				"MaxHP + 400.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		2153: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Imperial Guard",
			identifiedResourceName: "\xc0\xd3\xc6\xe4\xb8\xae\xbe\xf3\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"A beautiful shield with the insignia of the Rune Kingdom engraved.",
				"MDEF + 5.",
				"Increases ^008800Shield Press^000000 damage by 20%.",
				"Each refine above +6 increases the skill attack power by an additional 2%.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 120^000000",
				"Weight :^777777 250^000000",
				"Required Level :^777777 102^000000",
				"Applicable Job :^777777 Royal Guard Only^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		2154: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Toy Shield",
			identifiedResourceName: "\xc5\xe4\xc0\xcc\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 1,
			ClassNum: 1
		},

		2156: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bible of Promise(1st Vol.)",
			identifiedResourceName: "\xbe\xe0\xbc\xd3\xc0\xc7\xbc\xba\xbc\xad",
			identifiedDescriptionName: [
				"An ancient book of holy verses handed down in the clergy, at the time a very popular series.",
				"Enables casting of the skill \"Odin's Power\" Lv 1.",
				"Class :^777777 Shield^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 110^000000",
				"Applicable Job :^777777 Arch Bishop^000000",
			],
			slotCount: 1,
			ClassNum: 5
		},

		2157: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Insecticide",
			identifiedResourceName: "\xb5\xa5\xb5\xe9\xb8\xae\xc6\xf7\xc0\xcc\xc1\xf0\xba\xb4",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		2160: {
			unidentifiedDisplayName: "¹æÆÐ",
			unidentifiedResourceName: "\xb9\xf6\xc5\xac\xb7\xaf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "±â°£Æ®½¯µå",
			identifiedResourceName: "\xb1\xe2\xb0\xa3\xc6\xae\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"°í´ë ½ÅÀüÀÇ ¼öÈ£ÀÚ¿´´ø °ÅÀÎµéÀÇ ¹æÆÐ¸¦ º»µû ¸¸µç °Í. Àü¼³ÀÇ ´ëÀåÀåÀÌÀÇ ´É·ÂÀ¸·Î ¼öÈ£ÀÚÀÇ ÈûÀÌ ±êµé°Ô µÇ¾ú´Ù.",
				"´ëÇü¸ó½ºÅÍ¿¡°Ô¼­ ¹Þ´Â µ¥¹ÌÁö 5% °¨¼Ò, 9Á¦·Ã ½Ã °¨¼Ò·® 5% Ãß°¡.",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^777777130^000000",
				"¹«°Ô : ^777777280^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^7777773Â÷ °Ë»ç°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		2161: {
			unidentifiedDisplayName: "ºÏ",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°ÔÆä´Ï¾ÆÀÇ °í¼­(â©)",
			identifiedResourceName: "\xb0\xd4\xc6\xe4\xb4\xcf\xbe\xc6\xc0\xc7\xb0\xed\xbc\xad\x5f\xb9\xb0",
			identifiedDescriptionName: [
				"ÀØÇôÁø ´ë·ú, °ÔÆä´Ï¾ÆÀÇ ºñº¸ Áß ÇÏ³ª·Î ÀÌ°Í¿¡ ¾ôÈù ¸¶·ÂÀ» Á¦´ë·Î »ç¿ëÇÒ ¼ö ÀÖ´Â ÀÚ´Â ¸¹Áö ¾Ê´Ù°í ÇÑ´Ù.",
				"INT + 1, MDEF + 2.",
				"¼ø¼ö INT 120 ÀÎ °æ¿ì MATK + 10, MaxHP + 800.",
				"¶óÅ©¸®¸¶ ½ºÆ½°ú ÇÔ²² ÀåÂø ½Ã ¹æÆÐ Á¦·ÃµµÀÇ 4¹è ¸¸Å­ÀÇ ½ºÅè °¡½ºÆ®, ÇÁ·Î½ºÆ® ¹Ì½ºÆ¼, Àè ÇÁ·Î½ºÆ®ÀÇ º¯µ¿ Ä³½ºÆÃ %°¨¼Ò.",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^77777730^000000",
				"¹«°Ô : ^777777100^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777¿ö·Ï^000000",
			],
			slotCount: 1,
			ClassNum: 5
		},

		2162: {
			unidentifiedDisplayName: "ºÏ",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¾à¼ÓÀÇ ¼º¼­ 2±Ç",
			identifiedResourceName: "\xbe\xe0\xbc\xd3\xc0\xc7\xbc\xba\xbc\xad\x32\xb1\xc7",
			identifiedDescriptionName: [
				"´ë¼º´ç¿¡ ÀüÇØÁö´Â ½Å¼ºÇÑ ³ë·¡µéÀÌ ´ã°ÜÁ® ÀÖ´Â ¿À·¡µÈ Ã¥. ´ç½Ã¿£ ½Ã¸®Áî·Î Ãâ°£µÇ¾î ÀýÂù¸® ÆÇ¸ÅµÇ¾ú´ø °Í °°´Ù.",
				"MDEF + 5, \"¿ÀµòÀÇ Èû 2Lv\" »ç¿ë °¡´É.",
				"ÀÚ½ÅÀÌ »ç¿ëÇÏ´Â Èú·® 5% Áõ°¡.",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^77777720^000000",
				"¹«°Ô : ^77777750^000000",
				"¿ä±¸ ·¹º§ : ^777777140^000000",
				"ÀåÂø : ^777777¾ÆÅ©ºñ¼ó^000000",
			],
			slotCount: 1,
			ClassNum: 5
		},

		2164: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sombre Shield",
			identifiedResourceName: "\xb6\xf3\xb8\xf0\xb8\xa3\xbd\xaf\xb5\xe5\x5f\xbe\xcf",
			identifiedDescriptionName: [
				"A shield that has internal resistance.",
				"Decrease damage by 5% from dark and fire type monsters",
				"Class : ^777777Shield^000000",
				"Defense : ^77777750^000000",
				"Weight : ^777777130^000000",
				"Req Lev : ^77777765^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2168: {
			unidentifiedDisplayName: "Immuned Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Immune Shield",
			identifiedResourceName: "\xc0\xcc\xb9\xc3\xb5\xe5\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A square shaped exotic shield. There is a Gem which is specialized to defense Physical force.",
				"If it refined over 5, will give 1% tolerance on property \"nothing\" attack",
				"(This bonus would work up to +12, 7%)",
				"Class : ^777777Shield^000000",
				"Defense : ^77777755^000000",
				"Weight : ^77777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 4
		},

		2169: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kalasag",
			identifiedResourceName: "\xc4\xae\xb6\xf3\xbb\xe8",
			identifiedDescriptionName: [
				"Sturdy yet light, practical shield made from rattan.",
				"1% damage decrease from boss monsters per",
				"3 refinement.",
				"If Kalasag, Buwaya Sack Cloth, Bakonawa Scale Armor, and Bangungot Boots of Nightmare are obtained,",
				"Damage decreased by 30%, and MHP increases at +20%, and MSP by +10% by from all monsters within Philippine Localizing.",
				"Class : ^777777Shield^000000",
				"Defense : ^77777740^000000",
				"Weight : ^77777740^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2170: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kalasag(Bayani)",
			identifiedResourceName: "\xb9\xd9\xbe\xdf\xb4\xcf\xc4\xae\xb6\xf3\xbb\xe8",
			identifiedDescriptionName: [
				"Sturdy yet light, practical shield made from rattan.",
				"1% damage decrease from boss monsters per 3 refinement.",
				"Class : ^777777Shield^000000 Defense : ^77777740^000000",
				"Weight : ^77777740^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2171: {
			unidentifiedDisplayName: "¹æÆÐ",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¿©¿ì ¹®¾ç ÆÈ¸ñ º¸È£´ë",
			identifiedResourceName: "\xbf\xa9\xbf\xec\xb9\xae\xbe\xe7\xc6\xc8\xb8\xf1\xba\xb8\xc8\xa3\xb4\xeb",
			identifiedDescriptionName: [
				"¸ÅÈ¤ÀûÀÎ ¿©¿ìÀÇ ¸ð½ÀÀÌ ±×·ÁÁø ÆÈ¸ñ º¸È£´ë. Âø¿ë ½Ã, ¸öÀÌ ³¯·ÆÇØÁö´Â ±â¿îÀ» ´À³¥ ¼ö ÀÖ´Ù.",
				"FLEE + 5.",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^77777745^000000",
				"¹«°Ô : ^77777720^000000",
				"¿ä±¸·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2172: {
			unidentifiedDisplayName: "¹æÆÐ",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "´Á´ë ¹®¾ç ÆÈ¸ñ º¸È£´ë",
			identifiedResourceName: "\xb4\xc1\xb4\xeb\xb9\xae\xbe\xe7\xc6\xc8\xb8\xf1\xba\xb8\xc8\xa3\xb4\xeb",
			identifiedDescriptionName: [
				"À§ÇùÀûÀÎ ´Á´ëÀÇ ¸ð½ÀÀÌ ±×·ÁÁø ÆÈ¸ñ º¸È£´ë. Âø¿ë ½Ã, ¹«Â÷º°ÀûÀÎ ¾ß»ý º»´ÉÀÇ ±â¿îÀ» ´À³¥ ¼ö ÀÖ´Ù.",
				"¹°¸®°ø°Ý ½Ã, ÀÏÁ¤ È®·ü·Î 5ÃÊ°£ ATK + 100, FLEE - 50.",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^77777770^000000",
				"¹«°Ô : ^77777725^000000",
				"¿ä±¸·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2173: {
			unidentifiedDisplayName: "¹æÆÐ",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÃÊ½Â´Þ ¹®¾ç ÆÈ¸ñ º¸È£´ë",
			identifiedResourceName: "\xc3\xca\xbd\xc2\xb4\xde\xb9\xae\xbe\xe7\xc6\xc8\xb8\xf1\xba\xb8\xc8\xa3\xb4\xeb",
			identifiedDescriptionName: [
				"¿µ·ÕÇÑ ÃÊ½Â´ÞÀÇ ¸ð½ÀÀÌ ±×·ÁÁø ÆÈ¸ñ º¸È£´ë. Âø¿ë ½Ã, Ãæ¸¸ÇÑ ¸¶·ÂÀÇ ±â¿îÀ» ´À³¥ ¼ö ÀÖ´Ù.",
				"1Á¦·Ã ´ç, ½ºÅ³ ÈÄ µô·¹ÀÌ 2% °¨¼Ò.",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^77777745^000000",
				"¹«°Ô : ^77777725^000000",
				"¿ä±¸·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2178: {
			unidentifiedDisplayName: "¹æÆÐ",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¹öÅ¬·¯",
			identifiedResourceName: "\xb9\xf6\xc5\xac\xb7\xaf",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MDEF + 15.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"MAXHP + 100, MAXSP + 100.",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 15% °¨¼Ò.",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^77777715^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2179: {
			unidentifiedDisplayName: "¹æÆÐ",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ½¯µå",
			identifiedResourceName: "\xbd\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MDEF + 5.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"MAXHP + 200.",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 20% °¨¼Ò.",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^77777725^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2180: {
			unidentifiedDisplayName: "¹æÆÐ",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¸ÅÁ÷°¡µå",
			identifiedResourceName: "\xb0\xa1\xb5\xe5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MDEF + 25.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"MAXSP + 200.",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 10% °¨¼Ò.",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^7777775^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­/¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2181: {
			unidentifiedDisplayName: "¹æÆÐ",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Çì¸£º¸¸£",
			identifiedResourceName: "\xba\xb0\xba\xd2\xb0\xa1\xbb\xe7\xb8\xae",
			identifiedDescriptionName: [
				"'Àü¼¼¸¦ ¼öÈ£'ÇÏ´Â ¹ßÅ°¸®, Çì¸£º¸¸£ÀÇ ÀÌ¸§À» °¡Áø ¹æÆÐ.",
				"MDEF + 5.",
				"¸ðµç Á¾Á·¿¡°Ô¼­ ¹Þ´Â µ¥¹ÌÁö 30% °¨¼Ò.",
				"Á¦·Ã ºÒ°¡.",
				"ÆÄ±« ºÒ°¡.",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^777777100^000000",
				"¹«°Ô : ^777777150^000000",
				"¿ä±¸ ·¹º§ : ^77777790^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		2182: {
			unidentifiedDisplayName: "¹æÆÐ",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Çì¸£º¸¸£ ¾Æ¸£ºñÆ®",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc6\xc7\x30\x31",
			identifiedDescriptionName: [
				"'Àü¼¼¸¦ ¼öÈ£'ÇÏ´Â ¹ßÅ°¸®, Çì¸£º¸¸£ÀÇ ÀÌ¸§À» °¡Áø ¹æÆÐ. ´õ¿í °­·ÂÇÑ ÈûÀÌ ºÎ¿©µÇ¾ú´Ù.",
				"VIT + 20, MDEF + 10.",
				"¸ðµç Á¾Á·¿¡°Ô¼­ ¹Þ´Â µ¥¹ÌÁö 30% °¨¼Ò.",
				"±ÙÁ¢ ¹°¸® °ø°ÝÀ» ¹Þ¾ÒÀ» ½Ã, ÀÏÁ¤È®·ü·Î 60ÃÊ°£ [¼öÈ£ÀÇ ºû]À» ¹Þ´Â´Ù.",
				"[¼öÈ£ÀÇ ºû]Àº ¹Þ´Â Áï½Ã '½ºÅÏ, ¼ö¸é, ÀúÁÖ, ¼®È­, µ¶, ¾ÏÈæ, Ä§¹¬, ÃâÇ÷, È¥¶õ, µ¿ºù'À» ÇØÁ¦ÇÏ¸ç, È¿°úÀÇ Áö¼Ó½Ã°£µ¿¾È ÇØ´ç »óÅÂÀÌ»ó¿¡ ´Ù½Ã °É¸®Áö ¾Ê´Â´Ù.",
				"Á¦·Ã ºÒ°¡.",
				"ÆÄ±« ºÒ°¡.",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^777777150^000000",
				"¹«°Ô : ^777777300^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^7777773Â÷Á÷¾÷±ºÀü¿ë^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		2199: {
			unidentifiedDisplayName: "Shield",
			unidentifiedResourceName: "\xbe\xc6\xc8\xc4\xb6\xf3\xb8\xb6\xc1\xee\xb4\xd9",
			unidentifiedDescriptionName: [
				"\"^339999The Shield of all Shields^000000\"",
			],
			identifiedDisplayName: "Ahura Mazdah",
			identifiedResourceName: "\xbe\xc6\xc8\xc4\xb6\xf3\xb8\xb6\xc1\xee\xb4\xd9",
			identifiedDescriptionName: [
				"\"^339999The Shield of all Shields^000000\"",
			],
			slotCount: 0,
			ClassNum: 2
		},

		2201: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sunglasses",
			identifiedResourceName: "\xbc\xb1\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
				"Glasses with special, darkened lenses that block ultraviolet light.",
				"Increases resistance to ^880000Blind^000000 status by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		2202: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sunglasses",
			identifiedResourceName: "\xbc\xb1\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
				"Glasses with special, darkened lenses that block ultraviolet light.",
				"Increases resistance to ^880000Blind^000000 status by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 12
		},

		2203: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glasses",
			identifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
				"Prescription glasses worn to compensate for defects in vision.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		2204: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glasses",
			identifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
				"Prescription glasses worn to compensate for defects in vision.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		2205: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Diver Goggles",
			identifiedResourceName: "\xb9\xb0\xbe\xc8\xb0\xe6",
			identifiedDescriptionName: [
				"Sturdy goggles worn by ocean divers.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 10
		},

		2206: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wedding Veil",
			identifiedResourceName: "\xb8\xe9\xbb\xe7\xc6\xf7",
			identifiedDescriptionName: [
				"A transparent veil worn by brides on the day of their wedding.",
				"MDEF + 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Female Only, Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 44
		},

		2207: {
			unidentifiedDisplayName: "Flower",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fancy Flower",
			identifiedResourceName: "\xc0\xe5\xbd\xc4\xbf\xeb\xb2\xc9",
			identifiedDescriptionName: [
				"A floral decoration used to adorn the head.",
				"Reduces damage from Plant monster by 10%.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 4
		},

		2208: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ribbon",
			identifiedResourceName: "\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"A hairpin made from indigo blue satin that wards off harmful magic.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 17
		},

		2209: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ribbon",
			identifiedResourceName: "\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"A hairpin made from indigo blue satin that wards off harmful magic.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 17
		},

		2210: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hair Band",
			identifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A simple hair band that holds hair in place quite neatly. It's a very cute look for girls, but dudes, on the other hand.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 9
		},

		2211: {
			unidentifiedDisplayName: "Bandana",
			unidentifiedResourceName: "\xb5\xce\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bandana",
			identifiedResourceName: "\xb5\xce\xb0\xc7",
			identifiedDescriptionName: [
				"A common, ivory colored bandana.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 6
		},

		2212: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eye Patch",
			identifiedResourceName: "\xbe\xc8\xb4\xeb",
			identifiedDescriptionName: [
				"A patch used to cover one eye.",
				"[^000088Pocket Watch & Eye Patch & Memory Book Equip Set^000000]",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		2213: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kitty Band",
			identifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hair band that gives one the appearance of having ears like a cat.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		2214: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bunny Band",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hair band that gives one the appearance of having rabbit ears, a lasting symbol of extremely good luck.",
				"LUK + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		2215: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flower Band",
			identifiedResourceName: "\xb2\xc9\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A fragrant hair band crafted from only the daintiest of flowers.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		2216: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Biretta",
			identifiedResourceName: "\xba\xf1\xb7\xb9\xc5\xb8",
			identifiedDescriptionName: [
				"A stiff, squarish formal hat usually worn by clerics.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		2217: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Biretta",
			identifiedResourceName: "\xba\xf1\xb7\xb9\xc5\xb8",
			identifiedDescriptionName: [
				"A stiff, squarish formal hat usually worn by clerics.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		2218: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flu Mask",
			identifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A mask that is worn by people with the flu to prevent spreading sickness to others.",
				"Add a 10% resistance to the ^880000Silence^000000 status.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		2219: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flu Mask",
			identifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A mask that is worn by people with the flu to prevent spreading sickness to others.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		2220: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hat",
			identifiedResourceName: "\xc7\xde",
			identifiedDescriptionName: [
				"A simple, pink hat.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		2221: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hat",
			identifiedResourceName: "\xc7\xde",
			identifiedDescriptionName: [
				"A simple, pink hat.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 16
		},

		2222: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Turban",
			identifiedResourceName: "\xb5\xd5\xb1\xd9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A small, tight fitting headdress made of fine silk.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 7
		},

		2223: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Turban",
			identifiedResourceName: "\xb5\xd5\xb1\xd9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A small, tight fitting headdress made of fine silk.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 7
		},

		2224: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Goggles",
			identifiedResourceName: "\xb0\xed\xb1\xdb",
			identifiedDescriptionName: [
				"A pair of goggles designed for pilots in order to reduce vision impairment when travelling at very high speeds.",
				"Class :^777777 Headgear^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Swordman Class, Archer Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		2225: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Goggles",
			identifiedResourceName: "\xb0\xed\xb1\xdb",
			identifiedDescriptionName: [
				"A pair of goggles designed for pilots in order to reduce vision impairment when travelling at very high speeds.",
				"Class :^777777 Headgear^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Swordman Class, Archer Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		2226: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cap",
			identifiedResourceName: "\xc4\xb8",
			identifiedDescriptionName: [
				"A brimless hat that offers very little in the way of fashion, but does provide decent defense.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Archer Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		2227: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cap",
			identifiedResourceName: "\xc4\xb8",
			identifiedDescriptionName: [
				"A brimless hat that offers very little in the way of fashion, but does provide decent defense.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Archer Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 14
		},

		2228: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Helm",
			identifiedResourceName: "\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"This steel helmet, made in the style worn by roman soldiers, offers great protection, covering most of the head.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 13^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 40
		},

		2229: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Helm",
			identifiedResourceName: "\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"This steel helmet, made in the style worn by roman soldiers, offers great protection, covering most of the head.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 13^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 40
		},

		2230: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gemmed Sallet",
			identifiedResourceName: "\xc1\xea\xbe\xf3\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"A jeweled headdress that wards off harmful magic.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2231: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gemmed Sallet",
			identifiedResourceName: "\xc1\xea\xbe\xf3\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"A jeweled headdress that wards off harmful magic.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2232: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Circlet",
			identifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			identifiedDescriptionName: [
				"A jeweled, metal band worn on the head that wards off the effects of harmful magic.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 18
		},

		2233: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Circlet",
			identifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			identifiedDescriptionName: [
				"A jeweled, metal band worn on the head that wards off the effects of harmful magic.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 18
		},

		2234: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tiara",
			identifiedResourceName: "\xc6\xbc\xbe\xc6\xb6\xf3",
			identifiedDescriptionName: [
				"A jeweled coronet said to grant the wisdom of an ancient queen that had worn it.",
				"INT + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Female Only, Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 19
		},

		2235: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crown",
			identifiedResourceName: "\xc5\xa9\xb6\xf3\xbf\xee",
			identifiedDescriptionName: [
				"A crown adorned with gorgeous jewels that is said to be worn by a wise, ancient king who will grant his wisdom to the wearer.",
				"INT + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Male Only, Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 45
		},

		2236: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Santa Hat",
			identifiedResourceName: "\xbb\xea\xc5\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A red, pompom topped cap that is associated with Santa Claus's legend.",
				"It brings luck and magic protection to whoever wears it.",
				"MDEF + 1, LUK + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 20
		},

		2237: {
			unidentifiedDisplayName: "Moustache",
			unidentifiedResourceName: "\xc8\xf2\xbc\xf6\xbf\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bandit Beard",
			identifiedResourceName: "\xc5\xce\xbc\xf6\xbf\xb0",
			identifiedDescriptionName: [
				"Bandit Beard",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 21
		},

		2238: {
			unidentifiedDisplayName: "Moustache",
			unidentifiedResourceName: "\xc8\xf2\xbc\xf6\xbf\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Moustache",
			identifiedResourceName: "\xc4\xe0\xbc\xf6\xbf\xb0",
			identifiedDescriptionName: [
				"Moustache",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		2239: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Monocle",
			identifiedResourceName: "\xbf\xdc\xb4\xab\xbe\xc8\xb0\xe6",
			identifiedDescriptionName: [
				"An aristocratically stylish lens that is worn for only one eye.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 23
		},

		2240: {
			unidentifiedDisplayName: "Moustache",
			unidentifiedResourceName: "\xc8\xf2\xbc\xf6\xbf\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Beard",
			identifiedResourceName: "\xbc\xf6\xbf\xb0",
			identifiedDescriptionName: [
				"Beard",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 24
		},

		2241: {
			unidentifiedDisplayName: "Moustache",
			unidentifiedResourceName: "\xc8\xf2\xbc\xf6\xbf\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Grampa Beard",
			identifiedResourceName: "\xc8\xf2\xbc\xf6\xbf\xb0",
			identifiedDescriptionName: [
				"A white colored moustache, symbol of experience and well aged sophistication.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 25
		},

		2242: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Purple Glasses",
			identifiedResourceName: "\xb0\xed\xb1\xde\xbc\xb1\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
				"High quality sunglasses that effectively block glare from the sun.",
				"Add a 10% resistance to the ^880000Blind^000000 status.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 26
		},

		2243: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Geek Glasses",
			identifiedResourceName: "\xbd\xba\xc7\xc9\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
				"A pair of glasses that make the wearer's eyes look like they're spinning without focus.",
				"Add a 15% resistance to the ^880000Blind^000000 status.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 27
		},

		2244: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Big Ribbon",
			identifiedResourceName: "\xbf\xd5\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"An over-sized red ribbon that contains hidden magical power.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 28
		},

		2245: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sweet Gent",
			identifiedResourceName: "\xbd\xba\xc0\xa7\xc6\xae\xc1\xa8\xc6\xb2",
			identifiedDescriptionName: [
				"A dark colored and very stylish hat that was popularized by smooth crooners.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 29
		},

		2246: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Gear",
			identifiedResourceName: "\xb0\xf1\xb5\xe7\xc7\xec\xb5\xe5\xb1\xe2\xbe\xee",
			identifiedDescriptionName: [
				"A helmet forged from pure gold which blocks attacks effectively, but is also unaffordable.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 90^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 30
		},

		2247: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Romantic Gent",
			identifiedResourceName: "\xbf\xc3\xb5\xe5\xbd\xba\xc5\xcd\xb7\xce\xb8\xc7\xbd\xba",
			identifiedDescriptionName: [
				"An ivory hat worn by classy men during classy occasions.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 31
		},

		2248: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Western Grace",
			identifiedResourceName: "\xbf\xfe\xbd\xba\xc5\xcf\xb1\xd7\xb7\xb9\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"A broad brimmed casual hat, usually worn by cowboys and ranchers, that is rustically stylish.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 32
		},

		2249: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Coronet",
			identifiedResourceName: "\xc4\xda\xb7\xce\xb3\xdd",
			identifiedDescriptionName: [
				"A small decorative crown, fashioned out of pure gold, worn by members of nobility.",
				"INT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 33
		},

		2250: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cute Ribbon",
			identifiedResourceName: "\xb8\xd3\xb8\xae\xb2\xf6",
			identifiedDescriptionName: [
				"A small, decorative ribbon for the head.",
				"Maximum SP + 20",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 34
		},

		2251: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Monk Hat",
			identifiedResourceName: "\xbc\xba\xc1\xf7\xc0\xda\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A ceremonial hat worn by monks that contains a sacred force which offers protection from evil.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 35
		},

		2252: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wizard Hat",
			identifiedResourceName: "\xc0\xa7\xc0\xfa\xb5\xe5\xc7\xde",
			identifiedDescriptionName: [
				"A mystic hat, made specifically for wizards, which amplifies psychic power.",
				"Maximum SP + 100",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 36
		},

		2253: {
			unidentifiedDisplayName: "Flower",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sunflower",
			identifiedResourceName: "\xc0\xe5\xbd\xc4\xbf\xeb\xc7\xd8\xb9\xd9\xb6\xf3\xb1\xe2",
			identifiedDescriptionName: [
				"Peculiar headgear designed to look like a sunflower.",
				"Reduces damage from Insect monster by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 37
		},

		2254: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angel Wing",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A headband adorned with what appears to be the wings of an angel.",
				"It contains holiness that blesses the wearer's soul and offers protection from dark forces.",
				"Reduces damage from Demon monster by 3%.",
				"AGI + 1, LUK + 1, MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 38
		},

		2255: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evil Wing",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A headgear that look like the wings of a Demon.",
				"Demonic power increases the wearer's strength and offers protection from sacred powers.",
				"Reduce damage taken from Angel monster by 3%.",
				"STR + 1, MDEF + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 39
		},

		2256: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magestic Goat",
			identifiedResourceName: "\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb0\xed\xbf\xec\xc6\xae",
			identifiedDescriptionName: [
				"A helmet, made to look like mighty goat horns, that can increase the strength of its wearer.",
				"STR + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 9^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, TaeKwon, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 41
		},

		2257: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Unicorn Horn",
			identifiedResourceName: "\xbb\xf5\xc7\xcf\xbe\xe1\xbb\xd4",
			identifiedDescriptionName: [
				"A pristinely white horn worn on the forehead that makes one look like an unicorn.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 42
		},

		2258: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spiky Band",
			identifiedResourceName: "\xbb\xfe\xc7\xc1\xc7\xec\xb5\xe5\xb1\xe2\xbe\xee",
			identifiedDescriptionName: [
				"A headband with two dangerously fashionable spikes.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class, Thief Class, TaeKwon, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 43
		},

		2259: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mini Propeller",
			identifiedResourceName: "\xc7\xc1\xb7\xce\xc6\xe7\xb6\xf3",
			identifiedDescriptionName: [
				"A headgear topped with a fashionably experimental propeller.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 46
		},

		2260: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mini Glasses",
			identifiedResourceName: "\xb9\xcc\xb4\xcf\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
				"Glasses worn by true sophisticates.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 47
		},

		2261: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Army Cap",
			identifiedResourceName: "\xc7\xc1\xb7\xd0\xc5\xd7\xb6\xf3\xb1\xba\xb8\xf0",
			identifiedDescriptionName: [
				"A squad cap issued by the Prontera Military.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 48
		},

		2262: {
			unidentifiedDisplayName: "Red Nose",
			unidentifiedResourceName: "\xb1\xa4\xb4\xeb\xc4\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Clown Nose",
			identifiedResourceName: "\xb1\xa4\xb4\xeb\xc4\xda",
			identifiedDescriptionName: [
				"A fashion accessory used in clown or town drunk disguises.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 49
		},

		2263: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Zorro Masque",
			identifiedResourceName: "\xc0\xc7\xc0\xfb\xbe\xc8\xb4\xeb",
			identifiedDescriptionName: [
				"A mask patterned after the one worn by a fencer of legendary repute who always kept his identity as a wealthy don secret.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 50
		},

		2264: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Munak Hat",
			identifiedResourceName: "\xb9\xab\xb3\xab\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"An exact replica of the turban worn by Munak, complete with a queue and talisman.",
				"Reduces damage from Undead monster by 10%.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 51
		},

		2265: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gangster Mask",
			identifiedResourceName: "\xbd\xc3\xc0\xa7\xbf\xeb\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"This mask marked with an \"X\" is a popular fashion item for bona fide street toughs.",
				"Add a 15% resistance to the ^880000Silence^000000 status.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 52
		},

		2266: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Iron Cain",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbe\xf0\xc4\xc9\xc0\xce",
			identifiedDescriptionName: [
				"Specialized face armor that protects the jaw and teeth in battle.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 53
		},

		2267: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cigarette",
			identifiedResourceName: "\xb4\xe3\xb9\xe8",
			identifiedDescriptionName: [
				"A narrow, short roll of finely cut tobacco wrapped in thin paper.",
				"Reduces damage from Insect monster by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice (Parental Advisory Needed)^000000",
			],
			slotCount: 0,
			ClassNum: 54
		},

		2268: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pipe",
			identifiedResourceName: "\xc6\xc4\xc0\xcc\xc7\xc1\xb4\xe3\xb9\xe8",
			identifiedDescriptionName: [
				"A refined, wooden pipe used for smoking high quality tobacco.",
				"Reduces damage from Insect monster by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice (Parental Advisory Needed)^000000",
			],
			slotCount: 0,
			ClassNum: 55
		},

		2269: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Romantic Flower",
			identifiedResourceName: "\xb2\xc9\xc0\xd9",
			identifiedDescriptionName: [
				"A delicate flower that is placed in the mouth for romantic seduction.",
				"Reduces damage from Plant monster by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 56
		},

		2270: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Romantic Leaf",
			identifiedResourceName: "\xc7\xae\xc0\xd9",
			identifiedDescriptionName: [
				"A slender leaf that is placed in the mouth for a seductive look.",
				"Reduces damage from Plant monster by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 57
		},

		2271: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jack be Dandy",
			identifiedResourceName: "\xb8\xd3\xb8\xae\xbe\xc8\xb0\xe6",
			identifiedDescriptionName: [
				"A pair of glasses that are worn on the head for a more charming appearance, instead of vision related purposes.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 58
		},

		2272: {
			unidentifiedDisplayName: "Signpost",
			unidentifiedResourceName: "\xc1\xa4\xc1\xf6\xc7\xa5\xc1\xf6\xc6\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Stop Post",
			identifiedResourceName: "\xc1\xa4\xc1\xf6\xc7\xa5\xc1\xf6\xc6\xc7",
			identifiedDescriptionName: [
				"A signpost that declares its wearer's desire that people should stop whatever they are doing.",
				"Causes catastrophes during wedding ceremonies.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 59
		},

		2273: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Doctor Band",
			identifiedResourceName: "\xc0\xc7\xbb\xe7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A headband worn by doctors in the past during medical examinations.",
				"INT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 60
		},

		2274: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ghost Bandana",
			identifiedResourceName: "\xb8\xc1\xc0\xda\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A traditional Japanese headpiece associated with the afterlife.",
				"Increase resistance to ^777777Ghost^000000 Property by 10%.",
				"AGI + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 61
		},

		2275: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Bandana",
			identifiedResourceName: "\xb9\xdd\xb4\xd9\xb3\xaa",
			identifiedDescriptionName: [
				"A boldly red bandana that was possibly left over from the 80's.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 62
		},

		2276: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angled Glasses",
			identifiedResourceName: "\xb5\xb5\xb3\xa2\xb4\xab",
			identifiedDescriptionName: [
				"A pair of glasses with lenses that are angled up and outward.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 63
		},

		2277: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Nurse Cap",
			identifiedResourceName: "\xb0\xa3\xc8\xa3\xb8\xf0",
			identifiedDescriptionName: [
				"A cap worn by nurses both great and small.",
				"INT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 64
		},

		2278: {
			unidentifiedDisplayName: "Masque",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mr. Smile",
			identifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			identifiedDescriptionName: [
				"A simple mask with a smile carved into it.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 65
		},

		2279: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bomb Wick",
			identifiedResourceName: "\xbd\xc9\xc1\xf6",
			identifiedDescriptionName: [
				"A wick-like ornament worn on top of the head for a dangerous look.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 66
		},

		2280: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sakkat",
			identifiedResourceName: "\xbb\xf1\xb0\xab",
			identifiedDescriptionName: [
				"A rustic hat knit from rough reeds and bamboos that shields against the rain and the glare of the sun.",
				"Ssaurabi, the ancient Korean warrior, was known to wear one of these.",
				"AGI + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 67
		},

		2281: {
			unidentifiedDisplayName: "Masque",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Opera Masque",
			identifiedResourceName: "\xbf\xc0\xc6\xe4\xb6\xf3\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A mysterious mask traditionally worn by opera phantoms.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 68
		},

		2282: {
			unidentifiedDisplayName: "Heaven Ring",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Halo",
			identifiedResourceName: "\xbf\xb5\xc8\xa5\xb0\xed\xb8\xae",
			identifiedDescriptionName: [
				"A spiritual symbol that typically appears over the heads of those who are holy.",
				"Increases resistance to the ^777777Holy^000000 Property by 15%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 69
		},

		2283: {
			unidentifiedDisplayName: "Ear Muffs",
			unidentifiedResourceName: "\xb1\xcd\xb8\xb6\xb0\xb3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ear Muffs",
			identifiedResourceName: "\xb1\xcd\xb8\xb6\xb0\xb3",
			identifiedDescriptionName: [
				"Ear coverings, linked by a headband, that protect the wearer's ears from the cold.",
				"Increases resistance to ^880000Curse^000000 status by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 70
		},

		2284: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Antlers",
			identifiedResourceName: "\xbb\xe7\xbd\xbf\xbb\xd4",
			identifiedDescriptionName: [
				"A set of deer antlers that humans, finally, can proudly wear.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 71
		},

		2285: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Apple of Archer",
			identifiedResourceName: "\xb8\xed\xbb\xe7\xbc\xf6\xc0\xc7\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"A headgear made in the honor of the legendary archer who shot an apple, on top of a friend's head, from a long distance.",
				"DEX + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 72
		},

		2286: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elven Ears",
			identifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"A fashion accessory that gives ears that vaunted, elvish look.",
				"For some, it is an incredible turn-on.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 73
		},

		2287: {
			unidentifiedDisplayName: "Bandana",
			unidentifiedResourceName: "\xb5\xce\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pirate Bandana",
			identifiedResourceName: "\xc7\xd8\xc0\xfb\xb5\xce\xb0\xc7",
			identifiedDescriptionName: [
				"A bandana that is the mark of the lawless pirates of the oceans.",
				"STR + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 74
		},

		2288: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mr. Scream",
			identifiedResourceName: "\xbd\xba\xc5\xa9\xb7\xa1\xc4\xa1\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A mask that expresses anguish and despair born from insanity.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 75
		},

		2289: {
			unidentifiedDisplayName: "Poo Poo Hat",
			unidentifiedResourceName: "\xb0\xc5\xbd\xc3\xb1\xe2",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poo Poo Hat",
			identifiedResourceName: "\xb0\xc5\xbd\xc3\xb1\xe2",
			identifiedDescriptionName: [
				"A hat which looks just like fecal matter that is guaranteed to end a date on a tragic note.",
				"Reduces damage from DemiHuman monster by 10%.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 76
		},

		2290: {
			unidentifiedDisplayName: "Funeral Hat",
			unidentifiedResourceName: "\xc0\xe5\xb7\xca\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Funeral Hat",
			identifiedResourceName: "\xc0\xe5\xb7\xca\xb0\xc7",
			identifiedDescriptionName: [
				"Traditional Korean headdress worn during funeral ceremonies by the bereaved family and close friends.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 77
		},

		2291: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Masquerade",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A black leather mask, shaped like butterfly wings, that increases damage inflicted upon DemiHuman monster by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 78
		},

		2292: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Welding Mask",
			identifiedResourceName: "\xbf\xeb\xc1\xa2\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A durable mask made from a fat metal plate that is usually worn by welders and Blacksmiths.",
				"Increases resistance to ^FF0000Fire^000000 Property by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 79
		},

		2293: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pretend Murdered",
			identifiedResourceName: "\xbf\xac\xb1\xd8\xbc\xd2\xb5\xb5\xb1\xb8",
			identifiedDescriptionName: [
				"A stage prop that creates the illusion that the wearer has a knife sticking out of his head.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 80
		},

		2294: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Stellar",
			identifiedResourceName: "\xbd\xba\xc5\xb8\xb4\xf5\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"A small, star shaped hairclip that makes a great present for ladies.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 81
		},

		2295: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blinker",
			identifiedResourceName: "\xb4\xab\xb0\xa1\xb8\xae\xb0\xb3",
			identifiedDescriptionName: [
				"A face mask that is worn by those who have trouble sleeping.",
				"Add a resistance to the ^880000Blind^000000 status.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 82
		},

		2296: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Binoculars",
			identifiedResourceName: "\xb8\xc1\xbf\xf8\xb0\xe6",
			identifiedDescriptionName: [
				"A special optical tool that enables one to observe objects from a great distance.",
				"DEX + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Archer Class^000000",
			],
			slotCount: 0,
			ClassNum: 83
		},

		2297: {
			unidentifiedDisplayName: "Masquerade",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Goblin Mask",
			identifiedResourceName: "\xb0\xed\xba\xed\xb8\xb0\xc1\xb7\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A mask worn by Goblins to scare and intimidate unsuspecting enemies.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 84
		},

		2298: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Green Feeler",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xb4\xf5\xb5\xeb\xc0\xcc",
			identifiedDescriptionName: [
				"Large insect antennae that humans can wear.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 85
		},

		2299: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orc Helm",
			identifiedResourceName: "\xbf\xc0\xc5\xa9\xc1\xb7\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"A hardy helmet that was crafted by the most expert of Orcish smiths.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 9^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 86
		},

		2301: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cotton Shirt",
			identifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			identifiedDescriptionName: [
				"A simple, sturdily made shirt of cotton.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2302: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cotton Shirt",
			identifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			identifiedDescriptionName: [
				"A simple, sturdily made shirt of cotton.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2303: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jacket",
			identifiedResourceName: "\xb0\xa1\xc1\xd7\xc0\xe7\xc5\xb6",
			identifiedDescriptionName: [
				"A jacket made out of mediocre leather.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 15^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2304: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jacket",
			identifiedResourceName: "\xb0\xa1\xc1\xd7\xc0\xe7\xc5\xb6",
			identifiedDescriptionName: [
				"A jacket made out of mediocre leather.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 15^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2305: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Adventurer's Suit",
			identifiedResourceName: "\xbe\xee\xb5\xe5\xb9\xea\xc3\xc4\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"A light, comfortable suit made just for young adventurers.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2306: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Adventurer's Suit",
			identifiedResourceName: "\xbe\xee\xb5\xe5\xb9\xea\xc3\xc4\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"A light, comfortable suit made just for young adventurers.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2307: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mantle",
			identifiedResourceName: "\xb8\xc7\xc6\xb2",
			identifiedDescriptionName: [
				"A cloak that is simple, yet elegant.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 37^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2308: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mantle",
			identifiedResourceName: "\xb8\xc7\xc6\xb2",
			identifiedDescriptionName: [
				"A cloak that is simple, yet elegant.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 37^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2309: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Coat",
			identifiedResourceName: "\xb7\xd5\xc4\xda\xc6\xae",
			identifiedDescriptionName: [
				"A long coat that provides remarkable warmth in cold weather.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 42^000000",
				"Weight :^777777 120^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2310: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Coat",
			identifiedResourceName: "\xb7\xd5\xc4\xda\xc6\xae",
			identifiedDescriptionName: [
				"A long coat that provides remarkable warmth in cold weather.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 42^000000",
				"Weight :^777777 120^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2311: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mink Coat",
			identifiedResourceName: "\xb9\xd6\xc5\xa9\xc4\xda\xc6\xae",
			identifiedDescriptionName: [
				"A fur coat that is actually made using hides from Lunatics.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 30^000000",
				"Weight :^777777 230^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2312: {
			unidentifiedDisplayName: "Mail",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Padded Armor",
			identifiedResourceName: "\xbe\xc6\xb8\xd3",
			identifiedDescriptionName: [
				"Armor constructed of solid metal plates that have been padded on the inside for comfort.",
				"[^000088Padded Armor & Armor Charm Equip Set^000000]",
				"Class :^777777 Armor^000000",
				"Defense :^777777 35^000000",
				"Weight :^777777 280^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2313: {
			unidentifiedDisplayName: "Mail",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Padded Armor",
			identifiedResourceName: "\xbe\xc6\xb8\xd3",
			identifiedDescriptionName: [
				"Armor constructed of solid metal plates that have been padded on the inside for comfort.",
				"[^000088Padded Armor & Armor Charm Equip Set^000000]",
				"Class :^777777 Armor^000000",
				"Defense :^777777 35^000000",
				"Weight :^777777 280^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2314: {
			unidentifiedDisplayName: "Mail",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chain Mail",
			identifiedResourceName: "\xb8\xde\xc0\xcf",
			identifiedDescriptionName: [
				"Heavy mail made entirely of polished, metal chain links.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 55^000000",
				"Weight :^777777 330^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2315: {
			unidentifiedDisplayName: "Mail",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chain Mail",
			identifiedResourceName: "\xb8\xde\xc0\xcf",
			identifiedDescriptionName: [
				"Heavy mail made entirely of polished, metal chain links.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 55^000000",
				"Weight :^777777 330^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2316: {
			unidentifiedDisplayName: "Mail",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Full Plate",
			identifiedResourceName: "\xc7\xc3\xb7\xb9\xc0\xcc\xc6\xae",
			identifiedDescriptionName: [
				"Heavy, solid armor made of durable plates of impenetrable metal.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 70^000000",
				"Weight :^777777 450^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2317: {
			unidentifiedDisplayName: "Mail",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Full Plate",
			identifiedResourceName: "\xc7\xc3\xb7\xb9\xc0\xcc\xc6\xae",
			identifiedDescriptionName: [
				"Heavy, solid armor made of durable plates of impenetrable metal.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 70^000000",
				"Weight :^777777 450^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2318: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lord's Clothes",
			identifiedResourceName: "\xb7\xce\xb5\xe5\xc5\xac\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"Formal clothing made in a Renaissance style that evokes thoughts of romance and elegance.",
				"INT + 1, MDEF + 5",
				"Class :^777777 Armor^000000",
				"Defense :^777777 59^000000",
				"Weight :^777777 250^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2319: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glittering Jacket",
			identifiedResourceName: "\xb1\xdb\xb8\xae\xc5\xcd\xb8\xb5\xc5\xac\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"A jacket covered in fake, yet glamorous, rhinestones that is favored by hipsters and lounge singers.",
				"Add a 3% chance of auto casting ^880000Blind^000000 status to enemies with each attack.",
				"MDEF + 5",
				"Class :^777777 Armor^000000",
				"Defense :^777777 58^000000",
				"Weight :^777777 250^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2320: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Formal Suit",
			identifiedResourceName: "\xc6\xf7\xb8\xd6\xb5\xe5\xb7\xb9\xbd\xba",
			identifiedDescriptionName: [
				"A formal suit for males.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 40^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2321: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Silk Robe",
			identifiedResourceName: "\xbd\xc7\xc5\xa9\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A finely woven, silk robe that has been enchanted with magic.",
				"MDEF + 10",
				"Class :^777777 Armor^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Acolyte Class, Merchant Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2322: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Silk Robe",
			identifiedResourceName: "\xbd\xc7\xc5\xa9\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A finely woven, silk robe that has been enchanted with magic.",
				"MDEF + 10",
				"Class :^777777 Armor^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Acolyte Class, Merchant Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2323: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scapulare",
			identifiedResourceName: "\xbd\xba\xc4\xb3\xc7\xbd\xb7\xaf",
			identifiedDescriptionName: [
				"A blessed outer garment worn by clerics for religious ceremonies.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 24^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2324: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scapulare",
			identifiedResourceName: "\xbd\xba\xc4\xb3\xc7\xbd\xb7\xaf",
			identifiedDescriptionName: [
				"A blessed outer garment worn by clerics for religious ceremonies.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 24^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2325: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Saint's Robe",
			identifiedResourceName: "\xbc\xbc\xc0\xce\xc6\xae\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A robe that has been baptized with saintly power.",
				"MDEF + 5",
				"Class :^777777 Armor^000000",
				"Defense :^777777 50^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Acolyte Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2326: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Saint's Robe",
			identifiedResourceName: "\xbc\xbc\xc0\xce\xc6\xae\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A robe that has been baptized with saintly power.",
				"MDEF + 5",
				"Class :^777777 Armor^000000",
				"Defense :^777777 50^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Acolyte Class, Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2327: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Holy Robe",
			identifiedResourceName: "\xc8\xa6\xb8\xae\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A robe that emanates an aura of holiness.",
				"Increases resistance to Demon monster by 15%.",
				"And resistance against ^777777Shadow^000000 Property by 10%.",
				"MDEF + 5",
				"Class :^777777 Armor^000000",
				"Defense :^777777 57^000000",
				"Weight :^777777 170^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2328: {
			unidentifiedDisplayName: "Mail",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wooden Mail",
			identifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			identifiedDescriptionName: [
				"A simple set of armor carved out of solid wood.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2329: {
			unidentifiedDisplayName: "Mail",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wooden Mail",
			identifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			identifiedDescriptionName: [
				"A simple set of armor carved out of solid wood.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2330: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tights",
			identifiedResourceName: "\xc5\xb8\xc0\xcc\xc1\xee",
			identifiedDescriptionName: [
				"Skintight, form fitting clothing that allows easy movement.",
				"DEX + 1",
				"Class :^777777 Armor^000000",
				"Defense :^777777 27^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Archer Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2331: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tights",
			identifiedResourceName: "\xc5\xb8\xc0\xcc\xc1\xee",
			identifiedDescriptionName: [
				"Skintight, form fitting clothing that allows easy movement.",
				"DEX + 1",
				"Class :^777777 Armor^000000",
				"Defense :^777777 27^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Archer Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2332: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Silver Robe",
			identifiedResourceName: "\xbd\xc7\xb9\xf6\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A robe knit out of silver thread.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 23^000000",
				"Weight :^777777 70^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2333: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Silver Robe",
			identifiedResourceName: "\xbd\xc7\xb9\xf6\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A robe knit out of silver thread.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 23^000000",
				"Weight :^777777 70^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2334: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mage Coat",
			identifiedResourceName: "\xb8\xc5\xc1\xf7\xc4\xda\xc6\xae",
			identifiedDescriptionName: [
				"An exclusive robe for Mage Class characters that contains magic power.",
				"MDEF + 5, INT + 1",
				"[^000088Ancient Sorcery & Mage Coat Equip Set^000000]",
				"Class :^777777 Armor^000000",
				"Defense :^777777 40^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2335: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Thief Clothes",
			identifiedResourceName: "\xbe\xbe\xc7\xc1\xc5\xac\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"Extremely light clothes outfitted with many pockets, making it handy for stashing stolen goods.",
				"AGI + 1",
				"Class :^777777 Armor^000000",
				"Defense :^777777 40^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Thief Class, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2336: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Thief Clothes",
			identifiedResourceName: "\xbe\xbe\xc7\xc1\xc5\xac\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"Extremely light clothes outfitted with many pockets, making it handy for stashing stolen goods.",
				"AGI + 1",
				"Class :^777777 Armor^000000",
				"Defense :^777777 40^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Thief Class, Ninja^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2337: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ninja Suit",
			identifiedResourceName: "\xb4\xd1\xc0\xda\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"An ancient Japanese assassin suit. Allows its wearer to move faster and with more stealth than they normally could.",
				"AGI + 1, MDEF + 3",
				"[^000088Ninja Suit & Shinobi Sash Equip Set^000000]",
				"Class :^777777 Armor^000000",
				"Defense :^777777 58^000000",
				"Weight :^777777 150^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Thief Class, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2338: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wedding Dress",
			identifiedResourceName: "\xbf\xfe\xb5\xf9\xb5\xe5\xb7\xb9\xbd\xba",
			identifiedDescriptionName: [
				"A wedding dress that is immaculately white.",
				"MDEF + 15",
				"Class :^777777 Armor^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Female Only, Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2339: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pantie",
			identifiedResourceName: "\xbb\xef\xb0\xa2\xc6\xd2\xc6\xbc",
			identifiedDescriptionName: [
				"A risky undergarment that is comfortable to wear, but offers very little in the way of defense.",
				"[^000088Undershirt & Pantie Equip Set^000000]",
				"Class :^777777 Armor^000000",
				"Defense :^777777 22^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2340: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Breastplate",
			identifiedResourceName: "\xc3\xca\xba\xb8\xc0\xda\xbf\xeb\xc8\xe4\xb0\xa9",
			identifiedDescriptionName: [
				"A piece of armor that covers the chest of a Novice.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 32^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2341: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Legion Plate Armor",
			identifiedResourceName: "\xc7\xae\xc7\xc3\xb7\xb9\xc0\xcc\xc6\xae\xbe\xc6\xb8\xd3",
			identifiedDescriptionName: [
				"An extremely heavy piece of armor worn by members of the Legion.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 79^000000",
				"Weight :^777777 550^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Crusader^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2342: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Legion Plate Armor",
			identifiedResourceName: "\xc7\xae\xc7\xc3\xb7\xb9\xc0\xcc\xc6\xae\xbe\xc6\xb8\xd3",
			identifiedDescriptionName: [
				"An extremely heavy piece of armor worn by members of the Legion.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 79^000000",
				"Weight :^777777 550^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Crusader^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2343: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Robe of Cast",
			identifiedResourceName: "\xc4\xb3\xbd\xba\xc6\xc3\xc0\xc7\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A robe which aids its wearer in reducing magic casting time.",
				"Reduce Casting Time by 3%. MDEF + 5",
				"Class :^777777 Armor^000000",
				"Defense :^777777 40^000000",
				"Weight :^777777 110^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Wizard, Sage, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2344: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lucius's Fierce Armor of Volcano",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"An armor that is enchanted with the ^FF0000Fire^000000 Property.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 220^000000",
				"Property :^FF0000 Fire^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2345: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lucius's Fierce Armor of Volcano",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"An armor that is enchanted with the ^FF0000Fire^000000 Property.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 220^000000",
				"Property :^FF0000 Fire^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2346: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Saphien's Armor of Ocean",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"An armor that is enchanted with the ^0000FFWater^000000 Property.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 220^000000",
				"Property :^0000FF Water^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2347: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Saphien's Armor of Ocean",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"An armor that is enchanted with the ^0000FFWater^000000 Property.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 220^000000",
				"Property :^0000FF Water^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2348: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Aebecee's Raging Typhoon Armor",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"An armor that is enchanted with the ^009900Wind^000000 Property.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 220^000000",
				"Property :^009900 Wind^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2349: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Aebecee's Raging Typhoon Armor",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"An armor that is enchanted with the ^009900Wind^000000 Property.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 220^000000",
				"Property :^009900 Wind^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2350: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Claytos Cracking Earth Armor",
			identifiedResourceName: "\xb6\xa5\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"An armor that is enchanted with the ^996600Earth^000000 Property.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 220^000000",
				"Property :^996600 Earth^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2351: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Claytos Cracking Earth Armor",
			identifiedResourceName: "\xb6\xa5\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"An armor that is enchanted with the ^996600Earth^000000 Property.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 220^000000",
				"Property :^996600 Earth^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2352: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbe\xee\xb5\xe5\xb9\xea\xc3\xc4\xbd\xb4\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tattered Novice Ninja Suit",
			identifiedResourceName: "\xbe\xee\xb5\xe5\xb9\xea\xc3\xc4\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"An exclusive armor for new adventurers.",
				"Impossible to refine this item.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 0.1^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2353: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Odin's Blessing",
			identifiedResourceName: "\xbf\xc0\xb5\xf2\xc0\xc7\xc3\xe0\xba\xb9",
			identifiedDescriptionName: [
				"The main component of the Hermod Armor set.",
				"[^000088Odin's Blessing, Stone Buckler & Magni's Cap Equip Set^000000]",
				"[^000088Odin's Blessing, Valkyrja's Shield & Frigg's Circlet Equip Set^000000]",
				"[^000088Odin's Blessing, Falcon Muffler & Fricco's Shoes Equip Set^000000]",
				"[^000088Odin's Blessing, Vidar's Boots & Vali's Manteau Equip Set^000000]",
				"[^000088Odin's Blessing & Ulle's Cap Equip Set^000000]",
				"Class :^777777 Armor^000000",
				"Defense :^777777 53^000000",
				"Weight :^777777 250^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2354: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Goibne's Armor",
			identifiedResourceName: "\xb0\xd4\xba\xea\xb3\xd7\xc0\xcc\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"An armor that was accidentally enchanted by Goibne the blacksmith when he spilled the mystic ale of life all over it.",
				"VIT + 2, Maximum HP + 10%",
				"[^000088Goibne's Helm, Goibne's Armor, Goibne's Greaves & Goibne's Spaulders Equip Set^000000]",
				"Class :^777777 Armor^000000",
				"Defense :^777777 58^000000",
				"Weight :^777777 350^000000",
				"Required Level :^777777 54^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2355: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angelic Protection",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xb0\xa1\xc8\xa3",
			identifiedDescriptionName: [
				"Super Novice Guardian Angel's robe.",
				"MDEF + 20",
				"[^000088+ Angelic Protection, Angel's Reincarnation, Angelic Guard, Angelic Cardigan & Angel's Kiss^000000]",
				"Maximum HP + 900, Maximum SP + 100",
				"Add a 3% chance of auto casting ^008800Level 1 Assumptio^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Novice Types^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2356: {
			unidentifiedDisplayName: "Blessed Holy Robe",
			unidentifiedResourceName: "\xc0\xba\xc7\xfd\xc0\xc7\xbc\xba\xc0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blessed Holy Robe",
			identifiedResourceName: "\xc0\xba\xc7\xfd\xc0\xc7\xbc\xba\xc0\xc7",
			identifiedDescriptionName: [
				"A blessed holy robe that protects its wearer from being tainted by evil.",
				"Add a 80% resistance against ^880000Blind^000000.",
				"MDEF + 5",
				"Class :^777777 Armor^000000",
				"Defense :^777777 45^000000",
				"Weight :^777777 250^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2357: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valkyrian Armor",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"A set of shining white armor worn by Valkyries, the battle maidens that serve the god Odin.",
				"All Stats + 1",
				"Indestructible (except in upgrade attempts).",
				"[^008800Mage, Archer, Acolyte Class^000000]",
				"Increase resistance to ^880000Silence^000000 status by 50%.",
				"[^008800Swordman, Merchant, Thief Class^000000]",
				"Increase resistance to ^880000Stun^000000 status by 50%.",
				"[^000088Valkyrie Helm & Valkyrja's Armor & Valkyrja's Manteau & Valkyrja's Shoes Equip Set^000000]",
				"Class :^777777 Armor^000000",
				"Defense :^777777 55^000000",
				"Weight :^777777 280^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2358: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angel's Dress",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xbf\xb9\xba\xb9",
			identifiedDescriptionName: [
				"A winged dress that is said to have been worn by an angel.",
				"It makes you feel very lucky when you wear it.",
				"LUK + 4",
				"Impossible to refine this item.",
				"[^000088Angeling Pin, Angel's Dress Equip Set^000000]",
				"Class :^777777 Armor^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2359: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ninja Suit",
			identifiedResourceName: "\xb4\xd1\xc0\xda\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"An ancient Japanese assassin suit. Allows its wearer to move faster and with more stealth than they normally could.",
				"AGI + 1, MDEF + 3",
				"[^000088Ninja Suit & Shinobi Sash Equip Set^000000]",
				"Maximum HP + 300",
				"Reduce SP Consumption of skills by 20%.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 58^000000",
				"Weight :^777777 150^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Thief Class, Ninja^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2360: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Robe of Cast",
			identifiedResourceName: "\xc4\xb3\xbd\xba\xc6\xc3\xc0\xc7\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A robe which aids its wearer in reducing magic casting time.",
				"Reduce Casting Time by 3%.",
				"MDEF + 4",
				"Class :^777777 Armor^000000",
				"Defense :^777777 40^000000",
				"Weight :^777777 110^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Wizard, Sage, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2361: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blue Robe",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xbe\xc6\xbf\xc0\xc0\xda\xc0\xcc",
			identifiedDescriptionName: [
				"A type of traditional outfit. It brings out the hidden powers of the wearer through its spiritual power.",
				"All Stats + 5",
				"MDEF + 5",
				"Class :^777777 Armor^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2362: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Robe",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbe\xc6\xbf\xc0\xc0\xda\xc0\xcc",
			identifiedDescriptionName: [
				"A type of traditional outfit. It brings out the hidden powers of the wearer through its spiritual power.",
				"All Stats + 5",
				"MDEF + 5",
				"Class :^777777 Armor^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2363: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "White Robe",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xbe\xc6\xbf\xc0\xc0\xda\xc0\xcc",
			identifiedDescriptionName: [
				"A type of traditional outfit. It brings out the hidden powers of the wearer through its spiritual power.",
				"All Stats + 3",
				"MDEF + 5",
				"Class :^777777 Armor^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2364: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Meteo Plate Armor",
			identifiedResourceName: "\xb8\xde\xc5\xd7\xbf\xc0\xc7\xc3\xb7\xb9\xc0\xcc\xc6\xae",
			identifiedDescriptionName: [
				"A plate armor made of a meteoric stone that consists of unkown substances.",
				"Add a 30% resistance to the ^880000Stun^000000 and ^880000Freeze^000000 status.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 85^000000",
				"Weight :^777777 300^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Trans Swordman Class, Trans Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2365: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orleans's Gown",
			identifiedResourceName: "\xbf\xc0\xb8\xa6\xb7\xb9\xbe\xd3\xc0\xc7\xc1\xa6\xba\xb9",
			identifiedDescriptionName: [
				"An uniform that belonged to a chef that had excessive love of cleanliness.",
				"Nobody could stop him while he was talking about cuisines.",
				"Increases magic casting time by 15%. Makes your casting uninteruptable.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 15^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2366: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Divine Cloth",
			identifiedResourceName: "\xb5\xf0\xb9\xd9\xc0\xce\xc5\xac\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"A holy garment that was produced through series of religious rituals.",
				"Add a 5% resistance to the ^880000Curse, Silence, Stun, Stone Curse, Sleep^000000 status.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 50^000000",
				"Weight :^777777 150^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2367: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sniping Suit",
			identifiedResourceName: "\xbd\xba\xb3\xaa\xc0\xcc\xc7\xce\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"Sniping suits helps required muscles to move effectively for shooting an arrow.",
				"Reduces necessary time to shoot arrows and helps to achieve improved accuracy.",
				"Critical Rate + 6, Bonus (LUK/10) Critical Rate depending on your LUK rate.",
				"MDEF + 5, Reduces after-cast skill delay by 23%.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 42^000000",
				"Weight :^777777 75^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Sniper^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2368: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Armor",
			identifiedResourceName: "\xc7\xae\xc7\xc3\xb7\xb9\xc0\xcc\xc6\xae\xbe\xc6\xb8\xd3",
			identifiedDescriptionName: [
				"A special Armor made of a pure gold mixture. According to legend you will gain magical strength whilst wearing this.",
				"MDEF + 4",
				"Class :^777777 Armor^000000",
				"Defense :^777777 4^000000",
				"Weight :^777777 200^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2369: {
			unidentifiedDisplayName: "Freyja Overcoat",
			unidentifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xcc\xbe\xdf\xc0\xc7\xbf\xdc\xc5\xf5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freyja Overcoat",
			identifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xcc\xbe\xdf\xc0\xc7\xbf\xdc\xc5\xf5",
			identifiedDescriptionName: [
				"^000088Cash Items^000000",
				"...",
				"Reduces damage from DemiHuman monster by 10%.",
				"Impossible to refine this item. Indestructible.",
				"[^000088Freya's Clothes & Freya's Boots & Freya's Manteau & Freya's Crown Equip Set^000000]",
				"Reduce 10% damage taken from DemiHuman monster.",
				"Enables use of ^008800Level 10 Frost Nova^000000.",
				"Maximum HP + 20%.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 12^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2370: {
			unidentifiedDisplayName: "Used Mage Coat",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Used Mage Coat",
			identifiedResourceName: "\xb8\xc5\xc1\xf7\xc4\xda\xc6\xae",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"HP + 300, SP + 30",
				"ATK + 10, AGI + 1",
				"Impossible to refine this item.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 15^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2371: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pantie",
			identifiedResourceName: "\xbb\xef\xb0\xa2\xc6\xd2\xc6\xbc",
			identifiedDescriptionName: [
				"A risky undergarment that is comfortable to wear, but offers very little in the way of defense.",
				"[^000088Undershirt & Pantie Equip Set^000000]",
				"Class :^777777 Armor^000000",
				"Defense :^777777 22^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2372: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mage Coat",
			identifiedResourceName: "\xb8\xc5\xc1\xf7\xc4\xda\xc6\xae",
			identifiedDescriptionName: [
				"An exclusive robe for Mage Class characters that contains magic power.",
				"MDEF + 5, INT + 1",
				"[^000088Ancient Sorcery & Mage Coat Equip Set^000000]",
				"Class :^777777 Armor^000000",
				"Defense :^777777 40^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2373: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Holy Robe",
			identifiedResourceName: "\xc8\xa6\xb8\xae\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A robe that emanates an aura of holiness.",
				"Increases resistance to Demon monster by 15%.",
				"And resistance against ^777777Shadow^000000 Property by 10%.",
				"MDEF + 5",
				"Class :^777777 Armor^000000",
				"Defense :^777777 57^000000",
				"Weight :^777777 170^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2374: {
			unidentifiedDisplayName: "Diabolus Robe",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Diabolus Robe",
			identifiedResourceName: "\xb5\xf0\xbe\xc6\xba\xbc\xb7\xe7\xbd\xba\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A robe which is decorated with unknown letters. The wearer feels like they're learning a new language.",
				"Maximum SP + 150, MDEF + 5",
				"Reduces skill delay by 10%. Increases heal effectiveness by 6%.",
				"[^000088+ Diablos Ring^000000]",
				"ATK + 3%, MATK + 3%",
				"Class :^777777 Armor^000000",
				"Defense :^777777 57^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Trans Archer, Trans Mage, Trans Acolyte Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2375: {
			unidentifiedDisplayName: "Diabolus Armor",
			unidentifiedResourceName: "\xbe\xc6\xb8\xd3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Diabolus Armor",
			identifiedResourceName: "\xb5\xf0\xbe\xc6\xba\xbc\xb7\xe7\xbd\xba\xbe\xc6\xb8\xd3",
			identifiedDescriptionName: [
				"An Armor which is made of unknown metal in human-world. Misterious power is hided in the armor.",
				"STR + 2, DEX + 1, Maximum HP + 150, Add a 5% resistance against ^880000Stun, Stone^000000.",
				"[^000088+ Diablos Ring^000000]",
				"ATK + 3%, MATK + 3%",
				"Class :^777777 Armor^000000",
				"Defense :^777777 79^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Trans Swordsman, Trans Merchant, Trans Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2376: {
			unidentifiedDisplayName: "Assaulter Plate",
			unidentifiedResourceName: "\xc7\xc3\xb7\xb9\xc0\xcc\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Assaulter Plate",
			identifiedResourceName: "\xc7\xc3\xb7\xb9\xc0\xcc\xc6\xae",
			identifiedDescriptionName: [
				"Designed for brave warrior who faces against enemies at the forefront. It brings multiple effects when compounded as a set.",
				"Reduces damage from Demi human monster by 2%.",
				"Max HP + 150. MDEF + 2.",
				"[^000088Battle Greaves & Captain's Manteau Equip Set^000000]",
				"Increases damage recieved from all Non-Demihuman monster by 3 times.",
				"VIT + 3, Maximum HP + 12%,",
				"Increases Heal and Item recovery by 10%.",
				"When attacking physically, there is a chance to recover 6000 HP over 10 seconds.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 57^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Taekwon^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2377: {
			unidentifiedDisplayName: "Elite Engineer Armor",
			unidentifiedResourceName: "\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elite Engineer Armor",
			identifiedResourceName: "\xb8\xde\xc0\xcf",
			identifiedDescriptionName: [
				"Designed to be used by outstanding warrior who has a remarkable attack skill. It brings multiple effects when compounded as a set.",
				"Reduces damage from Demi human monster by 2%.",
				"MaxHP + 150. MDEF + 2.",
				"[^000088Combat Greaves & General's Manteau Equip Set^000000]",
				"STR + 3, MaxHP + 12%,",
				"Increases Mammonite damage by 20%.",
				"Increases HP Restoration of ^FF0000Heal^000000 and ^FF0000Potion Pitcher^000000 by 10%.",
				"Increases damage from non-Demihuman monsters times 3.",
				"Indestructible.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 50^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2378: {
			unidentifiedDisplayName: "Assassin Robe",
			unidentifiedResourceName: "\xbe\xbe\xc7\xc1\xc5\xac\xb7\xce\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Assassin Robe",
			identifiedResourceName: "\xbe\xbe\xc7\xc1\xc5\xac\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"If you desire to move more quickly, this might help. It gives off multiple effects when compounded as a set.",
				"Reduces damage from Demihuman monsters by 2%.",
				"MaxHP + 150, MDEF + 2, ",
				"^ffffff000000^000000",
				"When equipped with Battle Greaves and Captain's Manteau,",
				"AGI + 3. MaxHP + 12%,",
				"Increase in attack speed(delay after attacking reduces by 5%),",
				"Critical Rate + 5%,",
				"ASPD + 5%",
				"Increases damage from non-Demihuman monsters times 3.",
				"When attacking physically has a chance of restoring 3,000 HP per second for 10 seconds.",
				"Class : ^777777Armor^000000",
				"Defense : ^77777741^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2379: {
			unidentifiedDisplayName: "Warlock's Battle Robe",
			unidentifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xb0\xa1\xc8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Warlock's Battle Robe",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xb0\xa1\xc8\xa3",
			identifiedDescriptionName: [
				"A Battle Robe that helps increase the possibility of survival. It gives off multiple effects when compounded as a set.",
				"Reduces damage from Demihuman monsters by 2%.",
				"MaxHP + 150, MDEF + 2, ",
				"^FFFFFF000000^000000",
				"When equipped with Combat Boots and Commander's Manteau,",
				"INT + 3. MaxHP + 12%.",
				"Adds 20% resistance to ^FF0000Stun^000000.",
				"Increases damage from all non-Demihuman monsters times 3.",
				"When receiving physical damage, has a chance of enchanting Armor with the Ghost property for 10 seconds.",
				"Class : ^777777Armor^000000",
				"Defense : ^77777736^000000",
				"Weight : ^7777770^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2380: {
			unidentifiedDisplayName: "Medic's Robe",
			unidentifiedResourceName: "\xc0\xba\xc7\xfd\xc0\xc7\xbc\xba\xc0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Medic's Robe",
			identifiedResourceName: "\xc0\xba\xc7\xfd\xc0\xc7\xbc\xba\xc0\xc7",
			identifiedDescriptionName: [
				"Designed to be used by responsible warriors who take charge of the survival of the guild or party. ",
				"It gives off multiple effects when compounded as a set.",
				"Reduces damage from Demihuman monsters by 2%.",
				"MaxHP + 150, MDEF + 2.",
				"^FFFFFF000000^000000",
				"When equipped with Combat Boots and Commander's Manteau,",
				"INT + 3. MaxHP + 12%.",
				"Reduces ^FF0000Holy Light^000000 Variable Casting Time by 50%.",
				"Increases damage from all non-Demihuman monsters times 3.",
				"Increases HP Restoration of ^FF0000Heal^000000 and ^FF0000Sanctuary^000000 by 6% when they are cast by the wearer.",
				"When receiving physical damage, has a chance of enchanting Armor with the Ghost property for 10 seconds.",
				"Class : ^777777Armor^000000",
				"Defense : ^77777725^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2381: {
			unidentifiedDisplayName: "Elite Archer Suit",
			unidentifiedResourceName: "\xbd\xba\xb3\xaa\xc0\xcc\xc7\xce\xbd\xb4\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elite Archer Suit",
			identifiedResourceName: "\xbd\xba\xb3\xaa\xc0\xcc\xc7\xce\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"If you desire to become an accurate and efficient warrior in battle, this might help. ",
				"It gives off multiple effects when compounded as a set.",
				"Reduces damage from Demihuman monsters by 2%.",
				"MaxHP + 150, MDEF + 2.",
				"^ffffff000000^000000",
				"When equipped with Combat Boots and Commander's Manteau,",
				"DEX + 3, MaxHP + 12%.",
				"Reduces long ranged Damage by 10% and cast delay by 25%.",
				"Increases damage from all non-Demihuman monsters times 3.",
				"Class : ^777777Armor^000000",
				"Defense : ^77777735^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Archer Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2382: {
			unidentifiedDisplayName: "Elite Shooter Suit",
			unidentifiedResourceName: "\xbf\xc0\xb8\xa6\xb7\xb9\xbe\xd3\xc0\xc7\xc1\xa6\xba\xb9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elite Shooter Suit",
			identifiedResourceName: "\xbf\xc0\xb8\xa6\xb7\xb9\xbe\xd3\xc0\xc7\xc1\xa6\xba\xb9",
			identifiedDescriptionName: [
				"If you are a true Gunslinger, you might want this suit! It gives off multiple effects when compounded as a set.",
				"Reduces damage from Demihuman monsters by 2%.",
				"MHP + 150, MDEF + 2.",
				"^ffffff000000^000000",
				"When equipped with Battle Boots and Sheriff's Manteau,",
				"DEX + 3, MaxHP + 12%.",
				"Reduces long ranged Damage by 10% and cast delay by 25%.",
				"Increases damage from all non-Demihuman monsters times 3.",
				"Class : ^777777Armor^000000",
				"Defense : ^77777725^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2383: {
			unidentifiedDisplayName: "Brynhild",
			unidentifiedResourceName: "\xbe\xc6\xb8\xd3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brynhild",
			identifiedResourceName: "\xba\xea\xb7\xf4\xc8\xfa\xc6\xae",
			identifiedDescriptionName: [
				"Brynhild is one of the valiant valkyries, meaning 'The Warrior's Armor'.",
				"Increases MaxHP by 20 times your base level, and MaxSP by 5 times your base level.",
				"Increases physical damage by 10%, and increases your magic attack power by 10%.",
				"MDEF + 10",
				"The player wearing this cannot be knocked back.",
				"Cannot be refined, cannot be destroyed.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 120^000000",
				"Required Level :^777777 94^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2384: {
			unidentifiedDisplayName: "Spritual Tunic",
			unidentifiedResourceName: "\xb0\xd4\xba\xea\xb3\xd7\xc0\xcc\xc0\xc7\xb0\xa9\xbf\xca",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spritual Tunic",
			identifiedResourceName: "\xb0\xd4\xba\xea\xb3\xd7\xc0\xcc\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A Tunic that has been granted additional tolerance against certain properties.",
				"Decreases 20% damage from ^777777Neutral^000000 and ^777777Water^000000 property.",
				"MDEF + 5. MaxHP + 800. Cannot be Frozen.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 38^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2385: {
			unidentifiedDisplayName: "Recuperative Armor",
			unidentifiedResourceName: "\xbf\xc0\xb5\xf2\xc0\xc7\xc3\xe0\xba\xb9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Recuperative Armor",
			identifiedResourceName: "\xbf\xc0\xb5\xf2\xc0\xc7\xc3\xe0\xba\xb9",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An armor that allows the master to regain his life by taking the enemies",
				"HP, SP Natural Recovery is Disabled.",
				"When unequipped, you lose 100 SP.",
				"When a monster is defeated from Physical or Magical Attacks, it recover 60 HP and 6 SP.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 67^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2386: {
			unidentifiedDisplayName: "Chameleon Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chameleon Armor",
			identifiedResourceName: "\xc4\xab\xb8\xe1\xb7\xb9\xbf\xc2\xbe\xc6\xb8\xd3",
			identifiedDescriptionName: [
				"A mysterious armor that can change its abilities depending on its owner.",
				"Increases HP and SP depending by base level.",
				"Adds a chance immune from all magic skill for 2 sec When receiving magical attack.",
				"[^008800Swordsman, Merchant, Thief^000000]",
				"DEF + 3",
				"[^008800Magician, Archer, Acolyte^000000]",
				"MDEF + 5",
				"Class :^777777 Armor^000000",
				"Defense :^777777 55^000000",
				"Weight :^777777 170^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans 2nd Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2387: {
			unidentifiedDisplayName: "Sprint Mail",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sprint Mail",
			identifiedResourceName: "\xbd\xba\xc7\xc1\xb8\xb0\xc6\xae\xb8\xde\xc0\xcf",
			identifiedDescriptionName: [
				"An armor that allows you to keep running at your top speed.",
				"While it might look like a normal running shirt it has the durability of a piece of armor.",
				"VIT + 1. Recovery HP + 5%.",
				"Increases the effectiveness of your heal and potion pitcher by 3%.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans 2nd Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2388: {
			unidentifiedDisplayName: "Kandura",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kandura",
			identifiedResourceName: "\xc4\xad\xb5\xce\xb6\xf3",
			identifiedDescriptionName: [
				"Clothes worn in the middle east to bear the regions climate.",
				"AGI + 1",
				"FLEE + 5, ASPD + 2%",
				"Class :^777777 Armor^000000",
				"Defense :^777777 36^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Assassin Cross^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2389: {
			unidentifiedDisplayName: "Armor of Naga",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Armor of Naga",
			identifiedResourceName: "\xb3\xaa\xb0\xa1\xc0\xc7\xba\xf1\xb4\xc3\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"An armor created by the scales of the Nagas. On close inspection you can see various large cuts across the scales.",
				"MDEF + 2",
				"Adds a chance ATK + 20 for 10 seconds when dealing physical damage.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 45^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans 2nd Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2390: {
			unidentifiedDisplayName: "Improved Tights",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Improved Tights",
			identifiedResourceName: "\xb0\xb3\xb7\xae\xc7\xfc\xc5\xb8\xc0\xcc\xc1\xee",
			identifiedDescriptionName: [
				"Newly developed Tights from the Rekenber Corporation that improves on the design of regular tights.",
				"MDEF + 2. Perfect Dodge + 3",
				"Class :^777777 Armor^000000",
				"Defense :^777777 38^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Trans Archer Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2391: {
			unidentifiedDisplayName: "Life Link",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Life Link",
			identifiedResourceName: "\xb6\xf3\xc0\xcc\xc7\xc1\xb8\xb5\xc5\xa9",
			identifiedDescriptionName: [
				"A powerful holy armor bestowed to those who pledge themselves to the Goddess.",
				"When wearing this armor you recover from wounds much faster than normal.",
				"MDEF + 5, VIT + 2.",
				"Natural HP Recovery Rate + 50%",
				"Class :^777777 Armor^000000",
				"Defense :^777777 75^000000",
				"Weight :^777777 350^000000",
				"Required Level :^777777 82^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2392: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbb\xef\xb0\xa2\xc6\xd2\xc6\xbc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Old Green Pantie",
			identifiedResourceName: "\xbb\xef\xb0\xa2\xc6\xd2\xc6\xbc",
			identifiedDescriptionName: [
				"...",
				"STR + 2, VIT + 2, HP + 200",
				"Add a 2% chance of auto casting ^008800Level 5 Call Spirit^000000 on the user when receives Physical Damage.",
				"MDEF + 1",
				"Class :^777777 Armor^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2393: {
			unidentifiedDisplayName: "Novice Adventurer's Suit",
			unidentifiedResourceName: "\xbe\xee\xb5\xe5\xb9\xea\xc3\xc4\xbd\xb4\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Adventurer's Suit",
			identifiedResourceName: "\xbe\xee\xb5\xe5\xb9\xea\xc3\xc4\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"A light, comfortable suit made just for young adventurers.",
				"Impossible to refine this item.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 45^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2394: {
			unidentifiedDisplayName: "Glorious Suit",
			unidentifiedResourceName: "\xbe\xee\xb5\xe5\xb9\xea\xc3\xc4\xbd\xb4\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Suit",
			identifiedResourceName: "\xbe\xee\xb5\xe5\xb9\xea\xc3\xc4\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"HP + 20%",
				"Add a 7% resistance against DemiHuman monster.",
				"[^000088Glorious Shoes & Glorious Muffler Equip Set^000000]",
				"ATK, MATK +5%. Can't be frozen.",
				"Increases Heal, Sanctuary, and Potion Pitcher effectiveness by 3%.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 81^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2395: {
			unidentifiedDisplayName: "Glorious Public Suit",
			unidentifiedResourceName: "\xbe\xee\xb5\xe5\xb9\xea\xc3\xc4\xbd\xb4\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Popularized Suit",
			identifiedResourceName: "\xbe\xee\xb5\xe5\xb9\xea\xc3\xc4\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"HP + 600, SP Recovery + 10%",
				"Class :^777777 Armor^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 61^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2396: {
			unidentifiedDisplayName: "Glorious Supplied Suit",
			unidentifiedResourceName: "\xbe\xee\xb5\xe5\xb9\xea\xc3\xc4\xbd\xb4\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Mass-Production Suit",
			identifiedResourceName: "\xbe\xee\xb5\xe5\xb9\xea\xc3\xc4\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"HP + 500",
				"Class :^777777 Armor^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2397: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Incredible Event Resignation Coat",
			identifiedResourceName: "\xc0\xce\xc5\xa9\xb7\xb9\xb5\xf0\xba\xed\xbf\xdc\xc5\xf5",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Armor^000000",
				"Defense :^777777 2^000000",
				"Weight :^777777 90^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2398: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sniping Suit",
			identifiedResourceName: "\xbd\xba\xb3\xaa\xc0\xcc\xc7\xce\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"Sniping suits helps required muscles to move effectively for shooting an arrow.",
				"Reduces necessary time to shoot arrows and helps to achieve improved accuracy.",
				"Critical Rate + 6, Bonus (LUK/10) Critical Rate depending on your LUK rate.",
				"MDEF + 5, Reduces after-cast skill delay by 23%.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 42^000000",
				"Weight :^777777 75^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Sniper^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2399: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dragon Vest",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xba\xa3\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"A vest crafted from the mane of a dragon.",
				"MDEF + 3",
				"[^000088+ Dragon Manteau^000000]",
				"AGI + 5, FLEE + 15",
				"Class :^777777 Armor^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Trans Job except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2401: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sandals",
			identifiedResourceName: "\xbb\xf7\xb5\xe9",
			identifiedDescriptionName: [
				"Cute, feminine shoes that are a part of the standard schoolgirl's uniform. Fortunately, these are unisex.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2402: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sandals",
			identifiedResourceName: "\xbb\xf7\xb5\xe9",
			identifiedDescriptionName: [
				"Cute, feminine shoes that are a part of the standard schoolgirl's uniform. Fortunately, these are unisex.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2403: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shoes",
			identifiedResourceName: "\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"A pair of shoes made of supple, high quality leather.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2404: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shoes",
			identifiedResourceName: "\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"A pair of shoes made of supple, high quality leather.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2405: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Boots",
			identifiedResourceName: "\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"A pair of heavy leather boots, padded with Lunatic fur, that is suited to warriors.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 16^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Swordman Class, Archer Class, Merchant Class, Thief Class, TaeKwon, Star Gladiator, Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2406: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Boots",
			identifiedResourceName: "\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"A pair of heavy leather boots, padded with Lunatic fur, that is suited to warriors.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 16^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Swordman Class, Archer Class, Merchant Class, Thief Class, TaeKwon, Star Gladiator, Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2407: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crystal Pumps",
			identifiedResourceName: "\xc0\xaf\xb8\xae\xb1\xb8\xb5\xce",
			identifiedDescriptionName: [
				"A pair of feminine high heeled shoes made of fine crystal. Usually, these are worn only on special occasions.",
				"LUK + 5, MDEF + 10",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Female Only, Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2408: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shackles",
			identifiedResourceName: "\xc1\xb7\xbc\xe8",
			identifiedDescriptionName: [
				"These steel shackles were clamped on the ankles to prevent some prisoner from escaping.",
				"[^000088Shackles & Bloodied Shackle Ball Equip Set^000000]",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 18^000000",
				"Weight :^777777 300^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2409: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "High Heels",
			identifiedResourceName: "\xbb\xcf\xc1\xb7\xb1\xb8\xb5\xce",
			identifiedDescriptionName: [
				"Striped high heeled shoes said to have been worn by a wicked witch since they enhanced her magical powers.",
				"MDEF + 5",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2410: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sleipnir",
			identifiedResourceName: "\xbd\xbd\xb7\xb9\xc0\xcc\xc7\xc1\xb4\xcf\xb8\xa3",
			identifiedDescriptionName: [
				"Named after Odin's trusty steed, these shoes also mimic Sleipnir's powers.",
				"Increase Movement Speed.",
				"Maximum HP and SP + 20%",
				"SP Recovery + 15%, MDEF + 10",
				"Impossible to refine this item.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 40^000000",
				"Weight :^777777 350^000000",
				"Required Level :^777777 94^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2411: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Greaves",
			identifiedResourceName: "\xb1\xd7\xb8\xae\xba\xea",
			identifiedDescriptionName: [
				"Steel boots which offer dependable foot protection.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 27^000000",
				"Weight :^777777 75^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Knight, Crusader^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2412: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Greaves",
			identifiedResourceName: "\xb1\xd7\xb8\xae\xba\xea",
			identifiedDescriptionName: [
				"Steel boots which offer dependable foot protection.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 27^000000",
				"Weight :^777777 75^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Knight, Crusader^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2413: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Safety Boots",
			identifiedResourceName: "\xbe\xc8\xc0\xfc\xc8\xad",
			identifiedDescriptionName: [
				"Light, sturdy shoes with steel covers to protect its wearer's feet from harm.",
				"Impossible to refine this item.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 22^000000",
				"Weight :^777777 35^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2414: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Slippers",
			identifiedResourceName: "\xbb\xf7\xb5\xe9",
			identifiedDescriptionName: [
				"Exclusive shoe for new adventurers.",
				"Impossible to refine this item.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 0.1^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2415: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bunny Slipper",
			identifiedResourceName: "\xbd\xbd\xb8\xae\xc6\xdb",
			identifiedDescriptionName: [
				"A pair of slippers which enhances a girl's cuteness. Secretly worn by pretty boys.",
				"LUK + 3, MDEF + 3",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 9^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Female Only, Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2416: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Shoes",
			identifiedResourceName: "\xc3\xca\xba\xb8\xc0\xda\xbf\xeb\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"A pair of shoes made exclusively for brand new adventurers.",
				"Maximum HP + 5%",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 8^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2417: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fricco's Shoes",
			identifiedResourceName: "\xc7\xc1\xb8\xae\xc4\xda\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"A pair of shoes that were blessed by Freyr, the god of earth and the son of Njord.",
				"His blessing would release its owner from pain.",
				"AGI + 2",
				"Increase value of Red, Orange, Yellow and White Potion by 20%.",
				"[^000088+ Odin's Blessing, Falcon Muffler^000000]",
				"Maximum HP and SP + 5%",
				"AGI + 3",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 12^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2418: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vidar's Boots",
			identifiedResourceName: "\xba\xf1\xb4\xd9\xb8\xa3\xc0\xc7\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"A pair of boots that were worn by Vidar, the son of Odin, when he killed the Fenrir Wolf.",
				"These represent the great physical and mental strength Vidar displayed in that epic final battle.",
				"Maximum HP and SP + 9%",
				"[^000088+ Odin's Blessing, Vali's Manteau^000000]",
				"VIT + 5",
				"HP and SP Recovery + 10%",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 65^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2419: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Goibne's Greaves",
			identifiedResourceName: "\xb0\xd4\xba\xea\xb3\xd7\xc0\xcc\xc0\xc7\xb1\xba\xc8\xad",
			identifiedDescriptionName: [
				"A pair of shoes rumored to be forged by Goibne in response to competition from his rival, Dulb.",
				"MDEF + 3, Maximum HP + 5%, Maximum SP + 5%",
				"[^000088Goibne's Helm, Goibne's Armor, Goibne's Greaves & Goibne's Spaulders Equip Set^000000]",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 54^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2420: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angel's Reincarnation",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xc0\xe7\xb7\xa1",
			identifiedDescriptionName: [
				"Heavenly sandals worn by the Guardian Angel of Super Novices.",
				"Maximum HP + 100",
				"[^000088Angelic Protection, Angel's Reincarnation, Angelic Guard, Angelic Cardigan & Angel's Kiss Equip Set^000000]",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 8^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 25^000000",
				"Applicable Job :^777777 Novice Types^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2421: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valkyrian Shoes",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"A pair of shoes worn by the Valkyries, Odin's battle maidens.",
				"These shoes grow more powerful as the wearer improves his own abilities.",
				"Indestructible (except in upgrade attempts).",
				"[^008800Mage, Archer, Acolyte Class^000000]",
				"Maximum HP + 5 * Base Level",
				"[^008800Swordman, Merchant, Thief Class^000000]",
				"Maximum SP + 2 * Job Level",
				"[^000088Valkyrie Helm & Valkyrja's Armor & Valkyrja's Manteau & Valkyrja's Shoes Equip Set^000000]",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2422: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "High Fashion Sandals",
			identifiedResourceName: "\xb0\xed\xb1\xde\xbb\xf7\xb5\xe9",
			identifiedDescriptionName: [
				"Jeweled, golden strapped sandals that offer a casual, yet fashionable, comfort",
				"MDEF + 10",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 7^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2423: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Variant Shoes",
			identifiedResourceName: "\xb9\xe8\xb8\xae\xbe\xf0\xc6\xae\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"Shoes that seem to be wrong somewhere. The intention of the maker to perfect the shoes can be seen but it seems to be a failure.",
				"Maximum HP / Maximum SP + 20%.",
				"Maximum HP / Maximum SP reduced by 1% per refine rate.",
				"Added +1 DEF for every 2 refinement.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 85^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2424: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tidal Shoes",
			identifiedResourceName: "\xc5\xb8\xc0\xcc\xb4\xde\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"This pair of shoes was especially designed to be used in slippery areas with waterpoof coating.",
				"Increases resistance to ^0000FFWater^000000 Property attacks by 5%.",
				"[^000088+ Wool Scarf^000000]",
				"HP Recovery + 5%.",
				"Increase Maximum HP by 10%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2425: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Leather Boots",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb0\xa1\xc1\xd7\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"Boots made of firm but light leather. Just wearing it arouses a desire to run.",
				"AGI + 1",
				"[^333399Refine Rate 9~10^000000]",
				"Bonus AGI + 2",
				"[^000088Crest of the Rider & Black Leather Boots Equip Set^000000]",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 16^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2426: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shadow Walk",
			identifiedResourceName: "\xbd\xa6\xb5\xb5\xbf\xec\xbf\xf6\xc5\xa9",
			identifiedDescriptionName: [
				"This shadow walker is made of dark force. The creator of this shoes put a spell to protect the wearer when the danger is near.",
				"Add a 5% chance of auto casting ^008800Level 2 Cloaking^000000 on the user when the user receives Magical Damage.",
				"If the player has ^008800Level 4 Cloaking^000000 or above, higher level skill is used.",
				"MDEF + 10",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 200^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2427: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Shoes",
			identifiedResourceName: "\xc0\xaf\xb8\xae\xb1\xb8\xb5\xce",
			identifiedDescriptionName: [
				"A special Footgear made of a pure gold mixture. According to legend you will gain magical strength whilst wearing these.",
				"MDEF + 4",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 4^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2428: {
			unidentifiedDisplayName: "Freyja Boots",
			unidentifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xcc\xbe\xdf\xc0\xc7\xc0\xe5\xc8\xad",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freyja Boots",
			identifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xcc\xbe\xdf\xc0\xc7\xc0\xe5\xc8\xad",
			identifiedDescriptionName: [
				"^000088Cash Items^000000",
				"...",
				"Reduces damage from DemiHuman monster by 5%.",
				"[^000088Freya's Clothes & Freya's Boots & Freya's Manteau & Freya's Crown Equip Set^000000]",
				"Reduce 10% damage taken from DemiHuman monster.",
				"Enables use of ^008800Level 10 Frost Nova^000000.",
				"Maximum HP + 20%.",
				"Impossible to refine this item.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 22^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2429: {
			unidentifiedDisplayName: "Iron Boots",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Iron Boots",
			identifiedResourceName: "\xb1\xd7\xb8\xae\xba\xea",
			identifiedDescriptionName: [
				"Solidly crafted Steel Boots that are especially made for those seeking the Golden Key.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 150^000000",
				"Applicable Job :^777777 Swordman Class, Archer Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2430: {
			unidentifiedDisplayName: "Iron Boots",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Iron Boots",
			identifiedResourceName: "\xb1\xd7\xb8\xae\xba\xea",
			identifiedDescriptionName: [
				"Solidly crafted Steel Boots that are especially made for those seeking the Golden Key.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 80^000000",
				"Applicable Job :^777777 Novice Class, Mage Class, Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2431: {
			unidentifiedDisplayName: "Valley Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valley Shoes",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"Maximum HP + 7%, Maximum SP + 7%",
				"Impossible to refine this item.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2432: {
			unidentifiedDisplayName: "Footgear",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Highheels",
			identifiedResourceName: "\xbb\xcf\xc1\xb7\xb1\xb8\xb5\xce",
			identifiedDescriptionName: [
				"Striped high heeled shoes said to have been worn by a wicked witch since they enhanced her magical powers.",
				"MDEF + 5",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2433: {
			unidentifiedDisplayName: "Diabolus Boots",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Diabolus Boots",
			identifiedResourceName: "\xb5\xf0\xbe\xc6\xba\xbc\xb7\xe7\xbd\xba\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"A mysterious boots that automatically adjusts its size as the wearer's size. It seems alive.",
				"Increases Maximum HP by 10 times base Level.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 15^000000",
				"Weight :^777777 25^000000",
				"Applicable Job :^777777 Rebirth 2nd Class or above^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2434: {
			unidentifiedDisplayName: "Footgear",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Leather Boots",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb0\xa1\xc1\xd7\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"A pair of boots made of light, resilient leather that makes you want to run when you wear them.",
				"AGI + 1",
				"[^333399Refine Rate 9~10^000000]",
				"Bonus AGI + 2",
				"[^000088Crest of the Rider & Black Leather Boots Equip Set^000000]",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 16^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2435: {
			unidentifiedDisplayName: "Battle Greave",
			unidentifiedResourceName: "\xb1\xd7\xb8\xae\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Battle Greave",
			identifiedResourceName: "\xb1\xd7\xb8\xae\xba\xea",
			identifiedDescriptionName: [
				"A Greave that optimizes the quality of one's ability for battle. ",
				"Reduces damage from Demihuman monsters by 1%.",
				"MaxHP + 100. MDEF + 1.",
				"Class : ^777777Footwear^000000",
				"Defense : ^77777715^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class, Taekwon, Star Gladiator^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2436: {
			unidentifiedDisplayName: "Combat Boots",
			unidentifiedResourceName: "\xba\xce\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Combat Boots",
			identifiedResourceName: "\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"Shoes that are comfortable and solidly made for battle.",
				"Reduces damage from Demihuman monsters by 1%.",
				"MaxHP + 100. MDEF + 1.",
				"Class : ^777777Footwear^000000",
				"Defense : ^7777779^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Archer Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2437: {
			unidentifiedDisplayName: "Battle Boots",
			unidentifiedResourceName: "\xbe\xc8\xc0\xfc\xc8\xad",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Battle Boots",
			identifiedResourceName: "\xbe\xc8\xc0\xfc\xc8\xad",
			identifiedDescriptionName: [
				"They don't look any different than other boots, but they are designed exclusively for Gunslingers.",
				"Reduces damage from Demihuman monsters by 1%.",
				"MaxHP + 100. MDEF + 1.",
				"Class : ^777777Footwear^000000",
				"Defense : ^7777779^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2438: {
			unidentifiedDisplayName: "Paw Of Cat",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Paw Of Cat",
			identifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xc0\xc7\xb9\xdf",
			identifiedDescriptionName: [
				"A shoes that imitated the form from kitty's paws. It gives you a feeling that you can move as swiftly as cats.",
				"Enables use of ^008800Level 1 Cat Cry^000000.",
				"FLEE + 5, AGI + 1",
				"Item locked except for storage.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2439: {
			unidentifiedDisplayName: "Refresh Shoes",
			unidentifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xbd\xb4\xc1\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refresh Shoes",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"Shoes that were made with complex design and very soft skin to show how fun your legs could be with these.",
				"MaxHP + 17% , MaxSP + 8%.",
				"Every 10 seconds, your HP goes up by 20, SP goes up by 3.",
				"Class :^777777 Shoes^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2440: {
			unidentifiedDisplayName: "Sprint Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sprint Shoes",
			identifiedResourceName: "\xbd\xba\xc7\xc1\xb8\xb0\xc6\xae\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"You could achieve your top running speed with ease with this pair of shoes on,",
				"though be sure to tie them up good and make sure they fit firmly on your feet.",
				"AGI + 1. Recovery HP + 5%",
				"[^000088Sprint Mail & Spring Ring Equip Set^000000]",
				"Max HP and Max SP + 7%.",
				"Reduces casting time by 3%, Reduces the aftercast delay of your skills by 15%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans 2nd Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2441: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Beach Sandals",
			identifiedResourceName: "\xbb\xf7\xb5\xe9",
			identifiedDescriptionName: [
				"A sandals received as a gift from Comodo Environmental Commission.",
				"It seems to match perfect with Comodo beach.",
				"STR + 1, INT + 1, AGI + 1",
				"Add a 10% resistance to the ^FF0000Fire^000000 Property.",
				"^8B4513FLEE +5 when worn with Beach Manteau^000000.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2442: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xba\xce\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Stocking Boots",
			identifiedResourceName: "\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"...",
				"LUK + 2",
				"Increases 10% recover HP/SP.",
				"Add a 2% chance of auto casting ^008800Level 3 Quagmire^000000 on the user when receives Physical Damage.",
				"MDEF + 1",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 7^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2443: {
			unidentifiedDisplayName: "Fisher's Boots",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fisher's Boots",
			identifiedResourceName: "\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"A waterproof boots.",
				"Reduces casting duration for 2 seconds.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 25^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2444: {
			unidentifiedDisplayName: "Glorious Shoes",
			unidentifiedResourceName: "\xbe\xc8\xc0\xfc\xc8\xad",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Shoes",
			identifiedResourceName: "\xbe\xc8\xc0\xfc\xc8\xad",
			identifiedDescriptionName: [
				"HP + 10%",
				"Add a 4% resistance against DemiHuman monster.",
				"[^000088Glorious Shoes & Glorious Muffler Equip Set^000000]",
				"ATK, MATK +5%. Can't be frozen.",
				"Increases Heal, Sanctuary, and Potion Pitcher effectiveness by 3%.",
				"Class :^777777 Shoes^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 81^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2445: {
			unidentifiedDisplayName: "Glorious Public Shoes",
			unidentifiedResourceName: "\xbe\xc8\xc0\xfc\xc8\xad",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Popularized Shoes",
			identifiedResourceName: "\xbe\xc8\xc0\xfc\xc8\xad",
			identifiedDescriptionName: [
				"HP, SP + 5%",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 61^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2446: {
			unidentifiedDisplayName: "Glorious Supplied Shoes",
			unidentifiedResourceName: "\xbe\xc8\xc0\xfc\xc8\xad",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Mass-Production Shoes",
			identifiedResourceName: "\xbe\xc8\xc0\xfc\xc8\xad",
			identifiedDescriptionName: [
				"HP + 5%",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2447: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			identifiedDisplayName: "Army Boots",
			identifiedResourceName: "\xb1\xba\xbf\xeb\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2448: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Air Boss",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"...",
				"...",
				"AGI + 1",
				"^ffffff_^000000",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 2^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2449: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Variant Shoes",
			identifiedResourceName: "\xb9\xe8\xb8\xae\xbe\xf0\xc6\xae\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"Shoes that seem to be wrong somewhere. The intention of the maker to perfect the shoes can be seen but it seems to be a failure.",
				"Maximum HP / Maximum SP + 20%.",
				"Maximum HP / Maximum SP reduced by 1% per refine rate.",
				"Added +1 DEF for every 2 refinement.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 85^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2450: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vital Tree Shoes",
			identifiedResourceName: "\xbb\xfd\xb8\xed\xb3\xaa\xb9\xab\xc1\xd9\xb1\xe2\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"A woven shoe crafted from the wood of the tree of life.",
				"The shoes are incredibly comfortable and the power of life spreads throughout your whole body.",
				"MaxHP + 10%",
				"Recover 30 HP every 10 seconds.",
				"Increases recovery from the heal skill and recovery items by 5%.",
				"MDEF + 3, VIT + 2",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 16^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 All Job except novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2451: {
			unidentifiedDisplayName: "Freya's Spiritual Sandals",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Sandals",
			identifiedResourceName: "\xbb\xf7\xb5\xe9",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A pair of spiritual sandals granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"MaxHP + 8%, MaxSP + 8%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2452: {
			unidentifiedDisplayName: "Freya's Spiritual Sandals",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Sandals",
			identifiedResourceName: "\xbb\xf7\xb5\xe9",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A pair of spiritual sandals granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"MaxHP + 8%, MaxSP + 8%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2453: {
			unidentifiedDisplayName: "Freya's Spiritual Sandals",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Sandals",
			identifiedResourceName: "\xbb\xf7\xb5\xe9",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A pair of spiritual sandals granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"MaxHP + 8%, MaxSP + 8%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2454: {
			unidentifiedDisplayName: "Freya's Spiritual Sandals",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Sandals",
			identifiedResourceName: "\xbb\xf7\xb5\xe9",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A pair of spiritual sandals granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"MaxHP + 8%, MaxSP + 8%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2455: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xba\xce\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guardian Boots",
			identifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xcc\xbe\xdf\xc0\xc7\xc0\xe5\xc8\xad",
			identifiedDescriptionName: [
				"...",
				"HP + 100, MDEF + 1.",
				"Natural HP/SP Recovery Rate + 10%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 17^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2456: {
			unidentifiedDisplayName: "Paradise Team Boots¥°",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Boots I",
			identifiedResourceName: "\xba\xf1\xb4\xd9\xb8\xa3\xc0\xc7\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"Boots supplied only to members of the Paradise Group.",
				"It's optimal for advendurers walking long distances without trouble.",
				"Recovery HP + 10%. Recovery SP + 2%.",
				"Impossible to refine this item.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 14^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2457: {
			unidentifiedDisplayName: "Paradise Team Boots¥±",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Boots II",
			identifiedResourceName: "\xba\xf1\xb4\xd9\xb8\xa3\xc0\xc7\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"Boots supplied only to members of the Paradise Group.",
				"It's optimal for advendurers walking long distances without trouble.",
				"Recovery HP + 12%. Recovery SP + 4%.",
				"Impossible to refine this item.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 16^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 26^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2458: {
			unidentifiedDisplayName: "Paradise Team Boots¥²",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Boots III",
			identifiedResourceName: "\xba\xf1\xb4\xd9\xb8\xa3\xc0\xc7\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"Boots supplied only to members of the Paradise Group.",
				"It's optimal for advendurers walking long distances without trouble.",
				"Recovery HP + 14%. Recovery SP + 6%.",
				"Impossible to refine this item.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 18^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2459: {
			unidentifiedDisplayName: "Upgrade Shoes",
			unidentifiedResourceName: "\xbd\xb4\xc1\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Shoes",
			identifiedResourceName: "\xb0\xad\xc8\xad\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"A Shoes molded out of Elunium and pure gold mixture.",
				"MaxHP + 3%",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 15^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2460: {
			unidentifiedDisplayName: "Upgrade Boots",
			unidentifiedResourceName: "\xba\xce\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Boots",
			identifiedResourceName: "\xb0\xad\xc8\xad\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"A Boots molded out of Elunium and pure gold mixture.",
				"MaxHP + 3%",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 21^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class, Archer Class, Taekwon, Star Gladiator, Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2461: {
			unidentifiedDisplayName: "Upgrade Greave",
			unidentifiedResourceName: "\xb1\xd7\xb8\xae\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Greave",
			identifiedResourceName: "\xb0\xad\xc8\xad\xb1\xd7\xb8\xae\xba\xea",
			identifiedDescriptionName: [
				"A Greave molded out of Elunium and pure gold mixture.",
				"MaxHP + 3%",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 32^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Knight, Crusader^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2462: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sleipnir R",
			identifiedResourceName: "\xbd\xbd\xb7\xb9\xc0\xcc\xc7\xc1\xb4\xcf\xb8\xa3",
			identifiedDescriptionName: [
				"Named after Odin's trusty steed, these shoes also mimic Sleipnir's powers.",
				"Increase Movement Speed.",
				"Maximum HP and SP + 20%",
				"SP Recovery + 15%, MDEF + 10",
				"Impossible to refine this item.",
				"Indestructible.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 40^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 94^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2463: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbe\xdf\xbc\xba\xc0\xc7\xba\xce\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Feral Boots",
			identifiedResourceName: "\xbe\xdf\xbc\xba\xc0\xc7\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"...",
				"...",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 12^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2464: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "NoFear Shoes",
			identifiedResourceName: "\x4e\x4f\x46\x45\x41\x52\xbd\xc5\xb9\xdf",
			identifiedDescriptionName: [
				"Let the ass-kicking commence!",
				"STR + 1, INT + 1, DEX + 1.",
				"MaxHP + 10%, MaxSP + 5%.",
				"Reduce 2% damage taken from DemiHuman monster.",
				"[^000088No Fear Underwear & No Fear Belt Set^000000]",
				"Cannot be frozen, Increase EXP Gain by 5%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 6^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2465: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dance Shoes",
			identifiedResourceName: "\xb4\xed\xbd\xba\xb1\xb8\xb5\xce",
			identifiedDescriptionName: [
				"Comfortable shoes designed specifically for dancing.",
				"AGI + 1, ASPD + 2.",
				"Reduces the SP cost of ^008800Swing Dance^000000 by 32.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 15^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 105^000000",
				"Applicable Job :^777777 Wanderer Only^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2466: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbd\xb4\xc1\xee",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Training Shoes",
			identifiedResourceName: "\xc3\xe0\xb1\xb8\xc8\xad",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		2467: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbd\xb4\xc1\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Rod Shoes",
			identifiedResourceName: "\xb0\xf1\xb5\xe7\xb7\xce\xb5\xe5\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"Long gold colored shoes that hold the power of wind.",
				"MDEF + 2, Max HP + 500, Wind element resistance + 15%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 12^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Warlock^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2468: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbd\xb4\xc1\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Aqua Shoes",
			identifiedResourceName: "\xbe\xc6\xc4\xed\xbe\xc6\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"Long navy blue colored shoes that hold the power of water.",
				"MDEF + 2, Max HP + 500, Water element resistance + 15%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 12^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Warlock^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2469: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbd\xb4\xc1\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crimson Shoes",
			identifiedResourceName: "\xc5\xa9\xb8\xb2\xc1\xf0\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"Long red colored shoes that hold the power of fire.",
				"MDEF + 2, Max HP + 500, Fire element resistance + 15%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 12^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Warlock^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2470: {
			unidentifiedDisplayName: "Shoes",
			unidentifiedResourceName: "\xbd\xb4\xc1\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Forest Shoes",
			identifiedResourceName: "\xc6\xf7\xb7\xb9\xbd\xba\xc6\xae\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"Long blue green colored shoes that hold the power of earth.",
				"MDEF + 2, Max HP + 500, Earth element resistance + 15%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 12^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Warlock^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2471: {
			unidentifiedDisplayName: "Shoes Of Affection",
			unidentifiedResourceName: "\xbd\xb4\xc1\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shoes Of Affection",
			identifiedResourceName: "\xc0\xda\xbe\xd6\xc0\xc7\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"An item said to be worn by a priest who in ancient times saved countless lives on the battlefield.",
				"Max HP + 500.",
				"Increases resistance to Demihuman enemies by 10%,",
				"but increases damage from all other enemies by 10%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 12^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Arch Bishop^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2472: {
			unidentifiedDisplayName: "Shoes Of Judgement",
			unidentifiedResourceName: "\xbd\xb4\xc1\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shoes Of Judgement",
			identifiedResourceName: "\xbd\xc9\xc6\xc7\xc0\xc7\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"An item said to be used by a priest who in ancient times fought against the hordes of demons.",
				"Max SP + 150.",
				"Increases resistance to attacks from Demon and Undead monsters by 10%,",
				"but increases damage from all other monsters by 10%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 12^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Arch Bishop^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2473: {
			unidentifiedDisplayName: "Eden Group Boots IV",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Boots IV",
			identifiedResourceName: "\xb1\xba\xbf\xeb\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"...",
				"VIT + 1, AGI + 1.",
				"Increases HP recovery rate by 28%.",
				"Increases SP recovery rate by 12%.",
				"Impossible to refine this item.",
				"Class :^777777 Footgear^000000",
				"Defense : ^777777 20^000000",
				"Weight : ^777777 0^000000",
				"Required Level : ^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2475: {
			unidentifiedDisplayName: "Ur's Greaves",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ur's Greaves",
			identifiedResourceName: "\xbf\xec\xb8\xa3\xc0\xc7\xb1\xd7\xb8\xae\xba\xea",
			identifiedDescriptionName: [
				"¿ì¸£ÀÇ ·éÀ» Á¤Á¦ÇÏ¿© ¸¸µç ±×¸®ºê.",
				"MaxSP + 40.",
				"8Á¦·Ã ½Ã ºÎÅÍ Á¦·Ãµµ 1´ç MaxHP % Áõ°¡.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777732^000000",
				"¹«°Ô : ^77777790^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·é³ªÀÌÆ®^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2476: {
			unidentifiedDisplayName: "Peuz's Greaves",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Peuz's Greaves",
			identifiedResourceName: "\xc6\xe4\xbf\xc0\xc1\xee\xc0\xc7\xb1\xd7\xb8\xae\xba\xea",
			identifiedDescriptionName: [
				"Æä¿ÀÁîÀÇ ·éÀ» Á¤Á¦ÇÏ¿© ¸¸µç ±×¸®ºê.",
				"MaxSP + 40.",
				"8Á¦·Ã ½Ã ºÎÅÍ Á¦·Ãµµ 1´ç AGI + 1 Áõ°¡.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777732^000000",
				"¹«°Ô : ^77777790^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·é³ªÀÌÆ®^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2477: {
			unidentifiedDisplayName: "Sapha Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sapha Shoes",
			identifiedResourceName: "\xbb\xe7\xb9\xd9\xc8\xe5\xc0\xc7\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"¿À·¡Àü ¾îµÒÀÇ ¼¼°è¿¡¼­ À¯¸íÇß´ø ¾î½Ø½ÅÀÇ À¯¹°ÀÌ¶ó°í ÇÑ´Ù.",
				"LUK + 3, MaxSP + 30.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777718^000000",
				"¹«°Ô : ^77777740^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777±æ·ÎÆ¾Å©·Î½º^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2478: {
			unidentifiedDisplayName: "Nab Shoes",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Nab Shoes",
			identifiedResourceName: "\xb3\xaa\xba\xea\xc0\xc7\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"°ú°Å ÀÌµµ·ù·Î À¯¸íÇß´ø ¾î½Ø½ÅÀÇ À¯¹°ÀÌ¶ó°í ÇÑ´Ù.",
				"FLEE + 3, INT + 2.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777718^000000",
				"¹«°Ô : ^77777740^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777±æ·ÎÆ¾Å©·Î½º^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2479: {
			unidentifiedDisplayName: "White Wing Boots",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "White Wing Boots",
			identifiedResourceName: "\xc8\xf2\xb3\xaf\xb0\xb3\xc0\xc7\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"°ú°Å Èñ´ëÀÇ ¸í±ÃµéÀÌ ¸¹ÀÌ ¹èÃâµÇ¾ú´Ù°í ÇÏ´Â 'ÀÌÄ«·ç½º ±æµå'ÀÇ À¯¹°.",
				"AGI + 2.",
				"¿¡ÀÓµåº¼Æ® »ç¿ë ½Ã ¼Ò¸ðSP 10 °¨¼Ò.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777718^000000",
				"¹«°Ô : ^77777740^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·¹ÀÎÀú^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2480: {
			unidentifiedDisplayName: "Black Wing Boots",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Wing Boots",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb3\xaf\xb0\xb3\xc0\xc7\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"ÁýÁß·Â°ú Á¤½Å·ÂÀ» ¸¼°Ô À¯Áö ½ÃÄÑÁÖµµ·Ï Æ¯È­µÈ °ËÀº³¯°³ ¸¶Å©ÀÇ À¯¹°.",
				"INT + 2, MaxSP + 5%.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777718^000000",
				"¹«°Ô : ^77777740^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·¹ÀÎÀú^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2483: {
			unidentifiedDisplayName: "½ÃÁî ±×¸®ºê",
			unidentifiedResourceName: "\xbd\xc3\xc1\xee\xb1\xd7\xb8\xae\xba\xea",
			unidentifiedDescriptionName: [
				"MDEF + 1.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 2% °¨¼Ò.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777730^000000",
				"¹«°Ô : ^77777775^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			identifiedDisplayName: "½ÃÁî ±×¸®ºê",
			identifiedResourceName: "\xbd\xc3\xc1\xee\xb1\xd7\xb8\xae\xba\xea",
			identifiedDescriptionName: [
				"MDEF + 1.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 2% °¨¼Ò.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777730^000000",
				"¹«°Ô : ^77777775^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2484: {
			unidentifiedDisplayName: "½ÃÁî ºÎÃ÷",
			unidentifiedResourceName: "\xbd\xc3\xc1\xee\xba\xce\xc3\xf7",
			unidentifiedDescriptionName: [
				"MDEF + 5.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 1% °¨¼Ò.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777720^000000",
				"¹«°Ô : ^77777750^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/±Ã¼ö°è¿­/ÅÂ±Ç/±Ç¼º/°Ç³Ê/´ÑÀÚ^000000",
			],
			identifiedDisplayName: "½ÃÁî ºÎÃ÷",
			identifiedResourceName: "\xbd\xc3\xc1\xee\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"MDEF + 5.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 1% °¨¼Ò.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777720^000000",
				"¹«°Ô : ^77777750^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/±Ã¼ö°è¿­/ÅÂ±Ç/±Ç¼º/°Ç³Ê/´ÑÀÚ^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2485: {
			unidentifiedDisplayName: "½ÃÁî ½´Áî",
			unidentifiedResourceName: "\xbd\xc3\xc1\xee\xbd\xb4\xc1\xee",
			unidentifiedDescriptionName: [
				"MDEF + 10.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 1% °¨¼Ò.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777715^000000",
				"¹«°Ô : ^77777735^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­/¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			identifiedDisplayName: "½ÃÁî ½´Áî",
			identifiedResourceName: "\xbd\xc3\xc1\xee\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"MDEF + 10.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 1% °¨¼Ò.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777715^000000",
				"¹«°Ô : ^77777735^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­/¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2491: {
			unidentifiedDisplayName: "Sandal",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bangungot Boots of Nightmare",
			identifiedResourceName: "\xbe\xc7\xb8\xf9\xc0\xc7\xba\xa1\xbf\xf5\xb0\xf7\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"Ominous boots emitting Bangungot's revenge and powerful hatred of humans.",
				"MDEF +1 increase per 1 refinement. Speed increased with 14 refinement and above.",
				"Class : ^777777Shoes^000000",
				"Defense : ^77777710^000000",
				"Weight : ^77777760^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2492: {
			unidentifiedDisplayName: "Sandal",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bangungot Boots of Nightmare(Bayani)",
			identifiedResourceName: "\xb9\xd9\xbe\xdf\xb4\xcf\xbe\xc7\xb8\xf9\xc0\xc7\xba\xa1\xbf\xf5\xb0\xf7\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"Ominous boots emitting Bangungot's revenge and powerful hatred of humans.",
				"MDEF +1 increase per 1 refinement. Speed increased with 12 refinement and above.",
				"Class : ^777777Shoes^000000",
				"Defense : ^77777710^000000",
				"Weight : ^77777760^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2496: {
			unidentifiedDisplayName: "½Å¹ß",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ½´Áî",
			identifiedResourceName: "\xbd\xb4\xc1\xee",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MDEF + 5.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"MAXHP + 150, MAXSP + 150.",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸®/¸¶¹ý °ø°Ý·Â 5% Áõ°¡.",
				"µ¿ºù¿¡ ´ëÇÑ ³»¼º 25% Áõ°¡.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^7777775^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2497: {
			unidentifiedDisplayName: "½Å¹ß",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ºÎÃ÷",
			identifiedResourceName: "\xba\xce\xc3\xf7",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"MAXHP + 200, MAXSP + 100.",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 10% Áõ°¡.",
				"µ¿ºù¿¡ ´ëÇÑ ³»¼º 25% Áõ°¡.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777710^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2498: {
			unidentifiedDisplayName: "½Å¹ß",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¸¶¹ý»÷µé",
			identifiedResourceName: "\xb0\xed\xb1\xde\xbb\xf7\xb5\xe9",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MDEF + 5.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"MAXHP + 100, MAXSP + 200.",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¸¶¹ý °ø°Ý·Â 5% Áõ°¡.",
				"µ¿ºù¿¡ ´ëÇÑ ³»¼º 25% Áõ°¡.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^7777775^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­/¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2501: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hood",
			identifiedResourceName: "\xc8\xc4\xb5\xe5",
			identifiedDescriptionName: [
				"A simple, soft garment that covers the head and neck.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 4^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2502: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hood",
			identifiedResourceName: "\xc8\xc4\xb5\xe5",
			identifiedDescriptionName: [
				"A simple, soft garment that covers the head and neck.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 4^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2503: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Muffler",
			identifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"A warm scarf that is worn around the neck and shoulders.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 8^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2504: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Muffler",
			identifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"A warm scarf that is worn around the neck and shoulders.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 8^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2505: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Manteau",
			identifiedResourceName: "\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A long, loose cape-like garment that protects its wearer from harsh weather.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class, TaeKwon, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2506: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Manteau",
			identifiedResourceName: "\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A long, loose cape-like garment that protects its wearer from harsh weather.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class, TaeKwon, Star Gladiator^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2507: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ancient Cape",
			identifiedResourceName: "\xbf\xbe\xbf\xb5\xc1\xd6\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A fancy cape said to have once been worn by marquises long ago.",
				"AGI + 1",
				"Class :^777777 Garment^000000",
				"Defense :^777777 9^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2508: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ragamuffin Manteau",
			identifiedResourceName: "\xb4\xa9\xb4\xf5\xb1\xe2\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"An old, worn-out cape that can protect its wearer from mystical harm, no matter how powerful it may be.",
				"MDEF + 10",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Garment^000000",
				"Defense :^777777 4^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2509: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Survivor's Manteau",
			identifiedResourceName: "\xbb\xfd\xc1\xb8\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A manteau which protects its wearer from the elements.",
				"VIT + 10",
				"[^000088+ slotted Survivor's Rod^000000]",
				"Maximum HP + 300",
				"MATK - 5%, MATK increase by Survivor's Rod refine rate.",
				"Increase resistance from ^777777Neutral^000000 Property attacks by refine rate * 3.",
				"However, the MATK bonus and neutral resistance increases only to +10.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 55^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2510: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Somber Novice Hood",
			identifiedResourceName: "\xc8\xc4\xb5\xe5",
			identifiedDescriptionName: [
				"An exclusive garment for new adventurers.",
				"Increase resistance to ^777777Neutral^000000 Property attacks by 20%.",
				"Impossible to refine this item.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 4^000000",
				"Weight :^777777 0.1^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2511: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xbd\xba\xc4\xcc\xb7\xb9\xc5\xe6\xb8\xc1\xc5\xe4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Skeleton Manteau",
			identifiedResourceName: "\xbd\xba\xc4\xcc\xb7\xb9\xc5\xe6\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A manteau which is worn by soldier skeletons.",
				"STR + 2, DEX + 2, LUK + 2",
				"INT - 3, VIT - 3, AGI - 4",
				"Class :^777777 Garment^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2512: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Manteau",
			identifiedResourceName: "\xc3\xca\xba\xb8\xc0\xda\xbf\xeb\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A cute, durable and lightweight manteau for beginning adventurers.",
				"Reduce 10% of ^777777Neutral^000000 Property damage.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 7^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2513: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Heavenly Maiden Robe",
			identifiedResourceName: "\xb8\xf1\xba\xb8\xc8\xa3\xb4\xeb",
			identifiedDescriptionName: [
				"A faint, transparent robe decorated with a beautiful pattern worn by celestial maidens when they fly through the heavens.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 18^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2514: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pauldron",
			identifiedResourceName: "\xc6\xfa\xb5\xe5\xb7\xb1",
			identifiedDescriptionName: [
				"A pair of heavy shoulder coverings that provide effective protection in combat.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2515: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eagle Wing",
			identifiedResourceName: "\xc0\xae\xbf\xc0\xba\xea\xc0\xcc\xb1\xdb",
			identifiedDescriptionName: [
				"A robe which once helped the god Odin in escaping from a fatal threat.",
				"[^000088+ Wing Staff^000000]",
				"Increase Movement Speed by 25%.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 12^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 85^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2516: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Falcon Muffler",
			identifiedResourceName: "\xb8\xc5\xc0\xc7\xb3\xaf\xb0\xb3\xbf\xca",
			identifiedDescriptionName: [
				"A muffler owned by Freyja, daughter of Njord, that was often borrowed by Loki.",
				"Wearing it makes its wearer as nimble as a falcon in flight.",
				"Flee Rate + 15, Perfect Dodge + 5",
				"[^000088Odin's Blessing, Falcon Muffler & Fricco's Shoes Equip Set^000000]",
				"Class :^777777 Garment^000000",
				"Defense :^777777 8^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2517: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vali's Manteau",
			identifiedResourceName: "\xb9\xdf\xb8\xae\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A manteau once owned by Vali, son of Odin. It represents Vali's fighting spirit which allowed him to defeat Hoedr the warrior despite his blindness.",
				"Reduce 15% of ^777777Neutral^000000 Property damage.",
				"[^000088Odin's Blessing, Vidar's Boots & Vali's Manteau Equip Set^000000]",
				"Class :^777777 Garment^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2518: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Morpheus's Shawl",
			identifiedResourceName: "\xb8\xf0\xb8\xa3\xc7\xc7\xbc\xc5\xbd\xba\xbc\xee\xbf\xc3",
			identifiedDescriptionName: [
				"A shawl marked with ancient conjuration patterns, that is one of the three keys for releasing the seal that binds Morpheus.",
				"Maximum SP + 10%, MDEF + 3",
				"[^000088Morpheus's Hood, Morpheus's Shawl, Morpheus's Ring & Morpheus's Bracelet Equip Set^000000]",
				"Class :^777777 Garment^000000",
				"Defense :^777777 8^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2519: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Morrigane's Manteau",
			identifiedResourceName: "\xb8\xf0\xb8\xae\xbe\xc6\xb3\xd7\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A manteau made from gray crow feathers that were enchanted through the power of Morrigane, whose incarnation is the gray crow.",
				"LUK + 2, Perfect Dodge + 8",
				"[^000088Morrigane's Helm, Morrigane's Manteau, Morrigane's Belt & Morrigane's Pendant Equip Set^000000]",
				"Class :^777777 Garment^000000",
				"Defense :^777777 9^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 61^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2520: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Goibne's Spaulders",
			identifiedResourceName: "\xb0\xd4\xba\xea\xb3\xd7\xc0\xcc\xbe\xee\xb1\xfa\xc0\xe5\xbd\xc4",
			identifiedDescriptionName: [
				"Goibe's very first creation, his most prized and precious armor.",
				"Reduce 10% of Long Range Physical attack.",
				"VIT + 1, MDEF + 2",
				"[^000088Goibne's Helm, Goibne's Armor, Goibne's Greaves & Goibne's Spaulders Equip Set^000000]",
				"Class :^777777 Garment^000000",
				"Defense :^777777 11^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 54^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2521: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angelic Cardigan",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xbf\xc2\xb1\xe2",
			identifiedDescriptionName: [
				"Super Novice Guardian Angel's warm and comfortable cardigan.",
				"HP Recovery + 5%",
				"[^000088Angelic Protection, Angel's Reincarnation, Angelic Guard, Angelic Cardigan & Angel's Kiss Equip Set^000000]",
				"Class :^777777 Garment^000000",
				"Defense :^777777 6^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2522: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Undershirt",
			identifiedResourceName: "\xb7\xb1\xb4\xd7\xbc\xc5\xc3\xf7",
			identifiedDescriptionName: [
				"Lightweight armor made from 100% real cotton that is actually quite durable.",
				"MDEF + 1",
				"[^000088+ Pantie^000000]",
				"AGI + 5, Flee Rate + 10",
				"Class :^777777 Garment^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 15^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2523: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Undershirt",
			identifiedResourceName: "\xb7\xb1\xb4\xd7\xbc\xc5\xc3\xf7",
			identifiedDescriptionName: [
				"Lightweight armor made from 100% real cotton that is actually quite durable.",
				"MDEF + 1",
				"[^000088+ Pantie^000000]",
				"AGI + 5, Flee Rate + 10",
				"Class :^777777 Garment^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 15^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2524: {
			unidentifiedDisplayName: "Manteau",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valkyrian Manteau",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A manteau that is worn by the Valkyries, Odin's battle maidens.",
				"Indestructible (except in upgrade attempts).",
				"[^008800Mage, Archer, Acolyte Class^000000]",
				"Perfect Dodge + 5",
				"Additional Perfect Dodge can be earned by Refining, and is equal to the Refine Rate * 2.",
				"[^008800Swordman, Merchant, Thief Class^000000]",
				"Reflect 5% of all Physical Melee Damage back to the enemy which inflicted it.",
				"Additional Reflect Damage can be earned by Refining, and is equal to the Refine Rate * 2.",
				"However, the perfect dodge or damage reflect will only increase up to + 10 refine.",
				"[^000088Valkyrie Helm & Valkyrja's Armor & Valkyrja's Manteau & Valkyrja's Shoes Equip Set^000000]",
				"Class :^777777 Garment^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2525: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ancient Cape",
			identifiedResourceName: "\xbf\xbe\xbf\xb5\xc1\xd6\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A fancy cape said to have once been worn by marquises long ago.",
				"AGI + 1",
				"Class :^777777 Garment^000000",
				"Defense :^777777 9^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2526: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Coat of Dragon Scale",
			identifiedResourceName: "\xbf\xbe\xbf\xb5\xc1\xd6\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Garment^000000",
				"Defense :^777777 14^000000",
				"Weight :^777777 1^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2527: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dragon Breath",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xbc\xfb\xb0\xe1",
			identifiedDescriptionName: [
				"A garment that gives warm and sticky feelings as if experiencing a dragon's breath.",
				"Reduces damage received from Dragon type monsters by 15%.",
				"[^000088+ Dragon Slayer or Dragon Killer or Gae Bolg^000000]",
				"Increases damage on Dragon monster by 5%.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 16^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2528: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wool Scarf",
			identifiedResourceName: "\xbf\xef\xbd\xba\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"A scarf made of best quality wool. Cozy and comfortable when tried.",
				"MDEF + 4",
				"[^000088Tidal Shoes & Wool Scarf Equip Set^000000]",
				"Class :^777777 Garment^000000",
				"Defense :^777777 11^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2529: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rider Insignia",
			identifiedResourceName: "\xb6\xf3\xc0\xcc\xb4\xf5\xc8\xd6\xc0\xe5",
			identifiedDescriptionName: [
				"A symbol known to be used by the people who loved to run. Just wearing it arouses a desire to run.",
				"AGI + 2",
				"[^000088+ Black Leather Boots^000000]",
				"Increases Flee Rate + 10.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2530: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rider Insignia",
			identifiedResourceName: "\xb6\xf3\xc0\xcc\xb4\xf5\xc8\xd6\xc0\xe5",
			identifiedDescriptionName: [
				"A symbol known to be used by the people who loved to run. Just wearing it arouses a desire to run.",
				"AGI + 2",
				"[^000088+ Black Leather Boots^000000]",
				"Increases Flee Rate + 10.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2531: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ulfhedinn",
			identifiedResourceName: "\xbf\xef\xc7\xc1\xc7\xec\xb5\xf2",
			identifiedDescriptionName: [
				"A mysterious cape with protective spell. Converts the wearer's magic tolerance to DEF.",
				"Whenever you receive a Physical Damage, there is a small chance to reduce all incoming Physical Damage by 20% for 2 seconds, but also reduces your MDEF by 20% during that 2 seconds.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans Swordman Class, Trans Merchant Class, Trans Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2532: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mithril Magic Cape",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xb8\xb1\xb8\xb6\xb9\xfd\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A mysterious cape with protective spell. Converts the wearer's DEF to MDEF.",
				"MDEF + 3",
				"Whenever you receive a Magical Damage, there is a small chance to reduce all incoming Magical Damage by 20% for 2 seconds, but also reduces your DEF by 20% during that 2 seconds.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 8^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans Mage Class, Trans Archer Class, Trans Acolyte Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2533: {
			unidentifiedDisplayName: "Freyja Cape",
			unidentifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xcc\xbe\xdf\xc0\xc7\xb8\xc1\xc5\xe4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freyja Cape",
			identifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xcc\xbe\xdf\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"^000088Cash Items^000000",
				"...",
				"Reduces damage from DemiHuman monster by 15%.",
				"[^000088Freya's Clothes & Freya's Boots & Freya's Manteau & Freya's Crown Equip Set^000000]",
				"Reduce 10% damage taken from DemiHuman monster.",
				"Enables use of ^008800Level 10 Frost Nova^000000.",
				"Maximum HP + 20%.",
				"Impossible to refine this item.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2534: {
			unidentifiedDisplayName: "Ruffler",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ruffler",
			identifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"Reduces damage from ^777777Neutral^000000 Property by 17%. Flee Rate + 17",
				"Impossible to refine this item.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2535: {
			unidentifiedDisplayName: "Cloak Of Survival",
			unidentifiedResourceName: "\xbb\xfd\xc1\xb8\xc0\xc7\xb8\xc1\xc5\xe4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cloak Of Survival",
			identifiedResourceName: "\xbb\xfd\xc1\xb8\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A mantaeu that will increase the survival rate of its user under any condition.",
				"VIT + 10, MDEF + 10",
				"Impossible to refine this item.",
				"[^000088+ slotted Survivor's Rod^000000]",
				"MATK + 5%, Increase resistance from ^777777Neutral^000000 Property attacks by 25%.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 17^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2536: {
			unidentifiedDisplayName: "Skin of Ventus",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Skin of Ventus",
			identifiedResourceName: "\xbd\xba\xc5\xb2\xbf\xc0\xba\xea\xba\xa5\xc5\xf5\xbd\xba",
			identifiedDescriptionName: [
				"Lucifer's skin, cursed by devil's language. It seems threw on the back.",
				"MDEF + 2, Maximum HP + 200, Flee Rate + 10",
				"Class :^777777 Garment^000000",
				"Defense :^777777 7^000000",
				"Weight :^777777 25^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2537: {
			unidentifiedDisplayName: "Diabolus Manteau",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Diabolus Manteau",
			identifiedResourceName: "\xb5\xf0\xbe\xc6\xba\xbc\xb7\xe7\xbd\xba\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A manteau that endless dark shape is waving on it. Only the man who overcame the fear can put on this manteau.",
				"Reduces ^777777Neutral^000000 Property damage by 5%. Maximum HP + 100",
				"Increases Physical Damage when facing Satan Morroc by 10%.",
				"[^000088+ Diablos Boots^000000]",
				"Maximum HP + 6%",
				"Class :^777777 Garment^000000",
				"Defense :^777777 15^000000",
				"Weight :^777777 25^000000",
				"Applicable Job :^777777 Rebirth 2nd Class or above^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2538: {
			unidentifiedDisplayName: "Captain's Manteau",
			unidentifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xb8\xc1\xc5\xe4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Captain's Manteau",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A dignified, splendid Manteau that is provided to any warrior who brings great honor from the battlefield. ",
				"Reduces damage from Demihuman monsters by 1%.",
				"MaxHP + 50. MDEF + 1.",
				"Class : ^777777Garment^000000",
				"Defense : ^77777728^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class, Taekwon, Star Gladiator^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2539: {
			unidentifiedDisplayName: "Commander's Manteau",
			unidentifiedResourceName: "\xbf\xbe\xbf\xb5\xc1\xd6\xc0\xc7\xb8\xc1\xc5\xe4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Commander's Manteau",
			identifiedResourceName: "\xbf\xbe\xbf\xb5\xc1\xd6\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A Manteau that is provided to superior commander who has a outstanding ability of supporting in rear base.",
				"Add a 1% resistance against Demihuman monster.",
				"Max HP + 50. MDEF + 1.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Archer Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2540: {
			unidentifiedDisplayName: "Sheriff's Manteau",
			unidentifiedResourceName: "\xb4\xa9\xb4\xf5\xb1\xe2\xb8\xc1\xc5\xe4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sheriff's Manteau",
			identifiedResourceName: "\xb4\xa9\xb4\xf5\xb1\xe2\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A Manteau imbued with tension and mystery spirit of the desolate wilderness.",
				"Add a 1% resistance against Demihuman monster.",
				"Max HP + 50. MDEF + 1.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 20^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2541: {
			unidentifiedDisplayName: "Manteau",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Asprika",
			identifiedResourceName: "\xbe\xc6\xbd\xba\xc7\xc1\xb8\xae\xc4\xab",
			identifiedDescriptionName: [
				"Wings created using all the light in the world. Its name means \"Light of the Gods\".",
				"Reduces damage from melee attacks of all elements by 30%.",
				"FLEE + 30, MDEF + 5.",
				"Enables use of ^008800Level 1 Teleport^000000.",
				"Cannot be refined, cannot be destroyed.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 40^000000",
				"Required Level :^777777 94^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2542: {
			unidentifiedDisplayName: "Flame Manteau of Naght Sieger",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flame Manteau of Naght Sieger",
			identifiedResourceName: "\xbf\xbe\xbf\xb5\xc1\xd6\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A flaming manteau that burns in both red and blue colors, but does not harm its wearer.",
				"Maximum HP + 5%. MDEF + 2",
				"MATK + 1%. Increases damage against ^FF0000Fire^000000 Property monsters by 2%.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 16^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Jobs except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2543: {
			unidentifiedDisplayName: "Sylphid Manteau",
			unidentifiedResourceName: "\xb8\xc5\xc0\xc7\xb3\xaf\xb0\xb3\xbf\xca",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sylphid Manteau",
			identifiedResourceName: "\xb8\xc5\xc0\xc7\xb3\xaf\xb0\xb3\xbf\xca",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A Soft Manteau that has been blessed by a Wind Fairy.",
				"It is said to allow the wearer to be protected from danger.",
				"FLEE + 13, Reduce 13% of ^777777Neutral^000000 Property damage.",
				"Perfect Dodge + 1",
				"Class :^777777 Garment^000000",
				"Defense :^777777 33^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2544: {
			unidentifiedDisplayName: "Leather of Tendrilion",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Leather of Tendrilion",
			identifiedResourceName: "\xc5\xd9\xb5\xe5\xb8\xb1\xb8\xae\xbf\xc2\xc0\xc7\xb0\xa1\xc1\xd7",
			identifiedDescriptionName: [
				"The skin of a Tendrillion which has various plants growing on it.",
				"Increases 5% resistance from the monster to ^0000FFWater^000000 and ^996600Earth^000000 property attacks.",
				"Increases 5% resistance from Plant and Brute monster.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 14^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans 2nd Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2545: {
			unidentifiedDisplayName: "Musika",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Musika",
			identifiedResourceName: "\xb9\xab\xbd\xc3\xc4\xab",
			identifiedDescriptionName: [
				"A newly designed armor from the Prontera Church exclusive for priests to protect the priests who hunt demons.",
				"MDEF + 3",
				"Add a chance of auto casting ^008800Level 1 Heal^000000 on yourself when the user receiving physical damage.",
				"If you know a higher level of heal, you will cast that level instead.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 High Priest^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2546: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Beach Manteau",
			identifiedResourceName: "\xc8\xc4\xb5\xe5",
			identifiedDescriptionName: [
				"A manteau received as a gift from Comodo Environmental Commission.",
				"It seems to match perfect with Comodo beach.",
				"STR + 1, INT + 1",
				"Add a 10% resistance to the ^FF0000Fire^000000 Property.",
				"^8B4513FLEE +5 when worn with Beach Sandals^000000.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2547: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xb7\xb1\xb4\xd7\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cheap Undershirt",
			identifiedResourceName: "\xb7\xb1\xb4\xd7\xbc\xc5\xc3\xf7",
			identifiedDescriptionName: [
				"...",
				"DEX + 2, FLEE + 10",
				"Reduce 10% of ^777777Neutral^000000 Property damage.",
				"MDEF + 1",
				"Class :^777777 Garment^000000",
				"Defense :^777777 8^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2548: {
			unidentifiedDisplayName: "Neo Muffler",
			unidentifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Neo Muffler",
			identifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A warm scarf that is worn around the neck and shoulders.",
				"Add a 10% resistance against DemiHuman monster.",
				"MaxHP + 10%",
				"Resistance against ^0000FFWater^000000, ^FF0000Fire^000000, ^777777Holy, Shadow^000000 Property by 5%.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 95^000000",
				"Applicable Job :^777777 Every Jobs except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2549: {
			unidentifiedDisplayName: "Glorious Muffler",
			unidentifiedResourceName: "\xbf\xef\xc7\xc1\xc7\xec\xb5\xf2",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Muffler",
			identifiedResourceName: "\xbf\xef\xc7\xc1\xc7\xec\xb5\xf2",
			identifiedDescriptionName: [
				"HP + 5%",
				"Add a 5% resistance against DemiHuman monster.",
				"[^000088Glorious Shoes & Glorious Muffler Equip Set^000000]",
				"ATK, MATK +5%. Can't be frozen.",
				"Increases Heal, Sanctuary, and Potion Pitcher effectiveness by 3%.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 3^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 81^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2550: {
			unidentifiedDisplayName: "Fisher's Muffler",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fisher's Muffler",
			identifiedResourceName: "\xc5\xce\xb9\xde\xc4\xa7",
			identifiedDescriptionName: [
				"A nice muffler which increase your concentration by protecting you from wild wind around a fishing spot.",
				"Reduced casting time for 2 second per hours.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2551: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crest of the Rider",
			identifiedResourceName: "\xb6\xf3\xc0\xcc\xb4\xf5\xc8\xd6\xc0\xe5",
			identifiedDescriptionName: [
				"A symbol known to be used by the people who loved to run. Just wearing it arouses a desire to run.",
				"AGI + 2",
				"[^000088+ Black Leather Boots^000000]",
				"Increases Flee Rate + 10.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 4^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2552: {
			unidentifiedDisplayName: "Manteau",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mithril Magic Manteau",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xb8\xb1\xb8\xb6\xb9\xfd\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A mysterious cape with protective spell. Converts the wearer's DEF to MDEF.",
				"MDEF + 3",
				"Whenever you receive a Magical Damage, there is a small chance to reduce all incoming Magical Damage by 20% for 2 seconds, but also reduces your DEF by 20% during that 2 seconds.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 3^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans Mage Class, Trans Archer Class, Trans Acolyte Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2553: {
			unidentifiedDisplayName: "Manteau",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dragon Manteau",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A manteau crafted from the mane of a dragon.",
				"AGI + 1, MDEF + 5",
				"Class :^777777 Garment^000000",
				"Defense :^777777 14^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Trans Job except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2554: {
			unidentifiedDisplayName: "Manteau",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Nidhoggur's Shadow Garb",
			identifiedResourceName: "\xb4\xeb\xc7\xe0\xc0\xda\xc0\xc7\xb2\xae\xc1\xfa\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A coat crafted from the skin dropped by the monster Nidhoggur.",
				"It seems unexpectedly powerful.",
				"Add a 7% resistance to all Elements.",
				"Increases SP by Level/3 + (Refine Rate * 10).",
				"When dealing physical damage there's a 1% chance that you'll recover 1% of your damage as SP.",
				"MDEF + 3",
				"Class :^777777 Garment^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Jobs except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2555: {
			unidentifiedDisplayName: "Freya's Spiritual Scarf",
			unidentifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Scarf",
			identifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual scarf granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"Flee Rate + 15, Reduce 15% of ^777777Neutral^000000 Property damage.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2556: {
			unidentifiedDisplayName: "Freya's Spiritual Scarf",
			unidentifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Scarf",
			identifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual scarf granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"Flee Rate + 15, Reduce 15% of ^777777Neutral^000000 Property damage.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2557: {
			unidentifiedDisplayName: "Freya's Spiritual Scarf",
			unidentifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Scarf",
			identifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual scarf granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"Flee Rate + 15, Reduce 15% of ^777777Neutral^000000 Property damage.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2558: {
			unidentifiedDisplayName: "Freya's Spiritual Scarf",
			unidentifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Scarf",
			identifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual scarf granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"Flee Rate + 15, Reduce 15% of ^777777Neutral^000000 Property damage.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2559: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guardian Manteau",
			identifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xcc\xbe\xdf\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"...",
				"FLEE + 10. MDEF + 1.",
				"Reduce 10% of ^777777Neutral^000000 Property damage.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 9^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2560: {
			unidentifiedDisplayName: "Paradise Team Manteau",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Manteau",
			identifiedResourceName: "\xbf\xef\xc7\xc1\xc7\xec\xb5\xf2",
			identifiedDescriptionName: [
				"A manteau given only to members of the Paradise Group. It makes you look really cool.",
				"Increase resistance to ^777777Neutral^000000 Property attacks by 10%.",
				"Impossible to refine this item.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 14^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2561: {
			unidentifiedDisplayName: "Upgrade Hood",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Hood",
			identifiedResourceName: "\xb0\xad\xc8\xad\xc8\xc4\xb5\xe5",
			identifiedDescriptionName: [
				"A Hood molded out of Elunium and pure gold mixture.",
				"MaxHP + 3%",
				"Class :^777777 Garment^000000",
				"Defense :^777777 9^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2562: {
			unidentifiedDisplayName: "Upgrade Muffler",
			unidentifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Muffler",
			identifiedResourceName: "\xb0\xad\xc8\xad\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"A Muffler molded out of Elunium and pure gold mixture.",
				"MaxHP + 3%",
				"Class :^777777 Garment^000000",
				"Defense :^777777 13^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2563: {
			unidentifiedDisplayName: "Upgrade Manteau",
			unidentifiedResourceName: "\xb8\xc1\xc5\xe4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Manteau",
			identifiedResourceName: "\xb0\xad\xc8\xad\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"A Manteau molded out of Elunium and pure gold mixture.",
				"MaxHP + 3%",
				"Class :^777777 Garment^000000",
				"Defense :^777777 18^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class, Taekwon, Star Gladiator^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2564: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xbe\xdf\xbc\xba\xc0\xc7\xb2\xbf\xb8\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Feral Tail",
			identifiedResourceName: "\xbe\xdf\xbc\xba\xc0\xc7\xb2\xbf\xb8\xae",
			identifiedDescriptionName: [
				"...",
				"...",
				"Class :^777777 Garment^000000",
				"Defense :^777777 16^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2565: {
			unidentifiedDisplayName: "Hood",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Beach Towel",
			identifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"A colorful beach towel used as protection from the sun.",
				"MDEF +3, FLEE +7",
				"Resistance to Neutral property attacks +7%,",
				"Class : ^777777Robe^000000 Defense : ^7777772^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2566: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbe\xc6\xbd\xba\xc7\xc1\xb8\xae\xc4\xab",
			identifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"³³´ó°¡ Á·ÀçÇÏ»Â ·ðºç µûÀ´ ·ð±Æ ··ºé±îÁø ¼¯¿¼. '²ÅºéÀÇ µû'ÀÌ¹ó»Â ÀÇ¶Ì·¦ ¿¡Áö¿í ÀÖ»Ù.",
				"·ðºç ³Ó³µÀÇ ¶¿·®¿ø¿Ý°¡ »ëÇÑ ¼´³µ 15%.",
				"UOVV 15, NWVU 2.",
				"ÅÚ¸¶Æ÷Æ® Oe1 ´ç°ë¿¡»É.",
				"Á¦¸ÃµÒ¿¡. ÆÄ¾«µÒ¿¡.",
				"¿è°­ : ^777777¿ÉÄ¥¿Í^000000 ¶æ±î : ^77777720^000000",
				"Weight : ^7777770^000000",
				"°ä¾·¸¶µ§ : ^77777747^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2568: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Loki's Muffler",
			identifiedResourceName: "\xb7\xce\xc5\xb0\xc0\xc7\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"...",
				"AGI + 1",
				"Increases damage of ^008800Cross Impact^000000 by 5%.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Every 3rd Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2569: {
			unidentifiedDisplayName: "Shawl Of Affection",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shawl Of Affection",
			identifiedResourceName: "\xc0\xda\xbe\xd6\xc0\xc7\xbc\xf1",
			identifiedDescriptionName: [
				"An item said to be worn by a priest who in ancient times saved countless lives on the battlefield.",
				"Perfect Dodge + 5.",
				"When being attacked has a chance to activate ^008800Level 1 Renovatio^000000 on yourself.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 12^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Arch Bishop^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2570: {
			unidentifiedDisplayName: "Shawl Of Judgement",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shawl Of Judgement",
			identifiedResourceName: "\xbd\xc9\xc6\xc7\xc0\xc7\xbc\xf1",
			identifiedDescriptionName: [
				"An item said to be used by a priest who in ancient times fought against the hordes of demons.",
				"FLEE + 5.",
				"Add a chance cast ^008800Level 2 Oratio^000000 on the enemy when dealing physical damage.",
				"If you know a higher level of Oratio, you will cast that level instead.",
				"Class :^777777 Garment^000000",
				"Defense :^777777 12^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Arch Bishop^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2571: {
			unidentifiedDisplayName: "Eden Group Manteau II",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Manteau II",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xb8\xb1\xb8\xb6\xb9\xfd\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"...",
				"FLEE + 12.",
				"Increase resistance to ^777777Neutral^000000 Property attacks by 10%.",
				"Impossible to refine this item.",
				"Class :^777777 Garment^000000",
				"Defense : ^777777 18^000000",
				"Weight : ^777777 0^000000",
				"Required Level : ^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2573: {
			unidentifiedDisplayName: "Archangel Wing",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Archangel Wing",
			identifiedResourceName: "\xb4\xeb\xc3\xb5\xbb\xe7\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"White wings of a holy Archangel.",
				"Slot : ^7777771^000000",
				"Class : ^777777Garment^000000",
				"Defense : ^77777718^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		2574: {
			unidentifiedDisplayName: "Ur's Manteau",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ur's Manteau",
			identifiedResourceName: "\xbf\xec\xb8\xa3\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"¿ì¸£ÀÇ ·éÀ» Á¤Á¦ÇÏ¿© ¸¸µç ¸ÁÅä.",
				"MaxHP + 2%, ¹«¼Ó¼º °ø°Ý¿¡ ´ëÇÑ ³»¼º 10%.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777720^000000",
				"¹«°Ô : ^77777760^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·é³ªÀÌÆ®^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2575: {
			unidentifiedDisplayName: "Peuz's Manteau",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Peuz's Manteau",
			identifiedResourceName: "\xc6\xe4\xbf\xc0\xc1\xee\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"Æä¿ÀÁîÀÇ ·éÀ» Á¤Á¦ÇÏ¿© ¸¸µç ¸ÁÅä.",
				"FLEE + 10, CRI + 10.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777716^000000",
				"¹«°Ô : ^77777760^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·é³ªÀÌÆ®^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2576: {
			unidentifiedDisplayName: "Heroic Backpack",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Heroic Backpack",
			identifiedResourceName: "\xb8\xf0\xc7\xe8\xb0\xa1\xb9\xe8\xb3\xb6",
			identifiedDescriptionName: [
				"A backpack befitting of any hero.",
				"Enables the use of level 1 Greed",
				"If refined to +7 or higher and base stats (without modifiers) is equal to 90 or higher,",
				"-Str -> Attack +20",
				"-Int -> Magic Attack +30",
				"-Vit -> Tolerance to Neutral Property +5",
				"-Agi -> Aspd +8%",
				"-Dex -> Ranged Attack +5",
				"-Luk -> Inflict 10% more critical attack.",
				"If refined to +9 or higher and base stats (without modifiers) is equal to 90 or higher,",
				"-Str -> Attack +30",
				"-Int -> Magic Attack +50",
				"-Vit -> Tolerance to Neutral Property +10",
				"-Agi -> Aspd +8% & Aspd +1",
				"-Dex -> Ranged Attack +10",
				"-Luk -> Inflict 15% more critical attack.",
				"Class : ^777777Garment^000000",
				"Defense: ^77777720^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		2577: {
			unidentifiedDisplayName: "Sapha Hood",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sapha Hood",
			identifiedResourceName: "\xbb\xe7\xb9\xd9\xc8\xe5\xc0\xc7\xc8\xc4\xb5\xe5",
			identifiedDescriptionName: [
				"¿À·¡Àü ¾îµÒÀÇ ¼¼°è¿¡¼­ À¯¸íÇß´ø ¾î½Ø½ÅÀÇ À¯¹°ÀÌ¶ó°í ÇÑ´Ù.",
				"FLEE + 12, 1Á¦·Ã ´ç Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 1%¾¿ Áõ°¡.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777713^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777±æ·ÎÆ¾Å©·Î½º^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2578: {
			unidentifiedDisplayName: "Nab Hood",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Nab Hood",
			identifiedResourceName: "\xb3\xaa\xba\xea\xc0\xc7\xc8\xc4\xb5\xe5",
			identifiedDescriptionName: [
				"°ú°Å ÀÌµµ·ù·Î À¯¸íÇß´ø ¾î½Ø½ÅÀÇ À¯¹°ÀÌ¶ó°í ÇÑ´Ù.",
				"FLEE, ATK°¡ 1Á¦·Ã ´ç 2¾¿ Áõ°¡.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777713^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777±æ·ÎÆ¾Å©·Î½º^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2580: {
			unidentifiedDisplayName: "White Wing Manteau",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "White Wing Manteau",
			identifiedResourceName: "\xc8\xf2\xb3\xaf\xb0\xb3\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"°ú°Å Èñ´ëÀÇ ¸í±ÃµéÀÌ ¸¹ÀÌ ¹èÃâµÇ¾ú´Ù°í ÇÏ´Â 'ÀÌÄ«·ç½º ±æµå'ÀÇ À¯¹°.",
				"AGI + 2, FLEE + 10, ¹°¸® °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 7ÃÊ°£ FLEE + 20.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777715^000000",
				"¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·¹ÀÎÀú^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2581: {
			unidentifiedDisplayName: "Black Wing Manteau",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Wing Manteau",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb3\xaf\xb0\xb3\xc0\xc7\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"ÁýÁß·Â°ú Á¤½Å·ÂÀ» ¸¼°Ô À¯Áö ½ÃÄÑÁÖµµ·Ï Æ¯È­µÈ °ËÀº³¯°³ ¸¶Å©ÀÇ À¯¹°.",
				"INT + 2.",
				"7Á¦·Ã½Ã ºÎÅÍ ¿ÏÀüÈ¸ÇÇ 1¾¿ Áõ°¡.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777715^000000",
				"¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·¹ÀÎÀú^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2582: {
			unidentifiedDisplayName: "°ÉÄ¥°Í",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "»øºñÁö ÄÉÀÌÇÁ",
			identifiedResourceName: "\xbb\xf8\xba\xf1\xc1\xf6\xc4\xc9\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"±¸¿øÀÌ¶ó´Â ¶æÀ» °¡Áø ÀÌ ³ÐÀº ¸ÁÅä´Â µ¿¹æÀÇ ÁÖ¼ú»ç¿Í ¼­¾çÀÇ Àç´Ü»çÀÇ ±â¼úÀÌ ¸ðµÎ Áý¾àµÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"¸Å¹ÌÇã¹°¹þ±â 1Lv »ç¿ë°¡´É. ÇØ´ç½ºÅ³ÀÇ ÄðÅ¸ÀÓÀÌ 30ÃÊ·Î Áõ°¡, Àåºñ ½Ã ¸ðµç ½ºÅ³ÀÇ ¼Ò¸ðSP°¡ 2¹è, ÀåÂøÇØÁ¦ ½Ã SP - 1200.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^7777771^000000",
				"¹«°Ô : ^77777740^000000",
				"¿ä±¸ ·¹º§ : ^777777130^000000",
				"ÀåÂø : ^777777¿ö·Ï/¾ÆÅ©ºñ¼ó^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2586: {
			unidentifiedDisplayName: "½ÃÁî ¸ÁÅä",
			unidentifiedResourceName: "\xbd\xc3\xc1\xee\xb8\xc1\xc5\xe4",
			unidentifiedDescriptionName: [
				"MDEF + 1.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î·Î ºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 2% °¨¼Ò.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777732^000000",
				"¹«°Ô : ^77777760^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
			],
			identifiedDisplayName: "½ÃÁî ¸ÁÅä",
			identifiedResourceName: "\xbd\xc3\xc1\xee\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"MDEF + 1.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î·Î ºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 2% °¨¼Ò.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777732^000000",
				"¹«°Ô : ^77777760^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2587: {
			unidentifiedDisplayName: "½ÃÁî ¸ÓÇÃ·¯",
			unidentifiedResourceName: "\xbd\xc3\xc1\xee\xb8\xd3\xc7\xc3\xb7\xaf",
			unidentifiedDescriptionName: [
				"MDEF + 10.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î·Î ºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 1% °¨¼Ò.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777715^000000",
				"¹«°Ô : ^77777740^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			identifiedDisplayName: "½ÃÁî ¸ÓÇÃ·¯",
			identifiedResourceName: "\xbd\xc3\xc1\xee\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"MDEF + 10.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î·Î ºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 1% °¨¼Ò.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777715^000000",
				"¹«°Ô : ^77777740^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2589: {
			unidentifiedDisplayName: "Fallen Angel Wing",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fallen Angel Wing",
			identifiedResourceName: "\xc5\xb8\xb6\xf4\xc3\xb5\xbb\xe7\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"Large, black wings of a fallen dark angel.",
				"All Stats + 1.",
				"Base stats (without modifiers) is equal to 20 or higher,",
				"-Str -> Attack + 1",
				"-Int -> Magic Attack + 1",
				"-Vit -> Tolerance to Neutral Property + 1%",
				"-Agi -> Increase ASPD (After Attack delay -1%)",
				"-Dex -> Ranged Attack +1%",
				"-Luk -> Inflict 1% more critical attack.",
				"Class : ^777777Garment^000000",
				"Defense : ^77777718^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		2590: {
			unidentifiedDisplayName: "Hood",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Buwaya Sack Cloth",
			identifiedResourceName: "\xba\xce\xbf\xf6\xbf\xa9\xc1\xd6\xb8\xd3\xb4\xcf\xbf\xca",
			identifiedDescriptionName: [
				"Clothes tailored from Buwaya's kidnapping sack. Full of vindictive spirits that cannot rest in peace.",
				"Healing capacity and healing item effect increases 1% per 3 refinement.",
				"10% damage decrease from Water, Earth, Fire and Wind Converter monsters.",
				"Class : ^777777Garment^000000",
				"Defense : ^7777778^000000",
				"Weight : ^77777720^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2591: {
			unidentifiedDisplayName: "Hood",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Buwaya Sack Cloth(Bayani)",
			identifiedResourceName: "\xb9\xd9\xbe\xdf\xb4\xcf\xba\xce\xbf\xf6\xbf\xa9\xc1\xd6\xb8\xd3\xb4\xcf\xbf\xca",
			identifiedDescriptionName: [
				"Clothes tailored from Buwaya's kidnapping sack. Full of vindictive spirits that cannot rest in peace.",
				"Healing capacity and healing item effect increases 1% per 3 refinement.",
				"10% damage decrease from Water, Earth, Fire and Wind Converter monsters.",
				"Class : ^777777Garment^000000",
				"Defense : ^7777778^000000",
				"Weight : ^77777720^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2601: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring",
			identifiedResourceName: "\xb8\xb5",
			identifiedDescriptionName: [
				"A metal band worn on the finger which strangely increases its wearer's strength.",
				"STR + 2",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2602: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Earring",
			identifiedResourceName: "\xc0\xcc\xbe\xee\xb8\xb5",
			identifiedDescriptionName: [
				"Jewelry, worn on the earlobe, that increases its wearer's intelligence.",
				"INT + 2",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2603: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Necklace",
			identifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			identifiedDescriptionName: [
				"A necklace once worn by an ancient queen that enhances the vitality of whoever wears it.",
				"VIT + 2",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2604: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glove",
			identifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"A specially made covering worn on the hands to improve one's grip on weapons.",
				"DEX + 2",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2605: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brooch",
			identifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			identifiedDescriptionName: [
				"Mystic jewelry that attaches to clothing by means of a pin.",
				"AGI + 2",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2607: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc5\xac\xb8\xb3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Clip",
			identifiedResourceName: "\xc5\xac\xb8\xb3",
			identifiedDescriptionName: [
				"A versatile accessory that you can attach to pretty much anything.",
				"Maximum SP + 10",
				"[^000088Clip & Spiritual Ring Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2608: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rosary",
			identifiedResourceName: "\xb7\xce\xc0\xda\xb8\xae",
			identifiedDescriptionName: [
				"A string of beads used to count the number of repetitions that prayers are recited.",
				"LUK + 2, MDEF + 5",
				"[^000088Rosary & Spiritual Ring Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2609: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Skull Ring",
			identifiedResourceName: "\xc7\xd8\xb0\xf1\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A weird ring adorned with a skull in which the words, \"^990000Forever, until death ...^000000\" are engraved.",
				"Giving this as a gift might send a mixed message.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2610: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gold Ring",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A fairly common ring made of gold.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2611: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Silver Ring",
			identifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A simple, modest ring fashioned out of silver.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2612: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flower Ring",
			identifiedResourceName: "\xb2\xc9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A quaint, pretty ring made of wildflowers.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2613: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Diamond Ring",
			identifiedResourceName: "\xb4\xd9\xc0\xcc\xbe\xc6\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A ring adorned with a large \"diamond\", the rock known to be a girl's best friend.",
				"Sadly, these so-called diamonds fetch a hefty price.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2614: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eye of Dullahan",
			identifiedResourceName: "\xb5\xe0\xb6\xf3\xc7\xd1\xbe\xc6\xc0\xcc",
			identifiedDescriptionName: [
				"Reduces damage from undead monsters by 4%. Gain immunity to poison status.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2615: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Safety Ring",
			identifiedResourceName: "\xbc\xbc\xc0\xcc\xc7\xc1\xc6\xbc\xb8\xb5",
			identifiedDescriptionName: [
				"A strange ring that curiously raises its wearer's defense.",
				"MDEF + 5",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2616: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Critical Ring",
			identifiedResourceName: "\xc5\xa9\xb8\xae\xc6\xbc\xc4\xc3\xb8\xb5",
			identifiedDescriptionName: [
				"An esoteric ring which enables its wearer to amplify his hidden power.",
				"Critical Rate + 5",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2617: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Celebrant's Mitten",
			identifiedResourceName: "\xbd\xc5\xb0\xfc\xc0\xc7\xc0\xe5\xb0\xa9",
			identifiedDescriptionName: [
				"Gloves blessed with holiness that increases its wearer's intelligence.",
				"INT + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 35^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2618: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Matyr's Leash",
			identifiedResourceName: "\xb8\xb6\xc5\xb8\xc0\xc7\xb8\xf1\xb0\xc9\xc0\xcc",
			identifiedDescriptionName: [
				"Matyr's leash.",
				"AGI + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 35^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2619: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bow Thimble",
			identifiedResourceName: "\xc8\xb0\xb0\xf1\xb9\xab",
			identifiedDescriptionName: [
				"A finger accessory for archers which helps improve their accuracy.",
				"Ranged Attack Damage + 3%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Archer Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2620: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rogue's Treasure",
			identifiedResourceName: "\xb5\xb5\xc0\xfb\xc0\xc7\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A thief exclusive ring that contains magic that increases a thiefs abilities.",
				"[^008800Base Strength >= 90^000000]",
				"HIT + 10, FLEE + 10.",
				"[^008800Base Agility >= 90^000000]",
				"ATK + 10, CRIT + 10.",
				"[^000088Thief Ring & Cold Heart Equip Set^000000]",
				"Increases physical damage versus medium sized monsters by 8%.",
				"[^000088Thief Ring & Black Cat Equip Set^000000]",
				"Increases physical damage versus large sized monsters by 8%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Thief Class, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2621: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring",
			identifiedResourceName: "\xb8\xb5",
			identifiedDescriptionName: [
				"An ancient ring.",
				"STR + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2622: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Earring",
			identifiedResourceName: "\xc0\xcc\xbe\xee\xb8\xb5",
			identifiedDescriptionName: [
				"An ancient earring.",
				"INT + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2623: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Necklace",
			identifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			identifiedDescriptionName: [
				"An ancient necklace.",
				"VIT + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2624: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glove",
			identifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"An ancient mitten.",
				"DEX + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2625: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brooch",
			identifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			identifiedDescriptionName: [
				"An ancient brooch.",
				"AGI + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2626: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rosary",
			identifiedResourceName: "\xb7\xce\xc0\xda\xb8\xae",
			identifiedDescriptionName: [
				"An ancient rosary.",
				"LUK + 1, MDEF + 3",
				"[^000088Rosary & Spiritual Ring Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2627: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xa7\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Belt",
			identifiedResourceName: "\xba\xa7\xc6\xae",
			identifiedDescriptionName: [
				"A simple, very practical belt that has little fashion value.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 120^000000",
				"Required Level :^777777 25^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2628: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Armlet",
			identifiedResourceName: "\xb3\xeb\xba\xf1\xbd\xba\xbe\xcf\xb8\xb4",
			identifiedDescriptionName: [
				"An easy to wear bracelet made just for young Novices.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2629: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xa7\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Megingjard",
			identifiedResourceName: "\xb8\xde\xb1\xe4\xb1\xe2\xbf\xc0\xb8\xa3\xb5\xe5",
			identifiedDescriptionName: [
				"A reproduction of the girdle of might that Thor wore to enhance his prodigious strength.",
				"STR + 40, MDEF + 7",
				"If user has 120 base STR, Increases damage on Boss monsters by 10%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 2^000000",
				"Weight :^777777 800^000000",
				"Required Level :^777777 94^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2630: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brisingamen",
			identifiedResourceName: "\xba\xea\xb8\xae\xbd\xcc\xb0\xa1\xb8\xe0",
			identifiedDescriptionName: [
				"An imitation of the necklace worn by the beautiful goddess Freya.",
				"STR, AGI, DEX, VIT + 6",
				"INT, LUK + 10",
				"MDEF + 5, Increases the effectiveness of ^008800Heal & Sancuary^000000 by 5%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 150^000000",
				"Required Level :^777777 94^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2631: {
			unidentifiedDisplayName: "Ring",
			unidentifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Celebration Ring",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A ring that is given to a baby that becomes a year old.",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"All Stats + 5",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2632: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Korean Trinket",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				"...",
				"VIT + 1, DEX + 1, LUK + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2633: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jade Ring",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				"...",
				"STR + 2, INT + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2634: {
			unidentifiedDisplayName: "Wedding Ring",
			unidentifiedResourceName: "\xbd\xc5\xb6\xfb\xb0\xe1\xc8\xa5\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"A wedding ring for a Groom which symbolizes ever-lasting love.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Wedding Ring",
			identifiedResourceName: "\xbd\xc5\xb6\xfb\xb0\xe1\xc8\xa5\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A wedding ring for a Groom which symbolizes ever-lasting love.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2635: {
			unidentifiedDisplayName: "Wedding Ring",
			unidentifiedResourceName: "\xbd\xc5\xba\xce\xb0\xe1\xc8\xa5\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"A wedding ring for a Bride which symbolizes ever-lasting trust.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Wedding Ring",
			identifiedResourceName: "\xbd\xc5\xba\xce\xb0\xe1\xc8\xa5\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A wedding ring for a Bride which symbolizes ever-lasting trust.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2636: {
			unidentifiedDisplayName: "Gold Christmas Ring",
			unidentifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"A beautiful gold ring that was made for Christmas.",
				"Somebody's name is engraved on it.",
				"LUK + 1",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Gold Christmas Ring",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A beautiful gold ring that was made for Christmas.",
				"Somebody's name is engraved on it.",
				"LUK + 1",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2637: {
			unidentifiedDisplayName: "Silver Christmas Ring",
			unidentifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"A beautiful silver ring that was made for Christmas.",
				"Somebody's name is engraved on it.",
				"LUK + 1",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Silver Christmas Ring",
			identifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A beautiful silver ring that was made for Christmas.",
				"Somebody's name is engraved on it.",
				"LUK + 1",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2638: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc7\xc7\xbb\xe7\xc7\xe2\xc6\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sacred Incense",
			identifiedResourceName: "\xc7\xc7\xbb\xe7\xc7\xe2\xc6\xf7",
			identifiedDescriptionName: [
				"An incense bag which is carried to avoid bad things.",
				"STR + 1, LUK + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2639: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xb8\xb8\xb6\xc7\xe2\xc6\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Occult Incense",
			identifiedResourceName: "\xb1\xb8\xb8\xb6\xc7\xe2\xc6\xf7",
			identifiedDescriptionName: [
				"An incense bag which is carried to ward off evil.",
				"INT + 1, AGI + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2640: {
			unidentifiedDisplayName: "Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kafra Ring",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A mysterious ring rumored to be worn by Kafra Employees.",
				"STR, AGI, INT, LUK + 1",
				"MDEF + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2641: {
			unidentifiedDisplayName: "Hip Sack",
			unidentifiedResourceName: "\xc8\xfc\xbb\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fashion Hip Sack",
			identifiedResourceName: "\xc8\xfc\xbb\xf6",
			identifiedDescriptionName: [
				"A fashionable hip sack which is ideal for merchants who have to carry many goods with them.",
				"STR + 2",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2642: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Serin's Gold Ring",
			identifiedResourceName: "\xbc\xbc\xb8\xb0\xc0\xc7\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A beautiful golden ring engraved with the words, 'In celebration of Serin's 17th birthday.'",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2643: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Serin's Gold Ring ",
			identifiedResourceName: "\xbc\xbc\xb8\xb0\xc0\xc7\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A beautiful golden ring engraved with the words, 'In celebration of Serin's 17th birthday.'",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2644: {
			unidentifiedDisplayName: "The Sign ",
			unidentifiedResourceName: "\xb4\xf5\xbb\xe7\xc0\xce\x5f",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "The Sign",
			identifiedResourceName: "\xb4\xf5\xbb\xe7\xc0\xce\x5f",
			identifiedDescriptionName: [
				"A voucher that allows its user to enter Valhala.",
				"It also identifies its user as a chosen warrior who has been tested his qualification by Gods.",
				"It has a tranparent blue lense in the middle with silver ancient letters carved around",
				"and looks too powerful and mysterious to be considered as a simple voucher.",
				"Its beauty enraptures people's mind immediately as they see it.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2645: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Moonlight Ring",
			identifiedResourceName: "\xb4\xde\xba\xfb\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"An enchanted ring that was forged by the dead under the moonlight.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Thief Class, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2646: {
			unidentifiedDisplayName: "Bunch of Carnation",
			unidentifiedResourceName: "\xc4\xab\xb3\xd7\xc0\xcc\xbc\xc7\xb2\xc9\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bunch of Carnation",
			identifiedResourceName: "\xc4\xab\xb3\xd7\xc0\xcc\xbc\xc7\xb2\xc9\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"A carnation bouquet given as gifts to mothers.",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"All Stats + 3",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2647: {
			unidentifiedDisplayName: "Nile Rose",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcf\xb7\xce\xc1\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Nile Rose",
			identifiedResourceName: "\xb3\xaa\xc0\xcf\xb7\xce\xc1\xee",
			identifiedDescriptionName: [
				"An extremely rare jewel attached to a solid silver chain bracelet which symbolizes strength, growth, and energy.",
				"Maximum HP + 10",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"All Stats + 5",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2648: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Morpheus's Ring",
			identifiedResourceName: "\xb8\xf0\xb8\xa3\xc7\xc7\xbc\xc5\xbd\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A ring, enchanted with the power of the Fate Stone, that is one of the three keys for the seal which binds Morpheus.",
				"INT + 1, Maximum SP + 5%",
				"[^000088Morpheus's Hood, Morpheus's Shawl, Morpheus's Ring & Morpheus's Bracelet Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2649: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Morpheus's Bracelet",
			identifiedResourceName: "\xb8\xf0\xb8\xa3\xc7\xc7\xbc\xc5\xbd\xba\xc6\xc8\xc2\xee",
			identifiedDescriptionName: [
				"A bracelet, rumored to be a memento of Morpheus's beloved, that is one of the three keys for the seal which binds Morpheus.",
				"INT + 1, Maximum SP + 5%",
				"[^000088Morpheus's Hood, Morpheus's Shawl, Morpheus's Ring & Morpheus's Bracelet Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2650: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Morrigane's Belt",
			identifiedResourceName: "\xb8\xf0\xb8\xae\xbe\xc6\xb3\xd7\xc0\xc7\xba\xa7\xc6\xae",
			identifiedDescriptionName: [
				"The belt that Morrigane kept as a memento of CuChulain after he perished in battle.",
				"ATK + 5, Critical Rate + 3",
				"[^000088Morrigane's Helm, Morrigane's Manteau, Morrigane's Belt & Morrigane's Pendant Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 61^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2651: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Morrigane's Pendant",
			identifiedResourceName: "\xb8\xf0\xb8\xae\xbe\xc6\xb3\xd7\xc6\xd2\xb4\xf8\xc6\xae",
			identifiedDescriptionName: [
				"The pendant that CuChulain gave to Morrigane when they were still in love.",
				"It's symbolic of her endless devotion, as she stood by his side even after he had abandoned her.",
				"STR + 2, Critical Rate + 3",
				"[^000088Morrigane's Helm, Morrigane's Manteau, Morrigane's Belt & Morrigane's Pendant Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 61^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2652: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Goddess of Fortune's Cursed Brooch",
			identifiedResourceName: "\xc0\xfa\xc1\xd6\xc7\xe0\xbf\xee\xba\xea\xb7\xce\xc4\xa1",
			identifiedDescriptionName: [
				"A cursed brooch which, ironically, was owned by the goddess of fortune.",
				"Critical Rate + 6%",
				"^880000Curse^000000 yourself when attacking (Success Chance 0.5%).",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2653: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Not much is known about the mysterious Sacrifice Ring.",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Sacrifice Ring",
			identifiedResourceName: "\xbc\xbc\xc5\xa9\xb8\xae\xc6\xc4\xc0\xcc\xbd\xba\xb8\xb5",
			identifiedDescriptionName: [
				"Not much is known about the mysterious Sacrifice Ring.",
				"When your HP reaches 0, the ring is destroyed and your HP is restored to 50% (Not confirmed!)",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2654: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shinobi Sash",
			identifiedResourceName: "\xbd\xc3\xb3\xeb\xba\xf1\xc0\xc7\xc7\xe3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A sash that is said to have been owned by a renown ninja.",
				"With its embroidered emblem of nobility, it seems to contain some strange and mysterious power.",
				"STR + 1, AGI + 1, MDEF + 1",
				"[^000088+ Ninja Suit^000000]",
				"Maximum HP + 300",
				"Reduce SP Consumption of skills by 20%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Thief Class, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2655: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bloodied Shackle Ball",
			identifiedResourceName: "\xc7\xc7\xb9\xaf\xc0\xba\xc3\xb6\xb1\xb8",
			identifiedDescriptionName: [
				"A heavy steel ball attached to a pair of shackles that was used to prevent prisoners from escaping in an earlier era.",
				"However, prisoners outfitted with this ball managed to use it as a weapon.",
				"[^000088+ Shackles^000000]",
				"ATK + 50",
				"Reduces damage from Zombie Prisoner and Skeleton Prisoner by 20%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 400^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2656: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Armor Charm",
			identifiedResourceName: "\xc7\xcf\xc0\xcc\xc6\xdb\xc3\xbc\xc0\xce\xc0\xfa",
			identifiedDescriptionName: [
				"A mysterious, ancient artifact that can endow a normal armor with great defensive power, although it does make the wearer feel very sluggish.",
				"Maximum HP + 50",
				"[^000088+ Padded Armor^000000]",
				"DEF + 5",
				"Maximum HP + 150",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2657: {
			unidentifiedDisplayName: "Laboratory Permit",
			unidentifiedResourceName: "\xc3\xe2\xc0\xd4\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Laboratory Permit",
			identifiedResourceName: "\xc3\xe2\xc0\xd4\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"A pass for Regenschirm Laboratory employees that should allow you access around the lab.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2658: {
			unidentifiedDisplayName: "Nile Rose",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcf\xb7\xce\xc1\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Nile Rose",
			identifiedResourceName: "\xb3\xaa\xc0\xcf\xb7\xce\xc1\xee",
			identifiedDescriptionName: [
				"A bracelet on which the Hellion's jewel is affixed in order to seal its evil power.",
				"Maximum HP + 10",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2659: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc5\xac\xb8\xb3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vesper Core 01",
			identifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			identifiedDescriptionName: [
				"An object which seems to be part of the Vesper.",
				"Possesses a mysterious power that enables its owner to clear his mind.",
				"MDEF + 3, INT + 2, Maximum SP + 5%",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Rebirth 2nd Class or above^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2660: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc5\xac\xb8\xb3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vesper Core 02",
			identifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			identifiedDescriptionName: [
				"An object which seems to be part of the Vesper.",
				"Possesses a mysterious power that grants great strength to its owner.",
				"MDEF + 3, STR + 3, ATK + 10",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Rebirth 2nd Class or above^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2661: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc5\xac\xb8\xb3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vesper Core 03",
			identifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			identifiedDescriptionName: [
				"An object which seems to be part of the Vesper.",
				"Possesses a mysterious power that grants agility to the one who wears it.",
				"MDEF + 3, AGI + 3, Flee Rate + 5",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Rebirth 2nd Class or above^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2662: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc5\xac\xb8\xb3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vesper Core 04",
			identifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			identifiedDescriptionName: [
				"An object which seems to be part of the Vesper.",
				"Possesses a mysterious power that endows the owner with greater accuracy and dexterity.",
				"MDEF + 3, DEX + 3, HIT + 10",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Rebirth 2nd Class or above^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2663: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gauntlet Of Accuracy",
			identifiedResourceName: "\xb8\xed\xc1\xdf\xc0\xc7\xb0\xc7\xc6\xb2\xb8\xb4",
			identifiedDescriptionName: [
				"A glove made from a strange material. It allows you to hold you're weapon with a firm grip, increasing the strength and accuracy of attacks.",
				"HIT + 15, STR + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 90^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2664: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Belt Scarf",
			identifiedResourceName: "\xba\xa7\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"When it comes to having both good looks and functionality, this is the way to go.",
				"DEX + 2, INT + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2665: {
			unidentifiedDisplayName: "Exorcising Ring",
			unidentifiedResourceName: "\xc5\xf0\xb8\xb6\xc0\xc7\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Exorcising Ring",
			identifiedResourceName: "\xc5\xf0\xb8\xb6\xc0\xc7\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A symbol of faith to servants of God, this ring possesses a holy power that can repel evil.",
				"Receive 5% more Experience Points from Undead and Demon monsters.",
				"MDEF + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2666: {
			unidentifiedDisplayName: "Lantern of Hope",
			unidentifiedResourceName: "\xb5\xee\xc0\xdc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lantern of Hope",
			identifiedResourceName: "\xb5\xee\xc0\xdc",
			identifiedDescriptionName: [
				"A coconut oil lamp in which a dim light that repels evil is burning.",
				"STR + 2, Add a 10% resistance against ^880000Blind^000000.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2667: {
			unidentifiedDisplayName: "Renown Archer's Gloves",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Renown Archer's Gloves",
			identifiedResourceName: "\xb8\xed\xbb\xe7\xbc\xf6\xc0\xc7\xc0\xe5\xb0\xa9",
			identifiedDescriptionName: [
				"A pair of gloves that enhance the wearer's concentration, enabling him to perform amazing feats of hitting accuracy.",
				"HIT + 5, Critical Rate + 5, DEX + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2668: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Woman Glory",
			identifiedResourceName: "\xba\xea\xb8\xae\xbd\xcc\xb0\xa1\xb8\xe0",
			identifiedDescriptionName: [
				"Celebration item for Woman's day.",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"All Stats + 3, SP Recovery + 20%",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 94^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2669: {
			unidentifiedDisplayName: "RJC Necklace",
			unidentifiedResourceName: "\xb1\xdd\xb8\xf1\xb0\xc9\xc0\xcc\x5f",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "RJC Necklace",
			identifiedResourceName: "\xb1\xdd\xb8\xf1\xb0\xc9\xc0\xcc\x5f",
			identifiedDescriptionName: [
				"A gold necklace with the letters \"RJC\" engraved on it. Made to celebrate some event.",
				"Maximum SP + 10",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2670: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring of Longing",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A ring that is made from a mind longing for friend.",
				"It shines beautifully with the power of two people's friendship.",
				"Flee Rate + 5",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2671: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bow Thimble",
			identifiedResourceName: "\xc8\xb0\xb0\xf1\xb9\xab",
			identifiedDescriptionName: [
				"A finger accessory for archers which helps improve their accuracy.",
				"Ranged Attack Damage + 3%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Archer Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2672: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "3rd Anniversary Celebration Ring",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A ring with ^000088\"3rd Anniversary\"^000000 engraved on it.",
				"This ring will be ^000088destroyed^000000 when the 3rd anniversary event ends.",
				"All Stats + 5",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2673: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xbc\xbc\xc0\xcc\xc7\xc1\xc6\xbc\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Warrior's Shining Ring",
			identifiedResourceName: "\xbc\xbc\xc0\xcc\xc7\xc1\xc6\xbc\xb8\xb5",
			identifiedDescriptionName: [
				"The one who bears this ring will gain powers that he did not possess before.",
				"ATK + 10, SP Recovery + 3%",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2674: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring of Honor",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A special gold ring engraved with the words \"Warrior of Rune Midgard\".",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2675: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lord Ring",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"Lord Ring",
				"...",
				"All Stats + 3",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2676: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hunter's Earring",
			identifiedResourceName: "\xc0\xcc\xbe\xee\xb8\xb5",
			identifiedDescriptionName: [
				"A special Earring given for a mission to get a Crystal monster.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2677: {
			unidentifiedDisplayName: "Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spiritual Ring",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			identifiedDescriptionName: [
				"A beautiful ring which contains the spirits of the deceased.",
				"It is said to be able to amplify magic if it comes in contact with spiritual power.",
				"INT + 2, DEX + 1",
				"[^000088+ Wizardry Staff or Soul Staff^000000]",
				"MATK + 6%, DEX + 2",
				"Reduce Casting Time by Wizardry Staff or Soul Staff Refine Rate.",
				"[^000088+ Clip or Rosary^000000]",
				"Inflict 50% more damage against Undead monster with Heal.",
				"Inflict 30% more damage with ^008800Magnus Exorcismus^000000.",
				"SP Recovery + 9%",
				"[^000088Divine Cross & Spiritual Ring Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2678: {
			unidentifiedDisplayName: "Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring Of Flame Lord",
			identifiedResourceName: "\xb8\xb5\xbf\xc0\xba\xea\xc7\xc3\xb7\xb9\xc0\xd3\xb7\xce\xb5\xe5",
			identifiedDescriptionName: [
				"The power of a fire spirit king resides in this ring. The power of the spirit flows through you when you equip this ring.",
				"It can be paired with the Ring of Resonance.",
				"STR + 2, VIT + 1",
				"ATK + 15",
				"Increases resistance to ^FF0000Fire^000000 Property by 10%.",
				"Add a ?% chance of auto casting ^008800All kind of Skills^000000 when attacking.",
				"[^000088+ Ring of Resonance^000000]",
				"The chance of auto casting increases.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Rebirth 2nd Class or above^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2679: {
			unidentifiedDisplayName: "Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring Of Resonance",
			identifiedResourceName: "\xb8\xb5\xbf\xc0\xba\xea\xb7\xb9\xc1\xb6\xb3\xcd\xbd\xba",
			identifiedDescriptionName: [
				"The pair to the Ring of Flame Lord. The two rings resonate togeather, and its said that their abilities are strengthened.",
				"AGI + 2, VIT + 1",
				"MDEF + 2",
				"Add a ?% chance of auto casting ^008800All kind of Skills^000000 when attacking.",
				"[^000088Ring of Flame Lord & Ring of Resonance Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 2^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Rebirth 2nd Class or above^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2680: {
			unidentifiedDisplayName: "Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lesser Elemental Ring",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			identifiedDescriptionName: [
				"A ring that holds the power of lesser elemental spirits, but its true effect is unknown.",
				"All Stats + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2681: {
			unidentifiedDisplayName: "Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Republic Anniversary Ring",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"It's a special ring to celebrate Republic Day.",
				"All Status + 3",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2682: {
			unidentifiedDisplayName: "Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring Of Water",
			identifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A mysterious ring that is blessed by the Spirit of Water.",
				"Add a 5% resistance against ^0000FFWater^000000 Property monsters.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2683: {
			unidentifiedDisplayName: "Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring Of Fire",
			identifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A mysterious ring that is blessed by the Spirit of Fire.",
				"Add a 5% resistance against ^FF0000Fire^000000 Property monsters.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2684: {
			unidentifiedDisplayName: "RIng",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring Of Wind",
			identifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A mysterious ring that is blessed by the Spirit of Wind.",
				"Add a 5% resistance against ^009900Wind^000000 Property monsters.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2685: {
			unidentifiedDisplayName: "Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring Of Earth",
			identifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A mysterious ring that is blessed by the Spirit of Earth.",
				"Add a 5% resistance against ^996600Earth^000000 Property monsters.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2686: {
			unidentifiedDisplayName: "Elven Ears",
			unidentifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Elven Ears",
			identifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A fashion accessory that gives ears that vaunted, elvish look.",
				"For some, it is an incredible turn-on.",
				"INT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 73
		},

		2687: {
			unidentifiedDisplayName: "Steel Flower",
			unidentifiedResourceName: "\xb2\xc9\xc0\xd9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Steel Flower",
			identifiedResourceName: "\xb2\xc9\xc0\xd9",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A delicate flower that is placed in the mouth for romantic seduction.",
				"Reduces damage from Plant monster by 3%.",
				"Bonus : Autocasts ^008800Level 1 Status Recovery^000000 when the user receives Physical Damage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 56
		},

		2688: {
			unidentifiedDisplayName: "Critical Ring",
			unidentifiedResourceName: "\xc5\xa9\xb8\xae\xc6\xbc\xc4\xc3\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Critical Ring",
			identifiedResourceName: "\xc5\xa9\xb8\xae\xc6\xbc\xc4\xc3\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An esoteric ring which enables its wearer to amplify his hidden power.",
				"Critical Rate + 10%",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2689: {
			unidentifiedDisplayName: "Earring",
			unidentifiedResourceName: "\xc0\xcc\xbe\xee\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Earring",
			identifiedResourceName: "\xc0\xcc\xbe\xee\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"Jewelry, worn on the earlobe, that increases its wearer's intelligence.",
				"INT + 3",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2690: {
			unidentifiedDisplayName: "Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Ring",
			identifiedResourceName: "\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A metal band worn on the finger which strangely increases its wearer's strength.",
				"STR + 4",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2691: {
			unidentifiedDisplayName: "Necklace",
			unidentifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Necklace",
			identifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A necklace once worn by an ancient queen that enhances the vitality of whoever wears it.",
				"VIT + 4",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2692: {
			unidentifiedDisplayName: "Glove",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glove",
			identifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A specially made covering worn on the hands to improve one's grip on weapons.",
				"DEX + 4",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2693: {
			unidentifiedDisplayName: "Brooch",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Brooch",
			identifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"Mystic jewelry that attaches to clothing by means of a pin.",
				"AGI + 4",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2694: {
			unidentifiedDisplayName: "Rosary",
			unidentifiedResourceName: "\xb7\xce\xc0\xda\xb8\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Rosary",
			identifiedResourceName: "\xb7\xce\xc0\xda\xb8\xae",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A string of beads used to count the number of repetitions that prayers are recited.",
				"LUK + 4, MDEF + 5",
				"[^000088Rosary & Spiritual Ring Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2695: {
			unidentifiedDisplayName: "Safety Ring",
			unidentifiedResourceName: "\xbc\xbc\xc0\xcc\xc7\xc1\xc6\xbc\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Safety Ring",
			identifiedResourceName: "\xbc\xbc\xc0\xcc\xc7\xc1\xc6\xbc\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A strange ring that curiously raises its wearer's defense.",
				"MDEF + 8",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 8^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2696: {
			unidentifiedDisplayName: "Vesper Core 01",
			unidentifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vesper Core 01",
			identifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An object which seems to be part of the Vesper.",
				"Possesses a mysterious power that enables its owner to clear his mind.",
				"MDEF + 3, INT + 2, Maximum SP + 5%",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2697: {
			unidentifiedDisplayName: "Vesper Core 02",
			unidentifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vesper Core 02",
			identifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An object which seems to be part of the Vesper.",
				"Possesses a mysterious power that grants great strength to its owner.",
				"MDEF + 3, STR + 3, ATK + 10",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2698: {
			unidentifiedDisplayName: "Vesper Core 03",
			unidentifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vesper Core 03",
			identifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An object which seems to be part of the Vesper.",
				"Possesses a mysterious power that grants agility to the one who wears it.",
				"MDEF + 3, AGI + 3, Flee Rate + 5",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2699: {
			unidentifiedDisplayName: "Vesper Core 04",
			unidentifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vesper Core 04",
			identifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An object which seems to be part of the Vesper.",
				"Possesses a mysterious power that endows the owner with greater accuracy and dexterity.",
				"MDEF + 3, DEX + 3, HIT + 10",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2700: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Silk Seal",
			identifiedResourceName: "\xba\xc0\xc0\xce\xc0\xc7\xba\xd3\xc0\xba\xba\xf1\xb4\xdc",
			identifiedDescriptionName: [
				"A red silk with an intention of a woman saint to seal the evil.",
				"[^000088+ Phantom Spear^000000]",
				"It protects you from the chaos effects of the weapon.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Trans Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2701: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orleans's Glove",
			identifiedResourceName: "\xbf\xc0\xb8\xa6\xb7\xb9\xbe\xd3\xc0\xc7\xc0\xe5\xb0\xa9",
			identifiedDescriptionName: [
				"A pair of gloves that was once used by a palace chef. It feels like you can immitate the chef's way of using hand with this glove equipped on.",
				"DEX + 2, MATK + 3%.",
				"[^000088Orlean's Server & Orlean's Gloves Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2702: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bison Horn",
			identifiedResourceName: "\xb5\xe9\xbc\xd2\xc0\xc7\xbb\xd4",
			identifiedDescriptionName: [
				"An accessory made with the horn of a wild buffalo. It gives you the feeling that the power of the wild buffalo is in you.",
				"AGI + 2",
				"[^000088Thorn Shield & Horn of the Buffalo Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2703: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Expert Ring",
			identifiedResourceName: "\xc0\xcd\xbd\xba\xc6\xdb\xc6\xae\xb8\xb5",
			identifiedDescriptionName: [
				"Beings with ultimate power found a way to maximize their ability based on their clear understanding of themselves.",
				"But be aware that there are pros and cons.",
				"Reduces after-cast delay by 5% and increases SP taken by all skills by 5%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2704: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Accessories",
			identifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			identifiedDescriptionName: [
				"A special Accessory made of a pure gold mixture. According to legend you will gain magical strength whilst wearing this.",
				"MDEF + 4",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 4^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2705: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Accessories",
			identifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			identifiedDescriptionName: [
				"A special Accessory made of a pure gold mixture. According to legend you will gain magical strength whilst wearing this.",
				"Add a chance of gaining Fire Cracker each time a monster is killed.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2706: {
			unidentifiedDisplayName: "Arrest Handcuffs",
			unidentifiedResourceName: "\xbc\xf6\xb0\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Arrest Handcuffs",
			identifiedResourceName: "\xbc\xf6\xb0\xa9",
			identifiedDescriptionName: [
				"^000088Cash Items^000000",
				"Arrest handcuffs. It will not be able to destroy very hardly. The hazard which binds the people who is dangerous it is used.",
				"Class :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2707: {
			unidentifiedDisplayName: "GUSLI",
			unidentifiedResourceName: "\xb7\xf9\xc6\xae",
			unidentifiedDescriptionName: [
				"This musical instrument was from a myterious aged man. It sounds very beautiful.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			identifiedDisplayName: "GUSLI",
			identifiedResourceName: "\x47\x55\x53\x4c\x49",
			identifiedDescriptionName: [
				"This musical instrument was from a myterious aged man. It sounds very beautiful.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2708: {
			unidentifiedDisplayName: "Chinese Handicraft",
			unidentifiedResourceName: "\xb8\xb6\xc6\xd0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chinese Handicraft",
			identifiedResourceName: "\xb8\xb6\xc6\xd0",
			identifiedDescriptionName: [
				"Add a 30% chance of auto casting ^008800Level 5 Fire Bolt^000000 on the enemy when attacking.",
				"These Item can not be traded or given to other players.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2709: {
			unidentifiedDisplayName: "5th Anniversary Coin",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "5th Anniversary Coin",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"A party coin to celebrate the 6th Anniversary of Ragnarok Lucky Coin.",
				"ATK + 5%, MATK 5%",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2710: {
			unidentifiedDisplayName: "Bloody Iron Ball",
			unidentifiedResourceName: "\xc7\xc7\xb9\xaf\xc0\xba\xc3\xb6\xb1\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bloody Iron Ball",
			identifiedResourceName: "\xc7\xc7\xb9\xaf\xc0\xba\xc3\xb6\xb1\xb8",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A heavy steel ball attached to a pair of shackles that was used to prevent prisoners from escaping in an earlier era.",
				"However, prisoners outfitted with this ball managed to use it as a weapon.",
				"ATK + 30",
				"[^000088Shackles & Bloodied Shackle Ball Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2711: {
			unidentifiedDisplayName: "Spiritual Ring",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spiritual Ring",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A beautiful ring which contains the spirits of the deceased.",
				"It is said to be able to amplify magic if it comes in contact with spiritual power.",
				"INT + 2, DEX + 2",
				"[^000088+ Wizardry Staff or Soul Staff^000000]",
				"MATK + 6%, DEX + 2",
				"Reduce Casting Time by Wizardry Staff or Soul Staff Refine Rate.",
				"[^000088+ Clip or Rosary^000000]",
				"Inflict 50% more damage against Undead monster with Heal.",
				"Inflict 30% more damage with ^008800Magnus Exorcismus^000000.",
				"SP Recovery + 9%",
				"[^000088Divine Cross & Spiritual Ring Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2712: {
			unidentifiedDisplayName: "Ragnarok Limited Edition",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ragnarok Limited Edition",
			identifiedResourceName: "\xbe\xd6\xc0\xe5\xc6\xc7\xba\xcf",
			identifiedDescriptionName: [
				"...",
				"AGI +3, VIT + 3, LUK + 3",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2713: {
			unidentifiedDisplayName: "Certificate",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"Accomplished a quest is not a possibility of receiving the case request which it will have in the certificate again.",
				"The time passes and disappears naturally with the paper of the quality of material which it is drawn up.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Certificate",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"Accomplished a quest is not a possibility of receiving the case request which it will have in the certificate again.",
				"The time passes and disappears naturally with the paper of the quality of material which it is drawn up.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2714: {
			unidentifiedDisplayName: "Marvelous Pendant",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Marvelous Pendant",
			identifiedResourceName: "\xbd\xc5\xb1\xe2\xc7\xd1\xc6\xd2\xb4\xf8\xc6\xae",
			identifiedDescriptionName: [
				"...",
				"...",
				"...",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2715: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Skull Ring",
			identifiedResourceName: "\xc7\xd8\xb0\xf1\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A weird ring adorned with a skull in which the words, \"^990000Forever, until death...^000000\" are engraved.",
				"Giving this as a gift might send a mixed message.",
				"Reduces damage from Undead monster by 1%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2716: {
			unidentifiedDisplayName: "Glove",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Librarian Glove",
			identifiedResourceName: "\xbb\xe7\xbc\xad\xc0\xc7\xc0\xe5\xb0\xa9",
			identifiedDescriptionName: [
				"A glove which is favorite item among librarians. SP + 20",
				"[^000088+ Book Type + Pocket Watch^000000]",
				"INT + 5, HP + 700, Attack Speed + 5%",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Wizard, Sage, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2717: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pocket Watch",
			identifiedResourceName: "\xc8\xb8\xc1\xdf\xbd\xc3\xb0\xe8\x5f",
			identifiedDescriptionName: [
				"A silver-colored watch connected with chain.",
				"[^000088+ Eye Patch + Memory Book^000000]",
				"HP and SP Recovery + 15%, MATK + 7%",
				"[^000088Librarian Gloves & Book Type & Pocket Watch Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Mage Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2718: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lunatic Brooch",
			identifiedResourceName: "\xb7\xe7\xb3\xaa\xc6\xbd\xba\xea\xb7\xce\xc4\xa1",
			identifiedDescriptionName: [
				"A crescent-shaped golden shining brooch.",
				"[^000088+ Luna Bow^000000]",
				"DEX + 1, SP + 50, SP Recovery + 10%",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Archer Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2719: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Iron Wrist",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbe\xf0\xb8\xae\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"It will make with the steel and the wrist protection unit which is healthy.",
				"Increase damage with skill ^008800Bash^000000 and ^008800Mammonite^000000 by 6%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Swordman, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2720: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Medal of Honor",
			identifiedResourceName: "\xc8\xc6\xc0\xe5\x5f\xb0\xcb\xbb\xe7",
			identifiedDescriptionName: [
				"Battlegrounds Reward Item.",
				"ATK + 5%, MATK + 5%, HIT + 10, Maximum HP + 500, Maximum SP + 50",
				"Add 1% chance of auto casting ^880000Stun^000000 on the enemy when attacking.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Swordman Class, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2721: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Medal of Honor",
			identifiedResourceName: "\xc8\xc6\xc0\xe5\x5f\xb5\xb5\xb5\xcf",
			identifiedDescriptionName: [
				"Battlegrounds Reward Item.",
				"ATK + 5%, MATK + 5%, Flee Rate + 10, Maximum HP + 300, Maximum SP + 80",
				"Add 1% chance of auto casting ^880000Poison^000000 on the enemy when attacking.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2722: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Medal of Honor",
			identifiedResourceName: "\xc8\xc6\xc0\xe5\x5f\xba\xb9\xbb\xe7",
			identifiedDescriptionName: [
				"Battlegrounds Reward Item.",
				"ATK + 5%, MATK + 5%, MDEF + 6, Maximum HP + 600",
				"Add 1% chance of auto casting ^880000Silence^000000 on the enemy when attacking.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2723: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Medal of Honor",
			identifiedResourceName: "\xc8\xc6\xc0\xe5\x5f\xb8\xb6\xb9\xfd\xbb\xe7",
			identifiedDescriptionName: [
				"Battlegrounds Reward Item.",
				"ATK + 5%, MATK + 5%, DEF + 6, Maximum HP + 600",
				"Add 1% chance of auto casting ^880000Stone^000000 on the enemy when attacking.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2724: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Medal of Honor",
			identifiedResourceName: "\xc8\xc6\xc0\xe5\x5f\xb1\xc3\xbc\xf6",
			identifiedDescriptionName: [
				"Battlegrounds Reward Item.",
				"ATK + 5%, MATK + 5%, Critical Rate + 10, Maximum HP + 300, Maximum SP + 80",
				"Add 1% chance of auto casting ^880000Blind^000000 on the enemy when attacking.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Archer Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2725: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Medal of Honor",
			identifiedResourceName: "\xc8\xc6\xc0\xe5\x5f\xbb\xf3\xc0\xce",
			identifiedDescriptionName: [
				"Battlegrounds Reward Item.",
				"ATK + 5%, MATK + 5%, Attack Speed + 10%, Maximum HP + 500, Maximum SP + 50",
				"Add 1% chance of auto casting ^880000Curse^000000 on the enemy when attacking.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2726: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Icarus Wings ",
			identifiedResourceName: "\xc0\xcc\xc4\xab\xb7\xe7\xbd\xba\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"A brooch shaped like beautiful white wings for the Icarus members.",
				"SP + 50, DEX + 3",
				"[^000088Renown Archer's Scarf & Feather of Icarus Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Sniper^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2727: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bowman Scarf",
			identifiedResourceName: "\xb8\xed\xb1\xc3\xc0\xc7\xbd\xba\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"A nice arm wrapping red scarf. SP + 50, DEX + 3",
				"[^000088+ Feather of Icarus^000000]",
				"Reduce SP Consumption of skills by 25%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Sniper^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2728: {
			unidentifiedDisplayName: "Cursed Hand",
			unidentifiedResourceName: "\xb2\xf6\xc0\xfb\xc0\xcc\xb4\xc2\xb9\xb0\xb0\xa5\xc4\xfb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cursed Hand",
			identifiedResourceName: "\xc0\xfa\xc1\xd6\xb9\xde\xc0\xba\xbc\xd5",
			identifiedDescriptionName: [
				"A dried up hand drained of all life. You feel a mysterious power coming from a marking on it.",
				"When attacking there is a 3% chance to autocast ^008800Level 1 Critical Wounds^000000.",
				"HIT + 10, HP Recovery + 20%",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2729: {
			unidentifiedDisplayName: "Diabolus Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Diabolus Ring",
			identifiedResourceName: "\xb5\xf0\xbe\xc6\xba\xbc\xb7\xe7\xbd\xba\xb8\xb5",
			identifiedDescriptionName: [
				"The mysterious one letter engraves, the position ring. It will dazzle the eye of the people as it is beautiful.",
				"Maximum HP + 100, Maximum SP + 100, Increases the effectiveness of heal by 5%.",
				"Increases Physical Damage when facing Satan Morroc by 10%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Applicable Job :^777777 Rebirth 2nd Class or above^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2730: {
			unidentifiedDisplayName: "Seal of Continental Guard",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Seal of Continental Guard",
			identifiedResourceName: "\xc4\xc1\xc6\xbc\xb3\xd9\xc5\xbb\xb0\xa1\xb5\xe5\xc0\xce\xc0\xe5",
			identifiedDescriptionName: [
				"A royal gift to the member of Continental Guard.",
				"Maximum HP + 50, Attack Speed + 3%",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2731: {
			unidentifiedDisplayName: "Rune Spellstone",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rune Spellstone",
			identifiedResourceName: "\xb7\xe9\xb9\xae\xc0\xda\xc1\xd6\xb9\xae\xbc\xae",
			identifiedDescriptionName: [
				"One of the royal gift which is given to the member of Morocc Dispatches.",
				"Maximum SP + 50, Reduce Casting Time by 1%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2732: {
			unidentifiedDisplayName: "Death Loop",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Death Loop",
			identifiedResourceName: "\xc1\xd7\xc0\xbd\xc0\xc7\xb0\xed\xb8\xae",
			identifiedDescriptionName: [
				"One of the royal gift which is given to the member of Morocc Dispatches.",
				"Critical Rate + 5",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2733: {
			unidentifiedDisplayName: "Sheriff Badge",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xc8\xd6\xc0\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sheriff Badge",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xc8\xd6\xc0\xe5",
			identifiedDescriptionName: [
				"A badge rewarded to honorable warriors.",
				"ATK + 5%, MATK + 5%,",
				"CRI + 10, MaxHP + 300,",
				"MaxSP + 80. ",
				"Has a chance of inflicting the Darkness status when receiving long ranged physical attacks.",
				"Class : ^777777Accessory^000000",
				"Defense : ^7777771^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2734: {
			unidentifiedDisplayName: "Directive",
			unidentifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"^ff0000It will be disappeared after 1 hour.^000000",
				"A directive letter says about the mission from canyon battle.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Directive",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A directive letter about the mission from the canyon battle.",
				"^ff0000It will disappear after 1 hour.^000000",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2735: {
			unidentifiedDisplayName: "Directive",
			unidentifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"^ff0000It will be disappeared after 1 hour.^000000",
				"A directive letter says about the mission from the arena battle.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Directive",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A directive letter about the mission from the arena battle.",
				"^ff0000It will disappear after 1 hour.^000000",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2736: {
			unidentifiedDisplayName: "Navel Ring",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Navel Ring",
			identifiedResourceName: "\xb9\xe8\xb2\xc5\xc2\xee",
			identifiedDescriptionName: [
				"...",
				"DEX + 3, LUK + 3, MDEF + 2",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Jobs except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2737: {
			unidentifiedDisplayName: "Foot Ring",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Foot Ring",
			identifiedResourceName: "\xb9\xdf\xc2\xee",
			identifiedDescriptionName: [
				"...",
				"Vit + 3, Increases HP + 10%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Jobs except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2738: {
			unidentifiedDisplayName: "Shiny Coin",
			unidentifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shiny Coin",
			identifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"...",
				"ATK 6%, MATK + 6%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2739: {
			unidentifiedDisplayName: "Ordinary Coin",
			unidentifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ordinary Coin",
			identifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"...",
				"ATK 5%, MATK + 5%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2740: {
			unidentifiedDisplayName: "Rusty Coin",
			unidentifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rusty Coin",
			identifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"...",
				"ATK 3%, MATK + 3%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2741: {
			unidentifiedDisplayName: "All In One Ring",
			unidentifiedResourceName: "\xb8\xb5\xbf\xc0\xba\xea\xb7\xb9\xc1\xb6\xb3\xcd\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "All In One Ring",
			identifiedResourceName: "\xb8\xb5\xbf\xc0\xba\xea\xb7\xb9\xc1\xb6\xb3\xcd\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A Jewelry Ring that contains a 3 Seal Magic Spell.",
				"Enables use of ^008800Level 1 Heal^000000 and ^008800Level 1 Teleport^000000.",
				"Casting cannot be interrupted.",
				"ALL STATUS + 1. Increases casting time by 10%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2742: {
			unidentifiedDisplayName: "Lucky Clip",
			unidentifiedResourceName: "\xc5\xac\xb8\xb3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lucky Clip",
			identifiedResourceName: "\xc5\xac\xb8\xb3",
			identifiedDescriptionName: [
				"A great opportunity to bring their wearers a legendary clip.",
				"Increases 50% drop item from the monster.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2743: {
			unidentifiedDisplayName: "Angelic Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angelic Ring",
			identifiedResourceName: "\xbe\xd8\xc1\xa9\xb8\xaf\xb8\xb5",
			identifiedDescriptionName: [
				"A ring that contains holy power. It responds to specific abilities and strengthens them.",
				"INT + 2, DEX + 1",
				"When using Heal, Aid Potion, Sanctuary, there is a chance for 3 seconds that gives you the ability + 20% Heal more.",
				"MDEF + 2",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans 2nd Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2744: {
			unidentifiedDisplayName: "Sprint Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sprint Ring",
			identifiedResourceName: "\xbd\xba\xc7\xc1\xb8\xb0\xc6\xae\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"When wearing the ring you feel as though you want to go all out until you can't anymore.",
				"However, there are risks to using it.",
				"Reduced casting time by 10%. Reduces the aftercast delay of your skills by 5%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans 2nd Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2745: {
			unidentifiedDisplayName: "Pinguicula Corsage",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pinguicula Corsage",
			identifiedResourceName: "\xc7\xc9\xb1\xcd\xc5\xa7\xb6\xf3\xc4\xda\xb8\xa3\xbb\xe7\xc1\xd6",
			identifiedDescriptionName: [
				"A small corsage in the shape of a Pinguicula.",
				"MDEF + 2, SP + 25",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans 2nd Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2746: {
			unidentifiedDisplayName: "Cold Heart",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cold Heart",
			identifiedResourceName: "\xb3\xc3\xc1\xa4\xc7\xd1\xb8\xb6\xc0\xbd",
			identifiedDescriptionName: [
				"An essential asset to assassins. There's rumored to be drops of blood on the end of the sword.",
				"AGI + 3",
				"[^000088Thief Ring & Cold Heart Equip Set^000000]",
				"Increases damage inflicted on Medium size monster by 8%.",
				"Increases Attack speed by refine rate of your weapon.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Assassin Cross^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2747: {
			unidentifiedDisplayName: "Black Cat",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Cat",
			identifiedResourceName: "\xba\xed\xb7\xa2\xc4\xb9",
			identifiedDescriptionName: [
				"A pendant with markings highly recognized in the underground as that of the rogue guild.",
				"DEX + 3",
				"[^000088Black Cat & Thief Ring Equip Set^000000]",
				"Increases damage inflicted on Large size monster by 8%.",
				"Increases HIT and casting time by refine level of your weapon.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Stalker^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2748: {
			unidentifiedDisplayName: "Cursed Star",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cursed Star",
			identifiedResourceName: "\xc4\xbf\xc1\xee\xb5\xe5\xbd\xba\xc5\xb8",
			identifiedDescriptionName: [
				"A craftsman born under a cursed star built this necklace to free himself from the curse.",
				"It seems as though this has been refined repeatedly to keep the seal intact.",
				"DEX + 2, LUK - 1, MDEF + 3",
				"When equipped, HP -50 every 10 seconds.",
				"When unequipped, you will lose 300 HP",
				"Add a 2% chance inflict ^880000Curse^000000 on the enemy when received long range attack.",
				"[^000088Cursed Star & Cursed Dryer Equip Set^000000]",
				"Adds 2% chance inflict ^880000Curse^000000 on the enemy. ATK + 25.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 84^000000",
				"Applicable Job :^777777 Trans Archer Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2749: {
			unidentifiedDisplayName: "Linen Glove",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Linen Glove",
			identifiedResourceName: "\xb8\xae\xb3\xd9\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"A special glove made from new light composite materials.",
				"AGI + 2, DEX + 1, MDEF + 1",
				"[^000088Linen Glove & Refined Tights Equip Set^000000]",
				"Perfect Dodge + 5",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 12^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Trans 2nd Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2750: {
			unidentifiedDisplayName: "Midsummer Night's Dream",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Midsummer Night's Dream",
			identifiedResourceName: "\xc7\xd1\xbf\xa9\xb8\xa7\xb9\xe3\xc0\xc7\xb2\xde",
			identifiedDescriptionName: [
				"...",
				"...",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Novice Class, Mage Class, Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2751: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Academy Badge",
			identifiedResourceName: "\xbe\xc6\xc4\xab\xb5\xa5\xb9\xcc\xb9\xee\xc1\xf6",
			identifiedDescriptionName: [
				"The first process should be able to complete the first accessories",
				"to complete the process of the sign.",
				"If the base level is less than or equal to 79, MaxHP + 400, MaxSP + 200",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2752: {
			unidentifiedDisplayName: "Praccsinos",
			unidentifiedResourceName: "\xb2\xc9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Praccsinos",
			identifiedResourceName: "\xb2\xc9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"...",
				"ATK + 5%, MATK + 5%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2753: {
			unidentifiedDisplayName: "Neutral Ring",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Neutral Ring",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Neutral Monster^000000.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2754: {
			unidentifiedDisplayName: "Hallow Ring",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hallow Ring",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Undead Monster^000000.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2755: {
			unidentifiedDisplayName: "Clamorous Ring",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Clamorous Ring",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Brute Monster^000000.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2756: {
			unidentifiedDisplayName: "Chemical Ring",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chemical Ring",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Plant Monster^000000.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2757: {
			unidentifiedDisplayName: "Insecticide Ring",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Insecticide Ring",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Insect Monster^000000.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2758: {
			unidentifiedDisplayName: "Fisher Ring",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fisher Ring",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Fish Monster^000000.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2759: {
			unidentifiedDisplayName: "Decussate Ring",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Decussate Ring",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Demon Monster^000000.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2760: {
			unidentifiedDisplayName: "Bloody Ring",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bloody Ring",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088DemiHuman Monster^000000.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2761: {
			unidentifiedDisplayName: "Satanic Ring",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Satanic Ring",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Angel Monster^000000.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2762: {
			unidentifiedDisplayName: "Dragon Ring",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dragon Ring",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Dragon Monster^000000.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2763: {
			unidentifiedDisplayName: "Neo Skull Ring",
			unidentifiedResourceName: "\xc7\xd8\xb0\xf1\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Neo Skull Ring",
			identifiedResourceName: "\xc7\xd8\xb0\xf1\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A weird ring adorned with a skull in which the words, \"^990000Forever, until death...^000000\" are engraved.",
				"ATK + 5%, MATK + 5%",
				"MaxHP + 5%, Increases heal effectiveness by 5%.",
				"Enables use of ^008800Level 1 Sight^000000.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 95^000000",
				"Applicable Job :^777777 Every Jobs except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2764: {
			unidentifiedDisplayName: "Small Fishing Rod",
			unidentifiedResourceName: "\xb7\xce\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Small Fishing Rod",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xc3\xa4\xc2\xef",
			identifiedDescriptionName: [
				"Fishing Rods with small sized.",
				"Reduces casting duration for 3 seconds.",
				"Class :^777777 Fishing Rod^000000",
				"Weight :^777777 25^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2765: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Figure",
			identifiedResourceName: "\xc7\xc7\xb1\xd4\xbe\xee",
			identifiedDescriptionName: [
				"A figure made representing the Novice Class. If you look at it, somehow you feel energized.",
				"MaxHP + 70.",
				"[^008800Novice Class^000000]",
				"MaxHP + 30.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2766: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Swordman Figure",
			identifiedResourceName: "\xb0\xcb\xbb\xe7\xc7\xc7\xb1\xd4\xbe\xee",
			identifiedDescriptionName: [
				"A figure made representing the Swordsman Class.",
				"VIT+ 1.",
				"[^008800Swordsman Class^000000]",
				"DEF + 2.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2767: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Acolyte Figure",
			identifiedResourceName: "\xba\xb9\xbb\xe7\xc7\xc7\xb1\xd4\xbe\xee",
			identifiedDescriptionName: [
				"A figure made representing the Acolyte Class.",
				"INT+ 1.",
				"[^008800Acolyte Class^000000]",
				"SP + 50.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2768: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mage Figure",
			identifiedResourceName: "\xb8\xb6\xbc\xfa\xbb\xe7\xc7\xc7\xb1\xd4\xbe\xee",
			identifiedDescriptionName: [
				"A figure made representing the Magician Class.",
				"INT + 1.",
				"[^008800Magician Class^000000]",
				"Recovery SP + 5%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2769: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Archer Figure",
			identifiedResourceName: "\xb1\xc3\xbc\xf6\xc7\xc7\xb1\xd4\xbe\xee",
			identifiedDescriptionName: [
				"A figure made representing the Archer Class.",
				"DEX + 1.",
				"[^008800Archer Class^000000]",
				"ATK + 10.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2770: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Thief Figure",
			identifiedResourceName: "\xb5\xb5\xb5\xcf\xc7\xc7\xb1\xd4\xbe\xee",
			identifiedDescriptionName: [
				"A figure made representing the Thief Class.",
				"AGI + 1.",
				"[^008800Thief Class^000000]",
				"ASPD + 3%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2771: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Merchant Figure",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc7\xc7\xb1\xd4\xbe\xee",
			identifiedDescriptionName: [
				"A figure made representing the Merchant Class.",
				"STR + 1.",
				"[^008800Merchant Class^000000]",
				"CRIT + 5.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2772: {
			unidentifiedDisplayName: "Glorious Ring",
			unidentifiedResourceName: "\xb8\xf0\xb8\xa3\xc7\xc7\xbc\xc5\xbd\xba\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Ring",
			identifiedResourceName: "\xb8\xf0\xb8\xa3\xc7\xc7\xbc\xc5\xbd\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"Increases damage against ^FF0000Fire^000000, ^0000FFWater^000000, ^996600Earth^000000, ^009900Wind^000000 Property monsters by 10%.",
				"HP + 300",
				"Attack Speed +5%",
				"Reduce Casting Time by 3%.",
				"Increases Heal, Sanctuary, and Potion Pitcher effectiveness by 5%.",
				"[^000088Battlegrounds Accesories Equip Set^000000]",
				"Attack Power + 5%",
				"Magical Attack + 3%",
				"Increases Heal, Sanctuary, and Potion Pitcher effectiveness by 5%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 81^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2773: {
			unidentifiedDisplayName: "Glorious Public Ring",
			unidentifiedResourceName: "\xb8\xf0\xb8\xa3\xc7\xc7\xbc\xc5\xbd\xba\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Popularized Ring",
			identifiedResourceName: "\xb8\xf0\xb8\xa3\xc7\xc7\xbc\xc5\xbd\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"All status + 2",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 61^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2774: {
			unidentifiedDisplayName: "Glorious Supplied Ring",
			unidentifiedResourceName: "\xb8\xf0\xb8\xa3\xc7\xc7\xbc\xc5\xbd\xba\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Mass-Production Ring",
			identifiedResourceName: "\xb8\xf0\xb8\xa3\xc7\xc7\xbc\xc5\xbd\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"All status + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2775: {
			unidentifiedDisplayName: "Lure",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lure",
			identifiedResourceName: "\xb8\xda\xc0\xef\xc0\xcc\xc1\xf6\xb7\xb7\xc0\xcc",
			identifiedDescriptionName: [
				"Fish lure artificially made.",
				"Reduced casting time for 1 second.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2776: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Adventurer's Trusty Towel",
			identifiedResourceName: "\xc3\xdf\xbe\xef\xc0\xc7\xbc\xf6\xb0\xc7",
			identifiedDescriptionName: [
				"A cool towel which wipes the sweat from your body.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2777: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shaman Ring",
			identifiedResourceName: "\xbb\xfe\xb8\xd5\xb8\xb5",
			identifiedDescriptionName: [
				"Decreased SP Consumption when using the skill by 5%.",
				"[^000088Shaman Earring & Shaman's Coif Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2778: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc0\xcc\xbe\xee\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shaman Earrings",
			identifiedResourceName: "\xbb\xfe\xb8\xd5\xc0\xcc\xbe\xee\xb8\xb5",
			identifiedDescriptionName: [
				"INT + 2.",
				"...",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2779: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xa7\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dark Knight Belt",
			identifiedResourceName: "\xb4\xd9\xc5\xa9\xb3\xaa\xc0\xcc\xc6\xae\xba\xa7\xc6\xae",
			identifiedDescriptionName: [
				"STR + 2. AGI + 1.",
				"[^000088Dark Knight Mask & Dark Knight Glove Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2780: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dark Knight Glove",
			identifiedResourceName: "\xb4\xd9\xc5\xa9\xb3\xaa\xc0\xcc\xc6\xae\xb1\xdb\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"Attack speed + 2% for 10 seconds.",
				"[^000088Dark Knight Belt & Dark Knight Mask Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2781: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Aumdura's Benefit",
			identifiedResourceName: "\xbe\xc6\xbf\xf2\xb5\xce\xb6\xf3\xc0\xc7\xc7\xfd\xc5\xc3",
			identifiedDescriptionName: [
				"ALL STATUS + 1, MDEF + 1.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2782: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"A ring imitating the legendary ring of the Ancient Wise King which used to communicate with an animal.",
				"Rune Midgards's Magical Power, Schubaltzvald's technology, and Arunafeltz's liquistic ability are put together in this ring.",
				"By equipping this ring, you can talk freely with the people of the Other World.",
				"MaxHP + 50, MaxSP + 20.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			identifiedDisplayName: "Ring of the Ancient Wise King",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			identifiedDescriptionName: [
				"A ring imitating the legendary ring of the Ancient Wise King which used to communicate with an animal.",
				"Rune Midgards's Magical Power, Schubaltzvald's technology, and Arunafeltz's liquistic ability are put together in this ring.",
				"By equipping this ring, you can talk freely with the people of the Other World.",
				"MaxHP + 50, MaxSP + 20.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2783: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eye Stone Ring",
			identifiedResourceName: "\xb4\xab\xb1\xb8\xbd\xbd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A ring with a small jewel. At times the jewel looks like an eye that stares back at you.",
				"CRIT + 2, MaxSP + 25.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2784: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Christmas Musicbox",
			identifiedResourceName: "\xc7\xd1\xbf\xa9\xb8\xa7\xb9\xe3\xc0\xc7\xb2\xde",
			identifiedDescriptionName: [
				"A cute music box which contain the singing crystal in it.",
				"Listen carefully, and you can hear Carols.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2785: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orlean's Gloves",
			identifiedResourceName: "\xbf\xc0\xb8\xa6\xb7\xb9\xbe\xd3\xc0\xc7\xc0\xe5\xb0\xa9",
			identifiedDescriptionName: [
				"A pair of gloves that was once used by a palace chef. It feels like you can immitate the chef's way of using hand with this glove equipped on.",
				"DEX + 2, MATK + 3%.",
				"[^000088Orlean's Server & Orlean's Gloves Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2786: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spiritual Ring",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			identifiedDescriptionName: [
				"A beautiful ring which contains the spirits of the deceased.",
				"It is said to be able to amplify magic if it comes in contact with spiritual power.",
				"INT + 2, DEX + 1",
				"[^000088+ Wizardry Staff or Soul Staff^000000]",
				"MATK + 6%, DEX + 2",
				"Reduce Casting Time by Wizardry Staff or Soul Staff Refine Rate.",
				"[^000088+ Clip or Rosary^000000]",
				"Inflict 50% more damage against Undead monster with Heal.",
				"Inflict 30% more damage with ^008800Magnus Exorcismus^000000.",
				"SP Recovery + 9%",
				"[^000088Divine Cross & Spiritual Ring Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2787: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Waterdrop Brooch",
			identifiedResourceName: "\xb9\xb0\xb9\xe6\xbf\xef\xba\xea\xb7\xce\xc4\xa1",
			identifiedDescriptionName: [
				"A brooch crafted from the tears of an Aqua Elemental.",
				"Add a 5% resistance against ^0000FFWater^000000 Property monsters.",
				"MDEF + 2, MaxHP + 1%",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Trans Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2788: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bradium Earring",
			identifiedResourceName: "\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2\xc0\xcc\xbe\xee\xb8\xb5",
			identifiedDescriptionName: [
				"An earing crafted from bradium ore that is unusually warp to the touch.",
				"MATK + 5, INT + 1, DEX + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Trans Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2789: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bradium Ring",
			identifiedResourceName: "\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2\xb8\xb5",
			identifiedDescriptionName: [
				"A very solid ring crafted from bradium ore.",
				"ATK + 5, STR + 1, VIT + 1",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Trans Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2790: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bradium Brooch",
			identifiedResourceName: "\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2\xba\xea\xb7\xce\xc4\xa1",
			identifiedDescriptionName: [
				"A brooch crafted from bradium ore thats always cold to the touch.",
				"FLEE + 4, AGI + 1",
				"If user has 120 base AGI, CRIT + 4.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Trans Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2791: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xc0\xc1\xc1\xc0\xba\xb9\xb0\xb0\xed\xb1\xe2",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fresh Fish",
			identifiedResourceName: "\xb5\xee\xc7\xaa\xb8\xa5\xbb\xfd\xbc\xb1",
			identifiedDescriptionName: [
				"...",
				"HIT + 3.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2792: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring of Flame Lord",
			identifiedResourceName: "\xc7\xc3\xb7\xb9\xc0\xd3\xb7\xce\xb5\xe5\xb8\xb5",
			identifiedDescriptionName: [
				"The power of a fire spirit king resides in this ring. The power of the spirit flows through you when you equip this ring.",
				"It can be paired with the Ring of Resonance.",
				"STR + 2, VIT + 1, ATK + 15.",
				"Increases resistance to ^FF0000Fire^000000 Property by 10%.",
				"Add a ?% chance of auto casting ^008800All kind of Skills^000000 when attacking.",
				"[^000088+ Ring of Resonance^000000]",
				"The chance of auto casting increases.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Rebirth 2nd Class or above^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2793: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring of Resonance",
			identifiedResourceName: "\xb7\xb9\xc1\xb6\xb3\xcd\xbd\xba\xb8\xb5",
			identifiedDescriptionName: [
				"The pair to the Ring of Flame Lord. The two rings resonate togeather, and its said that their abilities are strengthened.",
				"AGI + 2, VIT + 1, MDEF + 2.",
				"Add a ?% chance of auto casting ^008800All kind of Skills^000000 when attacking.",
				"[^000088Ring of Flame Lord & Ring of Resonance Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 2^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Rebirth 2nd Class or above^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2794: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magic Stone Ring",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"...",
				"STR + 2.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2795: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Green Apple Ring",
			identifiedResourceName: "\xc7\xb2\xbb\xe7\xb0\xfa\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A Green Apple ring for those who have ascended to their third job. It won't be necessary once you are accustomed to your specific job skills.",
				"All Stats +6, but you lose 1 to All Stats every 5 Job Levels until it gives 0 to All Stats.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Every 3rd Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2796: {
			unidentifiedDisplayName: "Magic Stone Ring",
			unidentifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magical Stone",
			identifiedResourceName: "\xbf\xf9\xbc\xae",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mage Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2797: {
			unidentifiedDisplayName: "Magical Stone",
			unidentifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magical Stone",
			identifiedResourceName: "\xbf\xf9\xbc\xae",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mage Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2798: {
			unidentifiedDisplayName: "Will Of Exhausted Worrior",
			unidentifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Will Of Exhausted Warrior",
			identifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Priest, Monk^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2799: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mystic Ring",
			identifiedResourceName: "\xc4\xed\xc0\xcc\xb8\xa3\xc6\xe6\xb8\xb5",
			identifiedDescriptionName: [
				"À¯³ë ¸¶¹ýÇÐÀÚµéÀÌ ¿À·£¿¬±¸ ³¡¿¡ °³¹ßÇÑ ¹ÝÁö. ¹ßÅ°¸®ÀÇ ³¯°³±ê¿¡ ¼öÈ£ÀÇ ¸¶¹ýÀ» ´ã¾Ò´Ù°í ÇÑ´Ù.",
				"MHP + 150, MSP + 30.",
				"°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ºí·¹½Ì 10Lv, Ãà±â 5Lv ¹ßµ¿.",
				"±ÙÁ¢¹°¸® °ø°Ý ¹ÞÀ» ½Ã ÀÏÁ¤È®·ü·Î, ÀÎµà¾î 10Lv, ¾ÈÁ©·ç½º 10Lv ¹ßµ¿.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2800: {
			unidentifiedDisplayName: "Accelerator",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Accelerator",
			identifiedResourceName: "\xb0\xa1\xbc\xd3\xc0\xe5\xc4\xa1",
			identifiedDescriptionName: [
				"Required item to use the Mechanic Magic Gear skill 'Acceleration'.",
				"AGI + 2.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2801: {
			unidentifiedDisplayName: "Hovering Booster",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hovering Booster",
			identifiedResourceName: "\xc8\xa3\xb9\xf6\xb8\xb5\xba\xce\xbd\xba\xc5\xcd",
			identifiedDescriptionName: [
				"Required item to use the Mechanic Magic Gear skill 'Hovering'.",
				"AGI + 1.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 200^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2802: {
			unidentifiedDisplayName: "Suicidal Device",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Suicidal Device",
			identifiedResourceName: "\xc0\xda\xc6\xf8\xc0\xe5\xc4\xa1",
			identifiedDescriptionName: [
				"Required item to use the Mechanic Magic Gear skill 'Self Destruction'.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2803: {
			unidentifiedDisplayName: "Shape Shifter",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shape Shifter",
			identifiedResourceName: "\xbc\xce\xc0\xcc\xc7\xc1\xbd\xac\xc7\xc1\xc5\xcd",
			identifiedDescriptionName: [
				"Required accessory item to use the Mechanic Magic Gear skill 'Shape Shift'.",
				"INT + 3.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2804: {
			unidentifiedDisplayName: "Cooling Device",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cooling Device",
			identifiedResourceName: "\xb3\xc3\xb0\xa2\xc0\xe5\xc4\xa1",
			identifiedDescriptionName: [
				"Required accessory item to use the Mechanic Magic Gear skill 'Emergency Cooling'.",
				"DEX + 1.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 250^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2805: {
			unidentifiedDisplayName: "Magnetic Field Generator",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magnetic Field Generator",
			identifiedResourceName: "\xc0\xda\xb1\xe2\xc0\xe5\xc7\xca\xb5\xe5\xbb\xfd\xbc\xba\xb1\xe2",
			identifiedDescriptionName: [
				"Required item to use the Mechanic Magic Gear skill 'Magnetic Field'.",
				"DEX + 1.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 600^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2806: {
			unidentifiedDisplayName: "Barrier Builder",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Barrier Builder",
			identifiedResourceName: "\xb9\xe8\xb8\xae\xbe\xee\xbb\xfd\xbc\xba\xb1\xe2",
			identifiedDescriptionName: [
				"Required item to use the Mechanic Magic Gear skill 'Neutral Barrier'.",
				"DEX + 1.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 3^000000",
				"Weight :^777777 800^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2807: {
			unidentifiedDisplayName: "Repair Kit",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Repair Kit",
			identifiedResourceName: "\xb8\xae\xc6\xe4\xbe\xee\xc5\xb0\xc6\xae",
			identifiedDescriptionName: [
				"Required item to use the Mechanic Magic Gear skill 'Repair'.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2808: {
			unidentifiedDisplayName: "Camouflage Generator",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Camouflage Generator",
			identifiedResourceName: "\xb1\xa4\xc7\xd0\xb9\xcc\xc3\xa4\xb9\xdf\xbb\xfd\xb1\xe2",
			identifiedDescriptionName: [
				"Required item to use the Mechanic Magic gear skill \"Stealth Field\".",
				"AGI + 3.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2809: {
			unidentifiedDisplayName: "High Quality Cooler",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "High Quality Cooler",
			identifiedResourceName: "\xb3\xc3\xb0\xa2\xc0\xe5\xc4\xa1",
			identifiedDescriptionName: [
				"...",
				"DEX + 1.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 250^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2810: {
			unidentifiedDisplayName: "Special Cooler",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Special Cooler",
			identifiedResourceName: "\xb3\xc3\xb0\xa2\xc0\xe5\xc4\xa1",
			identifiedDescriptionName: [
				"...",
				"DEX + 1.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 250^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2811: {
			unidentifiedDisplayName: "Freya's Spiritual Bracelet",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Bracelet",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual bracelet granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"ALL STATUS + 1.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2812: {
			unidentifiedDisplayName: "Freya's Spiritual Bracelet",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Bracelet",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual bracelet granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"ALL STATUS + 1.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2813: {
			unidentifiedDisplayName: "Freya's Spiritual Bracelet",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Bracelet",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual bracelet granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"ALL STATUS + 1.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2814: {
			unidentifiedDisplayName: "Freya's Spiritual Bracelet",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Bracelet",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual bracelet granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"ALL STATUS + 1.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2815: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring of Water",
			identifiedResourceName: "\xbc\xbc\xc0\xcc\xc7\xc1\xc6\xbc\xb8\xb5",
			identifiedDescriptionName: [
				"...",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"ALL STATUS + 2, MDEF + 2, SP + 20.",
				"...",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 1^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2816: {
			unidentifiedDisplayName: "Radar Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Radar Ring",
			identifiedResourceName: "\xb2\xc9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2817: {
			unidentifiedDisplayName: "Radar Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Radar Ring",
			identifiedResourceName: "\xb2\xc9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2818: {
			unidentifiedDisplayName: "Radar Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Radar Ring",
			identifiedResourceName: "\xb2\xc9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2819: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Swordman Manual",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xb9\xab",
			identifiedDescriptionName: [
				"A guide to help experience the basic skill of Swordman.",
				"SP + 100.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2820: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Thief Manual",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xb9\xab",
			identifiedDescriptionName: [
				"A guide to help experience the basic skill of Thief.",
				"SP + 100.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2821: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Acolyte Manual",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xb9\xab",
			identifiedDescriptionName: [
				"A guide to help experience the basic skill of Acolyte.",
				"SP + 100.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2822: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Archer Manual",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xb9\xab",
			identifiedDescriptionName: [
				"A guide to help experience the basic skill of Archer.",
				"SP + 100.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2823: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Merchant Manual",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xb9\xab",
			identifiedDescriptionName: [
				"A guide to help experience the basic skill of Merchant.",
				"SP + 100.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2824: {
			unidentifiedDisplayName: "Book",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mage Manual",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xb9\xab",
			identifiedDescriptionName: [
				"A guide to help experience the basic skill of Magician.",
				"SP + 100.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2825: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc0\xcc\xbe\xee\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shaman Earrings",
			identifiedResourceName: "\xbb\xfe\xb8\xd5\xc0\xcc\xbe\xee\xb8\xb5",
			identifiedDescriptionName: [
				"INT + 2.",
				"...",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2826: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xa7\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dark Knight Belt",
			identifiedResourceName: "\xb4\xd9\xc5\xa9\xb3\xaa\xc0\xcc\xc6\xae\xba\xa7\xc6\xae",
			identifiedDescriptionName: [
				"DEX + 2, AGI + 1.",
				"[^000088Dark Knight Mask & Dark Knight Glove Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2827: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dark Knight Glove",
			identifiedResourceName: "\xb4\xd9\xc5\xa9\xb3\xaa\xc0\xcc\xc6\xae\xb1\xdb\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"...",
				"[^000088Dark Knight Mask A & Dark Knight Belt Equip Set^000000]",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2828: {
			unidentifiedDisplayName: "Upgrade Clip",
			unidentifiedResourceName: "\xc5\xac\xb8\xb3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Clip",
			identifiedResourceName: "\xb0\xad\xc8\xad\xc5\xac\xb8\xb3",
			identifiedDescriptionName: [
				"A Clip molded out of Elunium and pure gold mixture.",
				"MaxHP + 3%. MaxSP + 30.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2829: {
			unidentifiedDisplayName: "Greed Clip",
			unidentifiedResourceName: "\xc5\xbd\xbf\xe5\xc0\xc7\xc5\xac\xb8\xb3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Greed Clip",
			identifiedResourceName: "\xc5\xbd\xbf\xe5\xc0\xc7\xc5\xac\xb8\xb3",
			identifiedDescriptionName: [
				"Enable to use [Greed] skill.",
				"Class: ^777777Accessory^000000 DEF: ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level: ^77777710^000000",
				"Jobs: ^777777All Jobs except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2830: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xa7\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Megingjard R",
			identifiedResourceName: "\xb8\xde\xb1\xe4\xb1\xe2\xbf\xc0\xb8\xa3\xb5\xe5",
			identifiedDescriptionName: [
				"A reproduction of the girdle of might that Thor wore to enhance his prodigious strength.",
				"STR + 40, MDEF + 7",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 2^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 94^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2831: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brisingamen R",
			identifiedResourceName: "\xba\xea\xb8\xae\xbd\xcc\xb0\xa1\xb8\xe0",
			identifiedDescriptionName: [
				"An imitation of the necklace worn by the beautiful goddess Freya.",
				"STR, AGI, INT, VIT + 6",
				"LUK + 10, MDEF + 5",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 94^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2832: {
			unidentifiedDisplayName: "Freya Ring",
			unidentifiedResourceName: "\xbe\xc8\xb5\xe5\xb9\xd9\xb8\xae\xc0\xc7\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya Ring R",
			identifiedResourceName: "\xbe\xc8\xb5\xe5\xb9\xd9\xb8\xae\xc0\xc7\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A ring decorated with a beautiful ruby.",
				"Enables use of ^008800Level 1 Heal^000000.",
				"Enables use of ^008800Level 1 Teleport^000000.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2833: {
			unidentifiedDisplayName: "Odin's Recall",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Odin's Recall",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xb8\xae\xc3\xf2\xbe\xf3\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An awesome ring that is only given to the members of the Order of Odin.",
				"ALL STATUS + 1.",
				"Enables use of new skill called \"^008800Odin Recall^000000\".",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2834: {
			unidentifiedDisplayName: "All In One Ring",
			unidentifiedResourceName: "\xb8\xb5\xbf\xc0\xba\xea\xb7\xb9\xc1\xb6\xb3\xcd\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "All In One Ring",
			identifiedResourceName: "\xb8\xb5\xbf\xc0\xba\xea\xb7\xb9\xc1\xb6\xb3\xcd\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A Jewelry Ring",
				"that contains a",
				"3 Seal Magic Spell.",
				"Enables use of Level 1 Heal",
				"and Level 1 Teleport.",
				"Casting cannot be interrupted.",
				"All Stats +1.",
				"Increases casting time by 10%.",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Accessory^000000",
				"Defense: ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000 Jobs: ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2835: {
			unidentifiedDisplayName: "Critical Ring",
			unidentifiedResourceName: "\xc5\xa9\xb8\xae\xc6\xbc\xc4\xc3\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Critical Ring",
			identifiedResourceName: "\xc5\xa9\xb8\xae\xc6\xbc\xc4\xc3\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"An esoteric ring that",
				"enables its wearer to amplify his hidden powers.",
				"Critical +10%",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Accessory^000000",
				"Defense: ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000 Jobs: ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2836: {
			unidentifiedDisplayName: "Glove",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Glove",
			identifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"An ancient glove.",
				"DEX + 4",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Accessory^000000",
				"Defense: ^7777770^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000 Jobs: ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2837: {
			unidentifiedDisplayName: "Safety Ring",
			unidentifiedResourceName: "\xbc\xbc\xc0\xcc\xc7\xc1\xc6\xbc\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Safety Ring",
			identifiedResourceName: "\xbc\xbc\xc0\xcc\xc7\xc1\xc6\xbc\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A strange ring that",
				"curiously raises its",
				"wearer's defenses.",
				"DEF +5 , MDEF +5",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Accessory^000000",
				"Defense: ^7777775^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000 Jobs: ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2838: {
			unidentifiedDisplayName: "Necklace",
			unidentifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Necklace",
			identifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"An ancient necklace.",
				"Vit +4",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Accessory^000000",
				"Defense: ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000 Jobs: ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2839: {
			unidentifiedDisplayName: "Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring",
			identifiedResourceName: "\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"An ancient ring.",
				"STR + 4",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Accessory^000000",
				"Defense: ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000 Jobs: ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2840: {
			unidentifiedDisplayName: "Rosary",
			unidentifiedResourceName: "\xb7\xce\xc0\xda\xb8\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rosary",
			identifiedResourceName: "\xb7\xce\xc0\xda\xb8\xae",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"An ancient rosary.",
				"LUK + 4, MDEF +5",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Accessory^000000",
				"Defense: ^7777770^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000 Jobs: ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2841: {
			unidentifiedDisplayName: "Caracas Ring",
			unidentifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Caracas Ring",
			identifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"...",
				"INT + 2, DEX + 2, MDEF + 2.",
				"Experience + 10%, Drop Rate + 10%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 2^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Genetic, Sorcerer only^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2842: {
			unidentifiedDisplayName: "Earring",
			unidentifiedResourceName: "\xc0\xcc\xbe\xee\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Earring",
			identifiedResourceName: "\xc0\xcc\xbe\xee\xb8\xb5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"...",
				"INT + 3",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2843: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xb9\xe6\xbf\xef",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Bell",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xb9\xe6\xbf\xef",
			identifiedDescriptionName: [
				"...",
				"SP + 50.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2844: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xbf\xa4\xb5\xf0\xc4\xab\xbd\xba\xc5\xd7\xbd\xba\xc0\xc7\xba\xfb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Light of El Dicastes",
			identifiedResourceName: "\xbf\xa4\xb5\xf0\xc4\xab\xbd\xba\xc5\xd7\xbd\xba\xc0\xc7\xba\xfb",
			identifiedDescriptionName: [
				"...",
				"Enables use of new skill called \"^008800Return to El Dicastes^000000\".",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2845: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xa7\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "NoFear Belt",
			identifiedResourceName: "\x4e\x4f\x46\x45\x41\x52\xba\xa7\xc6\xae",
			identifiedDescriptionName: [
				"Strap this on and shut them up!",
				"MDEF + 2, ATK + 5%, MATK + 5%.",
				"[^000088No Fear Shoes & No Fear Underwear Set^000000]",
				"Cannot be frozen, Increase EXP Gain by 5%.",
				"Class :^777777 Footgear^000000",
				"Defense :^777777 2^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2853: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Telekinetic Orb",
			identifiedResourceName: "\xc5\xda\xb7\xb9\xc5\xb0\xb3\xd7\xc6\xbd\xbf\xc0\xba\xea",
			identifiedDescriptionName: [
				"A sphere that contains a magic liquid that holds a mysterious magic power.",
				"INT + 3, MDEF + 1, MaxSP + 30.",
				"Increases damage of ^008800Psychic Wave^000000 by 10%.",
				"Increases the SP cost of all skills by 50.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 2^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 110^000000",
				"Applicable Job :^777777 Every 3rd Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2854: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Alchemy Glove",
			identifiedResourceName: "\xbf\xac\xb1\xdd\xbc\xfa\xc0\xc7\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"Magic gloves made for handling corrosive chemicals, smells a bit like charcoal.",
				"INT + 1, MDEF + 2.",
				"Increases damage of Fire element magic by 10%.",
				"When dealing physical or magic damage, there's a low chance to auto cast ^008800Level 5 Fire Wall^000000.",
				"Decreases damage of Water element magic by 20%.",
				"Decreases resistance to Water element attacks by 30%.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 125^000000",
				"Applicable Job :^777777 Every 3rd Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2855: {
			unidentifiedDisplayName: "Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Whikebain's Black Tail",
			identifiedResourceName: "\xc8\xd6\xc4\xc9\xb9\xd9\xc0\xce\xb0\xcb\xc0\xba\xb2\xbf\xb8\xae",
			identifiedDescriptionName: [
				"Morocc twon Hyuke's black tail style. It doesn't seem to be moving.",
				"ASPD + 3%, Critical + 7.",
				"Equip with [Whikebain's Black Ears], extra critical attack damage + 10%.",
				"Equip with [Whikebain's Black Ears], Critical +5 if [Whikebain's Black Ears]'s refined more than +7",
				"Class : ^777777Accessory^000000",
				"Defense : ^7777770^000000",
				"Weight : ^77777710^000000",
				"Required lv : ^77777745^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2856: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xa7\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb8\xde\xb1\xe4\xb1\xe2\xbf\xc0\xb8\xa3\xb5\xe5",
			identifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"Çã·®°¡ Âø°ëÇÏ·é ÈûÀ´ ¾ØÀûÀ·¸Î ½ø±î°Ã¸Á ¿¡È÷ ¾«¶¿ÀÌ¹ó µÒ·¾ Á¤ºº¸Î ··ºé±îÁÖ»Â ±ÆÀÌÅÛ. ¼ú²Å Åä·£ÀÇ Àü°ë Çã·®¹ì°»»Ù.",
				"HGI , NWVU",
				"Âø°ëÀÚÀÇ YzhvOE°¡ ºû¹ó HGI Ãß¿¡ Áõ¿¡.",
				"HGIÀÌ ³ø³ö 120 ÀÎ ¿æ°ì, µ·²µ·ó²µÅÍ°¡¿Ô 5% ¶¿·® º¥¶ÌÁö Ãß¿¡.",
				"¿è°­ : ^777777±Ç³³´ç·®^000000",
				"¶æ±î : ^7777771^000000 Weight : ^7777770^000000",
				"°ä¾·¸¶µ§ : ^77777747^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2857: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xba\xea\xb8\xae\xbd\xcc\xb0\xa1\xb8\xe0",
			identifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"°©²Å ÇÁ¸¶ÀÌ±ß¿¡ Âø°ëÇß»Ù¿í ÇÏ»Â ·ñ¿ÉÀÌ¸Î ±Æ·§»Ù°ò¿ú »õµÒ±î ÈÇ·¢ÇÑ »É¸ÂÀ´ Âø°ëÀÚ°¡¿Ô Á¦¿øÇÏ»Â ²ÅÀÇ ±ÆÀÌÅÛ.",
				"HGI, ZTR, WVC, ERG ¿¢ ´ó²Â, OFP, RMG ¿¢ ´ó²Â.",
				"NWVU",
				"ÀÚ²ÅÀÌ ´ç°ëÇÏ»Â Èú, ´ýÃò±î·® ²µÅ¼ÀÇ È·µ¶¸®ÀÌ 3% Áõ¿¡.",
				"¿è°­ : ^777777±Ç³³´ç·®^000000",
				"¶æ±î : ^7777771^000000 Weight : ^7777770^000000",
				"°ä¾·¸¶µ§ : ^77777747^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2858: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pendant Of Guardian",
			identifiedResourceName: "\xbc\xf6\xc8\xa3\xc0\xda\xc0\xc7\xc6\xe6\xb4\xf8\xc6\xae",
			identifiedDescriptionName: [
				"...",
				"Enables use of new skill called \"^008800Guardian Recall^000000\".",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2859: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Rod Orb",
			identifiedResourceName: "\xb0\xf1\xb5\xe7\xb7\xce\xb5\xe5\xbf\xc0\xba\xea",
			identifiedDescriptionName: [
				"A wind embued gold colored ornament.",
				"INT + 1, MDEF + 2.",
				"Wind element resistance + 15%.",
				"When receiving physical or magic damage, has a chance to auto cast ^008800Level 3 Jupitel Thunder^000000.",
				"Class : ^777777 Accessory^000000",
				"Defense : ^777777 2^000000",
				"Weight : ^777777 20^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Warlock^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2860: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Aqua Orb",
			identifiedResourceName: "\xbe\xc6\xc4\xed\xbe\xc6\xbf\xc0\xba\xea",
			identifiedDescriptionName: [
				"A water embued navy blue colored ornament.",
				"INT + 1, MDEF + 2.",
				"Water element resistance + 15%.",
				"When receiving physical or magic damage, has a chance to auto cast ^008800Level 3 Frost Nova^000000.",
				"Class : ^777777 Accessory^000000",
				"Defense : ^777777 2^000000",
				"Weight : ^777777 20^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Warlock^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2861: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crimson Orb",
			identifiedResourceName: "\xc5\xa9\xb8\xb2\xc1\xf0\xbf\xc0\xba\xea",
			identifiedDescriptionName: [
				"A fire embued red colored ornament.",
				"INT + 1, MDEF + 2.",
				"Fire element resistance + 15%.",
				"When receiving physical or magic damage, has a chance to auto cast ^008800Level 3 Sight Rasher^000000.",
				"Class : ^777777 Accessory^000000",
				"Defense : ^777777 2^000000",
				"Weight : ^777777 20^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Warlock^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2862: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Forest Orb",
			identifiedResourceName: "\xc6\xf7\xb7\xb9\xbd\xba\xc6\xae\xbf\xc0\xba\xea",
			identifiedDescriptionName: [
				"A earth embued green colored ornament.",
				"INT + 1, MDEF + 2.",
				"Earth element resistance + 15%.",
				"When receiving physical or magic damage, has a chance to auto cast ^008800Level 3 Quagmire^000000.",
				"Class : ^777777 Accessory^000000",
				"Defense : ^777777 2^000000",
				"Weight : ^777777 20^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Warlock^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2863: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb8\xf0\xb8\xa3\xc7\xc7\xbc\xc5\xbd\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"ÆòÈ­ÀÇ ¶æÆÐ¹ó»Â ÀÇ¶Ì·¦ ¿¡Áø ±Æ·§»Ù°î ¶ÝÁö.",
				"¶Þ»Â ¿æÇèÄ¡°Í ·ðºç ±ÆÀÌÅÛÀÇ ºå¸Ó¸üÀÌ 5% Áõ¿¡.",
				"¿è°­ : ^777777±Ç³³´ç·®^000000 ¶æ±î : ^7777772^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2864: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Light Of Cure",
			identifiedResourceName: "\xc4\xa1\xc0\xaf\xc0\xc7\xba\xfb",
			identifiedDescriptionName: [
				"An ancient gold colored ring, rumored to be owned by an ancient wise sage.",
				"VIT + 2, Heal Amount + 2%.",
				"Can be enchanted to improve Highness Heal.",
				"Class : ^777777 Accessory^000000",
				"Defense : ^777777 0^000000",
				"Weight : ^777777 0^000000",
				"Required Level : ^777777 110^000000",
				"Applicable Job : ^777777 Arch Bishop^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2865: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Seal Of Cathedral",
			identifiedResourceName: "\xb4\xeb\xbc\xba\xb4\xe7\xc0\xc7\xc0\xce\xc0\xe5",
			identifiedDescriptionName: [
				"A ring adorned with a purple jewel that is awarded to the best of those who study in the curch.",
				"INT + 2, Heal Amount + 2%.",
				"Can be enchanted to improve Coluceo Heal.",
				"Class : ^777777 Accessory^000000",
				"Defense : ^777777 0^000000",
				"Weight : ^777777 0^000000",
				"Required Level : ^777777 110^000000",
				"Applicable Job : ^777777 Arch Bishop^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2866: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ring Of Archbishop",
			identifiedResourceName: "\xb4\xeb\xc1\xd6\xb1\xb3\xc0\xc7\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A blue ring with a shining mysterious blue ring, worn by the religeous leaders.",
				"DEX + 2, Heal Amount + 2%.",
				"Can be enchanted to improve Heal Amount.",
				"Class : ^777777 Accessory^000000",
				"Defense : ^777777 0^000000",
				"Weight : ^777777 0^000000",
				"Required Level : ^777777 110^000000",
				"Applicable Job : ^777777 Arch Bishop^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2870: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "RO 8th Anniversary Ring",
			identifiedResourceName: "\xb4\xde\xba\xfb\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		2872: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xb9\xdf\xb8\xd3\xb8\xae\xc7\xc9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "³ÉÀÌ °ÔÀÌ¸ÓÁî ÁõÇ¥",
			identifiedResourceName: "\x47\xb8\xed\xbf\xb9\xc1\xf5\xc7\xa5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³ÉÀÌ °ÔÀÌ¸ÓÁî ¸í¿¹È¸¿øÀÓÀ» ¶æÇÏ´Â ÁõÇ¥. ±×Àú±×·± ¾×¼¼»ç¸® °°¾Æµµ °æ±â³»¿ëÀ» ±â·ÏÇÏ´Â ´É·ÂÀ» °®Ãß°íÀÖ´Ù.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2873: {
			unidentifiedDisplayName: "±Û·¯ºê",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°í¾çÀÌ ¼Õ ±Û·¯ºê",
			identifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xc0\xc7\xb9\xdf",
			identifiedDescriptionName: [
				"¸»¶ûµµ ±â³äÇ°, ÀåºñÇÏ´Â °Í ¸¸À¸·Îµµ ¿ØÁö Çàº¹ÇØÁö´Â ±âºÐ.",
				"VIT + 1, AGI + 1, DEX + 1, LUK + 1.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777775^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2875: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "±×·¹ÀÌÆ®Ç® ¹ÝÁö",
			identifiedResourceName: "\x52\x4b\xc0\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±×µ¿¾È ¶ó±×³ª·ÎÅ©¸¦ Á¤¾×, Á¤·® °áÁ¦ÇÏ¿© ÀÌ¿ëÇØÁÖ½Å ¿©·¯ºÐ²² °í¸¶¿òÀ» ´ãÀº ¹ÝÁö.",
				"ATK + 5%, MATK + 5%.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2881: {
			unidentifiedDisplayName: "accessory",
			unidentifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orleans Necklace",
			identifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			identifiedDescriptionName: [
				"a necklace for implmenting best of royal palace food.",
				"DEX + 2, MATK + 20.",
				"\"when usign with Orleans globe, can have MATK + 20, with Orleans uniform , can have stat casting 15% decrese, when with Orleans server, can have MATK + 2 increse for shield 1",
				"\"",
				"Class : ^777777Accessory^000000",
				"Defense : ^7777770^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^7777770^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2883: {
			unidentifiedDisplayName: "Ur's Seal",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ur's Seal",
			identifiedResourceName: "\xbf\xec\xb8\xa3\xc0\xc7\xc0\xce\xc0\xe5",
			identifiedDescriptionName: [
				"¿ì¸£ÀÇ ·éÀ» Á¤Á¦ÇÏ¿© ¸¸µç ÀÎÀå.",
				"MaxHP + 2%, ½ºÆÄÀÌ·² ÇÇ¾î½º, Çåµå·¹µå ½ºÇÇ¾î »ç¿ë ½Ã SP 5 °¨¼Ò.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777774^000000",
				"¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·é³ªÀÌÆ®^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2884: {
			unidentifiedDisplayName: "Peuz's Seal",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Peuz's Seal",
			identifiedResourceName: "\xc6\xe4\xbf\xc0\xc1\xee\xc0\xc7\xc0\xce\xc0\xe5",
			identifiedDescriptionName: [
				"Æä¿ÀÁîÀÇ ·éÀ» Á¤Á¦ÇÏ¿© ¸¸µç ÀÎÀå.",
				"ATK + 20, MaxSP + 20.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777773^000000",
				"¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·é³ªÀÌÆ®^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2885: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¾î¸Ó´ÏÀÇ ¸¶À½",
			identifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xd3\xc7\xcf\xc6\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÀÌÁ¦ ¸· ¸ðÇèÀ» ½ÃÀÛÇÏ´Â ÃÊº¸ ¸ðÇè°¡µéÀ» ÀÀ¿øÇÏ´Â ¸¶À½ÀÌ ´ã±ä µû¶æÇÑ ¹ÝÁö.",
				"¸ó½ºÅÍ »ç³É½Ã È¹µæ °æÇèÄ¡ 15% Áõ°¡.",
				"ATK, MATK + 15.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"Á¦ÇÑ ·¹º§ : ^77777760^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2886: {
			unidentifiedDisplayName: "Sapha Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sapha Ring",
			identifiedResourceName: "\xbb\xe7\xb9\xd9\xc8\xe5\xc0\xc7\xb8\xb5",
			identifiedDescriptionName: [
				"¿À·¡Àü ¾îµÒÀÇ ¼¼°è¿¡¼­ À¯¸íÇß´ø ¾î½Ø½ÅÀÇ À¯¹°ÀÌ¶ó°í ÇÑ´Ù.",
				"CRI + 3, ´ÙÅ©ÀÏ·çÁ¯ »ç¿ë ½Ã ¼Ò¸ðSP 5 °¨¼Ò.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777±æ·ÎÆ¾Å©·Î½º^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2887: {
			unidentifiedDisplayName: "Nab Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Nab Ring",
			identifiedResourceName: "\xb3\xaa\xba\xea\xc0\xc7\xb8\xb5",
			identifiedDescriptionName: [
				"°ú°Å ÀÌµµ·ù·Î À¯¸íÇß´ø ¾î½Ø½ÅÀÇ À¯¹°ÀÌ¶ó°í ÇÑ´Ù.",
				"ATK + 10, MATK + 20.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777±æ·ÎÆ¾Å©·Î½º^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2890: {
			unidentifiedDisplayName: "White Wing Brooch",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "White Wing Brooch",
			identifiedResourceName: "\xc8\xf2\xb3\xaf\xb0\xb3\xc0\xc7\xba\xea\xb7\xce\xc4\xa1",
			identifiedDescriptionName: [
				"°ú°Å Èñ´ëÀÇ ¸í±ÃµéÀÌ ¸¹ÀÌ ¹èÃâµÇ¾ú´Ù°í ÇÏ´Â 'ÀÌÄ«·ç½º ±æµå'ÀÇ À¯¹°.",
				"DEX + 2, ¿ø°Å¸® ¹°¸®°ø°Ý·Â 3% Áõ°¡.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·¹ÀÎÀú^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2891: {
			unidentifiedDisplayName: "Black Wing Brooch",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Wing Brooch",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb3\xaf\xb0\xb3\xc0\xc7\xba\xea\xb7\xce\xc4\xa1",
			identifiedDescriptionName: [
				"ÁýÁß·Â°ú Á¤½Å·ÂÀ» ¸¼°Ô À¯Áö ½ÃÄÑÁÖµµ·Ï Æ¯È­µÈ °ËÀº³¯°³ ¸¶Å©ÀÇ À¯¹°.",
				"INT + 2, ¿ÏÀüÈ¸ÇÇ + 3.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·¹ÀÎÀú^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2892: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¾Ï»ìÀÚÀÇ ¼ö°©",
			identifiedResourceName: "\xbe\xcf\xbb\xec\xc0\xda\xc0\xc7\xbc\xf6\xb0\xa9",
			identifiedDescriptionName: [
				"ÆÈ¿¡¼­ ¼Õ°¡¶ô °üÀýºÎºÐ±îÁö ±Ý¼ÓÀ» µ¡´í Àå°©. ¹æ¾î¿Í µ¿½Ã¿¡ °ø°ÝÇÒ ¼ö ÀÖ°Ô µðÀÚÀÎµÇ¾îÀÖ´Ù.",
				"MaxSP + 20, CRI + 3.",
				"Å©¸®½´³ª¿Í ÇÔ²² ÀåÂø ½Ã ATK + 50, ¼Ò´Ð ºí·Î¿ì µ¥¹ÌÁö 50% Áõ°¡, FLEE - 30.",
				"Â÷Å©¶÷°ú ÇÔ²² ÀåÂø ½Ã CRI + 4, Å©¸®Æ¼ÄÃ °ø°Ý·Â 40% Áõ°¡, MaxHP - 10%.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777773^000000",
				"¹«°Ô : ^77777740^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777±æ·ÎÆ¾Å©·Î½º^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2894: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¼ö¶óÀÇ Àå°©",
			identifiedResourceName: "\xbc\xf6\xb6\xf3\xc0\xc7\xc0\xe5\xb0\xa9",
			identifiedDescriptionName: [
				"ÆÄ±«½ÅÀÇ ºÒÅ¸´Â µíÇÑ ÀÌ¹ÌÁö¸¦ Çü»óÈ­ÇÑ,±Ý¼ÓÀ¸·Î ÁÖÁ¶µÈ Àå°©.",
				"STR + 5, MaxSP + 6%, MaxHP - 6%.",
				"¼ø¼ö STRÀÌ 120ÀÎ °æ¿ì, ATK + 30.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777771^000000",
				"¹«°Ô : ^77777740^000000",
				"¿ä±¸ ·¹º§ : ^777777130^000000",
				"ÀåÂø : ^777777¼ö¶ó^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2897: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb1\xdd\xb8\xf1\xb0\xc9\xc0\xcc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "RWC¸ñ°ÉÀÌ",
			identifiedResourceName: "\xb1\xdd\xb8\xf1\xb0\xc9\xc0\xcc",
			identifiedDescriptionName: [
				"'RWC'¸¦ ±â³äÇÏ±â À§ÇØ Á¦ÀÛµÈ ½ÅºñÇÑ ÈûÀÌ ±êµç ¼ø±ÝÀÇ Ææ´øÆ®.",
				"ATK, MATK + 5%.",
				"¸ó½ºÅÍ¸¦ Á×¿´À» ½Ã, È¹µæ °æÇèÄ¡ 1% Áõ°¡.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2898: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb7\xce\xc0\xda\xb8\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°ËÀº ·ÎÀÚ¸®",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb7\xce\xc0\xda\xb8\xae",
			identifiedDescriptionName: [
				"Å¹¿ùÇÑ ¸¶¹ý¹æ¾î È¿°ú¸¦ Áö´Ñ °ËÀº ·ÎÀÚ¸®. ¹¦¸£´ÒÀÇ ±íÀº ±¤»ê¿¡¼­ µå¹°°Ô ³ªÅ¸³ª´Â °ËÀº ¿ø¼®À» Á¤Á¦ÇÏ¿© ¸¸µé¾î Áø´Ù°í ÇÑ´Ù.",
				"MDEF + 15.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^77777790^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2899: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "À½ÆÄÁõÆø±â",
			identifiedResourceName: "\xc0\xbd\xc6\xc4\xc1\xf5\xc6\xf8\xb1\xe2",
			identifiedDescriptionName: [
				"¸ðµç ¼Ò¸®¸¦ ºü¸£°Ô ¸Ö¸® Áõ°¡½ÃÅ°´Â ¸¶¹ýÀÌ °É¸° ÀÛÀº ¼Ò¸®±Á¼è.",
				"¸ÞÅ»¸¯ »ç¿îµåÀÇ µ¥¹ÌÁö¸¦ Áõ°¡½ÃÅ²´Ù. ´ë½Å, ¼Ò¸ð SP°¡ 60 Ãß°¡µÈ´Ù.",
				"¸ðµç ½ºÅ³ÀÇ º¯µ¿ Ä³½ºÆÃ ½Ã°£ÀÌ 50% °¨¼ÒÇÑ´Ù.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^77777790^000000",
				"ÀåÂø : ^777777ÇåÅÍ°è¿­/¹Ùµå°è¿­/´í¼­°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2904: {
			unidentifiedDisplayName: "³ªÅ©½Ã",
			unidentifiedResourceName: "\xb8\xd4\xb9\xb0",
			unidentifiedDescriptionName: [
				"",
			],
			identifiedDisplayName: "³ªÅ©½Ã",
			identifiedResourceName: "\xb8\xd4\xb9\xb0",
			identifiedDescriptionName: [
				"",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2907: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Buwaya Agimat Tattoo",
			identifiedResourceName: "\xba\xce\xbf\xf6\xbf\xa9\xba\xce\xc0\xfb\xc5\xb8\xc5\xf5",
			identifiedDescriptionName: [
				"Agimat Tattoo with a huge Alligator pattern. It is told that the one who owns this tattoo will possess extreme power.",
				"MATK +7% increase and Fixed Casting 7% decrease.",
				"Class : ^777777Accessory^000000",
				"Defense : ^7777770^000000",
				"Weight : ^77777710^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2910: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bakonawa Agimat Tattoo",
			identifiedResourceName: "\xb9\xf6\xc4\xda\xb3\xca\xbf\xf6\xba\xce\xc0\xfb\xc5\xb8\xc5\xf5",
			identifiedDescriptionName: [
				"Agimat Tattoo with a dragon swallowing the moon pattern. It is told that the one who owns this tattoo will possess extreme power.",
				"ATK +7% and ASPD 10% increase.",
				"Class : ^777777Accessory^000000",
				"Defense : ^7777770^000000",
				"Weight : ^77777710^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2911: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bangungot Agimat Tattoo",
			identifiedResourceName: "\xba\xa1\xbf\xf5\xb0\xf7\xba\xce\xc0\xfb\xc5\xb8\xc5\xf5",
			identifiedDescriptionName: [
				"Agimat Tattoo with a plump lady pattern. It is told that the one who owns this tattoo will possess extreme power.",
				"Healing others 4% increase, healing from others 7% increase.",
				"Class : ^777777Accessory^000000",
				"Defense : ^7777770^000000",
				"Weight : ^77777710^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2914: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Left Eye Of An Wizard",
			identifiedResourceName: "\xbe\xee\xb4\xc0\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xbf\xde\xc2\xca\xb4\xab",
			identifiedDescriptionName: [
				"A legend eye that had lost all knowledge and magic instead.",
				"INT + 4, MDEF + 3, casting time + 3%",
				"Class : ^777777Accessory^000000",
				"Defense : ^7777771^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^7777770^000000",
				"Required Applicable Job : ^7777772nd Jobs^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2915: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xbf\xa1\xb6\xe3\xb6\xfb\xc0\xc7\xc0\xaf\xc7\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¿¡¶ã¶ûÀÇ À¯Ç°",
			identifiedResourceName: "\xbf\xa1\xb6\xe3\xb6\xfb\xc0\xc7\xc0\xaf\xc7\xb0",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í´ë ¶óÇÇ³×ÀÇ ¼±Á¶ Áß ÇÏ³ª¿´´ø ¿¡¶ã¶ûÀÇ ¸ñ°ÉÀÌ. È²ÆóÇÑ ºñÇÁ·Î½ºÆ®¸¦ »ì¸®°íÀÚ ÇÏ´Â ±×ÀÇ ¿°¿øÀÌ ´À²¸Áö´Â °Í °°´Ù.",
				"MDEF + 10.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^7777775^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2916: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¿äÁ¤ÀÇ ³¯°³",
			identifiedResourceName: "\xc4\xbf\xb4\xd9\xb6\xf5\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¶óÇÇ³×ÀÇ ³¯°³¸ð¾çÀ» º» ¶° ¸¸µç ÀÛÀº ºê·ÎÄ¡.",
				"¶óÇÇ³×ÀÇ ¼öµµÀÎ ¿¡Å¬¶óÁê·Î ¾ðÁ¦µçÁö ±ÍÈ¯ °¡´É.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777790^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2917: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÈûÀÇ ±Û·¯ºê",
			identifiedResourceName: "\xc8\xfb\xc0\xc7\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"»ç¿ëÀÚÀÇ Æ¯Á¤ ´É·ÂÄ¡¿¡ ¹ÝÀÀÇÏ´Â ±Û·¯ºê.",
				"MaxHP + 100, MaxSP + 20",
				"STR+10¸¶´Ù ATK+1¾¿ Áõ°¡.",
				"STR 110 ÀÌ»ó ÀÏ ¶§ ATK + 1% Ãß°¡",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2918: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Áö·ÂÀÇ ±Û·¯ºê",
			identifiedResourceName: "\xc1\xf6\xb7\xc2\xc0\xc7\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"»ç¿ëÀÚÀÇ Æ¯Á¤ ´É·ÂÄ¡¿¡ ¹ÝÀÀÇÏ´Â ±Û·¯ºê.",
				"MaxHP + 100, MaxSP + 20",
				"INT+10¸¶´Ù MATK+1¾¿ Áõ°¡.",
				"INT 110 ÀÌ»ó ÀÏ ¶§ MATK + 1% Ãß°¡",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2919: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¹ÎÃ¸ÀÇ ±Û·¯ºê",
			identifiedResourceName: "\xb9\xce\xc3\xb8\xc0\xc7\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"»ç¿ëÀÚÀÇ Æ¯Á¤ ´É·ÂÄ¡¿¡ ¹ÝÀÀÇÏ´Â ±Û·¯ºê.",
				"MaxHP + 100, MaxSP + 20",
				"AGI+10¸¶´Ù FLEE+1¾¿ Áõ°¡.",
				"AGI 110 ÀÌ»ó ÀÏ ¶§ ¿ÏÀüÈ¸ÇÇ + 1 Ãß°¡",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2920: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ã¼·ÂÀÇ ±Û·¯ºê",
			identifiedResourceName: "\xc3\xbc\xb7\xc2\xc0\xc7\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"»ç¿ëÀÚÀÇ Æ¯Á¤ ´É·ÂÄ¡¿¡ ¹ÝÀÀÇÏ´Â ±Û·¯ºê.",
				"MaxHP + 100, MaxSP + 20",
				"VIT+10¸¶´Ù MaxHP+50¾¿ Áõ°¡.",
				"VIT 110 ÀÌ»ó ÀÏ ¶§ MaxHP + 1% Ãß°¡",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2921: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¼ÕÀçÁÖÀÇ ±Û·¯ºê",
			identifiedResourceName: "\xbc\xd5\xc0\xe7\xc1\xd6\xc0\xc7\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"»ç¿ëÀÚÀÇ Æ¯Á¤ ´É·ÂÄ¡¿¡ ¹ÝÀÀÇÏ´Â ±Û·¯ºê.",
				"MaxHP + 100, MaxSP + 20",
				"DEX+10¸¶´Ù HIT+1¾¿ Áõ°¡.",
				"DEX 110 ÀÌ»ó ÀÏ ¶§ ¿ø°Å¸® °ø°Ý·Â + 1% Ãß°¡",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2922: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Çà¿îÀÇ ±Û·¯ºê",
			identifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"»ç¿ëÀÚÀÇ Æ¯Á¤ ´É·ÂÄ¡¿¡ ¹ÝÀÀÇÏ´Â ±Û·¯ºê.",
				"MaxHP + 100, MaxSP + 20",
				"LUK+10¸¶´Ù CRI+1¾¿ Áõ°¡.",
				"LUK 110 ÀÌ»ó ÀÏ ¶§ Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 1% Ãß°¡",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2923: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÈûÀÇ ±Û·¯ºê",
			identifiedResourceName: "\xc8\xfb\xc0\xc7\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"»ç¿ëÀÚÀÇ Æ¯Á¤ ´É·ÂÄ¡¿¡ ¹ÝÀÀÇÏ´Â ±Û·¯ºê.",
				"MaxHP + 100, MaxSP + 20",
				"STR+10¸¶´Ù ATK+1¾¿ Áõ°¡.",
				"STR 110 ÀÌ»ó ÀÏ ¶§ ATK + 1% Ãß°¡",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2924: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Áö·ÂÀÇ ±Û·¯ºê",
			identifiedResourceName: "\xc1\xf6\xb7\xc2\xc0\xc7\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"»ç¿ëÀÚÀÇ Æ¯Á¤ ´É·ÂÄ¡¿¡ ¹ÝÀÀÇÏ´Â ±Û·¯ºê.",
				"MaxHP + 100, MaxSP + 20",
				"INT+10¸¶´Ù MATK+1¾¿ Áõ°¡.",
				"INT 110 ÀÌ»ó ÀÏ ¶§ MATK + 1% Ãß°¡",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2925: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¹ÎÃ¸ÀÇ ±Û·¯ºê",
			identifiedResourceName: "\xb9\xce\xc3\xb8\xc0\xc7\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"»ç¿ëÀÚÀÇ Æ¯Á¤ ´É·ÂÄ¡¿¡ ¹ÝÀÀÇÏ´Â ±Û·¯ºê.",
				"MaxHP + 100, MaxSP + 20",
				"AGI+10¸¶´Ù FLEE+1¾¿ Áõ°¡.",
				"AGI 110 ÀÌ»ó ÀÏ ¶§ ¿ÏÀüÈ¸ÇÇ + 1 Ãß°¡",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2926: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ã¼·ÂÀÇ ±Û·¯ºê",
			identifiedResourceName: "\xc3\xbc\xb7\xc2\xc0\xc7\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"»ç¿ëÀÚÀÇ Æ¯Á¤ ´É·ÂÄ¡¿¡ ¹ÝÀÀÇÏ´Â ±Û·¯ºê.",
				"MaxHP + 100, MaxSP + 20",
				"VIT+10¸¶´Ù MaxHP+50¾¿ Áõ°¡.",
				"VIT 110 ÀÌ»ó ÀÏ ¶§ MaxHP + 1% Ãß°¡",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2927: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¼ÕÀçÁÖÀÇ ±Û·¯ºê",
			identifiedResourceName: "\xbc\xd5\xc0\xe7\xc1\xd6\xc0\xc7\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"»ç¿ëÀÚÀÇ Æ¯Á¤ ´É·ÂÄ¡¿¡ ¹ÝÀÀÇÏ´Â ±Û·¯ºê.",
				"MaxHP + 100, MaxSP + 20",
				"DEX+10¸¶´Ù HIT+1¾¿ Áõ°¡.",
				"DEX 110 ÀÌ»ó ÀÏ ¶§ ¿ø°Å¸® °ø°Ý·Â + 1% Ãß°¡",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2928: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb1\xdb\xb7\xaf\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Çà¿îÀÇ ±Û·¯ºê",
			identifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xb1\xdb\xb7\xaf\xba\xea",
			identifiedDescriptionName: [
				"»ç¿ëÀÚÀÇ Æ¯Á¤ ´É·ÂÄ¡¿¡ ¹ÝÀÀÇÏ´Â ±Û·¯ºê.",
				"MaxHP + 100, MaxSP + 20",
				"LUK+10¸¶´Ù CRI+1¾¿ Áõ°¡.",
				"LUK 110 ÀÌ»ó ÀÏ ¶§ Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 1% Ãß°¡",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		2940: {
			unidentifiedDisplayName: "Ã¥",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "´ÑÀÚ ÀÔ¹®¼­",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xb9\xab",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´ÑÀÚÀÇ ±âº»ÀûÀÎ ½ºÅ³À» Ã¼ÇèÇÒ ¼ö ÀÖµµ·Ï µµ¿ÍÁÖ´Â ÀÔ¹®¼­.",
				"SP + 100.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"Á¦ÇÑ ·¹º§ : ^77777712^000000",
				"ÀåÂø : ^777777³ëºñ½º °è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2941: {
			unidentifiedDisplayName: "Ã¥",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°Ç½½¸µ°Å ÀÔ¹®¼­",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xb9\xab",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°Ç½½¸µ°ÅÀÇ ±âº»ÀûÀÎ ½ºÅ³À» Ã¼ÇèÇÒ ¼ö ÀÖµµ·Ï µµ¿ÍÁÖ´Â ÀÔ¹®¼­.",
				"SP + 100.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"Á¦ÇÑ ·¹º§ : ^77777712^000000",
				"ÀåÂø : ^777777³ëºñ½º °è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2942: {
			unidentifiedDisplayName: "Ã¥",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÅÂ±Ç ÀÔ¹®¼­",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xb9\xab",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÅÂ±Ç¼Ò³â/¼Ò³àÀÇ ±âº»ÀûÀÎ ½ºÅ³À» Ã¼ÇèÇÒ ¼ö ÀÖµµ·Ï µµ¿ÍÁÖ´Â ÀÔ¹®¼­.",
				"SP + 100.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"Á¦ÇÑ ·¹º§ : ^77777712^000000",
				"ÀåÂø : ^777777³ëºñ½º °è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2944: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE ¼öÈ£ÀÇ ¹ÝÁö",
			identifiedResourceName: "\xbc\xbc\xc0\xcc\xc7\xc1\xc6\xbc\xb8\xb5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"MAXHP + 100.",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 5% °¨¼Ò.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2945: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE ºÐ³ëÀÇ ¹ÝÁö",
			identifiedResourceName: "\xc5\xa9\xb8\xae\xc6\xbc\xc4\xc3\xb8\xb5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸®/¸¶¹ý °ø°Ý·Â 5% Áõ°¡.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		2946: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE ¹ÝÇ×ÀÇ ¹ÝÁö",
			identifiedResourceName: "\xb5\xb5\xc0\xfb\xc0\xc7\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MDEF + 5.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 5% °¨¼Ò.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		3737: {
			unidentifiedDisplayName: "Brownie Point",
			unidentifiedResourceName: "\x42\x72\x6f\x77\x6e\x69\x65\x5f\x50\x6f\x69\x6e\x74",
			unidentifiedDescriptionName: [
				"These points can be exchanged for various goods and services.",
				"Weight : ^7777770^0000",
			],
			identifiedDisplayName: "Brownie Point",
			identifiedResourceName: "\xb1\xdd\xc0\xfc\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"These points can be exchanged for various goods and services with ^ff0000Grandma Boxter^000000 at the second floor of the Eden Group Headquarters",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4001: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"LUK + 2",
				"Perfect Dodge + 1",
				"[^000088Mastering Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poring Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"LUK + 2",
				"Perfect Dodge + 1",
				"[^000088Mastering Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4002: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"VIT + 1",
				"Maximum HP + 100",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fabre Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"VIT + 1",
				"Maximum HP + 100",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4003: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP + 700",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pupa Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP + 700",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4004: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEX + 1",
				"HIT + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Drops Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEX + 1",
				"HIT + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4005: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage of attacks inflicted on ^777777Shadow^000000 Property by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Santa Poring Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage of attacks inflicted on ^777777Shadow^000000 Property by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4006: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"LUK + 1",
				"Critical Rate + 1",
				"Perfect Dodge + 1",
				"[^000088Eclipse Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lunatic Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"LUK + 1",
				"Critical Rate + 1",
				"Perfect Dodge + 1",
				"[^000088Eclipse Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4007: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage of attacks inflicted on Formless monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pecopeco Egg Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage of attacks inflicted on Formless monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4008: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"STR + 1",
				"ATK + 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Picky Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"STR + 1",
				"ATK + 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4009: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 1",
				"Flee Rate + 2",
				"[^000088Dragon Fly Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chonchon Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 1",
				"Flee Rate + 2",
				"[^000088Dragon Fly Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4010: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum SP + 80",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Willow Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum SP + 80",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4011: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"VIT + 1",
				"Maximum HP + 100",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Picky Egg Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"VIT + 1",
				"Maximum HP + 100",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4012: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP + 400",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Thiefbug Egg Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP + 400",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4013: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP + 5%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Andre Egg Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP + 5%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4014: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP + 400",
				"Maximum SP + 50",
				"[^000088Toad Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Roda Frog Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP + 400",
				"Maximum SP + 50",
				"[^000088Toad Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4015: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Flee Rate + 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Condor Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Flee Rate + 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4016: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Thief Bug Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4017: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Causes ^880000Stun^000000 effect to enemies by 5% chance.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Savage Bebe Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Causes ^880000Stun^000000 effect to enemies by 5% chance.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4018: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT + 1",
				"Maximum SP + 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Andre Larva Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT + 1",
				"Maximum SP + 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4019: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"STR + 1",
				"ATK + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hornet Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"STR + 1",
				"ATK + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4020: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"^880000Blind^000000 an enemy when you attack (Success Chance 5%).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Familiar Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"^880000Blind^000000 an enemy when you attack (Success Chance 5%).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4021: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEX + 1",
				"ATK + 5",
				"[^000088Vocal Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rocker Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEX + 1",
				"ATK + 5",
				"[^000088Vocal Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4022: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"VIT + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spore Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"VIT + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4023: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Baby Desertwolf Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4024: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict ^880000Sleep^000000 status when you attack (Success Chance 5%).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Plankton Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict ^880000Sleep^000000 status when you attack (Success Chance 5%).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4025: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 10",
				"Causes ^880000Stun^000000 effect to enemies by 2% chance.",
				"[^000088Skeleton Prisoner Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Skeleton Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 10",
				"Causes ^880000Stun^000000 effect to enemies by 2% chance.",
				"[^000088Skeleton Prisoner Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4026: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 1",
				"Flee Rate + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Female Thiefbug Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 1",
				"Flee Rate + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4027: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kukre Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4028: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"STR + 2",
				"[^000088Cramp Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tarou Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"STR + 2",
				"[^000088Cramp Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4029: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 15",
				"Critical Rate + 1",
				"[^000088Vagabond Wolf Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wolf Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 15",
				"Critical Rate + 1",
				"[^000088Vagabond Wolf Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4030: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage inflicted upon ^009900Wind^000000 Property enemies by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mandragora Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage inflicted upon ^009900Wind^000000 Property enemies by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4031: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP + 10%",
				"[^000088Grand Peco Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pecopeco Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP + 10%",
				"[^000088Grand Peco Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4032: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ambernite Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4033: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 1 Detoxify^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "PoPoring Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 1 Detoxify^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4034: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEX + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wormtail Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEX + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4035: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on DemiHuman monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hydra Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on DemiHuman monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4036: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"HP Recovery + 10%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Muka Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"HP Recovery + 10%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4037: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"^880000Poison^000000 an enemy when you attack (Success Chance 5%).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Snake Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"^880000Poison^000000 an enemy when you attack (Success Chance 5%).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4038: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"HP Recovery + 20%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zombie Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"HP Recovery + 20%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4039: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to ^880000Silence^000000 status by 20%.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stainer Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to ^880000Silence^000000 status by 20%.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4040: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 1 Teleportation^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Creamy Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 1 Teleportation^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4041: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to ^880000Sleep^000000 status by 20%.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Coco Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to ^880000Sleep^000000 status by 20%.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4042: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 2",
				"Increase resistance to ^009900Wind^000000 Property attacks by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steel Chonchon Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 2",
				"Increase resistance to ^009900Wind^000000 Property attacks by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4043: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 20",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Andre Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 20",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4044: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 1 Hiding^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Smokie Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 1 Hiding^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4045: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce damage from Long Range attacks by 35%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Horn Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce damage from Long Range attacks by 35%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4046: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to ^880000Blind^000000 status by 20%.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Martin Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to ^880000Blind^000000 status by 20%.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4047: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enchant an Armor with the ^777777Ghost^000000 Property.",
				"HP Recovery - 25%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ghostring Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enchant an Armor with the ^777777Ghost^000000 Property.",
				"HP Recovery - 25%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4048: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 3 Envenom^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poison Spore Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 3 Envenom^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4049: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage inflicted upon ^FF0000Fire^000000 Property enemies by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vadon Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage inflicted upon ^FF0000Fire^000000 Property enemies by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4050: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Male Thiefbug Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4051: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 1",
				"Perfect Dodge + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yoyo Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 1",
				"Perfect Dodge + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4052: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elder Willow Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4053: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 1 Heal^000000.",
				"Increases SP consumption of all skills by 25%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vitata Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 1 Heal^000000.",
				"Increases SP consumption of all skills by 25%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4054: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Blesses an Armor with the ^777777Holy^000000 Property.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Angeling Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Blesses an Armor with the ^777777Holy^000000 Property.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4055: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"^880000Freeze^000000 an enemy when you attack (Success Chance 5%).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marina Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"^880000Freeze^000000 an enemy when you attack (Success Chance 5%).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4056: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to the ^009900Wind^000000 Property by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dustiness Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to the ^009900Wind^000000 Property by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4057: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"^880000Silence^000000 an enemy when you attack (Success Chance 5%).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Metaller Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"^880000Silence^000000 an enemy when you attack (Success Chance 5%).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4058: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce damage from DemiHuman monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Thara Frog Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce damage from DemiHuman monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4059: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce damage from Plant monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Soldier Andre Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce damage from Plant monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4060: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on Brute monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Goblin Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on Brute monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4061: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Make an armor indestructible (except in upgrade attempts).",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cornutus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Make an armor indestructible (except in upgrade attempts).",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4062: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on ^880000Poison^000000 Property enemies by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Anacondaq Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on ^880000Poison^000000 Property enemies by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4063: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on Insect monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Caramel Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on Insect monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4064: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEX + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zerom Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEX + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4065: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on ^996600Earth^000000 Property enemies by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kaho Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on ^996600Earth^000000 Property enemies by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4066: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce damage from Brute monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Warrior Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce damage from Brute monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4067: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to the ^880000Freeze^000000 status by 20%.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Megalodon Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to the ^880000Freeze^000000 status by 20%.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4068: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on Plant monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scorpion Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on Plant monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4069: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on ^0000FFWater^000000 Property enemies by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Drainliar Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on ^0000FFWater^000000 Property enemies by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4070: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"SP Recovery + 15%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Eggyra Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"SP Recovery + 15%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4071: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to ^777777Undead^000000 Property attacks by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Zombie Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to ^777777Undead^000000 Property attacks by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4072: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Make a weapon indestructible (except in upgrade attempts).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golem Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Make a weapon indestructible (except in upgrade attempts).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4073: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 5 Discount^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pirate Skel Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 5 Discount^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4074: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce damage from Insect monster by 30%.",
				"[^000088Grizzly Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bigfoot Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce damage from Insect monster by 30%.",
				"[^000088Grizzly Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4075: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to ^880000Stone Curse^000000 status by 20%.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Argos Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to ^880000Stone Curse^000000 status by 20%.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4076: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"^880000Curse^000000 an enemy when you attack (Success Chance 5%).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Magnolia Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"^880000Curse^000000 an enemy when you attack (Success Chance 5%).",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4077: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Skill casting can not be interrupted.",
				"Increase Casting Time by 25%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Phen Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Skill casting can not be interrupted.",
				"Increase Casting Time by 25%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4078: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"VIT + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Savage Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"VIT + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4079: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"STR + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mantis Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"STR + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4080: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on Fish monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flora Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on Fish monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4081: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to ^996600Earth^000000 Property attacks by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hode Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to ^996600Earth^000000 Property attacks by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4082: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage inflicted on Small size monster by 15%.",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Desert Wolf Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage inflicted on Small size monster by 15%.",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4083: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce damage from Fish monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rafflesia Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce damage from Fish monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4084: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 3 Magnum Break^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marine Sphere Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 3 Magnum Break^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4085: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on ^777777Holy^000000 Property enemies by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Skeleton Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on ^777777Holy^000000 Property enemies by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4086: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Critical Rate + 9%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Soldier Skeleton Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Critical Rate + 9%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4087: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain immunity to the ^880000Confusion^000000 status.",
				"Increase resistance to ^996600Earth^000000 Property attacks by 15%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giearth Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain immunity to the ^880000Confusion^000000 status.",
				"Increase resistance to ^996600Earth^000000 Property attacks by 15%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4088: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 1 Cloaking^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Frilldora Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 1 Cloaking^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4089: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enchant Armors with the ^0000FFWater^000000 Property.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Swordfish Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enchant Armors with the ^0000FFWater^000000 Property.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4090: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to ^880000Stone Curse^000000 status by 15% and ^996600Earth^000000 Property attacks by 5%.",
				"DEF + 1",
				"[^000088Bongun & Hyegun Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Munak Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to ^880000Stone Curse^000000 status by 15% and ^996600Earth^000000 Property attacks by 5%.",
				"DEF + 1",
				"[^000088Bongun & Hyegun Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4091: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Critical Rate + 4%",
				"STR + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kobold Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Critical Rate + 4%",
				"STR + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4092: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage inflicted on Medium size monster by 15%.",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Skel Worker Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage inflicted on Medium size monster by 15%.",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4093: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 1 Cure^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Obeaune Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 1 Cure^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4094: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage with Bow class weapons by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Archer Skeleton Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Ranged Attack Damage + 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4095: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance against ^0000FFWater^000000 Property by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marse Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance against ^0000FFWater^000000 Property by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4096: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"^880000Poison^000000 an enemy when you Attack (Success Chance 4%).",
				"ATK + 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zenorc Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"^880000Poison^000000 an enemy when you Attack (Success Chance 4%).",
				"ATK + 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4097: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP + 10%",
				"AGI + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Matyr Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP + 10%",
				"AGI + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4098: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enchant Armors with the ^009900Wind^000000 Property.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dokebi Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enchant Armors with the ^009900Wind^000000 Property.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4099: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enchant Armors with the ^FF0000Fire^000000 Property.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pasana Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enchant Armors with the ^FF0000Fire^000000 Property.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4100: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum SP + 15%",
				"SP Recovery + 3%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sohee Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum SP + 15%",
				"SP Recovery + 3%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4101: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enchant Armors with the ^996600Earth^000000 Property.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sandman Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enchant Armors with the ^996600Earth^000000 Property.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4102: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Flee Rate + 20",
				"Increase damage from ^777777Ghost^000000 Property attacks by 50%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Whisper Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Flee Rate + 20",
				"Increase damage from ^777777Ghost^000000 Property attacks by 50%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4103: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 1 Sight^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Horong Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 1 Sight^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4104: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Causes ^880000Confusion^000000 on an enemy when you attack (Success Chance 5%).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Requiem Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Causes ^880000Confusion^000000 on an enemy when you attack (Success Chance 5%).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4105: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain protection from the ^880000Freeze^000000 status and increase resistance to ^0000FFWater^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marc Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain protection from the ^880000Freeze^000000 status and increase resistance to ^0000FFWater^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4106: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"HIT + 20",
				"[^000088Ancient Mummy Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mummy Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"HIT + 20",
				"[^000088Ancient Mummy Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4107: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP and SP + 8%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Verit Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP and SP + 8%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4108: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to the ^880000Poison^000000 Property by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Myst Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to the ^880000Poison^000000 Property by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4109: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to the ^FF0000Fire^000000 Property by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jakk Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to the ^FF0000Fire^000000 Property by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4110: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases resistance to the ^880000Poison^000000 status by 20%.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ghoul Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases resistance to the ^880000Poison^000000 status by 20%.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4111: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on Demon monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Strouf Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on Demon monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4112: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain immunity to the ^880000Silence^000000 status.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marduk Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain immunity to the ^880000Silence^000000 status.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4113: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to ^777777Ghost^000000 Property by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marionette Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to ^777777Ghost^000000 Property by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4114: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enchant an Armor with the ^880000Poison^000000 Property.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Argiope Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enchant an Armor with the ^880000Poison^000000 Property.",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4115: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enable a 3% chance of gaining 15% of the damage inflicted on an enemy as HP with each attack.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hunter Fly Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enable a 3% chance of gaining 15% of the damage inflicted on an enemy as HP with each attack.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4116: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to the ^777777Shadow^000000 Property by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Isis Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to the ^777777Shadow^000000 Property by 30%.",
				"Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4117: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Causes Double Attack by 5% chance.",
				"If character has learned ^008800Double Attack^000000, this card won't take effect.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sidewinder Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Causes Double Attack by 5% chance.",
				"If character has learned ^008800Double Attack^000000, this card won't take effect.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4118: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on Dragon monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Earth Petite Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on Dragon monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4119: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enchant Armors with the ^777777Shadow^000000 Property.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bathory Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enchant Armors with the ^777777Shadow^000000 Property.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4120: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce damage from Dragon monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sky Petite Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce damage from Dragon monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4121: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"HIT + 100",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Phreeoni Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"HIT + 100",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4122: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain immunity to the ^880000Blind^000000 status.",
				"STR + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Deviruchi Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain immunity to the ^880000Blind^000000 status.",
				"STR + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4123: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enable effect of the ^008800Endure^000000 skill so long as the Footgear to which this card is compounded is equipped.",
				"Maximum HP - 25%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Eddga Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enable effect of the ^008800Endure^000000 skill so long as the Footgear to which this card is compounded is equipped.",
				"Maximum HP - 25%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4124: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain immunity to the ^880000Stone Curse^000000 status.",
				"Reduce damage from Demon monster by 15%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Medusa Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain immunity to the ^880000Stone Curse^000000 status.",
				"Reduce damage from Demon monster by 15%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4125: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on DemiHuman, Brute, Plant and Insect monster by 7%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Deviace Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on DemiHuman, Brute, Plant and Insect monster by 7%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4126: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage inflicted on Large size monster by 15%.",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Minorous Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage inflicted on Large size monster by 15%.",
				"ATK + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4127: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain immunity to the ^880000Sleep^000000 status.",
				"AGI + 1",
				"[^000088Nightmare Terror Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nightmare Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain immunity to the ^880000Sleep^000000 status.",
				"AGI + 1",
				"[^000088Nightmare Terror Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4128: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Nullify all magic spells, including supportive skills, that target the owner at the cost of doubling SP Consumption cost when using skills.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golden Thiefbug Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Nullify all magic spells, including supportive skills, that target the owner at the cost of doubling SP Consumption cost when using skills.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4129: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 3, Critical Rate + 1%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bapho Jr. Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 3, Critical Rate + 1%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4130: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on Undead monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scorpion King Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on Undead monster by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4131: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enable faster Movement Speed so long as the Footgear to which this card is compounded is equipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Moonlight Flower Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enable faster Movement Speed so long as the Footgear to which this card is compounded is equipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4132: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Nullify the Gemstone requirement of certain spells at the cost of increasing SP Consumption by 25% when using skills.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mistress Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Nullify the Gemstone requirement of certain spells at the cost of increasing SP Consumption by 25% when using skills.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4133: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to ^777777Neutral^000000 Property attacks by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Raydric Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to ^777777Neutral^000000 Property attacks by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4134: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enable a 10% chance of gaining 5% of the damage inflicted upon an enemy as SP with each attack.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dracula Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enable a 10% chance of gaining 5% of the damage inflicted upon an enemy as SP with each attack.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4135: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reflect 30% of all Physical Melee Damage back to the enemy which inflicted it.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Lord Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reflect 30% of all Physical Melee Damage back to the enemy which inflicted it.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4136: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce damage from Demon monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Khalitzburg Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce damage from Demon monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4137: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Nullify reduction in damage inflicted on enemies resulting from enemy's size.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Drake Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Nullify reduction in damage inflicted on enemies resulting from enemy's size.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4138: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce damage from Angel monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Anubis Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce damage from Angel monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4139: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 1 Steal^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Joker Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 1 Steal^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4140: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage on Boss monster by 25%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Abysmal Knight Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage on Boss monster by 25%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4141: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enchant Armor with the ^777777Undead^000000 Property.",
				"INT + 1, DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Evil Druid Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enchant Armor with the ^777777Undead^000000 Property.",
				"INT + 1, DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4142: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enable faster Attack Speed so long as the weapon to which this card is compounded is equipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Doppelganger Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enable faster Attack Speed so long as the weapon to which this card is compounded is equipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4143: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain immunity to the ^880000Stun^000000 status.",
				"VIT + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Hero Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain immunity to the ^880000Stun^000000 status.",
				"VIT + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4144: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enable full HP and SP restoration when resurrected.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Osiris Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enable full HP and SP restoration when resurrected.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4145: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce Casting Time by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Berzebub Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce Casting Time by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4146: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reflect single target attack Magic back at the caster (Success Chance 50%).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Maya Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reflect single target attack Magic back at the caster (Success Chance 50%).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4147: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Endow a weapon with damage that will splash 9 cells around the character with each attack.",
				"HIT - 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Baphomet Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Endow a weapon with damage that will splash 9 cells around the character with each attack.",
				"HIT - 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4148: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce SP Consumption of skills by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pharaoh Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce SP Consumption of skills by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4149: {
			unidentifiedDisplayName: "Gargoyle Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every time you kill an Insect monster, you can receive a \"Box of Thunder\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gargoyle Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every time you kill an Insect monster, you can receive a \"Box of Thunder\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4150: {
			unidentifiedDisplayName: "Goat Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"[^333399Refine Rate 0~5^000000]",
				"DEF + 2",
				"MDEF + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Goat Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"[^333399Refine Rate 0~5^000000]",
				"DEF + 2",
				"MDEF + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4151: {
			unidentifiedDisplayName: "Gajomart Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 10% more Experience Points from Plant monsters.",
				"Receive 20% more damage from Plant monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gajomart Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 10% more Experience Points from Plant monsters.",
				"Receive 20% more damage from Plant monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4152: {
			unidentifiedDisplayName: "Galapago Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Apple', 'Banana' or 'Carrot Juice' each time an Insect monster is killed.",
				"Juice items restore 50% more HP.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Galapago Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Apple', 'Banana' or 'Carrot Juice' each time an Insect monster is killed.",
				"Juice items restore 50% more HP.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4153: {
			unidentifiedDisplayName: "Crab Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 30% more damage on Asters.",
				"ATK + 5",
				"[^000088+ Shell Fish & Aster^000000]",
				"Inflict 30% more damage on ^0000FFWater^000000 Property enemies.",
				"30% chance of gaining 'Raw Fish' item each time a Fish monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crab Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 30% more damage on Asters.",
				"ATK + 5",
				"[^000088+ Shell Fish & Aster^000000]",
				"Inflict 30% more damage on ^0000FFWater^000000 Property enemies.",
				"30% chance of gaining 'Raw Fish' item each time a Fish monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4154: {
			unidentifiedDisplayName: "Dumpling Kid Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Candy' or 'Candy Cane' each time a DemiHuman monster is killed.",
				"Candy and Candy Cane restore 50% more HP.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dumpling Kid Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Candy' or 'Candy Cane' each time a DemiHuman monster is killed.",
				"Candy and Candy Cane restore 50% more HP.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4155: {
			unidentifiedDisplayName: "Goblin Leader Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 30% more damage on Goblins.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Goblin Leader Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 30% more damage on Goblins.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4156: {
			unidentifiedDisplayName: "Goblin Steamrider Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Formless monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Goblin Steamrider Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Formless monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4157: {
			unidentifiedDisplayName: "Goblin Archer Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Undead monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Goblin Archer Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Undead monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4158: {
			unidentifiedDisplayName: "Sky Deleter Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduces natural HP recovery by 100%.",
				"Gain 100 HP each time an enemy is killed by a Physical Melee Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sky Deleter Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduces natural HP recovery by 100%.",
				"Gain 100 HP each time an enemy is killed by a Physical Melee Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4159: {
			unidentifiedDisplayName: "Nine Tail Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 2",
				"[^333399Refine Rate 9~10^000000]",
				"Flee Rate + 20",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nine Tail Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 2",
				"[^333399Refine Rate 9~10^000000]",
				"Flee Rate + 20",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4160: {
			unidentifiedDisplayName: "Firelock Soldier Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"STR + 2",
				"[^333399Refine Rate 9~10^000000]",
				"Maximum HP and SP + 10%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Firelock Soldier Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"STR + 2",
				"[^333399Refine Rate 9~10^000000]",
				"Maximum HP and SP + 10%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4161: {
			unidentifiedDisplayName: "Grand Peco Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 1 Gloria^000000 on the user when the user receives Physical Damage.",
				"[^000088+ Peco Peco^000000]",
				"DEF + 3",
				"VIT + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Grand Peco Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 1 Gloria^000000 on the user when the user receives Physical Damage.",
				"[^000088+ Peco Peco^000000]",
				"DEF + 3",
				"VIT + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4162: {
			unidentifiedDisplayName: "Grizzly Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting '^880000Blind^000000' on an enemy when the user receives Physical Damage.",
				"[^000088+ Bigfoot^000000]",
				"'^880000Blind^000000' chance increases to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Grizzly Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting '^880000Blind^000000' on an enemy when the user receives Physical Damage.",
				"[^000088+ Bigfoot^000000]",
				"'^880000Blind^000000' chance increases to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4163: {
			unidentifiedDisplayName: "Gryphon Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Flee Rate + 2",
				"Critical Rate + 7",
				"[^008800Swordman Class^000000]",
				"Add a 1% chance of auto casting ^008800Level 5 Bowling Bash^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gryphon Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Flee Rate + 2",
				"Critical Rate + 7",
				"[^008800Swordman Class^000000]",
				"Add a 1% chance of auto casting ^008800Level 5 Bowling Bash^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4164: {
			unidentifiedDisplayName: "Gullinbursti Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 10% more Experience Points each time a Fish monster is killed.",
				"Receive 20% more damage from Fish monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gullinbursti Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 10% more Experience Points each time a Fish monster is killed.",
				"Receive 20% more damage from Fish monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4165: {
			unidentifiedDisplayName: "Gig Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain 5 SP each time an Insect monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gig Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain 5 SP each time an Insect monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4166: {
			unidentifiedDisplayName: "Nightmare Terror Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting '^880000Curse^000000' on an enemy when the user receives Physical Damage.",
				"[^000088+ Nightmare^000000]",
				"'^880000Curse^000000' chance increases to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nightmare Terror Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting '^880000Curse^000000' on an enemy when the user receives Physical Damage.",
				"[^000088+ Nightmare^000000]",
				"'^880000Curse^000000' chance increases to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4167: {
			unidentifiedDisplayName: "Nereid Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain 5 SP each time a Brute monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nereid Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain 5 SP each time a Brute monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4168: {
			unidentifiedDisplayName: "Dark Lord Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 10% chance of auto casting ^008800Level 5 Meteor Storm^000000 on an enemy when the user receives Physical Damage.",
				"[^000088+ Dark Illusion^000000]",
				"Maximum HP and SP + 20%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dark Lord Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 10% chance of auto casting ^008800Level 5 Meteor Storm^000000 on an enemy when the user receives Physical Damage.",
				"[^000088+ Dark Illusion^000000]",
				"Maximum HP and SP + 20%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4169: {
			unidentifiedDisplayName: "Dark Illusion Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP and SP - 10%",
				"Reduce Casting Time by 10%.",
				"[^000088+ Dark Lord^000000]",
				"20% of variable casting time is reduced.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dark Illusion Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP and SP - 10%",
				"Reduce Casting Time by 10%.",
				"[^000088+ Dark Lord^000000]",
				"20% of variable cast time is reduced",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4170: {
			unidentifiedDisplayName: "Dark Frame Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Stone Curse^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dark Frame Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Stone Curse^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4171: {
			unidentifiedDisplayName: "Dark Priest Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 5% chance of decreasing enemy's SP amount by 10% when attacking.",
				"[^008800Sage, Professor^000000]",
				"Gain 1 SP every time when the user receives Physical attack on enemies.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dark Priest Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 5% chance of decreasing enemy's SP amount by 10% when attacking.",
				"[^008800Sage, Professor^000000]",
				"Gain 1 SP every time when the user receives Physical attack on enemies.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4172: {
			unidentifiedDisplayName: "The Paper Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 20% more damage with Critical attacks.",
				"Drain 1 SP from its owner on each attack.",
				"[^000088+ Wanderer & Wild Rose & Shinobi & Dancing Dragon^000000]",
				"AGI + 5",
				"STR + 5",
				"Intimidate Auto-Spell will not function.",
				"Increases Attack Speed by 5%.",
				"Movement Speed + 5%",
				"Gain 1 SP every time when attacking.",
				"[^008800Thief Class^000000]",
				"Allows its user to use certain skills without spending Gemstones.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "The Paper Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 20% more damage with Critical attacks.",
				"Drain 1 SP from its owner on each attack.",
				"[^000088+ Wanderer & Wild Rose & Shinobi & Dancing Dragon^000000]",
				"AGI + 5",
				"STR + 5",
				"Intimidate Auto-Spell will not function.",
				"Increases Attack Speed by 5%.",
				"Movement Speed + 5%",
				"Gain 1 SP every time when attacking.",
				"[^008800Thief Class^000000]",
				"Allows its user to use certain skills without spending Gemstones.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4173: {
			unidentifiedDisplayName: "Demon Fungus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Sleep^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Demon Fungus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Sleep^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4174: {
			unidentifiedDisplayName: "Deviling Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 50% resistance against ^777777Neutral^000000 Property attacks.",
				"Receive 50% more damage from other property attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Deviling Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 50% resistance against ^777777Neutral^000000 Property attacks.",
				"Receive 50% more damage from other property attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4175: {
			unidentifiedDisplayName: "Poisonous Toad Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 1 Envenom^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poisonous Toad Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 1 Envenom^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4176: {
			unidentifiedDisplayName: "Dullahan Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Dragon monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dullahan Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Dragon monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4177: {
			unidentifiedDisplayName: "Dryad Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Green Live' each time a Plant monster is killed.",
				"Add a 10% resistance against ^996600Earth^000000 Property attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dryad Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Green Live' each time a Plant monster is killed.",
				"Add a 10% resistance against ^996600Earth^000000 Property attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4178: {
			unidentifiedDisplayName: "Dragon Tail Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 1",
				"Flee Rate + 10",
				"Inflict 5% more damage with ^008800Double Strafing and Arrow Shower^000000.",
				"[^000088Cruiser & Anolian & Alligator & Merman Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Tail Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 1",
				"Flee Rate + 10",
				"Inflict 5% more damage with ^008800Double Strafing and Arrow Shower^000000.",
				"[^000088Cruiser & Anolian & Alligator & Merman Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4179: {
			unidentifiedDisplayName: "Dragon Fly Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 1",
				"[^000088+ Chonchon^000000]",
				"Flee Rate + 18",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Fly Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 1",
				"[^000088+ Chonchon^000000]",
				"Flee Rate + 18",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4180: {
			unidentifiedDisplayName: "Driller Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain 5 SP each time a Dragon monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Driller Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain 5 SP each time a Dragon monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4181: {
			unidentifiedDisplayName: "Disguise Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting '^880000Silence^000000' on an enemy when the user receives Physical Damage.",
				"[^008800Base Vitality >= 77^000000]",
				"Add a chance of auto casting '^880000Silence^000000' is increased to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Disguise Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting '^880000Silence^000000' on an enemy when the user receives Physical Damage.",
				"[^008800Base Vitality >= 77^000000]",
				"Add a chance of auto casting '^880000Silence^000000' is increased to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4182: {
			unidentifiedDisplayName: "Diabolic Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain 5 SP each time a Demon monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Diabolic Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain 5 SP each time a Demon monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4183: {
			unidentifiedDisplayName: "Vagabond Wolf Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"STR + 1",
				"[^000088+ Wolf^000000]",
				"Flee Rate + 18",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vagabond Wolf Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"STR + 1",
				"[^000088+ Wolf^000000]",
				"Flee Rate + 18",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4184: {
			unidentifiedDisplayName: "Lava Golem Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 30% more damage on Golems.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lava Golem Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 30% more damage on Golems.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4185: {
			unidentifiedDisplayName: "Rideword Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT + 1",
				"[^008800Acolyte Class^000000]",
				"INT + 1",
				"MDEF + 1",
				"[^000088Geographer & Enchanted Peach Tree & Cookie & Seal Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rideword Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT + 1",
				"[^008800Acolyte Class^000000]",
				"INT + 1",
				"MDEF + 1",
				"[^000088Geographer & Enchanted Peach Tree & Cookie & Seal Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4186: {
			unidentifiedDisplayName: "Raggler Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"STR + 1",
				"VIT + 1",
				"[^000088Zipper Bear & Hylozoist & Myst Case & Baby Leopard Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Raggler Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"STR + 1",
				"VIT + 1",
				"[^000088Zipper Bear & Hylozoist & Myst Case & Baby Leopard Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4187: {
			unidentifiedDisplayName: "Raydric Archer Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every time you kill a Demon monster, you can receive a \"Box of Resentment\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Raydric Archer Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every time you kill a Demon monster, you can receive a \"Box of Resentment\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4188: {
			unidentifiedDisplayName: "Leib Olmai Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Red Blood' each time a Brute monster is killed.",
				"Add a 10% resistance against ^FF0000Fire^000000 Property attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leib Olmai Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Red Blood' each time a Brute monster is killed.",
				"Add a 10% resistance against ^FF0000Fire^000000 Property attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4189: {
			unidentifiedDisplayName: "Wraith Dead Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Curse^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wraith Dead Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Curse^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4190: {
			unidentifiedDisplayName: "Wraith Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every time you kill an Undead monster, you can receive a \"Giggling Box\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wraith Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every time you kill an Undead monster, you can receive a \"Giggling Box\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4191: {
			unidentifiedDisplayName: "Loli Ruri Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 3 Heal^000000 on the user when the user receives Physical Damage.",
				"[^000088+ Parasite & Miyabi Doll & Evil Nymph & Harpy & Bloody Butterfly^000000]",
				"DEF + 5",
				"MDEF + 5",
				"Maximum HP + 500",
				"Inflict 10% more damage with ^FF0000Fire^000000, ^008800Cold and Lightning Bolt^000000 skill.",
				"[^008800Mage Class^000000]",
				"MATK + 3%",
				"Reduce Casting Time by 15%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Loli Ruri Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 3 Heal^000000 on the user when the user receives Physical Damage.",
				"[^000088+ Parasite & Miyabi Doll & Evil Nymph & Harpy & Bloody Butterfly^000000]",
				"DEF + 5",
				"MDEF + 5",
				"Maximum HP + 500",
				"Inflict 10% more damage with ^FF0000Fire^000000, ^008800Cold and Lightning Bolt^000000 skill.",
				"[^008800Mage Class^000000]",
				"MATK + 3%",
				"Reduce Casting Time by 15%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4192: {
			unidentifiedDisplayName: "Rotar Zairo Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Fish monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rotar Zairo Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Fish monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4193: {
			unidentifiedDisplayName: "Lude Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"[^008800Novice, Super Novice^000000]",
				"Add a 20% chance of auto casting ^008800Level 1 Endure^000000 on the user when the user receives Physical Damage.",
				"[^000088+ Quve^000000]",
				"Maximum HP + 300",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lude Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"[^008800Novice, Super Novice^000000]",
				"Add a 20% chance of auto casting ^008800Level 1 Endure^000000 on the user when the user receives Physical Damage.",
				"[^000088+ Quve^000000]",
				"Maximum HP + 300",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4194: {
			unidentifiedDisplayName: "Rybio Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting ^880000Stun^000000 on an enemy when the user receives Physical Damage.",
				"[^008800Base Dexterity >= 77^000000]",
				"Add a chance of auto casting ^880000Stun^000000 is increased to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rybio Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting ^880000Stun^000000 on an enemy when the user receives Physical Damage.",
				"[^008800Base Dexterity >= 77^000000]",
				"Add a chance of auto casting ^880000Stun^000000 is increased to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4195: {
			unidentifiedDisplayName: "Leaf Cat Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Crystal Blue' each time a Fish or Shellfish monster is killed.",
				"Add a 10% resistance against ^0000FFWater^000000 Property attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leaf Cat Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Crystal Blue' each time a Fish or Shellfish monster is killed.",
				"Add a 10% resistance against ^0000FFWater^000000 Property attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4196: {
			unidentifiedDisplayName: "Marin Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Jellopy or Large Jellopy' each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marin Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Jellopy or Large Jellopy' each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4197: {
			unidentifiedDisplayName: "Mastering Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"LUK + 1",
				"[^000088+ Poring^000000]",
				"Flee Rate + 18",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mastering Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"LUK + 1",
				"[^000088+ Poring^000000]",
				"Flee Rate + 18",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4198: {
			unidentifiedDisplayName: "Maya Purple Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enable its user to detect hidden enemies.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Maya Purple Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enable its user to detect hidden enemies.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4199: {
			unidentifiedDisplayName: "Merman Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"HP and SP Recovery + 10%",
				"[^000088+ Cruiser & Anolian & Alligator & Dragon Tail^000000]",
				"Inflict 20% more damage with Long Range Physical attack.",
				"AGI + 5",
				"DEX + 3",
				"Seeking Attack (which never miss its target) + 20%.",
				"[^008800Archer Class^000000]",
				"Receive 5% more Experience Points from Brute monsters.",
				"Add a chance of auto casting '^880000Coma^000000' on Brute monster when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Merman Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"HP and SP Recovery + 10%",
				"[^000088+ Cruiser & Anolian & Alligator & Dragon Tail^000000]",
				"Inflict 20% more damage with Long Range Physical attack.",
				"AGI + 5",
				"DEX + 3",
				"Seeking Attack (which never miss its target) + 20%.",
				"[^008800Archer Class^000000]",
				"Receive 5% more Experience Points from Brute monsters.",
				"Add a chance of auto casting '^880000Coma^000000' on Brute monster when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4200: {
			unidentifiedDisplayName: "Megalith Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"[^333399Refine Rate 0~5^000000]",
				"MDEF + 7",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Megalith Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"[^333399Refine Rate 0~5^000000]",
				"MDEF + 7",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4201: {
			unidentifiedDisplayName: "Majoruros Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 6% chance of auto casting ^880000Stun^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Majoruros Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 6% chance of auto casting ^880000Stun^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4202: {
			unidentifiedDisplayName: "Mao Guai Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 20% more damage on ^777777Ghost^000000 Property.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mao Guai Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 20% more damage on ^777777Ghost^000000 Property.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4203: {
			unidentifiedDisplayName: "Mutant Dragonoid Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 15",
				"Add a 5% chance of auto casting ^008800Level 3 Fireball^000000 on an enemy when the user receives Physical Damage.",
				"If the user has mastered the skill at Level 10, it will cast ^008800Level 10 Fire Ball^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mutant Dragonoid Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 15",
				"Add a 5% chance of auto casting ^008800Level 3 Fireball^000000 on an enemy when the user receives Physical Damage.",
				"If the user has mastered the skill at Level 10, it will cast ^008800Level 10 Fire Ball^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4204: {
			unidentifiedDisplayName: "Mini Demon Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 10% more Experience Points from Brute monsters.",
				"Receive 20% more damage from Brute monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mini Demon Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 10% more Experience Points from Brute monsters.",
				"Receive 20% more damage from Brute monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4205: {
			unidentifiedDisplayName: "Mimic Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining \"Old Blue Box\" each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mimic Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining \"Old Blue Box\" each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4206: {
			unidentifiedDisplayName: "Myst Case Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining \"Gift Box\" each time a monster is killed.",
				"[^000088Raggler & Zipper Bear & Hylozoist & Baby Leopard Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Myst Case Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining \"Gift Box\" each time a monster is killed.",
				"[^000088Raggler & Zipper Bear & Hylozoist & Baby Leopard Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4207: {
			unidentifiedDisplayName: "Mysteltainn Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 1",
				"Receive 25% less damage from Small size monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mysteltainn Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 1",
				"Receive 25% less damage from Small size monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4208: {
			unidentifiedDisplayName: "Miyabi Doll Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum SP + 10%",
				"Inflict 5% more damage with ^008800Frost Diver^000000 skill.",
				"[^000088Loli Ruri & Parasite & Evil Nymph & Harpy & Bloody Butterfly Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Miyabi Doll Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum SP + 10%",
				"Inflict 5% more damage with ^008800Frost Diver^000000 skill.",
				"[^000088Loli Ruri & Parasite & Evil Nymph & Harpy & Bloody Butterfly Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4209: {
			unidentifiedDisplayName: "Violy Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 1 Frost Joker^000000 on an enemy when attacking.",
				"If the user has mastered the skill at Level 5, it will cast ^008800Level 5 Frost Joker^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Violy Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 1 Frost Joker^000000 on an enemy when attacking.",
				"If the user has mastered the skill at Level 5, it will cast ^008800Level 5 Frost Joker^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4210: {
			unidentifiedDisplayName: "Wanderer Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 1 Intimidate^000000 on an enemy when the user receives Physical Damage.",
				"[^008800Thief Class^000000]",
				"Flee Rate + 20",
				"[^000088The Paper & Wild Rose & Shinobi & Dancing Dragon Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wanderer Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 1 Intimidate^000000 on an enemy when the user receives Physical Damage.",
				"[^008800Thief Class^000000]",
				"Flee Rate + 20",
				"[^000088The Paper & Wild Rose & Shinobi & Dancing Dragon Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4211: {
			unidentifiedDisplayName: "Vocal Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"MDEF + 3",
				"[^000088+ Rocker^000000]",
				"Flee Rate + 18",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vocal Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MDEF + 3",
				"[^000088+ Rocker^000000]",
				"Flee Rate + 18",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4212: {
			unidentifiedDisplayName: "Bongun Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 1 Bash^000000 on an enemy when the user receives Physical Damage.",
				"The ^008800Bash^000000 skill shoves the enemy 5 cells back.",
				"Receive 100% more damage from Munaks.",
				"[^000088Munak & Hyegun Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bongun Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 1 Bash^000000 on an enemy when the user receives Physical Damage.",
				"The ^008800Bash^000000 skill shoves the enemy 5 cells back.",
				"Receive 100% more damage from Munaks.",
				"[^000088Munak & Hyegun Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4213: {
			unidentifiedDisplayName: "Brilight Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Silence^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Brilight Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Silence^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4214: {
			unidentifiedDisplayName: "Bloody Murderer Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Insect monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bloody Murderer Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Insect monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4215: {
			unidentifiedDisplayName: "Blazzer Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining a Food item each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blazzer Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining a Food item each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4216: {
			unidentifiedDisplayName: "Sasquatch Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 6% chance of freezing on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sasquatch Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 6% chance of freezing on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4217: {
			unidentifiedDisplayName: "Enchanted Peach Tree Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 1 Heal^000000 on the user when attacking.",
				"If the user has mastered the skill at Level 10, it will cast ^008800Level 10 Heal^000000.",
				"[^000088Geographer & Rideword & Cookie & Seal Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Enchanted Peach Tree Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 1 Heal^000000 on the user when attacking.",
				"If the user has mastered the skill at Level 10, it will cast ^008800Level 10 Heal^000000.",
				"[^000088Geographer & Rideword & Cookie & Seal Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4218: {
			unidentifiedDisplayName: "Succubus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"VIT - 3",
				"Maximum HP + 1000",
				"HP Recovery - 20%",
				"[^000088+ Incubus^000000]",
				"VIT + 4",
				"HP Recovery + 30%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Succubus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"VIT - 3",
				"Maximum HP + 1000",
				"HP Recovery - 20%",
				"[^000088+ Incubus^000000]",
				"VIT + 4",
				"HP Recovery + 30%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4219: {
			unidentifiedDisplayName: "Sage Worm Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining a Gemstone each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sage Worm Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining a Gemstone each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4220: {
			unidentifiedDisplayName: "Solider Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 2",
				"MDEF + 2",
				"[^000088Assaulter & Permeter & Freezer & Heater Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Solider Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 2",
				"MDEF + 2",
				"[^000088Assaulter & Permeter & Freezer & Heater Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4221: {
			unidentifiedDisplayName: "Skeleton General Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 10% more Experience Points from Insect monsters.",
				"Receive 20% more damage from Insect monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Skeleton General Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 10% more Experience Points from Insect monsters.",
				"Receive 20% more damage from Insect monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4222: {
			unidentifiedDisplayName: "Skel Prisoner Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting '^880000Sleep^000000' on an enemy when the user receives Physical Damage.",
				"[^000088+ Skeleton^000000]",
				"'^880000Sleep^000000' chance increases to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Skel Prisoner Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting '^880000Sleep^000000' on an enemy when the user receives Physical Damage.",
				"[^000088+ Skeleton^000000]",
				"'^880000Sleep^000000' chance increases to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4223: {
			unidentifiedDisplayName: "Stalactic Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 1",
				"Add a 20% resistance against ^880000Stun^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stalactic Golem Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 1",
				"Add a 20% resistance against ^880000Stun^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4224: {
			unidentifiedDisplayName: "Stem Worm Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every time you kill a Brute monster, you can receive a \"Box of Storms\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stem Worm Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every time you kill a Brute monster, you can receive a \"Box of Storms\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4225: {
			unidentifiedDisplayName: "Stone Shooter Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"HIT + 10",
				"ATK + 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stone Shooter Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"HIT + 10",
				"ATK + 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4226: {
			unidentifiedDisplayName: "Sting Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 2",
				"[^333399Refine Rate 9~10^000000]",
				"MDEF + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sting Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 2",
				"[^333399Refine Rate 9~10^000000]",
				"MDEF + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4227: {
			unidentifiedDisplayName: "Spring Rabbit Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Meat' or 'Monster's Feed' each time a Brute monster is killed.",
				"'Meat' and 'Monster's Feed' restore 50% more HP.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spring Rabbit Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Meat' or 'Monster's Feed' each time a Brute monster is killed.",
				"'Meat' and 'Monster's Feed' restore 50% more HP.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4228: {
			unidentifiedDisplayName: "Sleeper Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every time you kill a Fish monster, you can receive a \"Box of Drowsiness\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sleeper Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every time you kill a Fish monster, you can receive a \"Box of Drowsiness\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4229: {
			unidentifiedDisplayName: "Tower Keeper Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT + 1",
				"Reduce Casting Time by 5%.",
				"[^000088+ Alarm & Clock & Punk^000000]",
				"MDEF + 3",
				"DEF + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tower Keeper Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT + 1",
				"Reduce Casting Time by 5%.",
				"[^000088+ Alarm & Clock & Punk^000000]",
				"MDEF + 3",
				"DEF + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4230: {
			unidentifiedDisplayName: "Shinobi Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 1",
				"Add a 10% chance of auto casting ^008800Level 5 Cloaking^000000 on the user when the user receives Physical Damage.",
				"If you equip this without learning ^008800Level 3 Cloaking^000000 or higher, it only activates when you are next to the wall.",
				"[^000088Wanderer & The Paper & Wild Rose & Dancing Dragon Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shinobi Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 1",
				"Add a 10% chance of auto casting ^008800Level 5 Cloaking^000000 on the user when the user receives Physical Damage.",
				"If you equip this without learning ^008800Level 3 Cloaking^000000 or higher, it only activates when you are next to the wall.",
				"[^000088Wanderer & The Paper & Wild Rose & Dancing Dragon Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4231: {
			unidentifiedDisplayName: "Mi Gao Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 50% less damage from Guardians during War of Emperium hours.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mi Gao Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 50% less damage from Guardians during War of Emperium hours.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4232: {
			unidentifiedDisplayName: "Hermit Plant Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Red Herb', 'Yellow Herb' or 'White Herb' each time a Plant monster is killed.",
				"Herb items restore 50% more HP.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hermit Plant Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Red Herb', 'Yellow Herb' or 'White Herb' each time a Plant monster is killed.",
				"Herb items restore 50% more HP.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4233: {
			unidentifiedDisplayName: "Baby Leopard Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"LUK + 3",
				"[^008800Merchant Class^000000]",
				"Make an armor indestructible (except in upgrade attempts).",
				"[^000088Raggler & Zipper Bear & Hylozoist & Myst Case Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Baby Leopard Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"LUK + 3",
				"[^008800Merchant Class^000000]",
				"Make an armor indestructible (except in upgrade attempts).",
				"[^000088Raggler & Zipper Bear & Hylozoist & Myst Case Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4234: {
			unidentifiedDisplayName: "Anolian Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting ^008800Level 1 Attention Concentrate^000000 on the user when the user receives Physical Damage.",
				"If the user has mastered the skill at Level 10, it will cast ^008800Level 10 Attention Concentrate^000000.",
				"[^000088Cruiser & Alligator & Merman & Dragon Tail Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Anolian Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting ^008800Level 1 Attention Concentrate^000000 on the user when the user receives Physical Damage.",
				"If the user has mastered the skill at Level 10, it will cast ^008800Level 10 Attention Concentrate^000000.",
				"[^000088Cruiser & Alligator & Merman & Dragon Tail Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4235: {
			unidentifiedDisplayName: "Christmas Cookie Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 10% more Experience Points from Angel monsters.",
				"Receive 20% more damage from Angel monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Christmas Cookie Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 10% more Experience Points from Angel monsters.",
				"Receive 20% more damage from Angel monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4236: {
			unidentifiedDisplayName: "Amon Ra Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"All Stats + 1",
				"Add a 3% chance of auto casting ^008800Level 10 Kyrie Eleison^000000 on the user when the user receives Physical Damage.",
				"[^008800Base Intelligence >= 99^000000]",
				"Add a chance of auto casting ^008800Level 10 Kyrie Eleison^000000 is increased to 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Amon Ra Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"All Stats + 1",
				"Add a 3% chance of auto casting ^008800Level 10 Kyrie Eleison^000000 on the user when the user receives Physical Damage.",
				"[^008800Base Intelligence >= 99^000000]",
				"Add a chance of auto casting ^008800Level 10 Kyrie Eleison^000000 is increased to 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4237: {
			unidentifiedDisplayName: "Owl Duke Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 0.3% chance of auto casting ^008800Level 3 Impositio Manus^000000 on the user when the user receives Physical Damage.",
				"[^000088+ Owl Baron^000000]",
				"Add a 2% chance of auto casting ^008800Level 5 Lightning Bolt^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Owl Duke Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 0.3% chance of auto casting ^008800Level 3 Impositio Manus^000000 on the user when the user receives Physical Damage.",
				"[^000088+ Owl Baron^000000]",
				"Add a 2% chance of auto casting ^008800Level 5 Lightning Bolt^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4238: {
			unidentifiedDisplayName: "Owl Baron Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting ^008800Level 1 Lex Aeterna^000000 on an enemy when the user receives Physical Damage.",
				"[^000088Owl Duke Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Owl Baron Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting ^008800Level 1 Lex Aeterna^000000 on an enemy when the user receives Physical Damage.",
				"[^000088Owl Duke Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4239: {
			unidentifiedDisplayName: "Iron Fist Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 10% more Experience Points from Formless monsters. In a shared-party, any member can kill the Formless monster, but only the wearer will get the extra EXP.",
				"Receive 20% more damage from Formless monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Iron Fist Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 10% more Experience Points from Formless monsters. In a shared-party, any member can kill the Formless monster, but only the wearer will get the extra EXP.",
				"Receive 20% more damage from Formless monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4240: {
			unidentifiedDisplayName: "Arclouze Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"[^333399Refine Rate 0~5^000000]",
				"DEF + 2",
				"MDEF + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Arclouze Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"[^333399Refine Rate 0~5^000000]",
				"DEF + 2",
				"MDEF + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4241: {
			unidentifiedDisplayName: "Arc Angeling Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP + 300",
				"[^008800Base Lucky >= 77^000000]",
				"Increase HP and SP Recovery by 100%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Arc Angeling Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP + 300",
				"[^008800Base Lucky >= 77^000000]",
				"Increase HP and SP Recovery by 100%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4242: {
			unidentifiedDisplayName: "Apocalipse Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"VIT + 2",
				"[^333399Refine Rate 9~10^000000]",
				"Maximum HP + 800",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Apocalipse Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"VIT + 2",
				"[^333399Refine Rate 9~10^000000]",
				"Maximum HP + 800",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4243: {
			unidentifiedDisplayName: "Antonio Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 50% chance of auto casting ^008800Level 1 Teleport^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Antonio Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 50% chance of auto casting ^008800Level 1 Teleport^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4244: {
			unidentifiedDisplayName: "Alarm Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP + 300",
				"VIT + 1",
				"Add a 20% chance of auto casting ^008800Level 1 Sight^000000 around the user when the user receives Physical Damage.",
				"[^000088Clock Tower Manager & Clock & Punk Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Alarm Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP + 300",
				"VIT + 1",
				"Add a 20% chance of auto casting ^008800Level 1 Sight^000000 around the user when the user receives Physical Damage.",
				"[^000088Clock Tower Manager & Clock & Punk Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4245: {
			unidentifiedDisplayName: "Am Mut Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 10% more Experience Points from DemiHuman monsters.",
				"Receive 20% more damage from DemiHuman monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Am Mut Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 10% more Experience Points from DemiHuman monsters.",
				"Receive 20% more damage from DemiHuman monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4246: {
			unidentifiedDisplayName: "Assaulter Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on DemiHuman monster.",
				"[^000088+ Solider & Permeter & Freezer & Heater^000000]",
				"Add a 0.3% chance of auto casting ^008800Level 3 Weapon Perfection^000000 on the enemy when attacking.",
				"HP Recovery + 50%",
				"Maximum HP + 20%",
				"STR + 10",
				"Add a 30% chance of gaining 'Red Potion' item each time a monster is killed.",
				"[^008800Swordman Class^000000]",
				"Red, Yellow and White Potions restore 50% more HP.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Assaulter Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on DemiHuman monster.",
				"[^000088+ Solider & Permeter & Freezer & Heater^000000]",
				"Add a 0.3% chance of auto casting ^008800Level 3 Weapon Perfection^000000 on the enemy when attacking.",
				"HP Recovery + 50%",
				"Maximum HP + 20%",
				"STR + 10",
				"Add a 30% chance of gaining 'Red Potion' item each time a monster is killed.",
				"[^008800Swordman Class^000000]",
				"Red, Yellow and White Potions restore 50% more HP.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4247: {
			unidentifiedDisplayName: "Aster Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 30% more damage on Shell Fishes.",
				"ATK + 5",
				"[^000088Crab & Shell Fish Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aster Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 30% more damage on Shell Fishes.",
				"ATK + 5",
				"[^000088Crab & Shell Fish Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4248: {
			unidentifiedDisplayName: "Ancient Mummy Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting ^008800Level 5 Signum Crucis^000000 when the user receives Physical Damage.",
				"[^000088+ Mummy^000000]",
				"Seeking Attack (which never miss its target) + 20",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ancient Mummy Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting ^008800Level 5 Signum Crucis^000000 when the user receives Physical Damage.",
				"[^000088+ Mummy^000000]",
				"Seeking Attack (which never miss its target) + 20",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4249: {
			unidentifiedDisplayName: "Ancient Worm Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 10% more Experience Points from Demon monsters.",
				"Receive 20% more damage from Demon monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ancient Worm Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 10% more Experience Points from Demon monsters.",
				"Receive 20% more damage from Demon monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4250: {
			unidentifiedDisplayName: "Executioner Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 1",
				"Receive 25% less damage from Large size monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Executioner Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 1",
				"Receive 25% less damage from Large size monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4251: {
			unidentifiedDisplayName: "Elder Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 40% more damage on Guardians during War of Emperium hours.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elder Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 40% more damage on Guardians during War of Emperium hours.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4252: {
			unidentifiedDisplayName: "Alligator Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 5% less damage from Long Range Physical attack.",
				"[^000088Cruiser & Anolian & Merman & Dragon Tail Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Alligator Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 5% less damage from Long Range Physical attack.",
				"[^000088Cruiser & Anolian & Merman & Dragon Tail Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4253: {
			unidentifiedDisplayName: "Alice Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 40% less damage from Boss monster.",
				"Receive 40% more damage from normal monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Alice Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 40% less damage from Boss monster.",
				"Receive 40% more damage from normal monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4254: {
			unidentifiedDisplayName: "Ogretooth Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 1",
				"Receive 25% less damage from Medium size monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ogretooth Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 1",
				"Receive 25% less damage from Medium size monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4255: {
			unidentifiedDisplayName: "Orc Lady Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 30% more damage on Every Orc except Orc Lord and Orc Hero.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Lady Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 30% more damage on Every Orc except Orc Lord and Orc Hero.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4256: {
			unidentifiedDisplayName: "Orc Archer Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every time you kill a DemiHuman monster, you can receive a \"Box of Panting\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Archer Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every time you kill a DemiHuman monster, you can receive a \"Box of Panting\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4257: {
			unidentifiedDisplayName: "Wild Rose Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 1",
				"[^008800Thief Class^000000]",
				"Perfect Dodge + 5",
				"[^000088Wanderer & The Paper & Shinobi & Dancing Dragon Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wild Rose Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 1",
				"[^008800Thief Class^000000]",
				"Perfect Dodge + 5",
				"[^000088Wanderer & The Paper & Shinobi & Dancing Dragon Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4258: {
			unidentifiedDisplayName: "Evil Nymph Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT + 1",
				"Maximum SP + 50",
				"[^000088Loli Ruri & Parasite & Miyabi Doll & Harpy & Bloody Butterfly Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Evil Nymph Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT + 1",
				"Maximum SP + 50",
				"[^000088Loli Ruri & Parasite & Miyabi Doll & Harpy & Bloody Butterfly Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4259: {
			unidentifiedDisplayName: "Wooden Golem Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"HP Recovery + 30%",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wooden Golem Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"HP Recovery + 30%",
				"DEF + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4260: {
			unidentifiedDisplayName: "Wootan Shooter Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 1",
				"Add a 20% resistance against ^880000Confusion^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wootan Shooter Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 1",
				"Add a 20% resistance against ^880000Confusion^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4261: {
			unidentifiedDisplayName: "Wootan Fighter Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 1",
				"Add a 20% resistance against ^880000External Bleeding^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wootan Fighter Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 1",
				"Add a 20% resistance against ^880000External Bleeding^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4262: {
			unidentifiedDisplayName: "Cloud Hermit Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every time you kill a Plant monster, you can receive a \"Box of Gloom\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cloud Hermit Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every time you kill a Plant monster, you can receive a \"Box of Gloom\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4263: {
			unidentifiedDisplayName: "Samurai Spector Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Ignore normal monster's defense when attacking.",
				"Reduces natural HP recovery by 100% and drain 666 HP every 10 seconds.",
				"Drain 999 HP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Samurai Spector Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Ignore normal monster's defense when attacking.",
				"Reduces natural HP recovery by 100% and drain 666 HP every 10 seconds.",
				"Drain 999 HP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4264: {
			unidentifiedDisplayName: "Wind Ghost Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 3 Jupitel Thunder^000000 on the enemy when attacking.",
				"If the user has mastered the skill at Level 10, it will cast ^008800Level 10 Jupitel Thunder^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wind Ghost Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 3 Jupitel Thunder^000000 on the enemy when attacking.",
				"If the user has mastered the skill at Level 10, it will cast ^008800Level 10 Jupitel Thunder^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4265: {
			unidentifiedDisplayName: "Jing Guai Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every time you kill an Angel monster, you can receive a \"Box of Sunlight\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jing Guai Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every time you kill an Angel monster, you can receive a \"Box of Sunlight\".",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4266: {
			unidentifiedDisplayName: "Eclipse Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"VIT + 1",
				"[^000088+ Lunatic^000000]",
				"Flee Rate + 18",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Eclipse Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"VIT + 1",
				"[^000088+ Lunatic^000000]",
				"Flee Rate + 18",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4267: {
			unidentifiedDisplayName: "Explosion Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 10% more Experience Points from Dragon monsters.",
				"Receive 20% more damage from Dragon monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Explosion Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 10% more Experience Points from Dragon monsters.",
				"Receive 20% more damage from Dragon monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4268: {
			unidentifiedDisplayName: "Injustice Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 1 Sonic Blow^000000 on the enemy when attacking.",
				"[^000088+ Zherlthsh^000000]",
				"ATK + 20",
				"LUK + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Injustice Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 1 Sonic Blow^000000 on the enemy when attacking.",
				"[^000088+ Zherlthsh^000000]",
				"ATK + 20",
				"LUK + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4269: {
			unidentifiedDisplayName: "Incubus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT - 3",
				"Maximum SP + 150",
				"SP Recovery - 20%",
				"[^000088+ Succubus^000000]",
				"INT + 4",
				"SP Recovery + 30%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Incubus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT - 3",
				"Maximum SP + 150",
				"SP Recovery - 20%",
				"[^000088+ Succubus^000000]",
				"INT + 4",
				"SP Recovery + 30%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4270: {
			unidentifiedDisplayName: "Giant Spider Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Poison^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Spider Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Poison^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4271: {
			unidentifiedDisplayName: "Giant Hornet Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Wind of Verdure' each time an Insect monster is killed.",
				"Add a 10% resistance against ^009900Wind^000000 Property attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Hornet Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Wind of Verdure' each time an Insect monster is killed.",
				"Add a 10% resistance against ^009900Wind^000000 Property attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4272: {
			unidentifiedDisplayName: "Zhu Po Long Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 1",
				"Critical Rate + 3",
				"[^000088Wanderer & The Paper & Wild Rose & Shinobi Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zhu Po Long Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 1",
				"Critical Rate + 3",
				"[^000088Wanderer & The Paper & Wild Rose & Shinobi Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4273: {
			unidentifiedDisplayName: "Shell Fish Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 30% more damage on Crabs.",
				"ATK + 5",
				"[^000088Crab & Aster Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shell Fish Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 30% more damage on Crabs.",
				"ATK + 5",
				"[^000088Crab & Aster Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4274: {
			unidentifiedDisplayName: "Zombie Master Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain 5 SP each time an Undead monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zombie Master Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain 5 SP each time an Undead monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4275: {
			unidentifiedDisplayName: "Zombie Prisoner Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 10% more Experience Points from Undead monsters.",
				"Receive 20% more damage from Undead monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zombie Prisoner Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 10% more Experience Points from Undead monsters.",
				"Receive 20% more damage from Undead monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4276: {
			unidentifiedDisplayName: "Lord of The Dead Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 0.1% chance of auto casting '^880000Coma^000000' on an enemy.",
				"Add a 5% chance of auto casting ^880000Stun, Curse, Silence, Poison, External Bleeding^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lord of The Dead Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 0.1% chance of auto casting '^880000Coma^000000' on an enemy.",
				"Add a 5% chance of auto casting ^880000Stun, Curse, Silence, Poison, External Bleeding^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4277: {
			unidentifiedDisplayName: "Zealotus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"LUK + 2",
				"Inflict 10% more damage with Throw Arrow and Musical Strike.",
				"[^000088Injustice Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zealotus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"LUK + 2",
				"Inflict 10% more damage with Throw Arrow and Musical Strike.",
				"[^000088Injustice Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4278: {
			unidentifiedDisplayName: "Gibbet Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"[^333399Refine Rate 0~5^000000]",
				"MDEF + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gibbet Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"[^333399Refine Rate 0~5^000000]",
				"MDEF + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4279: {
			unidentifiedDisplayName: "Earth Deleter Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduces natural SP recovery by 100%.",
				"Gain 10 SP each time an enemy is killed by a Physical Melee Damage.",
				"Drain 100 SP as the armor is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Earth Deleter Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduces natural SP recovery by 100%.",
				"Gain 10 SP each time an enemy is killed by a Physical Melee Damage.",
				"Drain 100 SP as the armor is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4280: {
			unidentifiedDisplayName: "Geographer Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting ^008800Level 2 Blessing^000000 on the user when the user receives Physical Damage.",
				"If the user has mastered the skill at Level 10, it will cast ^008800Level 10 Blessing^000000.",
				"[^000088+ Rideword & Enchanted Peach Tree & Cookie & Seal^000000]",
				"VIT + 10",
				"Reduce Casting Time by 10%.",
				"[^008800Acolyte Class^000000]",
				"Receive 30% less damage from Demon and Undead monster.",
				"Receive 5% more Experience Points from Demon and Undead monsters.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Geographer Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting ^008800Level 2 Blessing^000000 on the user when the user receives Physical Damage.",
				"If the user has mastered the skill at Level 10, it will cast ^008800Level 10 Blessing^000000.",
				"[^000088+ Rideword & Enchanted Peach Tree & Cookie & Seal^000000]",
				"VIT + 10",
				"Reduce Casting Time by 10%.",
				"[^008800Acolyte Class^000000]",
				"Receive 30% less damage from Demon and Undead monster.",
				"Receive 5% more Experience Points from Demon and Undead monsters.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4281: {
			unidentifiedDisplayName: "Zipper Bear Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 30",
				"Drain 1 SP from its owner on each attack.",
				"[^008800Merchant Class^000000]",
				"Make a weapon indestructible (except in upgrade attempts).",
				"[^000088Raggler & Hylozoist & Myst Case & Baby Leopard Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zipper Bear Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 30",
				"Drain 1 SP from its owner on each attack.",
				"[^008800Merchant Class^000000]",
				"Make a weapon indestructible (except in upgrade attempts).",
				"[^000088Raggler & Hylozoist & Myst Case & Baby Leopard Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4282: {
			unidentifiedDisplayName: "Tengu Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining a restorative item each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tengu Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining a restorative item each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4283: {
			unidentifiedDisplayName: "Greatest General Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 0.2% chance of auto casting ^008800Level 5 Call Spirits^000000 on the user when attacking.",
				"[^008800Acolyte Class^000000]",
				"The chance is increased to 2%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Greatest General Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 0.2% chance of auto casting ^008800Level 5 Call Spirits^000000 on the user when attacking.",
				"[^008800Acolyte Class^000000]",
				"The chance is increased to 2%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4284: {
			unidentifiedDisplayName: "Chepet Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 5 Heal^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chepet Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 5 Heal^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4285: {
			unidentifiedDisplayName: "Choco Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Perfect Dodge + 5",
				"Flee Rate + 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Choco Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Perfect Dodge + 5",
				"Flee Rate + 10",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4286: {
			unidentifiedDisplayName: "Karakasa Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting '^880000Confusion^000000' on an enemy when the user receives Physical Damage.",
				"[^008800Base Strength >= 77^000000]",
				"Add a chance of auto casting '^880000Confusion^000000' is increased to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Karakasa Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting '^880000Confusion^000000' on an enemy when the user receives Physical Damage.",
				"[^008800Base Strength >= 77^000000]",
				"Add a chance of auto casting '^880000Confusion^000000' is increased to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4287: {
			unidentifiedDisplayName: "Kapha Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"[^333399Refine Rate 0~5^000000]",
				"MDEF + 8",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kapha Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"[^333399Refine Rate 0~5^000000]",
				"MDEF + 8",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4288: {
			unidentifiedDisplayName: "Carat Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT + 2",
				"[^333399Refine Rate 9~10^000000]",
				"Maximum SP + 150",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Carat Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT + 2",
				"[^333399Refine Rate 9~10^000000]",
				"Maximum SP + 150",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4289: {
			unidentifiedDisplayName: "Caterpillar Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain 5 SP each time a Plant monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Caterpillar Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain 5 SP each time a Plant monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4290: {
			unidentifiedDisplayName: "Cat O' Nine Tails Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reflect single target Magic back at the caster (Success Chance 5%).",
				"MDEF + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cat O' Nine Tails Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reflect single target Magic back at the caster (Success Chance 5%).",
				"MDEF + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4291: {
			unidentifiedDisplayName: "Kobold Leader Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 30% more damage on Kobolds.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kobold Leader Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 30% more damage on Kobolds.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4292: {
			unidentifiedDisplayName: "Kobold Archer Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Plant monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kobold Archer Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Plant monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4293: {
			unidentifiedDisplayName: "Cookie Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"LUK + 2",
				"Inflict 10% more damage with ^008800Holy Light^000000.",
				"[^000088Geographer & Rideword & Enchanted Peach Tree & Seal Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cookie Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"LUK + 2",
				"Inflict 10% more damage with ^008800Holy Light^000000.",
				"[^000088Geographer & Rideword & Enchanted Peach Tree & Seal Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4294: {
			unidentifiedDisplayName: "Quve Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"[^008800Novice, Super Novice^000000]",
				"Add a 10% chance of auto casting ^008800Level 1 Increase Agility^000000 on the user when the user receives Physical Damage.",
				"[^000088+ Lude^000000]",
				"Maximum SP + 60",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Quve Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"[^008800Novice, Super Novice^000000]",
				"Add a 10% chance of auto casting ^008800Level 1 Increase Agility^000000 on the user when the user receives Physical Damage.",
				"[^000088+ Lude^000000]",
				"Maximum SP + 60",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4295: {
			unidentifiedDisplayName: "Chraben Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Blind^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kraben Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Blind^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4296: {
			unidentifiedDisplayName: "Cramp Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 1% chance of gaining a certain amount of Zeny each time a monster is killed.",
				"[^000088+ Tarou^000000]",
				"STR + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cramp Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 1% chance of gaining a certain amount of Zeny each time a monster is killed.",
				"[^000088+ Tarou^000000]",
				"STR + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4297: {
			unidentifiedDisplayName: "Cruiser Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Brute monster.",
				"[^000088Anolian & Alligator & Merman & Dragon Tail Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cruiser Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Brute monster.",
				"[^000088Anolian & Alligator & Merman & Dragon Tail Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4298: {
			unidentifiedDisplayName: "Creamy Fear Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Confusion^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Creamy Fear Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 6% chance of auto casting '^880000Confusion^000000' on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4299: {
			unidentifiedDisplayName: "Clock Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting ^008800Level 3 Auto Guard^000000 on the user when the user receives Physical Damage.",
				"If the user has mastered the skill at Level 10, it will cast ^008800Level 10 Auto Guard^000000.",
				"[^000088Clock Tower Manager & Alarm & Punk Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Clock Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting ^008800Level 3 Auto Guard^000000 on the user when the user receives Physical Damage.",
				"If the user has mastered the skill at Level 10, it will cast ^008800Level 10 Auto Guard^000000.",
				"[^000088Clock Tower Manager & Alarm & Punk Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4300: {
			unidentifiedDisplayName: "Chimera Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting ^880000Poison^000000 on an enemy when the user receives Physical Damage.",
				"[^008800Assassin, Assassin Cross^000000]",
				"^880000Poison^000000 chance increases to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chimera Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting ^880000Poison^000000 on an enemy when the user receives Physical Damage.",
				"[^008800Assassin, Assassin Cross^000000]",
				"^880000Poison^000000 chance increases to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4301: {
			unidentifiedDisplayName: "Killer Mantis Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 6% chance of auto casting ^880000External Bleeding^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Killer Mantis Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 6% chance of auto casting ^880000External Bleeding^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4302: {
			unidentifiedDisplayName: "Tao Gunka Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP + 100%",
				"DEF - 50, MDEF - 50",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tao Gunka Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP + 100%",
				"DEF - 50, MDEF - 50",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4303: {
			unidentifiedDisplayName: "Giant Whisper Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Flee Rate + 10",
				"[^008800Base Strength >= 80^000000]",
				"ATK + 20",
				"[^008800Base Vitality >= 80^000000]",
				"Maximum HP + 3%",
				"[^008800Base Lucky >= 80^000000]",
				"Critical Rate + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Whisper Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Flee Rate + 10",
				"[^008800Base Strength >= 80^000000]",
				"ATK + 20",
				"[^008800Base Vitality >= 80^000000]",
				"Maximum HP + 3%",
				"[^008800Base Lucky >= 80^000000]",
				"Critical Rate + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4304: {
			unidentifiedDisplayName: "Tamruan Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 2",
				"Inflict 10% more damage with ^008800Shield Charge and Shield Boomerang^000000 skills.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tamruan Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 2",
				"Inflict 10% more damage with ^008800Shield Charge and Shield Boomerang^000000 skills.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4305: {
			unidentifiedDisplayName: "Turtle General Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases damage inflicted on all enemies by 20%.",
				"Add a 3% chance of automatically casting ^008800Level 10 Magnum Break^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Turtle General Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases damage inflicted on all enemies by 20%.",
				"Add a 3% chance of automatically casting ^008800Level 10 Magnum Break^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4306: {
			unidentifiedDisplayName: "Toad Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Perfect Dodge + 1",
				"[^000088+ Roda Frog^000000]",
				"Flee Rate + 18",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Toad Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Perfect Dodge + 1",
				"[^000088+ Roda Frog^000000]",
				"Flee Rate + 18",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4307: {
			unidentifiedDisplayName: "Beetle King Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain 5 SP each time a Fish monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Beetle King Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain 5 SP each time a Fish monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4308: {
			unidentifiedDisplayName: "Tri Joint Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain 5 SP each time a Neutral monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tri Joint Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain 5 SP each time a Neutral monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4309: {
			unidentifiedDisplayName: "Parasite Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 1",
				"Add a 5% resistance against ^777777Neutral^000000 Property attacks.",
				"[^000088Loli Ruri & Miyabi Doll & Evil Nymph & Harpy & Bloody Butterfly Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Parasite Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 1",
				"Add a 5% resistance against ^777777Neutral^000000 Property attacks.",
				"[^000088Loli Ruri & Miyabi Doll & Evil Nymph & Harpy & Bloody Butterfly Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4310: {
			unidentifiedDisplayName: "Panzer Goblin Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Demon monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Panzer Goblin Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 10% more damage with Critical attacks.",
				"Critical Rate + 7 on Demon monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4311: {
			unidentifiedDisplayName: "Permeter Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 15% resistance against ^777777Shadow^000000 and ^777777Undead^000000 Property attacks.",
				"[^000088Solider & Assaulter & Freezer & Heater Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Permeter Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 15% resistance against ^777777Shadow^000000 and ^777777Undead^000000 Property attacks.",
				"[^000088Solider & Assaulter & Freezer & Heater Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4312: {
			unidentifiedDisplayName: "Fur Seal Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"HIT + 10",
				"Flee Rate + 3",
				"[^008800Acolyte Class^000000]",
				"Critical Rate + 9 on Demon and Undead monster.",
				"[^000088Geographer & Rideword & Enchanted Peach Tree & Cookie Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fur Seal Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"HIT + 10",
				"Flee Rate + 3",
				"[^008800Acolyte Class^000000]",
				"Critical Rate + 9 on Demon and Undead monster.",
				"[^000088Geographer & Rideword & Enchanted Peach Tree & Cookie Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4313: {
			unidentifiedDisplayName: "Punk Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 1 Quagmire^000000 around the user when the user receives Physical Damage.",
				"If the user has mastered the skill at Level 5, it will cast ^008800Level 5 Quagmire^000000.",
				"[^000088Clock Tower Manager & Alarm & Clock Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Punk Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 1 Quagmire^000000 around the user when the user receives Physical Damage.",
				"If the user has mastered the skill at Level 5, it will cast ^008800Level 5 Quagmire^000000.",
				"[^000088Clock Tower Manager & Alarm & Clock Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4314: {
			unidentifiedDisplayName: "Penomena Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Receive 30% less damage from Formless monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Penomena Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Receive 30% less damage from Formless monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4315: {
			unidentifiedDisplayName: "Pest Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting '^880000Stone Curse^000000' on an enemy when the user receives Physical Damage.",
				"[^008800Base Intelligence >= 77^000000]",
				"Add a chance of auto casting '^880000Stone Curse^000000' is increased to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pest Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting '^880000Stone Curse^000000' on an enemy when the user receives Physical Damage.",
				"[^008800Base Intelligence >= 77^000000]",
				"Add a chance of auto casting '^880000Stone Curse^000000' is increased to 9%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4316: {
			unidentifiedDisplayName: "False Angel Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain 5 SP each time an Angel monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "False Angel Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain 5 SP each time an Angel monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4317: {
			unidentifiedDisplayName: "Mobster Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 15% more damage with Critical attacks.",
				"[^008800Thief Class^000000]",
				"Critical Rate + 4",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mobster Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 15% more damage with Critical attacks.",
				"[^008800Thief Class^000000]",
				"Critical Rate + 4",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4318: {
			unidentifiedDisplayName: "Stormy Knight Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 2 Storm Gust^000000 on the enemy when attacking.",
				"Has 20% chance of Freezing an enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stormy Knight Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 2 Storm Gust^000000 on the enemy when attacking.",
				"Has 20% chance of Freezing an enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4319: {
			unidentifiedDisplayName: "Freezer Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP + 300",
				"[^333399Refine Rate 9~10^000000]",
				"Inflict 10% more damage with ^008800Bash^000000.",
				"[^000088Solider & Assaulter & Permeter & Heater Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freezer Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP + 300",
				"[^333399Refine Rate 9~10^000000]",
				"Inflict 10% more damage with ^008800Bash^000000.",
				"[^000088Solider & Assaulter & Permeter & Heater Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4320: {
			unidentifiedDisplayName: "Bloody Knight Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 1 Meteor Storm^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bloody Knight Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 2% chance of auto casting ^008800Level 1 Meteor Storm^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4321: {
			unidentifiedDisplayName: "Hylozoist Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of transforming a monster while fighting.",
				"[^000088+ Raggler & Zipper Bear & Myst Case & Baby Leopard^000000]",
				"Restore 2 SP every time when attacking.",
				"Inflict 20% more damage with ^008800Mammonite^000000.",
				"LUK + 10",
				"[^008800Merchant Class^000000]",
				"Add a chance of gaining \"Old Purple Box\" each time a monster is killed.",
				"Reflect single target Magic back at the caster (Success Chance 20%).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hylozoist Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of transforming a monster while fighting.",
				"[^000088+ Raggler & Zipper Bear & Myst Case & Baby Leopard^000000]",
				"Restore 2 SP every time when attacking.",
				"Inflict 20% more damage with ^008800Mammonite^000000.",
				"LUK + 10",
				"[^008800Merchant Class^000000]",
				"Add a chance of gaining \"Old Purple Box\" each time a monster is killed.",
				"Reflect single target Magic back at the caster (Success Chance 20%).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4322: {
			unidentifiedDisplayName: "High Orc Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 1",
				"Reflect 5% of all Physical Melee Damage back to the enemy which inflicted it.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "High Orc Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 1",
				"Reflect 5% of all Physical Melee Damage back to the enemy which inflicted it.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4323: {
			unidentifiedDisplayName: "Hatii Bebe Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 3 Frost Diver^000000 on the enemy when attacking.",
				"[^000088+ Garm^000000]",
				"^008800Frost Diver^000000 chance Increases to 30%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hatii Bebe Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 3 Frost Diver^000000 on the enemy when attacking.",
				"[^000088+ Garm^000000]",
				"^008800Frost Diver^000000 chance Increases to 30%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4324: {
			unidentifiedDisplayName: "Hatii Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 50% chance of auto casting '^880000Freeze^000000' on an enemy when the user receives Physical Damage.",
				"[^000088Garm Baby Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hatii Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 50% chance of auto casting '^880000Freeze^000000' on an enemy when the user receives Physical Damage.",
				"[^000088Garm Baby Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4325: {
			unidentifiedDisplayName: "Harpy Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 15% resistance against ^777777Neutral^000000 Property attacks.",
				"Inflict 5% more damage with ^008800Napalm Beat^000000.",
				"[^000088Loli Ruri & Parasite & Miyabi Doll & Evil Nymph & Bloody Butterfly Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Harpy Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 15% resistance against ^777777Neutral^000000 Property attacks.",
				"Inflict 5% more damage with ^008800Napalm Beat^000000.",
				"[^000088Loli Ruri & Parasite & Miyabi Doll & Evil Nymph & Bloody Butterfly Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4326: {
			unidentifiedDisplayName: "Sea-Otter Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Sushi' or 'Raw Fish' each time a Fish monster is killed.",
				"Sushi and Raw Fish items restore 50% more HP.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sea-Otter Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Sushi' or 'Raw Fish' each time a Fish monster is killed.",
				"Sushi and Raw Fish items restore 50% more HP.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4327: {
			unidentifiedDisplayName: "Bloody Butterfly Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Spell casting can not be interrupted.",
				"Increase Casting Time by 30%.",
				"Inflict 5% more damage with ^008800Fire Wall^000000.",
				"[^000088Loli Ruri & Parasite & Miyabi Doll & Evil Nymph & Harpy Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bloody Butterfly Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Spell casting can not be interrupted.",
				"Increase Casting Time by 30%.",
				"Inflict 5% more damage with ^008800Fire Wall^000000.",
				"[^000088Loli Ruri & Parasite & Miyabi Doll & Evil Nymph & Harpy Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4328: {
			unidentifiedDisplayName: "Yao Jun Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Flee Rate + 15",
				"Critical Rate + 1",
				"[^000088+ Munak & Bongun^000000]",
				"All Stats + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yao Jun Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Flee Rate + 15",
				"Critical Rate + 1",
				"[^000088+ Munak & Bongun^000000]",
				"All Stats + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4329: {
			unidentifiedDisplayName: "Phendark Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain 5 SP each time a DemiHuman monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Phendark Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain 5 SP each time a DemiHuman monster is killed by a Physical Melee Damage.",
				"Drain 5 SP as the weapon is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4330: {
			unidentifiedDisplayName: "Evil Snake Lord Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Never be affected by ^880000Blind^000000 and ^880000Curse^000000 effects.",
				"INT + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Evil Snake Lord Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Never be affected by ^880000Blind^000000 and ^880000Curse^000000 effects.",
				"INT + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4331: {
			unidentifiedDisplayName: "Heater Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Critical Rate + 3",
				"[^008800Swordman Class^000000]",
				"Perfect Dodge + 3",
				"[^000088Solider & Assaulter & Permeter & Freezer Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Heater Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Critical Rate + 3",
				"[^008800Swordman Class^000000]",
				"Perfect Dodge + 3",
				"[^000088Solider & Assaulter & Permeter & Freezer Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4332: {
			unidentifiedDisplayName: "Waste Stove Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 5, INT + 1",
				"[^000088+ Rideword & Cookie & Seal^000000]",
				"ATK + 25",
				"STR + 3, Maximum SP + 80",
				"Add a 1% chance of auto casting ^008800Level 5 Signum Crucis^000000 on the enemy when attacking.",
				"Inflict 10% more damage with Asura Strike.",
				"[^008800Monk, Champion^000000]",
				"Reduce SP Consumption of skills by 10%.",
				"Spell casting can not be interrupted.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Waste Stove Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 5, INT + 1",
				"[^000088+ Rideword & Cookie & Seal^000000]",
				"ATK + 25",
				"STR + 3, Maximum SP + 80",
				"Add a 1% chance of auto casting ^008800Level 5 Signum Crucis^000000 on the enemy when attacking.",
				"Inflict 10% more damage with Asura Strike.",
				"[^008800Monk, Champion^000000]",
				"Reduce SP Consumption of skills by 10%.",
				"Spell casting can not be interrupted.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4333: {
			unidentifiedDisplayName: "Venomous Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 30% chance of auto casting '^880000Poison^000000' on an enemy and yourself when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Venomous Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 30% chance of auto casting '^880000Poison^000000' on an enemy and yourself when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4334: {
			unidentifiedDisplayName: "Noxious Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce damage from Long Range attacks by 10%.",
				"10% Resistance to ^777777Neutral^000000 attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Noxious Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce damage from Long Range attacks by 10%.",
				"10% Resistance to ^777777Neutral^000000 attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4335: {
			unidentifiedDisplayName: "Pitman Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 5% more damage with ^008800Earth Spike and Heavens Drive^000000.",
				"-50 SP when unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pitman Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 5% more damage with ^008800Earth Spike and Heavens Drive^000000.",
				"-50 SP when unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4336: {
			unidentifiedDisplayName: "Ungoliant Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain immunity to the ^880000External Bleeding^000000 status.",
				"HP Recovery + 10%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ungoliant Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain immunity to the ^880000External Bleeding^000000 status.",
				"HP Recovery + 10%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4337: {
			unidentifiedDisplayName: "Porcellio Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 25",
				"DEF - 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Porcellio Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 25",
				"DEF - 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4338: {
			unidentifiedDisplayName: "Obsidian Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every 18 Base DEX, you gain 1 VIT.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Obsidian Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every 18 Base DEX, you gain 1 VIT.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4339: {
			unidentifiedDisplayName: "Mineral Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK - 25",
				"DEF + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mineral Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK - 25",
				"DEF + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4340: {
			unidentifiedDisplayName: "Teddy Bear Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce damage from Undead monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Teddy Bear Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce damage from Undead monster by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4341: {
			unidentifiedDisplayName: "Metaling Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 1 Strip Weapon^000000 on enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Metaling Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 1 Strip Weapon^000000 on enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4342: {
			unidentifiedDisplayName: "RSX-0806 Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Can not be knocked back.",
				"VIT + 3",
				"Make an armor indestructible (except in upgrade attempts).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "RSX-0806 Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Can not be knocked back.",
				"VIT + 3",
				"Make an armor indestructible (except in upgrade attempts).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4343: {
			unidentifiedDisplayName: "Holden Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"LUK + 2",
				"[^000088+ Raggler & Zipper Bear & Muka & Baby Leopard^000000]",
				"STR + 4",
				"Maximum HP and SP + 7%",
				"Inflict 20% more damage with ^008800Mammonite^000000.",
				"Gain 1 SP every time when the user receives Physical attack on the enemies.",
				"[^008800Alchemist, Creator^000000]",
				"Add a 1% chance of auto casting ^008800Level 1 Adrenaline Rush^000000 on the user when attacking.",
				"Add a chance of gaining \"Glistening Coat\" or \"Stem\" each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Holden Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"LUK + 2",
				"[^000088+ Raggler & Zipper Bear & Muka & Baby Leopard^000000]",
				"STR + 4",
				"Maximum HP and SP + 7%",
				"Inflict 20% more damage with ^008800Mammonite^000000.",
				"Gain 1 SP every time when the user receives Physical attack on the enemies.",
				"[^008800Alchemist, Creator^000000]",
				"Add a 1% chance of auto casting ^008800Level 1 Adrenaline Rush^000000 on the user when attacking.",
				"Add a chance of gaining \"Glistening Coat\" or \"Stem\" each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4344: {
			unidentifiedDisplayName: "Anopheles Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Tentacle and Cheese Gratin' each time an Insect monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Anopheles Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Tentacle and Cheese Gratin' each time an Insect monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4345: {
			unidentifiedDisplayName: "Hill Wind Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 5% more damage with ^008800Thunder Storm, Jupitel Thunder and Lord of Vermilion^000000.",
				"-50 SP when unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hill Wind Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 5% more damage with ^008800Thunder Storm, Jupitel Thunder and Lord of Vermilion^000000.",
				"-50 SP when unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4346: {
			unidentifiedDisplayName: "Egnigem Cenia Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every 18 Base INT, you gain 1 STR.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Egnigem Cenia Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every 18 Base INT, you gain 1 STR.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4347: {
			unidentifiedDisplayName: "Armeyer Dinze Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Clam Soup' each time a Fish monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Armeyer Dinze Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Clam Soup' each time a Fish monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4348: {
			unidentifiedDisplayName: "Wickebine Tres Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 1 Strip Armor^000000 on the enemy when attacking.",
				"[^000088+ Stainer & Wanderer & Wild Rose & Shinobi^000000]",
				"STR + 6",
				"AGI + 4",
				"Inflict 10% more damage with Back Stab.",
				"Add a 5% chance of auto casting ^008800Level 5 Strip Armor^000000 on the enemy when attacking if the user has mastered the skill at Level 5.",
				"[^008800Rogue, Stalker^000000]",
				"Intimidate Auto-Spell will not function.",
				"Reduce SP Consumption of skills by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wickebine Tres Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 1 Strip Armor^000000 on the enemy when attacking.",
				"[^000088+ Stainer & Wanderer & Wild Rose & Shinobi^000000]",
				"STR + 6",
				"AGI + 4",
				"Inflict 10% more damage with Back Stab.",
				"Add a 5% chance of auto casting ^008800Level 5 Strip Armor^000000 on the enemy when attacking if the user has mastered the skill at Level 5.",
				"[^008800Rogue, Stalker^000000]",
				"Intimidate Auto-Spell will not function.",
				"Reduce SP Consumption of skills by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4349: {
			unidentifiedDisplayName: "Errende Ebecee Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 1 Pneuma^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Errende Ebecee Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 1 Pneuma^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4350: {
			unidentifiedDisplayName: "Laurell Weinder Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 3% more damage with ^008800Frost Nova and Storm Gust^000000.",
				"-50 SP when unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Laurell Weinder Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 3% more damage with ^008800Frost Nova and Storm Gust^000000.",
				"-50 SP when unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4351: {
			unidentifiedDisplayName: "Kavach Icarus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Flee Rate + 10",
				"[^333399Refine Rate 0~4^000000]",
				"Additional Flee Rate + 10",
				"Perfect Dodge + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kavach Icarus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Flee Rate + 10",
				"[^333399Refine Rate 0~4^000000]",
				"Additional Flee Rate + 10",
				"Perfect Dodge + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4352: {
			unidentifiedDisplayName: "Boss Egnigem Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every 10 seconds, you recover 50 HP and 10 SP.",
				"Increases Maximum HP and Maximum SP by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Boss Egnigem Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every 10 seconds, you recover 50 HP and 10 SP.",
				"Increases Maximum HP and Maximum SP by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4353: {
			unidentifiedDisplayName: "Remover Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP + 800, decreases with the Refine Rate.",
				"HP Recovery + 10%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Remover Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP + 800, decreases with the Refine Rate.",
				"HP Recovery + 10%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4354: {
			unidentifiedDisplayName: "Gemini-S58 Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"[^008800Base Agility >= 90^000000]",
				"Add a 30% resistance against ^880000Silence^000000 and ^880000Stun^000000.",
				"[^008800Base Vitality >= 80^000000]",
				"Add a 50% resistance against ^880000Stone Curse^000000 and ^880000Sleep^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gemini-S58 Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"[^008800Base Agility >= 90^000000]",
				"Add a 30% resistance against ^880000Silence^000000 and ^880000Stun^000000.",
				"[^008800Base Vitality >= 80^000000]",
				"Add a 50% resistance against ^880000Stone Curse^000000 and ^880000Sleep^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4355: {
			unidentifiedDisplayName: "Gremlin Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Bomber Steak' each time a Brute monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gremlin Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Bomber Steak' each time a Brute monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4356: {
			unidentifiedDisplayName: "Beholder Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 1 Cast Cancel^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Beholder Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 1 Cast Cancel^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4357: {
			unidentifiedDisplayName: "Lord Knight Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 1 Berserk^000000.",
				"Maximum HP - 50%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lord Knight Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 1 Berserk^000000.",
				"Maximum HP - 50%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4358: {
			unidentifiedDisplayName: "Seyren Windsor Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"STR - 6",
				"Increase STR by an amount equal to the refine rate of the equipment this card is compound on.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Seyren Windsor Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"STR - 6",
				"Increase STR by an amount equal to the refine rate of the equipment this card is compound on.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4359: {
			unidentifiedDisplayName: "Assassin Cross Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 3 Cloaking^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Assassin Cross Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 3 Cloaking^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4360: {
			unidentifiedDisplayName: "Eremes Guile Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Critical Rate + 10 on DemiHuman monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Eremes Guile Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Critical Rate + 10 on DemiHuman monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4361: {
			unidentifiedDisplayName: "MasterSmith Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 10% chance of breaking the enemy's weapon and a 7% chance of breaking the enemy's armor when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "MasterSmith Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 10% chance of breaking the enemy's weapon and a 7% chance of breaking the enemy's armor when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4362: {
			unidentifiedDisplayName: "Howard Alt-Eisen Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"HIT + 30",
				"Decreases Attack Speed by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Howard Alt-Eisen Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"HIT + 30",
				"Decreases Attack Speed by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4363: {
			unidentifiedDisplayName: "High Priest Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every time you receive a Magical or a Physical Damage, small chance to auto-spell ^008800Level 1 Assumptio^000000 on yourself.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "High Priest Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every time you receive a Magical or a Physical Damage, small chance to auto-spell ^008800Level 1 Assumptio^000000 on yourself.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4364: {
			unidentifiedDisplayName: "Margaretha Sorin Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 15% chance of auto casting ^008800Level 5 Lex Divina^000000 on an enemy when the user receives Magical Damage.",
				"INT + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Margaretha Sorin Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 15% chance of auto casting ^008800Level 5 Lex Divina^000000 on an enemy when the user receives Magical Damage.",
				"INT + 1",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4365: {
			unidentifiedDisplayName: "High Wizard Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Ignores MDEF of normal monsters. Slows your casting time by 2x. Reduces SP regeneration rate by 100%.",
				"Drain 2000 SP as the headgear is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "High Wizard Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Ignores MDEF of normal monsters. Slows your casting time by 2x. Reduces SP regeneration rate by 100%.",
				"Drain 2000 SP as the headgear is unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4366: {
			unidentifiedDisplayName: "Kathryne Keyron Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce Casting Time by 1% per Refine Level of the equipment this card is compunded on.",
				"[^333399Refine Rate 9~10^000000]",
				"MATK + 2%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kathryne Keyron Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce Casting Time by 1% per Refine Level of the equipment this card is compunded on.",
				"[^333399Refine Rate 9~10^000000]",
				"MATK + 2%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4367: {
			unidentifiedDisplayName: "Sniper Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduces HP recovery by 100%.",
				"Add a 5% chance of gaining 20% of the damage inflicted on an enemy as HP with each attack.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sniper Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduces HP recovery by 100%.",
				"Add a 5% chance of gaining 20% of the damage inflicted on an enemy as HP with each attack.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4368: {
			unidentifiedDisplayName: "Cecil Damon Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"HIT - 30",
				"Increases Attack Speed by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cecil Damon Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"HIT - 30",
				"Increases Attack Speed by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4369: {
			unidentifiedDisplayName: "Venatu Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every 18 Base AGI, you gain 1 LUK.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Venatu Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every 18 Base AGI, you gain 1 LUK.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4370: {
			unidentifiedDisplayName: "Dimik Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"VIT - 5",
				"Increase VIT by an amount equal to the refine rate of the equipment this card is compound on.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dimik Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"VIT - 5",
				"Increase VIT by an amount equal to the refine rate of the equipment this card is compound on.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4371: {
			unidentifiedDisplayName: "Archdam Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 10",
				"Increase Casting Time by 20%.",
				"[^000088+ Permeter & Freezer & Heater^000000]",
				"INT + 1",
				"STR + 1",
				"DEF + 2",
				"SP Recovery + 10%",
				"Inflict 10% more damage with Shield Chain and Sacrifice.",
				"Reduce Casting Time by 10%.",
				"[^008800Crusader, Paladin^000000]",
				"Blesses an Armor with the ^777777Holy^000000 Property.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Archdam Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 10",
				"Increase Casting Time by 20%.",
				"[^000088+ Permeter & Freezer & Heater^000000]",
				"INT + 1",
				"STR + 1",
				"DEF + 2",
				"SP Recovery + 10%",
				"Inflict 10% more damage with Shield Chain and Sacrifice.",
				"Reduce Casting Time by 10%.",
				"[^008800Crusader, Paladin^000000]",
				"Blesses an Armor with the ^777777Holy^000000 Property.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4372: {
			unidentifiedDisplayName: "White Lady Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases effectiveness of your ^008800Heal, Sanctuary and Potion Pitcher^000000 by 30%.",
				"Increases SP taken by all skills by 15%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "White Lady Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases effectiveness of your ^008800Heal, Sanctuary and Potion Pitcher^000000 by 30%.",
				"Increases SP taken by all skills by 15%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4373: {
			unidentifiedDisplayName: "Green Maiden Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"LUK - 5",
				"Increase LUK and Critical Rate + 1% per Refine Level of the equipment this card is compounded on.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Maiden Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"LUK - 5",
				"Increase LUK and Critical Rate + 1% per Refine Level of the equipment this card is compounded on.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4374: {
			unidentifiedDisplayName: "Vesper Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every time you do a Magical attack, it ignores 30% of Boss-type monster's MDEF, and does damage accordingly.",
				"DEX + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vesper Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every time you do a Magical attack, it ignores 30% of Boss-type monster's MDEF, and does damage accordingly.",
				"DEX + 2",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4375: {
			unidentifiedDisplayName: "Orc Baby Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase resistance to ^777777Neutral^000000 Property attacks by 10%.",
				"Flee Rate + 10",
				"[^333399Refine Rate 9~10^000000]",
				"Add a resistance against ^777777Neutral^000000 Property attacks by 5%.",
				"Add a Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Baby Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase resistance to ^777777Neutral^000000 Property attacks by 10%.",
				"Flee Rate + 10",
				"[^333399Refine Rate 9~10^000000]",
				"Add a resistance against ^777777Neutral^000000 Property attacks by 5%.",
				"Add a Flee Rate + 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4376: {
			unidentifiedDisplayName: "Lady Tanee Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP - 40%",
				"Maximum SP + 50%",
				"Add a 2% chance of gaining 'Banana' each time a monster is killed.",
				"Double Banana's healing rate.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lady Tanee Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP - 40%",
				"Maximum SP + 50%",
				"Add a 2% chance of gaining 'Banana' each time a monster is killed.",
				"Double Banana's healing rate.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4377: {
			unidentifiedDisplayName: "Grove Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Fruit Punch' each time a Formless monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Grove Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Fruit Punch' each time a Formless monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4378: {
			unidentifiedDisplayName: "Gold Acidus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP and SP + 4%",
				"[^333399Refine Rate 0~4^000000]",
				"Additional Maximum HP and SP + 4%",
				"HP and SP Recovery + 5%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gold Acidus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP and SP + 4%",
				"[^333399Refine Rate 0~4^000000]",
				"Additional Maximum HP and SP + 4%",
				"HP and SP Recovery + 5%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4379: {
			unidentifiedDisplayName: "Blue Acidus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum SP + 40",
				"[^333399Refine Rate 0~4^000000]",
				"Additional Maximum SP + 40",
				"SP Recovery + 5%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Acidus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum SP + 40",
				"[^333399Refine Rate 0~4^000000]",
				"Additional Maximum SP + 40",
				"SP Recovery + 5%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4380: {
			unidentifiedDisplayName: "Red Ferus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 5% more damage with ^008800Fire Pillar and Meteor Storm^000000.",
				"-50 SP when unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Ferus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 5% more damage with ^008800Fire Pillar and Meteor Storm^000000.",
				"-50 SP when unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4381: {
			unidentifiedDisplayName: "Green Ferus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"VIT + 1",
				"Maximum HP + 10%",
				"[^000088+ Cruiser & Anolian & Alligator & Dragon Tail^000000]",
				"DEX + 5",
				"Inflict 5% more damage with Arrow Vulcan, and inflict 10% more damage with Musical Strike and Throw Arrow.",
				"[^008800Bard, Dancer, Clown, Gypsy^000000]",
				"Add a 5% chance of auto casting ^008800Level 2 Tarot Card of Fate^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Ferus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"VIT + 1",
				"Maximum HP + 10%",
				"[^000088+ Cruiser & Anolian & Alligator & Dragon Tail^000000]",
				"DEX + 5",
				"Inflict 5% more damage with Arrow Vulcan, and inflict 10% more damage with Musical Strike and Throw Arrow.",
				"[^008800Bard, Dancer, Clown, Gypsy^000000]",
				"Add a 5% chance of auto casting ^008800Level 2 Tarot Card of Fate^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4382: {
			unidentifiedDisplayName: "Yellow Novus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Maximum HP + 500",
				"HP Recovery + 10%",
				"[^000088+ Miyabi Doll & Evil Nymph & Harpy & Bloody Butterfly^000000]",
				"INT + 3",
				"Inflict 10% more damage with ^008800Heaven's Drive and Thunder Storm^000000.",
				"[^008800Sage, Professor^000000]",
				"Reflect single target Magic back at the caster (Success Chance 20%).",
				"Add a 1% chance of gaining 'Red Gemstone' or 'Yellow Gemstone' item each time a monster is killed.",
				"Reduce Casting Time by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yellow Novus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Maximum HP + 500",
				"HP Recovery + 10%",
				"[^000088+ Miyabi Doll & Evil Nymph & Harpy & Bloody Butterfly^000000]",
				"INT + 3",
				"Inflict 10% more damage with ^008800Heaven's Drive and Thunder Storm^000000.",
				"[^008800Sage, Professor^000000]",
				"Reflect single target Magic back at the caster (Success Chance 20%).",
				"Add a 1% chance of gaining 'Red Gemstone' or 'Yellow Gemstone' item each time a monster is killed.",
				"Reduce Casting Time by 20%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4383: {
			unidentifiedDisplayName: "Red Novus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 30% chance of auto casting '^880000Confusion^000000' on an enemy and yourself when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Novus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 30% chance of auto casting '^880000Confusion^000000' on an enemy and yourself when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4384: {
			unidentifiedDisplayName: "Hydrolancer Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 10% chance of auto casting ^008800Level 1 Spell Breaker^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hydrolancer Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 10% chance of auto casting ^008800Level 1 Spell Breaker^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4385: {
			unidentifiedDisplayName: "Dragon Egg Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Herb and Honey Tea' each time a Dragon monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Egg Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Herb and Honey Tea' each time a Dragon monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4386: {
			unidentifiedDisplayName: "Detardeurus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Gain protection from the ^880000Freeze^000000 status.",
				"Add a 5% chance of auto casting ^008800Level 1 Land Protector^000000 around the user when the user receives Magical Damage.",
				"MDEF - 20",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Detardeurus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Gain protection from the ^880000Freeze^000000 status.",
				"Add a 5% chance of auto casting ^008800Level 1 Land Protector^000000 around the user when the user receives Magical Damage.",
				"MDEF - 20",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4387: {
			unidentifiedDisplayName: "Ancient Mimic Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every 18 Base LUK, you gain 1 AGI.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ancient Mimic Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every 18 Base LUK, you gain 1 AGI.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4388: {
			unidentifiedDisplayName: "Death Word Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 5% more damage with ^008800Soul Strike, Napalm Beat, Napalm Vulcan^000000.",
				"-50 SP when unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Death Word Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 5% more damage with ^008800Soul Strike, Napalm Beat, Napalm Vulcan^000000.",
				"-50 SP when unequipped.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4389: {
			unidentifiedDisplayName: "Plasma Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Elemental Resist Potion' each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Plasma Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Elemental Resist Potion' each time a monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4390: {
			unidentifiedDisplayName: "Breeze Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 5",
				"Add a 5% chance of auto casting ^880000External Bleeding^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Breeze Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 5",
				"Add a 5% chance of auto casting ^880000External Bleeding^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4391: {
			unidentifiedDisplayName: "Baroness of Retribution Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a chance of gaining 'Fried Sweet Potato with Syrup' each time an Angel monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Baroness of Retribution Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a chance of gaining 'Fried Sweet Potato with Syrup' each time an Angel monster is killed.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4392: {
			unidentifiedDisplayName: "Dame of Sentinel Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every 18 Base VIT, you gain 1 DEX.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dame of Sentinel Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every 18 Base VIT, you gain 1 DEX.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4393: {
			unidentifiedDisplayName: "Mistress of Shelter Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Every 18 Base STR, you gain 1 INT.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mistress of Shelter Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Every 18 Base STR, you gain 1 INT.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4394: {
			unidentifiedDisplayName: "Lady Solace Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"[^008800Priest, High Priest^000000]",
				"Add a 2% chance of auto casting ^008800Level 5 Grand Cross^000000 when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lady Solace Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"[^008800Priest, High Priest^000000]",
				"Add a 2% chance of auto casting ^008800Level 5 Grand Cross^000000 when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4395: {
			unidentifiedDisplayName: "Maero of Thanatos Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 5",
				"Add a 5% chance of auto casting ^008800Level 3 Decrease Agility^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Maero of Thanatos Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 5",
				"Add a 5% chance of auto casting ^008800Level 3 Decrease Agility^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4396: {
			unidentifiedDisplayName: "Odium of Thanatos Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI - 5",
				"Increase AGI by an amount equal to the refine rate of the equipment this card is compounded on.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Odium of Thanatos Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI - 5",
				"Increase AGI by an amount equal to the refine rate of the equipment this card is compounded on.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4397: {
			unidentifiedDisplayName: "Despero of Thanatos Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT - 6",
				"Increase INT by an amount equal to the refine rate of the equipment this card is compounded on.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Despero of Thanatos Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT - 6",
				"Increase INT by an amount equal to the refine rate of the equipment this card is compounded on.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4398: {
			unidentifiedDisplayName: "Dolor of Thanatos Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Whenever you do a Magical attack, 10% additional damage vs. Angel-type enemies.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dolor of Thanatos Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Whenever you do a Magical attack, 10% additional damage vs. Angel-type enemies.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4399: {
			unidentifiedDisplayName: "Memory of Thanatos Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Deals more damage depending on the target's defense.",
				"Drain 1 SP from its owner on each attack.",
				"DEF - 30, Flee Rate - 30",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Memory of Thanatos Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Deals more damage depending on the target's defense.",
				"Drain 1 SP from its owner on each attack.",
				"DEF - 30, Flee Rate - 30",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4400: {
			unidentifiedDisplayName: "Aliza Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Wink of Charm^000000 on an enemy when the user receives Physical Damage.",
				"[^008800Dancer, Gypsy^000000]",
				"Auto cast chance increases to 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aliza Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Wink of Charm^000000 on an enemy when the user receives Physical Damage.",
				"[^008800Dancer, Gypsy^000000]",
				"Auto cast chance increases to 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4401: {
			unidentifiedDisplayName: "Alicel Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Flee Rate + 10",
				"DEF - 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Alicel Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Flee Rate + 10",
				"DEF - 5",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4402: {
			unidentifiedDisplayName: "Aliot Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"[^008800Swordman, Merchant, Thief Class^000000]",
				"STR + 2, Maximum HP + 5%",
				"[^008800Mage, Acolyte, Archer Class^000000]",
				"INT + 2, Maximum SP + 5%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aliot Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"[^008800Swordman, Merchant, Thief Class^000000]",
				"STR + 2, Maximum HP + 5%",
				"[^008800Mage, Acolyte, Archer Class^000000]",
				"INT + 2, Maximum SP + 5%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4403: {
			unidentifiedDisplayName: "Kiel-D-01 Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduces all skill's after-cast delay by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kiel-D-01 Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduces all skill's after-cast delay by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4404: {
			unidentifiedDisplayName: "Skogul Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 30% chance of auto casting ^880000External Bleeding^000000 on an enemy and yourself when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Skogul Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 30% chance of auto casting ^880000External Bleeding^000000 on an enemy and yourself when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4405: {
			unidentifiedDisplayName: "Frus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reflect single target Magic back at the caster by 2 times the refine rate chance. When used by a mage type character, MDEF + 3.",
				"However, the reflect chance increases only up to + 10 refine.",
				"[^008800Mage Class^000000]",
				"MDEF + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Frus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reflect single target Magic back at the caster by 2 times the refine rate chance. When used by a mage type character, MDEF + 3.",
				"However, the reflect chance increases only up to + 10 refine.",
				"[^008800Mage Class^000000]",
				"MDEF + 3",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4406: {
			unidentifiedDisplayName: "Skeggiold Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Whenever you do a Magical attack, 2% additional damage vs. Demon-type enemies.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Skeggiold Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Whenever you do a Magical attack, 2% additional damage vs. Demon-type enemies.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4407: {
			unidentifiedDisplayName: "Randgris Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 1% chance of auto casting ^008800Level 1 Dispell^000000 when attacking.",
				"Make a weapon indestructible (except in upgrade attempts).",
				"Increases Physical Attack Strength by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Randgris Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 1% chance of auto casting ^008800Level 1 Dispell^000000 when attacking.",
				"Make a weapon indestructible (except in upgrade attempts).",
				"Increases Physical Attack Strength by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4408: {
			unidentifiedDisplayName: "Gloom Under Night Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase damage inflicted on ^777777Holy^000000 Property, ^777777Shadow^000000 Property, Angel monster, Demon monster by 40%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gloom Under Night Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase damage inflicted on ^777777Holy^000000 Property, ^777777Shadow^000000 Property, Angel monster, Demon monster by 40%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4409: {
			unidentifiedDisplayName: "Agav Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"MATK + 5%, DEF - 10",
				"[^008800Mage Class^000000]",
				"SP + 100",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Agav Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MATK + 5%, DEF - 10",
				"[^008800Mage Class^000000]",
				"SP + 100",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4410: {
			unidentifiedDisplayName: "Echio Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 15",
				"[^008800Swordman Class^000000]",
				"HP + 500",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Echio Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 15",
				"[^008800Swordman Class^000000]",
				"HP + 500",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4411: {
			unidentifiedDisplayName: "Vanberk Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"STR + 2, For 5 seconds Critical Rate + 100 when attacking to the enemies.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vanberk Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"STR + 2, For 5 seconds Critical Rate + 100 when attacking to the enemies.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4412: {
			unidentifiedDisplayName: "Isilla Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT + 2, Reduce Casting Time by 50% for 5 seconds when performing a Magical attack. FLEE Rate + 30 ",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Isilla Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT + 2, Reduce Casting Time by 50% for 5 seconds when performing a Magical attack. FLEE Rate + 30",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4413: {
			unidentifiedDisplayName: "Hodremlin Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduces damage from Small, Medium, and Large type monsters by 15%.",
				"For 10 seconds Perfect Dodge + 30 on the user when the user receives Physical or Magical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hodremlin Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduces damage from Small, Medium, and Large type monsters by 15%.",
				"For 10 seconds Perfect Dodge + 30 on the user when the user receives Physical or Magical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4414: {
			unidentifiedDisplayName: "Seeker Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"MDEF + 10",
				"Enables use of ^008800Level 1 Stone Curse^000000.",
				"Increase resistance to ^880000Stone Curse^000000 status by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Seeker Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MDEF + 10",
				"Enables use of ^008800Level 1 Stone Curse^000000.",
				"Increase resistance to ^880000Stone Curse^000000 status by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4415: {
			unidentifiedDisplayName: "Snowier Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a low chance of gaining Ice Cream when a monster gets killed.",
				"Ice Cream recovery rate + 100%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Snowier Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a low chance of gaining Ice Cream when a monster gets killed.",
				"Ice Cream recovery rate + 100%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4416: {
			unidentifiedDisplayName: "Siroma Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce Casting Time of ^008800Cold Bolt^000000 by 25%. Inflict 25% more damage with ^008800Cold Bolt^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Siroma Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce Casting Time of ^008800Cold Bolt^000000 by 25%. Inflict 25% more damage with ^008800Cold Bolt^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4417: {
			unidentifiedDisplayName: "Ice Titan Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"VIT + 2",
				"For 10 seconds DEF + 10 when the user receives Physical or Magical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ice Titan Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"VIT + 2",
				"For 10 seconds DEF + 10 when the user receives Physical or Magical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4418: {
			unidentifiedDisplayName: "Gazeti Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 2 Cold Bolt^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gazeti Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 5% chance of auto casting ^008800Level 2 Cold Bolt^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4419: {
			unidentifiedDisplayName: "Ktullanux Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases damage against ^FF0000Fire^000000 Property monsters by 50%.",
				"Add a 3% chance of auto casting ^008800Level 10 Frost Nova^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ktullanux Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases damage against ^FF0000Fire^000000 Property monsters by 50%.",
				"Add a 3% chance of auto casting ^008800Level 10 Frost Nova^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4420: {
			unidentifiedDisplayName: "Muscipular Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 3% chance of auto casting ^008800Level 1 Heal^000000 and ^008800Level 1 Increase Agi^000000 on yourself when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Muscipular Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 3% chance of auto casting ^008800Level 1 Heal^000000 and ^008800Level 1 Increase Agi^000000 on yourself when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4421: {
			unidentifiedDisplayName: "Drosera Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase Critical Rate + 15 damage with Long Range Physical attack.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Drosera Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase Critical Rate + 15 damage with Long Range Physical attack.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4422: {
			unidentifiedDisplayName: "Roween Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Flee Rate + 5, Perfect Dodge + 3",
				"Increase damage on ^0000FFWater^000000 Property enemies by 10%.",
				"Add a Critical Rate + 15 to the Fish monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Roween Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Flee Rate + 5, Perfect Dodge + 3",
				"Increase damage on ^0000FFWater^000000 Property enemies by 10%.",
				"Add a Critical Rate + 15 to the Fish monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4423: {
			unidentifiedDisplayName: "Galion Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"HIT + 5, Increase damage on ^0000FFWater^000000 Property enemies by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Galion Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"HIT + 5, Increase damage on ^0000FFWater^000000 Property enemies by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4424: {
			unidentifiedDisplayName: "Stapo Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Enables use of ^008800Level 1 Pick Stone^000000 and ^008800Level 1 Throw Stone^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stapo Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Enables use of ^008800Level 1 Pick Stone^000000 and ^008800Level 1 Throw Stone^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4425: {
			unidentifiedDisplayName: "Atroce Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 25",
				"When dealing a physical attack there is a small chance that for 10 seconds your aspd will increase by 100%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Atroce Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 25",
				"When dealing a physical attack there is a small chance that for 10 seconds your aspd will increase by 100%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4426: {
			unidentifiedDisplayName: "Byorgue Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"[^008800Rogue, Stalker^000000]",
				"ATK + 10%, MATK + 10%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Byorgue Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"[^008800Rogue, Stalker^000000]",
				"ATK + 10%, MATK + 10%",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4427: {
			unidentifiedDisplayName: "Sword Guardian Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Critical Rate + 5, HIT + 5",
				"Increases ^008800Bowling Bash^000000 damage with an one hand or two handed sword by 25%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sword Guardian Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Critical Rate + 5, HIT + 5",
				"Increases ^008800Bowling Bash^000000 damage with an one hand or two handed sword by 25%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4428: {
			unidentifiedDisplayName: "Bow Guardian Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Critical Rate + 5, HIT + 5",
				"Increases ^008800Arrow Shower^000000 damage when used with a bow by 50%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bow Guardian Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Critical Rate + 5, HIT + 5",
				"Increases ^008800Arrow Shower^000000 damage when used with a bow by 50%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4429: {
			unidentifiedDisplayName: "Salamander Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 40% more damage with ^008800Fire Pillar and Meteor Storm^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Salamander Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 40% more damage with ^008800Fire Pillar and Meteor Storm^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4430: {
			unidentifiedDisplayName: "Ifrit Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase ATK, Critical Rate, and HIT every 10 Job Level.",
				"Add a 1% chance of auto casting ^008800Level 2 Earthquake^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ifrit Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase ATK, Critical Rate, and HIT every 10 Job Level.",
				"Add a 1% chance of auto casting ^008800Level 2 Earthquake^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4431: {
			unidentifiedDisplayName: "Kasa Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 5% chance of autocast ^008800Level 5 Fire Bolt^000000 on the enemy when attacking.",
				"Add a 5% chance of autocast ^008800Level 5 Fire Ball^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kasa Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 5% chance of autocast ^008800Level 5 Fire Bolt^000000 on the enemy when attacking.",
				"Add a 5% chance of autocast ^008800Level 5 Fire Ball^000000 on the enemy when attacking.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4432: {
			unidentifiedDisplayName: "Magmaring Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 5",
				"Increase damage on ^996600Earth^000000 Property enemies by 10%.",
				"Add a Critical Rate + 15 to the Brute monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Magmaring Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 5",
				"Increase damage on ^996600Earth^000000 Property enemies by 10%.",
				"Add a Critical Rate + 15 to the Brute monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Garment^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4433: {
			unidentifiedDisplayName: "Imp Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Reduce Casting Time of ^008800Fire Bolt^000000 by 25%. Inflict 25% more damage with ^008800Fire Bolt^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Imp Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Reduce Casting Time of ^008800Fire Bolt^000000 by 25%. Inflict 25% more damage with ^008800Fire Bolt^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4434: {
			unidentifiedDisplayName: "Knocker Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases damage on Formless monster by 5%.",
				"A small chance to get Rough Oridecon and Rough Eluminium from Formless monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Knocker Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases damage on Formless monster by 5%.",
				"A small chance to get Rough Oridecon and Rough Eluminium from Formless monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4435: {
			unidentifiedDisplayName: "Zombie Slaughter Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"^000088Recover 50 HP^000000, When killing a monster.",
				"Increase Physical and Magical Damage on DemiHuman monster by 1%.",
				"[^000088Ragged Zombie Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zombie Slaughter Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"^000088Recover 50 HP^000000, When killing a monster.",
				"Increase Physical and Magical Damage on DemiHuman monster by 1%.",
				"[^000088Ragged Zombie Card Combo^000000]",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4436: {
			unidentifiedDisplayName: "Ragged Zombie Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a Critical Rate + 5 to the DemiHuman monster when attacking.",
				"Increase Physical or Magical Damage by 1%.",
				"Every time you attack, small chance to cause ^880000External Bleeding^000000 status ailment.",
				"[^000088+ Zombie Slaughter^000000]",
				"Gain 2 SP every killing a DemiHuman monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ragged Zombie Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a Critical Rate + 5 to the DemiHuman monster when attacking.",
				"Increase Physical or Magical Damage by 1%.",
				"Every time you attack, small chance to cause ^880000External Bleeding^000000 status ailment.",
				"[^000088+ Zombie Slaughter^000000]",
				"Gain 2 SP every killing a DemiHuman monster.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4437: {
			unidentifiedDisplayName: "Hell Poodle Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"HIT + 1, Meat recovery rate + 100%.",
				"^880000External Bleeding^000000 an enemy when you attack (Success Chance 1%).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hell Poodle Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"HIT + 1, Meat recovery rate + 100%.",
				"^880000External Bleeding^000000 an enemy when you attack (Success Chance 1%).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Accessory^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4438: {
			unidentifiedDisplayName: "Banshee Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"[^008800Mage Class^000000]",
				"SP + 100, HP - 100",
				"Inflict 20% more damage with ^008800Soul Strike, Napalm Beat, Napalm Vulcan^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Banshee Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"[^008800Mage Class^000000]",
				"SP + 100, HP - 100",
				"Inflict 20% more damage with ^008800Soul Strike, Napalm Beat, Napalm Vulcan^000000.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4439: {
			unidentifiedDisplayName: "Flame Skull Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add a 30% resistance against ^880000Stun, Curse, Blind, Stone Curse^000000.",
				"Add a chance of auto casting ^880000Stun, Curse, Blind, Stone Curse^000000 when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flame Skull Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add a 30% resistance against ^880000Stun, Curse, Blind, Stone Curse^000000.",
				"Add a chance of auto casting ^880000Stun, Curse, Blind, Stone Curse^000000 when the user receives Physical Damage.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4440: {
			unidentifiedDisplayName: "Necromancer Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"[^000088+ Slotted Rod^000000]",
				"INT + 1, Add a 2% Magical Defense.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Necromancer Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"[^000088+ Slotted Rod^000000]",
				"INT + 1, Ignores 2% Magical Defense.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4441: {
			unidentifiedDisplayName: "Fallen Bishop Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"MATK + 10%, Maximum SP - 50%",
				"Increases damage inflicted on Demihuman and Angel monster by 50%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fallen Bishop Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MATK + 10%, Maximum SP - 50%",
				"Increases damage inflicted on Demihuman and Angel monster by 50%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4442: {
			unidentifiedDisplayName: "Tatacho Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Decreases damage from ^996600Earth^000000 Property by 20%.",
				"Increases damage dealing to ^996600Earth^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tatacho Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Decreases damage from ^996600Earth^000000 Property by 20%.",
				"Increases damage dealing to ^996600Earth^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4443: {
			unidentifiedDisplayName: "Aqua Elemental Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Decreases damage from ^0000FFWater^000000 Property by 20%.",
				"Increases damage dealing to ^0000FFWater^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aqua Elemental Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Decreases damage from ^0000FFWater^000000 Property by 20%.",
				"Increases damage dealing to ^0000FFWater^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4444: {
			unidentifiedDisplayName: "Draco Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Decreases damage from ^FF0000Fire^000000 Property by 20%.",
				"Increases damage dealing to ^FF0000Fire^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Draco Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Decreases damage from ^FF0000Fire^000000 Property by 20%.",
				"Increases damage dealing to ^FF0000Fire^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4445: {
			unidentifiedDisplayName: "Luciola Vespa Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Decreases damage from ^009900Wind^000000 Property by 20%.",
				"Increases damage dealing to ^009900Wind^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Luciola Vespa Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Decreases damage from ^009900Wind^000000 Property by 20%.",
				"Increases damage dealing to ^009900Wind^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4447: {
			unidentifiedDisplayName: "Centipede Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Decreases damage from ^880000Poison^000000 Property by 20%.",
				"Increases damage dealing to ^880000Poison^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Centipede Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Decreases damage from ^880000Poison^000000 Property by 20%.",
				"Increases damage dealing to ^880000Poison^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4448: {
			unidentifiedDisplayName: "Cornus Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Decreases damage from ^777777Holy^000000 Property by 20%.",
				"Increases damage dealing to ^777777Holy^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cornus Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Decreases damage from ^777777Holy^000000 Property by 20%.",
				"Increases damage dealing to ^777777Holy^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4449: {
			unidentifiedDisplayName: "Dark Shadow Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Decreases damage from ^777777Shadow^000000 Property by 20%.",
				"Increases damage dealing to ^777777Shadow^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dark Shadow Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Decreases damage from ^777777Shadow^000000 Property by 20%.",
				"Increases damage dealing to ^777777Shadow^000000 Property by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shield^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4450: {
			unidentifiedDisplayName: "Banshee Master Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT + 1, MATK + 10.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Banshee Master Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT + 1, MATK + 10.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4451: {
			unidentifiedDisplayName: "Entweihen Crothen Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"MATK + 100.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Entweihen Crothen Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MATK + 100.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4452: {
			unidentifiedDisplayName: "Centipede Larva Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT + 1, MATK + 3.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Centipede Larva Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT + 1, MATK + 3.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4453: {
			unidentifiedDisplayName: "Hillslion Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 25",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hillslion Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 25",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4454: {
			unidentifiedDisplayName: "Fake Valkyrie Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"No effect.",
				"\"This card is nothing more then a piece of paper that gives you no advantages. - Valkyrie,\" it says.",
				"Collectible card that traders may buy.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fake Valkyrie Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"No effect.",
				"\"This card is nothing more then a piece of paper that gives you no advantages. - Valkyrie,\" it says.",
				"Collectible card that traders may buy.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4455: {
			unidentifiedDisplayName: "Fake Valkyrie Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"No effect.",
				"\"This card is nothing more then a piece of paper that gives you no advantages. - Valkyrie,\" it says.",
				"Collectible card that traders may buy.",
				"Class : ^777777Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Fake Valkyrie Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"No effect.",
				"\"This card is nothing more then a piece of paper that gives you no advantages. - Valkyrie,\" it says.",
				"Collectible card that traders may buy.",
				"Class : ^777777Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4456: {
			unidentifiedDisplayName: "Nidhoggur Shadow Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT + 5",
				"[^008800High Wizard, Warlock Jobs^000000]",
				"Fixed casting time - 50% (does not stack with other fixed cast time effects).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nidhoggur Shadow Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT + 5",
				"[^008800High Wizard, Warlock Jobs^000000]",
				"Fixed casting time - 50% (does not stack with other fixed cast time effects).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4457: {
			unidentifiedDisplayName: "Naght Seiger Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases damage of Ghost element magic by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Naght Seiger Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases damage of Ghost element magic by 30%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4458: {
			unidentifiedDisplayName: "Duneyrr Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 10.",
				"When dealing physical damage, there's a chance that for 4 seconds your Perfect Dodge will increase by 10.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Duneyrr Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 10.",
				"When dealing physical damage, there's a chance that for 4 seconds your Perfect Dodge will increase by 10.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4459: {
			unidentifiedDisplayName: "Rata Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"MATK + 10",
				"When dealing magic damage, there's a chance that for 4 seconds your Fixed casting time will be reduced by 50% (does not stack with other fixed cast time effects).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rata Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MATK + 10",
				"When dealing magic damage, there's a chance that for 4 seconds your Fixed casting time will be reduced by 50% (does not stack with other fixed cast time effects).",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4460: {
			unidentifiedDisplayName: "Rhyncho Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increase effectiveness of healing skills by 3%.",
				"Increases SP cost of skills by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rhyncho Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increase effectiveness of healing skills by 3%.",
				"Increases SP cost of skills by 5%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4461: {
			unidentifiedDisplayName: "Phylla Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEX + 1, AGI + 1.",
				"When dealing physical damage, there's a chance that for 4 seconds you will recieve CRIT + 20.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Phylla Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEX + 1, AGI + 1.",
				"When dealing physical damage, there's a chance that for 4 seconds you will recieve CRIT + 20.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4462: {
			unidentifiedDisplayName: "Hardrock Mammoth Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 5.",
				"If the armor is refined to +12 or higher, DEF + 20, MaxHP + 10%.",
				"If the armor is refined to +14 or higher, MaxHP + 3%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hardrock Mammoth Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 5.",
				"If the armor is refined to +12 or higher, DEF + 20, MaxHP + 10%.",
				"If the armor is refined to +14 or higher, MaxHP + 3%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Armor^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4463: {
			unidentifiedDisplayName: "Tendrillion Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"CRIT + 5.",
				"If the weapon is refined to +12 or higher, ATK + 35.",
				"If the weapon is refined to +14 or higher, CRIT + 10.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tendrillion Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"CRIT + 5.",
				"If the weapon is refined to +12 or higher, ATK + 35.",
				"If the weapon is refined to +14 or higher, CRIT + 10.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4464: {
			unidentifiedDisplayName: "Aunoe Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Inflict 20% more damage with Critical attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aunoe Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Inflict 20% more damage with Critical attacks.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4465: {
			unidentifiedDisplayName: "Fanat Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 10.",
				"[^000088+ Two-handed Sword^000000]",
				"If the weapon is refined to +10 or higher, ASPD + 1.",
				"If the weapon is refined to +14 or higher, ASPD + 1.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fanat Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 10.",
				"[^000088+ Two-handed Sword^000000]",
				"If the weapon is refined to +10 or higher, ASPD + 1.",
				"If the weapon is refined to +14 or higher, ASPD + 1.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4466: {
			unidentifiedDisplayName: "Beholder Master Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Ranged Attack Damage + 3%.",
				"ATK + 10.",
				"[^000088+ Bow^000000]",
				"If the weapon is refined to +10 or higher, ASPD + 1.",
				"If the weapon is refined to +14 or higher, ASPD + 1.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Beholder Master Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Ranged Attack Damage + 3%.",
				"ATK + 10.",
				"[^000088+ Bow^000000]",
				"If the weapon is refined to +10 or higher, ASPD + 1.",
				"If the weapon is refined to +14 or higher, ASPD + 1.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4467: {
			unidentifiedDisplayName: "Heavy Metaling Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"STR + 2.",
				"[^008800Merchant Jobs^000000]",
				"Increases damage of ^008800Cart Revolution^000000 by 50%, but increases its SP cost by 12.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Heavy Metaling Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"STR + 2.",
				"[^008800Merchant Jobs^000000]",
				"Increases damage of ^008800Cart Revolution^000000 by 50%, but increases its SP cost by 12.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Footgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4468: {
			unidentifiedDisplayName: "Dark Pinguicula Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 10.",
				"When killing a monster, adds a chance to have a poisonous herb drop.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dark Pinguicula Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 10.",
				"When killing a monster, adds a chance to have a poisonous herb drop.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Headgear^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4469: {
			unidentifiedDisplayName: "Naga Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases magic damage against Fish monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Naga Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases magic damage against Fish monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4470: {
			unidentifiedDisplayName: "Nepenthes Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases magic damage agaisnt Plant monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nepenthes Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases magic damage agaisnt Plant monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4471: {
			unidentifiedDisplayName: "Draco Egg Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases magic damage against Dragon monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Draco Egg Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases magic damage against Dragon monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4472: {
			unidentifiedDisplayName: "Bradium Golem Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases magic damage against Brute monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bradium Golem Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases magic damage against Brute monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4473: {
			unidentifiedDisplayName: "Ancient Tree Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases magic damage against Undead monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ancient Tree Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases magic damage against Undead monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4474: {
			unidentifiedDisplayName: "Zakudam Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases magic damage against Demihuman monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zakudam Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases magic damage against Demihuman monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4475: {
			unidentifiedDisplayName: "Cobalt Mineral Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases magic damage against Formless monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cobalt Mineral Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases magic damage against Formless monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4476: {
			unidentifiedDisplayName: "Pinguicula Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases magic damage against Insect monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pinguicula Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases magic damage against Insect monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4477: {
			unidentifiedDisplayName: "Hell Apocalypse Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Increases magic damage against Demon monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hell Apocalypse Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases magic damage against Demon monsters by 10%.",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Weapon^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4478: {
			unidentifiedDisplayName: "¹àÈ÷¸® Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"¾Æ¹« È¿°úµµ ¾ø´Â Ä«µå.",
				"\"º» ÁõÀ» ½ÀµæÇÏ½Å µÚ Ä«µå·Î »ç¿ë ½Ã ¹ß»ýÇÏ´Â ¸ðµç ºÒÀÌÀÍÀº »ç¿ëÀÚ¿¡°Ô ÀÖ½À´Ï´Ù. - ¹àÈ÷¸®\" ¶ó°í ÀûÇôÀÖ´Ù.",
				"¼öÁýÇ° »óÀÎÀÌ »çÁÙ Áöµµ ¸ð¸¥´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777½Å¹ß^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹àÈ÷¸® Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"¾Æ¹« È¿°úµµ ¾ø´Â Ä«µå.",
				"\"º» ÁõÀ» ½ÀµæÇÏ½Å µÚ Ä«µå·Î »ç¿ë ½Ã ¹ß»ýÇÏ´Â ¸ðµç ºÒÀÌÀÍÀº »ç¿ëÀÚ¿¡°Ô ÀÖ½À´Ï´Ù. - ¹àÈ÷¸®\" ¶ó°í ÀûÇôÀÖ´Ù.",
				"¼öÁýÇ° »óÀÎÀÌ »çÁÙ Áöµµ ¸ð¸¥´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777½Å¹ß^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4479: {
			unidentifiedDisplayName: "¹àÈ÷¸® Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"¾Æ¹« È¿°úµµ ¾ø´Â Ä«µå.",
				"\"º» ÁõÀ» ½ÀµæÇÏ½Å µÚ Ä«µå·Î »ç¿ë ½Ã ¹ß»ýÇÏ´Â ¸ðµç ºÒÀÌÀÍÀº »ç¿ëÀÚ¿¡°Ô ÀÖ½À´Ï´Ù. - ¹àÈ÷¸®\" ¶ó°í ÀûÇôÀÖ´Ù.",
				"¼öÁýÇ° »óÀÎÀÌ »çÁÙ Áöµµ ¸ð¸¥´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°ÉÄ¥°Í^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹àÈ÷¸® Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"¾Æ¹« È¿°úµµ ¾ø´Â Ä«µå.",
				"\"º» ÁõÀ» ½ÀµæÇÏ½Å µÚ Ä«µå·Î »ç¿ë ½Ã ¹ß»ýÇÏ´Â ¸ðµç ºÒÀÌÀÍÀº »ç¿ëÀÚ¿¡°Ô ÀÖ½À´Ï´Ù. - ¹àÈ÷¸®\" ¶ó°í ÀûÇôÀÖ´Ù.",
				"¼öÁýÇ° »óÀÎÀÌ »çÁÙ Áöµµ ¸ð¸¥´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°ÉÄ¥°Í^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4480: {
			unidentifiedDisplayName: "Sealed Kiel Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"decrease 15% delay after using all skill ",
				"additional decrease 5% if refined level is over 15",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Headgear ^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sealed Kiel Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"After cast delay reduced by 15%",
				"If this card is slotted into a headgear refined to +15 or higher, reduces after cast delay by 5% more.",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Headgear^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4481: {
			unidentifiedDisplayName: "Sealed Ktullanux Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"additional damage 25% against fire type of monster.",
				"cast auto spell frost nova lv 10 at regular rate if being attacked on physical and magical damage.",
				"additional damage 10% against fire type of monster.",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Armor ^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sealed Ktullanux Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Increases damage to Fire Property monsters by 25%.",
				"Has a low chance of auto-casting Frost Nova while being attacked.",
				"If this card is slotted into an armor refined to +15 or higher, increases damage to Fire Property monsters by 10% more.",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Armor^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4482: {
			unidentifiedDisplayName: "Sealed B Ygnizem Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"recover 50 HP  10 SP every 15 sec.",
				"increase 5% on  MHP MSP .",
				"if refined lv is over 15, recovery speed for HPand SP will be 10 sec , additional 2% for  MHP, MSP",
				"Class : ^777777Card^000000",
				"location : ^777777Shoes^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sealed B Ygnizem Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MaxHP +7%",
				"MaxSP +7%",
				"Every 15 seconds, you recover 50 HP and 10 SP.",
				"If this card is slotted into shoes refined to +15 or higher, every 10 seconds, you recover 10 SP.",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Shoes^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4483: {
			unidentifiedDisplayName: "Sealed Dracula Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"absorb 5% SP  that inflicted to enemy at regular rate (5%). If refined lv is over 15, absorption rate increase 7% rate.",
				"Class : ^777777Card^000000",
				"location : ^777777weapon^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sealed Dracula Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"absorb 5% SP that inflicted to enemy at regular rate (5%). If refined lv is over 15, absorption rate increase 7% rate.",
				"Class : ^777777card^000000",
				"Compound on : ^777777Weapon^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4484: {
			unidentifiedDisplayName: "Sealed Mistress Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"can use this without consumption for gemstone.",
				"SP consimption increase 50% if using skill.",
				"if refined lv is over 15, SP consumption increase 35% with using skill.",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Headgear ^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sealed Mistress Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"can use this without consumption for gemstone.",
				"SP consimption increase 50% if using skill.",
				"if refined lv is over 15, SP consumption increase 35% with using skill.",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Headgear^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4485: {
			unidentifiedDisplayName: "Sealed Gloom Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"increase physical damage 20% against monster type of holy, dark, angel, evil .",
				"if refined lv is over 15, can get additional physical damage 10% against above type of monster.",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Armor ^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sealed Gloom Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"increase physical damage 20% against monster type of holy, dark, angel, evil .",
				"if refined lv is over 15, can get additional physical damage 10% against above type of monster.",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Armor^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4493: {
			unidentifiedDisplayName: "Sealed Tao Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"MaxHP + 50%, DEF, MDEF - 50.",
				"if refine is over 15,",
				"MaxHP + 75%, DEF, MDEF - 50.",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Armor ^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sealed Tao Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MaxHP + 50%, DEF, MDEF - 50.",
				"If refine is over 15,",
				"MaxHP + 75%, DEF, MDEF - 50.",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Armor^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4494: {
			unidentifiedDisplayName: "Sealed Turtle General Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 10%",
				"Chance to automatically cast [Magnum Break] level 10 while attacking",
				"If refined to level 15 or higher : ATK + 5%",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Weapon^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sealed Turtle General Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 10%",
				"Chance to automatically cast [Magnum Break] level 10 while attacking",
				"If refined to level 15 or higher : ATK + 5%",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Weapon^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4495: {
			unidentifiedDisplayName: "Sealed Amon Ra Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"All Stats + 1",
				"Chance to automatically cast [Kyrie Eleison] level 5 when hit",
				"If refined to level 15 or higher : Kyrie Eleison will be level 8",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shoes^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sealed Amon Ra Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"All Stats + 1",
				"Chance to automatically cast [Kyrie Eleison] level 5 when hit",
				"If refined to level 15 or higher : Kyrie Eleison will be level 8",
				"Class :^777777 Card^000000",
				"Compound on :^777777 Shoes^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4497: {
			unidentifiedDisplayName: "Sealed Stormy Knight Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Add the chance of auto casting [Storm Gust] level 1 on enemy when doing Physical Attack.",
				"Has 20% chance of Freezing an enemy when attacking.",
				"If refined to level 15 or higher : Chance rate increased.",
				"Class : ^777777Card^000000",
				"Compount on : ^777777Weapon^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sealed Stormy Knight Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Add the chance of auto casting [Storm Gust] level 1 on enemy when doing Physical Attack.",
				"Has 20% chance of Freezing an enemy when attacking.",
				"If refined to level 15 or higher : Chance rate increased.",
				"Class : ^777777Card^000000",
				"Compount on : ^777777Weapon^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4498: {
			unidentifiedDisplayName: "Sealed Lady Tanee Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"MaxHP -60%, MaxSP +50%.",
				"Chance to get Banana when killing a monster.",
				"Banana recovery rate increases by 50%",
				"If refined to level 15 or higher : Bonuses become ",
				"MaxHP -50%, MaxSP +50%",
				"Chance to get Banana when killing a monster.",
				"Banana recovery rate +80%",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Shoes^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sealed Lady Tanee Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MaxHP -60%, MaxSP +50%.",
				"Chance to get Banana when killing a monster.",
				"Banana recovery rate increases by 50%",
				"If refined to level 15 or higher : Bonuses become",
				"MaxHP -50%, MaxSP +50%",
				"Chance to get Banana when killing a monster.",
				"Banana recovery rate +80%",
				"Class : ^777777Card^000000",
				"Compound on : ^777777Shoes^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4505: {
			unidentifiedDisplayName: "½ºÄ«¶ó¹Ù Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"MATK + 20, MSP - 1%.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¾×¼¼¼­¸®^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½ºÄ«¶ó¹Ù Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MATK + 20, MaxSP - 1%.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¾×¼¼¼­¸®^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4506: {
			unidentifiedDisplayName: "µ¹·Î¸Þµ¥½º Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEX + 2, ±Ã¼ö°è¿­ÀÎ °æ¿ì 3Á¦·Ã´ç DEX + 1¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "µ¹·Î¸Þµ¥½º Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEX + 2, ±Ã¼ö°è¿­ÀÎ °æ¿ì 3Á¦·Ã´ç DEX + 1¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4507: {
			unidentifiedDisplayName: "¿©¿Õ ½ºÄ«¶ó¹Ù Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"½ºÄ«¶ó¹Ù¿¡°Ô 30% Ãß°¡ µ¥¹ÌÁö.",
				"ÀûÀ» ¾²·¯Æ®¸± ½Ã ÀÏÁ¤È®·ü·Î ½ºÄ«¶ó¹Ù ¼ÒÈ¯¼­ µå¶ø. (¹Ì±¸Çö)",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿©¿Õ ½ºÄ«¶ó¹Ù Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"½ºÄ«¶ó¹Ù¿¡°Ô 30% Ãß°¡ µ¥¹ÌÁö.",
				"ÀûÀ» ¾²·¯Æ®¸± ½Ã ÀÏÁ¤È®·ü·Î ½ºÄ«¶ó¹Ù ¼ÒÈ¯¼­ µå¶ø. (¹Ì±¸Çö)",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4508: {
			unidentifiedDisplayName: "½ºÄ«¶ó¹Ù Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 20, MHP - 1%.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¾×¼¼¼­¸®^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½ºÄ«¶ó¹Ù Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 20, MaxHP - 1%.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¾×¼¼¼­¸®^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4509: {
			unidentifiedDisplayName: "¿©¿Õ ½ºÄ«¶ó¹Ù Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT + 3.",
				"°ïÃæÇü Àû¿¡°Ô¼­ÀÇ µ¥¹ÌÁö 10% °¨¼Ò, 9Á¦·Ã ½Ã 5% Ãß°¡ °¨¼Ò.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿©¿Õ ½ºÄ«¶ó¹Ù Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT + 3.",
				"°ïÃæÇü Àû¿¡°Ô¼­ÀÇ µ¥¹ÌÁö 10% °¨¼Ò, 9Á¦·Ã ½Ã 5% Ãß°¡ °¨¼Ò.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4510: {
			unidentifiedDisplayName: "¹Ì¹Ö Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ±íÀº ÀáÀ» °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹Ì¹Ö Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ±íÀº ÀáÀ» °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4511: {
			unidentifiedDisplayName: "²¿¸¶ ÆÄÅù Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô Ä§¹¬À» °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "²¿¸¶ ÆÄÅù Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô Ä§¹¬À» °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4512: {
			unidentifiedDisplayName: "ÆÄ·ç½º Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Èú·® 3% Áõ°¡.",
				"º¹»ç°è¿­ÀÎ °æ¿ì 2Á¦·Ã´ç 1%¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÆÄ·ç½º Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Èú·® 3% Áõ°¡.",
				"º¹»ç°è¿­ÀÎ °æ¿ì 2Á¦·Ã´ç 1%¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4513: {
			unidentifiedDisplayName: "¾Ó±×¶ó ¸ÇÆ¼½º Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 2% Áõ°¡.",
				"µµµÏ°è¿­ÀÎ °æ¿ì 2Á¦·Ã´ç 1%¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¾Ó±×¶ó ¸ÇÆ¼½º Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 2% Áõ°¡.",
				"µµµÏ°è¿­ÀÎ °æ¿ì 2Á¦·Ã´ç 1%¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4514: {
			unidentifiedDisplayName: "Æû ½ºÆÄÀÌ´õ Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ºÒ»çÇü ¸ó½ºÅÍ¿¡°Ô 20% Ãß°¡ µ¥¹ÌÁö.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Æû ½ºÆÄÀÌ´õ Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ºÒ»çÇü ¸ó½ºÅÍ¿¡°Ô 20% Ãß°¡ µ¥¹ÌÁö.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4515: {
			unidentifiedDisplayName: "¶óÇÃ·¹½Ã¾Æ ¾Ë³îµð Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"½Ä¹°Çü Àû¿¡°Ô¼­ÀÇ µ¥¹ÌÁö 30% °¨¼Ò.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹æÆÐ^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¶óÇÃ·¹½Ã¾Æ ¾Ë³îµð Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"½Ä¹°Çü Àû¿¡°Ô¼­ÀÇ µ¥¹ÌÁö 30% °¨¼Ò.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹æÆÐ^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4516: {
			unidentifiedDisplayName: "ÄÚ¸ðµµ Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"DEF + 50, FLEE - 25.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°©¿Ê^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÄÚ¸ðµµ Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"DEF + 50, FLEE - 25.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°©¿Ê^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4517: {
			unidentifiedDisplayName: "¼¾µå¶ó¿Í½Ã Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"INT + 2, ¸¶¹ý»ç°è¿­ÀÎ °æ¿ì 3Á¦·Ã´ç INT + 1¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¼¾µå¶ó¿Í½Ã Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"INT + 2, ¸¶¹ý»ç°è¿­ÀÎ °æ¿ì 3Á¦·Ã´ç INT + 1¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4518: {
			unidentifiedDisplayName: "¹Ù³ª½ºÆÄÆ¼ Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"¹°¸® °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ¹ßÈ­¸¦ °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹Ù³ª½ºÆÄÆ¼ Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"¹°¸® °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ¹ßÈ­¸¦ °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4519: {
			unidentifiedDisplayName: "ºÎÅä ÀÌÁ¶ Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Ãµ»çÇü ¸ó½ºÅÍ¿¡°Ô 20% Ãß°¡ µ¥¹ÌÁö.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ºÎÅä ÀÌÁ¶ Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Ãµ»çÇü ¸ó½ºÅÍ¿¡°Ô 20% Ãß°¡ µ¥¹ÌÁö.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4520: {
			unidentifiedDisplayName: "¹«½Ã¹«½ÃÇÑ ¸¯ Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"STR + 3.",
				"¹°¸®, ¸¶¹ý °ø°ÝÀ» ¹ÞÀ» ½Ã ³ôÀº È®·ü·Î Àû¿¡°Ô È¥¶õ, °øÆ÷¸¦ °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°ÉÄ¥°Í^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹«½Ã¹«½ÃÇÑ ¸¯ Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"STR + 3.",
				"¹°¸®, ¸¶¹ý °ø°ÝÀ» ¹ÞÀ» ½Ã ³ôÀº È®·ü·Î Àû¿¡°Ô È¥¶õ, °øÆ÷¸¦ °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°ÉÄ¥°Í^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4521: {
			unidentifiedDisplayName: "¼¼µµ¶ó Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Å©¸®Æ¼ÄÃ °ø°Ý ½Ã µ¥¹ÌÁö 15% Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¼¼µµ¶ó Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Å©¸®Æ¼ÄÃ °ø°Ý ½Ã µ¥¹ÌÁö 15% Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4522: {
			unidentifiedDisplayName: "½º·ÎÆ÷ Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ÀÏÁ¤ È®·ü·Î Àû¿¡°Ô ³Ãµ¿À» °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½º·ÎÆ÷ Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ÀÏÁ¤ È®·ü·Î Àû¿¡°Ô ³Ãµ¿À» °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4523: {
			unidentifiedDisplayName: "µµÇÁ·¹ Ç×¾Æ¸® Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"°©¿ÊÀÇ ¼Ó¼ºÀ» ¼ö¼Ó¼ºÀ¸·Î ÇÑ´Ù.",
				"¾îÆÐ·ù¿¡°Ô¼­ ¹Þ´Â µ¥¹ÌÁö 10% °¨¼Ò.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°©¿Ê^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "µµÇÁ·¹ Ç×¾Æ¸® Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"°©¿ÊÀÇ ¼Ó¼ºÀ» ¼ö¼Ó¼ºÀ¸·Î ÇÑ´Ù.",
				"¾îÆÐ·ù¿¡°Ô¼­ ¹Þ´Â µ¥¹ÌÁö 10% °¨¼Ò.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°©¿Ê^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4524: {
			unidentifiedDisplayName: "Å· µå¶ó¸ð Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"STR + 2, °Ë»ç°è¿­ÀÎ °æ¿ì 3Á¦·Ã´ç STR + 1¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Å· µå¶ó¸ð Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"STR + 2, °Ë»ç°è¿­ÀÎ °æ¿ì 3Á¦·Ã´ç STR + 1¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4525: {
			unidentifiedDisplayName: "Å©¶óÄË Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"FLEE + 10.",
				"[ÇÏÀÌµù] 1Lv, [±â½À] 1Lv »ç¿ë °¡´É.",
				"[±â½À] »ç¿ë ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ÃâÇ÷À» °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°ÉÄ¥°Í^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Å©¶óÄË Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"FLEE + 10.",
				"[ÇÏÀÌµù] 1Lv, [±â½À] 1Lv »ç¿ë °¡´É.",
				"[±â½À] »ç¿ë ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ÃâÇ÷À» °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°ÉÄ¥°Í^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4526: {
			unidentifiedDisplayName: "±«ÀÌÇÑ ½Ç·¯Äµ½º Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"MSP + 5%, MDEF + 50.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°©¿Ê^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "±«ÀÌÇÑ ½Ç·¯Äµ½º Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MaxSP + 5%, MDEF + 50.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°©¿Ê^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4527: {
			unidentifiedDisplayName: "¾ÏÈæÀÇ ½Ç·¯Äµ½º Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"MHP + 10%, DEF + 100.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°©¿Ê^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¾ÏÈæÀÇ ½Ç·¯Äµ½º Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MaxHP + 10%, DEF + 100.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°©¿Ê^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4528: {
			unidentifiedDisplayName: "µ¹¿¬º¯ÀÌ ½Ç·¯Äµ½º Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"MATK + 2%, 2Á¦·Ã´ç  MATK + 1%, MHP - 1%.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "µ¹¿¬º¯ÀÌ ½Ç·¯Äµ½º Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MATK + 2%, 2Á¦·Ã´ç MATK + 1%, MaxHP - 1%.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4529: {
			unidentifiedDisplayName: "Æ÷¾ÇÇÑ ½Ç·¯Äµ½º Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"ATK + 2%, 2Á¦·Ã´ç  ATK + 1%, MSP - 1%.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Æ÷¾ÇÇÑ ½Ç·¯Äµ½º Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"ATK + 2%, 2Á¦·Ã´ç ATK + 1%, MaxSP - 1%.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4530: {
			unidentifiedDisplayName: "½Ã¿À¶ó¹Ù Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"LUK + 2, »óÀÎ°è¿­ÀÎ °æ¿ì 3Á¦·Ã´ç LUK + 1¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½Ã¿À¶ó¹Ù Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"LUK + 2, »óÀÎ°è¿­ÀÎ °æ¿ì 3Á¦·Ã´ç LUK + 1¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4531: {
			unidentifiedDisplayName: "»¡°­ ¿¡·ç¸¶ Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ÀúÁÖ¸¦ °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "»¡°­ ¿¡·ç¸¶ Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ÀúÁÖ¸¦ °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4532: {
			unidentifiedDisplayName: "¿ÍÀÏµå ¶óÀÌ´õ Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"AGI + 1.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ½º½º·Î¿¡°Ô ¹ÎÃ¸¼º Áõ°¡ 1LvÀ» °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777½Å¹ß^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿ÍÀÏµå ¶óÀÌ´õ Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"AGI + 1.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ½º½º·Î¿¡°Ô ¹ÎÃ¸¼º Áõ°¡ 1LvÀ» °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777½Å¹ß^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4533: {
			unidentifiedDisplayName: "ÀÛÀº ¹®¾î Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ¾ÏÈæÀ» °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀÛÀº ¹®¾î Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ¾ÏÈæÀ» °Ç´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4534: {
			unidentifiedDisplayName: "´ë¿Õ ¹®¾î Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"MHP + 12%.",
				"[¿öÅÍº¼] 5Lv »ç¿ë°¡´É.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°©¿Ê^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "´ë¿Õ ¹®¾î Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"MaxHP + 12%.",
				"[¿öÅÍº¼] 5Lv »ç¿ë°¡´É.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777°©¿Ê^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4545: {
			unidentifiedDisplayName: "Ç²³»±âÆ÷¸µ Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"LUK + 1.",
				"Å©¸®Åõ¶ó ÇÐ¿ø ¸ðÀÚ¿Í ÇÔ²² ÀåÂø ½Ã ATK + 5, MATK + 5.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Ç²³»±âÆ÷¸µ Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"LUK + 1.",
				"Å©¸®Åõ¶ó ÇÐ¿ø ¸ðÀÚ¿Í ÇÔ²² ÀåÂø ½Ã ATK + 5, MATK + 5.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777Åõ±¸^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4546: {
			unidentifiedDisplayName: "¹àÈ÷¸® Ä«µå",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"¾Æ¹« È¿°úµµ ¾ø´Â Ä«µå.",
				"\"º» ÁõÀ» ½ÀµæÇÏ¼Å¼­ Ä«µå·Î »ç¿ë½Ã ¹ß»ýÇÏ´Â ¸ðµç ºÒÀÌÀÍÀº »ç¿ëÀÚ¿¡°Ô ÀÖ½À´Ï´Ù. - ¹àÈ÷¸®\" ¶ó°í ÀûÇôÀÖ´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹àÈ÷¸® Ä«µå",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"¾Æ¹« È¿°úµµ ¾ø´Â Ä«µå.",
				"\"º» ÁõÀ» ½ÀµæÇÏ¼Å¼­ Ä«µå·Î »ç¿ë½Ã ¹ß»ýÇÏ´Â ¸ðµç ºÒÀÌÀÍÀº »ç¿ëÀÚ¿¡°Ô ÀÖ½À´Ï´Ù. - ¹àÈ÷¸®\" ¶ó°í ÀûÇôÀÖ´Ù.",
				"°è¿­ : ^777777Ä«µå^000000",
				"ÀåÂø : ^777777¹«±â^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4700: {
			unidentifiedDisplayName: "STR+1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"STR + 1",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "STR+1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"STR + 1",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4701: {
			unidentifiedDisplayName: "STR+2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"STR + 2",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "STR+2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"STR + 2",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4702: {
			unidentifiedDisplayName: "STR+3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"STR + 3",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "STR+3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"STR + 3",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4703: {
			unidentifiedDisplayName: "STR+4",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"STR + 4",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "STR+4",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"STR + 4",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4704: {
			unidentifiedDisplayName: "STR+5",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"STR + 5",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "STR+5",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"STR + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4705: {
			unidentifiedDisplayName: "STR+6",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"STR + 6",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "STR+6",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"STR + 6",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4706: {
			unidentifiedDisplayName: "STR+7",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"STR + 7",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "STR+7",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"STR + 7",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4707: {
			unidentifiedDisplayName: "STR+8",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"STR + 8",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "STR+8",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"STR + 8",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4708: {
			unidentifiedDisplayName: "STR+9",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"STR + 9",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "STR+9",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"STR + 9",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4709: {
			unidentifiedDisplayName: "STR+10",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"STR + 10",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "STR+10",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"STR + 10",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4710: {
			unidentifiedDisplayName: "INT+1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"INT + 1",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "INT+1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"INT + 1",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4711: {
			unidentifiedDisplayName: "INT+2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"INT + 2",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "INT+2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"INT + 2",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4712: {
			unidentifiedDisplayName: "INT+3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"INT + 3",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "INT+3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"INT + 3",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4713: {
			unidentifiedDisplayName: "INT+4",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"INT + 4",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "INT+4",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"INT + 4",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4714: {
			unidentifiedDisplayName: "INT+5",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"INT + 5",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "INT+5",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"INT + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4715: {
			unidentifiedDisplayName: "INT+6",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"INT + 6",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "INT+6",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"INT + 6",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4716: {
			unidentifiedDisplayName: "INT+7",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"INT + 7",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "INT+7",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"INT + 7",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4717: {
			unidentifiedDisplayName: "INT+8",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"INT + 8",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "INT+8",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"INT + 8",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4718: {
			unidentifiedDisplayName: "INT+9",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"INT + 9",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "INT+9",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"INT + 9",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4719: {
			unidentifiedDisplayName: "INT+10",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"INT + 10",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "INT+10",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"INT + 10",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4720: {
			unidentifiedDisplayName: "DEX+1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"DEX + 1",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "DEX+1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"DEX + 1",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4721: {
			unidentifiedDisplayName: "DEX+2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"DEX + 2",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "DEX+2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"DEX + 2",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4722: {
			unidentifiedDisplayName: "DEX+3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"DEX + 3",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "DEX+3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"DEX + 3",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4723: {
			unidentifiedDisplayName: "DEX+4",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"DEX + 4",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "DEX+4",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"DEX + 4",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4724: {
			unidentifiedDisplayName: "DEX+5",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"DEX + 5",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "DEX+5",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"DEX + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4725: {
			unidentifiedDisplayName: "DEX+6",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"DEX + 6",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "DEX+6",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"DEX + 6",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4726: {
			unidentifiedDisplayName: "DEX+7",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"DEX + 7",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "DEX+7",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"DEX + 7",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4727: {
			unidentifiedDisplayName: "DEX+8",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"DEX + 8",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "DEX+8",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"DEX + 8",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4728: {
			unidentifiedDisplayName: "DEX+9",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"DEX + 9",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "DEX+9",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"DEX + 9",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4729: {
			unidentifiedDisplayName: "DEX+10",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"DEX + 10",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "DEX+10",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"DEX + 10",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4730: {
			unidentifiedDisplayName: "AGI+1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"AGI + 1",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "AGI+1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"AGI + 1",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4731: {
			unidentifiedDisplayName: "AGI+2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"AGI + 2",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "AGI+2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"AGI + 2",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4732: {
			unidentifiedDisplayName: "AGI+3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"AGI + 3",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "AGI+3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"AGI + 3",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4733: {
			unidentifiedDisplayName: "AGI+4",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"AGI + 4",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "AGI+4",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"AGI + 4",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4734: {
			unidentifiedDisplayName: "AGI+5",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"AGI + 5",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "AGI+5",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"AGI + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4735: {
			unidentifiedDisplayName: "AGI+6",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"AGI + 6",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "AGI+6",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"AGI + 6",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4736: {
			unidentifiedDisplayName: "AGI+7",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"AGI + 7",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "AGI+7",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"AGI + 7",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4737: {
			unidentifiedDisplayName: "AGI+8",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"AGI + 8",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "AGI+8",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"AGI + 8",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4738: {
			unidentifiedDisplayName: "AGI+9",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"AGI + 9",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "AGI+9",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"AGI + 9",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4739: {
			unidentifiedDisplayName: "AGI+10",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"AGI + 10",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "AGI+10",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"AGI + 10",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4740: {
			unidentifiedDisplayName: "VIT+1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"VIT + 1",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "VIT+1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"VIT + 1",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4741: {
			unidentifiedDisplayName: "VIT+2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"VIT + 2",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "VIT+2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"VIT + 2",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4742: {
			unidentifiedDisplayName: "VIT+3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"VIT + 3",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "VIT+3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"VIT + 3",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4743: {
			unidentifiedDisplayName: "VIT+4",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"VIT + 4",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "VIT+4",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"VIT + 4",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4744: {
			unidentifiedDisplayName: "VIT+5",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"VIT + 5",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "VIT+5",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"VIT + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4745: {
			unidentifiedDisplayName: "VIT+6",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"VIT + 6",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "VIT+6",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"VIT + 6",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4746: {
			unidentifiedDisplayName: "VIT+7",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"VIT + 7",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "VIT+7",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"VIT + 7",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4747: {
			unidentifiedDisplayName: "VIT+8",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"VIT + 8",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "VIT+8",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"VIT + 8",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4748: {
			unidentifiedDisplayName: "VIT+9",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"VIT + 9",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "VIT+9",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"VIT + 9",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4749: {
			unidentifiedDisplayName: "VIT+10",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"VIT + 10",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "VIT+10",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"VIT + 10",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4750: {
			unidentifiedDisplayName: "LUK+1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"LUK + 1",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "LUK+1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"LUK + 1",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4751: {
			unidentifiedDisplayName: "LUK+2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"LUK + 2",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "LUK+2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"LUK + 2",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4752: {
			unidentifiedDisplayName: "LUK+3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"LUK + 3",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "LUK+3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"LUK + 3",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4753: {
			unidentifiedDisplayName: "LUK+4",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"LUK + 4",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "LUK+4",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"LUK + 4",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4754: {
			unidentifiedDisplayName: "LUK+5",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"LUK + 5",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "LUK+5",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"LUK + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4755: {
			unidentifiedDisplayName: "LUK+6",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"LUK + 6",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "LUK+6",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"LUK + 6",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4756: {
			unidentifiedDisplayName: "LUK+7",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"LUK + 7",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "LUK+7",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"LUK + 7",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4757: {
			unidentifiedDisplayName: "LUK+8",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"LUK + 8",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "LUK+8",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"LUK + 8",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4758: {
			unidentifiedDisplayName: "LUK+9",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"LUK + 9",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "LUK+9",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"LUK + 9",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4759: {
			unidentifiedDisplayName: "LUK+10",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"LUK + 10",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "LUK+10",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"LUK + 10",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4760: {
			unidentifiedDisplayName: "MATK+1%",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"MATK + 1%,",
				"Fixed casting time -1%.",
			],
			identifiedDisplayName: "MATK+1%",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"MATK + 1%,",
				"Fixed casting time - 1% (does not stack with other fixed cast time effects).",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4761: {
			unidentifiedDisplayName: "MATK+2%",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"MATK + 2%,",
				"Fixed casting time -1%.",
			],
			identifiedDisplayName: "MATK+2%",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"MATK + 2%,",
				"Fixed casting time - 1% (does not stack with other fixed cast time effects).",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4762: {
			unidentifiedDisplayName: "FLEE+6",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"FLEE + 6.",
			],
			identifiedDisplayName: "FLEE+6",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"FLEE + 6",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4763: {
			unidentifiedDisplayName: "FLEE+12",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"FLEE + 12.",
			],
			identifiedDisplayName: "FLEE+12",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"FLEE + 12",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4764: {
			unidentifiedDisplayName: "CRI+5",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"CRI + 5.",
			],
			identifiedDisplayName: "CRI+5",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"CRI + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4765: {
			unidentifiedDisplayName: "CRI+7",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"CRI + 7.",
			],
			identifiedDisplayName: "CRI+7",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"CRI + 7",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4766: {
			unidentifiedDisplayName: "ATK+2%",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"ATK + 2%.",
			],
			identifiedDisplayName: "ATK+2%",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"ATK + 2%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4767: {
			unidentifiedDisplayName: "ATK+3%",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"ATK + 3%.",
			],
			identifiedDisplayName: "ATK+3%",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"ATK + 3%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4768: {
			unidentifiedDisplayName: "STR+1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "STR+1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4769: {
			unidentifiedDisplayName: "STR+2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "STR+2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4770: {
			unidentifiedDisplayName: "STR+3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "STR+3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4771: {
			unidentifiedDisplayName: "INT+1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "INT+1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4772: {
			unidentifiedDisplayName: "INT+2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "INT+2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4773: {
			unidentifiedDisplayName: "INT+3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "INT+3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4774: {
			unidentifiedDisplayName: "VIT+1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "VIT+1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4775: {
			unidentifiedDisplayName: "VIT+2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "VIT+2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4776: {
			unidentifiedDisplayName: "VIT+3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "VIT+3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4777: {
			unidentifiedDisplayName: "AGI+1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "AGI+1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4778: {
			unidentifiedDisplayName: "AGI+2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "AGI+2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4779: {
			unidentifiedDisplayName: "AGI+3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "AGI+3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4780: {
			unidentifiedDisplayName: "DEX+1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "DEX+1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4781: {
			unidentifiedDisplayName: "DEX+2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "DEX+2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4782: {
			unidentifiedDisplayName: "DEX+3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "DEX+3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4783: {
			unidentifiedDisplayName: "LUK+1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "LUK+1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4784: {
			unidentifiedDisplayName: "LUK+2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "LUK+2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4785: {
			unidentifiedDisplayName: "LUK+3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "LUK+3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		4786: {
			unidentifiedDisplayName: "MDEF+2",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc3\xca\xb7\xcf",
			unidentifiedDescriptionName: [
				"MDEF + 2",
			],
			identifiedDisplayName: "MDEF+2",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc3\xca\xb7\xcf",
			identifiedDescriptionName: [
				"MDEF + 2",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4787: {
			unidentifiedDisplayName: "MDEF+4",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc3\xca\xb7\xcf",
			unidentifiedDescriptionName: [
				"MDEF + 4",
			],
			identifiedDisplayName: "MDEF+4",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc3\xca\xb7\xcf",
			identifiedDescriptionName: [
				"MDEF + 4",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4788: {
			unidentifiedDisplayName: "MDEF+6",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc3\xca\xb7\xcf",
			unidentifiedDescriptionName: [
				"MDEF + 6",
			],
			identifiedDisplayName: "MDEF+6",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc3\xca\xb7\xcf",
			identifiedDescriptionName: [
				"MDEF + 6",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4789: {
			unidentifiedDisplayName: "MDEF+8",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc3\xca\xb7\xcf",
			unidentifiedDescriptionName: [
				"MDEF + 8",
			],
			identifiedDisplayName: "MDEF+8",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc3\xca\xb7\xcf",
			identifiedDescriptionName: [
				"MDEF + 8",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4790: {
			unidentifiedDisplayName: "MDEF+10",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc3\xca\xb7\xcf",
			unidentifiedDescriptionName: [
				"MDEF + 10",
			],
			identifiedDisplayName: "MDEF+10",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc3\xca\xb7\xcf",
			identifiedDescriptionName: [
				"MDEF + 10",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4791: {
			unidentifiedDisplayName: "DEF+3",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"DEF + 3",
			],
			identifiedDisplayName: "DEF+3",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"DEF + 3",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4792: {
			unidentifiedDisplayName: "DEF+6",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"DEF + 6",
			],
			identifiedDisplayName: "DEF+6",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"DEF + 6",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4793: {
			unidentifiedDisplayName: "DEF+9",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"DEF + 9",
			],
			identifiedDisplayName: "DEF+9",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"DEF + 9",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4794: {
			unidentifiedDisplayName: "DEF+12",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"DEF + 12",
			],
			identifiedDisplayName: "DEF+12",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"DEF + 12",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4795: {
			unidentifiedDisplayName: "HP+100",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"HP + 100",
			],
			identifiedDisplayName: "HP+100",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"HP + 100",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4796: {
			unidentifiedDisplayName: "HP+200",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"HP + 200",
			],
			identifiedDisplayName: "HP+200",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"HP + 200",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4797: {
			unidentifiedDisplayName: "HP+300",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"HP + 300",
			],
			identifiedDisplayName: "HP+300",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"HP + 300",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4798: {
			unidentifiedDisplayName: "HP+400",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"HP + 400",
			],
			identifiedDisplayName: "HP+400",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"HP + 400",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4799: {
			unidentifiedDisplayName: "HP+500",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"HP + 500",
			],
			identifiedDisplayName: "HP+500",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"HP + 500",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4800: {
			unidentifiedDisplayName: "SP+50",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc6\xc4\xb6\xfb",
			unidentifiedDescriptionName: [
				"SP + 50",
			],
			identifiedDisplayName: "SP+50",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc6\xc4\xb6\xfb",
			identifiedDescriptionName: [
				"SP + 50",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4801: {
			unidentifiedDisplayName: "SP+100",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc6\xc4\xb6\xfb",
			unidentifiedDescriptionName: [
				"SP + 100",
			],
			identifiedDisplayName: "SP+100",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc6\xc4\xb6\xfb",
			identifiedDescriptionName: [
				"SP + 100",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4802: {
			unidentifiedDisplayName: "SP+150",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc6\xc4\xb6\xfb",
			unidentifiedDescriptionName: [
				"SP + 150",
			],
			identifiedDisplayName: "SP+150",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc6\xc4\xb6\xfb",
			identifiedDescriptionName: [
				"SP + 150",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4803: {
			unidentifiedDisplayName: "Cure1Lv.",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"Decreases the cooldown time of Highness Heal by 3s.",
			],
			identifiedDisplayName: "Cure1Lv.",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"Decreases the cooldown time of Highness Heal by 3s.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4804: {
			unidentifiedDisplayName: "Catholic1Lv.",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"Reduces the SP cost of Coluceo Heal by 30.",
			],
			identifiedDisplayName: "Catholic1Lv.",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"Reduces the SP cost of Coluceo Heal by 30.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4805: {
			unidentifiedDisplayName: "Archbishop1Lv.",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"Increases heal quantity by 3%.",
			],
			identifiedDisplayName: "Archbishop1Lv.",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"Increases healing effectiveness by 3%.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4806: {
			unidentifiedDisplayName: "MATK+3%",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"MATK + 3%",
				"Reduce Fixed Cast Time by 1%.",
			],
			identifiedDisplayName: "MATK+3%",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"MATK + 3%",
				"Fixed casting time - 1% (does not stack with other fixed cast time effects).",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4807: {
			unidentifiedDisplayName: "Atk Speed1",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				"ASPD + 1.",
			],
			identifiedDisplayName: "Atk Speed1",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				"ASPD + 1",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4808: {
			unidentifiedDisplayName: "Fighting Spirit4",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"ATK + 15, HIT + 5.",
			],
			identifiedDisplayName: "Fighting Spirit4",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"ATK + 15, HIT + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4809: {
			unidentifiedDisplayName: "Fighting Spirit3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"ATK + 12, HIT + 4.",
			],
			identifiedDisplayName: "Fighting Spirit3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"ATK + 12, HIT + 4",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4810: {
			unidentifiedDisplayName: "Fighting Spirit2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"ATK + 9, HIT + 3.",
			],
			identifiedDisplayName: "Fighting Spirit2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"ATK + 9, HIT + 3",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4811: {
			unidentifiedDisplayName: "Fighting Spirit1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"ATK + 6, HIT + 2.",
			],
			identifiedDisplayName: "Fighting Spirit1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"ATK + 6, HIT + 2",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4812: {
			unidentifiedDisplayName: "Spell4",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				"MATK + 15, º¯µ¿ Ä³½ºÆÃ ½Ã°£ 10% ´ÜÃà.",
			],
			identifiedDisplayName: "Spell4",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				"MATK + 15, Casting Time - 10%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4813: {
			unidentifiedDisplayName: "Spell3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				"MATK + 12, º¯µ¿ Ä³½ºÆÃ ½Ã°£ 8% ´ÜÃà.",
			],
			identifiedDisplayName: "Spell3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				"MATK + 12, Casting Time - 8%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4814: {
			unidentifiedDisplayName: "Spell2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				"MATK + 9, º¯µ¿ Ä³½ºÆÃ ½Ã°£ 6% ´ÜÃà.",
			],
			identifiedDisplayName: "Spell2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				"MATK + 9, Casting Time - 6%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4815: {
			unidentifiedDisplayName: "Spell1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				"MATK + 6, º¯µ¿ Ä³½ºÆÃ ½Ã°£ 4% ´ÜÃà.",
			],
			identifiedDisplayName: "Spell1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				"MATK + 6, Casting Time - 4%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4816: {
			unidentifiedDisplayName: "Sharp3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"CRI + 12, HIT + 4.",
			],
			identifiedDisplayName: "Sharp3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"CRIT + 12, HIT + 4",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4817: {
			unidentifiedDisplayName: "Sharp2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"CRI + 9, HIT + 3.",
			],
			identifiedDisplayName: "Sharp2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"CRIT + 9, HIT + 3",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4818: {
			unidentifiedDisplayName: "Sharp1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"CRI + 6, HIT + 2.",
			],
			identifiedDisplayName: "Sharp1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"CRIT + 6, HIT + 2",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4819: {
			unidentifiedDisplayName: "Atk1",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"ATK + 1%.",
			],
			identifiedDisplayName: "Atk1",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"ATK + 1%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4820: {
			unidentifiedDisplayName: "Fighting Spirit5",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"ATK + 18, HIT + 5.",
			],
			identifiedDisplayName: "Fighting Spirit5",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"ATK + 18, HIT + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4821: {
			unidentifiedDisplayName: "Fighting Spirit6",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"ATK + 21, HIT + 5.",
			],
			identifiedDisplayName: "Fighting Spirit6",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"ATK + 21, HIT + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4822: {
			unidentifiedDisplayName: "Fighting Spirit7",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"ATK + 24, HIT + 5.",
			],
			identifiedDisplayName: "Fighting Spirit7",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"ATK + 24, HIT + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4823: {
			unidentifiedDisplayName: "Fighting Spirit8",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"ATK + 27, HIT + 5.",
			],
			identifiedDisplayName: "Fighting Spirit8",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"ATK + 27, HIT + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4824: {
			unidentifiedDisplayName: "Fighting Spirit9",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"ATK + 30, HIT + 5.",
			],
			identifiedDisplayName: "Fighting Spirit9",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"ATK + 30, HIT + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4825: {
			unidentifiedDisplayName: "Fighting Spirit10",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"ATK + 50, HIT + 15.",
			],
			identifiedDisplayName: "Fighting Spirit10",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"ATK + 50, HIT + 15",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4826: {
			unidentifiedDisplayName: "¸¶·Â5Lv",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				"MATK + 18, º¯µ¿ Ä³½ºÆÃ ½Ã°£ 10% ´ÜÃà.",
			],
			identifiedDisplayName: "Force Lv5",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				"MATK + 18, Casting Time - 10%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4827: {
			unidentifiedDisplayName: "¸¶·Â6Lv",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				"MATK + 21, º¯µ¿ Ä³½ºÆÃ ½Ã°£ 10% ´ÜÃà.",
			],
			identifiedDisplayName: "Force Lv6",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				"MATK + 21, Casting Time - 10%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4828: {
			unidentifiedDisplayName: "¸¶·Â7Lv",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				"MATK + 24, º¯µ¿ Ä³½ºÆÃ ½Ã°£ 10% ´ÜÃà.",
			],
			identifiedDisplayName: "Force Lv7",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				"MATK + 24, Casting Time - 10%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4829: {
			unidentifiedDisplayName: "¸¶·Â8Lv",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				"MATK + 27, º¯µ¿ Ä³½ºÆÃ ½Ã°£ 10% ´ÜÃà.",
			],
			identifiedDisplayName: "Force Lv8",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				"MATK + 27, Casting Time - 10%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4830: {
			unidentifiedDisplayName: "¸¶·Â9Lv",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				"MATK + 30, º¯µ¿ Ä³½ºÆÃ ½Ã°£ 10% ´ÜÃà.",
			],
			identifiedDisplayName: "Force Lv9",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				"MATK + 30, Casting Time - 10%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4831: {
			unidentifiedDisplayName: "¸¶·Â10Lv",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				"MATK + 50, º¯µ¿ Ä³½ºÆÃ ½Ã°£ 20% ´ÜÃà.",
			],
			identifiedDisplayName: "Force Lv10",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				"MATK + 50, Casting Time - 20%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4832: {
			unidentifiedDisplayName: "Expert Archer1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			unidentifiedDescriptionName: [
				"¿ø°Å¸® ¹°¸® °ø°Ý·Â 2% »ó½Â.",
			],
			identifiedDisplayName: "Expert Archer1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			identifiedDescriptionName: [
				"Ranged Attack Damage + 2%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4833: {
			unidentifiedDisplayName: "Expert Archer2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			unidentifiedDescriptionName: [
				"¿ø°Å¸® ¹°¸® °ø°Ý·Â 4% »ó½Â.",
			],
			identifiedDisplayName: "Expert Archer2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			identifiedDescriptionName: [
				"Ranged Attack Damage + 4%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4834: {
			unidentifiedDisplayName: "Expert Archer3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			unidentifiedDescriptionName: [
				"¿ø°Å¸® ¹°¸® °ø°Ý·Â 6% »ó½Â.",
			],
			identifiedDisplayName: "Expert Archer3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			identifiedDescriptionName: [
				"Ranged Attack Damage + 6%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4835: {
			unidentifiedDisplayName: "Expert Archer4",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			unidentifiedDescriptionName: [
				"¿ø°Å¸® ¹°¸® °ø°Ý·Â 8% »ó½Â.",
			],
			identifiedDisplayName: "Expert Archer4",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			identifiedDescriptionName: [
				"Ranged Attack Damage + 8%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4836: {
			unidentifiedDisplayName: "Expert Archer5",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			unidentifiedDescriptionName: [
				"¿ø°Å¸® ¹°¸® °ø°Ý·Â 10% »ó½Â.",
			],
			identifiedDisplayName: "Expert Archer5",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			identifiedDescriptionName: [
				"Ranged Attack Damage + 10%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4837: {
			unidentifiedDisplayName: "Expert Archer6",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			unidentifiedDescriptionName: [
				"¿ø°Å¸® ¹°¸® °ø°Ý·Â 12% »ó½Â.",
			],
			identifiedDisplayName: "Expert Archer6",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			identifiedDescriptionName: [
				"Ranged Attack Damage + 12%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4838: {
			unidentifiedDisplayName: "Expert Archer7",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			unidentifiedDescriptionName: [
				"¿ø°Å¸® ¹°¸® °ø°Ý·Â 14% »ó½Â.",
			],
			identifiedDisplayName: "Expert Archer7",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			identifiedDescriptionName: [
				"Ranged Attack Damage + 14%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4839: {
			unidentifiedDisplayName: "Expert Archer8",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			unidentifiedDescriptionName: [
				"¿ø°Å¸® ¹°¸® °ø°Ý·Â 16% »ó½Â.",
			],
			identifiedDisplayName: "Expert Archer8",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			identifiedDescriptionName: [
				"Ranged Attack Damage + 16%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4840: {
			unidentifiedDisplayName: "Expert Archer9",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			unidentifiedDescriptionName: [
				"¿ø°Å¸® ¹°¸® °ø°Ý·Â 18% »ó½Â.",
			],
			identifiedDisplayName: "Expert Archer9",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			identifiedDescriptionName: [
				"Ranged Attack Damage + 18%",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4841: {
			unidentifiedDisplayName: "Expert Archer10",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			unidentifiedDescriptionName: [
				"¿ø°Å¸® ¹°¸® °ø°Ý·Â 20% »ó½Â, ASPD + 1.",
			],
			identifiedDisplayName: "Expert Archer10",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			identifiedDescriptionName: [
				"Ranged Attack Damage + 20%, ASPD + 1",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4842: {
			unidentifiedDisplayName: "Atk Speed2",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				"ASPD + 2.",
			],
			identifiedDisplayName: "Atk Speed2",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				"ASPD + 2",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4843: {
			unidentifiedDisplayName: "Sharp4",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"CRI + 14, HIT + 5.",
			],
			identifiedDisplayName: "Sharp4",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"CRIT + 14, HIT + 5",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4844: {
			unidentifiedDisplayName: "Sharp5",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"CRI + 15, HIT + 6.",
			],
			identifiedDisplayName: "Sharp5",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"CRIT + 15, HIT + 6",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4845: {
			unidentifiedDisplayName: "µ¹¸ÍÀÌ",
			unidentifiedResourceName: "\xb5\xb9",
			unidentifiedDescriptionName: [
				"¾Æ¹«·± ±â¿îµµ ´À²¸ÁöÁö ¾Ê´Â´Ù. ¾Æ¹«¸®ºÁµµ Æò¹üÇÑ µ¹¸ÍÀÌ´Ù.",
			],
			identifiedDisplayName: "µ¹¸ÍÀÌ",
			identifiedResourceName: "\xb5\xb9",
			identifiedDescriptionName: [
				"¾Æ¹«·± ±â¿îµµ ´À²¸ÁöÁö ¾Ê´Â´Ù. ¾Æ¹«¸®ºÁµµ Æò¹üÇÑ µ¹¸ÍÀÌ´Ù.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4846: {
			unidentifiedDisplayName: "Fully Loved Stone",
			unidentifiedResourceName: "\xb5\xb9",
			unidentifiedDescriptionName: [
				"Used to be a normal stone until it is filled with love.",
				"ATK + 10, MATK + 10.",
			],
			identifiedDisplayName: "Fully Loved Stone",
			identifiedResourceName: "\xb5\xb9",
			identifiedDescriptionName: [
				"Used to be a normal stone until it is filled with love.",
				"ATK + 10, MATK + 10.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4847: {
			unidentifiedDisplayName: "Spelled Stone",
			unidentifiedResourceName: "\xb5\xb9",
			unidentifiedDescriptionName: [
				"Used to be a normal stone until it is filled with evil spirit.",
				"ATK + 10, MATK + 10.",
			],
			identifiedDisplayName: "Spelled Stone",
			identifiedResourceName: "\xb5\xb9",
			identifiedDescriptionName: [
				"Used to be a normal stone until it is filled with evil spirit.",
				"ATK + 10, MATK + 10.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4848: {
			unidentifiedDisplayName: "ÀÌ¹Ãµå1Lv",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"¹«¼Ó¼º °ø°Ý¿¡ ´ëÇÑ ³»¼º 5% Áõ°¡.",
			],
			identifiedDisplayName: "ÀÌ¹Ãµå1Lv",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"¹«¼Ó¼º °ø°Ý¿¡ ´ëÇÑ ³»¼º 5% Áõ°¡.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4849: {
			unidentifiedDisplayName: "Å©·¹ÀÌ´Ï¾ó1Lv",
			unidentifiedResourceName: "\xc1\xf8\xc8\xab\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"ÀÎ°£Çü Àû¿¡°Ô¼­ÀÇ µ¥¹ÌÁö 5% °¨¼Ò.",
			],
			identifiedDisplayName: "Å©·¹ÀÌ´Ï¾ó1Lv",
			identifiedResourceName: "\xc1\xf8\xc8\xab\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"ÀÎ°£Çü Àû¿¡°Ô¼­ÀÇ µ¥¹ÌÁö 5% °¨¼Ò.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4850: {
			unidentifiedDisplayName: "Heal Amount3",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"Èú·® 6% Áõ°¡. SP¼Ò¸ðÀ² 5% Áõ°¡.",
			],
			identifiedDisplayName: "Heal Amount3",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"Èú·® 6% Áõ°¡. SP¼Ò¸ðÀ² 5% Áõ°¡.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4851: {
			unidentifiedDisplayName: "Heal Amount4",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"Èú·® 12% Áõ°¡. SP¼Ò¸ðÀ² 10% Áõ°¡.",
			],
			identifiedDisplayName: "Heal Amount4",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"Èú·® 12% Áõ°¡. SP¼Ò¸ðÀ² 10% Áõ°¡.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4852: {
			unidentifiedDisplayName: "Heal Amount5",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"Èú·® 20% Áõ°¡. SP¼Ò¸ðÀ² 15% Áõ°¡.",
			],
			identifiedDisplayName: "Heal Amount5",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"Èú·® 20% Áõ°¡. SP¼Ò¸ðÀ² 15% Áõ°¡.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4853: {
			unidentifiedDisplayName: "½ºÆä¼ÈSTR",
			unidentifiedResourceName: "\xb0\xcb\xba\xd3\xc0\xba\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"STR + 1.",
				"8Á¦·Ã ½Ã STR + 3 Ãß°¡.",
				"9Á¦·Ã ½Ã ATK + 1% Ãß°¡.",
				"12Á¦·Ã ½Ã ASPD + 1, °íÁ¤ Ä³½ºÆÃ 7% °¨¼Ò.",
			],
			identifiedDisplayName: "½ºÆä¼ÈSTR",
			identifiedResourceName: "\xb0\xcb\xba\xd3\xc0\xba\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"STR + 1.",
				"8Á¦·Ã ½Ã STR + 3 Ãß°¡.",
				"9Á¦·Ã ½Ã ATK + 1% Ãß°¡.",
				"12Á¦·Ã ½Ã ASPD + 1, °íÁ¤ Ä³½ºÆÃ 7% °¨¼Ò.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4854: {
			unidentifiedDisplayName: "½ºÆä¼ÈAGI",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"AGI + 1.",
				"8Á¦·Ã ½Ã AGI + 3 Ãß°¡.",
				"9Á¦·Ã ½Ã ATK + 1% Ãß°¡.",
				"12Á¦·Ã ½Ã ASPD + 1, °íÁ¤ Ä³½ºÆÃ 7% °¨¼Ò.",
			],
			identifiedDisplayName: "½ºÆä¼ÈAGI",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"AGI + 1.",
				"8Á¦·Ã ½Ã AGI + 3 Ãß°¡.",
				"9Á¦·Ã ½Ã ATK + 1% Ãß°¡.",
				"12Á¦·Ã ½Ã ASPD + 1, °íÁ¤ Ä³½ºÆÃ 7% °¨¼Ò.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4855: {
			unidentifiedDisplayName: "½ºÆä¼ÈVIT",
			unidentifiedResourceName: "\xc3\xbb\xb7\xcf\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"VIT + 1.",
				"8Á¦·Ã ½Ã VIT + 3 Ãß°¡.",
				"9Á¦·Ã ½Ã SP + 1% Ãß°¡.",
				"12Á¦·Ã ½Ã ASPD + 1, °íÁ¤ Ä³½ºÆÃ 7% °¨¼Ò.",
			],
			identifiedDisplayName: "½ºÆä¼ÈVIT",
			identifiedResourceName: "\xc3\xbb\xb7\xcf\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"VIT + 1.",
				"8Á¦·Ã ½Ã VIT + 3 Ãß°¡.",
				"9Á¦·Ã ½Ã SP + 1% Ãß°¡.",
				"12Á¦·Ã ½Ã ASPD + 1, °íÁ¤ Ä³½ºÆÃ 7% °¨¼Ò.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4856: {
			unidentifiedDisplayName: "½ºÆä¼ÈINT",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"INT + 1.",
				"8Á¦·Ã ½Ã INT + 3 Ãß°¡.",
				"9Á¦·Ã ½Ã MATK + 1% Ãß°¡.",
				"12Á¦·Ã ½Ã ASPD + 1, °íÁ¤ Ä³½ºÆÃ 7% °¨¼Ò.",
			],
			identifiedDisplayName: "½ºÆä¼ÈINT",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"INT + 1.",
				"8Á¦·Ã ½Ã INT + 3 Ãß°¡.",
				"9Á¦·Ã ½Ã MATK + 1% Ãß°¡.",
				"12Á¦·Ã ½Ã ASPD + 1, °íÁ¤ Ä³½ºÆÃ 7% °¨¼Ò.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4857: {
			unidentifiedDisplayName: "½ºÆä¼ÈDEX",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"DEX + 1.",
				"8Á¦·Ã ½Ã DEX + 3 Ãß°¡.",
				"9Á¦·Ã ½Ã MATK + 1% Ãß°¡.",
				"12Á¦·Ã ½Ã ASPD + 1, °íÁ¤ Ä³½ºÆÃ 7% °¨¼Ò.",
			],
			identifiedDisplayName: "½ºÆä¼ÈDEX",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"DEX + 1.",
				"8Á¦·Ã ½Ã DEX + 3 Ãß°¡.",
				"9Á¦·Ã ½Ã MATK + 1% Ãß°¡.",
				"12Á¦·Ã ½Ã ASPD + 1, °íÁ¤ Ä³½ºÆÃ 7% °¨¼Ò.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4858: {
			unidentifiedDisplayName: "½ºÆä¼ÈLUK",
			unidentifiedResourceName: "\xba\xd0\xc8\xab\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"LUK + 1.",
				"8Á¦·Ã ½Ã LUK + 3 Ãß°¡.",
				"9Á¦·Ã ½Ã MHP + 1% Ãß°¡.",
				"12Á¦·Ã ½Ã ASPD + 1, °íÁ¤ Ä³½ºÆÃ 7% °¨¼Ò.",
			],
			identifiedDisplayName: "½ºÆä¼ÈLUK",
			identifiedResourceName: "\xba\xd0\xc8\xab\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"LUK + 1.",
				"8Á¦·Ã ½Ã LUK + 3 Ãß°¡.",
				"9Á¦·Ã ½Ã MaxHP + 1% Ãß°¡.",
				"12Á¦·Ã ½Ã ASPD + 1, °íÁ¤ Ä³½ºÆÃ 7% °¨¼Ò.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4859: {
			unidentifiedDisplayName: "Evasion1",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"FLEE + 1.",
			],
			identifiedDisplayName: "Evasion1",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"FLEE + 1.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4860: {
			unidentifiedDisplayName: "Evasion3",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"FLEE + 3.",
			],
			identifiedDisplayName: "Evasion3",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"FLEE + 3.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4861: {
			unidentifiedDisplayName: "MHP+1%",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"MHP + 1%.",
			],
			identifiedDisplayName: "MHP+1%",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"MaxHP + 1%.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4862: {
			unidentifiedDisplayName: "MHP+2%",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"MHP + 2%.",
			],
			identifiedDisplayName: "MHP+2%",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"MaxHP + 2%.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4863: {
			unidentifiedDisplayName: "Ä¡¸í1Lv",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xb9\xa6\xbe\xc8\xbc\xae",
			unidentifiedDescriptionName: [
				"Å©¸®Æ¼ÄÃ µ¥¹ÌÁö + 4%, CRI + 1.",
			],
			identifiedDisplayName: "Ä¡¸í1Lv",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xb9\xa6\xbe\xc8\xbc\xae",
			identifiedDescriptionName: [
				"Å©¸®Æ¼ÄÃ µ¥¹ÌÁö + 4%, CRI + 1.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4864: {
			unidentifiedDisplayName: "Ä¡¸í2Lv",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xb9\xa6\xbe\xc8\xbc\xae",
			unidentifiedDescriptionName: [
				"Å©¸®Æ¼ÄÃ µ¥¹ÌÁö + 6%, CRI + 2.",
			],
			identifiedDisplayName: "Ä¡¸í2Lv",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xb9\xa6\xbe\xc8\xbc\xae",
			identifiedDescriptionName: [
				"Å©¸®Æ¼ÄÃ µ¥¹ÌÁö + 6%, CRI + 2.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4865: {
			unidentifiedDisplayName: "Ä¡¸í3Lv",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xb9\xa6\xbe\xc8\xbc\xae",
			unidentifiedDescriptionName: [
				"Å©¸®Æ¼ÄÃ µ¥¹ÌÁö + 8%, CRI + 3.",
			],
			identifiedDisplayName: "Ä¡¸í3Lv",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xb9\xa6\xbe\xc8\xbc\xae",
			identifiedDescriptionName: [
				"Å©¸®Æ¼ÄÃ µ¥¹ÌÁö + 8%, CRI + 3.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4866: {
			unidentifiedDisplayName: "Ä¡¸í4Lv",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xb9\xa6\xbe\xc8\xbc\xae",
			unidentifiedDescriptionName: [
				"Å©¸®Æ¼ÄÃ µ¥¹ÌÁö + 10%, CRI + 4.",
			],
			identifiedDisplayName: "Ä¡¸í4Lv",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xb9\xa6\xbe\xc8\xbc\xae",
			identifiedDescriptionName: [
				"Å©¸®Æ¼ÄÃ µ¥¹ÌÁö + 10%, CRI + 4.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4867: {
			unidentifiedDisplayName: "MHP+3%",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"MHP + 3%.",
			],
			identifiedDisplayName: "MHP+3%",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"MaxHP + 3%.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4868: {
			unidentifiedDisplayName: "MHP+4%",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"MHP + 4%.",
			],
			identifiedDisplayName: "MHP+4%",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"MaxHP + 4%.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4869: {
			unidentifiedDisplayName: "°ø°ÝÈÄµô·¹ÀÌ1Lv",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xb9\xa6\xbe\xc8\xbc\xae",
			unidentifiedDescriptionName: [
				"°ø°Ý¼Óµµ Áõ°¡.(°ø°Ý ÈÄµô·¹ÀÌ 4%°¨¼Ò)",
			],
			identifiedDisplayName: "°ø°ÝÈÄµô·¹ÀÌ1Lv",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xb9\xa6\xbe\xc8\xbc\xae",
			identifiedDescriptionName: [
				"°ø°Ý¼Óµµ Áõ°¡.(°ø°Ý ÈÄµô·¹ÀÌ 4%°¨¼Ò)",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4870: {
			unidentifiedDisplayName: "SP+25",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc6\xc4\xb6\xfb",
			unidentifiedDescriptionName: [
				"SP + 25",
			],
			identifiedDisplayName: "SP+25",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc6\xc4\xb6\xfb",
			identifiedDescriptionName: [
				"SP + 25",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4871: {
			unidentifiedDisplayName: "SP+75",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc6\xc4\xb6\xfb",
			unidentifiedDescriptionName: [
				"SP + 75",
			],
			identifiedDisplayName: "SP+75",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc6\xc4\xb6\xfb",
			identifiedDescriptionName: [
				"SP + 75",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4872: {
			unidentifiedDisplayName: "°ø°ÝÈÄµô·¹ÀÌ2Lv",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xb9\xa6\xbe\xc8\xbc\xae",
			unidentifiedDescriptionName: [
				"°ø°Ý¼Óµµ Áõ°¡.(°ø°Ý ÈÄµô·¹ÀÌ 6%°¨¼Ò)",
			],
			identifiedDisplayName: "°ø°ÝÈÄµô·¹ÀÌ2Lv",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xb9\xa6\xbe\xc8\xbc\xae",
			identifiedDescriptionName: [
				"°ø°Ý¼Óµµ Áõ°¡.(°ø°Ý ÈÄµô·¹ÀÌ 6%°¨¼Ò)",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4873: {
			unidentifiedDisplayName: "°ø°ÝÈÄµô·¹ÀÌ3Lv",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xb9\xa6\xbe\xc8\xbc\xae",
			unidentifiedDescriptionName: [
				"°ø°Ý¼Óµµ Áõ°¡.(°ø°Ý ÈÄµô·¹ÀÌ 8%°¨¼Ò)",
			],
			identifiedDisplayName: "°ø°ÝÈÄµô·¹ÀÌ3Lv",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xb9\xa6\xbe\xc8\xbc\xae",
			identifiedDescriptionName: [
				"°ø°Ý¼Óµµ Áõ°¡.(°ø°Ý ÈÄµô·¹ÀÌ 8%°¨¼Ò)",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4874: {
			unidentifiedDisplayName: "º½ÀÇ³ìÁÖ¼®",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"º½À» »óÂ¡ÇÏ´Â ¼±¸íÇÑ ÃÊ·Ïºû º¸¼®. ºÎµå·´°Ô ºÒ¾î¿À´Â º½¹Ù¶÷¿¡ ÃëÇØ ÀÇ¹ÌºÒ¸íÀÇ ¸»À» Áß¾ó°Å¸®°Ô µÈ´Ù°í ÇÑ´Ù.",
			],
			identifiedDisplayName: "º½ÀÇ³ìÁÖ¼®",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"º½À» »óÂ¡ÇÏ´Â ¼±¸íÇÑ ÃÊ·Ïºû º¸¼®. ºÎµå·´°Ô ºÒ¾î¿À´Â º½¹Ù¶÷¿¡ ÃëÇØ ÀÇ¹ÌºÒ¸íÀÇ ¸»À» Áß¾ó°Å¸®°Ô µÈ´Ù°í ÇÑ´Ù.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4991: {
			unidentifiedDisplayName: "Kafra Blossom Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Kafra_Blossom_Card",
			],
			identifiedDisplayName: "Kafra Blossom Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Adventurers can feel carefree exploring dangerous lands knowing that Kafra gal Blossom is supporting them back in town.",
				"10% Resistance to fire/wind/water/earth/holy/shadow elements",
				"2% chance to increase resistance to fire/wind/water/earth/holy/shadow elements by 10% for 10 seconds when receiving magic damage",
				"Class : ^777777Card^000000",
				"Compound on: ^777777Accessory^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4998: {
			unidentifiedDisplayName: "GM Aegis Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"GM_Aegis_Card",
			],
			identifiedDisplayName: "GM Aegis Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"GM_Aegis_Card",
			],
			slotCount: 0,
			ClassNum: 0
		},

		4999: {
			unidentifiedDisplayName: "GM Valor Card",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"GM_Valor_Card",
			],
			identifiedDisplayName: "GM Valor Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"GM_Valor_Card",
			],
			slotCount: 0,
			ClassNum: 0
		},

		5001: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Headset",
			identifiedResourceName: "\xc7\xec\xb5\xe5\xc6\xf9",
			identifiedDescriptionName: [
				"A strange device that was invented by an old craftsman, but has just recently been completed by his grandson.",
				"Increases resistance to ^880000Curse^000000 status by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 87
		},

		5002: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jewel Crown",
			identifiedResourceName: "\xc1\xea\xbe\xf3\xc5\xa9\xb6\xf3\xbf\xee",
			identifiedDescriptionName: [
				"This crown, adorned with precious gems, is generally worn by monarchs as a symbol of their rule.",
				"INT + 2, LUK + 1, MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 9^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 88
		},

		5003: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Joker Jester",
			identifiedResourceName: "\xb1\xa4\xb4\xeb\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A comical hat worn by clowns and jesters that is rumored to protect its wearer from magic.",
				"LUK + 2, MDEF + 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 89
		},

		5004: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Oxygen Mask",
			identifiedResourceName: "\xbb\xea\xbc\xd2\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"Ideal for situations when air is poisonous or polluted, this mask supplies pure oxygen to its wearer.",
				"Increases resistance to the ^880000Poison^000000 status by 20%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 90
		},

		5005: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gas Mask",
			identifiedResourceName: "\xb0\xa1\xbd\xba\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A special mask that filters out poisons from the air.",
				"Increases resistance against the ^880000Poison^000000 status by 30%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 91
		},

		5006: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Machoman's Glasses",
			identifiedResourceName: "\xc7\xcf\xc6\xae\xc6\xc4\xbf\xee\xb5\xa5\xc0\xcc\xbc\xc7",
			identifiedDescriptionName: [
				"70's tough guy style sunglasses that give its wearer a manly swagger.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 92
		},

		5007: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Grand Circlet",
			identifiedResourceName: "\xb7\xce\xb5\xe5\xbc\xad\xc5\xac\xb8\xb4",
			identifiedDescriptionName: [
				"An exquisitely made circlet, typically worn by rulers or gentry.",
				"STR + 1, INT + 1",
				"LUK + 1, MDEF + 4",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 93
		},

		5008: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Puppy Love",
			identifiedResourceName: "\xc7\xb2\xbb\xe7\xb6\xfb",
			identifiedDescriptionName: [
				"A wreath of wildflowers made by a woman in love.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 94
		},

		5009: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Safety Helmet",
			identifiedResourceName: "\xbe\xc8\xc0\xfc\xb8\xf0",
			identifiedDescriptionName: [
				"A durable safety helmet created to offer some protection from accidents.",
				"MDEF + 3",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 95
		},

		5010: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Indian Fillet",
			identifiedResourceName: "\xbf\xf8\xc1\xd6\xb9\xce\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A traditional headdress worn by native people.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 96
		},

		5011: {
			unidentifiedDisplayName: "Antenna",
			unidentifiedResourceName: "\xbe\xc8\xc5\xd7\xb3\xaa",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Aerial",
			identifiedResourceName: "\xbe\xc8\xc5\xd7\xb3\xaa",
			identifiedDescriptionName: [
				"A mysterious object, possibly a device, that was discovered in the depths of the ocean. Nobody knows what it is.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 97
		},

		5012: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ph.D Hat",
			identifiedResourceName: "\xc7\xd0\xbb\xe7\xb8\xf0",
			identifiedDescriptionName: [
				"A ceremonial hat worn during one's graduation.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 98
		},

		5013: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lord Kaho's Horn",
			identifiedResourceName: "\xb7\xce\xb5\xe5\xc4\xab\xc8\xa3\xc0\xc7\xbb\xd4",
			identifiedDescriptionName: [
				"A special headgear created specifically for Lord Kaho ... Whoever he is.",
				"STR + 5, INT + 5",
				"VIT + 10, AGI + 10",
				"LUK + 20, MDEF + 10",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 30^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 99
		},

		5014: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fin Helm",
			identifiedResourceName: "\xc7\xc9\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"Helmet accessories that look just like fins.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 100
		},

		5015: {
			unidentifiedDisplayName: "Egg Shell",
			unidentifiedResourceName: "\xc0\xe5\xbd\xc4\xbf\xeb\xbe\xcb\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Egg Shell",
			identifiedResourceName: "\xc0\xe5\xbd\xc4\xbf\xeb\xbe\xcb\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A peculiar hat that makes it wearer look freshly hatched.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 101
		},

		5016: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Boy's Cap",
			identifiedResourceName: "\xc7\xd0\xbb\xfd\xb8\xf0",
			identifiedDescriptionName: [
				"A black cap that is usually worn by boys attending schools that require uniforms.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 102
		},

		5017: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bone Helm",
			identifiedResourceName: "\xba\xbb\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"An incredibly heavy, yet almost impenetrable helmet constructed of bone.",
				"Increases damage received from ^777777Shadow^000000 Property attacks by 15%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 15^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 103
		},

		5018: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Feather Bonnet",
			identifiedResourceName: "\xb1\xea\xc5\xd0\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A fabulous, feathered hat that turns men into womanizers and women into manizers.",
				"AGI + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Archer Class^000000",
			],
			slotCount: 0,
			ClassNum: 104
		},

		5019: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Corsair",
			identifiedResourceName: "\xc4\xbf\xbc\xbc\xbe\xee",
			identifiedDescriptionName: [
				"A flamboyant hat worn only by the strongest of pirates.",
				"VIT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 11^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 105
		},

		5020: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kafra Band",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"The most recognizable piece of the standard Kafra Employee uniform.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 106
		},

		5021: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Grief for Greed",
			identifiedResourceName: "\xb5\xb7\xc0\xd2\xc0\xba\xc0\xda\xc0\xc7\xb8\xb6\xc0\xbd",
			identifiedDescriptionName: [
				"An unique headgear that symbolizes a merchant's grief.",
				"INT + 1, DEX + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 120^000000",
				"Required Level :^777777 38^000000",
				"Applicable Job :^777777 Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 107
		},

		5022: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hat of the Sun God",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat that is said to have been worn by the god of the sun.",
				"STR + 3, INT + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 240^000000",
				"Applicable Job :^777777 2nd Class or above^000000",
			],
			slotCount: 0,
			ClassNum: 138
		},

		5023: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Parcel Hat",
			identifiedResourceName: "\xba\xb8\xb5\xfb\xb8\xae\xb8\xf0",
			identifiedDescriptionName: [
				"A large piece of cloth, usually polka dotted, that is wrapped around goods which are then carried on the head.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 108
		},

		5024: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cake Hat",
			identifiedResourceName: "\xc4\xc9\xc0\xcc\xc5\xa9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A birthday cake replica that won't fit a Dancer inside, but it's almost just as much fun to wear it on top of your head. Almost.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 109
		},

		5025: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Helm of Angel",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"A wondrous helmet adorned with angel wings that was made by a smithing genius.",
				"AGI + 1, LUK + 1, MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 160^000000",
				"Required Level :^777777 74^000000",
				"Applicable Job :^777777 2nd Class or above^000000",
			],
			slotCount: 0,
			ClassNum: 110
		},

		5026: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chef Hat",
			identifiedResourceName: "\xbf\xe4\xb8\xae\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat designed to cool a chef's head in a hot kitchen.",
				"DEX + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 111
		},

		5027: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mage Hat",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A stylish formal hat that talented magicians usually wear during a show.",
				"INT + 2, Maximum SP + 150",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 112
		},

		5028: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc3\xd0\xba\xd2",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Candle",
			identifiedResourceName: "\xc3\xd0\xba\xd2",
			identifiedDescriptionName: [
				"A large, slightly used candlestick that can be worn on the head by via a strap attachment.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 15^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 113
		},

		5029: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spore Hat",
			identifiedResourceName: "\xbd\xba\xc6\xf7\xbe\xc6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A headgear made in the form of a Spore's head.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 90^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 114
		},

		5030: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Panda Hat",
			identifiedResourceName: "\xc6\xd2\xb4\xf5\xb0\xf5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cute and cuddly headgear made in the form of a Panda's head.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 115
		},

		5031: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mine Hat",
			identifiedResourceName: "\xb1\xa4\xbb\xea\xc7\xef\xb8\xe4",
			identifiedDescriptionName: [
				"A durable safety helmet with a special flashlight attachment for exploring dark areas.",
				"DEX + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 9^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 150^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 116
		},

		5032: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sunday Hat",
			identifiedResourceName: "\xb3\xaa\xb5\xe9\xc0\xcc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A fashionable, wide brimmed hat that's perfect for blocking the glare of the sun.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 117
		},

		5033: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Raccoon Hat",
			identifiedResourceName: "\xb3\xca\xb1\xb8\xb8\xae\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat created in the form of Smokie, the Raccoon monster.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 90^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 118
		},

		5034: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bulb Band",
			identifiedResourceName: "\xc0\xfc\xb1\xb8\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hair band with a light bulb attached to it.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 119
		},

		5035: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poring Hat",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat created in the form of the Poring monster.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 38^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 120
		},

		5036: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cross Hat",
			identifiedResourceName: "\xbd\xca\xc0\xda\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hair band with a cross mounted on top.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 25^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 121
		},

		5037: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Nut Shell",
			identifiedResourceName: "\xbf\xad\xb8\xc5\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A hat made out of half of a nut shell.",
				"Although it's solid and provides excellent defense, it is very delicate. Therefore it is may easily break when trying to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 5^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 122
		},

		5038: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Deviruchi Hat",
			identifiedResourceName: "\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat created in the form of the Deviruchi monster.",
				"STR + 1, INT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 64^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 123
		},

		5039: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb4\xde\xb0\xbf\xb2\xae\xc1\xfa\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rainbow Eggshell",
			identifiedResourceName: "\xbe\xcb\xb7\xcf\xb4\xde\xb7\xcf\xbe\xcb\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A mysteriously colorful egg shell.",
				"It is impossible to upgrade this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 19^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 124
		},

		5040: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb9\xdf\xb1\xd7\xb7\xb9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blush",
			identifiedResourceName: "\xb9\xdf\xb1\xd7\xb7\xb9",
			identifiedDescriptionName: [
				"Two red dots that can be worn on the face to give a blushing impression.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 125
		},

		5041: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Heart Hairpin",
			identifiedResourceName: "\xc7\xcf\xc6\xae\xb8\xd3\xb8\xae\xc7\xc9",
			identifiedDescriptionName: [
				"A cute hairpin with a heart attached to it.",
				"Makes its wearer look adorable and charming.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 126
		},

		5042: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xc6\xf7\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bao Bao",
			identifiedResourceName: "\xb8\xd3\xb8\xae\xc6\xf7\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"Well-known item which has been rumored to have been worn by a great woman warrior in ancient times.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 127
		},

		5043: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xbf\xc0\xc6\xe4\xb6\xf3\xb0\xa1\xb8\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Opera Phantom Mask",
			identifiedResourceName: "\xbf\xc0\xc6\xe4\xb6\xf3\xc0\xaf\xb7\xc9\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A mask rumored to have been worn by a romantic hero with an unknown fate.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 128
		},

		5044: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evil Wing Ears",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"Widely stretched wings.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 35^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 129
		},

		5045: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb8\xb6\xbc\xfa\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magician Hat",
			identifiedResourceName: "\xb8\xb6\xbc\xfa\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat worn by magicians. Rabbits are usually pulled out of this hat.",
				"Pretty stout, it won't be destroyed easily.",
				"DEX + 1, AGI + 1, Maximum SP + 50",
				"[^000088Gentleman's Staff & Magician Hat Equip Set^000000]",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Mage Class, Acolyte Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 130
		},

		5046: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bongun Hat",
			identifiedResourceName: "\xba\xbb\xb0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat worn by the Bongun monster. For some reason, there's an amulet which has been torn in half.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 139
		},

		5047: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fashionable Glasses",
			identifiedResourceName: "\xc6\xd0\xbc\xc7\xbc\xb1\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
				"A pair of fashionable sunglasses.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 131
		},

		5048: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cresent Hairpin",
			identifiedResourceName: "\xc3\xca\xbd\xc2\xb4\xde\xb8\xd3\xb8\xae\xc7\xc9",
			identifiedDescriptionName: [
				"A hairpin in the shape of a crescent.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 132
		},

		5049: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Striped Hairband",
			identifiedResourceName: "\xc1\xd9\xb9\xab\xb4\xcc\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A striped hair band which is good for preventing hair from covering the eyes.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 15^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 133
		},

		5050: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wonder Nutshell",
			identifiedResourceName: "\xbd\xc5\xba\xf1\xc7\xd1\xbf\xad\xb8\xc5\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A head piece made out of a wondrous nutshell that has been cut in half.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 134
		},

		5051: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xb9\xe6\xbf\xef",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pussy Cat Bell",
			identifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xb9\xe6\xbf\xef",
			identifiedDescriptionName: [
				"A bell which can be used as a necklace, and makes a clear sound when it rings.",
				"It makes its wearer look harmless and adorable.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 135
		},

		5052: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blue Hairband",
			identifiedResourceName: "\xc3\xbb\xbb\xf6\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A blue colored hair band worn with a rakish slant.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 15^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 136
		},

		5053: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sphinx Hat",
			identifiedResourceName: "\xbd\xba\xc7\xce\xc5\xa9\xbd\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A traditional Egyptian head piece that symbolizes the Egyptian gods.",
				"STR + 2",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Lower^000000",
				"Weight :^777777 300^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 137
		},

		5054: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Assassin Mask",
			identifiedResourceName: "\xbe\xee\xbc\xbc\xbd\xc5\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"An exclusive mask for assassins. Covers most of the face.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Priest, Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		5055: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc0\xe5\xbd\xc4\xbf\xeb\xbe\xcb\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice False Eggshell",
			identifiedResourceName: "\xc0\xe5\xbd\xc4\xbf\xeb\xbe\xcb\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"An exclusive helmet for new adventurers.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Weight :^777777 0.1^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 101
		},

		5056: {
			unidentifiedDisplayName: "Fruit of Love",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fruit of Love",
			identifiedResourceName: "\xbb\xe7\xb6\xfb\xc0\xc7\xbf\xad\xb8\xc5",
			identifiedDescriptionName: [
				"Hairpin with three red berries attached which symbolize the self, family and neighbor.",
				"The stem uniting the three berries together symbolizes society.",
				"This hairpin appears to represent cooperation and trust of humankind.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 140
		},

		5057: {
			unidentifiedDisplayName: "Headband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Cat Ears",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb0\xed\xbe\xe7\xc0\xcc\xb1\xcd",
			identifiedDescriptionName: [
				"A hair band with tiny little black ears attached. It's a copy of the hair band of Wickebine in Morocc.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 141
		},

		5058: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Drooping Cat",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			identifiedDescriptionName: [
				"A cute kitty doll which can be worn on top of the head.",
				"MDEF + 15",
				"Increase resistance to ^880000Curse^000000 status by 30%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 142
		},

		5059: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Teddybear Hat",
			identifiedResourceName: "\xb0\xf5\xb5\xb9\xc0\xcc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made to look like a teddy bear's face. It makes a nice present.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 143
		},

		5060: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Party Hat",
			identifiedResourceName: "\xb2\xbf\xb1\xf2\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A festive hat for celebrations and any kind of party.",
				"LUK + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 144
		},

		5061: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flower Hairpin",
			identifiedResourceName: "\xb2\xc9\xb8\xd3\xb8\xae\xc7\xc9",
			identifiedDescriptionName: [
				"A hairpin with a red flower attached. It helps hold hair in place.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 145
		},

		5062: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Straw Hat",
			identifiedResourceName: "\xb9\xd0\xc2\xa4\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat knitted together with straw.",
				"AGI + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 146
		},

		5063: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Giant Band Aid",
			identifiedResourceName: "\xb9\xdd\xc3\xa2\xb0\xed",
			identifiedDescriptionName: [
				"A hair accessory which looks just like two crossed band aids.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 147
		},

		5064: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Smokie Leaf",
			identifiedResourceName: "\xb3\xaa\xb9\xb5\xc0\xd9\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"A leaf which rumored to be worn by the Smokie monster for transformations.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 148
		},

		5065: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blue Fish",
			identifiedResourceName: "\xbb\xfd\xbc\xb1\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A headgear which looks just like a scrumptious fish. It even has the same smell!",
				"Increase 10% damage against Fish monster.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 149
		},

		5066: {
			unidentifiedDisplayName: "Helmet",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Succubus Horn",
			identifiedResourceName: "\xbc\xad\xc5\xa5\xb9\xf6\xbd\xba\xbb\xd4",
			identifiedDescriptionName: [
				"A headgear which resembles the horns of Succubus.",
				"INT + 1",
				"MDEF + 10",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 150
		},

		5067: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sombrero",
			identifiedResourceName: "\xbc\xd8\xba\xea\xb7\xb9\xb7\xce",
			identifiedDescriptionName: [
				"A traditional Mexican hat with a wide, round brim.",
				"AGI + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 35^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 151
		},

		5068: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evil Wing Ears",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xb3\xaf\xb0\xb3\xb1\xcd",
			identifiedDescriptionName: [
				"An ear accessory made with Evil Wing.",
				"STR + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 152
		},

		5069: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kitsune Mask",
			identifiedResourceName: "\xbf\xa9\xbf\xec\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A mask rumored to have been worn by certain assassins in order to hide themselves.",
				"AGI + 1",
				"LUK + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 153
		},

		5070: {
			unidentifiedDisplayName: "Headband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hot-blooded Headband",
			identifiedResourceName: "\xbf\xad\xc7\xf7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A headgear which symbolizes hot-blooded challenge and battle vigor.",
				"STR + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 154
		},

		5071: {
			unidentifiedDisplayName: "Headband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Indian Headband",
			identifiedResourceName: "\xc0\xce\xb5\xf0\xbe\xc8\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A tribal headgear adorned with a long, white feather.",
				"DEX + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 155
		},

		5072: {
			unidentifiedDisplayName: "Helmet",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Incubus Horn",
			identifiedResourceName: "\xc0\xce\xc5\xa5\xb9\xf6\xbd\xba\xbb\xd4",
			identifiedDescriptionName: [
				"A headgear which resembles the horns of Incubus.",
				"AGI + 1",
				"MDEF + 10",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 156
		},

		5073: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Model Training Hat",
			identifiedResourceName: "\xc0\xda\xbc\xbc\xb1\xb3\xc1\xa4\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A headgear made of a book topped with an apple. Wear it to learn glamorous posture.",
				"DEX + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 157
		},

		5074: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angel Wing Ears",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xb3\xaf\xb0\xb3\xb1\xcd",
			identifiedDescriptionName: [
				"An ear accessory that looks just like white, beautiful angel wings.",
				"STR + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 158
		},

		5075: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cowboy Hat",
			identifiedResourceName: "\xc4\xab\xbf\xec\xba\xb8\xc0\xcc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cowboy hat. It makes men look manlier, and is cute when worn by women.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 159
		},

		5076: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Beanie",
			identifiedResourceName: "\xc5\xd0\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A knit beanie that protects from the cold. Makes some wearers look cute and gives other wearers street cred.",
				"LUK + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 35^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 160
		},

		5077: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tulip Hairpin",
			identifiedResourceName: "\xc6\xab\xb8\xb3\xb8\xd3\xb8\xae\xc7\xc9",
			identifiedDescriptionName: [
				"A tiny little hairpin shaped like a tulip.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 161
		},

		5078: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sea-Otter Hat",
			identifiedResourceName: "\xc7\xd8\xb4\xde\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat which looks like the face of a sea-otter.",
				"VIT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 162
		},

		5079: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "X Hairpin",
			identifiedResourceName: "\x58\xc0\xda\xb8\xd3\xb8\xae\xc7\xc9",
			identifiedDescriptionName: [
				"A hair accessory that looks like an 'X'.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 163
		},

		5080: {
			unidentifiedDisplayName: "Helmet",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crown of Ancient Queen",
			identifiedResourceName: "\xbf\xa9\xbf\xd5\xc0\xc7\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"A hair ornament worn by ancient queens.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 164
		},

		5081: {
			unidentifiedDisplayName: "Helmet",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crown of Mistress",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xc6\xae\xb7\xb9\xbd\xba\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A crown which is made after the one worn by Mistress.",
				"INT + 2, Maximum SP + 100",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 165
		},

		5082: {
			unidentifiedDisplayName: "Headband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Decorative Mushroom",
			identifiedResourceName: "\xb9\xf6\xbc\xb8\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A headgear which you can obtain by chance when you put your head for a prolonged period of time in a dark, damp place.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 166
		},

		5083: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Ribbon",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xc5\xd7\xc0\xcf\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"A big red ribbon made in the style of the one worn by a legendary female shaman who loved nature.",
				"MDEF + 10",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 167
		},

		5084: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lazy Smokie",
			identifiedResourceName: "\xb1\xcd\xc2\xfa\xc0\xba\xb3\xca\xb1\xb8\xb8\xae",
			identifiedDescriptionName: [
				"A headgear made to look like an annoyed Smokie exhausted by the summer heat.",
				"Adds 20% resistance against ^880000Sleep^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 168
		},

		5085: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Small Ribbons",
			identifiedResourceName: "\xbe\xe7\xc2\xca\xb1\xcd\xb9\xd8\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"A pair of small red ribbons which can be used to decorate the hair of little girls.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 169
		},

		5086: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Alarm Mask",
			identifiedResourceName: "\xbe\xcb\xb6\xf7\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A mask which resembles the face of an Alarm monster.",
				"Adds 50% resistance against ^880000Blind^000000",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 170
		},

		5087: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poker Face",
			identifiedResourceName: "\xb0\xed\xba\xed\xb8\xb0\xb0\xa1\xb8\xe9\x31\xc8\xa3",
			identifiedDescriptionName: [
				"A mask with a blank expression on it.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 171
		},

		5088: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Surprised Mask",
			identifiedResourceName: "\xb0\xed\xba\xed\xb8\xb0\xb0\xa1\xb8\xe9\x32\xc8\xa3",
			identifiedDescriptionName: [
				"A mask with a surprised expression on it.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 172
		},

		5089: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Annoyed Mask",
			identifiedResourceName: "\xb0\xed\xba\xed\xb8\xb0\xb0\xa1\xb8\xe9\x33\xc8\xa3",
			identifiedDescriptionName: [
				"A mask with an annoyed expression on it.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 173
		},

		5090: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Goblin Leader Mask",
			identifiedResourceName: "\xb0\xed\xba\xed\xb8\xb0\xb0\xa1\xb8\xe9\x34\xc8\xa3",
			identifiedDescriptionName: [
				"A mask worn by the Goblin leader. It looks so ferocious, it's ridiculous.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 174
		},

		5091: {
			unidentifiedDisplayName: "Helmet",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Decorative Golden Bell",
			identifiedResourceName: "\xb4\xeb\xc7\xfc\xb1\xdd\xb9\xe6\xbf\xef",
			identifiedDescriptionName: [
				"A hair accessory which is made after Sohee's golden bell.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 35^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 175
		},

		5092: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Coif",
			identifiedResourceName: "\xbc\xf6\xb3\xe0\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A tight-fitting cap worn under a veil, usually worn by nuns.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Female Only, Priest, Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 176
		},

		5093: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Coif",
			identifiedResourceName: "\xbc\xf6\xb3\xe0\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A tight-fitting cap worn under a veil, usually worn by nuns.",
				"Maximum SP + 100",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Female Only, Priest, Assassin^000000",
			],
			slotCount: 1,
			ClassNum: 177
		},

		5094: {
			unidentifiedDisplayName: "Helmet",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Helmet of Orc Hero",
			identifiedResourceName: "\xbf\xc0\xc5\xa9\xc8\xf7\xbe\xee\xb7\xce\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"A headgear bestowed only to true Orc Heroes.",
				"STR + 2",
				"VIT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 90^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 178
		},

		5095: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xbf\xc0\xc5\xa9\xc8\xf7\xbe\xee\xb7\xce\xc5\xf5\xb1\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Helmet of Orc Hero",
			identifiedResourceName: "\xbf\xc0\xc5\xa9\xc8\xf7\xbe\xee\xb7\xce\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"A headgear bestowed only to true Orc Heroes.",
				"STR + 2, VIT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 179
		},

		5096: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Assassin Mask",
			identifiedResourceName: "\xbe\xee\xbb\xf5\xbd\xc5\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A mask of dark color that is used by the Assassin to cover his face.",
				"It feels that the concious of the heart is eliminated when it is worn.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Priest, Assassin^000000",
			],
			slotCount: 0,
			ClassNum: 180
		},

		5097: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Holiday Hat",
			identifiedResourceName: "\xb2\xbf\xb1\xf2\xb8\xf0\xc0\xda\x5f",
			identifiedDescriptionName: [
				"A party hat created to celebrate the 5 year anniversary of kRO.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 144
		},

		5098: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tiger Mask",
			identifiedResourceName: "\xc5\xb8\xc0\xcc\xb0\xc5\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A mask rumored to make its wearer ferociously aggressive.",
				"STR + 3, Maximum HP + 100",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 181
		},

		5099: {
			unidentifiedDisplayName: "Neko Mimi",
			unidentifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Neko Mimi",
			identifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cute cat-looking hat which enhances its wearer's look.",
				"Has a cat tail which emphasizes the appearance.",
				"LUK + 2",
				"MDEF + 10",
				"Reduce 5% of damage taken from Brute monster.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 182
		},

		5100: {
			unidentifiedDisplayName: "Helmet",
			unidentifiedResourceName: "\xbc\xbc\xc0\xcf\xc7\xa5\xc1\xf6\xc6\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sales Banner",
			identifiedResourceName: "\xbc\xbc\xc0\xcf\xc7\xa5\xc1\xf6\xc6\xc7",
			identifiedDescriptionName: [
				"A banner which has the word 'Sale' written on the surface.",
				"Seems to be useful for opening vending shops.",
				"STR + 1, AGI + 1, LUK + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 183
		},

		5101: {
			unidentifiedDisplayName: "Takius Blindfold",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Takius Blindfold",
			identifiedResourceName: "\xc5\xb8\xc5\xb0\xbf\xec\xbd\xba\xb4\xab\xb0\xa1\xb8\xae\xb0\xb3",
			identifiedDescriptionName: [
				"Blindfold of the Magician Takius. This Blinker is said to have a certain relationship with her history.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 184
		},

		5102: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blank Eyes",
			identifiedResourceName: "\xb9\xe8\xc6\xb2\xbf\xc2\xb6\xf3\xc0\xce",
			identifiedDescriptionName: [
				"A special item, bundled with the Ragnarok Battle Package, that makes its wearer look absent-minded.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 185
		},

		5103: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sunflower Hairpin",
			identifiedResourceName: "\xc7\xd8\xb9\xd9\xb6\xf3\xb1\xe2\xc7\xc9",
			identifiedDescriptionName: [
				"A hairpin adorned with a sunflower.",
				"AGI + 2, Critical Rate + 5%",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 186
		},

		5104: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dark Blinder",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb4\xab\xb0\xa1\xb8\xae\xb0\xb3",
			identifiedDescriptionName: [
				"A black Blinker. Since it is black in color, it seems that you may not see the light forever if you wear it for a long time.",
				"Protect its user from ^880000Blind^000000.",
				"Add a 2% resistance against ^880000Stun^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 187
		},

		5105: {
			unidentifiedDisplayName: "Costume: Cake Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Cake Hat",
			identifiedResourceName: "\xc4\xc9\xc0\xcc\xc5\xa9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"An appetizing yet imitated Cake Hat which is created to celebrate the 2nd anniversary of Ragnarok.",
				"DEX + 1, Maximum SP + 80",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 109
		},

		5106: {
			unidentifiedDisplayName: "2nd Anniversary Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "2nd Anniversary Hat",
			identifiedResourceName: "\xb2\xbf\xb1\xf2\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A festive party hat for celebrating Ragnarok's second anniversary. Given as a small gift to express gratitude to all of RO's loyal players.",
				"... MATK + 3",
				"HIT, FLEE, Perfect Dodge + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 144
		},

		5107: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crunch Toast",
			identifiedResourceName: "\xc5\xe4\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"A noble headgear created in the proud image of a crunchy toast.",
				"Wearing it makes you feel just like a part of a balanced breakfast.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 5^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 188
		},

		5108: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Renown Detective's Cap",
			identifiedResourceName: "\xc5\xbd\xc1\xa4\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"This type of cap is known to have been worn by a world famous detective.",
				"It feels like a Pipe would perfectly complement this cap for some reason.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 35^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 189
		},

		5109: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Bonnet",
			identifiedResourceName: "\xc2\xf7\xbe\xe7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A bonnet favored by women of nobility.",
				"Wearing it supposedly causes inexplicable cravings for tea, but that might just be an aristocratic thing.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 190
		},

		5110: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Baby Pacifier",
			identifiedResourceName: "\xc1\xa5\xb2\xc0\xc1\xf6",
			identifiedDescriptionName: [
				"A hat that looks just like a pacifier.",
				"Wearing it really brings you back to the good old days of hanging in the crib.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 5^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 191
		},

		5111: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Galapago Cap",
			identifiedResourceName: "\xbf\xc0\xb8\xae\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cute looking cap that makes its wearer look just like Galapago the penguin, and the rim, which looks like a beak, actually blocks UV rays.",
				"Has a low chance of gaining the 'Anodyne' item each time a monster is killed.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 192
		},

		5112: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Super Novice Hat",
			identifiedResourceName: "\xbd\xb4\xb3\xeb\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat that happens to match the Super Novice costume ... absolutely perfectly!",
				"All Stats + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 0,
			ClassNum: 193
		},

		5113: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angry Snarl",
			identifiedResourceName: "\xba\xd0\xb3\xeb\xc0\xd4",
			identifiedDescriptionName: [
				"A headgear that finally allows its wearer to express inner rage or slight disgust.",
				"Breathe new life into your Bunny and Kitty Band by looking like an angry kitty or bunny.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 5^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 194
		},

		5114: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bucket Hat",
			identifiedResourceName: "\xba\xa1\xb0\xc5\xc1\xf6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A trendy hat whose design is based on the old style hats that used to be worn by men enlisted in the military.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 195
		},

		5115: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Winter Hat",
			identifiedResourceName: "\xb9\xe6\xc7\xd1\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A furry hat that is an all time favorite during the winter season.",
				"Increase resistance to the ^880000Freeze^000000 status by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 196
		},

		5116: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Banana Hat",
			identifiedResourceName: "\xb9\xd9\xb3\xaa\xb3\xaa\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made in the image of a banana peel, the key ingredient for the most basic practical joke since immemorial times.",
				"Just looking at it causes a primal reaction of pure rage.",
				"Add a 3% chance of auto casting ^008800Level 3 Provoke^000000 on the enemy when attacking.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 197
		},

		5117: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mystic Rose",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xc6\xbd\xb7\xce\xc1\xee",
			identifiedDescriptionName: [
				"A hat that looks just like a white rose, which enhances the beauty of its wearer.",
				"Reduces 2% of the damage taken from Plant monster.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 198
		},

		5118: {
			unidentifiedDisplayName: "Head band",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Puppy Headband",
			identifiedResourceName: "\xb0\xad\xbe\xc6\xc1\xf6\xb1\xcd",
			identifiedDescriptionName: [
				"A cute headband that looks just like a pair of adorable puppy ears.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 199
		},

		5119: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Super Novice Hat",
			identifiedResourceName: "\xbd\xb4\xb3\xeb\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat that happens to match the Super Novice costume ... absolutely perfectly!",
				"All Stats + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 1,
			ClassNum: 193
		},

		5120: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bucket Hat",
			identifiedResourceName: "\xba\xa1\xb0\xc5\xc1\xf6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A trendy hat whose design is based on the old style hats that used to be worn by men enlisted in the military.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 195
		},

		5121: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Zealotus Mask",
			identifiedResourceName: "\xc1\xf6\xb8\xa3\xc5\xb8\xbd\xba\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"This mask, which is symbolic of Zherlthsh, mistress of the Glast Heim Underground Prison, makes its wearer feel like looking down on normal human peons.",
				"Inflicts 5% more damage on DemiHuman monster.",
				"Reduce 5% of the damage taken from DemiHuman monster.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 200
		},

		5122: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magni's Cap",
			identifiedResourceName: "\xb8\xde\xb1\xe4\xc4\xb8",
			identifiedDescriptionName: [
				"Once owned by Magni, son of Thor, the wearer of this cap is supposedly granted a measure of Magni's awesome might.",
				"STR + 2",
				"[^000088Odin's Blessing, Stone Buckler & Magni's Cap Equip Set^000000]",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 9^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 250
		},

		5123: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ulle's Cap",
			identifiedResourceName: "\xbf\xef\xc4\xb8",
			identifiedDescriptionName: [
				"A woolen hunting cap once worn by Ulle, god of hunting.",
				"Just wearing it makes you feel like you can hunt down any beast.",
				"DEX + 2, AGI + 1",
				"[^000088+ Odin's Blessing^000000]",
				"[^008800Base Dexterity >= 70^000000]",
				"Reduce SP Consumption of skills by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 254
		},

		5124: {
			unidentifiedDisplayName: "Helmet",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fricca's Circlet",
			identifiedResourceName: "\xc7\xc1\xb8\xae\xc4\xab\xbc\xad\xc5\xac\xb8\xb4",
			identifiedDescriptionName: [
				"A circlet blessed by Frigg, mother of Baldur.",
				"MDEF + 10, INT + 2, Maximum SP + 50",
				"[^000088Odin's Blessing, Valkyrja's Shield & Frigg's Circlet Equip Set^000000]",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 251
		},

		5125: {
			unidentifiedDisplayName: "Head band",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angel's Kiss",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xc0\xd4\xb8\xc2\xc3\xe3",
			identifiedDescriptionName: [
				"A hair ornament that was kissed by the Super Novice's Guardian Angel.",
				"SP Recovery + 3%",
				"[^000088Angelic Protection, Angel's Reincarnation, Angelic Guard, Angelic Cardigan & Angel's Kiss Equip Set^000000]",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 1,
			ClassNum: 255
		},

		5126: {
			unidentifiedDisplayName: "Helmet",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Morpheus's Hood",
			identifiedResourceName: "\xb8\xf0\xb8\xa3\xc7\xc7\xbc\xc5\xbd\xba\xb5\xce\xb0\xc7",
			identifiedDescriptionName: [
				"A hood that is one of the three keys to the seal which binds Morpheus.",
				"INT + 2",
				"[^000088+ Morpheus's Shawl, Morpheus's Ring, Morpheus's Bracelet^000000]",
				"Additional INT + 5",
				"MDEF + 11, Maximum SP + 20%",
				"Magic spells can not be interrupted.",
				"Increase Casting Time by 25%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 33^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 256
		},

		5127: {
			unidentifiedDisplayName: "Helmet",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Morrigane's Helm",
			identifiedResourceName: "\xb8\xf0\xb8\xae\xbe\xc6\xb3\xd7\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"A helm that was once owned by Morrigane, the goddess of war.",
				"The gray image of this helm is well known and can strike fear.",
				"LUK + 2, ATK + 3",
				"[^000088+ Morrigane's Manteau, Morrigane's Belt, Morrigane's Pendant^000000]",
				"STR + 2, LUK + 9, Critical Rate + 13, ATK + 18, Perfect Dodge + 13",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 61^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 257
		},

		5128: {
			unidentifiedDisplayName: "Helmet",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Goibne's Helm",
			identifiedResourceName: "\xb0\xd4\xba\xea\xb3\xd7\xc0\xcc\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"One of the few armors that were forged by Goibne the blacksmith.",
				"It is said that the gods valued his armors more than the weapons he had forged.",
				"VIT + 3, MDEF + 3",
				"[^000088+ Goibne's Armor, Goibne's Greaves, Goibne's Spaulders^000000]",
				"VIT + 5, Maximum HP + 15%, Maximum SP + 5%, DEF + 5, MDEF + 15",
				"Receive 10% less damage from ^0000FFWater^000000, ^009900Wind^000000, ^996600Earth^000000 and ^FF0000Fire^000000 Property attacks.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 54^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 258
		},

		5129: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bird Nest",
			identifiedResourceName: "\xbb\xf5\xb5\xd5\xc1\xf6",
			identifiedDescriptionName: [
				"A bird nest that makes you feels like you are going to fly away.",
				"Somehow it has right shape to be worn on top of the head and feels closer to nature.",
				"AGI + 2",
				"Reduce damage from Brute monster by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 201
		},

		5130: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lion Mask",
			identifiedResourceName: "\xb6\xf3\xc0\xcc\xbf\xc2\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"Head of a fierce animal that lives deep in forests",
				"Enemies tremble and become speechless when encountering this beast.",
				"Add a 5% chance of auto casting ^880000Silence^000000 on enemies.",
				"MDEF + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 2nd Class or above^000000",
			],
			slotCount: 0,
			ClassNum: 202
		},

		5131: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Close Helmet",
			identifiedResourceName: "\xc5\xac\xb7\xce\xbd\xba\xc7\xef\xb8\xe4",
			identifiedDescriptionName: [
				"An iron mask which hides the whole face. You can barely feel any blow with this on.",
				"The defense power is a great help.",
				"VIT + 3, Maximum HP + 3%",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 120^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 203
		},

		5132: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angeling Hat",
			identifiedResourceName: "\xbf\xa3\xc1\xa9\xb8\xb5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat, made especially to look like a certain monster that looks like an angel, but it hates the whole human race.",
				"Reduce damage taken from DemiHuman monster by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 38^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 204
		},

		5133: {
			unidentifiedDisplayName: "Sheep Hat",
			unidentifiedResourceName: "\xbe\xe7\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sheep Hat",
			identifiedResourceName: "\xbe\xe7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A lovely Hat made to look like a sheep's head. So cute that it makes the attackers feels bad.",
				"Reflect 5% of all Physical Melee Damage back to the enemy which inflicted it.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 205
		},

		5134: {
			unidentifiedDisplayName: "Pumpkin-Head",
			unidentifiedResourceName: "\xc8\xa3\xb9\xda\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pumpkin-Head",
			identifiedResourceName: "\xc8\xa3\xb9\xda\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Wearing this gives you the urge to shamelessly bounce around and cackle like a Jakk.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 206
		},

		5135: {
			unidentifiedDisplayName: "Cyclop's Eye",
			unidentifiedResourceName: "\xbb\xe7\xc0\xcc\xc5\xac\xb7\xd3\xbd\xba\xbe\xc6\xc0\xcc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cyclop's Eye",
			identifiedResourceName: "\xbb\xe7\xc0\xcc\xc5\xac\xb7\xd3\xbd\xba\xbe\xc6\xc0\xcc",
			identifiedDescriptionName: [
				"An unique eye protector that seems to increase the wearer's spiritual energy.",
				"Maximum SP + 50",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 207
		},

		5136: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Antonio's Santa Hat",
			identifiedResourceName: "\xbb\xea\xc5\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A new Santa hat redesigned by an artist named \"Louise Kim\" who searched for something extraordinary.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 20
		},

		5137: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Alice Doll",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xbd\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A doll made to resemble Alice.",
				"It feels like it's saying \"May the force be with you, master!\", \"Go get em' tiger!\" on the top of your head.",
				"Increase damage on DemiHuman monster by 10%.",
				"Inflict the ^880000Sleep^000000 status on yourself by a low chance.",
				"STR + 1",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 208
		},

		5138: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magic Eyes",
			identifiedResourceName: "\xb8\xc5\xc1\xf7\xbe\xc6\xc0\xcc\xc1\xee",
			identifiedDescriptionName: [
				"A hat which bears the symbol of the eyes of guiding spirits.",
				"It is said if you watch it, you may see the eyes move on their own.",
				"Reduce Casting Time by 10%. Increases SP consumption of skills by 20%.",
				"MDEF + 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 209
		},

		5139: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hibiscus",
			identifiedResourceName: "\xba\xce\xbf\xeb",
			identifiedDescriptionName: [
				"A flower that is said to have beauty like a goddess from a far east country. It is also used for fortune telling or Chinese medicine.",
				"DEX + 1, INT + 1",
				"MDEF + 5",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 210
		},

		5140: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Charming Ribbon",
			identifiedResourceName: "\xbf\xb9\xbb\xdb\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"A pretty ribbon made from a red string with a pink heart in the middle.",
				"Reduces damage from Undead and Demon enemies by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 211
		},

		5141: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Marionette Doll",
			identifiedResourceName: "\xb8\xb6\xb8\xae\xbf\xc0\xb3\xdd\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A doll made to resemble Marionette. Gives you the chills.",
				"STR + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 212
		},

		5142: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crescent Helm",
			identifiedResourceName: "\xc3\xca\xbd\xc2\xb4\xde\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"A gorgeous and strong helm of an east country general.",
				"VIT + 1",
				"Reduces damage from DemiHuman monster by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 300^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 213
		},

		5143: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kabuki Mask",
			identifiedResourceName: "\xb0\xa1\xba\xce\xc5\xb0\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"Traditional art mask from far eastern country.",
				"Increase resistance to ^880000Silence^000000 status by 30%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 214
		},

		5144: {
			unidentifiedDisplayName: "Gambler Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gambler Hat",
			identifiedResourceName: "\xc7\xde",
			identifiedDescriptionName: [
				"It looks like a normal hat from the outside, but in reality it's modified especially for gamblers.",
				"LUK + 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		5145: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Carnival Joker Jester",
			identifiedResourceName: "\xb1\xa4\xb4\xeb\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Made especially for the carnival.",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"All Stats + 3",
				"Destroyed in 2006.~.~",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 89
		},

		5146: {
			unidentifiedDisplayName: "Elephant Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elephant Hat",
			identifiedResourceName: "\xc4\xda\xb3\xa2\xb8\xae\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Rare pachyderm headgear.",
				"VIT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 215
		},

		5147: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Baseball Cap",
			identifiedResourceName: "\xbe\xdf\xb1\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cap worn to keep the sun from your eyes and focus your sight.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 216
		},

		5148: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guildmaster's Cap",
			identifiedResourceName: "\xb1\xb9\xb0\xe6\xc0\xcf\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made for a national holiday of some western nation.",
				"INT + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 217
		},

		5149: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tiara Of Champions",
			identifiedResourceName: "\xbd\xc7\xb9\xf6\xc6\xbc\xbe\xc6\xb6\xf3",
			identifiedDescriptionName: [
				"A head decoration made out of shiny silver with a star in the center.",
				"INT + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 218
		},

		5150: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Joker Jester",
			identifiedResourceName: "\xb1\xa4\xb4\xeb\xb8\xf0\xc0\xda\x5f",
			identifiedDescriptionName: [
				"A hat made specially to commemorate an event. Produced in the color of the national flag.",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"Increase Movement Speed.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 219
		},

		5151: {
			unidentifiedDisplayName: "Note Headphone",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Note Headphone",
			identifiedResourceName: "\xc0\xbd\xc7\xa5\xc7\xec\xb5\xe5\xc6\xf9",
			identifiedDescriptionName: [
				"A cool looking set of headphones that have earmuffs designed to resemble music notes.",
				"You can listen to your favorite Ragnarok Online music everywhere!",
				"Increase resistance to ^880000Stun^000000 and ^880000Freeze^000000 by 10%.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 220
		},

		5152: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chinese Crown",
			identifiedResourceName: "\xba\xc0\xb0\xfc",
			identifiedDescriptionName: [
				"A heavy looking hat, colored blue with a lot of silver and gems.",
				"Seems to go well with formal events, such as marriage.",
				"Increase resistance to the ^880000Stun^000000 status by 10%.",
				"INT + 1, MDEF + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 200^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 221
		},

		5153: {
			unidentifiedDisplayName: "Angeling Hairpin",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angeling Hairpin",
			identifiedResourceName: "\xbf\xa3\xc1\xa9\xb8\xb5\xc7\xc9",
			identifiedDescriptionName: [
				"A hairpin shaped to look like an Angeling.",
				"Your body feels strangely light when you wear it.",
				"Flee Rate + 5",
				"[^000088+ Angel's Dress^000000]",
				"INT + 2, LUK + 6, Flee Rate + 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 222
		},

		5154: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Papa Sunglasses",
			identifiedResourceName: "\xbc\xb1\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
				"Fashionable yet strict-looking sunglasses which is usually worn by the father.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		5155: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Papa Beard",
			identifiedResourceName: "\xc8\xf2\xbc\xf6\xbf\xb0",
			identifiedDescriptionName: [
				"A fake white beard which is made according to the beard of father. It's thick and strict looking.",
				"ATK + 20",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 25
		},

		5156: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Papa Mask",
			identifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"Mask used by father. Should be very useful when one catches a cold.",
				"MATK + 1%",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		5157: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orc Helm",
			identifiedResourceName: "\xbf\xc0\xc5\xa9\xc1\xb7\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"A hardy helmet that was crafted by the most expert of Orcish smiths.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 9^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 86
		},

		5158: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Monk Hat",
			identifiedResourceName: "\xbc\xba\xc1\xf7\xc0\xda\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A ceremonial hat worn by monks that contains a sacred force which offers protection from evil.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 1,
			ClassNum: 35
		},

		5159: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Gear",
			identifiedResourceName: "\xb0\xf1\xb5\xe7\xc7\xec\xb5\xe5\xb1\xe2\xbe\xee",
			identifiedDescriptionName: [
				"A helmet forged from pure gold which blocks attacks effectively, but is also unaffordable.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 9^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 90^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 30
		},

		5160: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magestic Goat",
			identifiedResourceName: "\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb0\xed\xbf\xec\xc6\xae",
			identifiedDescriptionName: [
				"A helmet, made to look like mighty goat horns, that can increase the strength of its wearer.",
				"STR + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 9^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, TaeKwon, Star Gladiator^000000",
			],
			slotCount: 1,
			ClassNum: 41
		},

		5161: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spiky Band",
			identifiedResourceName: "\xbb\xfe\xc7\xc1\xc7\xec\xb5\xe5\xb1\xe2\xbe\xee",
			identifiedDescriptionName: [
				"A headband with two dangerously fashionable spikes.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class, Thief Class, TaeKwon, Star Gladiator^000000",
			],
			slotCount: 1,
			ClassNum: 43
		},

		5162: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bone Helm",
			identifiedResourceName: "\xba\xbb\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"An incredibly heavy, yet almost impenetrable helmet constructed of bone.",
				"Increases damage received from ^777777Shadow^000000 Property attacks by 15%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 15^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 103
		},

		5163: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Corsair",
			identifiedResourceName: "\xc4\xbf\xbc\xbc\xbe\xee",
			identifiedDescriptionName: [
				"A flamboyant hat worn only by the strongest of pirates.",
				"VIT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 105
		},

		5164: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tiara",
			identifiedResourceName: "\xc6\xbc\xbe\xc6\xb6\xf3",
			identifiedDescriptionName: [
				"A jeweled coronet said to grant the wisdom of an ancient queen that had worn it.",
				"INT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Female Only, Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 19
		},

		5165: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crown",
			identifiedResourceName: "\xc5\xa9\xb6\xf3\xbf\xee",
			identifiedDescriptionName: [
				"A crown adorned with gorgeous jewels that is said to be worn by a wise, ancient king who will grant his wisdom to the wearer.",
				"INT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Male Only, Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 45
		},

		5166: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sphinx Hat",
			identifiedResourceName: "\xbd\xba\xc7\xce\xc5\xa9\xbd\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A traditional Egyptian head piece that symbolizes the Egyptian gods.",
				"STR + 2",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Lower^000000",
				"Weight :^777777 300^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 137
		},

		5167: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Munak Hat",
			identifiedResourceName: "\xb9\xab\xb3\xab\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"An exact replica of the turban worn by Munak, complete with a queue and talisman.",
				"Reduces damage from Undead monster by 10%.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 51
		},

		5168: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bongun Hat",
			identifiedResourceName: "\xba\xbb\xb0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat worn by the Bongun monster. For some reason, there's an amulet which has been torn in half.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 139
		},

		5169: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bride Mask",
			identifiedResourceName: "\xb0\xa2\xbd\xc3\xc5\xbb",
			identifiedDescriptionName: [
				"A white bridal mask worn by actors in theatrical work. Its said the make-up makes it look quite cute.",
				"[^008800TaeKwon Class^000000]",
				"LUK + 2, Critical Rate + 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 223
		},

		5170: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Feather Beret",
			identifiedResourceName: "\xb1\xea\xc5\xd0\xba\xa3\xb7\xb9\xb8\xf0",
			identifiedDescriptionName: [
				"A high class hat with an amazingly stylish look. When the feathers are added, it simply adds to its splendor.",
				"MDEF + 1",
				"Reduce 10% damage taken from DemiHuman monster.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 224
		},

		5171: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valkyrie Helm",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"The helm worn by those women who served Odin as \"Maidens of War\", or Valkryies.",
				"The open winged look of the helm symbolizes elite status.",
				"It is said when all the valkyrie gear is equipped, the helm will show its hidden abilities.",
				"MDEF + 5",
				"[^000088+ Valkyrja's Armor & Valkyrja's Manteau & Valkyrja's Shoes^000000]",
				"All Stats + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Every Rebirth Job except High Novice^000000",
			],
			slotCount: 1,
			ClassNum: 225
		},

		5172: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Beret",
			identifiedResourceName: "\xba\xa3\xb7\xb9\xb8\xf0",
			identifiedDescriptionName: [
				"A wonderful light green hat slanted slightly to one side. It is rumored to symbolize the bravery of a soldier.",
				"Reduce 10% damage taken from DemiHuman monster.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 226
		},

		5173: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magistrate Hat",
			identifiedResourceName: "\xbb\xe7\xb6\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"An ancient Korean hat, which would be worn by high class rulers or judges.",
				"[^008800TaeKwon Class^000000]",
				"AGI + 1, HP Recovery + 3%",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 227
		},

		5174: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ayam",
			identifiedResourceName: "\xbe\xc6\xbe\xe4",
			identifiedDescriptionName: [
				"A traditional Korean a-yam, usually worn by women, crafted of red silk. The way the decoration hangs down is beautiful.",
				"[^008800TaeKwon Class^000000]",
				"INT + 1, SP Recovery + 3%",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 228
		},

		5175: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Censor Bar",
			identifiedResourceName: "\xc0\xcd\xb8\xed\xbf\xe4\xc3\xbb",
			identifiedDescriptionName: [
				"A mosaic censorship which blocks out the eyes of a person to protect thier identity.",
				"Its also possible to alter their voice.",
				"Increase resistance to ^880000Curse^000000 status by 5%.",
				"MDEF + 1, HIT - 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 229
		},

		5176: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hahoe Mask",
			identifiedResourceName: "\xc7\xcf\xc8\xb8\xc5\xbb",
			identifiedDescriptionName: [
				"A traditional Korean Hahoe mask made by carefully carving a smiling face. You can feel the emotions of the wearer just by looking at it.",
				"[^008800TaeKwon Class^000000]",
				"LUK + 1, Perfect Dodge + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 230
		},

		5177: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mythical Lion Mask",
			identifiedResourceName: "\xbb\xe7\xc0\xda\xc5\xbb",
			identifiedDescriptionName: [
				"A Korean traditional mask made to resemble a lion. The threatening look of the mask is quite frightning to see.",
				"[^008800TaeKwon Class^000000]",
				"DEX + 2",
				"ATK increases by Refine Rate * 2",
				"Add a 10% chance of auto casting ^880000Stun^000000 on the enemy when attacking.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 231
		},

		5178: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc3\xd0\xba\xd2",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Candle",
			identifiedResourceName: "\xc3\xd0\xba\xd2",
			identifiedDescriptionName: [
				"A candle used for praying after donating to the temple. You can feel an aura of the temple holyness on it.",
				"All Stats + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 15^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 113
		},

		5179: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gold Tiara",
			identifiedResourceName: "\xb0\xf1\xb5\xe5\xc6\xbc\xbe\xc6\xb6\xf3",
			identifiedDescriptionName: [
				"A gorgeous head decoration made out of shiny gold with a star in the center.",
				"INT + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 232
		},

		5180: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Holiday Hat",
			identifiedResourceName: "\xb1\xb9\xb0\xe6\xc0\xcf\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made for a national holiday of France.",
				"VIT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 217
		},

		5181: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Helm Of Darkness",
			identifiedResourceName: "\xbe\xcf\xc8\xe6\xc0\xc7\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"A forboding helmet that hides part of the face. People wearing this have the appearance of Beelzebub.",
				"STR + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 233
		},

		5182: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Puppy Hat",
			identifiedResourceName: "\xb0\xad\xbe\xc6\xc1\xf6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A light brown puppy dog. It looks quite cute sitting on your head.",
				"AGI + 1",
				"Add a 1% chance of auto casting ^008800Level 1 Gloria^000000 when attacking.",
				"[^008800Base Agility >= 77^000000]",
				"Add a chance casting ^008800Level 1 Gloria^000000 is increased to 3%.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 234
		},

		5183: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bird Nest Hat",
			identifiedResourceName: "\xbb\xf5\xb5\xd5\xc1\xf6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A nest housing a family of birds. You feel the need to protect it from harm.",
				"DEX + 1, AGI + 1",
				"Increase resistance to the ^880000Stun^000000 status by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 235
		},

		5184: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Captain's Hat",
			identifiedResourceName: "\xbc\xb1\xc0\xe5\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A captain's hat, full of profound dignity. Once wore by a famous warship leader.",
				"Increase resistance against ^0000FFWater^000000 Property by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 236
		},

		5185: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Laurel Wreath",
			identifiedResourceName: "\xbf\xf9\xb0\xe8\xbc\xf6\xb0\xfc",
			identifiedDescriptionName: [
				"A ring of closely knit branches covered with green leaves and beautiful flowers. Wearing this feels very refreshing.",
				"LUK + 3",
				"Increase resistance to ^880000Blind^000000 and ^880000Curse^000000 by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 237
		},

		5186: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Geographer Band",
			identifiedResourceName: "\xc0\xe5\xbd\xc4\xbf\xeb\xc1\xf6\xbf\xc0\xb1\xd7\xb7\xa1\xc6\xdb",
			identifiedDescriptionName: [
				"A special decoration geographer designed to rest nicely on your head.",
				"INT + 1",
				"Add 5% chance of auto casting ^008800Level 1 Heal^000000 on the user when the user receives Physical Melee Damage.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 238
		},

		5187: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Twin Red Ribbon",
			identifiedResourceName: "\xc6\xae\xc0\xa9\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"A blue flower decorated with a beatiful red ribbon. Its said to make girls look absolutely lovely.",
				"Maximum SP + 30, MDEF + 3",
				"Increases physical damage to the monster by 20% for 2 seconds when the user Received physical attack.",
				"Reduces MDEF by 20% for 2 seconds.",
				"Increases magical damage to the monster by 20% for 2 seconds when the user Received magical attack.",
				"Reduces DEF by 20% for 2 seconds.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 239
		},

		5188: {
			unidentifiedDisplayName: "Minstrel Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Minstrel Hat",
			identifiedResourceName: "\xc0\xbd\xc0\xaf\xbd\xc3\xc0\xce\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A stylish wide brimmed hat made to keep the sun out of the eyes of a famous performing minstrel.",
				"INT + 1, DEX + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 240
		},

		5189: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hat of Falling Leaf",
			identifiedResourceName: "\xb3\xab\xbf\xb1",
			identifiedDescriptionName: [
				"Looks like leaves falling in autumn. You feel something like a brisk autumn breeze when you use it.",
				"Maximum HP and SP + 40",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 241
		},

		5190: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Independence Memorial Hat",
			identifiedResourceName: "\xbe\xdf\xb1\xb8\xb8\xf0\xc0\xda\x5f",
			identifiedDescriptionName: [
				"Indonesian independence celebration.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 2^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 216
		},

		5191: {
			unidentifiedDisplayName: "Black Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Ribbon",
			identifiedResourceName: "\xb8\xae\xba\xbb\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A long piece of cloth rolled into a butterfly shape. It's usually worn by girls, so if a guy wears it, he might be mistaken for a girl.",
				"INT + 1. MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 242
		},

		5192: {
			unidentifiedDisplayName: "Yellow Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Yellow Ribbon",
			identifiedResourceName: "\xb8\xae\xba\xbb\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A long piece of cloth rolled into a butterfly shape. It's usually worn by girls, so if a guy wears it, he might be mistaken for a girl.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 243
		},

		5193: {
			unidentifiedDisplayName: "Green Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Green Ribbon",
			identifiedResourceName: "\xb8\xae\xba\xbb\x5f\xc3\xca\xb7\xcf",
			identifiedDescriptionName: [
				"A long piece of cloth rolled into a butterfly shape. It's usually worn by girls, so if a guy wears it, he might be mistaken for a girl.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 244
		},

		5194: {
			unidentifiedDisplayName: "Pink Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pink Ribbon",
			identifiedResourceName: "\xb8\xae\xba\xbb\x5f\xba\xd0\xc8\xab",
			identifiedDescriptionName: [
				"A long piece of cloth rolled into a butterfly shape. It's usually worn by girls, so if a guy wears it, he might be mistaken for a girl.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 245
		},

		5195: {
			unidentifiedDisplayName: "Red Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Ribbon",
			identifiedResourceName: "\xb8\xae\xba\xbb\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A long piece of cloth rolled into a butterfly shape. It's usually worn by girls, so if a guy wears it, he might be mistaken for a girl.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 246
		},

		5196: {
			unidentifiedDisplayName: "Orange Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orange Ribbon",
			identifiedResourceName: "\xb8\xae\xba\xbb\x5f\xc1\xd6\xc8\xab",
			identifiedDescriptionName: [
				"A long piece of cloth rolled into a butterfly shape. It's usually worn by girls, so if a guy wears it, he might be mistaken for a girl.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 247
		},

		5197: {
			unidentifiedDisplayName: "White Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "White Ribbon",
			identifiedResourceName: "\xb8\xae\xba\xbb\x5f\xc7\xcf\xbe\xe7",
			identifiedDescriptionName: [
				"A long piece of cloth rolled into a butterfly shape. It's usually worn by girls, so if a guy wears it, he might be mistaken for a girl.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 248
		},

		5198: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Drooping Bunny",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xc5\xe4\xb3\xa2",
			identifiedDescriptionName: [
				"A cute bunny doll which can be worn on top of the head.",
				"DEX + 1, Flee Rate + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 249
		},

		5199: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Baseball Cap",
			identifiedResourceName: "\xbe\xdf\xb1\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"India independence celebration hat.",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"Increase Movement Speed.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 216
		},

		5200: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Coppola",
			identifiedResourceName: "\xc4\xda\xc6\xfa\xb6\xf3",
			identifiedDescriptionName: [
				"Marco's favorite hat. Andrea has written the words \"His memories to you ...\" on the inside of the hat.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 252
		},

		5201: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Party Hat",
			identifiedResourceName: "\xb2\xbf\xb1\xf2\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Ragnarok event hat cones.",
				"All Stats + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 144
		},

		5202: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fantastic Pumpkin-Head",
			identifiedResourceName: "\xc8\xa3\xb9\xda\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Hat of Pumpkin is a very unique item which makes the wearer look like Pumpkin Jack.",
				"All Stats + 2",
				"Add a 5% resistance against ^880000 Demon monster^000000.",
				"Gain a candy item when killing monsters of DemiHuman type by low chance.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 206
		},

		5203: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Smiling Mask",
			identifiedResourceName: "\xb8\xde\xb7\xd5\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A mask with mischievous expressions, suitable to be worn by kids.",
				"Increases Movement Speed by 5% when equipped.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 253
		},

		5204: {
			unidentifiedDisplayName: "False Nose",
			unidentifiedResourceName: "\xb1\xa4\xb4\xeb\xc4\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rudolph's Nose",
			identifiedResourceName: "\xb1\xa4\xb4\xeb\xc4\xda",
			identifiedDescriptionName: [
				"A Deer's nose which resembles Rudolph's brightly shining nose.",
				"Add a 30% resistance against the ^880000Blind^000000 status.",
				"Add a low chance of gaining Cookie Bags when a monster gets killed.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 49
		},

		5205: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Emperor's Wreath",
			identifiedResourceName: "\xbf\xf9\xb0\xe8\xb0\xfc",
			identifiedDescriptionName: [
				"An honorable Laurel Wreath that was given to a winner by an emperor of some country in ancient days.",
				"All Stats + 1, MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 261
		},

		5206: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Romantic White Flower",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xb2\xc9\xc0\xd9",
			identifiedDescriptionName: [
				"A tiny romantic white flower.",
				"Reduces damage from Plant monster by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 259
		},

		5207: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angel's Blessing",
			identifiedResourceName: "\xb1\xdd\xbb\xf6\xb0\xed\xb8\xae",
			identifiedDescriptionName: [
				"A dazzling beautiful golden ring which is blessed by an angel. It is given to a great believer.",
				"Increases resistance to the ^777777Holy^000000 Property by 5%.",
				"LUK + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 260
		},

		5208: {
			unidentifiedDisplayName: "Rideword Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rideword Hat",
			identifiedResourceName: "\xb6\xf3\xc0\xcc\xb5\xe5\xbf\xf6\xb5\xe5",
			identifiedDescriptionName: [
				"A hat made in the image of a scary magical book which attacks human.",
				"5% chance to absorb 8% HP on Physical attack.",
				"1% chance to absorb 4% SP on Physical attack.",
				"You lose 10 HP per 5 seconds when equipped.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required level :^777777 40^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 262
		},

		5209: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Yellow Baseball",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xbe\xdf\xb1\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A yellow cap worn to keep the sun from your eyes.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 263
		},

		5210: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flapping Angel Wing",
			identifiedResourceName: "\xba\xf1\xbb\xf3\xc7\xcf\xb4\xc2\xc3\xb5\xbb\xe7",
			identifiedDescriptionName: [
				"A headgear which looks like an angel flapping its wing.",
				"It make you feel dizzy when you wear it, but also makes your body feel light.",
				"Increases Attack Speed by 3%.",
				"Reduce Casting Time by 3%.",
				"INT + 1, AGI + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 264
		},

		5211: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dress Hat",
			identifiedResourceName: "\xb5\xe5\xb7\xb9\xbd\xba\xc7\xde",
			identifiedDescriptionName: [
				"An adorable hat which is always worn on the side of head.",
				"If the wearer carries an umbrella with this hat on, the wearer will look as if one is going for a picnic.",
				"MDEF + 7",
				"Increases ATK, MATK 2%, effectiveness of Heal skill 5%.",
				"Additional ATK, MATK 1% effectiveness of Heal skill 1%, when upgraded lv 7 or more.",
				"STR + 1, INT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 265
		},

		5212: {
			unidentifiedDisplayName: "Satellite Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Satellite Hairband",
			identifiedResourceName: "\xbb\xf5\xc6\xb2\xb6\xf3\xc0\xcc\xc6\xae\xc7\xec\xbe\xee\xb9\xea\xb5\xe5",
			identifiedDescriptionName: [
				"Strange looking Hair lace.",
				"It seems like one can receive the signal from another planet when you are wearing it. However, it's just merely a feel.",
				"The vision of wearer seems to be wider with it.",
				"Maximum HP + 50, Maximum SP + 10",
				"Enables use of ^008800Level 1 Ruwach^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Required level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 266
		},

		5213: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Bunny Band",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"Hair lace specially designed for the sexy you!",
				"You will capture the attention of other males when you wear it Sexy rating will be increased by 100%.",
				"AGI + 2, MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 267
		},

		5214: {
			unidentifiedDisplayName: "Moonlight Flower Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Moonlight Flower Hat",
			identifiedResourceName: "\xbf\xf9\xbe\xdf\xc8\xad\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat created with the monster Moonlight Flower in mind.",
				"It is said that it uses 30% of Moonlight Flower's fur, and 70% of Nine Tails fur.",
				"Note that you should only use hand washing to clean it.",
				"Wear this with your Nine Tails scarf for the perfect winter fashion!",
				"Automatically cast ^008800Level 1 Increase Agility^000000 by chance when struck by Physical attack.",
				"DEX + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 268
		},

		5215: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Angel Wing",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A headband adorned with what appears to be the wings of an angel.",
				"It contains holiness that blesses the wearer's soul and offers protection from dark forces.",
				"DEX + 1, INT + 1, MDEF + 3",
				"Reduces damage from Demon monster by 3%.",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 38
		},

		5216: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Evil Wing",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A headgear that look like the wings of a Demon.",
				"Demonic power increases the wearer's strength and offers protection from sacred powers.",
				"STR + 1, AGI + 1, Flee Rate + 3",
				"Reduces damage from Demon monster by 3%.",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 39
		},

		5217: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Magestic Goat",
			identifiedResourceName: "\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb0\xed\xbf\xec\xc6\xae",
			identifiedDescriptionName: [
				"A helmet, made to look like mighty goat horns, that can increase the strength of its wearer.",
				"STR + 2",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, TaeKwon, Star Gladiator^000000",
			],
			slotCount: 0,
			ClassNum: 41
		},

		5218: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Bunny Band",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hair band that gives one the appearance of having rabbit ears, a lasting symbol of extremely good luck.",
				"INT + 2",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		5219: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Drooping Cat",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			identifiedDescriptionName: [
				"A cute kitty doll which can be worn on top of the head.",
				"MDEF + 18, Flee Rate + 3",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 142
		},

		5220: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Pipe",
			identifiedResourceName: "\xc6\xc4\xc0\xcc\xc7\xc1\xb4\xe3\xb9\xe8",
			identifiedDescriptionName: [
				"A refined, wooden pipe used for smoking high quality tobacco.",
				"VIT + 1",
				"Reduces damage from Brute monster by 5%.",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice (Parental Advisory Needed)^000000",
			],
			slotCount: 0,
			ClassNum: 55
		},

		5221: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Pair of Red Ribbon",
			identifiedResourceName: "\xbe\xe7\xc2\xca\xb1\xcd\xb9\xd8\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"A pair of small red ribbons which can be used to decorate the hair of little girls.",
				"Flee Rate + 5",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 169
		},

		5222: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Blue Fish",
			identifiedResourceName: "\xbb\xfd\xbc\xb1\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A headgear which looks just like a scrumptious fish. It even has the same smell!",
				"AGI + 1, DEX + 1",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 149
		},

		5223: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Big Golden Bell",
			identifiedResourceName: "\xb4\xeb\xc7\xfc\xb1\xdd\xb9\xe6\xbf\xef",
			identifiedDescriptionName: [
				"A hair accessory which is made after Sohee's golden bell.",
				"AGI + 2",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 35^000000",
				"Applicable Job :^777777 Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 175
		},

		5224: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Orc Hero Helm",
			identifiedResourceName: "\xbf\xc0\xc5\xa9\xc8\xf7\xbe\xee\xb7\xce\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"A headgear bestowed only to true Orc Heroes.",
				"STR + 2, VIT + 1",
				"Maximum HP + 10%",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 90^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 178
		},

		5225: {
			unidentifiedDisplayName: "Parade Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Parade Hat",
			identifiedResourceName: "\xb8\xb6\xc4\xaa\xc7\xde",
			identifiedDescriptionName: [
				"A hat, when equipped, that plays holy music and refresh its wearer.",
				"The wearer of this holy hat is guarded by an angel.",
				"Add a 1% chance of auto casting ^008800Level 5 Angelus^000000 when attacking.",
				"MDEF + 2, ...",
				"Add a 10% resistance against ^880000Stun^000000.",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 269
		},

		5226: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mini Propeller",
			identifiedResourceName: "\xc7\xc1\xb7\xce\xc6\xe7\xb6\xf3\x5f",
			identifiedDescriptionName: [
				"A headgear topped with a fashionably experimental propeller.",
				"AGI + 2, DEX + 1, Flee Rate + 10",
				"Reduce Casting Time by Refine Rate %.",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 270
		},

		5227: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Deviruchi Hat",
			identifiedResourceName: "\xbb\xa1\xb0\xad\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat created in the form of the Deviruchi monster.",
				"STR + 1, INT + 1",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 64^000000",
				"Applicable Job :^777777 Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 271
		},

		5228: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gray Deviruchi Hat",
			identifiedResourceName: "\xc8\xf2\xbb\xf6\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat created in the form of the Deviruchi monster.",
				"STR + 1, INT + 1",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 64^000000",
				"Applicable Job :^777777 Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 272
		},

		5229: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brown Deviruchi Hat",
			identifiedResourceName: "\xc8\xb8\xbb\xf6\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat created in the form of the Deviruchi monster.",
				"STR + 1, INT + 1",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 64^000000",
				"Applicable Job :^777777 Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 273
		},

		5230: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gray Drooping Cat",
			identifiedResourceName: "\xc8\xf2\xbb\xf6\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			identifiedDescriptionName: [
				"A cute kitty doll which can be worn on top of the head.",
				"MDEF + 15",
				"Increases resistance to ^880000Curse^000000 status by 30%.",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 274
		},

		5231: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brown Drooping Cat",
			identifiedResourceName: "\xc8\xb8\xbb\xf6\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			identifiedDescriptionName: [
				"A cute kitty doll which can be worn on top of the head.",
				"MDEF + 15",
				"Increases resistance to ^880000Curse^000000 status by 30%.",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 275
		},

		5232: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pink Drooping Cat",
			identifiedResourceName: "\xba\xd0\xc8\xab\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			identifiedDescriptionName: [
				"A cute kitty doll which can be worn on top of the head.",
				"MDEF + 15",
				"Increases resistance to ^880000Curse^000000 status by 30%.",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 276
		},

		5233: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blue Drooping Cat",
			identifiedResourceName: "\xc6\xc4\xb6\xfb\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			identifiedDescriptionName: [
				"A cute kitty doll which can be worn on top of the head.",
				"MDEF + 15",
				"Increases resistance to ^880000Curse^000000 status by 30%.",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 277
		},

		5234: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Yellow Drooping Cat",
			identifiedResourceName: "\xb3\xeb\xb6\xfb\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			identifiedDescriptionName: [
				"A cute kitty doll which can be worn on top of the head.",
				"MDEF + 15",
				"Increases resistance to ^880000Curse^000000 status by 30%.",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 278
		},

		5235: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brown Beanie",
			identifiedResourceName: "\xc8\xb8\xbb\xf6\xc5\xd0\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A knit beanie that protects from the cold. Makes some wearers look cute and gives other wearers street cred.",
				"LUK + 1",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 35^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 279
		},

		5236: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blue Beanie",
			identifiedResourceName: "\xc6\xc4\xb6\xfb\xc5\xd0\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A knit beanie that protects from the cold. Makes some wearers look cute and gives other wearers street cred.",
				"LUK + 1",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 35^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 280
		},

		5237: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pink Beanie",
			identifiedResourceName: "\xba\xd0\xc8\xab\xc5\xd0\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A knit beanie that protects from the cold. Makes some wearers look cute and gives other wearers street cred.",
				"LUK + 1",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 35^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 281
		},

		5238: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Mage Hat",
			identifiedResourceName: "\xbb\xa1\xb0\xad\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A stylish formal hat that talented magicians usually wear during a show.",
				"INT + 2, SP + 150",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 282
		},

		5239: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gray Mage Hat",
			identifiedResourceName: "\xc8\xf2\xbb\xf6\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A stylish formal hat that talented magicians usually wear during a show.",
				"INT + 2, SP + 150",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 283
		},

		5240: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brown Mage Hat",
			identifiedResourceName: "\xc8\xb8\xbb\xf6\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A stylish formal hat that talented magicians usually wear during a show.",
				"INT + 2, SP + 150",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 284
		},

		5241: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blue Mage Hat",
			identifiedResourceName: "\xc6\xc4\xb6\xfb\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A stylish formal hat that talented magicians usually wear during a show.",
				"INT + 2, SP + 150",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 285
		},

		5242: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Yellow Mage Hat",
			identifiedResourceName: "\xb3\xeb\xb6\xfb\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A stylish formal hat that talented magicians usually wear during a show.",
				"INT + 2, SP + 150",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 286
		},

		5243: {
			unidentifiedDisplayName: "Shafka",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shafka",
			identifiedResourceName: "\xb1\xcd\xb8\xb6\xb0\xb3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made from various animal fur. It can function",
				"as earmuffs, keeping your ears warm in the cold.",
				"Its said to be worn traditionally in cold areas.",
				"Increase resistance to the ^880000Freeze^000000 status by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 80^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 287
		},

		5244: {
			unidentifiedDisplayName: "Elven Blindfold",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elven Blindfold",
			identifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"...",
				"Add a resistance to the ^880000Blind^000000 status.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 288
		},

		5245: {
			unidentifiedDisplayName: "Elven Sunglasses",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elven Sunglasses",
			identifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"...",
				"Increases resistance to ^880000Blind^000000 status by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 289
		},

		5246: {
			unidentifiedDisplayName: "Angelic Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angelic Helm",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"...",
				"AGI + 1, LUK + 1, MDEF + 3",
				"Reduces damage from Demon monster by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 290
		},

		5247: {
			unidentifiedDisplayName: "Satanic Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Satanic Helm",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"...",
				"AGI + 1, LUK + 1, MDEF + 3",
				"Reduces damage from Demon monster by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 291
		},

		5248: {
			unidentifiedDisplayName: "Robotic Blindfold",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Robotic Blindfold",
			identifiedResourceName: "\xb4\xab\xb0\xa1\xb8\xae\xb0\xb3",
			identifiedDescriptionName: [
				"...",
				"Add a resistance to the ^880000Blind^000000 status.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 292
		},

		5249: {
			unidentifiedDisplayName: "Human Blindfold",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Human Blindfold",
			identifiedResourceName: "\xb4\xab\xb0\xa1\xb8\xae\xb0\xb3",
			identifiedDescriptionName: [
				"...",
				"Add a resistance to the ^880000Blind^000000 status.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 293
		},

		5250: {
			unidentifiedDisplayName: "Robotic Ears",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Robotic Ears",
			identifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 294
		},

		5251: {
			unidentifiedDisplayName: "Round Ears",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Round Ears",
			identifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 295
		},

		5252: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Drooping Nine Tail",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xb1\xb8\xb9\xcc\xc8\xa3",
			identifiedDescriptionName: [
				"A hat made to resemble the monster, Nine tails. proud of its great heat-retainablity.",
				"AGI + 1, DEX + 1",
				"Add a 3% chance of auto casting ^008800Level 1 Gloria^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 296
		},

		5253: {
			unidentifiedDisplayName: "Drooping Lif",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lif Doll Hat",
			identifiedResourceName: "\xb8\xae\xc7\xc1\xc0\xce\xc7\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made with a cute Lif doll. It makes wearers feel the doll looking down the wearers.",
				"It may get popular among people who loves a little girl.",
				"INT + 1",
				"DEF descreases by Refine Rate. MDEF increases by Refine Rate.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 297
		},

		5254: {
			unidentifiedDisplayName: "Deviling Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Deviling Hat",
			identifiedResourceName: "\xb5\xa5\xba\xf4\xb8\xb5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made to resemble a little dead deviling which has charming side-spreaded eyes.",
				"ATK, MATK + 2",
				"Increases 2% more Experience Points each time a monster is killed.",
				"[^333399Refine Rate 7~10^000000]",
				"Increases 1% more Experience Points.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 298
		},

		5255: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Triple Poring Hat",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xb0\xe3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat which seems to stack a few of the most popular monster, Poring.",
				"Are they Angeling at the bottom, Masterling in the middle, Poring at the top?",
				"LUK + 3",
				"Add a 2% chance of auto casting ^008800Greed^000000 around the user when attacking.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 299
		},

		5256: {
			unidentifiedDisplayName: "Valkyrie Feather Band",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valkyrie Feather Band",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xb1\xea\xc5\xd0\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Headband made of Valkyrie's feathers. The power of Valkyrie flows in the person who equips it.",
				"INT + 1",
				"Add a 1% chance of auto casting ^008800Level 1 Heal^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 300
		},

		5257: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Soulless Wing",
			identifiedResourceName: "\xbc\xd2\xbf\xef\xb8\xae\xbd\xba\xc0\xae",
			identifiedDescriptionName: [
				"A halo and a pair of wings that are floating above a head. The item makes the wearer to look like a spirit that is walking on the earth.",
				"MDEF + 2",
				"Add a 1% chance of auto casting ^008800Level 1 Assumptio^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 301
		},

		5258: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Afro Wig",
			identifiedResourceName: "\xbe\xc6\xc7\xc1\xb7\xce\xb0\xa1\xb9\xdf",
			identifiedDescriptionName: [
				"A fluffy afro style wig which is something teenagers go crazy for. Once you wear it, you might want to dance.",
				"Add a 30% chance of auto casting ^008800First Aid^000000 on the user when the user receives Physical Damage.",
				"Increase resistance to ^777777Neutral^000000 Property attacks by 1%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 302
		},

		5259: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elephant Hat",
			identifiedResourceName: "\xc4\xda\xb3\xa2\xb8\xae\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made in the form of a big animal found in one oriental country.",
				"The body it grows but kind is pure and it is. It will ask with the long nose and to inhale it scatters to wide scope.",
				"VIT + 1",
				"Add a 1% chance of auto casting ^008800Level 3 Water Ball^000000 on the enemy when attacking.",
				"Enables use of ^008800Level 1 Aqua Benedicta^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 215
		},

		5260: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cookie Hat",
			identifiedResourceName: "\xb1\xb9\xb0\xe6\xc0\xcf\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A Hat worn by Cookie Xmas, 'the idol of Toy Dungeon'. It covers the ears to protect from cold weather.",
				"AGI + 1",
				"Perfect Dodge + 5, Inflict 5% more damage with Critical attacks.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 217
		},

		5261: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Silver Tiara",
			identifiedResourceName: "\xbd\xc7\xb9\xf6\xc6\xbc\xbe\xc6\xb6\xf3",
			identifiedDescriptionName: [
				"A head decoration made out of shiny silver with a star in the center.",
				"INT + 2",
				"[^008800Magician^000000]",
				"Increases MATK bonus according to the wearer's JOB LEVEL.",
				"[^008800Acolyte^000000]",
				"Decreases SP Consumption according to the wearer's JOB LEVEL.",
				"[^008800Archer^000000]",
				"Increases Max SP according to the wearer's JOB LEVEL.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 218
		},

		5262: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gold Tiara",
			identifiedResourceName: "\xb0\xf1\xb5\xe5\xc6\xbc\xbe\xc6\xb6\xf3",
			identifiedDescriptionName: [
				"A gorgeous head decoration made out of shiny gold with a star in the center.",
				"STR + 2. Indestructible (except in upgrade attempts).",
				"If worn by Swordman, Merchant or Thief classes and the character's base DEX is lower than 55,",
				"DEX bonus increases according to the wearer's JOBLEVEL.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 232
		},

		5263: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pagdayaw",
			identifiedResourceName: "\xbe\xc6\xc6\xbc\xbe\xc6\xc6\xbc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"An headgear which is made of many kinds of property rings. It looks very luxurious and charming.",
				"Add a 1% resistance against ^0000FFWater^000000, ^009900Wind^000000, ^FF0000Fire^000000 Property.",
				"Add a 3% chance of auto casting ^880000Curse^000000 on the enemy when attacking.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 303
		},

		5264: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Australian Flag Hat",
			identifiedResourceName: "\xc8\xa3\xc1\xd6\xb1\xb9\xb1\xe2\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat which is soul of good weeks.",
				"All Status + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 304
		},

		5265: {
			unidentifiedDisplayName: "Apple of Archer",
			unidentifiedResourceName: "\xb8\xed\xbb\xe7\xbc\xf6\xc0\xc7\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Apple of Archer",
			identifiedResourceName: "\xb8\xed\xbb\xe7\xbc\xf6\xc0\xc7\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A headgear made in the honor of the legendary archer who shot an apple, on top of a friend's head, from a long distance.",
				"DEX + 4",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 72
		},

		5266: {
			unidentifiedDisplayName: "Bunny Band",
			unidentifiedResourceName: "\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Bunny Band",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A hair band that gives one the appearance of having rabbit ears, a lasting symbol of extremely good luck.",
				"MDEF + 5",
				"Bonus : Reduces damage from DemiHuman monster by 10%.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		5267: {
			unidentifiedDisplayName: "Sakkat",
			unidentifiedResourceName: "\xbb\xf1\xb0\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sakkat",
			identifiedResourceName: "\xbb\xf1\xb0\xab",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A rustic hat knit from rough reeds and bamboos that shields against the rain and the glare of the sun.",
				"Saurabi, the ancient Korean warrior, was known to wear one of these.",
				"AGI + 3",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 67
		},

		5268: {
			unidentifiedDisplayName: "Grand Circlet",
			unidentifiedResourceName: "\xb7\xce\xb5\xe5\xbc\xad\xc5\xac\xb8\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Grand Circlet",
			identifiedResourceName: "\xb7\xce\xb5\xe5\xbc\xad\xc5\xac\xb8\xb4",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An exquisitely made circlet, typically worn by rulers or gentry.",
				"STR + 3, INT + 3",
				"LUK + 3, MDEF + 4",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 93
		},

		5269: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flapping Angel Wing",
			identifiedResourceName: "\xba\xf1\xbb\xf3\xc7\xcf\xb4\xc2\xc3\xb5\xbb\xe7",
			identifiedDescriptionName: [
				"A headgear which looks like an angel flapping its wing.",
				"It make you feel dizzy when you wear it, but also makes your body feel light.",
				"Increases Attack Speed by 3%. Reduce Casting Time by 3%.",
				"(Not tradable and not disposable).",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 264
		},

		5270: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fallen Leaves",
			identifiedResourceName: "\xb3\xab\xbf\xb1",
			identifiedDescriptionName: [
				"Looks like leaves falling in autumn. You feel something like a brisk autumn breeze when you use it.",
				"Perfect Dodge + 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 241
		},

		5271: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chinese Crown",
			identifiedResourceName: "\xba\xc0\xb0\xfc",
			identifiedDescriptionName: [
				"A heavy looking hat with blue and silver jewery decorations. It will match with magnificent events.",
				"MDEF + 3",
				"Depends on its Upgrade Level, damage from Boss monsters reduces.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 221
		},

		5272: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tongue Mask",
			identifiedResourceName: "\xb8\xde\xb7\xd5\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A mask with mischievous expressions, suitable to be worn by kids.",
				"Add a 3% chance of auto casting ^008800Level 5 Provoke^000000 on the enemy when attacking.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 253
		},

		5273: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Happy Wig",
			identifiedResourceName: "\xc7\xe0\xba\xb9\xc7\xd1\xb0\xa1\xb9\xdf",
			identifiedDescriptionName: [
				"Wig with Green, White and Red colors.",
				"Increases Movement Speed when equipped.",
				"DEF + 4",
				"Enables use of ^008800Level 1 Hiding^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 305
		},

		5274: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shiny Wig",
			identifiedResourceName: "\xb4\xab\xba\xce\xbd\xc5\xb0\xa1\xb9\xdf",
			identifiedDescriptionName: [
				"Wig with Yellow, Orange and Gold Colors.",
				"Increases Movement Speed when equipped.",
				"DEF + 4",
				"Enables use of ^008800Level 1 Hiding^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 306
		},

		5275: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Marvelous Wig",
			identifiedResourceName: "\xb3\xee\xb6\xf3\xbf\xee\xb0\xa1\xb9\xdf",
			identifiedDescriptionName: [
				"Wig with Pink, White and Purple colors.",
				"Increases Movement Speed when equipped.",
				"DEF + 4",
				"Enables use of ^008800Level 1 Hiding^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 307
		},

		5276: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fantastic Wig",
			identifiedResourceName: "\xc8\xaf\xbb\xf3\xc0\xfb\xc0\xce\xb0\xa1\xb9\xdf",
			identifiedDescriptionName: [
				"Wig with Red, White and Black colors.",
				"Increases Movement Speed when equipped.",
				"DEF + 4",
				"Enables use of ^008800Level 1 Hiding^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 308
		},

		5277: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Yellow Bandana",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xb5\xce\xb0\xc7",
			identifiedDescriptionName: [
				"A piece of yellow cloth that has droplets of blood, rumored to be from the shirts of the protesters who were at the Bloodless Revolution.",
				"LUK + 2, VIT + 2",
				"Reduces damage from Long Range attacks by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 309
		},

		5278: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Yellow Ribbon",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"It?s a piece of ribbon that hangs to one side when worn that was created out of old Flags that was torn by bullets.",
				"LUK + 2, VIT + 2",
				"Reduces damage from Long Range attacks by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 310
		},

		5279: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Drooping Cat",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A cute kitty doll which can be worn on top of the head.",
				"MDEF + 15",
				"Increase resistance to ^880000Curse^000000 status by 30%.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 142
		},

		5280: {
			unidentifiedDisplayName: "Baphomet Horns",
			unidentifiedResourceName: "\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb0\xed\xbf\xec\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Baphomet Horns",
			identifiedResourceName: "\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb0\xed\xbf\xec\xc6\xae",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A helmet, made to look like mighty goat horns, that can increase the strength of its wearer.",
				"STR + 1",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 41
		},

		5281: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Deviruchi Hat",
			identifiedResourceName: "\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A hat created in the form of the Deviruchi monster.",
				"STR + 1, INT + 1",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 123
		},

		5282: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Europe Baseball Cap",
			identifiedResourceName: "\xc0\xaf\xb7\xb4\xbe\xdf\xb1\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cap worn to keep the sun from your eyes and focus your sight.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 216
		},

		5283: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chick Hat",
			identifiedResourceName: "\xba\xb4\xbe\xc6\xb8\xae\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat with cute little chick on it. It's hopping action is so cute.",
				"Allows usage ^008800Level 2 Double Attack^000000, and if you already know higher than ^008800Level 2 Double Attack^000000, then the appropriate level will be used instead.",
				"Reduce damage from DemiHuman monster by 3%.",
				"LUK + 2, Maximum HP/SP + 50",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Required Level :^777777 10^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 311
		},

		5284: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Water Lily Crown",
			identifiedResourceName: "\xbc\xf6\xb7\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A hat when equip its just feel calm and concentration.",
				"DEX + 1, AGI + 1, MDEF + 3",
				"HP Recovery + 5%, SP Recovery + 3%",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Required Level :^777777 30^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 312
		},

		5285: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vane Hairpin",
			identifiedResourceName: "\xc7\xb3\xc2\xf7\xba\xf1\xb3\xe0",
			identifiedDescriptionName: [
				"Vane shaped hairpin. You can find the velocity of the wind with this?",
				"AGI + 2",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Required Level :^777777 30^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 313
		},

		5286: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pecopeco Hairband",
			identifiedResourceName: "\xc6\xe4\xc4\xda\xc6\xe4\xc4\xda\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"Looks like that it has wings of Pecopeco. Can make you move as fast as Pecopeco.",
				"Increase Movement Speed.",
				"Increases ASPD by 5%.",
				"(After attack delay decreases by 5%)",
				"Increases Variable casting time by 25%.",
				"Premium Users: All Stats + 1",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777776^000000",
				"Head Position : ^777777Upper^000000",
				"Weight : ^77777710^000000",
				"Required Lv. : ^77777770^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 314
		},

		5287: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vacation Hat",
			identifiedResourceName: "\xb9\xd9\xc4\xb2\xbd\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat recommended to use for vacations. It helps to protect your face from strong sunshine.",
				"VIT + 1",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Required Level :^777777 30^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 315
		},

		5288: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Glasses",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbe\xc8\xb0\xe6",
			identifiedDescriptionName: [
				"Must-have item for the pretty. Can make users 3 times more beautiful.",
				"INT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 316
		},

		5289: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vanilmirth Hat",
			identifiedResourceName: "\xb9\xd9\xb4\xd2\xb9\xcc\xb8\xa3\xbd\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Shaped like a Vanilmirs. Cold and soft.",
				"Add a 1% chance of auto casting ^008800Level 1 all 4 types of bolts^000000 on the enemy when attacking.",
				"MDEF + 5",
				"Impossible to refine this item.",
				"Indestructible.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Required Level :^777777 30^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 317
		},

		5290: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Drooping Bunny",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xc5\xe4\xb3\xa2",
			identifiedDescriptionName: [
				"A doll shaped like a cute rabbit. Can be put on a head.",
				"DEX + 1, Flee Rate + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 249
		},

		5291: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kettle Hat",
			identifiedResourceName: "\xc1\xd6\xc0\xfc\xc0\xda\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A kettle on your head guarantees the wearer high defense. If you move too quickly, water might be spilled.",
				"Add a 3% chance of auto casting ^008800Level 2 Deluge^000000 on the user when attacking.",
				"Add a 3% chance of auto casting ^008800Level 3 Water Ball^000000 on the enemy when attacking.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Required Level :^777777 30^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 318
		},

		5292: {
			unidentifiedDisplayName: "Helmet",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dragon Skull",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xc7\xd8\xb0\xf1",
			identifiedDescriptionName: [
				"Helmet made from Dragon's cranial bone. Has resistences against Dragons.",
				"Reduce damage from Dragon monster by 5%.",
				"Receive 5% more damage from Dragon monster.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Required Level :^777777 50^000000",
				"Weight :^777777 80^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 319
		},

		5293: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ramen Hat",
			identifiedResourceName: "\xb6\xf3\xb8\xe9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Noodles put on a head. When hungry, this is portable ration. Be careful not to spoil it.",
				"DEX + 4",
				"Chance of auto casting ^008800Level 1 Concentration^000000 on the enemy when attacking.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 320
		},

		5294: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb0\xa1\xb8\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Whisper Mask",
			identifiedResourceName: "\xc0\xa7\xbd\xba\xc6\xdb\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"Shaped like a whisper. It feels like massaged on a face. No sure that it is good for skin.",
				"AGI + 3, Increase damage from ^777777Ghost^000000 Property attacks by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 321
		},

		5295: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Bandana",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A special Bandana made of a pure gold mixture. According to legend you will gain magical strength whilst wearing this.",
				"MDEF + 4",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 240^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 138
		},

		5296: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Drooping Nine Tail",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xb1\xb8\xb9\xcc\xc8\xa3",
			identifiedDescriptionName: [
				"A hat made to resemble the monster, Nine tails. proud of its great heat-retainablity.",
				"AGI + 1, CRI + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 296
		},

		5297: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Soul Wing",
			identifiedResourceName: "\xbc\xd2\xbf\xef\xb8\xae\xbd\xba\xc0\xae",
			identifiedDescriptionName: [
				"The mysterious wing which is floating above the head.",
				"All Stats + 1",
				"Recovery SP + 2 per 10 seconds.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 301
		},

		5298: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dokebi's Wig",
			identifiedResourceName: "\xb3\xee\xb6\xf3\xbf\xee\xb0\xa1\xb9\xdf",
			identifiedDescriptionName: [
				"A fluffy afro style wig which is something teenagers go crazy for. Once you wear it, you might want to dance.",
				"Receive 5% more damage from ^0000FFWater^000000 and ^FF0000Fire^000000 Property attacks.",
				"Increase resistance to ^777777Neutral^000000 Property attacks by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 307
		},

		5299: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pagdayaw",
			identifiedResourceName: "\xbe\xc6\xc6\xbc\xbe\xc6\xc6\xbc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"An headgear which is made of many kinds of property rings. It looks very luxurious and charming.",
				"Add a 5% chance of auto casting ^008800Level 1 Scream^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 303
		},

		5300: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bullock Helm",
			identifiedResourceName: "\xbb\xd4\xc5\xf5\xb1\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Fighter hat of legend that was decorated with an emerald.",
				"Only the truly brave can wear it.",
				"Maximum HP + 100",
				"Reflect ?% of all Magical Damage back to the enemy which inflicted it (Success Chance 3%).",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 322
		},

		5301: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Victory Hairband",
			identifiedResourceName: "\xb7\xaf\xbd\xc3\xbe\xc6\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"A Ribbon made specially for Day of Victory.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 323
		},

		5302: {
			unidentifiedDisplayName: "Water Lily Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Water Lily Hat",
			identifiedResourceName: "\xbf\xac\xb2\xc9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"The hat that resembles a blooming lotus. It is beautiful and graceful.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 324
		},

		5303: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flower Wreath",
			identifiedResourceName: "\xc8\xad\xb0\xfc",
			identifiedDescriptionName: [
				"Wreath, interlaced in the magic fire from the grasses,",
				"Assembled during the day of summer solstice. It protects owner from the evil forces.",
				"MDEF + 5, Maximum SP + 50",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 325
		},

		5304: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cap Of Blindness",
			identifiedResourceName: "\xb8\xcd\xb8\xf1\xb8\xf0",
			identifiedDescriptionName: [
				"The purple T-shirt which fit into shadowed human face.",
				"Protect its user from ^880000Blind^000000.",
				"Add a 7% resistance against ^880000Curse^000000 status.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 326
		},

		5305: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pirate Dagger",
			identifiedResourceName: "\xc7\xd8\xc0\xfb\xc0\xc7\xb4\xeb\xb0\xc5",
			identifiedDescriptionName: [
				"A small silver knife that is held between your teeth to allow free use of your hands. Reward for helping Pirate Captain Wesley during the 2007 4th anniversary celebration.",
				"ATK + 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 327
		},

		5306: {
			unidentifiedDisplayName: "Freyja Crown",
			unidentifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xcc\xbe\xdf\xc0\xc7\xc5\xa9\xb6\xf3\xbf\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freyja Crown",
			identifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xcc\xbe\xdf\xc0\xc7\xc5\xa9\xb6\xf3\xbf\xee",
			identifiedDescriptionName: [
				"^000088Cash Items^000000",
				"Crown of Goddess Freyja. Transparent crystal in the middle shines in various colors.",
				"Reduces damage from DemiHuman monster by 5%.",
				"[^000088Freya's Clothes & Freya's Boots & Freya's Manteau & Freya's Crown Equip Set^000000]",
				"Reduce 10% damage taken from DemiHuman monster.",
				"Enables use of ^008800Level 10 Frost Nova^000000.",
				"Maximum HP + 20%.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 328
		},

		5307: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Carmen Miranda's Hat",
			identifiedResourceName: "\xbf\xad\xb4\xeb\xb0\xfa\xc0\xcf\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made with tropical fruits. It looks delicious.",
				"Add a 5% chance of auto casting ^008800Level 1 Wink Charm^000000 when the user receives Physical Damage.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Female Only, Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 329
		},

		5308: {
			unidentifiedDisplayName: "Brazilian Flag Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brazilian Flag Hat",
			identifiedResourceName: "\xba\xea\xb6\xf3\xc1\xfa\xb1\xb9\xb1\xe2\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Brazilia independence celebration hat.",
				"Increases Movement Speed when equipped.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Female Only, Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 330
		},

		5309: {
			unidentifiedDisplayName: "Masquerade",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wool Mask",
			identifiedResourceName: "\xb8\xf0\xc8\xf7\xc4\xad",
			identifiedDescriptionName: [
				"The wool mask which reappears a head style.",
				"Enables use of ^008800Level 1 Graffiti^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Female Only, Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 331
		},

		5310: {
			unidentifiedDisplayName: "Shining Electric Bulb Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shining Electric Bulb Hairband",
			identifiedResourceName: "\xb9\xdd\xc2\xa6\xc0\xfc\xb1\xb8\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hairband decorate with small lamp. Make feel safe when at darkness.",
				"Increase resistance to the ^777777Shadow^000000 Property by 10%.",
				"Enables use of ^008800Level 1 Sight^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 332
		},

		5311: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Large Hisbiscus",
			identifiedResourceName: "\xc5\xab\xc7\xcf\xc0\xcc\xba\xf1\xbd\xba\xc4\xbf\xbd\xba",
			identifiedDescriptionName: [
				"A hairpin make by the biggest Chinese rose. Only can found at Ayothaya.",
				"MDEF + 15",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 333
		},

		5312: {
			unidentifiedDisplayName: "Ayothaya King's Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ayothaya King's Hat",
			identifiedResourceName: "\xbe\xc6\xbf\xe4\xc5\xb8\xbe\xdf\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"An ancient helm of Ayothaya's fighter. The braver actually can wear.",
				"STR + 1, Increase damage on DemiHuman monster by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 334
		},

		5313: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Diadem",
			identifiedResourceName: "\xb4\xd9\xc0\xcc\xbe\xc6\xb5\xa9",
			identifiedDescriptionName: [
				"A crown decorate with jewel of love. Rumor who wear it will meet real love.",
				"INT + 1, MATK + 3%. Reduce Casting Time by 3%.",
				"A chance uses skill Heal and Sanctuary.",
				"Increases the effectiveness HP using potion pitcher by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 335
		},

		5314: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hockey Mask",
			identifiedResourceName: "\xc7\xcf\xc5\xb0\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A mask for playing Hockey when wear it and then feel like hold weapon.",
				"Increase damage on DemiHuman monster by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 336
		},

		5315: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Observer",
			identifiedResourceName: "\xbf\xc9\xc0\xfa\xb9\xf6",
			identifiedDescriptionName: [
				"An equipment can check energy. Look like where come from another world.",
				"Enables use of ^008800Level 1 Estimation^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 35^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 337
		},

		5316: {
			unidentifiedDisplayName: "Umbrella Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Umbrella Hat",
			identifiedResourceName: "\xbf\xec\xbb\xea\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A fancy umbrella that doesn't need a hand and is very handy during monsoon. It prevents you getting wet and also gives you a festival mood.",
				"Reduces getting 3% damage from ^0000FFWater^000000 Property Attack.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 338
		},

		5317: {
			unidentifiedDisplayName: "Fisherman Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fisherman Hat",
			identifiedResourceName: "\xbe\xee\xba\xce\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"This sturdy and fireproof light yellow hat is fisherman's favorite. It protects your head from passing rain or sunlight.",
				"Add a 5% chance of auto casting ^008800Level 3 Waterball^000000 on the enemy when attacking.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 339
		},

		5318: {
			unidentifiedDisplayName: "Poring Party Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poring Party Hat",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xc6\xc4\xc6\xbc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made to celebrate the 3rd anniversary of Ragnarok Online.",
				"Max HP + 6%, Max SP + 6% during the event.",
				"Decreases 6% magical damage from all monster when receives physical attack.",
				"Impossible to refine this item.",
				"After the event period, FLEE + 6.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 340
		},

		5319: {
			unidentifiedDisplayName: "Hellomother Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hellomother Hat",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xbf\xa3\xc1\xa9\xb8\xb5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A blue lovely hat for the love of mother.",
				"LUK + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 341
		},

		5320: {
			unidentifiedDisplayName: "Champion Wreath",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Champion Wreath",
			identifiedResourceName: "\xbf\xf9\xb0\xe8\xb0\xfc",
			identifiedDescriptionName: [
				"A very special prize that is given to the Champion of Champions.",
				"All Stats + 2",
				"Add a 5% of auto casting ^008800Level 1 Heal^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 261
		},

		5321: {
			unidentifiedDisplayName: "Indonesian Bandana",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Indonesian Bandana",
			identifiedResourceName: "\xc0\xce\xb5\xb5\xb3\xd7\xbd\xc3\xbe\xc6\xc7\xec\xbe\xee\xb9\xea\xb5\xe5",
			identifiedDescriptionName: [
				"A special bandana that shows the courage of Indonesian patriots.",
				"Add a low chance of gaining Honey when a monster gets killed.",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"Increase Attack Speed. Enable full HP and SP restoration when resurrected.",
				"Add a 5% of auto casting ^008800Level 3 Heal^000000 on the user when the user receives Physical Damage.",
				"DEF + 4, MDEF + 4, All Stats + 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 342
		},

		5322: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scarf",
			identifiedResourceName: "\xbd\xba\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"Wonderful Kerchief for that loved.",
				"Flee Rate + 5, MDEF + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 343
		},

		5323: {
			unidentifiedDisplayName: "Misstrance Crown",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Misstrance Crown",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xc6\xae\xb7\xb9\xbd\xba\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"All Stats + 2",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 14^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 165
		},

		5324: {
			unidentifiedDisplayName: "Little Angel Doll",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Little Angel Doll",
			identifiedResourceName: "\xb8\xae\xc6\xb2\xbf\xa3\xc1\xa9\xb5\xb9",
			identifiedDescriptionName: [
				"A doll looks like an angel. It is used as a sacrifice when Blacksmiths perform a worship for the God.",
				"DEX + 3, Add a chance of auto casting ^008800Level 3 Grand Cross^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 344
		},

		5325: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Robo Eye",
			identifiedResourceName: "\xb7\xce\xba\xb8\xbe\xc6\xc0\xcc",
			identifiedDescriptionName: [
				"An unidentified object look like eye.It comes from space and can give out light.",
				"Attack Power + 2%, MATK + 2%, DEX + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 345
		},

		5326: {
			unidentifiedDisplayName: "Masquerade C",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xb0\xa1\xb8\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Masquerade C",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A black leather mask, shaped like butterfly wings, that increases damage inflicted upon DemiHuman monster by 7%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 78
		},

		5327: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xbf\xc0\xc5\xa9\xc8\xf7\xbe\xee\xb7\xce\xc5\xf5\xb1\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Helmet of Orc Hero",
			identifiedResourceName: "\xbf\xc0\xc5\xa9\xc8\xf7\xbe\xee\xb7\xce\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A headgear bestowed only to true Orc Heroes.",
				"STR + 5, VIT + 3",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 178
		},

		5328: {
			unidentifiedDisplayName: "Evil Wing Ears C",
			unidentifiedResourceName: "\xbe\xc7\xb8\xb6\xb3\xaf\xb0\xb3\xb1\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evil Wing Ears C",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xb3\xaf\xb0\xb3\xb1\xcd",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"As an ear accessory is made of black wings, feels proud of grace and charisma from devil.",
				"Wearer feels like get mystery power through the wing.",
				"STR + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 152
		},

		5329: {
			unidentifiedDisplayName: "Dark Blindfold C",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xb4\xab\xb0\xa1\xb8\xae\xb0\xb3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dark Blindfold C",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb4\xab\xb0\xa1\xb8\xae\xb0\xb3",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A black Blinker. Since it is black in color, it seems that you may not see the light forever if you wear it for a long time.",
				"Protect its user from ^880000Blind^000000.",
				"Add a 5% resistance against ^880000Stun^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 187
		},

		5330: {
			unidentifiedDisplayName: "kRO Drooping Kitty C",
			unidentifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "kRO Drooping Kitty C",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A cute kitty doll which can be worn on top of the head.",
				"MDEF + 15",
				"Increase resistance to ^880000Curse^000000 status by 40%.",
				"Increase resistance to the ^880000Stun^000000 status by 10%.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 9^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 142
		},

		5331: {
			unidentifiedDisplayName: "Corsair C",
			unidentifiedResourceName: "\xc4\xbf\xbc\xbc\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Corsair C",
			identifiedResourceName: "\xc4\xbf\xbc\xbc\xbe\xee",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A flamboyant hat worn only by the strongest of pirates.",
				"VIT + 3, INT+ 3",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 14^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 105
		},

		5332: {
			unidentifiedDisplayName: "Masque",
			unidentifiedResourceName: "\xb0\xa1\xb8\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Loki Mask",
			identifiedResourceName: "\xb7\xce\xc5\xb0\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A mask that imbued with the sweet whispers of Loki.",
				"Perfect Dodge + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 346
		},

		5333: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Radio Antenna",
			identifiedResourceName: "\xc0\xfc\xc6\xc4\xbe\xc8\xc5\xd7\xb3\xaa",
			identifiedDescriptionName: [
				"A hat designed to transmit electric waves. Sometimes it receives electric waves from external worlds.",
				"MDEF + 5, CRIT + 5, FLEE + 5",
				"Enables use of ^008800Level 1 Lightning Bolt^000000.",
				"Adds a chance autocast ^008800Level 5 Thunder Storm^000000 when receive physical attack.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 150^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 347
		},

		5334: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flapping Angeling",
			identifiedResourceName: "\xb3\xaf\xb0\xed\xbd\xcd\xc0\xba\xbf\xa3\xc1\xa9\xb8\xb5",
			identifiedDescriptionName: [
				"Angeling hat with the pathetic mind of an Angeling who wants to fly.",
				"LUK + 2",
				"MDEF + 2",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 38^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 348
		},

		5335: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jumping Poring",
			identifiedResourceName: "\xc6\xfa\xc2\xa6\xc0\xcc\xb4\xc2\xc6\xf7\xb8\xb5",
			identifiedDescriptionName: [
				"A Poring hat that feels like hopping on top of your head. It brings fortune to the wearer.",
				"LUK + 1",
				"Impossible to refine this item.",
				"Indestructible.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 349
		},

		5336: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guildsman Recruiter Hat",
			identifiedResourceName: "\xb1\xe6\xb5\xe5\xbf\xf8\xb8\xf0\xc1\xfd\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A helm with Guild Member wanted ad on it. Won't you join us?",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 350
		},

		5337: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Party Recruiter Hat",
			identifiedResourceName: "\xc6\xc4\xc6\xbc\xb1\xb8\xc7\xd4\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A helm with a Party Member wanted ad on it. Let's level up together!!",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 351
		},

		5338: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bf Recruiter Hat",
			identifiedResourceName: "\xb3\xb2\xc4\xa3\xb1\xb8\xc7\xd4\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A helm with boyfriend wanted ad on it. Let's introduce her to a boy!",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 352
		},

		5339: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Friend Recruiter Hat",
			identifiedResourceName: "\xc4\xa3\xb1\xb8\xb1\xb8\xc7\xd4\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A helm with friend wanted ad on it. Do you have many friends?",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 353
		},

		5340: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Defolty Doll Hat",
			identifiedResourceName: "\xb5\xf0\xc6\xf7\xb8\xa3\xc5\xd7\xc0\xce\xc7\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"So hot! A headgear with the figure of Kafra Defolty! Numerous users are using Kafra storage more than 20 times a day, fascinated by her smiling face.",
				"Reduces damage from Demihuman monster by 5%.",
				"Add a chance of auto casting ^008800Level 10 Angelus^000000 on the user when the user receives Physical Damage.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 354
		},

		5341: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glaris Doll Hat",
			identifiedResourceName: "\xb1\xdb\xb6\xf3\xb8\xae\xbd\xba\xc0\xce\xc7\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"So hot! A headgear with the figure of Kafra Glaris! Fascinated by her mature appearance, her advocates call her a teacher.",
				"Reduces damage from Demihuman monster by 5%.",
				"Recover +50 HP when defeating a monster with a magical attack.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 355
		},

		5342: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sorin Doll Hat",
			identifiedResourceName: "\xbc\xd2\xb8\xb0\xc0\xce\xc7\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"So hot! A headgear with the figure of Kafra Sorin! Her cute appearance made the price of this hat rise at the auction place.",
				"Reduces damage from Demihuman monster by 5%.",
				"When physically attacking there is a chance that for 10 seconds you'll receive ATK +50.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 356
		},

		5343: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Telling Doll Hat",
			identifiedResourceName: "\xc5\xd7\xc0\xcf\xb8\xb5\xc0\xce\xc7\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"So hot! A headgear with the figure of Kafra Telling! She is such an active and hard-working lady. So she became the most favorite Kafra among users.",
				"Reduces damage from Demihuman monster by 5%.",
				"Increases the effectiveness HP using potion pitcher by 10%.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 357
		},

		5344: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bennit Doll Hat",
			identifiedResourceName: "\xba\xf1\xb4\xd6\xc0\xce\xc7\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"So hot! A headgear with the figure of Kafra Bennit! She has a boyish look, but her hobby is knitting and reading romance novels. She is fully supported by male users who like the short-cut style.",
				"Reduces damage from Demihuman monster by 5%.",
				"When physically attacking there is a chance that for 30 seconds you'll gain ASPD +5%.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 358
		},

		5345: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "W Doll Hat",
			identifiedResourceName: "\xb4\xf5\xba\xed\xb7\xf9\xc0\xce\xc7\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"So hot! A headgear with the figure of Kafra W! There is a rumor that an assassin association wants to scout her, because there are so many guys who become frightened and faint when she calls them.",
				"Reduces damage from Demihuman monster by 5%.",
				"Increases physical and magical damage to the undead monster by 5%.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 359
		},

		5346: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gf Recruiter Hat",
			identifiedResourceName: "\xbf\xa9\xc4\xa3\xb1\xb8\xc7\xd4\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A helm with a girlfriend wanted ad on it. Let's introduce him to a girl!",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 360
		},

		5347: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ph.D Hat",
			identifiedResourceName: "\xc7\xd0\xbb\xe7\xb8\xf0",
			identifiedDescriptionName: [
				"A ceremonial hat worn during one's graduation.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 98
		},

		5348: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Big Ribbon",
			identifiedResourceName: "\xbf\xd5\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"An over-sized red ribbon that contains hidden magical power.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 28
		},

		5349: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Boy's Cap",
			identifiedResourceName: "\xc7\xd0\xbb\xfd\xb8\xf0",
			identifiedDescriptionName: [
				"A black cap that is usually worn by boys attending schools that require uniforms.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 102
		},

		5350: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb5\xce\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pirate Bandana",
			identifiedResourceName: "\xc7\xd8\xc0\xfb\xb5\xce\xb0\xc7",
			identifiedDescriptionName: [
				"A bandana that is the mark of the lawless pirates of the oceans.",
				"STR + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 74
		},

		5351: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sunflower",
			identifiedResourceName: "\xc0\xe5\xbd\xc4\xbf\xeb\xc7\xd8\xb9\xd9\xb6\xf3\xb1\xe2",
			identifiedDescriptionName: [
				"Peculiar headgear designed to look like a sunflower.",
				"Reduces damage from Insect monster by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 37
		},

		5352: {
			unidentifiedDisplayName: "Poporing Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poporing Cap",
			identifiedResourceName: "\xc6\xf7\xc6\xf7\xb8\xb5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"It looks like a Poporing, but don't worry about the poison!",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 38^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 361
		},

		5353: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hat of the Sun God",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat that is said to have been worn by the god of the sun.",
				"STR + 3, INT + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 240^000000",
				"Applicable Job :^777777 2nd Class or above^000000",
			],
			slotCount: 1,
			ClassNum: 138
		},

		5354: {
			unidentifiedDisplayName: "Muslim Hat M",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Muslim Hat M",
			identifiedResourceName: "\xb9\xab\xbd\xbd\xb8\xb2\xb3\xb2\xc0\xda\xb8\xf0",
			identifiedDescriptionName: [
				"This is a traditional headgear for male Muslims.",
				"When use magic, Reduce Casting Time by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 362
		},

		5355: {
			unidentifiedDisplayName: "Selendang",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Selendang",
			identifiedResourceName: "\xb9\xab\xbd\xbd\xb8\xb2\xbf\xa9\xc0\xda\xb8\xf0",
			identifiedDescriptionName: [
				"This is a traditional costumes for female Muslims.",
				"When use magic, Reduce Casting Time by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 363
		},

		5356: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Festival Pumpkin Hat",
			identifiedResourceName: "\xc8\xa3\xb9\xda\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A pumpkin hat for celebrating the Halloween Festival. Let's ask for sweets with wearing this hat.",
				"All Stats + 3. Increase Physical and Magical Attack Strength against Devil Monster by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 206
		},

		5357: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wings Of Victory",
			identifiedResourceName: "\xbd\xc2\xb8\xae\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"A hair ornament made from Valkyrie's Feathers and precious gems. Rumored to protect it's wearer from any harm.",
				"MDEF + 10",
				"Indestructible (except in upgrade attempts).",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper,Mid^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 365
		},

		5358: {
			unidentifiedDisplayName: "Peco Ears",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Peco Ears",
			identifiedResourceName: "\xc6\xe4\xc4\xda\xc6\xe4\xc4\xda\xb3\xaf\xb0\xb3\xb1\xcd",
			identifiedDescriptionName: [
				"An ornament wing created by Morgan Stanley's.",
				"AGI + 1, MDEF + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 366
		},

		5359: {
			unidentifiedDisplayName: "Ship Captain Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ship Captain Hat",
			identifiedResourceName: "\xbc\xb1\xc0\xe5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Hat of a captain who sails the seven seas.",
				"Increase physical ranged attack power by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 367
		},

		5360: {
			unidentifiedDisplayName: "Hyuke's Black Cat Ears",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hyuke's Black Cat Ears",
			identifiedResourceName: "\xc8\xd6\xc4\xc9\xb9\xd9\xc0\xce\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"Ears of Whikebine's black cat. Very cute.",
				"Increases critical attack damage by 10%.",
				"Adds 5% chance magical defense ignored for 5 seconds when dealing magical damage.",
				"FLEE + 10,",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 368
		},

		5361: {
			unidentifiedDisplayName: "Gangster Scarf",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gangster Scarf",
			identifiedResourceName: "\xb0\xbb\xbd\xba\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"School scarf from a gang.",
				"ATK + 5",
				"[^008800Rogue Class^000000]",
				"Enables use of ^008800Level 1 Gangster's Paradise^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 369
		},

		5362: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ninja Scroll",
			identifiedResourceName: "\xb4\xd1\xc0\xda\xc0\xc7\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			identifiedDescriptionName: [
				"A scroll when Ninjas lay a spell.",
				"Increase MATK by 1%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 370
		},

		5363: {
			unidentifiedDisplayName: "Helm Of Abyss",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Abysmal Knight Helm",
			identifiedResourceName: "\xbd\xc9\xbf\xac\xc0\xc7\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"A helm worn by the Abysmal Knight. While strong against powerful blows, it's weak against frail attacks.",
				"Increases 10% resistance from Boss monster when the user receives physical attack.",
				"Reduced 10% resistance from Demihuman monster when the user receives physical attack.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 371
		},

		5364: {
			unidentifiedDisplayName: "Evil Snake Lord Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evil Snake Lord Hat",
			identifiedResourceName: "\xc8\xe6\xbb\xe7\xbf\xd5\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat used by the Evil Snake Lord. Wearing it makes you feel like an emperor.",
				"STR + 1, INT + 1, AGI + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Required Level :^777777 60^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 372
		},

		5365: {
			unidentifiedDisplayName: "Magnolia Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magnolia Hat",
			identifiedResourceName: "\xb0\xe8\xb6\xf5\xc8\xc4\xb6\xf3\xc0\xcc",
			identifiedDescriptionName: [
				"What looks like a sunny side up egg on your head is really a furious magnolia monster.",
				"Enables use of ^008800Level 1 Flasher^000000.",
				"Adds 5% resistance to the ^880000Stun^000000.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 373
		},

		5366: {
			unidentifiedDisplayName: "Love Dad Bandana",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Love Dad Bandana",
			identifiedResourceName: "\xbf\xd5\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"This hat is for memorial of 80 year old king to be upon the throne.",
				"ALL STATUS + 5.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 374
		},

		5367: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Yao Jun Hat",
			identifiedResourceName: "\xc7\xfd\xb1\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A monster Hyegun's hat. It looks nasty and tattered but it has better defense than what you thought.",
				"Add a 10% resistance against Demon monster.",
				"MDEF + 3. Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Required Level :^777777 10^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 375
		},

		5368: {
			unidentifiedDisplayName: "White Wing",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "White Wing",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"The glistening white feathers collected to make this beautiful headdress.",
				"Add a low chance of gaining Holy Elemental Scroll each time an is killed.",
				"Unable to trade.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 38
		},

		5369: {
			unidentifiedDisplayName: "Dark Wing",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dark Wing",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"The dark feathers collected to make this mysterious headdress.",
				"When killing a monster there is a chance to obtain an Undead Elemental Scroll.",
				"Unable to trade.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 39
		},

		5370: {
			unidentifiedDisplayName: "Orchid Hairband",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orchid Hairband",
			identifiedResourceName: "\xb3\xad\xc3\xca\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hair band made by orchid and it smells like a scent of a flower.",
				"INT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 376
		},

		5371: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Judge Hat",
			identifiedResourceName: "\xc6\xc7\xb0\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"The helmet worned by capable judge. It exsist for justice.",
				"LUK + 1, SP + 30",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 377
		},

		5372: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Koneko Hat",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xc7\xcf\xbe\xe1\xb0\xed\xbe\xe7\xc0\xcc",
			identifiedDescriptionName: [
				"A magical kitty hat which shows various expressions in its face.",
				"INT + 1. MATK + 3%. Reduces after-cast skill delay by 3%. Maximum SP + 3%. MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 378
		},

		5373: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dark Randgris Helm",
			identifiedResourceName: "\xb4\xd9\xc5\xa9\xb3\xd7\xbd\xba\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"A helm laced with the power of Valkyrie Randgris. It helps its wearer to concentrate better.",
				"DEX + 3, MDEF + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 379
		},

		5374: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gigantic Magestic Goat",
			identifiedResourceName: "\xb4\xeb\xc7\xfc\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb0\xed\xbf\xec\xc6\xae",
			identifiedDescriptionName: [
				"A headgear made from the horns of Baphomet.",
				"Increases physical damage to the Demi Human monster by 12%.",
				"As your JOB Level increases,the helm grants additional ATK.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 380
		},

		5375: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orc Hero Headdress",
			identifiedResourceName: "\xb4\xeb\xc7\xfc\xbf\xc0\xc5\xa9\xc8\xf7\xbe\xee\xb7\xce\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"A true Orc Hero's headgear. It's so big and heavy that it might hurt your neck.",
				"STR + 2",
				"Add a 3% chance of auto casting ^008800Level 3 Weapon Perfection^000000 on the user when receives Physical Damage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 90^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 381
		},

		5376: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flying Evil Wings",
			identifiedResourceName: "\xbb\xe7\xc5\xb8\xb4\xd0\xc3\xbc\xc0\xce",
			identifiedDescriptionName: [
				"An unholy Satanic Chain forged with an incantation.",
				"SP + 120. ^880000Curse^000000 yourself when attacking.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 382
		},

		5377: {
			unidentifiedDisplayName: "Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gentleman's Pipe",
			identifiedResourceName: "\xbe\xd8\xc6\xbc\xc5\xa9\xb4\xe3\xb9\xee\xb4\xeb",
			identifiedDescriptionName: [
				"A long smoking pipe used by gentlemen and nobility.",
				"Decreases damage from Demi Human monster by 2%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 383
		},

		5378: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bunny Top Hat",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xb1\xcd\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"An energetic Bunny Band perfect for a magic show.",
				"AGI + 3, Add chance of auto casting ^008800Level 5 Increase Agility^000000 when attacking.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 384
		},

		5379: {
			unidentifiedDisplayName: "Balloon Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tam",
			identifiedResourceName: "\xb9\xfa\xb7\xe9\xc7\xde",
			identifiedDescriptionName: [
				"A hat that looks like a balloon full of air.",
				"Each refine increases your MATK.",
				"MATK + 2%, MDEF + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 385
		},

		5380: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fish Head Hat",
			identifiedResourceName: "\xb9\xb0\xb0\xed\xb1\xe2\xb8\xd3\xb8\xae\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A fish head hat with its mouth opening and closing.",
				"When its mouth is open you can smell a strong odor of fish.",
				"When dealing physical damage there is a small chance to cast ^008800Level 1 Frost Weapon^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 386
		},

		5381: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Santa Poring Hat",
			identifiedResourceName: "\xbb\xea\xc5\xb8\xc6\xf7\xb8\xb5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cute hat with a santa poring.",
				"Increases damage against Dark element monsters by 3%,",
				"Reduces damage received from Dark element monsters by 3%.",
				"Impossible to refine this item. MDEF + 2.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 387
		},

		5382: {
			unidentifiedDisplayName: "Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bell Ribbon",
			identifiedResourceName: "\xb9\xe6\xbf\xef\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"A cute ribbon with small bells attached.",
				"Enables use of ^008800Level 1 Angelus^000000. VIT + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 388
		},

		5383: {
			unidentifiedDisplayName: "Hunter's Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hunter's Cap",
			identifiedResourceName: "\xc7\xe5\xc6\xc3\xc4\xb8",
			identifiedDescriptionName: [
				"A hat for hunters! Good Luck!",
				"Rumor who wear it will have a good fortune when hunting monster at the time.",
				"Increases damage inflicted on Brute monster by 10%.",
				"Increases physical attack against Demi human monster by 5%.",
				"LUK + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 25^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Jobs except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 389
		},

		5384: {
			unidentifiedDisplayName: "Twin Pompom By JB",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Twin Pom Santa",
			identifiedResourceName: "\xbe\xe7\xb0\xa5\xb7\xa1\xbb\xea\xc5\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cute hat which it protects you from the cold weather and will give you an ultra-cute look!",
				"Designed by the famous stylist JB.",
				"ALL STATUS + 1",
				"Enables use of ^008800Level 1 Estimation^000000.",
				"Add chance of auto casting ^008800Level 1 Increase Agility^000000 when attacking.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 390
		},

		5385: {
			unidentifiedDisplayName: "Yoyo Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Yoyo Hat",
			identifiedResourceName: "\xbf\xe4\xbf\xe4\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"An adorable hat, it looks like an impish monster YoYo.",
				"Enables use of ^008800Level 1 Hiding^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 391
		},

		5386: {
			unidentifiedDisplayName: "Ayam",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ayam",
			identifiedResourceName: "\xbe\xc6\xbe\xe4",
			identifiedDescriptionName: [
				"\" Happy New Year \". Like a New Year's greeting seems to bring blessed.",
				"Every time you kill a monster, small chance to drop Ricecake. FLEE + 7, MDEF + 7,",
				"...",
				"Impossible to refine this item.",
				"^000088Exp : 9 AM on February 13.^000000",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 7^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 228
		},

		5387: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Neko Mimi Kafra",
			identifiedResourceName: "\xb3\xd7\xc4\xda\xb9\xcc\xb9\xcc\xc4\xab\xc7\xc1\xb6\xf3",
			identifiedDescriptionName: [
				"A hairband that gives the appearance of Kafra style and Kitty hairband.",
				"It would look pretty when worn.",
				"MDEF + 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 392
		},

		5388: {
			unidentifiedDisplayName: "Snake Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Snake Head",
			identifiedResourceName: "\xb9\xec\xb8\xd3\xb8\xae\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat looks like snake on it. You probably fall in love with beautiful young women when you wear it.",
				"Enables use of ^008800Level 5 Double Attack^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 393
		},

		5389: {
			unidentifiedDisplayName: "Angel Spirit",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angel Spirit",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xc0\xaf\xb7\xc9",
			identifiedDescriptionName: [
				"A golden mask rumored to be worn by some ancient Goddess.",
				"HIT + 15, STR + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 394
		},

		5390: {
			unidentifiedDisplayName: "Costume: Blue Christmas Cheer",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Blue Christmas Cheer",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xbe\xe7\xb0\xa5\xb7\xa1\xbb\xea\xc5\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat which comes from the coldness. It protects you from snow storms.",
				"Increase resistance to the ^880000Freeze^000000 status by 30%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 395
		},

		5391: {
			unidentifiedDisplayName: "Toast",
			unidentifiedResourceName: "\xc5\xe4\xbd\xba\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Toast",
			identifiedResourceName: "\xc5\xe4\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"For a busy morning, it its the best heartwarming friend.",
				"When you hold it in your mouth, you feel like you have to quickly rush out.",
				"MaxHP + 100.",
				"When you defeat a monster, there is a small chance that it drops a \"Old Purple Box\".",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 188
		},

		5392: {
			unidentifiedDisplayName: "Louyang NewYear Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Louyang NewYear Hat",
			identifiedResourceName: "\xb7\xef\xbe\xe7\xc0\xc7\xbc\xb3\xb3\xaf\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A gift hat for kids made by a famous Whitesmith who resides in Louyang.",
				"The materials used for the red color of the hat is meant to bring Luck and Fortune to those that wear it.",
				"LUK + 2. Every time you kill a monster, small chance to drop Red Envelope for a week at celebration of Imlek.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 396
		},

		5393: {
			unidentifiedDisplayName: "Valentine Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cupid's Target",
			identifiedResourceName: "\xb9\xdf\xb7\xbb\xc5\xb8\xc0\xce\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat which showed that you were falling in love!",
				"You will feel stronger because strength of your love will make you powerful!",
				"Maximum HP & SP + 7%.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 397
		},

		5394: {
			unidentifiedDisplayName: "Bubblegum Lower",
			unidentifiedResourceName: "\xc7\xb3\xbc\xb1\xb2\xad",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bubblegum Lower",
			identifiedResourceName: "\xc7\xb3\xbc\xb1\xb2\xad",
			identifiedDescriptionName: [
				"...",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		5395: {
			unidentifiedDisplayName: "Tiraya Bonnet",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Striped Hat",
			identifiedResourceName: "\xc6\xbc\xb6\xf3\xbe\xdf\xba\xb8\xb3\xdd",
			identifiedDescriptionName: [
				"A souvenir hat to celebarate the 4th Anniversary of Europe Ragnarok Online.",
				"Each refine increases your HP.",
				"Max HP + 100, LUK + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 398
		},

		5396: {
			unidentifiedDisplayName: "Jasper Crest",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jasper Crest",
			identifiedResourceName: "\xc0\xe7\xbd\xba\xc6\xdb\xc5\xa9\xb7\xb9\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"A beautiful headgear with gold ornament and a lovely gemstone in the middle.",
				"DEX + 3, VIT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 399
		},

		5397: {
			unidentifiedDisplayName: "Scuba Mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scuba Mask",
			identifiedResourceName: "\xbd\xba\xc4\xed\xb9\xf6\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"Scuba Glasses meant for Divers.",
				"If you wear this on the Ground, people will think you are a person",
				"not taking outside views seriously.",
				"Resistance against ^0000FFWater^000000 Property by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 400
		},

		5398: {
			unidentifiedDisplayName: "Bone Head",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bone Head",
			identifiedResourceName: "\xba\xbb\xc7\xec\xb5\xe5",
			identifiedDescriptionName: [
				"A Helmet made by the bones of the Dragons. It's pretty hard and won't be easy to break.",
				"STR + 2. MDEF + 5.",
				"Add a 5% resistance against ^880000Stun, Bleeding^000000 status.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 120^000000",
				"Required Level :^777777 85^000000",
				"Applicable Job :^777777 Trans Swordman Class, Trans Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 401
		},

		5399: {
			unidentifiedDisplayName: "Mandragora Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mandragora Cap",
			identifiedResourceName: "\xb8\xb8\xb5\xe5\xb6\xf3\xb0\xed\xb6\xf3\xc4\xb8",
			identifiedDescriptionName: [
				"A Mandagora blossoms on top of your head. Unfortunately if you pull it out, it shreaks very loudy to you.",
				"VIT + 3. Gives a chance auto casting ^008800Level 5 Scream^000000 on enemy When recieving physical damage.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 85^000000",
				"Applicable Job :^777777 Trans 2nd Class^000000",
			],
			slotCount: 1,
			ClassNum: 402
		},

		5400: {
			unidentifiedDisplayName: "Fox Hat",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fox Hat",
			identifiedResourceName: "\xbf\xa9\xbf\xec\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Anyone wearing a mask to make you look smart.",
				"LUK + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 403
		},

		5401: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Frame Glasses",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xbb\xd4\xc5\xd7\xbe\xc8\xb0\xe6",
			identifiedDescriptionName: [
				"Black Framed Glasses. The fashion trend has been changing the picture framed glasses, you will also try changing?",
				"INT + 1, MDEF + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Required Level :^777777 70^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 404
		},

		5402: {
			unidentifiedDisplayName: "Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mischievous Fairy ",
			identifiedResourceName: "\xc0\xe5\xb3\xad\xb2\xd9\xb7\xaf\xb1\xe2\xbf\xe4\xc1\xa4",
			identifiedDescriptionName: [
				"A mischievous fairy image of the helmet's ear.",
				"Perfect Dodge + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Required Level :^777777 70^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 405
		},

		5403: {
			unidentifiedDisplayName: "Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fish In Mouth",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xae\xb9\xb0\xb0\xed\xb1\xe2",
			identifiedDescriptionName: [
				"A fish that can bite in mouth. It smells bad, but it won't be rot by special process.",
				"Add a 5% chance of getting Fresh Fish when a monster gets killed.",
				"Fresh Fish recovery rate + 25%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Required Level :^777777 30^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 406
		},

		5404: {
			unidentifiedDisplayName: "Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blue Ribbon",
			identifiedResourceName: "\xba\xed\xb7\xe7\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"Blue ribbon which is a symbol of the honor student!",
				"Add a 30% chance of auto casting ^008800Level 2 Attention Concentrate^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Required Level :^777777 45^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 407
		},

		5405: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Filir Hat",
			identifiedResourceName: "\xc7\xca\xb8\xae\xb8\xa3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A gentle Filir. He's way too gentle that he doesn't attack at all.",
				"Reflect 1% of all Physical Melee Damage back to the enemy which inflicted it.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Required Level :^777777 80^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 408
		},

		5406: {
			unidentifiedDisplayName: "Academy Freshman Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Clergyman Grad Hat",
			identifiedResourceName: "\xbe\xc6\xc4\xab\xb5\xa5\xb9\xcc\xbd\xc5\xc0\xd4\xbb\xfd\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Academy Freshman Hat! If you wear this, you should greet all of members of academy.",
				"MaxHP + 80, MaxSP + 10",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 409
		},

		5407: {
			unidentifiedDisplayName: "Academy Completion Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magician Grad Hat",
			identifiedResourceName: "\xbe\xc6\xc4\xab\xb5\xa5\xb9\xcc\x31\xbc\xf6\xb7\xe1\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"You can get this after you finish 1 course in academy.",
				"MaxSP + 30",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 410
		},

		5408: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xb5\xce\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Old Bandana",
			identifiedResourceName: "\xb5\xce\xb0\xc7",
			identifiedDescriptionName: [
				"...",
				"INT + 2, SP + 50",
				"Reduce Casting Time by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 6
		},

		5409: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Purple Cowboy Hat",
			identifiedResourceName: "\xbd\xc5\xc4\xab\xbf\xec\xba\xb8\xc0\xcc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat, symbolizing western frontiers, made to celebrate the festival.",
				"INT + 2 , VIT + 2 , SP + 50",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 411
		},

		5410: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brown Paperbag Hat",
			identifiedResourceName: "\xbb\xa7\xba\xc0\xc5\xf5\x32",
			identifiedDescriptionName: [
				"A hat in the form of an upside-down paperbag, to celebrate the festival.",
				"Reduces damage from Demihuman monster by 4%.",
				"Add a 4% resistance against ^880000Stun^000000, MaxHP + 100",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 412
		},

		5411: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "White Snake Hat",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xb9\xec\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hairband that immortalizes the precious White Snake.",
				"DEX + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 413
		},

		5412: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lollipop",
			identifiedResourceName: "\xb4\xde\xc4\xde\xc7\xd1\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"A delicious candy which is good for the children.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 414
		},

		5413: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Popcorn Hat",
			identifiedResourceName: "\xc6\xcb\xc4\xdc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"The well-fried popcorn into the hat.",
				"Increases resistance to ^FF0000Wind^000000 Property by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 415
		},

		5414: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Campfire Hat",
			identifiedResourceName: "\xc4\xb7\xc7\xc1\xc6\xc4\xc0\xcc\xbe\xee\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"When a field camp in the Roman! Campfire hat!",
				"Increases resistance to ^FF0000Fire^000000 Property by 10%.",
				"Adds a chance autocast ^008800Level 5 Fire Ball^000000 on enemy when the user receives Physical Damage.",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 416
		},

		5415: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poring Cake Hat",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xc4\xc9\xc0\xcc\xc5\xa9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A special hat created to celebrate 5th year anniversary of RO in the Philippines.",
				"MDEF, CRI, FLEE, Perfect Dodge + 5",
				"ASPD + 5%. Reduces Cast Time by 5%.",
				"Skill Delay reduced by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Required Level :^777777 40^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 417
		},

		5416: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Beer Hat",
			identifiedResourceName: "\xb8\xc6\xc1\xd6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Taste of beer after a showerWow~!",
				"Drinking is prohibited for minors!",
				"Perfect Dodge + 5",
				"Enables use of ^008800Level 3 Increase Recuperative Power and Level 3 Increase Spiritual Power^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Required Level :^777777 18^000000",
				"Weight :^777777 60^000000",
				"Applicable Job :^777777 Every Jobs except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 418
		},

		5417: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crown Parrots",
			identifiedResourceName: "\xbf\xd5\xb0\xfc\xbe\xde\xb9\xab",
			identifiedDescriptionName: [
				"Parrot hat on the crown. Loud talking parrot might disgust them.",
				"Add a 100% resistance to the ^880000Silence^000000 status.",
				"Automatically cast ^008800Level 1 Scream^000000 by chance when struck by Physical attack.",
				"Impossible to refine this item.",
				"INT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 419
		},

		5418: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Soldier Hat",
			identifiedResourceName: "\xba\xb4\xc1\xa4\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"Adds 3% physical damage to the monster.",
				"Increases SP Consumption of skills by 10%.",
				"STR + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 420
		},

		5419: {
			unidentifiedDisplayName: "Leaves Of Grass",
			unidentifiedResourceName: "\xc7\xae\xc0\xd9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Leaves Of Grass",
			identifiedResourceName: "\xc7\xae\xc0\xd9",
			identifiedDescriptionName: [
				"...",
				"VIT +1. Reduces damage from Plant monster by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 57
		},

		5420: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ifrit Mask",
			identifiedResourceName: "\xc0\xcc\xc7\xc1\xb8\xae\xc6\xae\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"Mask of Ifrit, the spiritual owner of fire. Rumored to rule a power of the fire.",
				"STR + 1, INT + 1, MDEF + 5",
				"Add a 10% resistance against ^FF0000Fire^000000 Property monsters.",
				"Reduced a 10% resistance against ^0000FFWater^000000 Property monsters.",
				"Enables use of ^008800Level 1 Sight^000000.",
				"Add a chance of auto casting ^008800Level 3 Meteor Storm^000000 on the user when the user receives Physical Damage.",
				"Add a chance of auto casting ^008800Level 3 Fire Bolt^000000 on the user when dealing physical damage.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 421
		},

		5421: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ifrit's Ears",
			identifiedResourceName: "\xc0\xcc\xc7\xc1\xb8\xae\xc6\xae\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"A headgear which imitates an ears of Ifrit, the spiritual owner of fire.",
				"STR + 1, MDEF + 3",
				"Increases damage of ^008800Fire Bolt, Fire Pillar, Meteor Storm^000000 skill by 2%.",
				"Increases damage of ^008800Bash, Magnum Break, Pierce^000000 skill by 2%.",
				"Add a 5% resistance against ^FF0000Fire^000000 Property monsters.",
				"Reduced a 5% resistance against ^0000FFWater^000000 Property monsters.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 422
		},

		5422: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Linguistic Book Hat",
			identifiedResourceName: "\xb9\xae\xc0\xda\xc3\xa5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"INT + 1 , MDEF + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 7^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 423
		},

		5423: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "I LOVE CHINA",
			identifiedResourceName: "\xbe\xcb\xb7\xb4\xc2\xf7\xc0\xcc\xb3\xaa\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"Reduces damage from DemiHuman enemies by 10%.",
				"DEX + 3, Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 25^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 424
		},

		5424: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fanta Orange Can Hat",
			identifiedResourceName: "\xc8\xaf\xc5\xb8\xbf\xc0\xb7\xbb\xc1\xf6\xc4\xb5",
			identifiedDescriptionName: [
				"Fanta Orange Can Hat.",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 425
		},

		5425: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fanta Grape Can Hat",
			identifiedResourceName: "\xc8\xaf\xc5\xb8\xb1\xd7\xb7\xb9\xc0\xcc\xc7\xc1\xc4\xb5",
			identifiedDescriptionName: [
				"Fanta Grape Can Hat.",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 426
		},

		5426: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Karada Meguricha Hat",
			identifiedResourceName: "\xc4\xab\xb6\xf3\xb4\xd9\xb8\xde\xb1\xb8\xb8\xae\xc2\xf7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"LUK + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 427
		},

		5427: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Tea Kochakaden Hat",
			identifiedResourceName: "\xc8\xab\xc2\xf7\xc8\xad\xc0\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"AGI + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 428
		},

		5428: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "RWC Anniversary Bread Envelope",
			identifiedResourceName: "\xbb\xa7\xba\xc0\xc5\xf5\x31",
			identifiedDescriptionName: [
				"...",
				"Add a 12% resistance against DemiHuman monster.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 429
		},

		5429: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hobgoblin's Hat",
			identifiedResourceName: "\xb5\xb5\xb1\xfa\xba\xf1\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Dokebi Cute Hat. A hat made to celebrate the 5th anniversary of Thailand Ragnarok Online.",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"ALL STATUS + 5",
				"After the event, recovery HP and SP by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 430
		},

		5430: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ifrit Crown",
			identifiedResourceName: "\xbc\xba\xc8\xad\xb0\xfc",
			identifiedDescriptionName: [
				"The fire is sacred crown swinger.",
				"Increases resistance to ^FF0000Fire^000000 Property by 20%.",
				"Enables use of ^008800Level 5 Fireball^000000.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 25^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 431
		},

		5431: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chicken Hat",
			identifiedResourceName: "\xb2\xbf\xb2\xbf\xb4\xec\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Chicken is on your head! It might have alarm option for waking you up in the morning.",
				"Adds 1% chance STR + 3 for 10 seconds when dealing physical damage.",
				"Adds 1% chance INT + 3 for 10 seconds when dealing magical damage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 432
		},

		5432: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "bRO 4th Anniversary Hat",
			identifiedResourceName: "\xba\xea\xb6\xf3\xc1\xfa\x34\xc1\xd6\xb3\xe2\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Brazil's National Flag Hat which decorated in front the hat.",
				"[^000088Event Bonus : 10 - 24 September^000000]",
				"ALL STAT + 4",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 433
		},

		5433: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Laurel",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xbf\xf9\xb0\xe8\xbc\xf6",
			identifiedDescriptionName: [
				"The ancient Greek were used during the Olympic Games to resemble a Golden Laurel Crown of olive leaves.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 434
		},

		5434: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Coca-Cola Bottle",
			identifiedResourceName: "\xc4\xdd\xb6\xf3\xc4\xb5",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 435
		},

		5435: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Coca-Cola Hat",
			identifiedResourceName: "\xc4\xda\xc4\xab\xc4\xdd\xb6\xf3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"INT + 1, MaxSP + 80, MDEF + 3.",
				"[^333399Refine Rate 6~10^000000]",
				"MDEF + 1, MaxSP + 10.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 436
		},

		5436: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bride's Corolla",
			identifiedResourceName: "\xbd\xc5\xba\xce\xc0\xc7\xc8\xad\xb0\xfc",
			identifiedDescriptionName: [
				"A neat crown of flowers worn at weddings. Long silk ribbons dance and trail behind it.",
				"LUK + 3. MDEF + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 437
		},

		5437: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fairy Flower",
			identifiedResourceName: "\xbc\xb1\xb3\xe0\xc0\xc7\xb2\xc9",
			identifiedDescriptionName: [
				"The lotus worn on the heads of heavenly maidens.",
				"INT + 1. MDEF + 1",
				"Reduce damage from Insect monsters by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 438
		},

		5438: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cute Green Ribbon",
			identifiedResourceName: "\xb8\xd3\xb8\xae\xb2\xf6\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"Small ribbons tied to ones hair to accentuate the hairstyle.",
				"SP + 20. Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 439
		},

		5439: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cute Red Ribbon",
			identifiedResourceName: "\xb8\xd3\xb8\xae\xb2\xf6\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"Small ribbons tied to ones hair to accentuate the hairstyle.",
				"SP + 20. Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 440
		},

		5440: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cute Blue Ribbon",
			identifiedResourceName: "\xb8\xd3\xb8\xae\xb2\xf6\x5f\xc6\xc4\xb6\xfb",
			identifiedDescriptionName: [
				"Small ribbons tied to ones hair to accentuate the hairstyle.",
				"SP + 20. Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 441
		},

		5441: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cute White Ribbon",
			identifiedResourceName: "\xb8\xd3\xb8\xae\xb2\xf6\x5f\xc7\xcf\xbe\xe7",
			identifiedDescriptionName: [
				"Small ribbons tied to ones hair to accentuate the hairstyle.",
				"SP + 20. Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 442
		},

		5442: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Necktie",
			identifiedResourceName: "\xb3\xd8\xc5\xb8\xc0\xcc",
			identifiedDescriptionName: [
				"A necktie that goes on your head. Seems too inappropriate to wear with Blush.",
				"VIT + 1",
				"HIT - 5, Increases SP Consumption by 5%.",
				"[^000088+ Blush^000000]",
				"ASPD + 3%, increases cast time by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 443
		},

		5443: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Statue Of Baby Angel",
			identifiedResourceName: "\xbe\xc6\xb1\xe2\xc3\xb5\xbb\xe7\xbb\xf3",
			identifiedDescriptionName: [
				"A hat of a little angel urinating. Somewhat embarassing to wear on the head.",
				"MDEF + 2",
				"When receiving physical damage, chance to cast ^008800Level 1 Recovery^000000 on yourself.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 444
		},

		5444: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hair Brush",
			identifiedResourceName: "\xb8\xd3\xb8\xae\xba\xf8",
			identifiedDescriptionName: [
				"A red comb stuck in the hair.",
				"CRIT + 6",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 445
		},

		5445: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Candy Cane In Mouth",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xab\xb4\xc2\xb8\xb7\xb4\xeb\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"A piece of candy you hold in your mouth. Remember to brush your teeth afterwards!",
				"SP + 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 446
		},

		5446: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Catfoot Hairpin",
			identifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xb9\xdf\xb8\xd3\xb8\xae\xc7\xc9",
			identifiedDescriptionName: [
				"A hairpin designed to look like a footprint of a cat.",
				"FLEE + 5, Perfect Dodge + 3.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 447
		},

		5447: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Frog Hat",
			identifiedResourceName: "\xb0\xb3\xb1\xb8\xb8\xae\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made to look like the god of frogs.",
				"It doesn't look much different from ordinary frogs though.",
				"MDEF + 1",
				"Increases physical and magical damage againts Insect monster by 12%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 448
		},

		5448: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Indifferent Solo Hat",
			identifiedResourceName: "\xc8\xa5\xc0\xda\xb3\xee\xb1\xe2\xbb\xf3\xc0\xda\x31",
			identifiedDescriptionName: [
				"A yellow cardboard box with holes for the eyes.",
				"Wearing this box lets you feel what it's like to play alone.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 449
		},

		5449: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angry Solo Hat",
			identifiedResourceName: "\xc8\xa5\xc0\xda\xb3\xee\xb1\xe2\xbb\xf3\xc0\xda\x32",
			identifiedDescriptionName: [
				"A yellow cardboard box with holes for the eyes.",
				"Wearing this box lets you feel what it's like to play alone.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 450
		},

		5450: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Solar Hat",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"The Solar Hat.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Uppper^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 451
		},

		5451: {
			unidentifiedDisplayName: "Costume: Gold Dragonhelm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Gold Dragonhelm",
			identifiedResourceName: "\xbf\xeb\xc5\xf5\xb1\xb8\x5f\xb1\xdd",
			identifiedDescriptionName: [
				"A helmet that exists in Legends, only the Champions of RWC are fit to wear it.",
				"Attack Speed is increased by 10%. ALL STAT + 3",
				"Increases damage from DemiHuman monster by 5%.",
				"Impossible to refine this item.",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Uppper^000000",
				"Weight :^777777 250^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 452
		},

		5452: {
			unidentifiedDisplayName: "Silver Dragonhelm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Silver Dragonhelm",
			identifiedResourceName: "\xbf\xeb\xc5\xf5\xb1\xb8\x5f\xc0\xba",
			identifiedDescriptionName: [
				"A helmet that exists in Legends, only the Runner-Ups of RWC are fit to wear it.",
				"Attack Speed is increased by 7%. ALL STAT + 2",
				"Increases damage from DemiHuman monster by 3%.",
				"Impossible to refine this item.",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Uppper^000000",
				"Weight :^777777 250^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 453
		},

		5453: {
			unidentifiedDisplayName: "Copper Dragonhelm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Copper Dragonhelm",
			identifiedResourceName: "\xbf\xeb\xc5\xf5\xb1\xb8\x5f\xb5\xbf",
			identifiedDescriptionName: [
				"A helmet that exists in Legends, only the 3rd Placing of RWC are fit to wear it.",
				"Attack Speed is increased by 5%. ALL STAT + 2",
				"Increases damage from DemiHuman monster by 1%.",
				"Impossible to refine this item.",
				"(All transfer methods except Kafra Storage are locked)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Uppper^000000",
				"Weight :^777777 250^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 454
		},

		5454: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Puppy Hat",
			identifiedResourceName: "\xb0\xad\xbe\xc6\xc1\xf6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A light brown puppy dog. It looks quite cute sitting on your head.",
				"STR + 1, INT + 1",
				"Adds a chance 100% CRIT for 3 seconds when receive physical attack.",
				"Adds a chance 100% ignore magical defense for 3 seconds when receive magical attack.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 234
		},

		5455: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Decorative Geographer",
			identifiedResourceName: "\xc0\xe5\xbd\xc4\xbf\xeb\xc1\xf6\xbf\xc0\xb1\xd7\xb7\xa1\xc6\xdb",
			identifiedDescriptionName: [
				"A special decoration geographer designed to rest nicely on your head.",
				"INT + 1",
				"...",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 238
		},

		5456: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Summer Hat",
			identifiedResourceName: "\xb9\xd9\xc4\xb2\xbd\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat recommended to use for vacations. It helps to protect your face from strong sunshine.",
				"VIT + 5",
				"^000088Restores 20% HP^000000.",
				"^000088Restores 15% SP^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 315
		},

		5457: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Moon Rabbit Hat",
			identifiedResourceName: "\xbf\xc1\xc5\xe4\xb3\xa2\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"It looks like a pet rabbit that you can put on your head. Quite soft!",
				"ATK, MATK + 5.",
				"If upgrade is to 5 or higher, ATK and MATK are increaded by 1 according to the upgrade level.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 455
		},

		5458: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pinwheel Hat",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xb0\xb3\xba\xf1\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A headband which decorated with a pinwheel.",
				"The person who wear it looks like cool.",
				"^000088Recovery 5% HP & SP^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 456
		},

		5459: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xba\xc0\xc1\xa6\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Drooping Bunny",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xc5\xe4\xb3\xa2",
			identifiedDescriptionName: [
				"A doll shaped like a cute rabbit. Can be put on a head.",
				"DEX + 1, FLEE + 2.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 249
		},

		5460: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Dragon Skull Hat",
			identifiedResourceName: "\xc1\xf8\xc8\xad\xb5\xc8\xbf\xeb\xc0\xc7\xc7\xd8\xb0\xf1",
			identifiedDescriptionName: [
				"A helmet made from a dragon's skull.",
				"ALL STATUS + 2 , MaxHP + 3%",
				"Cannot be Dropped, or Tradable. Can be placed in Kafra Storage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 7^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Required level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 457
		},

		5461: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Whisper Mask",
			identifiedResourceName: "\xc1\xf8\xc8\xad\xb5\xc8\xc0\xa7\xbd\xba\xc6\xdb\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"Mask of whisper, it looks like a piece of facial mask.",
				"DEX + 3 , Increase resistance from ^777777Ghost^000000 Property attacks by 20%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 30^000000",
				"Required level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 458
		},

		5462: {
			unidentifiedDisplayName: "Spiked Scarf",
			unidentifiedResourceName: "\xb4\xeb\xb8\xf8\xb9\xda\xc8\xf9\xbd\xba\xc4\xab\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spiked Scarf",
			identifiedResourceName: "\xb4\xeb\xb8\xf8\xb9\xda\xc8\xf9\xbd\xba\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"Spiked Scarf.",
				"VIT + 1.",
				"Increase physical damage from Demi Human monster by 1%.",
				"Reduces damage from Demihuman monster by 1%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 459
		},

		5463: {
			unidentifiedDisplayName: "Rainbow Scarf",
			unidentifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb3\xbd\xba\xc4\xab\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rainbow Scarf",
			identifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb3\xbd\xba\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"Rainbow Scarf.",
				"INT + 1. MDEF + 2.",
				"MATK + 1%",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 90^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 460
		},

		5464: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Zaha Doll Hat",
			identifiedResourceName: "\xc0\xda\xc7\xcf\xc0\xce\xc7\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Zaha doll hat which resembles angel of Zaha. It looks great on your head.",
				"INT + 2",
				"Enables use of ^008800Level 3 Magnificat^000000.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 461
		},

		5465: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hat Of Fortune",
			identifiedResourceName: "\xc7\xcf\xb4\xc3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A clear and wide sky is motivated. if you wear this hat in a gloomy day, you can feel refresh.",
				"LUK + 2, MDEF + 5.",
				"[^333399Refine Rate 5~10^000000]",
				"LUK Rate increases depending on the weapon's refinement rate.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 462
		},

		5466: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wind's Guide",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc0\xcc\xc1\xa4\xc7\xa5",
			identifiedDescriptionName: [
				"A cap of post man who delivers letters with heart.",
				"Magic in the cap protects the wearer not to lose their way.",
				"Enables use of ^008800Level 1 Teleport^000000.",
				"AGI + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 463
		},

		5467: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dragon Helm",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb1\xba\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"A headgear made by the hard scale of Dragon.",
				"The wearer of this headgear can get the great power of Dragon.",
				"Adds 20% damage to the dragon monster.",
				"Cause a certain abnormal status to all enemies in 5x5 cell when physical attack, by low chance.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 200^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 464
		},

		5468: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Parade Hat",
			identifiedResourceName: "\xc6\xdb\xb7\xb9\xc0\xcc\xb5\xe5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cap which makes the wearer very happy to go on a parade.",
				"Skill delay - 5%.",
				"MDEF + 2",
				"[^333399Refine Rate 6~10^000000]",
				"Reduces casting delay refine level - 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 465
		},

		5469: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Musketeer Hat",
			identifiedResourceName: "\xb3\xeb\xba\xed\xc7\xde",
			identifiedDescriptionName: [
				"\"One for all and all for one\" hat is inscribed as an experience of the Musketeers.",
				"STR + 2",
				"When the user receives a Physical Attack, low chance to auto-spell ^008800Level 1 Adrenaline Rush^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 466
		},

		5470: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Darkness Eyes",
			identifiedResourceName: "\xb4\xd9\xc5\xa9\xb4\xcf\xbd\xba\xbe\xc6\xc0\xcc\xc1\xee",
			identifiedDescriptionName: [
				"An eye cover which has gloomy eyes on it.",
				"It looks fixed, but someone says the eyes moves sometimes.",
				"Never get Blindness. DEX + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 467
		},

		5471: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Reginrev's Wings",
			identifiedResourceName: "\xb7\xb9\xb1\xe4\xb7\xb9\xc0\xcc\xba\xea\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"A head accessory which is named after Valkyrie Reginleif.",
				"If someone wear this, they can get the bless of god.",
				"Increase resistance against ^0000FFWater^000000, ^FF0000Fire^000000, ^777777Undead, Ghost^000000 Property by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 468
		},

		5472: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red White Cap",
			identifiedResourceName: "\xc8\xab\xb9\xe9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"Every time you kill a Human monster, low chance to drop Rice cake.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 469
		},

		5473: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crab Nipper Hat",
			identifiedResourceName: "\xc1\xfd\xb0\xd4\xb9\xdf\xb8\xd3\xb8\xae\xc7\xc9",
			identifiedDescriptionName: [
				"Scissor to cut the crab meat, and processed into the hairpin.",
				"When the user receives a Physical Attack, small chance to auto-spell ^008800Level 1 Cold Bolt^000000.",
				"Every time you kill a Fish or Shellfish monster, low chance to drop Crystal blue.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 470
		},

		5474: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "AFK Hat",
			identifiedResourceName: "\xbe\xcb\xb8\xb2\xb0\xa3\xc6\xc7",
			identifiedDescriptionName: [
				"-Away From Keyboard-",
				"A hat doesn't mean a thing in front of the keyboard.",
				"When away, the right to tell friends!",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 471
		},

		5475: {
			unidentifiedDisplayName: "Gozarian Mask",
			unidentifiedResourceName: "\xc5\xa5\xba\xea\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gozarian Mask",
			identifiedResourceName: "\xc5\xa5\xba\xea\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A mask which made from the face of the cube as motif.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 472
		},

		5476: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Grand Peco Headdress",
			identifiedResourceName: "\xb1\xd7\xb7\xa3\xb5\xe5\xc6\xe4\xc4\xda\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"\"Hair ornament made from grandpeco feathers.",
				"Be allowed to acquire only the Patriarch of valor.\"",
				"STR + 2, MaxHP - 10%.",
				"Increased 15% damage to the monster except Ork Hero.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 473
		},

		5477: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xba\xea\xb6\xf3\xc1\xfa\xb1\xb9\xb1\xe2\xb5\xce\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brazilian Flag Hat",
			identifiedResourceName: "\xba\xea\xb6\xf3\xc1\xfa\xb1\xb9\xb1\xe2\xb5\xce\xb0\xc7",
			identifiedDescriptionName: [
				"A hat made by flag of Brazil. A patriot wears it to express his country.",
				"Enables use of ^008800Level 1 Bash^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 474
		},

		5478: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Classic Hat",
			identifiedResourceName: "\xc5\xac\xb7\xa1\xbd\xc4\xc7\xde",
			identifiedDescriptionName: [
				"Classic Hat.",
				"STR + 2, MaxHP + 300",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 475
		},

		5479: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shaman's Hair Decoration",
			identifiedResourceName: "\xbb\xfe\xb8\xd5\xc0\xc7\xb8\xd3\xb8\xae\xc0\xe5\xbd\xc4",
			identifiedDescriptionName: [
				"...",
				"MDEF + 3. Adds a 5% resistance against ^777777Neutral^000000 Property attacks.",
				"[^000088Shaman Ring & Shaman Earring Equip Set^000000]",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 476
		},

		5480: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bijofnil Wings",
			identifiedResourceName: "\xba\xf1\xc1\xb6\xc7\xc1\xb4\xd2\xb3\xaf\xb0\xb3\xc0\xe5\xbd\xc4",
			identifiedDescriptionName: [
				"ALL STATUS + 2, Adds resistance to ALL elements by 5%.",
				"Recovery 2% HP per 10 seconds, Recovery 1% SP per 10 seconds.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 477
		},

		5481: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hermode Cap",
			identifiedResourceName: "\xc7\xec\xb8\xa3\xb8\xf0\xc1\xee\xc4\xb8",
			identifiedDescriptionName: [
				"Attack speed + 5%. ATK + 3%.",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 478
		},

		5482: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dark Knight Mask",
			identifiedResourceName: "\xb4\xd9\xc5\xa9\xb3\xaa\xc0\xcc\xc6\xae\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"STR + 3",
				"[^000088Dark Knight Belt & Dark Knight Glove Equip Set^000000]",
				"MATK + 10%, INT + 5.",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 300^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 479
		},

		5483: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Odin Mask",
			identifiedResourceName: "\xbf\xc0\xb5\xf2\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"Decreased damage from Boss monster by 2%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 480
		},

		5484: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Holidays Hat",
			identifiedResourceName: "\xb4\xeb\xb8\xb8\xb1\xb9\xb1\xe2\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Taiwan's soul!",
				"ALL STAT + 5, Add a 5% resistance against ^880000Stun^000000.",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"ALL STAT + 1, Add a 5% resistance against ^880000Stun^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 482
		},

		5485: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tiger Face",
			identifiedResourceName: "\xc8\xa3\xb6\xfb\xc0\xcc\xbe\xf3\xb1\xbc",
			identifiedDescriptionName: [
				"Tigers Face.",
				"Decreases damage from Brute monster by 5%.",
				"Increase Physical and Magical Attack Strength against Brute Monster by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 483
		},

		5486: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Anniversary Hat",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xbe\xe7\xb0\xa5\xb7\xa1\xbb\xea\xc5\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made to celebrate the 6th Anniversary.",
				"All Status + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 395
		},

		5487: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poring Cake Hat",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xc4\xc9\xc0\xcc\xc5\xa9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"...",
				"LUK + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 417
		},

		5488: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cute Santa Hat",
			identifiedResourceName: "\xbe\xe7\xb0\xa5\xb7\xa1\xbb\xea\xc5\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"LUK + 1, MDEF + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 390
		},

		5489: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Love Daddy",
			identifiedResourceName: "\xb7\xaf\xba\xea\xb4\xeb\xb5\xf0",
			identifiedDescriptionName: [
				"A yellow tredy hat has a \"Love Daddy\" logo.",
				"Thailand people wear it to admire king.",
				"DEX + 2.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 484
		},

		5490: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Anubis Headgear",
			identifiedResourceName: "\xbe\xc6\xb4\xa9\xba\xf1\xbd\xba\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"This ceremonial headdress holds the likeness of Anubis, god of the underworld.",
				"It is rumored that it empowers the wearer against powerful divine beings.",
				"Reduce damage from MVPs by 10%.",
				"Increase effectiveness of healing and healing items by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 485
		},

		5491: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Outlaw's Hat",
			identifiedResourceName: "\xb9\xab\xb9\xfd\xc0\xda\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Not many people can stand a hot and steamy sand storm that is from far north Brazil. But these natives are well known for standing against heat and humidity with less water and food.",
				"STR + 2.",
				"Increases resistance to ^FF0000Fire^000000 Property by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 486
		},

		5492: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Student Cap",
			identifiedResourceName: "\xc7\xd0\xbb\xfd\xb8\xf0",
			identifiedDescriptionName: [
				"A black cap that is usually worn by boys attending schools that require uniforms.",
				"Increase damage on DemiHuman monster by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 102
		},

		5493: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ulle's Cap",
			identifiedResourceName: "\xbf\xef\xc4\xb8",
			identifiedDescriptionName: [
				"A woolen hunting cap once worn by Ulle, god of hunting.",
				"Just wearing it makes you feel like you can hunt down any beast.",
				"DEX + 2, AGI + 1.",
				"[^000088+ Odin's Blessing^000000]",
				"[^008800Base Dexterity >= 70^000000]",
				"Reduce SP Consumption of skills by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 254
		},

		5494: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sphinx Hat",
			identifiedResourceName: "\xbd\xba\xc7\xce\xc5\xa9\xbd\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A traditional Egyptian head piece that symbolizes the Egyptian gods.",
				"STR + 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper, Lower^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 137
		},

		5495: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Power Of Thor",
			identifiedResourceName: "\xb3\xfa\xbd\xc5\xc1\xf6\xb7\xc2",
			identifiedDescriptionName: [
				"Covered with mighty power of Thor, the strongest god among a war at Jushin.",
				"A small portion of Thor's mighty power is granted to the one who possesses this helm.",
				"The power within a Skyblue-feather must be used on good purposes,",
				"and the power within a Gray hoof has to be used with caution on every occasion.",
				"FLEE + 5, ALL STATUS + 1.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 493
		},

		5496: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dice Hat",
			identifiedResourceName: "\xc1\xd6\xbb\xe7\xc0\xa7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Props for the table game. It used to be a tool of gamble.",
				"Sum of the each sides of symmetry is always 7.",
				"LUK + 4",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 494
		},

		5497: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Edgga Doll",
			identifiedResourceName: "\xc8\xa3\xb6\xfb\xc0\xcc\xbf\xd5\xc0\xce\xc7\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat that imitates the shape of King Tiger.",
				"STR + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 495
		},

		5498: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vagabond Wolf Hat",
			identifiedResourceName: "\xb6\xb0\xb5\xb9\xc0\xcc\xb4\xc1\xb4\xeb\xbf\xd5\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"Can feel a high dignity of the Northern Wolf Tribe.",
				"It is made out of Wolf King's fur and feels like you've surrounded by some kind of dignified force when worn.",
				"FLEE + 10, VIT + 5.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 490
		},

		5499: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pizza Hat",
			identifiedResourceName: "\xc7\xc7\xc0\xda\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Is there anyone in this world who doesn't like pizza??",
				"Even a fierce monster won't be able to refuse this tasty food.",
				"You can provoke monsters by wearing this hat.",
				"Enables use of ^008800Level 1 Provoke^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 487
		},

		5500: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ice Cream Hat",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbd\xba\xc5\xa9\xb8\xb2\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Having Ice-cream is the best way to escape the heat!",
				"Be careful, your brain might be frozen!",
				"Enables use of ^008800Level 3 Frost Diver^000000.",
				"MDEF + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 488
		},

		5501: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pirate's Pride",
			identifiedResourceName: "\xc7\xd8\xc0\xfb\xc0\xc7\xc0\xda\xc1\xb8\xbd\xc9",
			identifiedDescriptionName: [
				"The Pride of the Pirate is best expressed with a lurid sea tune, and a sea battle for plunder!",
				"Never Forget the hated enemy of the Pirate is always the Ninja, more than any creature of the land the feud of the Ninja and Pirates knows no equal.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 496
		},

		5502: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Necromancer's Hood",
			identifiedResourceName: "\xb0\xad\xb7\xc9\xbc\xfa\xbb\xe7\xc0\xc7\xb5\xce\xb0\xc7",
			identifiedDescriptionName: [
				"The Deadly Necromancer's Essence is embodied in this Hood.",
				"Add a 5% chance of auto casting ^008800Level 5 Dark Strike^000000 on the user when the user receives Physical Damage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 491
		},

		5503: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rabbit Magic Hat",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xb8\xb6\xbc\xfa\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat used by magician with his magic.",
				"A bunny popped out from the hat by mistake.",
				"Can't imagine what's going to pop out next.",
				"DEX + 2, AGI + 2, MDEF + 1.",
				"ASPD + 3 %. Reduces after-cast skill delay by 4%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 497
		},

		5504: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chinese Wedding Veil",
			identifiedResourceName: "\x35\xc1\xd6\xb3\xe2\xb1\xe2\xb3\xe4\xb8\xe9\xbb\xe7\xc6\xf7",
			identifiedDescriptionName: [
				"A Chinese Wedding Veil.",
				"It also used by the meaning of 'Our Love's Sixth Anniversary'.",
				"MDEF + 10",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 489
		},

		5505: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Asara Fairy Hat",
			identifiedResourceName: "\xbe\xc6\xbb\xe7\xb6\xf3\xbf\xe4\xc1\xa4\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat worn by priests when performing a sacrificial rite.",
				"Shape of a hat resembles the ancient fairies of Ashura.",
				"Enables use of ^008800Level 1 Don't Forget Me^000000.",
				"DEX +2, LUK + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 492
		},

		5506: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blue Pajamas Hat",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc6\xc4\xc0\xda\xb8\xb6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"Increases damage by 5%. MATK + 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 501
		},

		5507: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pink Pajamas Hat",
			identifiedResourceName: "\xc7\xce\xc5\xa9\xc6\xc4\xc0\xda\xb8\xb6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"Increases damage by 5%. MATK + 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 502
		},

		5508: {
			unidentifiedDisplayName: "Shark Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shark Hat",
			identifiedResourceName: "\xbb\xf3\xbe\xee\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat which resembles the look of a dominator of the sea, Shark.",
				"Might scare off animals and monsters live in waters.",
				"STR + 1, AGI + 2, MDEF + 1.",
				"Increase damage on ^0000FFWater^000000 Property enemies by 5%.",
				"Resistance against ^0000FFWater^000000 Property by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 503
		},

		5509: {
			unidentifiedDisplayName: "Sting Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sting Hat",
			identifiedResourceName: "\xbd\xba\xc6\xc3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hand-shape hat made by mud. It feels weird when you wear it.",
				"STR + 2, VIT + 1, MDEF + 3.",
				"Increases damage against ^FF0000Fire^000000 Property monsters by 5%.",
				"Increase resistance to ^996600Earth^000000 Property attacks by 5%.",
				"Add a 3% chance of auto casting ^008800Level 1 Earth Spike^000000 on an enemy when the user receives Physical Damage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 504
		},

		5510: {
			unidentifiedDisplayName: "Shower Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shower Cap",
			identifiedResourceName: "\xbb\xfe\xbf\xf6\xc4\xb8",
			identifiedDescriptionName: [
				"Let's protect the hair!",
				"MDEF + 3, FLEE + 3.",
				"Increase resistance against ^0000FFWater^000000 Property by 10%.",
				"Reduced damage inflicted on Fish monster by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 507
		},

		5511: {
			unidentifiedDisplayName: "Samambaia",
			unidentifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Samambaia",
			identifiedResourceName: "\xbb\xe7\xb8\xb8\xb9\xd9\xc0\xcc\xbe\xc6",
			identifiedDescriptionName: [
				"A circlet made of samambaia leaf.",
				"Recovery SP by 8%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 508
		},

		5512: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Aquarius Diadem",
			identifiedResourceName: "\xba\xb8\xba\xb4\xb1\xc3\xba\xb8\xb0\xfc",
			identifiedDescriptionName: [
				"This diadem honors Aquarius, the 11th astrological sign in the zodiac calendar.",
				"STR + 2, FLEE + 10, Increases resistance to ^009900Wind^000000 status by 5%.",
				"[^333399Refine Rate 7~10^000000]",
				"DEF + 1, ATK + 15.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 509
		},

		5513: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Aquarius Crown",
			identifiedResourceName: "\xba\xb8\xba\xb4\xb1\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"This crown honors Aquarius, the 11th astrological sign in the zodiac calendar.",
				"STR + 2, FLEE + 10, Increases resistance to ^009900Wind^000000 status by 5%.",
				"[^333399Refine Rate 7~10^000000]",
				"DEF + 1, ATK + 15.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 510
		},

		5514: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pisces Diadem",
			identifiedResourceName: "\xbd\xd6\xbe\xee\xb1\xc3\xba\xb8\xb0\xfc",
			identifiedDescriptionName: [
				"This diadem honors Pisces, the 12th astrological sign in the zodiac calendar.",
				"INT + 2, MDEF + 5, Increases resistance to ^0000FFWater^000000 status by 5%.",
				"[^333399Refine Rate 7~10^000000]",
				"DEF + 1, MATK + 2%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 511
		},

		5515: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pisces Crown",
			identifiedResourceName: "\xbd\xd6\xbe\xee\xb1\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"This crown honors Pisces, the 12th astrological sign in the zodiac calendar.",
				"INT + 2, MDEF + 5, Increases resistance to ^0000FFWater^000000 status by 5%.",
				"[^333399Refine Rate 7~10^000000]",
				"DEF + 1, MATK + 2%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 512
		},

		5516: {
			unidentifiedDisplayName: "Glass",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hawk Eyes",
			identifiedResourceName: "\xc8\xa3\xc5\xa9\xbe\xc6\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"DEX + 1, Increase physical ranged attack power by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Sniper^000000",
			],
			slotCount: 0,
			ClassNum: 23
		},

		5517: {
			unidentifiedDisplayName: "Glass",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hawk Eyes",
			identifiedResourceName: "\xc8\xa3\xc5\xa9\xbe\xc6\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Archer Class^000000",
			],
			slotCount: 0,
			ClassNum: 23
		},

		5518: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Large Baphomet Horns",
			identifiedResourceName: "\xb4\xeb\xc7\xfc\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb0\xed\xbf\xec\xc6\xae",
			identifiedDescriptionName: [
				"A headgear made from the horns of Baphomet.",
				"Adds 12% tolerance against Demi-Human monster.",
				"Increase certain amount of ATK based on wearer's Job level.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 513
		},

		5519: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Peacock Feather",
			identifiedResourceName: "\xb0\xf8\xc0\xdb\xbb\xf5\xb1\xea\xc5\xd0",
			identifiedDescriptionName: [
				"You seems to sing a song like Bard.",
				"INT + 2",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 514
		},

		5520: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rabbit Earmuffs",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xb1\xcd\xb8\xb6\xb0\xb3",
			identifiedDescriptionName: [
				"...",
				"ATK + 4%, MATK + 4%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 515
		},

		5521: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angry Mouth",
			identifiedResourceName: "\xba\xd0\xb3\xeb\xc0\xd4",
			identifiedDescriptionName: [
				"...",
				"Reduces after-cast skill delay by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 194
		},

		5522: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fanta Zero Lemon Hat",
			identifiedResourceName: "\xc8\xaf\xc5\xb8\xc1\xa6\xb7\xce\xb7\xb9\xb8\xf3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made from scratch lemon fanta cans.",
				"Zero calories and zero sugar is popular for both men and women!",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 516
		},

		5523: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sakura Mist Hat",
			identifiedResourceName: "\xbb\xe7\xc4\xed\xb6\xf3\xb9\xcc\xbd\xba\xc6\xae\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat created to celebrate the partnership campaign.",
				"DEX + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 517
		},

		5524: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sakura Milk Tea Hat",
			identifiedResourceName: "\xbb\xe7\xc4\xed\xb6\xf3\xb9\xd0\xc5\xa9\xc6\xbc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat created to celebrate the partnership campaign.",
				"VIT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 518
		},

		5525: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "First Leaf Tea Hat",
			identifiedResourceName: "\xc0\xcf\xc2\xf7\xc8\xad\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made of flower to celebrate the partnership campaign.",
				"MaxHP + 80, MaxSP + 20",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 519
		},

		5526: {
			unidentifiedDisplayName: "Lady Tanee Doll",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lady Tanee Doll",
			identifiedResourceName: "\xc5\xb8\xb4\xcf\xbe\xc6\xb0\xa1\xbe\xbe\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A doll molded out of a lady Tanee.",
				"AGI + 2, FLEE + 3, Decreases damage inflicted on ^009900Wind^000000 Property by 5%.",
				"Every time you kill a monster, small chance to drop Banana.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 520
		},

		5527: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lunatic Hat",
			identifiedResourceName: "\xb7\xe7\xb3\xaa\xc6\xbd\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat molded out of a fuzzy Lunatic.",
				"LUK + 5, MDEF + 2, Perfect Dodge + 5.",
				"Every time you kill a monster, small chance to drop Rainbow Carrot.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 521
		},

		5528: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Frog King Hat",
			identifiedResourceName: "\xb0\xb3\xb1\xb8\xb8\xae\xbf\xd5\xc0\xda\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Looks like an ugly frog but a handsome price is its inside and waiting for a lady who can cure him.",
				"AGI + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 522
		},

		5529: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Satan's Bone Hat",
			identifiedResourceName: "\xb8\xb6\xbf\xd5\xc0\xc7\xbb\xc0\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"People say it is made of Satan's bone. But nobody can confirm whether it is true or not.",
				"DEX + 3.",
				"Add a 5% resistance against ^777777Neutral^000000 Property attacks.",
				"Enables use of ^008800Level 1 Frost Nova^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 523
		},

		5530: {
			unidentifiedDisplayName: "Raven Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Raven Cap",
			identifiedResourceName: "\xb1\xee\xb8\xb6\xb1\xcd\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A black Raven Cap that has black beak and feathers. It is so black.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 524
		},

		5531: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Baby Dragon Hat",
			identifiedResourceName: "\xbe\xc6\xb1\xe2\xb5\xe5\xb7\xa1\xb0\xef",
			identifiedDescriptionName: [
				"A cute dragon is fast asleep on your head.",
				"He wouldn?t wake up whatever you do.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 525
		},

		5532: {
			unidentifiedDisplayName: "Pirate Dagger",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pirate Dagger",
			identifiedResourceName: "\xc7\xd8\xc0\xfb\xc0\xc7\xb4\xeb\xb0\xc5",
			identifiedDescriptionName: [
				"...",
				"Reflect 1% of all Physical Damage back to the enemy which inflicted it.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 327
		},

		5533: {
			unidentifiedDisplayName: "Emperor Wreath",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Emperor Wreath",
			identifiedResourceName: "\xbf\xf9\xb0\xe8\xb0\xfc",
			identifiedDescriptionName: [
				"...",
				"ALL STATUS + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 261
		},

		5534: {
			unidentifiedDisplayName: "Fox Hat",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fox Hat",
			identifiedResourceName: "\xbf\xa9\xbf\xec\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"AGI + 1, Perfect Dodge + 2.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 403
		},

		5535: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Side Cap",
			identifiedResourceName: "\xbb\xe7\xc0\xcc\xb5\xe5\xc4\xb8",
			identifiedDescriptionName: [
				"...",
				"VIT + 1, DEX + 1, MDEF + 3.",
				"Reduce 5% damage taken from DemiHuman monster.",
				"Increases damage inflicted on DemiHuman monster by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 529
		},

		5536: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spare Card",
			identifiedResourceName: "\xbd\xba\xc6\xe4\xbe\xee\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"A headgear that appears to be a spare access card.",
				"Wearing it gives a chance of receiving a certain blank card item with each monster killed.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 1^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 526
		},

		5537: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Coati Hat",
			identifiedResourceName: "\xc4\xe2\xc6\xbc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A Cute kwati tail hat, you can feel the scent of the forest and nature of Kwati.",
				"AGI + 3, Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 527
		},

		5538: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tucan Hat",
			identifiedResourceName: "\xc5\xf5\xc4\xad\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A Tucano with bright yellow beak. It makes you look attractive.",
				"DEX + 3. Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 528
		},

		5539: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jaguar Hat",
			identifiedResourceName: "\xc0\xe7\xb1\xd4\xbe\xee\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A mask of the king of the amazon Jungle, known as Jaguar. The person who equip it is rumored to receive a blessing of nature.",
				"MDEF + 2.",
				"Enables use of ^008800Level 1 Crazy Uproar^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 25^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 530
		},

		5540: {
			unidentifiedDisplayName: "Freya's Spiritual Circlet",
			unidentifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Circlet",
			identifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual circlet granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"STR + 1, INT + 1, DEX + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 18
		},

		5541: {
			unidentifiedDisplayName: "Freya's Spiritual Circlet",
			unidentifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Circlet",
			identifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual circlet granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"STR + 1, INT + 1, DEX + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 18
		},

		5542: {
			unidentifiedDisplayName: "Freya's Spiritual Circlet",
			unidentifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Circlet",
			identifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual circlet granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"STR + 1, INT + 1, DEX + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 18
		},

		5543: {
			unidentifiedDisplayName: "Freya's Spiritual Circlet",
			unidentifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Circlet",
			identifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual circlet granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"STR + 1, INT + 1, DEX + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 70^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 18
		},

		5544: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guardian Hat",
			identifiedResourceName: "\xc0\xbd\xc0\xaf\xbd\xc3\xc0\xce\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"INT + 2, SP + 50.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 240
		},

		5545: {
			unidentifiedDisplayName: "Aries Diadem",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Aries Diadem",
			identifiedResourceName: "\xb9\xe9\xbe\xe7\xb1\xc3\xba\xb8\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent diadem created to pay tribute to the 1st sign of the zodiac, Aries the Ram.",
				"Attached to the crown is a Diamond gemstone, the birthstone for those born under this sign.",
				"VIT + 2, Increases resistance to ^FF0000Fire^000000 Property by 5%.",
				"[^333399Refine Rate 7~10^000000]",
				"DEF + 1, VIT + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 531
		},

		5546: {
			unidentifiedDisplayName: "Aries Crown",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Aries Crown",
			identifiedResourceName: "\xb9\xe9\xbe\xe7\xb1\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent crown created to pay tribute to the 1st sign of the zodiac, Aries the Ram.",
				"Attached to the crown is a Diamond gemstone, the birthstone for those born under this sign.",
				"VIT + 2, Increases resistance to ^FF0000Fire^000000 Property by 5%.",
				"[^333399Refine Rate 7~10^000000]",
				"DEF + 1, VIT + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 532
		},

		5547: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Flower Hairband",
			identifiedResourceName: "\x52\x4a\x43\xc4\xab\xc3\xf2\xbb\xe7",
			identifiedDescriptionName: [
				"Katyusha small with a pretty flower.",
				"Inflict 15% more damage with ^008800Heaven's Drive and Earth Spike^000000.",
				"Reduced casting time by 25%.",
				"Inflict 1% more damage with ^008800Heaven's Drive and Earth Spike^000000 by 1% per refine on the weapon.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 533
		},

		5548: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scarlet Rose",
			identifiedResourceName: "\xc1\xf8\xc8\xab\xc0\xc7\xc0\xe5\xb9\xcc",
			identifiedDescriptionName: [
				"The crimson of the roses in your mouth. The thorn which is dangerous to remove?",
				"LUK + 1.",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 534
		},

		5549: {
			unidentifiedDisplayName: "Taurus Diadem",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Taurus Diadem",
			identifiedResourceName: "\xb1\xdd\xbf\xec\xb1\xc3\xba\xb8\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent diadem created to pay tribute to the 2nd sign of the zodiac, Taurus the Bull.",
				"Attached to the crown is an Emerald gemstone, the birthstone for those born under this sign.",
				"It has been known that those born under the sign of Pisces are most compatible with those born under the Capricorn and Virgo signs.",
				"DEX + 2, Skill delay - 2%.",
				"Increases resistance to the ^996600Earth^000000 Property by 5%.",
				"[^333399Refine Rate 7~10^000000]",
				"DEX + 1, MATK + 1%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 535
		},

		5550: {
			unidentifiedDisplayName: "Taurus Crown",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Taurus Crown",
			identifiedResourceName: "\xb1\xdd\xbf\xec\xb1\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent crown created to pay tribute to the 2nd sign of the zodiac, Taurus the Bull.",
				"Attached to the crown is an Emerald gemstone, the birthstone for those born under this sign.",
				"DEX + 2, Skill delay - 2%.",
				"Increases resistance to the ^996600Earth^000000 Property by 5%.",
				"[^333399Refine Rate 7~10^000000]",
				"DEX + 1, MATK + 1%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 536
		},

		5551: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sacreg Egg Hat",
			identifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xb4\xde\xb0\xbf\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"Add a chance of auto casting ^008800Level 1 Heal^000000 on the user when receives physical attack.",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"Increase Movement Speed.",
				"Class :^777777 Headgear^000000",
				"Equipped on :^777777 Upper^000000",
				"Defense :^777777 2^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 537
		},

		5552: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Festival Grand Circlet",
			identifiedResourceName: "\xb7\xce\xb5\xe5\xbc\xad\xc5\xac\xb8\xb4",
			identifiedDescriptionName: [
				"Limited Promo! Summer Festival Grand Circlet! 4 weeks rental item.",
				"STR + 3, INT + 3, MDEF + 3.",
				"Class :^777777 Headgear^000000",
				"Equipped on :^777777 Upper^000000",
				"Defense :^777777 8^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 93
		},

		5553: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Festival Bunny Band",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"Limited Promo! Summer Festival Bunny Band! 4 weeks rental item.",
				"MDEF + 4, Reduces damage from Demihuman monsters by 9%.",
				"Class :^777777 Headgear^000000",
				"Equipped on :^777777 Upper^000000",
				"Defense :^777777 7^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		5554: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Octopus Hat",
			identifiedResourceName: "\xb9\xae\xbe\xee\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Ridiculous Octopus with a gentleman's hat. It feels like it's making fun of me as I look at it.",
				"Add low chance of auto casting ^008800Level 5 Provoke^000000 on the enemy when attacking.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Headgear^000000",
				"Equipped on :^777777 Upper^000000",
				"Defense :^777777 3^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 538
		},

		5555: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Leaf Cat Hat",
			identifiedResourceName: "\xb8\xae\xc7\xc1\xc4\xb9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat which resembles cute Leat Cat. A power to cure is dwelling inside.",
				"AGI + 2, Add low chance of auto casting ^008800Level 3 Heal^000000 on the user when receives physical attack.",
				"Class :^777777 Headgear^000000",
				"Equipped on :^777777 Upper^000000",
				"Defense :^777777 3^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 539
		},

		5556: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fur Seal Hat",
			identifiedResourceName: "\xc6\xdb\xbe\xc1\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Very warm hat which a monster 'Fur Seal' is wearing.",
				"INT + 1, Increase resistance against ^0000FFWater^000000 Property by 7%.",
				"Added 25% chance of gaining 'Raw Fish' item each time a Fish monster is killed.",
				"Class :^777777 Headgear^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Defense :^777777 3^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 540
		},

		5557: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wild Rose Hat",
			identifiedResourceName: "\xbf\xcd\xc0\xcf\xb5\xe5\xb7\xce\xc1\xee\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat which resembles the wild cat, Wild Rose.",
				"AGI + 3.",
				"Class :^777777 Headgear^000000",
				"Equipped on :^777777 Upper^000000",
				"Defense :^777777 3^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 541
		},

		5558: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Saci's Hat",
			identifiedResourceName: "\xbb\xe7\xc4\xa1\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"This hat is a legend to the people from whild festival world.",
				"Add low chance of dropping \"Blue Herb\" each time a Plant monster is killed.",
				"Class :^777777 Headgear^000000",
				"Equipped on :^777777 Upper^000000",
				"Defense :^777777 3^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 542
		},

		5559: {
			unidentifiedDisplayName: "Piece Of White Cloth",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Piece Of White Cloth",
			identifiedResourceName: "\xb9\xab\xbd\xbd\xb8\xb2\xbf\xa9\xc0\xda\xb8\xf0",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 543
		},

		5560: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Horned Helm",
			identifiedResourceName: "\xbb\xd4\xc5\xf5\xb1\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A helmet made from a heavy metal.",
				"MaxHP + 100.",
				"Can't Knock Back.",
				"Reduced Resistance from physical and magical attacks by 30%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 300^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 322
		},

		5561: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rabbit Magic Hat",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xb8\xb6\xbc\xfa\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"INT + 1, MaxSP + 50.",
				"Add low probability Level 1~3 random fire bolt skill on the enemy when receives physical attack.",
				"Add low chance of auto casting ^008800Level 1 Heal^000000 on the user when receives physical attack.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 80^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 497
		},

		5562: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Love of Truth",
			identifiedResourceName: "\x35\xc1\xd6\xb3\xe2\xb1\xe2\xb3\xe4\xb8\xe9\xbb\xe7\xc6\xf7",
			identifiedDescriptionName: [
				"Only the couple which swears a truth one love will be able to use the veil of legend.",
				"Reduced Casting Time by 3%, Reduced SP consumption of all skills by 3%.",
				"MDEF + 10.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 45^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 489
		},

		5563: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dolor Hat",
			identifiedResourceName: "\xb0\xed\xb3\xfa\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Doll-hat which resembles 'Dolor of Thanatos'. People say that this doll speaks.",
				"Indestructible (except in upgrade attempts).",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 547
		},

		5564: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crown of Deceit",
			identifiedResourceName: "\xbb\xe7\xb1\xe2\xc0\xc7\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A crown that has an eerie feeling of deception.",
				"INT + 4, Reduced Cast time by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 85^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 544
		},

		5565: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dragon Arhat Mask",
			identifiedResourceName: "\xc7\xd7\xb7\xe6\xb3\xaa\xc7\xd1\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"...",
				"Increase damage on DemiHuman monster by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 545
		},

		5566: {
			unidentifiedDisplayName: "Masquerade",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tiger Arhat Mask",
			identifiedResourceName: "\xba\xb9\xc8\xa3\xb3\xaa\xc7\xd1\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"...",
				"Increase damage on DemiHuman monster by 2%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 546
		},

		5567: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rage Of Luster",
			identifiedResourceName: "\xb1\xa4\xc8\xd6\xc0\xc7\xb0\xdd\xb3\xeb",
			identifiedDescriptionName: [
				"A headgear used by a famous trader in the East. It can felt a strong power",
				"STR + 2, Increase attack speed(Decrease delay 2% after attack).",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 548
		},

		5568: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rabbit Bonnet",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xba\xb8\xb4\xd6",
			identifiedDescriptionName: [
				"A Bonnet looks like a cute rabbit that made by legendary hat maker.",
				"It looks so soft and weak but it might have extraordinary things inside of it.",
				"INT + 2, Reduces after-cast skill delay by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 100^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 549
		},

		5569: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gemini Diadem",
			identifiedResourceName: "\xbd\xd6\xc0\xda\xb1\xc3\xba\xb8\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent Diadem created to pay tribute to the 3rd sign of the zodiac, Gemini the Twins.",
				"Attached to the crown is an Alexandrite gemstone, the birthstone for those born under this sign.",
				"AGI + 2, FLEE + 10, Increases resistance to ^009900Wind^000000 status by 5%.",
				"[^333399Refine Rate 7~10^000000]",
				"HIT + 5, ATK + 15.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 550
		},

		5570: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gemini Crown",
			identifiedResourceName: "\xbd\xd6\xc0\xda\xb1\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent Crown created to pay tribute to the 3rd sign of the zodiac, Gemini the Twins.",
				"Attached to the crown is an Alexandrite gemstone, the birthstone for those born under this sign.",
				"AGI + 2, FLEE + 10, Increases resistance to ^009900Wind^000000 status by 5%.",
				"[^333399Refine Rate 7~10^000000]",
				"HIT + 5, ATK + 15.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 551
		},

		5571: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rasta Wig",
			identifiedResourceName: "\xb6\xf3\xbd\xba\xc5\xb8\xb0\xa1\xb9\xdf",
			identifiedDescriptionName: [
				"Death Rock singer-style wig.",
				"...",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"Add low chance of auto casting ^008800Level 5 Frost Joker^000000 on the user when receives physical attack.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 552
		},

		5572: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Savage Babe Hat",
			identifiedResourceName: "\xbc\xbc\xba\xf1\xc1\xf6\xba\xa3\xba\xa3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cute hat which imitated the Savage Babe.",
				"VIT + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 553
		},

		5573: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dokkaebi Horn",
			identifiedResourceName: "\xb5\xb5\xb1\xfa\xba\xf1\xbb\xd4",
			identifiedDescriptionName: [
				"...",
				"Add a chance of auto casting ^008800Level 5 Mammonite^000000 on the enemy when attacking.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 554
		},

		5574: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Well-Chewed Pencil",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xab\xb4\xc2\xbf\xac\xc7\xca",
			identifiedDescriptionName: [
				"A popular snack while taking tests. It makes one look more studious but, it's days may be numbered if it stays in somebody's mouth any longer.",
				"HIT + 3.",
				"[^000088+ Model Training Hat^000000]",
				"DEX + 2, DEF + 2.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 555
		},

		5575: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rice Ball Hat",
			identifiedResourceName: "\xc1\xd6\xb8\xd4\xb9\xe4\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat made modeled on rice ball. It will give souvenir to you for the picnic.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 556
		},

		5576: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wine Cup",
			identifiedResourceName: "\xc0\xcf\xba\xbb\xbc\xfa\xc0\xdc",
			identifiedDescriptionName: [
				"...",
				"Every time you kill a monster, small chance to drop Mastela Fruit Wine.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 557
		},

		5577: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dark Knight Mask",
			identifiedResourceName: "\xb4\xd9\xc5\xa9\xb3\xaa\xc0\xcc\xc6\xae\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"DEX + 3.",
				"[^000088Dark Knight Belt & Dark Knight Glove Equip Set^000000]",
				"... ATK + 3%",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 300^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 479
		},

		5578: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Voyage Hat",
			identifiedResourceName: "\xbc\xb1\xc0\xe5\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat that is given to brave sailors.",
				"AGI + 2.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 1^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 236
		},

		5579: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wanderer's Sakkat",
			identifiedResourceName: "\xb9\xe8\xc8\xb8\xc7\xcf\xb4\xc2\xc0\xda\xc0\xc7\xbb\xf1\xb0\xab",
			identifiedDescriptionName: [
				"A rustic hat made of bamboo that was worn by a heroic wandering adventurer. It shadows your eyes with its wide brim.",
				"AGI + 2.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 558
		},

		5580: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Beret",
			identifiedResourceName: "\xba\xd3\xc0\xba\xba\xa3\xb7\xb9\xb8\xf0",
			identifiedDescriptionName: [
				"...",
				"ALL STATUS + 3, MDEF + 3.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 559
		},

		5581: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc5\xf5\xb1\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cancer Diadem",
			identifiedResourceName: "\xb0\xc5\xc7\xd8\xb1\xc3\xba\xb8\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent diadem created to pay tribute to the 4th sign of the zodiac, Cancer the Crab.",
				"Attached to the crown is a Ruby gemstone, the birthstone for those born under this sign.",
				"Increase resistance against ^0000FFWater^000000 Property by 5%. INT + 2.",
				"[^333399Refine Rate 7~10^000000]",
				"MDEF + 1, MATK + 2%. Increase effectiveness of Heal & recovery items by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 560
		},

		5582: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc5\xf5\xb1\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cancer Crown",
			identifiedResourceName: "\xb0\xc5\xc7\xd8\xb1\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent crown created to pay tribute to the 4th sign of the zodiac, Cancer the Crab.",
				"Attached to the crown is a Ruby gemstone, the birthstone for those born under this sign.",
				"Increase resistance against ^0000FFWater^000000 Property by 5%. STR + 2",
				"[^333399Refine Rate 7~10^000000]",
				"DEF + 1, ATK + 15, FLEE + 10.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 561
		},

		5583: {
			unidentifiedDisplayName: "Paradise Team Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Hat",
			identifiedResourceName: "\xc6\xdb\xb7\xb9\xc0\xcc\xb5\xe5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat given only to members of the Paradise Group.",
				"It looks as though it was designed as part of a uniform.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 465
		},

		5584: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Majestic Devil Horns",
			identifiedResourceName: "\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb5\xa5\xba\xf4\xc8\xa5",
			identifiedDescriptionName: [
				"...",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 562
		},

		5585: {
			unidentifiedDisplayName: "Rune Hairband",
			unidentifiedResourceName: "\xb5\xce\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rune Hairband",
			identifiedResourceName: "\xb7\xe9\xb8\xc5\xb5\xec\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"...",
				"Increase resistance to ^777777Neutral^000000 Property attacks by 3%.",
				"HIT + 5, Add a 10% chance of recovery HP/SP when the user receives Physical Damage.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 564
		},

		5586: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mosquito Coil",
			identifiedResourceName: "\xb8\xf0\xb1\xe2\xc7\xe2",
			identifiedDescriptionName: [
				"A hat which gives out a smell that mosquitos hates.",
				"Increase damage on Insect monster by 100%.",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"ATK + 20, MATK + 20, HIT + 20.",
				"Increase damage on Insect monster by 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 563
		},

		5587: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mosquito Coil For 1 Use",
			identifiedResourceName: "\xb8\xf0\xb1\xe2\xc7\xe2",
			identifiedDescriptionName: [
				"A hat which gives out a smell that mosquitos hates.",
				"Increase damage on Insect monster by 100%.",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"ATK + 10, MATK + 10.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 563
		},

		5588: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Leo Crown",
			identifiedResourceName: "\xbb\xe7\xc0\xda\xb1\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent crown created to pay tribute to the 5th sign of the zodiac, Leo the Lion.",
				"Attached to the crown is a Peridot gemstone, the birthstone for those born under this sign.",
				"STR + 2, ATK + 15. Increases resistance to ^FF0000Fire^000000 Property by 5%.",
				"[^333399Refine Rate 7~10^000000]",
				"FLEE + 10, DEF + 1. Add low chance of auto casting ^008800Level 4 Warm Mild^000000",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 565
		},

		5589: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Leo Diadem",
			identifiedResourceName: "\xbb\xe7\xc0\xda\xb1\xc3\xba\xb8\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent diadem created to pay tribute to the 5th sign of the zodiac, Leo the Lion.",
				"Attached to the diadem is a Peridot gemstone, the birthstone for those born under this sign.",
				"DEX + 2, ATK + 5. Increases resistance to ^FF0000Fire^000000 Property by 5%.",
				"[^333399Refine Rate 7~10^000000]",
				"FLEE + 10, ASPD + 3%.",
				"Has a low chance of adding splash damage on basic attacks for 10 seconds.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 566
		},

		5590: {
			unidentifiedDisplayName: "Poring Cake Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poring Cake Hat",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xc4\xc9\xc0\xcc\xc5\xa9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"LUK + 7, MaxHP + 700, MaxSP + 70.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 417
		},

		5591: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Desert Prince",
			identifiedResourceName: "\xbb\xe7\xb8\xb7\xc0\xc7\xbf\xd5\xc0\xda",
			identifiedDescriptionName: [
				"A turban imported from fire burning desert that used by brave warrior who became a legend since several centuries ago.",
				"Indestructible (except in upgrade attempts).",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 567
		},

		5592: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sigrun's Wings",
			identifiedResourceName: "\xbb\xe7\xc0\xcc\xb1\xd7\xb7\xe9\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"Ear adornments that symbolize rebirth. They have the ability to change its effects depending on the job of the wearer.",
				"[^008800Swordman Class, Merchant Class, Thief Class, Taekwon^000000]",
				"STR + 1.",
				"[^008800Mage Class, Acolyte Class, Ninja, Soul Linker^000000]",
				"INT + 1.",
				"[^008800Archer Class, Gunslinger^000000]",
				"DEX + 1.",
				"[^008800Novice, Super Novice^000000]",
				"HP + 80, SP + 30.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 568
		},

		5593: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rabbit Bonnet",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xba\xb8\xb4\xd6",
			identifiedDescriptionName: [
				"...",
				"ATK + 10, MATK + 10, Adds 3% tolerance against Demi-Human monster.",
				"Skill Aftercast Delay - 3%.",
				"[^333399Refine Rate 7~10^000000]",
				"Adds 3% tolerance to all property.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 20^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 549
		},

		5594: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Donut In Mouth",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xae\xb5\xb5\xb3\xd3",
			identifiedDescriptionName: [
				"Chewing on this deliciously glazed ring-shaped fried cake will make you happy.",
				"MaxHP +100.",
				"Recover 1 HP every 10 seconds.",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Lower^000000",
				"Defense : ^7777771^000000",
				"Weight : ^7777775^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 569
		},

		5595: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eye Of Juno",
			identifiedResourceName: "\xc0\xaf\xb3\xeb\xc0\xc7\xb4\xab",
			identifiedDescriptionName: [
				"A horn imbued with spirit of devil. Could feel full of vital force from it.",
				"MDEF + 2.",
				"If worn by Swordman/Merchant/Thief Class, AGI + 2, decrease damage of Neutral , Water property by (Job Lv / 14), increase VIT.",
				"If worn by Wizard/Acolyte/Archer Class, INT + 2, DEX + 2, damage of Neutral , Water property by (Job Lv / 14).",
				"Item Class : ^777777Headgear^000000 Defense : ^7777772^000000",
				"Location : ^777777Upper^000000 Weight : ^77777740^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 1,
			ClassNum: 570
		},

		5596: {
			unidentifiedDisplayName: "Four Leaf Clover",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Four Leaf Clover",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xae\xb3\xd7\xc0\xd9\xc5\xac\xb7\xce\xb9\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"...",
				"...",
				"ATK + 5, MATK + 5, MDEF + 2.",
				"When used with a gold netcafe account, Experience + 2%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 571
		},

		5597: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xb3\xbc\xb1\xb2\xad",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chewing Gum",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xae\xc7\xb3\xbc\xb1\xb2\xad",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"...",
				"...",
				"ATK + 5, MATK + 5, MDEF + 2",
				"When used with a gold netcafe account, Item drop rate + 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 572
		},

		5598: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Virgo Crown",
			identifiedResourceName: "\xbd\xd6\xb3\xe0\xb1\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent crown created to pay tribute to the 6th sign of the zodiac, Virgo the Virgin.",
				"Attached to the crown is a Sapphire gemstone, the birthstone for those born under this sign.",
				"DEX + 2. Increases Attack Speed by 1%.",
				"[^333399Refine Rate 7~10^000000]",
				"Increases resistance to the ^996600Earth^000000 Property by 5%.",
				"While attacking, has a chance of adding DEX + 20 for 6 seconds.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 573
		},

		5599: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Virgo Diadem",
			identifiedResourceName: "\xbd\xd6\xb3\xe0\xb1\xc3\xba\xb8\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent diadem created to pay tribute to the 6th sign of the zodiac, Virgo the Virgin.",
				"Attached to the crown is a Sapphire gemstone, the birthstone for those born under this sign.",
				"Increases resistance to the ^996600Earth^000000 Property by 5%.",
				"Increases Attack Speed by 3%.",
				"[^333399Refine Rate 7~10^000000]",
				"Add a low chance of auto casting ^008800Level 1 Ki Explosion^000000 while physically attacking.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 574
		},

		5600: {
			unidentifiedDisplayName: "Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Br Twin Ribbon",
			identifiedResourceName: "\xba\xea\xb6\xf3\xc1\xfa\xc6\xae\xc0\xa9\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"...",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"ALL STATUS + 3.",
				"MDEF + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 575
		},

		5601: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Banana Beret",
			identifiedResourceName: "\xba\xea\xb6\xf3\xc1\xfa\xba\xa3\xb7\xb9\xb8\xf0",
			identifiedDescriptionName: [
				"...",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"ALL STATUS + 3.",
				"MDEF + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 576
		},

		5602: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jaguar Face",
			identifiedResourceName: "\xc0\xe7\xb1\xd4\xbe\xee\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"placeholder",
			],
			slotCount: 1,
			ClassNum: 530
		},

		5603: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "RTC First Place",
			identifiedResourceName: "\x52\x54\x43\xbf\xec\xbd\xc2\xc0\xda\xc0\xfc\xbf\xeb",
			identifiedDescriptionName: [
				"...",
				"ALL STATUS + 3.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 250^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 577
		},

		5604: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "RTC Second Place",
			identifiedResourceName: "\x52\x54\x43\xc1\xd8\xbf\xec\xbd\xc2\xc0\xda\xc0\xfc\xbf\xeb",
			identifiedDescriptionName: [
				"...",
				"ALL STATUS + 2.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 250^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 578
		},

		5605: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "RTC Third Place",
			identifiedResourceName: "\x52\x54\x43\x33\xb5\xee\xc0\xfc\xbf\xeb",
			identifiedDescriptionName: [
				"...",
				"ALL STATUS + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 250^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 579
		},

		5606: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Campume Hat",
			identifiedResourceName: "\xc4\xb7\xc7\xaa\xb9\xcc\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"...",
				"ALL STATUS + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 120^000000",
				"Required Level :^777777 3^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 580
		},

		5607: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Lilian Doll Hat",
			identifiedResourceName: "\xb8\xae\xb8\xae\xbe\xc6\xc0\xce\xc7\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 1,
			ClassNum: 581
		},

		5608: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Dorothy Doll Hat",
			identifiedResourceName: "\xb5\xb5\xb7\xce\xbd\xc3\xc0\xce\xc7\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 1,
			ClassNum: 582
		},

		5609: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chung Hairpin",
			identifiedResourceName: "\xc3\xbb\xb3\xaa\xb6\xf3\xb8\xd3\xb8\xae\xc0\xe5\xbd\xc4",
			identifiedDescriptionName: [
				"If you wear this, it feels like you become a fancy Chung aristocrat.",
				"LUK + 3.",
				"When receiving any physical attack, Mammonite Lv5 will be activated at a low rate.",
				"(If you have no zeny, it won't be activated.)",
				"^ffffff_^000000",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 583
		},

		5610: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ice Ear Wing",
			identifiedResourceName: "\xbe\xf3\xc0\xbd\xb3\xaf\xb0\xb3\xb1\xcd",
			identifiedDescriptionName: [
				"Earrings made of ice and other special chemicals.",
				"If you wear these, you can beat off the heat by its cool energy!",
				"LUK + 1.",
				"When receiving any physical attack, Autospell Coldbolt Lv5 will be activated at a low rate.",
				"^ffffff_^000000",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 584
		},

		5611: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Turtle Hat",
			identifiedResourceName: "\xb2\xbf\xba\xcf\xc0\xcc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat modeled after cute turtle doll.",
				"AGI + 1.",
				"When receiving any physical attack, Autospell reducing agility Lv3 will be activated at a low rate.",
				"^ffffff_^000000",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 585
		},

		5612: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blue Drooping Cat",
			identifiedResourceName: "\xc6\xc4\xb6\xfb\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			identifiedDescriptionName: [
				"A cat doll that you can carry on your head.",
				"If you think you hear it meow or feel it move, it's just an illusion.",
				"MDEF + 15.",
				"+30% defense against Curse status.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777771^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777750^000000",
				"Required Level: ^777777None^000000",
				"Applicable Job :^777777 Every Job, Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 277
		},

		5613: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flapping Angel Wing",
			identifiedResourceName: "\xba\xf1\xbb\xf3\xc7\xcf\xb4\xc2\xc3\xb5\xbb\xe7",
			identifiedDescriptionName: [
				"A headgear that looks like flapping angel wings.",
				"It makes you feel might lighter when you wear it, though it also makes you feel pretty dizzy.",
				"ASPD and Casting Speed + 3%",
				"INT + 1.",
				"Cannot be traded or dropped, but can be placed in Kafra Storage.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777771^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Required Level : ^77777710^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 264
		},

		5614: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Pipe",
			identifiedResourceName: "\xc6\xc4\xc0\xcc\xc7\xc1\xb4\xe3\xb9\xe8",
			identifiedDescriptionName: [
				"Just say no.",
				"Especially if you're underage.",
				"VIT + 1.",
				"Reduce damage from Brute class monsters by 5%.",
				"Cannot be traded or dropped, but can be placed in Kafra Storage.",
				"Impossible to Upgrade",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777770^000000",
				"Location : ^777777Lower^000000",
				"Weight : ^77777710^000000",
				"Applicable Job : ^777777Novices can't smoke, but as for everyone else...^000000",
			],
			slotCount: 0,
			ClassNum: 55
		},

		5615: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Pair of Red Ribbon",
			identifiedResourceName: "\xbe\xe7\xc2\xca\xb1\xcd\xb9\xd8\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"A pair of small red hairbands that makes girls look really cute when they wear them.",
				"FLEE + 5.",
				"Cannot be traded or dropped, but can be placed in Kafra Storage.",
				"Impossible to Upgrade",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777771^000000",
				"Location : ^777777Middle^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^77777745^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 169
		},

		5616: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Blue Fish",
			identifiedResourceName: "\xbb\xfd\xbc\xb1\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A headgear that looks just like a scrumptious fish. It even has the same smell!",
				"AGI + 1,",
				"DEX + 1.",
				"Cannot be dropped or traded, but can be placed in Kafra Storage.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777772^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^77777750^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 149
		},

		5617: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hibiscus",
			identifiedResourceName: "\xba\xce\xbf\xeb",
			identifiedDescriptionName: [
				"A flower said to",
				"be as beautiful as",
				"a fairy in a far east",
				"country, and usually",
				"used as a medicinal",
				"herb. DEX + 1, INT + 1",
				"MDEF +5.",
				"Cannot be upgraded.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Location: ^777777Upper^000000",
				"Weight : ^77777720^000000",
				"Level Requirement: ^77777710^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 210
		},

		5618: {
			unidentifiedDisplayName: "Cat Hat",
			unidentifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Neko Mimi",
			identifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cute cat-looking hat which enhances its wearer's look.",
				"Has a cat tail which emphasises the appearance.",
				"LUK + 2",
				"MDEF +10",
				"Reduce 5% of damage taken from Brute monsters.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777771^000000",
				"Location: ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Requirement: ^777777None^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 182
		},

		5619: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Bunny Band",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hare accessory that looks just like bunny ears.",
				"This may seem like inappropriate, risque attire, but only if you travel in those kinds of circles.",
				"INT + 2.",
				"Cannot be traded or dropped,but can be placed in Kafra Storage.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777772^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777710^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		5620: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evolved Magestic Goat",
			identifiedResourceName: "\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb0\xed\xbf\xec\xc6\xae",
			identifiedDescriptionName: [
				"A headgear fashioned after the horns of a goat that captures the attention of onlookers.",
				"It has a certain religious meaning to some people.",
				"STR + 2.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777775^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777780^000000",
				"Jobs: ^777777Swordman and",
				"Merchant Classes;",
				"Taekwon Boy, Taekwon",
				"Girl, and Taekwon",
				"Master Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 41
		},

		5621: {
			unidentifiedDisplayName: "Sheep Hat",
			unidentifiedResourceName: "\xbe\xe7\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sheep Hat",
			identifiedResourceName: "\xbe\xe7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat that looks like a sheep's head that is so adorable, an enemy might change his mind about attacking.",
				"Reflects 5% physical damage.",
				"Impossible to Upgrade Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777771^000000",
				"Location: ^777777Upper^000000",
				"Weight : ^77777715^000000",
				"Required Level : ^77777750^000000",
				"Jobs: ^777777Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 205
		},

		5622: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mini Propeller",
			identifiedResourceName: "\xc7\xc1\xb7\xce\xc6\xe7\xb6\xf3\x5f",
			identifiedDescriptionName: [
				"This hat makes the wearer feel as if he is floating on air.",
				"AGI + 2, DEX + 1,",
				"Dodge +10.",
				"This headgear's upgrade level affects the percentage of Cast Time reduction.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777772^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777720^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 270
		},

		5623: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Alice Doll",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xbd\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat adorned with an Alice doll.",
				"When worn, it seems like Alice is cheering you on from the top of your head.",
				"''Be strong, master!''",
				"+10% damage against Demihuman monsters, and has low chance of casting Sleep on its wearer.",
				"STR + 1.",
				"Cannot be upgraded.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Location: ^777777Upper^000000",
				"Weight : ^77777750^000000",
				"Level Requirement: ^77777730^000000",
				"Jobs: ^777777Every",
				"Job except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 208
		},

		5624: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Glasses",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbe\xc8\xb0\xe6",
			identifiedDescriptionName: [
				"A must-have item for those that care about appearances:",
				"it can increase your beauty threefold.",
				"MDEF + 5.",
				"Impossible to Upgrade.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777771^000000",
				"Location : ^777777Middle^000000",
				"Weight : ^77777710^000000",
				"Required Level: ^77777710^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 316
		},

		5625: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chick Hat",
			identifiedResourceName: "\xba\xb4\xbe\xc6\xb8\xae\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat adorned with a cute chick that brings feelings of joy to those that see it hopping.",
				"Adds 3% resistance to Demihuman and Animal Class monsters.",
				"Cannot be upgraded.",
				"Enables Level 2 Double Attack.",
				"MHP and SP +50",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777771^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777710^000000",
				"Required Level: ^77777710^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 311
		},

		5626: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gray Deviruchi Hat",
			identifiedResourceName: "\xc8\xf2\xbb\xf6\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cute hat shaped like a Deviruchi that brings happiness to its wearer and onlookers.",
				"STR + 1,",
				"INT + 1.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777772^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777780^000000",
				"Level Requirement: ^77777764^000000",
				"Jobs: ^777777All except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 272
		},

		5627: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vane Hairpin",
			identifiedResourceName: "\xc7\xb3\xc2\xf7\xba\xf1\xb3\xe0",
			identifiedDescriptionName: [
				"A hairpin that looks like a spinning windmill,but it doesn't generate any power, though.",
				"AGI + 2.",
				"Cannot be upgraded.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777772^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 313
		},

		5628: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pecopeco Hairband",
			identifiedResourceName: "\xc6\xe4\xc4\xda\xc6\xe4\xc4\xda\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hairband with PecoPeco wings that lends you a PecoPeco's speed.",
				"Increases Movement Speed,",
				"Decreases ASPD by 10%,",
				"(After attack delay decreases by 5%)",
				"Increases Variable Cast Time by 25%.",
				"Cannot be Dropped, or Traded,",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777776^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777710^000000",
				"Required Level: ^77777770^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 314
		},

		5629: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vacation Hat",
			identifiedResourceName: "\xb9\xd9\xc4\xb2\xbd\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat that's perfect for vacationing, and shields the wearer's face from UV rays.",
				"VIT + 1.",
				"Cannot be upgraded.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777771^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777720^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 315
		},

		5630: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Charming Ribbon",
			identifiedResourceName: "\xbf\xb9\xbb\xdb\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"A pretty red ribbon decorated with a pink heart in the middle.",
				"Reduce damage from Undead and Demon monsters by 5%.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777771^000000",
				"Location: ^777777Upper^000000",
				"Weight : ^77777740^000000",
				"Level Requirement: ^77777710^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 211
		},

		5631: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Water Lily Crown",
			identifiedResourceName: "\xbc\xf6\xb7\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A training cap that lends a sense of quiet and stability to the wearer.",
				"DEX + 1, AGI + 1,",
				"MDEF + 3.",
				"Increases HP Recovery by 5% and SP Recovery by 3%.",
				"Cannot be upgraded.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777770^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777720^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 312
		},

		5632: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Vanilmirth Hat",
			identifiedResourceName: "\xb9\xd9\xb4\xd2\xb9\xcc\xb8\xa3\xbd\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cold, soft hat that is shaped like a Vanilmirs.",
				"Has a certain chance of auto-casting a Lv.1 Bolt skill with each melee attack.",
				"Magic Defense +5.",
				"Cannot be upgraded.",
				"Indestructible.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777770^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^777777100^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 317
		},

		5633: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Drooping Bunny",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xc5\xe4\xb3\xa2",
			identifiedDescriptionName: [
				"A cute rabbit doll that can be worn on the head.",
				"DEX + 1, FLEE + 2.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777771^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777710^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 249
		},

		5634: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kettle Hat",
			identifiedResourceName: "\xc1\xd6\xc0\xfc\xc0\xda\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A sturdy pot worn on",
				"the head that overflows with water if shaken.",
				"Has a chance of auto-casting Level 2 Deluge or Level 3 Waterball with each attack.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777774^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777760^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 318
		},

		5635: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dragon Skull",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xc7\xd8\xb0\xf1",
			identifiedDescriptionName: [
				"A helmet made from a dragon's skull that provides protection against dragons.",
				"Decreases damage from Dragon Class monsters by 5%.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777775^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777780^000000",
				"Required Level: ^77777750^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 319
		},

		5636: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ramen Hat",
			identifiedResourceName: "\xb6\xf3\xb8\xe9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Delicious noodles worn on the head that can be eaten when food is especially scarce.",
				"There's nothing like a good bowl of ramen.",
				"DEX + 4.",
				"Has a chance to auto-cast level 1 Dex-Decrease each time the wearer is attacked.",
				"Cannot be upgraded.",
				"Cannot be Dropped,or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777771^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777750^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 320
		},

		5637: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pink Beanie",
			identifiedResourceName: "\xba\xd0\xc8\xab\xc5\xd0\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat woven out of yarn that keeps the head warm, but is mostly worn because of its fashionable look.",
				"LUK + 1.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777772^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777735^000000",
				"Level Requirement: ^777777None^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 281
		},

		5638: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Puppy Hat",
			identifiedResourceName: "\xb0\xad\xbe\xc6\xc1\xf6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A small brown-colored dog that sits atop your head. It's so cute you'd be barking mad to remove it.",
				"AGI + 1.",
				"Auto casts Gloria Lv1 with low percent chance; if AGI is over 77, the cast increases to Lv3.",
				"Cannot be upgraded.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777773^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 234
		},

		5639: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magic Eyes",
			identifiedResourceName: "\xb8\xc5\xc1\xf7\xbe\xc6\xc0\xcc\xc1\xee",
			identifiedDescriptionName: [
				"A hat that looks like the eyes of a dark mage, which are rumored to blink sometimes.",
				"Reduce Cast Time by 10% and increase SP Consumption by 20%.",
				"MDEF + 5.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777771^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Required Level : ^77777730^000000",
				"Applicable Job : ^777777Magician Class/Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 209
		},

		5640: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jumping Poring",
			identifiedResourceName: "\xc6\xfa\xc2\xa6\xc0\xcc\xb4\xc2\xc6\xf7\xb8\xb5",
			identifiedDescriptionName: [
				"A Poring hat that feels like hopping on top of your head. It brings fortune to the wearer.",
				"LUK + 1",
				"Cannot be upgraded and destroyed.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777772^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 349
		},

		5641: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Robo Eye",
			identifiedResourceName: "\xb7\xce\xba\xb8\xbe\xc6\xc0\xcc",
			identifiedDescriptionName: [
				"A weird item that spreads a strange-shaped beam around the eyes. It seems to have been made in outer space.",
				"ATK, MATK + 2%, DEX + 1",
				"^ff0000this item is account bound^000000",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Middle^000000",
				"Defense : ^7777771^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777710^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 345
		},

		5642: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Yellow Mage Hat",
			identifiedResourceName: "\xb3\xeb\xb6\xfb\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A crude looking hat that lends a look of cheerfulness and agility, and is coveted by most skilled magic users.",
				"INT + 2, SP + 150.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777771^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Jobs: ^777777Mage Classes, and Soul Linker Job^000000",
			],
			slotCount: 0,
			ClassNum: 286
		},

		5643: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crescent Helm",
			identifiedResourceName: "\xc3\xca\xbd\xc2\xb4\xde\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"A sturdy, decorative hat worn by military generals in a far east country.",
				"VIT + 1.",
				"Reduce Demihuman monster damage by 5%.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper, Mid^000000",
				"Defense :^7777778^000000",
				"Weight : ^777777300^000000",
				"Level Requirement: ^77777750^000000",
				"Jobs: ^777777Swordman and Merchant Classes^000000",
			],
			slotCount: 0,
			ClassNum: 213
		},

		5644: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tiger Mask",
			identifiedResourceName: "\xc5\xb8\xc0\xcc\xb0\xc5\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A mask rumored to make its wearer ferociously aggressive.",
				"STR + 3",
				"HP + 100",
				"Indestructible.",
				"Impossible to Upgrade.",
				"Cannot be Dropped, or Tradable.",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper, Mid^000000",
				"Defense: ^7777772^000000",
				"Weight : ^77777740^000000",
				"Required Level : ^77777750^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 181
		},

		5645: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fantastic Wig",
			identifiedResourceName: "\xc8\xaf\xbb\xf3\xc0\xfb\xc0\xce\xb0\xa1\xb9\xdf",
			identifiedDescriptionName: [
				"Wig with red, white and black colors.",
				"When equipped, increases movement speed.",
				"DEF + 4",
				"Enables the use of the skill 'Hiding'Level 1.",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Upper-Mid^000000",
				"Defense : ^7777770^000000",
				"Weight : ^77777710^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 308
		},

		5646: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb0\xa1\xb8\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Whisper Mask",
			identifiedResourceName: "\xc0\xa7\xbd\xba\xc6\xdb\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A mask shaped like",
				"a Whisper that feels like its always massaging your face so it ^333333might^000000 be good for your skin.",
				"AGI + 3.",
				"Increase Ghost damage by 10%.",
				"Cannot be upgraded.",
				"Cannot be Dropped, or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777770^000000",
				"Location : ^777777Upper, Mid, Lower^000000",
				"Weight : ^77777710^000000",
				"Required Level: ^77777710^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 321
		},

		5647: {
			unidentifiedDisplayName: "Bunny Band",
			unidentifiedResourceName: "\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bunny Band",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A hairband that gives one the appearance of having rabbit ears, a lasting symbol of extremely good luck.",
				"Reduces damage from Demihuman monsters by 10%.",
				"MDEF + 5",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777779^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^7777770^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 15
		},

		5648: {
			unidentifiedDisplayName: "Centimental Flower",
			unidentifiedResourceName: "\xb2\xc9\xc0\xd9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Centimental Flower",
			identifiedResourceName: "\xb2\xc9\xc0\xd9",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A small flower made of steel.",
				"Has a low chance to cast Lvl 1",
				"Recovery when its wearer receives physical damage.",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777771^000000",
				"Location : ^777777Lower^000000",
				"Weight : ^7777770^000000",
				"Applicable Job : ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 56
		},

		5649: {
			unidentifiedDisplayName: "Apple Of Archer",
			unidentifiedResourceName: "\xb8\xed\xbb\xe7\xbc\xf6\xc0\xc7\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Apple Of Archer",
			identifiedResourceName: "\xb8\xed\xbb\xe7\xbc\xf6\xc0\xc7\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A headgear made in honor of the legendary archer known for shooting an apple perched on a friend's head from a great distance.",
				"DEX + 4",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777777^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 72
		},

		5650: {
			unidentifiedDisplayName: "Elven Ears",
			unidentifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elven Ears",
			identifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A fashion accessory that gives ears that vaunted, elvish look.",
				"For some, it is an incredible turn-on.",
				"INT + 1",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777772^000000",
				"Location : ^777777Middle^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 73
		},

		5651: {
			unidentifiedDisplayName: "Brooch",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brooch",
			identifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"An ancient brooch.",
				"AGI + 4",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Accessory^000000",
				"Defense: ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		5652: {
			unidentifiedDisplayName: "Magestic Goat",
			unidentifiedResourceName: "\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb0\xed\xbf\xec\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magestic Goat",
			identifiedResourceName: "\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb0\xed\xbf\xec\xc6\xae",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A headgear made from the horns of Baphomet.",
				"Inflicts 12% more damage to Demihumans.",
				"Increases ATK based on the wearer's Job Lvl.",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777775^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777780^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 41
		},

		5653: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Darkness Helm",
			identifiedResourceName: "\xb4\xd9\xc5\xa9\xb3\xd7\xbd\xba\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"placeholder",
			],
			slotCount: 1,
			ClassNum: 586
		},

		5654: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Holy Marching Hat",
			identifiedResourceName: "\xbd\xc5\xbc\xba\xc7\xd1\xb8\xb6\xc4\xaa\xc7\xde",
			identifiedDescriptionName: [
				"A marcher's hat that has sacred energy.",
				"When do physical attack, holy property is given to the weapon for 90 seconds at a certain rate.",
				"Item Class : ^777777Headgear^000000",
				"Defense : ^7777772^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777710^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 1,
			ClassNum: 587
		},

		5655: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dark Snake Lord Hat",
			identifiedResourceName: "\xc8\xe6\xbb\xe7\xbf\xd5\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat that Dark Snake Lord wears. Feels like being a king when wear this.",
				"INT + 2, AGI + 2, DEX-2.",
				"When do magical attack, have some chance of decreasing the casting time by 50% for 5 seconds and FLEE + 30.",
				"Item Class : ^777777Headgear^000000",
				"Defense : ^7777772^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 372
		},

		5656: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scooter Hat",
			identifiedResourceName: "\xbd\xba\xc4\xed\xc5\xcd\xc7\xef\xb8\xe4",
			identifiedDescriptionName: [
				"An equipment for safe when you ride a scooter. It's too strong to be broken.",
				"Indestructible.",
				"Item Class : ^777777Headgear^000000",
				"Defense : ^7777777^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^777777100^000000",
				"Required Level : ^77777750^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 1,
			ClassNum: 588
		},

		5657: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Captain's Pipe",
			identifiedResourceName: "\xbe\xd8\xc6\xbc\xc5\xa9\xb4\xe3\xb9\xee\xb4\xeb",
			identifiedDescriptionName: [
				"An antique pipe for making a perfect fashion of captain.",
				"When you have it with captain hat, long distance physical attack increases as the level of refinement of the pipe.",
				"Item Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Location : ^777777Low^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^77777730^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 383
		},

		5658: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Imp Hat",
			identifiedResourceName: "\xc0\xd3\xc7\xc1\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat is modeled on Imp of mascot in Thor sungeon.",
				"When use physical attack casting LV1 FLAMELAUNCHER as regular chance.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location : ^777777Upper^000000 Weight : ^77777740^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 589
		},

		5659: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sleeper Hat",
			identifiedResourceName: "\xbd\xbd\xb8\xae\xc6\xdb\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat is modeled on Sleeper of monster in Sograt desert.",
				"When use physical attack casting LV1 SEISMICWEAPON as regular chance.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location : ^777777Upper^000000 Weight : ^77777740^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 590
		},

		5660: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gryphon Hat",
			identifiedResourceName: "\xb1\xd7\xb8\xae\xc6\xf9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat is modeled on GRYPHON, symbol of brave.",
				"When use physical attack casting LV1 LIGHTNINGLOADER as regular chance.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location : ^777777Upper^000000 Weight : ^77777740^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 1,
			ClassNum: 591
		},

		5661: {
			unidentifiedDisplayName: "Red Pirate Bandana",
			unidentifiedResourceName: "\xb5\xce\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Pirate Bandana",
			identifiedResourceName: "\xba\xd3\xc0\xba\xc7\xd8\xc0\xfb\xb5\xce\xb0\xc7",
			identifiedDescriptionName: [
				"...",
				"Increases Attack Speed. Delay - 2%. Casting - 2%.",
				"...",
				"STR + 1, DEX + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 592
		},

		5662: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Libra Crown",
			identifiedResourceName: "\xc3\xb5\xc4\xaa\xb1\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent crown created to pay tribute to the 7th sign of the zodiac, Libra the Balance.",
				"Attached to the crown is an Opal gemstone, the birthstone for those born under this sign.",
				"DEX + 3, Increases resistance to ^009900Wind^000000 status by 7%.",
				"[^333399Refine Rate 7~10^000000]",
				"MATK + 3%.",
				"[^333399Refine Rate 9~10^000000]",
				"Add low chance of auto casting ^008800Level 5 Frost Nova^000000 when physically damaged.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 593
		},

		5663: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Libra Diadem",
			identifiedResourceName: "\xc3\xb5\xc4\xaa\xb1\xc3\xba\xb8\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent diadem created to pay tribute to the 7th sign of the zodiac, Libra the Balance. Attached to the crown is an Opal gemstone, the birthstone for those born under this sign.",
				"ATK + 7.",
				"[^333399Refine Rate 7~10^000000]",
				"Add low chance of auto casting ^008800Level 2 Warm Wind^000000 when physically attacking.",
				"[^333399Refine Rate 9~10^000000]",
				"FLEE + 5, ATK + 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 594
		},

		5664: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xb1\xcd\xb8\xb6\xb0\xb3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Filir's Pinions",
			identifiedResourceName: "\xc7\xca\xb8\xae\xb8\xa3\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"A cute headgear made in the form of wing of Filir, the most popular bird-like homunclus.",
				"Increases Attack Speed. Delay - 2%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 595
		},

		5665: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Norn Feather Hat",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xc0\xce\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"MDEF + 5.",
				"[^008800Magician Class^000000]",
				"Casting - 3%.",
				"[^008800Soul Linker^000000]",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 596
		},

		5666: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crown Cap",
			identifiedResourceName: "\xb1\xdd\xb0\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"...",
				"INT + 1, DEX + 1, LUK+ 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 597
		},

		5667: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Skull Hood",
			identifiedResourceName: "\xc7\xd8\xb0\xf1\xc8\xc4\xb5\xe5",
			identifiedDescriptionName: [
				"A black hood is decorated with skull model. It makes feel become an angel of death.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 598
		},

		5668: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Weird Pumpkin Hat",
			identifiedResourceName: "\xc8\xa3\xb9\xda\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A pumpkin hat for Halloween event.",
				"It has the mysterious power that brings cookies.",
				"MDEF + 5.",
				"When hunting monsters, drops Pumpkin Pie with some chance.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 206
		},

		5669: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unknown item",
				"requiring Appraisal.",
				"Can be identified by",
				"using a Magnifier.",
			],
			identifiedDisplayName: "Poring Party Hat",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xc6\xc4\xc6\xbc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"placeholder",
			],
			slotCount: 0,
			ClassNum: 340
		},

		5670: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unknown item",
				"requiring Appraisal.",
				"Can be identified by",
				"using a Magnifier.",
			],
			identifiedDisplayName: "Anniversary Thief Hat",
			identifiedResourceName: "\xbe\xd6\xb4\xcf\xb9\xf6\xbc\xad\xb8\xae\xba\xb0\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"placeholder",
			],
			slotCount: 0,
			ClassNum: 599
		},

		5671: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Incarnation Of Morocc Doll",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xb8\xf0\xb7\xce\xc5\xa9\xc0\xc7\xc7\xf6\xbd\xc5",
			identifiedDescriptionName: [
				"An unusually cute doll of the usually hideous Incarnation of Morocc monster.",
				"Gain 2 SP when killing monsters. Has a low chance of casting Fatal Wound if being melee attacked.",
				"Critical woulds lvl 3 when +9 or higher, and chance to cast Bleeding in a 5x5 area around wearer when attacking.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 600
		},

		5672: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unknown item",
				"requiring Appraisal.",
				"Can be identified by",
				"using a Magnifier.",
			],
			identifiedDisplayName: "Southern Cross",
			identifiedResourceName: "\xbc\xad\xc0\xfc\xc5\xa9\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"placeholder",
			],
			slotCount: 1,
			ClassNum: 601
		},

		5673: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unknown item",
				"requiring Appraisal.",
				"Can be identified by",
				"using a Magnifier.",
			],
			identifiedDisplayName: "Nostalgic Sakura",
			identifiedResourceName: "\xb0\xed\xc7\xe2\xc0\xc7\xba\xa2\xb2\xc9",
			identifiedDescriptionName: [
				"placeholder",
			],
			slotCount: 1,
			ClassNum: 602
		},

		5674: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"A piggy-bank which will make you feel good after saving many coins in it. Its cute design will make you to doubt to cut it off to open.",
				"Casting time after performing the skill will be increased 10%.",
				"When defeating a monster, it can get extra Zeny with a set probability.",
				"Cannot be upgraded.",
				"Class : ^777777Headgear^000000 Defense : ^7777773^000000",
				"Location: ^777777Upper ^000000 Weight : ^777777100^000000",
				"Required Lv : ^77777710^000000",
				"Jobs : ^777777All Jobs^000000",
			],
			identifiedDisplayName: "Piggie Bank",
			identifiedResourceName: "\xb5\xc5\xc1\xf6\xc0\xfa\xb1\xdd\xc5\xeb",
			identifiedDescriptionName: [
				"A piggy-bank which will make you feel good after saving many coins in it. Its cute design will make you to doubt to cut it off to open.",
				"Casting time after performing the skill will be increased 10%.",
				"When defeating a monster, it can get extra Zeny with a set probability.",
				"Cannot be upgraded.",
				"Class : ^777777Headgear^000000 Defense : ^7777773^000000",
				"Location: ^777777Upper ^000000 Weight : ^777777100^000000",
				"Required Level : ^77777710^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 603
		},

		5675: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unknown item",
				"requiring Appraisal.",
				"Can be identified by",
				"using a Magnifier.",
			],
			identifiedDisplayName: "Poring Letter",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"placeholder",
			],
			slotCount: 0,
			ClassNum: 604
		},

		5676: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scorpio Crown",
			identifiedResourceName: "\xc3\xb5\xc7\xe6\xb1\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent crown created to pay tribute to the 8th sign of the zodiac, Scorpio the Scorpion.",
				"Attached to the crown is a Topaz gemstone, the birthstone for those born under this sign.",
				"Increased Attack Speed. Delay after attack by 3%.",
				"Increase resistance to ^0000FFWater^000000 Property by 5%.",
				"If refined to 7, when attacking, has a chance of autocasting Lv 3 Mild Wind.",
				"If refined to 8, ASPD + 2%. (Delay after attack by 2%)",
				"If refined to 9, has a chance of autocasting Lv 5 Frost Nova.",
				"If refined to 10, ASPD + 2%. (Delay after attack by 2%), ATK + 5.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 605
		},

		5677: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scorpio Diadem",
			identifiedResourceName: "\xc3\xb5\xc7\xe6\xb1\xc3\xba\xb8\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent diadem created to pay tribute to the 8th sign of the zodiac, Scorpio the Scorpion.",
				"Attached to the crown is a Topaz gemstone, the birthstone for those born under this sign.",
				"DEX + 2.",
				"[^333399Refine Rate 7~10^000000]",
				"DEX + 1, ATK + 5.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 606
		},

		5678: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Musical Note Headband",
			identifiedResourceName: "\xbe\xc7\xba\xb8\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"...",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 607
		},

		5679: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Engineer Cap",
			identifiedResourceName: "\xbf\xa3\xc1\xf6\xb4\xcf\xbe\xee\xc4\xb8",
			identifiedDescriptionName: [
				""
			],
			slotCount: 1,
			ClassNum: 608
		},

		5680: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hawk Eye",
			identifiedResourceName: "\xb8\xc5\xc0\xc7\xb4\xab",
			identifiedDescriptionName: [
				"This headgear makes you more sensitive and you could get high concentration.",
				"HIT + 10.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Mid^000000 Weight : ^77777710^000000",
				"Required Level : ^77777710^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 609
		},

		5681: {
			unidentifiedDisplayName: "Green Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Green Ribbon",
			identifiedResourceName: "\xb8\xae\xba\xbb\x5f\xc3\xca\xb7\xcf",
			identifiedDescriptionName: [
				"A long piece of green satin tied together into a neat little ribbon that wards off harmful magic.",
				"MDEF + 3.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 244
		},

		5682: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Triangle Rune Cap",
			identifiedResourceName: "\xc6\xae\xb6\xf3\xc0\xcc\xbe\xde\xb1\xdb\xb7\xe9\xc4\xb8",
			identifiedDescriptionName: [
				"...",
				"INT + 1.",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 610
		},

		5683: {
			unidentifiedDisplayName: "Horn Of Arch Evil Model",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Horn Of Arch Evil Model",
			identifiedResourceName: "\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb0\xed\xbf\xec\xc6\xae",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 41
		},

		5684: {
			unidentifiedDisplayName: "Luxurious Crown",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Luxurious Crown",
			identifiedResourceName: "\xc1\xea\xbe\xf3\xc5\xa9\xb6\xf3\xbf\xee",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 88
		},

		5685: {
			unidentifiedDisplayName: "A Military Cap Of A Knight",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "A Military Cap Of A Knight",
			identifiedResourceName: "\xc7\xc1\xb7\xd0\xc5\xd7\xb6\xf3\xb1\xba\xb8\xf0",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 8^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 48
		},

		5686: {
			unidentifiedDisplayName: "A Hat With Nice Feather",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "A Hat With Nice Feather",
			identifiedResourceName: "\xb1\xea\xc5\xd0\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 104
		},

		5687: {
			unidentifiedDisplayName: "Light Hornhelm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Light Hornhelm",
			identifiedResourceName: "\xbf\xc0\xc5\xa9\xc1\xb7\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 86
		},

		5688: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "2009 Love Dad",
			identifiedResourceName: "\x32\x30\x30\x39\xb7\xaf\xba\xea\xb4\xeb\xb5\xf0",
			identifiedDescriptionName: [
				"...",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"ALL STATUS + 5, Add a 5% resistance against DemiHuman monster, HP/SP Recovery + 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 611
		},

		5689: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ant Queen Crown",
			identifiedResourceName: "\xb0\xb3\xb9\xcc\xbf\xa9\xbf\xd5\xc0\xc7\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"...",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 5^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 612
		},

		5690: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Wing Hat",
			identifiedResourceName: "\xc7\xc1\xb8\xae\xbd\xba\xc6\xae\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A red driver's hat decorated by wings.",
				"STR + 1, INT + 1, DEX + 1.",
				"If refiend to 7, increase ATK and MATK by 2%.",
				"If refined to 9, aditional increase ATK and MATK by 2%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 613
		},

		5691: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sailor's Bandana",
			identifiedResourceName: "\xbb\xe7\xc4\xa1\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"This is something that many sailors of Alberta wear when sailing through the seven seas.",
				"It helps prevent seasickness and its bright color makes it easier to see men who have fallen overboard.",
				"DEX + 1.",
				"Add a 20% resistance to the ^880000Poison^000000.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 1^000000",
				"Required Level : ^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 542
		},

		5692: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sea Cat Hat",
			identifiedResourceName: "\xb8\xae\xc7\xc1\xc4\xb9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"This is a good companion to have when spending months sailing on a ship.",
				"Sailors of Alberta also believe that it is a good luck charm against bad luck and curses.",
				"DEX + 1.",
				"Increases resistance to ^880000Curse^000000 status by 20%.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 1^000000",
				"Required Level : ^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 539
		},

		5693: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "NoFear Underwear",
			identifiedResourceName: "\x4e\x4f\x46\x45\x41\x52\xbe\xf0\xb4\xf5\xbf\xfe\xbe\xee",
			identifiedDescriptionName: [
				"It's what's inside the man that makes him who he really is. Got the Balls for it?",
				"STR + 1, INT + 1, DEX + 1.",
				"MaxHP + 700.",
				"Reduce 2% damage taken from DemiHuman monster.",
				"[^000088No Fear Shoes & No Fear Belt Set^000000]",
				"Cannot be frozen, Increase EXP Gain by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 10^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 30
		},

		5694: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "NoFear Headband",
			identifiedResourceName: "\x4e\x4f\x46\x45\x41\x52\xc6\xc4\xbf\xf6\xc7\xec\xb5\xe5\xb1\xe2\xbe\xee",
			identifiedDescriptionName: [
				"No Fear hat shaped signs that are written.",
				"VIT + 1, MaxHP + 100.",
				"Reduces damage from DemiHuman monster by 2%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 614
		},

		5737: {
			unidentifiedDisplayName: "Muka Hat",
			unidentifiedResourceName: "\xbc\xb1\xc0\xce\xc0\xe5\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Potted Muka Hat",
			identifiedResourceName: "\xbc\xb1\xc0\xce\xc0\xe5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"The friendly Potted Muka likes to encourage you by aggravating your opponents!",
				"Enables the use of ^00ff00Level 3 Provoke^000000",
				"Fully Tradable, cannot be upgraded.",
				"Class : ^777777Headgear^000000",
				"Defense : ^77777710^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 615
		},

		5738: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Snowman Hat",
			identifiedResourceName: "\xb4\xab\xbb\xe7\xb6\xf7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"An adorable snowman on the head! Feel full of winter atmosphere in the air!",
				"STR + 1, INT + 1, MDEF + 3.",
				"Increase resistance against ^0000FFWater^000000 Property by 7%.",
				"Add low chance of auto casting ^008800Level 1 Frost Joker^000000 on the user when receives physical and magical attack.",
				"Drop \"Buche De Noel, Candy Cane\" as low chance when hunt the mosters.",
				"[^333399Refine Rate 8~10^000000]",
				"Enables use of ^008800Level 5 Frost Joker^000000.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 4^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 616
		},

		5739: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sagittarius Crown",
			identifiedResourceName: "\xc0\xce\xb8\xb6\xb1\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent crown created to pay tribute to the 9th sign of the zodiac, Sagittarius the Archer. Attached to the crown is a Zircon gemstone, the birthstone for those born under this sign.",
				"DEX + 2, Increases resistance to ^FF0000Fire^000000 Property by 7%.",
				"If refined to 7, ASPD + 2% (after-attack delay)",
				"If refined to 8, AGI + 2.",
				"If refined to 9, ranged attack damage + 5%",
				"If refined to 10, when physically attacking, has a low chance of increasing Dex and Agi by 10 for 10 seconds.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 617
		},

		5740: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sagittarius Diadem",
			identifiedResourceName: "\xc0\xce\xb8\xb6\xb1\xc3\xba\xb8\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent diadem created to pay tribute to the 9th sign of the zodiac, Sagittarius the Archer. Attached to the crown is a Zircon gemstone, the birthstone for those born under this sign.",
				"DEX + 2, MDEF + 3,",
				"Increases resistance to ^FF0000Fire^000000 Property by 7%.",
				"If refined to 7, spell casting time -3%.",
				"If refined to 8, when using magic attack, has a low chance of autocasting Lvl 1 Sightrasher.",
				"If refined to 9, additional spell casting time decrease by 2%.",
				"If refined to 10, MATK + 4%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 618
		},

		5741: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc0\xe5\xbd\xc4\xbf\xeb\xbe\xcb\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eternal Egg Skin Hat",
			identifiedResourceName: "\xc0\xe5\xbd\xc4\xbf\xeb\xbe\xcb\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"...",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 101
		},

		5742: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rudolf Santa Hat",
			identifiedResourceName: "\xb7\xe7\xb5\xb9\xc7\xc1\xbb\xea\xc5\xb8\xb8\xf0",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 619
		},

		5743: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Orange Hat",
			identifiedResourceName: "\xb1\xd6\xb2\xc0\xc1\xf6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 620
		},

		5744: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Capricorn Crown",
			identifiedResourceName: "\xb8\xb6\xb0\xa5\xb1\xc3\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent crown created to pay tribute to the 10th sign of the zodiac, Capricorn the Goat.",
				"Attached to the crown is a Garnet gemstone, the birthstone for those born under this sign.",
				"DEX + 2, VIT + 2",
				"If refined to 7 or higher, when melee-attacking, has a chance of auto-casting Lv 1 Mild Wind (Earth endow).",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Location : ^777777Upper ^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 621
		},

		5745: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Capricorn Diadem",
			identifiedResourceName: "\xb8\xb6\xb0\xa5\xb1\xc3\xba\xb8\xb0\xfc",
			identifiedDescriptionName: [
				"A magnificent diadem created to pay tribute to the 10th sign of the zodiac, Capricorn the Goat. Attached to the crown is a Garnet gemstone, the birthstone for those born under this sign.",
				"DEX + 2, MDEF + 5.",
				"Increases resistance to Earth property by 5%.",
				"If refined to 7 or higher, INT + 2.",
				"If refined to 8 or higher, decreases casting time by 3%.",
				"If refined to 9 or higher, increases the effectiveness of Heal and Sanctuary skills by 4%.",
				"If refined to 10 or higher, when attacked, has a low chance of auto-casting Lv 5 Hammer Fall.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 622
		},

		5746: {
			unidentifiedDisplayName: "Rune Circlet",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rune Circlet",
			identifiedResourceName: "\xb7\xe9\xbc\xad\xc5\xac\xb8\xb4",
			identifiedDescriptionName: [
				"...",
				"STR + 1, INT + 1, MDEF + 5.",
				"If user has 120 base STR, ATK + 10, MATK + 5.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Rune Knight^000000",
			],
			slotCount: 1,
			ClassNum: 623
		},

		5747: {
			unidentifiedDisplayName: "Mitra",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mitra",
			identifiedResourceName: "\xb9\xcc\xc6\xae\xb6\xf3",
			identifiedDescriptionName: [
				"...",
				"INT + 1, VIT + 1, MDEF + 5.",
				"Increased heal effectiveness by 5%.",
				"If user has 120 base INT, MATK + 10.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Arch Bishop^000000",
			],
			slotCount: 1,
			ClassNum: 624
		},

		5748: {
			unidentifiedDisplayName: "Sniper Goggle",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sniper Goggle",
			identifiedResourceName: "\xbd\xba\xb3\xaa\xc0\xcc\xc6\xdb\xb0\xed\xb1\xdb",
			identifiedDescriptionName: [
				"...",
				"DEX + 1, AGI + 1, MDEF + 5.",
				"If user has 120 base AGI, Ranged attack damage + 4%, ASPD + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Ranger^000000",
			],
			slotCount: 1,
			ClassNum: 625
		},

		5749: {
			unidentifiedDisplayName: "Driver Band",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Driver Band",
			identifiedResourceName: "\xb5\xe5\xb6\xf3\xc0\xcc\xb9\xf6\xb9\xea\xb5\xe5",
			identifiedDescriptionName: [
				"...",
				"STR + 1, DEX + 1, MDEF + 5.",
				"If user has 120 base STR, ATK + 10, CRI + 3.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 1,
			ClassNum: 626
		},

		5750: {
			unidentifiedDisplayName: "Shadow Handicraft",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shadow Handicraft",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xda\xb0\xf8\xc0\xdb",
			identifiedDescriptionName: [
				"...",
				"INT + 1, AGI + 1, MDEF + 1.",
				"If user has 120 base AGI, ATK + 10, FLEE + 3.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Shadow Chaser^000000",
			],
			slotCount: 1,
			ClassNum: 627
		},

		5751: {
			unidentifiedDisplayName: "Minstrel Song Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Maestro Song's Hat",
			identifiedResourceName: "\xb9\xce\xbd\xba\xc6\xae\xb7\xb2\xbc\xdb\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"INT + 1, LUK + 1, MDEF + 5.",
				"Ranged attack damage + 5%.",
				"^008800Windmill Rush, Echo Song^000000 SP cost - 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Minstrel^000000",
			],
			slotCount: 1,
			ClassNum: 628
		},

		5752: {
			unidentifiedDisplayName: "Midas Whisper",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Midas Whisper",
			identifiedResourceName: "\xb8\xb6\xc0\xcc\xb4\xf5\xbd\xba\xc0\xc7\xbc\xd3\xbb\xe8\xc0\xd3",
			identifiedDescriptionName: [
				"...",
				"STR + 1, DEX + 1, MDEF + 5.",
				"If user has 120 base STR, ATK + 5, ASPD + 1.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Genetic^000000",
			],
			slotCount: 1,
			ClassNum: 629
		},

		5753: {
			unidentifiedDisplayName: "Magic Stone Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Magic Stone Hat",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xc0\xc7\xb5\xb9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"INT + 1, DEX + 1, MDEF + 5.",
				"If user has 120 base DEX, MATK + 10, Variable Cast Time - 2%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Warlock^000000",
			],
			slotCount: 1,
			ClassNum: 630
		},

		5754: {
			unidentifiedDisplayName: "Blazing Soul",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blazing Soul",
			identifiedResourceName: "\xba\xd2\xc5\xb8\xb4\xc2\xc8\xa5",
			identifiedDescriptionName: [
				"...",
				"STR + 1, VIT + 1, MDEF + 5.",
				"If user has 120 base STR, ATK + 10, HIT + 3.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Sura^000000",
			],
			slotCount: 1,
			ClassNum: 631
		},

		5755: {
			unidentifiedDisplayName: "Silent Executer",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Silent Executor",
			identifiedResourceName: "\xc4\xa7\xb9\xac\xc0\xc7\xc1\xfd\xc7\xe0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"AGI + 1, MDEF + 5.",
				"If user has 120 base AGI, ATK + 10, Perfect Dodge + 5.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 6^000000",
				"Equipped on :^777777 Mid, Lower^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Guillotine Cross^000000",
			],
			slotCount: 0,
			ClassNum: 632
		},

		5756: {
			unidentifiedDisplayName: "Wind Whisper",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wind Whisper",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xbc\xd3\xbb\xe8\xc0\xd3",
			identifiedDescriptionName: [
				"...",
				"INT + 1, DEX + 1, MDEF + 5.",
				"If user has 120 base INT, MATK + 10, FLEE + 3.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Sorcerer^000000",
			],
			slotCount: 1,
			ClassNum: 633
		},

		5757: {
			unidentifiedDisplayName: "Dip Schmidt Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dip Schmidt Helm",
			identifiedResourceName: "\xba\xb9\xb0\xa2\xbd\xb4\xb9\xcc\xc3\xf7\xc0\xc7\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"...",
				"INT + 1, VIT + 2, MDEF + 5.",
				"If user has 120 base INT, MATK + 10, DEF + 5.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 17^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Royal Guard^000000",
			],
			slotCount: 1,
			ClassNum: 634
		},

		5758: {
			unidentifiedDisplayName: "Dying Swan",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dying Swan",
			identifiedResourceName: "\xba\xf3\xbb\xe7\xc0\xc7\xb9\xe9\xc1\xb6",
			identifiedDescriptionName: [
				"...",
				"INT + 1, LUK + 1, MDEF + 5.",
				"Ranged attack power + 5%.",
				"^008800Swing Dance, Symphony of Lovers^000000 SP cost - 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Wanderer^000000",
			],
			slotCount: 1,
			ClassNum: 635
		},

		5759: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unknown item",
				"requiring Appraisal.",
				"Can be identified by",
				"using a Magnifier.",
			],
			identifiedDisplayName: "Noa's Hat",
			identifiedResourceName: "\xb3\xeb\xbe\xc6\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"placeholder",
			],
			slotCount: 1,
			ClassNum: 636
		},

		5760: {
			unidentifiedDisplayName: "Driver Band",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Driver Band",
			identifiedResourceName: "\xb5\xe5\xb6\xf3\xc0\xcc\xb9\xf6\xb9\xea\xb5\xe5\x5f",
			identifiedDescriptionName: [
				"...",
				"STR + 1, DEX + 1, MDEF + 5.",
				"If user has 120 base STR, ATK + 10, CRI + 3.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 12^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Mechanic^000000",
			],
			slotCount: 1,
			ClassNum: 637
		},

		5761: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sloth Hat",
			identifiedResourceName: "\xb3\xaa\xb9\xab\xb4\xc3\xba\xb8\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"This cute Sloth must think you look like a tree. At least it warms the top of your head.",
				"AGI + 2.",
				"Chance to use the skill Sonic Blow lvl 5 when you attack physically in short distance .",
				"Item Class : ^777777Headgear^000000 Defense : ^7777773^000000",
				"Location : ^777777Upper ^000000 Weight : ^77777780^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 638
		},

		5762: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "LU Live2010 Duneyrr Hat",
			identifiedResourceName: "\xb5\xce\xb3\xd7\xc0\xcc\xb8\xa3\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"A hat similar to the MVP Duneyrr.",
				"ALL State + 1, MDEF + 5.",
				"2% resistence to human and animal monsters.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777775^000000",
				"Location : ^777777Upper ^000000 Weight : ^77777710^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 639
		},

		5763: {
			unidentifiedDisplayName: "Red Bunny Band",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Red Bunny Band",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hairband that attracts men.",
				"You can wear it when you want to look sexy.",
				"Your sexyness increases to 100 %",
				"AGI + 2, MDEF+3",
				"Class : ^777777Headgear^000000 Defense : ^7777772^000000",
				"Location : ^777777Upper^000000 Weight : ^77777720^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 640
		},

		5764: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unknown item",
				"requiring Appraisal.",
				"Can be identified by",
				"using a Magnifier.",
			],
			identifiedDisplayName: "Love Rabbit Hood",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xba\xb8\xb4\xd6",
			identifiedDescriptionName: [
				"placeholder",
			],
			slotCount: 1,
			ClassNum: 0
		},

		5765: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pitch Black Ribbon",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xc5\xd7\xc0\xcf\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"Dark neat black ribbon.",
				"MDEF + 5.",
				"Resistance to Neutral property attacks +5%. Resistance to Range attacks+ 5%.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777710^000000",
				"Required lv : ^77777710^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 1,
			ClassNum: 642
		},

		5766: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Amistr Hat",
			identifiedResourceName: "\xbe\xc6\xb9\xcc\xbd\xba\xc6\xae\xb8\xa3\xc4\xb8",
			identifiedDescriptionName: [
				"Smooth fluffy cap inspired by Homunculus' Amistr.",
				"Vit + 5.",
				"When receiving physical attack, all damage decrease by 20% for 2 seconds(random chance), MDEF decrease by 20%.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777774^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777750^000000",
				"Required lv : ^77777750^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 643
		},

		5767: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Samurai Mask",
			identifiedResourceName: "\xbb\xe7\xb9\xab\xb6\xf3\xc0\xcc\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"Amatsu warrior Samurai wearing mask during the War time.",
				"Increase pysical attack damage + 1%.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777771^000000",
				"Location : ^777777Lower^000000",
				"Weight : ^77777730^000000",
				"Required lv : ^77777750^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 644
		},

		5768: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cherry Blossom Crown",
			identifiedResourceName: "\xba\xa2\xb2\xc9\xc8\xad\xb0\xfc",
			identifiedDescriptionName: [
				"The Coronet which is pinky shining.",
				"MaxSP + 25.",
				"When you wear this with Romantic Flower you could get INT + 1, if refined lv is over 7, you could get MaxSP + 1% in every each lv.",
				"When you wear this with Romantic White Flower, you could get DEX + 1, if refined lv is over 5, you could get decreased skill delay by 1% in every each lv.",
				"When you wear this with Romantic Leaf, STR + 1, if refined lv is over 3, you would 1% decreased SP in every each lv.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location : ^777777Upper ^000000 Weight : ^77777780^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 1,
			ClassNum: 645
		},

		5769: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Angel Hat",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xc3\xb5\xbb\xe7\xc1\xb6\xb0\xa2\xbb\xf3",
			identifiedDescriptionName: [
				"È½¾ÝÀ·¸Î ··ºé±îÁø ±Æ¾âÃº´ç Á¹¿¢´ó. ·Ó·®°¡ ±½·é ´ó»çÈ÷ ¾Í°¿³µ ÀÖ¿Ô µ·ÀÏºí ÇÏ»Ù.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777´ó»Ü^000000 Weight : ^7777770^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
			],
			slotCount: 0,
			ClassNum: 646
		},

		5770: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Splash Hat",
			identifiedResourceName: "\xc6\xfa\xc2\xa6\xc0\xcc\xb4\xc2\xc6\xf7\xb8\xb5",
			identifiedDescriptionName: [
				"A cute pouring that bounces on your head.",
				"AGI +3",
				"Give the wind property into weapon for 3 min when give physical attack in a certain chance.",
				"Class : ^777777Headgear^000000 Defense : ^7777773^000000",
				"Position: ^777777Upper ^000000 Weight : ^77777710^000000",
				"Required Lv : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 649
		},

		5771: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cake Hat",
			identifiedResourceName: "\xc4\xc9\xc0\xcc\xc5\xa9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"¿¡Á¸°¡ »ëÇÑ »ç²ÅÀÇ ´ç¹ûÀ´ µ·°©ÁÖ³³°ä!",
				"WVC , NWVU",
				"NZC SK %, NZC HK %",
				"·¹»ÏÇÇÄ¾ 1OE ´ç°ë ¿¡»É",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777´ó»Ü ^000000 Weight : ^77777710^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
			],
			slotCount: 1,
			ClassNum: 650
		},

		5772: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blood Admiral's Hat",
			identifiedResourceName: "\xba\xd3\xc0\xba\xc7\xd8\xb1\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"This is the hat worn by great Admirals of the navy fleet that defends the port of Alberta. Only those who have spent a lot of time helping the people of Alberta can earn this honorable hat.",
				"10% reduced damage from Demi-human.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location : ^777777Upper^000000 Weight : ^77777750^000000",
				"Required Level : ^77777795^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 651
		},

		5773: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Navy Blue Beret",
			identifiedResourceName: "\xc7\xd8\xb1\xba\xc0\xc7\xba\xa3\xb7\xb9\xb8\xf0",
			identifiedDescriptionName: [
				"This is a navy blue beret worn by the elite soldiers of the Navy of Alberta. It is very effective when battling pirates on the high seas.",
				"10% reduced damage from Demi-human.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location : ^777777Upper^000000 Weight : ^77777750^000000",
				"Required Level : ^77777795^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 652
		},

		5774: {
			unidentifiedDisplayName: "Scallywag's Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scallywag's Hat",
			identifiedResourceName: "\xba\xd3\xc0\xba\xc7\xd8\xc0\xfb\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A bandana usually worn by the first mate of a pirate ship. It commands respect from the crew and is effective when dealing with other pirates.",
				"10% reduced damage from Demi-human.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location : ^777777Upper^000000 Weight : ^77777750^000000",
				"Required Level : ^77777795^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 496
		},

		5775: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chocolate Donut",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xae\xc3\xca\xc4\xda\xb5\xb5\xb3\xd3",
			identifiedDescriptionName: [
				"A chocolate donut in your mouth. Not only do you look good, but you get to taste something sweet too!",
				"MaxHP + 50.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777771^000000",
				"Equipped on : ^777777Lower^000000",
				"Weight : ^7777775^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 653
		},

		5776: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blazing Sun",
			identifiedResourceName: "\xba\xd2\xc5\xb8\xb4\xc2\xc5\xc2\xbe\xe7",
			identifiedDescriptionName: [
				"Blazing small Sun. Much powerful than it looks. Eye protection recommended.",
				"Skill [Fire Bolt], [Fire Ball] casting time- 5%, Damage + 5%.",
				"Skill [Fire Wall], [Meteo Storm] Damage + 3%.",
				"Skill using SP + 5%.",
				"Refine unavailable.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777750^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 654
		},

		5777: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unknown item",
				"requiring Appraisal.",
				"Can be identified by",
				"using a Magnifier.",
			],
			identifiedDisplayName: "Remover Hat",
			identifiedResourceName: "\xb8\xae\xb9\xab\xb9\xf6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A replica of the helmet worn by firemen.",
				"Not as durable as the real firemen's helmet.",
				"MDEF + 1",
				"Drops [Empty Bottle], [Ditrimindexta], [Karvodailnirol] in certain rate when defeating Neutral monsters.",
				"Unable to Refine",
				"Class : ^777777Headgear^000000",
				"DEF : ^7777772^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777780^000000",
				"Required Level : ^77777730^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 655
		},

		5778: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blue Arara Hat",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xbe\xc6\xb6\xf3\xb6\xf3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A Blue Arara, symbol of Amazonia Forest.",
				"STR + 2",
				"When having physical attack, it has Attack speed increase by 5% (after having attack, delay is decreased by 5%)",
				"Item Class : ^777777Headgear^000000 Defense : ^7777773^000000",
				"Location : ^777777Upper ^000000 Weight : ^77777710^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs ^000000",
			],
			slotCount: 0,
			ClassNum: 656
		},

		5779: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pink Dolphin Hat",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xba\xb8\xc5\xe4",
			identifiedDescriptionName: [
				"¾Í°©°î µ·Åä ·ð±çÀÇ ·ðÀÚ. 'µ·Åä'»Â µê¹óÁú ²ÅÈ­°¡ ºîÀåÇÏ»Â ·ÅÈ¤ÀûÀÎ °©³µºéÀ´ ÄªÇÏ¾âºº ÇÑ»Ù.",
				"RMG 2",
				"·¹¶ý ¿ø¿Ý²Ã ÀÏÁ¤ È®¸ü¸Î 10ÃÊ¿£ NZGP 3% Áõ¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777´ó»Ü ^000000 Weight : ^77777710^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷ 1048575^000000",
			],
			slotCount: 0,
			ClassNum: 657
		},

		5780: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tendrillion Hat",
			identifiedResourceName: "\xc5\xd9\xb5\xe5\xb8\xb1\xb8\xae\xbf\xc2\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"ÅÙºå·¾·®°ÂÀÇ ·Ó·® ·ð±çÀ´ µ´ºû ··ºç ±î»À ÀåÀÎÀÇ °ªÀÛ.",
				"'±î²µ ²µÆÄÀÌÅ©' Oe3 ´ç°ë ¿¡»É. ÀÎ¿£Çü ·ó²µÅÍ°¡ »ëÇÑ ¼´³µ 10% Áõ¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777´ó»Ü ^000000 Weight : ^77777710^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷ 1048575^000000",
			],
			slotCount: 0,
			ClassNum: 658
		},

		5781: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Persica",
			identifiedResourceName: "\xc6\xe4\xb8\xa3\xbd\xc3\xc4\xab",
			identifiedDescriptionName: [
				"A hairpin made by aromatic floral leaf which is known as a first symbol of spring.",
				"Can not be upgraded.",
				"MaxSp + 20, Flee +1",
				"If combines with 'Centimental Flower', give MaxSP + 30, INT + 1.",
				"If combines with 'Centimental Leaf', give Flee +2, LUK + 1.",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper^000000 Weight : ^77777710^000000",
				"Required lv : ^7777770^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 1,
			ClassNum: 659
		},

		5782: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unknown item",
				"requiring Appraisal.",
				"Can be identified by",
				"using a Magnifier.",
			],
			identifiedDisplayName: "Legionaire Helm",
			identifiedResourceName: "\xc1\xdf\xc0\xe5\xba\xb8\xba\xb4\xc0\xc7\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"placeholder",
			],
			slotCount: 1,
			ClassNum: 0
		},

		5783: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Yellow Bunny Band",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hairband that attracts men.",
				"You can wear it when you want to look sexy. Your sexyness increases to 100 %",
				"STR+ 1, INT + 1, DEX + 2,",
				"If refined to 9, increase ATK and MATK by 2%.",
				"If refined to 10, increase ATK and MATK by 2% in addition.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper ^000000 Weight : ^77777720^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs ^000000",
			],
			slotCount: 0,
			ClassNum: 662
		},

		5784: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pink Bunny Band",
			identifiedResourceName: "\xc7\xce\xc5\xa9\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hairband that attracts men.",
				"You can wear it when you want to look sexy. Your sexyness increases to 100 %",
				"STR+ 1, INT + 2, DEX + 1,",
				"If refined to 9, increase ATK and MATK by 2%.",
				"If refined to 10, increase ATK and MATK by 2% in addition.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper ^000000 Weight : ^77777720^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs ^000000",
			],
			slotCount: 0,
			ClassNum: 663
		},

		5785: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Green Bunny Band",
			identifiedResourceName: "\xb1\xd7\xb8\xb0\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hairband that attracts men.",
				"You can wear it when you want to look sexy. Your sexyness increases to 100 %",
				"STR+ 2, INT + 1, DEX + 1,",
				"If refined to 9, increase ATK and MATK by 2%.",
				"If refined to 10, increase ATK and MATK by 2% in addition.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper ^000000 Weight : ^77777720^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs ^000000",
			],
			slotCount: 0,
			ClassNum: 664
		},

		5786: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ancient Fairy Ears",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"ÀÚ°¬À´ ´ç¹ûÇÏ»ø °± °äÁ¤ºéÀÇ ¾âµÐÀ´ ··¼£ÇÒ ³ö ÀÖ»Â ±Ç³³´ç·®.",
				"OFP 1, NSK 100, NHK 30.",
				"'Ç®ÀÙ'¿ú ÇÔ½½ ÀåÂø ²Ã ZGP 1%.",
				"'½ÉÀÙ'¿ú ÇÔ½½ ÀåÂø ²Ã NZGP 1%.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777771^000000",
				"À§Ä¡ : ^777777Áß»Ü^000000 Weight : ^77777720^000000",
				"°ä¾·¸¶µ§ : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
			],
			slotCount: 0,
			ClassNum: 665
		},

		5788: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "3D Glasses",
			identifiedResourceName: "\x33\x44\xbe\xc8\xb0\xe6",
			identifiedDescriptionName: [
				"´ç¶¿À´ ÀÔÃ³ÀûÀ·¸Î µ·ÀÌ¿Ô ÇÑ»Ù»Â ²ÅµñÇÑ ±È¿æ. ÀÚ²ÅÀÇ ³µÀå Á¤ºº°¡ ºû¹ó ¶Þ»Â È°¿úºº Áõ¿¡ÇÑ»Ù¿í ÇÑ»Ù.",
				"¿Ë´ç¿è°­, ´óÀÎ¿è°­, ¾Ã³ö¿è°­, ¿Ç²²·º¿Å, ZGP ÀÏÁ¤¸® ´ó²Â.",
				"·¹¶ý´ç¿è°­, µ¶´ç¿è°­, »ÑÀÚ, ³Ò°ï·ºÄ°»Â NZGP ÀÏÁ¤¸® ´ó²Â.",
				"ºººÏ¿è°­Àµ UOVV ÀÏÁ¤¸® ´ó²Â.",
				"¼ëµñ²µ, ²»ÆÛ¼ëµñ²µ, ÅÂ¾Ç, ¾Ç³µÀµ SK, HK¿¡ ÀÏÁ¤¸® ´ó²Â.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777771^000000",
				"À§Ä¡: ^777777Áß»Ü ^000000 Weight : ^77777710^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
			],
			slotCount: 0,
			ClassNum: 661
		},

		5789: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Thanatos Odium Mask",
			identifiedResourceName: "\xc5\xb8\xb3\xaa\xc5\xe4\xbd\xba\xc0\xc7\xc1\xf5\xbf\xc0\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"Thanatos Mal wore mask. Cute design with high def rate.",
				"Vit + 1.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777773^000000",
				"Location : ^777777Mid-Lower ^000000",
				"Weight : ^77777710^000000",
				"Required lv : ^77777730^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 667
		},

		5790: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mother's Kindness",
			identifiedResourceName: "\xc6\xae\xb6\xf3\xc0\xcc\xbe\xde\xb1\xdb\xb7\xe9\xc4\xb8",
			identifiedDescriptionName: [
				"A hat full of love from Holy Mom. Sacrifice itself to bless you.",
				"Damage from Demi-Human monsters, Undead Monsters + 5%.",
				"With physical attack, activate [Blessing Lv1] with random percentage.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Location : ^777777Upper-Mid ^000000",
				"Weight : ^77777750^000000",
				"Required lv : ^77777745^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 1,
			ClassNum: 610
		},

		5791: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Tenkaippin Ramen",
			identifiedResourceName: "\xc3\xb5\xc7\xcf\xc0\xcf\xc7\xb0\xb6\xf3\xb8\xe9",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 668
		},

		5792: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fish Pin",
			identifiedResourceName: "\xb9\xb0\xb0\xed\xb1\xe2\xc7\xc9",
			identifiedDescriptionName: [
				"¶¿¿í¾â ·ð±çÀÇ ÇÉ. °¶´ÚÁö·· Å« È°¿ú»Â ±ø»Â ¿Í ¿¿»Ù.",
				"±î¸ùÇü ·ó²µÅÍ°¡¿Ô º¥¶ÌÁö 1% ¿¨³Ò.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777´ó»Ü ^000000 Weight : ^77777710^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
			],
			slotCount: 0,
			ClassNum: 669
		},

		5793: {
			unidentifiedDisplayName: "Ribbon",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Life Ribbon",
			identifiedResourceName: "\xba\xea\xb6\xf3\xc1\xfa\xc6\xae\xc0\xa9\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"^000088Rental item^000000",
				"Yellow, green matching cute ribbon item.",
				"INT + 1, MDEF + 2.",
				"Increase the effect of the Heal that its wearer casts by 2%.",
				"Class : ^777777Headgear^000000 Defense : ^7777772^000000",
				"Location : ^777777Middle ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 575
		},

		5794: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "3D Glasses",
			identifiedResourceName: "\x33\x44\xbe\xc8\xb0\xe6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"»ç¹°À» ÀÔÃ¼ÀûÀ¸·Î º¸ÀÌ°Ô ÇÑ´Ù´Â ½ÅºñÇÑ ¾È°æ. ÀÚ½ÅÀÇ ¼ºÀå Á¤µµ¿¡ µû¶ó ¹Þ´Â È¿°úµµ Áõ°¡ÇÑ´Ù°í ÇÑ´Ù.",
				"°Ë»ç°è¿­, »óÀÎ°è¿­, ±Ã¼ö°è¿­, °Ç½½¸µ°Å, ATK ÀÏÁ¤·® »ó½Â.",
				"¸¶¹ý»ç°è¿­, º¹»ç°è¿­, ´ÑÀÚ, ¼Ò¿ï¸µÄ¿´Â MATK ÀÏÁ¤·® »ó½Â.",
				"µµµÏ°è¿­Àº FLEE ÀÏÁ¤·® »ó½Â.",
				"³ëºñ½º, ½´ÆÛ³ëºñ½º, ÅÂ±Ç, ±Ç¼ºÀº HP, SP°¡ ÀÏÁ¤·® »ó½Â.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777Áß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 661
		},

		5795: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bright Red Dress Hat",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xb5\xe5\xb7\xb9\xbd\xba\xc7\xde",
			identifiedDescriptionName: [
				"A bright and beautiful hat coordinating a colorful dress.",
				"MDEF+7",
				"If refined by +2 or higher : MDEF + 1",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Upper^000000",
				"Defense : ^7777773^000000",
				"Weight : ^77777720^000000",
				"required level : ^77777720^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 670
		},

		5796: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb0\xbb\xbd\xba\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"Á¤°­ÀûÀÎ ´¡¿£´öÀÇ ÀÀ°ø°ë ²µÄ«ÇÁ.",
				"·ó²µÅÍ°¡¿Ô³­ È¶ºæ ¿æÇèÄ¡ 10% Áõ¿¡.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ»Ü^000000",
				"Weight : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø^000000",
			],
			slotCount: 0,
			ClassNum: 369
		},

		5797: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb0\xbb\xbd\xba\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"Á¤°­ÀûÀÎ ´¡¿£´öÀÇ ÀÀ°ø°ë ²µÄ«ÇÁ.",
				"·ó²µÅÍ°¡¿Ô³­ È¶ºæ ¿æÇèÄ¡ 20% Áõ¿¡.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ»Ü^000000",
				"Weight : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø^000000",
			],
			slotCount: 0,
			ClassNum: 369
		},

		5798: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb0\xbb\xbd\xba\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"Á¤°­ÀûÀÎ ´¡¿£´öÀÇ ÀÀ°ø°ë ²µÄ«ÇÁ.",
				"·ó²µÅÍ°¡¿Ô³­ È¶ºæ ¿æÇèÄ¡ 30% Áõ¿¡.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ»Ü^000000",
				"Weight : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø^000000",
			],
			slotCount: 0,
			ClassNum: 369
		},

		5799: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb0\xbb\xbd\xba\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"Á¤°­ÀûÀÎ ´¡¿£´öÀÇ ÀÀ°ø°ë ²µÄ«ÇÁ.",
				"·ó²µÅÍ°¡¿Ô³­ È¶ºæ ¿æÇèÄ¡ 40% Áõ¿¡.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ»Ü^000000",
				"Weight : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø^000000",
			],
			slotCount: 0,
			ClassNum: 369
		},

		5800: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blush Of Groom",
			identifiedResourceName: "\xb9\xdf\xb1\xd7\xb7\xb9",
			identifiedDescriptionName: [
				"A blushing impression of a bridegroom.",
				"Reduces damage from DemiHuman monster by 3%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 5^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 125
		},

		5801: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ribbon Of Bride",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xc5\xd7\xc0\xcf\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"Pretty red ribbon. You can feel the sweetness of love.",
				"All Stats + 2, Reduce 10% damage taken from DemiHuman monster.",
				"Add a 3% chance of auto casting ^008800Level 5 Heal^000000 on the enemy when attacking.",
				"(A chance of auto casting ^008800Level 10 Heal^000000 if ^008800Level 10 Heal^000000 is learned.)",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 167
		},

		5802: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elephant Hat",
			identifiedResourceName: "\xc4\xda\xb3\xa2\xb8\xae\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"The animal which represents Thailand. The body it grows but kind is pure and it is. It will ask with the long nose and to inhale it scatters to wide scope.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 215
		},

		5803: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Love Flower Hat",
			identifiedResourceName: "\xb2\xc9\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A bandana which made from affection flower network.Chance of getting Yggdrasilseed when a monster gets killed.",
				"Impossible to refine this item.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 5
		},

		5804: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pirate Eye Bandage",
			identifiedResourceName: "\xbe\xc8\xb4\xeb",
			identifiedDescriptionName: [
				"An eye bandage worn by infamous pirates back in the old day. Makes its wearer feel out of perspective when worn.",
				"Add a 15% EXP from every monster during the event period.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 13
		},

		5805: {
			unidentifiedDisplayName: "Victorious Coronet",
			unidentifiedResourceName: "\xbb\xfe\xc7\xc1\xc7\xec\xb5\xe5\xb1\xe2\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Victorious Coronet",
			identifiedResourceName: "\xbb\xfe\xc7\xc1\xc7\xec\xb5\xe5\xb1\xe2\xbe\xee",
			identifiedDescriptionName: [
				"A headband given to the winner. It was said that only a true warrior can wear it.",
				"Maximum HP + 15%, SP Recovery + 5%.",
				"These Item can not be traded or given to other players.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 43
		},

		5806: {
			unidentifiedDisplayName: "Poem Natalia Hat",
			unidentifiedResourceName: "\xbb\xf1\xb0\xab",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poem Natalia Hat",
			identifiedResourceName: "\xbb\xf1\xb0\xab",
			identifiedDescriptionName: [
				"...",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 67
		},

		5807: {
			unidentifiedDisplayName: "October Fest Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "October Fest Cap",
			identifiedResourceName: "\xb1\xea\xc5\xd0\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"The cap which makes you look better in the fest.",
				"Adds chance of auto casting ^008800Level 5 Tarot Card Of Fate^000000 on the enemy when attacking.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 104
		},

		5808: {
			unidentifiedDisplayName: "Dark Bacilium",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dark Bacilium",
			identifiedResourceName: "\xb4\xd9\xc5\xa9\xb9\xd9\xbd\xc7\xb8\xae\xbf\xf2",
			identifiedDescriptionName: [
				"A helmet worn by exceptionally strong people of Morroc.",
				"Only one who can surmount the fear of facing Satan Morroc can acquire this helm.",
				"Add a 20% resistance against ^880000Stone, Freeze, Stun^000000. Each refine increases resistance by 2%.",
				"However, the resistance increases only up to + 10 refine.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper, Mid, Lower^000000",
				"Weight :^777777 25^000000",
				"Applicable Job :^777777 Rebirth 2nd Class or above^000000",
			],
			slotCount: 1,
			ClassNum: 364
		},

		5809: {
			unidentifiedDisplayName: "Boom Boom Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Boom Boom Hat",
			identifiedResourceName: "\xbe\xdf\xb1\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat that seems to explode at any moment.",
				"Increase Movement Speed, All Stats + 5,",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 216
		},

		5810: {
			unidentifiedDisplayName: "Ph.D Hat V",
			unidentifiedResourceName: "\xc7\xd0\xbb\xe7\xb8\xf0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ph.D Hat V",
			identifiedResourceName: "\xc7\xd0\xbb\xe7\xb8\xf0",
			identifiedDescriptionName: [
				"...",
				"...",
				"INT + 5, VIT + 3, DEX + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 98
		},

		5811: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Santa's Beard",
			identifiedResourceName: "\xc8\xf2\xbc\xf6\xbf\xb0",
			identifiedDescriptionName: [
				"A beard that makes you laugh like Santa Clause.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Lower^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 25
		},

		5812: {
			unidentifiedDisplayName: "Hat Of Expert",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hat Of Expert",
			identifiedResourceName: "\xc7\xde",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 16
		},

		5813: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Scholar Hat",
			identifiedResourceName: "\xba\xd3\xc0\xba\xc7\xd0\xbb\xe7\xb8\xf0",
			identifiedDescriptionName: [
				"...",
				"...",
				"INT + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 481
		},

		5814: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"An headgear which is made of many kinds of property rings. It looks very luxurious and charming. Reduce all damage from Demi-humans by 10%,",
				"Reduce damage from Water, Fire, Wind by 5%, Reduce damage from Ghost property monsters by 10%, Increase damage against Ghost property Demi-humans by 50%.",
				"30 days Rental Item.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777772^000000",
				"Location : ^777777Upper,Mid,Lower^000000 Weight : ^7777770^000000",
				"Required Level : ^77777720^000000",
				"Applicable Job : ^777777All Jobs Except Novice^000000",
			],
			identifiedDisplayName: "2011 Pagdayaw",
			identifiedResourceName: "\xbe\xc6\xc6\xbc\xbe\xc6\xc6\xbc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"An headgear which is made of many kinds of property rings. It looks very luxurious and charming. Reduce all damage from Demi-humans by 10%,",
				"Reduce damage from Water, Fire, Wind by 5%, Reduce damage from Ghost property monsters by 10%, Increase damage against Ghost property Demi-humans by 50%.",
				"30 days Rental Item.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777772^000000",
				"Location : ^777777Upper,Mid,Lower^000000 Weight : ^7777770^000000",
				"Required Level : ^77777720^000000",
				"Applicable Job : ^777777All Jobs Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		5815: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Classic Hat",
			identifiedResourceName: "\xc5\xac\xb7\xa1\xbd\xc4\xc7\xde",
			identifiedDescriptionName: [
				"Classic Hat.",
				"Reduces damage from Small, Medium, and Large type monsters by 5%.",
				"STR + 1",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 475
		},

		5816: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "New Cowboy Hat",
			identifiedResourceName: "\xbd\xc5\xc4\xab\xbf\xec\xba\xb8\xc0\xcc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat, symbolizing western frontiers, made to celebrate the festival.",
				"ATK + 15, FLEE - 5.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 0^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 50^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 411
		},

		5817: {
			unidentifiedDisplayName: "Valentine's Emblem",
			unidentifiedResourceName: "\xbc\xbc\xc0\xcc\xc7\xc1\xc6\xbc\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valentine's Emblem",
			identifiedResourceName: "\xbc\xbc\xc0\xcc\xc7\xc1\xc6\xbc\xb8\xb5",
			identifiedDescriptionName: [
				"A special emblem that is given to the most popular character.",
				"ATK + 5%, MATK + 3%, All Status + 2, FLEE + 10 ASPD + 1.",
				"It increases the effect of the Heal, Potion Pitcher",
				"and recovery class Potions by 10% when they are cast by the wearer.",
				"MDEF + 3",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 3^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		5818: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Carnival Hat",
			identifiedResourceName: "\xc4\xab\xb4\xcf\xb9\xdf\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat which made to celebrate the festival.",
				"^FF0000'Made especially for you.'^000000",
				"All Status + 3",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 3^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 505
		},

		5819: {
			unidentifiedDisplayName: "Circlet",
			unidentifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Carnival Circlet",
			identifiedResourceName: "\xc4\xab\xb4\xcf\xb9\xdf\xbc\xad\xc5\xac\xb8\xb4",
			identifiedDescriptionName: [
				"A Circlet that will be used in Carnival festival",
				"^FF0000'Made especially for you.'^000000",
				"All Status + 3",
				"Class :^777777 Headgear^000000",
				"Defense : ^7777776^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 506
		},

		5820: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Fairy Ears",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"...",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper, Mid^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 498
		},

		5821: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Tulip Hairpin",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xc6\xab\xb8\xb3\xb8\xd3\xb8\xae\xc7\xc9",
			identifiedDescriptionName: [
				"...",
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 499
		},

		5822: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chicken Of Love Hat",
			identifiedResourceName: "\xbb\xe7\xb6\xfb\xc0\xc7\xba\xb4\xbe\xc6\xb8\xae\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"...",
				"LUK + 4",
				"MaxHP + 100, MaxSP + 100.",
				"Reduce 7% damage taken from DemiHuman monster.",
				"Reduces damage from undead monsters by 7%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 500
		},

		5823: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Arrow Of Love",
			identifiedResourceName: "\xbb\xe7\xb6\xfb\xc0\xc7\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"...",
				"DEX + 5, AGI + 5.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		5824: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dress Hat",
			identifiedResourceName: "\xb5\xe5\xb7\xb9\xbd\xba\xc7\xde",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 265
		},

		5825: {
			unidentifiedDisplayName: "Knight Of Honor Badge",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Knight Of Honor Badge",
			identifiedResourceName: "\xb1\xe2\xbb\xe7\xc0\xc7\xbf\xb5\xbf\xb9",
			identifiedDescriptionName: [
				"...",
				"ATK + 10%, MATK + 10%.",
				"HP + 1500, MDEF + 1.",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 1^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		5826: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Helm Of Valkyrie",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"...",
				"...",
				"STR + 2, AGI + 2",
				"INT + 2, DEX + 2",
				"Attack Speed + 3%.",
				"Reduced cast time by 3%.",
				"MDEF + 5",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 225
		},

		5827: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Stack of Books",
			identifiedResourceName: "\xb9\xae\xc0\xda\xc3\xa5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"[^000088Event Bonus, will NOT work outside of Event^000000]",
				"ALL STATUS + 3.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 423
		},

		5828: {
			unidentifiedDisplayName: "Ring",
			unidentifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gold Ring Of Honor",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"...",
				"...",
				"ALL STATUS + 5, MDEF + 5",
				"Class :^777777 Accessory^000000",
				"Defense :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		5829: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ordinary Armor",
			identifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			identifiedDescriptionName: [
				"An ordinary armor, nobody knows that it can be refined or not.",
				"Item Class : ^777777Armor^000000 Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^77777730^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		5830: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Sakkat",
			identifiedResourceName: "\xbb\xf1\xb0\xab",
			identifiedDescriptionName: [
				"Enhanced version of Sakkat from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 10%",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper^000000 Weight : ^7777771^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 67
		},

		5831: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Big Ribbon",
			identifiedResourceName: "\xbf\xd5\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"Enhanced version of Big Ribbon from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 10%",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper^000000 Weight : ^7777771^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 28
		},

		5832: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Vane Hairpin",
			identifiedResourceName: "\xc7\xb3\xc2\xf7\xba\xf1\xb3\xe0",
			identifiedDescriptionName: [
				"Enhanced version of Vane Hairpin from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 10%",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper^000000 Weight : ^7777771^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 313
		},

		5833: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Sunday Hat",
			identifiedResourceName: "\xb3\xaa\xb5\xe9\xc0\xcc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Enhanced version of Sunday Hat from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 10%",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper^000000 Weight : ^7777771^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 117
		},

		5834: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Crown",
			identifiedResourceName: "\xc5\xa9\xb6\xf3\xbf\xee",
			identifiedDescriptionName: [
				"Enhanced version of Crown from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 10%",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper^000000 Weight : ^7777771^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 45
		},

		5835: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Tiara",
			identifiedResourceName: "\xc6\xbc\xbe\xc6\xb6\xf3",
			identifiedDescriptionName: [
				"Enhanced version of Tiara from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 10%",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper^000000 Weight : ^7777771^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 19
		},

		5836: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Boy's Cap",
			identifiedResourceName: "\xc7\xd0\xbb\xfd\xb8\xf0",
			identifiedDescriptionName: [
				"Enhanced version of Boy's Cap from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 10%",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper^000000 Weight : ^7777771^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 102
		},

		5837: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Shades",
			identifiedResourceName: "\xbc\xb1\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
				"Enhanced version of Sunglasses from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 2%",
				"Item Class : ^777777Headgear^000000 Defense : ^7777772^000000",
				"Location : ^777777Mid ^000000 Weight : ^7777771^000000",
				"Required Level : ^77777770^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		5838: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Fin Helm",
			identifiedResourceName: "\xc7\xc9\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"Enhanced version of Fin Helm from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 2%",
				"Item Class : ^777777Headgear^000000 Defense : ^7777772^000000",
				"Location : ^777777Mid ^000000 Weight : ^7777771^000000",
				"Required Level : ^77777770^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 100
		},

		5839: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Blush",
			identifiedResourceName: "\xb9\xdf\xb1\xd7\xb7\xb9",
			identifiedDescriptionName: [
				"Enhanced version of Blush from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 2%",
				"Item Class : ^777777Headgear^000000 Defense : ^7777772^000000",
				"Location : ^777777Mid ^000000 Weight : ^7777771^000000",
				"Required Level : ^77777770^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 125
		},

		5840: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Elven Ears",
			identifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"Enhanced version of Elven Ears from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 2%",
				"Item Class : ^777777Headgear^000000 Defense : ^7777772^000000",
				"Location : ^777777Mid ^000000 Weight : ^7777771^000000",
				"Required Level : ^77777770^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 73
		},

		5841: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Winged Hat",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xc0\xce\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 1,
			ClassNum: 596
		},

		5845: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Buzzy Bol Hat",
			identifiedResourceName: "\xb9\xf6\xc1\xf6\xba\xbc\xba\xb8\xb5\xe5",
			identifiedDescriptionName: [
				"Âø°ëÇÏ·é ·Ó·® À§°¡ ±î¹½ ·Þ²ÃÁö¿¡ ¼ªÅ·¼ª¿í, ·Å°ì ¶ß¿ÉÀ²ÀÌ ·Å°ì ¿¡µ­°öÁø»Ù.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777´ó»Ü ^000000 Weight : ^77777740^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
			],
			slotCount: 0,
			ClassNum: 641
		},

		5846: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xae\xc7\xb3\xbc\xb1\xb2\xad",
			identifiedDescriptionName: [
				"·ÀÀÖ»Â ¶öÁöµ³ ½­À´ ÀÔ°¡ ¶¿¿í ÀÖ»Â ·ð²ÀÀÌ ºÈ»Ù.",
				"NWVU 5.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777771^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^77777710^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
			],
			slotCount: 0,
			ClassNum: 572
		},

		5847: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "April's Fool Day Hat",
			identifiedResourceName: "\xb8\xb8\xbf\xec\xc0\xfd\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"Àü³¼¸Î ÀüÇØÁú ··ÇÑ ¶Ùµ·ÀÇ Åõ¾·.",
				"·ÛÇÑ Ç¥Á¤¿ú ÀúÁú Ã³¸Â, »À·¿ Çàº°..ÇÏÁö·· ²ÇÁ¦¸Î»Â Çö·íÇÏ»Ù¿í!!",
				"RMG 5, ERG - 3.",
				"¶¿·®, ·¹¶ý¿ø¿Ý ²Ã ¼¸ÀµÈ®¸ü¸Î ²µ²µ¸Î°¡¿Ô µí¸¶²Ì 10Oe.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777´ó»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
			],
			slotCount: 0,
			ClassNum: 647
		},

		5848: {
			unidentifiedDisplayName: "Bandit Disguise",
			unidentifiedResourceName: "\xc0\xc7\xc0\xfb\x5f\xbe\xc8\xb4\xeb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bandit Disguise",
			identifiedResourceName: "\xc0\xc7\xc0\xfb\x5f\xbe\xc8\xb4\xeb",
			identifiedDescriptionName: [
				"You will feel like you become a legendary outlaw Robin Hood once you wear it.",
				"Wear it properly, otherwise eye patch will block your vision.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Mid ^000000 Weight : ^7777770^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 50
		},

		5849: {
			unidentifiedDisplayName: "Doctor Hairband",
			unidentifiedResourceName: "\xc0\xc7\xbb\xe7\x5f\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Doctor Hairband",
			identifiedResourceName: "\xc0\xc7\xbb\xe7\x5f\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"You will feel like you become a capable doctor once you wear it.",
				"Unlicensed medical service is against the law.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper^000000 Weight : ^7777770^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 60
		},

		5850: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Savage Golden Cap",
			identifiedResourceName: "\xb0\xf1\xb5\xe7\xbc\xbc\xba\xf1\xc1\xf6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"ÀÛ¿í ¾Í°©°î ¿ñºç ³³µñÁö ÀÎÇü ·ðÀÚ.",
				"SK°Í HKÀÇ È·µ¶³Óºº 5% Áõ¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777775^000000",
				"À§Ä¡: ^777777´ó»Ü ^000000 Weight : ^77777750^000000",
				"Required Level : ^77777750^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
			],
			slotCount: 0,
			ClassNum: 648
		},

		5851: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Helm Of Summer",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"^00008830 days Rental Item.^000000",
				"A hat that holds spirit of sun.",
				"Reduce Demi-human damage by 10%.",
				"Add chance to cast Lv1 ¡°Sight¡± skill or Lv1 ¡°Sight Thrasher¡± when being hit by physical or magical attacks.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location : ^777777Upper,Middle^000000 Weight : ^7777770^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 138
		},

		5852: {
			unidentifiedDisplayName: "Easter Egg Shell",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Easter Egg Shell",
			identifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xb4\xde\xb0\xbf\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A colorful egg shell that seems fragile but has mysterious power in it.",
				"MDEF-7.",
				"Recover HP by 1% in every 10 seconds.",
				"If refined higher than +7, increase FLEE + 2.",
				"If refined higher than +9, recover SP by 1% in every 10 seconds.",
				"Class: ^777777Headgear^000000 Defense: ^777777-7^000000",
				"Head Position: ^777777Upper^000000 Weight: ^77777750^000000",
				"Required Level: ^77777740^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 537
		},

		5856: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Worldcup Hat of Passion",
			identifiedResourceName: "\xbf\xad\xc1\xa4\xc0\xc7\xc3\xe0\xb1\xb8\xb0\xf8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat which makes you feel the air of festivity.",
				"Play all over the ground with amazing vitality!!",
				"STR+ 1, INT+ 1, VIT+ 2, DEX+ 2, AGI+ 2, LUK+ 2.",
				"MDEF+1.",
				"Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location: ^777777Upper ^000000 Weight : ^7777770^000000",
				"Required lv : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 671
		},

		5857: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Worldcup Hat of Fight",
			identifiedResourceName: "\xb3\xc3\xc3\xb6\xc0\xc7\xc3\xe0\xb1\xb8\xb0\xf8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat which makes you feel the air of festivity.",
				"Throw a great shot with the outstanding strength!!",
				"STR+ 2, INT+ 1, VIT+ 1, DEX+ 2, AGI+ 2, LUK+ 2.",
				"MDEF+1.",
				"Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location: ^777777Upper ^000000 Weight : ^7777770^000000",
				"Required lv : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 672
		},

		5858: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Worldcup Hat of Victory",
			identifiedResourceName: "\xbd\xc2\xb8\xae\xc0\xc7\xc3\xe0\xb1\xb8\xb0\xf8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat which makes you feel the air of festivity.",
				"Make the other team overwhelmed with your smart strategy!!",
				"STR+ 1, INT+ 2, VIT+ 1, DEX+ 2, AGI+ 2, LUK+ 2.",
				"MDEF+1.",
				"Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location: ^777777Upper ^000000 Weight : ^7777770^000000",
				"Required lv : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 673
		},

		5859: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Worldcup Hat of Honor",
			identifiedResourceName: "\xbf\xb5\xb1\xa4\xc0\xc7\xc3\xe0\xb1\xb8\xb0\xf8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat which makes you feel the air of festivity.",
				"Fight to death for the moment of glory!!",
				"ALL STATE + 3.",
				"MDEF+1.",
				"Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location: ^777777Upper ^000000 Weight : ^7777770^000000",
				"Required lv : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 674
		},

		5860: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Army Cap",
			identifiedResourceName: "\xc7\xc1\xb7\xd0\xc5\xd7\xb6\xf3\xb1\xba\xb8\xf0",
			identifiedDescriptionName: [
				"Enhanced version of Army Cap from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 10%",
				"Item Class: ^777777Headgear^000000 Defense: ^7777770^000000",
				"Location: ^777777Upper ^000000 Weight: ^77777710^000000",
				"Required Level: ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		5861: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Kafra Band",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"Enhanced version of Kafra Band from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 10%",
				"Item Class: ^777777Headgear^000000 Defense: ^7777770^000000",
				"Location: ^777777Upper ^000000 Weight: ^77777710^000000",
				"Required Level: ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		5862: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Sweet Gent",
			identifiedResourceName: "\xbd\xba\xc0\xa7\xc6\xae\xc1\xa8\xc6\xb2",
			identifiedDescriptionName: [
				"Enhanced version of Sweet Gent from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 10%",
				"Item Class: ^777777Headgear^000000 Defense: ^7777770^000000",
				"Location: ^777777Upper ^000000 Weight: ^77777710^000000",
				"Required Level: ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		5863: {
			unidentifiedDisplayName: "Helm",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Siege Zoro Mask",
			identifiedResourceName: "\xc0\xc7\xc0\xfb\xbe\xc8\xb4\xeb",
			identifiedDescriptionName: [
				"Enhanced version of Zoro Mask from the Midgard Crowd Control event.",
				"Reduce damage from Demi-Human by 2%",
				"Item Class: ^777777Headgear^000000 Defense: ^7777772^000000",
				"Location: ^777777Mid ^000000 Weight: ^77777710^000000",
				"Required Level: ^77777770^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6000: {
			unidentifiedDisplayName: "Ashes of Darkness",
			unidentifiedResourceName: "\xb5\xb6\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"A dark ash imbued with mystery magical power and darkness.",
				"^ffffff_^000000",
				"Weight : ^777777 0^000000",
			],
			identifiedDisplayName: "Ashes of Darkness",
			identifiedResourceName: "\xb5\xb6\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"A dark ash imbued with mystery magical power and darkness.",
				"^ffffff_^000000",
				"Weight: ^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6001: {
			unidentifiedDisplayName: "Essence of Fire",
			unidentifiedResourceName: "\xc8\xb2\xc8\xa5\xc0\xc7\xb3\xeb\xc0\xbb",
			unidentifiedDescriptionName: [
				"An essence of fire that is holding pure spirit of Thor, god of thunder.",
				"It has mystery force to restrain of vice and darkness.",
				"^ffffff_^000000",
				"Weight: ^777777 1^000000",
			],
			identifiedDisplayName: "Essence of Fire",
			identifiedResourceName: "\xc8\xb2\xc8\xa5\xc0\xc7\xb3\xeb\xc0\xbb",
			identifiedDescriptionName: [
				"An essence of fire that is holding pure spirit of Thor, god of thunder.",
				"It has mystery force to restrain of vice and darkness.",
				"^ffffff_^000000",
				"Weight: ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6002: {
			unidentifiedDisplayName: "Token of Apostle",
			unidentifiedResourceName: "\xbe\xcf\xc8\xe6\xc0\xc7\xc0\xc7\xc1\xf6",
			unidentifiedDescriptionName: [
				"A token that certifies aspiration of its owner obeying an evil and proves member of diabolists.",
				"^ffffff_^000000",
				"Weight: ^777777 1^000000",
			],
			identifiedDisplayName: "Token of Apostle",
			identifiedResourceName: "\xbe\xcf\xc8\xe6\xc0\xc7\xc0\xc7\xc1\xf6",
			identifiedDescriptionName: [
				"A token that certifies aspiration of its owner obeying an evil and proves member of diabolists.",
				"^ffffff_^000000",
				"Weight: ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6003: {
			unidentifiedDisplayName: "Pendant of Spirit",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc6\xe6\xb4\xf8\xc6\xae",
			unidentifiedDescriptionName: [
				"A pendant that used to be use for confining wandered soul from unknown places.",
				"^ffffff_^000000",
				"Weight: ^777777 1^000000",
			],
			identifiedDisplayName: "Pendant of Spirit",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc6\xe6\xb4\xf8\xc6\xae",
			identifiedDescriptionName: [
				"A pendant that used to be use for confining wandered soul from unknown places.",
				"^ffffff_^000000",
				"Weight: ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6004: {
			unidentifiedDisplayName: "Cursed Baphomet Doll",
			unidentifiedResourceName: "\xb9\xd9\xc6\xf7\xb8\xde\xc6\xae\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A Doll imbued with Baphomet's curse. It seems like to be compounded with something.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Cursed Baphomet Doll",
			identifiedResourceName: "\xb9\xd9\xc6\xf7\xb8\xde\xc6\xae\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A Doll imbued with Baphomet's curse. It seems like to be compounded with something.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6005: {
			unidentifiedDisplayName: "NewYear Ricecake",
			unidentifiedResourceName: "\xb0\xa1\xb7\xa1\xb6\xb1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "NewYear Ricecake",
			identifiedResourceName: "\xb0\xa1\xb7\xa1\xb6\xb1",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6006: {
			unidentifiedDisplayName: "Delivery Ricecake Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Delivery Ricecake Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6007: {
			unidentifiedDisplayName: "NewYear Ricecake Soup",
			unidentifiedResourceName: "\xb6\xb1\xb1\xb9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "NewYear Ricecake Soup",
			identifiedResourceName: "\xb6\xb1\xb1\xb9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6008: {
			unidentifiedDisplayName: "Wood",
			unidentifiedResourceName: "\xc5\xeb\xb3\xaa\xb9\xab",
			unidentifiedDescriptionName: [
				"Good quality wood. It makes the wooden building it is a tightly good lumber.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wood",
			identifiedResourceName: "\xc5\xeb\xb3\xaa\xb9\xab",
			identifiedDescriptionName: [
				"Good quality wood. It makes the wooden building it is a tightly good lumber.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6009: {
			unidentifiedDisplayName: "Big Fan Of Magic",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xb1\xea\xb5\xe7\xb4\xeb\xc7\xfc\xba\xce\xc3\xa4",
			unidentifiedDescriptionName: [
				"Magical Fan that can stir up a strong wind. Let's try it under the cherry blossom tree.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Big Fan Of Magic",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xb1\xea\xb5\xe7\xb4\xeb\xc7\xfc\xba\xce\xc3\xa4",
			identifiedDescriptionName: [
				"Magical Fan that can stir up a strong wind. Let's try it under the cherry blossom tree.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6010: {
			unidentifiedDisplayName: "Hoe",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb0\xee\xb1\xaa\xc0\xcc",
			unidentifiedDescriptionName: [
				"Pickaxe which can be used as an weapon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hoe",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb0\xee\xb1\xaa\xc0\xcc",
			identifiedDescriptionName: [
				"Pickaxe which can be used as an weapon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6011: {
			unidentifiedDisplayName: "Blue B Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x42",
			unidentifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFB^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue B Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x42",
			identifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFB^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6012: {
			unidentifiedDisplayName: "Blue C Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x43",
			unidentifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFC^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue C Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x43",
			identifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFC^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6013: {
			unidentifiedDisplayName: "Blue J Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x4a",
			unidentifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFJ^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue J Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x4a",
			identifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFJ^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6015: {
			unidentifiedDisplayName: "Blue M Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x4d",
			unidentifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFM^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue M Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x4d",
			identifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFM^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6016: {
			unidentifiedDisplayName: "Blue Q Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x51",
			unidentifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFQ^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Q Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x51",
			identifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFQ^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6017: {
			unidentifiedDisplayName: "Blue T Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x54",
			unidentifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFT^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue T Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x54",
			identifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFT^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6018: {
			unidentifiedDisplayName: "Blue V Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x56",
			unidentifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFV^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue V Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x56",
			identifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFV^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6019: {
			unidentifiedDisplayName: "Blue Z Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5a",
			unidentifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFZ^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Z Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5a",
			identifiedDescriptionName: [
				"Traditional first time allows you to learn the good-natured character \"^0000FFZ^000000\" card which is used for special events.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6020: {
			unidentifiedDisplayName: "Fur",
			unidentifiedResourceName: "\xb8\xf0\xc7\xc7",
			unidentifiedDescriptionName: [
				"Beautiful Silver colored fur that can be sold to merchant NPC at a high price.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fur",
			identifiedResourceName: "\xb8\xf0\xc7\xc7",
			identifiedDescriptionName: [
				"Beautiful Silver colored fur that can be sold to merchant NPC at a high price.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6021: {
			unidentifiedDisplayName: "Peaked Hat",
			unidentifiedResourceName: "\xb0\xed\xb1\xf2\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Small, red colored Peaked Hat that can be sold to merchant NPC at a high price.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Peaked Hat",
			identifiedResourceName: "\xb0\xed\xb1\xf2\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Small, red colored Peaked Hat that can be sold to merchant NPC at a high price.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6022: {
			unidentifiedDisplayName: "Hard Skin",
			unidentifiedResourceName: "\xb5\xfc\xb5\xfc\xc7\xd1\xc7\xc7\xba\xce",
			unidentifiedDescriptionName: [
				"Gray colored Hard Skin. Too hard that it seems impossible to be even processed.",
				"It can be sold to merchant NPC at a high price.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hard Skin",
			identifiedResourceName: "\xb5\xfc\xb5\xfc\xc7\xd1\xc7\xc7\xba\xce",
			identifiedDescriptionName: [
				"Gray colored Hard Skin. Too hard that it seems impossible to be even processed.",
				"It can be sold to merchant NPC at a high price.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6023: {
			unidentifiedDisplayName: "Mystic Horn",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xc0\xc7\xbb\xd4",
			unidentifiedDescriptionName: [
				"Beautiful long, white colored horn with the very strong magical power.",
				"It can be sold to merchant NPC at a high price.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystic Horn",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xc0\xc7\xbb\xd4",
			identifiedDescriptionName: [
				"Beautiful long, white colored horn with the very strong magical power.",
				"It can be sold to merchant NPC at a high price.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6024: {
			unidentifiedDisplayName: "17Carat Diamond",
			unidentifiedResourceName: "\x31\x37\xc4\xb3\xb7\xb5\xb4\xd9\xc0\xcc\xbe\xc6",
			unidentifiedDescriptionName: [
				"17 Carat Diamond.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "17Carat Diamond",
			identifiedResourceName: "\x31\x37\xc4\xb3\xb7\xb5\xb4\xd9\xc0\xcc\xbe\xc6",
			identifiedDescriptionName: [
				"17 Carat Diamond.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6025: {
			unidentifiedDisplayName: "Towel of Memory",
			unidentifiedResourceName: "\xc3\xdf\xbe\xef\xc0\xc7\xbc\xf6\xb0\xc7",
			unidentifiedDescriptionName: [
				"A towel that helps you remember those that have passed on.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Towel of Memory",
			identifiedResourceName: "\xc3\xdf\xbe\xef\xc0\xc7\xbc\xf6\xb0\xc7",
			identifiedDescriptionName: [
				"A towel that helps you remember those that have passed on.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6026: {
			unidentifiedDisplayName: "Written Oath Of Marriage",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"This written oath professes undying love, loyalty, and union.",
				"Forever in life, and eternally beyond death.",
				"^ffffff_^000000",
				"Cannot be Dropped or Traded.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Written Oath Of Marriage",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"This written oath professes undying love, loyalty, and union.",
				"Forever in life, and eternally beyond death.",
				"^ffffff_^000000",
				"Cannot be Dropped or Traded.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6027: {
			unidentifiedDisplayName: "Crystal Of Feardoom",
			unidentifiedResourceName: "\xc7\xc7\xbe\xee\xb5\xd2\xb0\xe1\xc1\xa4\xc3\xbc",
			unidentifiedDescriptionName: [
				"A crystal bearing strong force of darkness. ",
				"Blood stain on the surface looks full of darkness. It gives the feeling of evil.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Crystal Of Feardom",
			identifiedResourceName: "\xc7\xc7\xbe\xee\xb5\xd2\xb0\xe1\xc1\xa4\xc3\xbc",
			identifiedDescriptionName: [
				"A crystal bearing strong force of darkness.",
				"Blood stain on the surface looks full of darkness. It gives the feeling of evil.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6028: {
			unidentifiedDisplayName: "Sealed Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Sealed scroll hiding magical spells.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Sealed Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Sealed scroll hiding magical spells.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6029: {
			unidentifiedDisplayName: "Morocc Tracing Log",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"The is a record of tracing Raiyan Moore who was the leader of unsealing Satan Morocc along with the investigation of the Crack of Dimension. ",
				"Pretty messy for a report to be submitted to the superior office.",
				"Writer: Echinacea, Kid, Rin",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Morocc Tracing Log",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"The is a record of tracing Raiyan Moore who was the leader of unsealing Satan Morocc along with the investigation of the Crack of Dimension.",
				"Pretty messy for a report to be submitted to the superior office.",
				"Writer: Echinacea, Kid, Rin",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6030: {
			unidentifiedDisplayName: "Glittering Paper",
			unidentifiedResourceName: "\xb1\xe2\xb8\xa7\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"My heart's pounding! Where is the treasure paper?",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glittering Paper",
			identifiedResourceName: "\xb1\xe2\xb8\xa7\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"My heart's pounding! Where is the treasure paper?",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6031: {
			unidentifiedDisplayName: "Glittering Paper",
			unidentifiedResourceName: "\xb1\xe2\xb8\xa7\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"\"You're lucky to catch! Pierre went before a late!\"",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glittering Paper",
			identifiedResourceName: "\xb1\xe2\xb8\xa7\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"\"You're lucky to catch! Pierre went before a late!\"",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6032: {
			unidentifiedDisplayName: "Horn of Hilsrion",
			unidentifiedResourceName: "\xbb\xf5\xc7\xcf\xbe\xe1\xbb\xd4",
			unidentifiedDescriptionName: [
				"A hard horn grows on Hilsrion's head.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Horn of Hillslion",
			identifiedResourceName: "\xbb\xf5\xc7\xcf\xbe\xe1\xbb\xd4",
			identifiedDescriptionName: [
				"A hard horn grows on Hilsrion's head.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6033: {
			unidentifiedDisplayName: "Horn of Tendrilion",
			unidentifiedResourceName: "\xbb\xf5\xc7\xcf\xbe\xe1\xbb\xd4",
			unidentifiedDescriptionName: [
				"A hard horn grows on Tendrilion's head.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Horn of Tendrilion",
			identifiedResourceName: "\xbb\xf5\xc7\xcf\xbe\xe1\xbb\xd4",
			identifiedDescriptionName: [
				"A hard horn grows on Tendrilion's head.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6034: {
			unidentifiedDisplayName: "Weird Part",
			unidentifiedResourceName: "\xb9\xcc\xc1\xf6\xc0\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A very worn-out piece of some part.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Weird Part",
			identifiedResourceName: "\xb9\xcc\xc1\xf6\xc0\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A very worn-out piece of some part.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6035: {
			unidentifiedDisplayName: "Decaying Stem",
			unidentifiedResourceName: "\xb3\xaa\xb9\xab\xbb\xd1\xb8\xae",
			unidentifiedDescriptionName: [
				"An old, decaying stem of a plant.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Decaying Stem",
			identifiedResourceName: "\xb3\xaa\xb9\xab\xbb\xd1\xb8\xae",
			identifiedDescriptionName: [
				"An old, decaying stem of a plant.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6036: {
			unidentifiedDisplayName: "Meeting Invitation",
			unidentifiedResourceName: "\xc7\xd1\xbc\xae\xba\xc0\xbc\xd2\xb0\xb3\xc0\xe5",
			unidentifiedDescriptionName: [
				"Rune-Midgard's investigator, Ryosen has filled out this Meeting Invitation. The agenda and the schedule of the meeting are written. ",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Meeting Invitation",
			identifiedResourceName: "\xc7\xd1\xbc\xae\xba\xc0\xbc\xd2\xb0\xb3\xc0\xe5",
			identifiedDescriptionName: [
				"Rune-Midgard's investigator, Ryosen has filled out this Meeting Invitation. The agenda and the schedule of the meeting are written.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6037: {
			unidentifiedDisplayName: "Messy File",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A bundle of files ripped and crumpled everywhere. Some of the papers are sticking out of the bunch.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Messy File",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A bundle of files ripped and crumpled everywhere. Some of the papers are sticking out of the bunch.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6038: {
			unidentifiedDisplayName: "Neat Report",
			unidentifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			unidentifiedDescriptionName: [
				"Very nicely sorted document file. A small thanks note is attached on the bottom of the file.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neat Report",
			identifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			identifiedDescriptionName: [
				"Very nicely sorted document file. A small thanks note is attached on the bottom of the file.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6039: {
			unidentifiedDisplayName: "Piece of Fish",
			unidentifiedResourceName: "\xbb\xfd\xbc\xb1\xc0\xc7\xb2\xbf\xb8\xae",
			unidentifiedDescriptionName: [
				"A piece of raw fish. This is cats' favorite food. ",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Piece of Fish",
			identifiedResourceName: "\xbb\xfd\xbc\xb1\xc0\xc7\xb2\xbf\xb8\xae",
			identifiedDescriptionName: [
				"A piece of raw fish. This is cats' favorite food.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6040: {
			unidentifiedDisplayName: "Part of a Report",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Looks like a part of the expedition's report. Some parts are destroyed and wrinkled that can hardly be recognized.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Part of a Report",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Looks like a part of the expedition's report. Some parts are destroyed and wrinkled that can hardly be recognized.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6041: {
			unidentifiedDisplayName: "Strong Vine",
			unidentifiedResourceName: "\xc1\xfa\xb1\xe4\xb3\xaa\xb9\xab\xb5\xa2\xc4\xf0",
			unidentifiedDescriptionName: [
				"Strong looking vine. Looks useful for various use.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Strong Vine",
			identifiedResourceName: "\xc1\xfa\xb1\xe4\xb3\xaa\xb9\xab\xb5\xa2\xc4\xf0",
			identifiedDescriptionName: [
				"Strong looking vine. Looks useful for various use.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6042: {
			unidentifiedDisplayName: "Ordinary Branch",
			unidentifiedResourceName: "\xc6\xb0\xc6\xb0\xc7\xd1\xb3\xaa\xb9\xab\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"Looks sturdy branches. In many ways, there seems useless.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ordinary Branch",
			identifiedResourceName: "\xc6\xb0\xc6\xb0\xc7\xd1\xb3\xaa\xb9\xab\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"Looks sturdy branches. In many ways, there seems useless.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6043: {
			unidentifiedDisplayName: "Letter from Lugen",
			unidentifiedResourceName: "\xbe\xc8\xba\xce\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"A letter to the close friend, Otto. Lugen wrote a letter since he couldn't spare any time to meet up with him.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Letter from Lugen",
			identifiedResourceName: "\xbe\xc8\xba\xce\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"A letter to the close friend, Otto. Lugen wrote a letter since he couldn't spare any time to meet up with him.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6044: {
			unidentifiedDisplayName: "Letter from Otto",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"The reply letter to Lugen. You can feel their close friendship.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Letter from Otto",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"The reply letter to Lugen. You can feel their close friendship.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6045: {
			unidentifiedDisplayName: "Supply Box",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box with various supplies. Many living supplies with the articles of comfort are contained.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Supply Box",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box with various supplies. Many living supplies with the articles of comfort are contained.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6046: {
			unidentifiedDisplayName: "New Clothing Dye Coupon",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			unidentifiedDescriptionName: [
				"NPC coupon can be used to clothing dye.",
				"(Caution : When change jobs, you will lose the effect of the clothing dye and return to your original color.)",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "New Clothing Dye Coupon",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			identifiedDescriptionName: [
				"NPC coupon can be used to clothing dye.",
				"(Caution : When change jobs, you will lose the effect of the clothing dye and return to your original color.)",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6047: {
			unidentifiedDisplayName: "Original Clothing Dye Coupon",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			unidentifiedDescriptionName: [
				"NPC will give this coupon to clothing the dye with original color. ",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Original Clothing Dye Coupon",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			identifiedDescriptionName: [
				"NPC will give this coupon to clothing the dye with original color.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6048: {
			unidentifiedDisplayName: "Unidentifeid Mineral",
			unidentifiedResourceName: "\xb9\xcc\xbd\xba\xb8\xb1\xb1\xa4\xbc\xae",
			unidentifiedDescriptionName: [
				"A mineral never found in Midgard. Most labs want to study it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Unidentified Mineral",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xb8\xb1\xb1\xa4\xbc\xae",
			identifiedDescriptionName: [
				"A mineral never found in Midgard. Most labs want to study it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6049: {
			unidentifiedDisplayName: "Marlin",
			unidentifiedResourceName: "\xbb\xfd\xbc\xb1\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"A fish called Marlin. But, it looks a bit different from what you saw in a book.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marlin",
			identifiedResourceName: "\xbb\xfd\xbc\xb1\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A fish called Marlin. But, it looks a bit different from what you saw in a book.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6050: {
			unidentifiedDisplayName: "Mercenary Contract",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"A document that verifying the contract with mercenary.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Mercenary Contract",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"A document that verifying the contract with mercenary.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6051: {
			unidentifiedDisplayName: "Gray Hollow",
			unidentifiedResourceName: "\xbf\xb5\xc8\xa5\xc0\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"Unknown ore. Whose identity is hard to possess supernatural powers.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gray Hollow",
			identifiedResourceName: "\xbf\xb5\xc8\xa5\xc0\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"Unknown ore. Whose identity is hard to possess supernatural powers.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6052: {
			unidentifiedDisplayName: "Ornament Hairpin",
			unidentifiedResourceName: "\xba\xf1\xb3\xe0",
			unidentifiedDescriptionName: [
				"The heads of your favorite girl. Many the people love to purchase a gift for their women.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ornament Hairpin",
			identifiedResourceName: "\xba\xf1\xb3\xe0",
			identifiedDescriptionName: [
				"The heads of your favorite girl. Many the people love to purchase a gift for their women.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6053: {
			unidentifiedDisplayName: "Circle Step",
			unidentifiedResourceName: "\xbf\xf8\xba\xb8",
			unidentifiedDescriptionName: [
				"A symbol of the wealth.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Circle Step",
			identifiedResourceName: "\xbf\xf8\xba\xb8",
			identifiedDescriptionName: [
				"A symbol of the wealth.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6054: {
			unidentifiedDisplayName: "Number 6 Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\x36",
			unidentifiedDescriptionName: [
				"A card with the letter \"^0000886^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Number 6 Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\x36",
			identifiedDescriptionName: [
				"A card with the letter \"^0000886^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6055: {
			unidentifiedDisplayName: "Character Week Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\xc1\xd6",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088Week^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Character Week Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\xc1\xd6",
			identifiedDescriptionName: [
				"A card with the letter \"^000088Week^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6056: {
			unidentifiedDisplayName: "Character Year Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\xb3\xe2",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088Year^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Character Year Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\xb3\xe2",
			identifiedDescriptionName: [
				"A card with the letter \"^000088Year^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6057: {
			unidentifiedDisplayName: "Character Lee Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\xc0\xcc",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088Lee^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Character Lee Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\xc0\xcc",
			identifiedDescriptionName: [
				"A card with the letter \"^000088Lee^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6058: {
			unidentifiedDisplayName: "Character Ben Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\xba\xa5",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088Ben^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Character Ben Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\xba\xa5",
			identifiedDescriptionName: [
				"A card with the letter \"^000088Ben^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6059: {
			unidentifiedDisplayName: "Character Project Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\xc6\xae",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088Project^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Character Project Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\xc6\xae",
			identifiedDescriptionName: [
				"A card with the letter \"^000088Project^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6060: {
			unidentifiedDisplayName: "Month Viewing Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Month Viewing Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6061: {
			unidentifiedDisplayName: "Blood Beginner",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Blood Beginner",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6062: {
			unidentifiedDisplayName: "Letter Moon Cake",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has '2' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Letter Moon Cake",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has '2' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6063: {
			unidentifiedDisplayName: "Letter Moon Cake",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has '0' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Letter Moon Cake",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has '0' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6064: {
			unidentifiedDisplayName: "Letter Moon Cake",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has '8' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Letter Moon Cake",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has '8' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6065: {
			unidentifiedDisplayName: "Letter Moon Cake",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has 'Happiness' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Letter Moon Cake",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has 'Happiness' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6066: {
			unidentifiedDisplayName: "Letter Moon Cake",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has 'Easy' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Letter Moon Cake",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has 'Easy' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6067: {
			unidentifiedDisplayName: "Letter Moon Cake",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has 'Celebration' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Letter Moon Cake",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has 'Celebration' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6068: {
			unidentifiedDisplayName: "Leather Rabbit",
			unidentifiedResourceName: "\xb5\xbf\xb9\xb0\xb0\xa1\xc1\xd7",
			unidentifiedDescriptionName: [
				"A leather from special rabbit . I think anyone who really need it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leather Rabbit",
			identifiedResourceName: "\xb5\xbf\xb9\xb0\xb0\xa1\xc1\xd7",
			identifiedDescriptionName: [
				"A leather from special rabbit . I think anyone who really need it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6069: {
			unidentifiedDisplayName: "Abundance",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Abundance",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6070: {
			unidentifiedDisplayName: "Shaman's Document",
			unidentifiedResourceName: "\xbb\xfe\xb8\xd5\xc0\xc7\xb0\xed\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Ancient Scroll Of Shaman.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shaman's Document",
			identifiedResourceName: "\xbb\xfe\xb8\xd5\xc0\xc7\xb0\xed\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Ancient Scroll Of Shaman.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6071: {
			unidentifiedDisplayName: "Broken Sword",
			unidentifiedResourceName: "\xba\xce\xb7\xaf\xc1\xf8\xb0\xcb",
			unidentifiedDescriptionName: [
				"Broken Sword.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Broken Sword",
			identifiedResourceName: "\xba\xce\xb7\xaf\xc1\xf8\xb0\xcb",
			identifiedDescriptionName: [
				"Broken Sword.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6072: {
			unidentifiedDisplayName: "Bijofnil Feather",
			unidentifiedResourceName: "\xba\xf1\xc1\xb6\xc7\xc1\xb4\xd2\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"Feather Of Bizofnil.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bijofnil Feather",
			identifiedResourceName: "\xba\xf1\xc1\xb6\xc7\xc1\xb4\xd2\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"Feather Of Bizofnil.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6073: {
			unidentifiedDisplayName: "Dragon's Mane",
			unidentifiedResourceName: "\xc4\xda\xba\xbc\xc6\xae\xc0\xc7\xc5\xd0",
			unidentifiedDescriptionName: [
				"Mysterious blue mane of the dragon. It is used to decorate for its beautiful color and silky touch.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Dragon's Mane",
			identifiedResourceName: "\xc4\xda\xba\xbc\xc6\xae\xc0\xc7\xc5\xd0",
			identifiedDescriptionName: [
				"Mysterious blue mane of the dragon. It is used to decorate for its beautiful color and silky touch.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6074: {
			unidentifiedDisplayName: "Bazett's Order",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Slightly worn note. Becareful not to lose its pages!",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Bazett's Order",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Slightly worn note. Becareful not to lose its pages!",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6075: {
			unidentifiedDisplayName: "Crystalized Teardrop",
			unidentifiedResourceName: "\xc7\xcf\xb4\xc3\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"The one and only tear drop of the Aqua Elemental.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Crystalized Teardrop",
			identifiedResourceName: "\xc7\xcf\xb4\xc3\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"The one and only tear drop of the Aqua Elemental.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6076: {
			unidentifiedDisplayName: "Portable Toolbox",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Toolbox consists of portable tools for collecting an ore or a plant.",
				"They include a small rockhammer and a radar.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Portable Toolbox",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Toolbox consists of portable tools for collecting an ore or a plant.",
				"They include a small rockhammer and a radar.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6077: {
			unidentifiedDisplayName: "Rough Mineral",
			unidentifiedResourceName: "\xc3\xb6\xb1\xa4\xbc\xae",
			unidentifiedDescriptionName: [
				"Roughly collected ore.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Rough Mineral",
			identifiedResourceName: "\xc3\xb6\xb1\xa4\xbc\xae",
			identifiedDescriptionName: [
				"Roughly collected ore.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6078: {
			unidentifiedDisplayName: "Stone Fragment",
			unidentifiedResourceName: "\xb8\xb6\xb8\xa5\xb8\xf0\xb7\xa1",
			unidentifiedDescriptionName: [
				"Small fragments of the broken stone.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Stone Fragment",
			identifiedResourceName: "\xb8\xb6\xb8\xa5\xb8\xf0\xb7\xa1",
			identifiedDescriptionName: [
				"Small fragments of the broken stone.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6079: {
			unidentifiedDisplayName: "Flower Of Alfheim",
			unidentifiedResourceName: "\xc8\xaf\xbb\xf3\xc0\xc7\xb2\xc9",
			unidentifiedDescriptionName: [
				"Wild flower easily found in Alfheim.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Flower Of Alfheim",
			identifiedResourceName: "\xc8\xaf\xbb\xf3\xc0\xc7\xb2\xc9",
			identifiedDescriptionName: [
				"Wild flower easily found in Alfheim.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6080: {
			unidentifiedDisplayName: "Manuk Coin",
			unidentifiedResourceName: "\xb1\xdd\xc8\xad",
			unidentifiedDescriptionName: [
				"A coin which can be used in Manuk.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Manuk Coin",
			identifiedResourceName: "\xb1\xdd\xc8\xad",
			identifiedDescriptionName: [
				"A coin which can be used in Manuk.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6081: {
			unidentifiedDisplayName: "Splendide Coin",
			unidentifiedResourceName: "\xb9\xe9\xb1\xdd\xc8\xad",
			unidentifiedDescriptionName: [
				"A coin which can be used in Splendide Outpost.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Splendide Coin",
			identifiedResourceName: "\xb9\xe9\xb1\xdd\xc8\xad",
			identifiedDescriptionName: [
				"A coin which can be used in Splendide Outpost.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6082: {
			unidentifiedDisplayName: "Spirit Of Alfheim",
			unidentifiedResourceName: "\xb9\xd9\xb9\xd9\xbe\xdf\xb0\xa1\xc0\xc7\xba\xf1\xbe\xe0",
			unidentifiedDescriptionName: [
				"Perfume made by distilled flowers of Alfheim. It smells cozy and nostalgic.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spirit Of Alfheim",
			identifiedResourceName: "\xb9\xd9\xb9\xd9\xbe\xdf\xb0\xa1\xc0\xc7\xba\xf1\xbe\xe0",
			identifiedDescriptionName: [
				"Perfume made by distilled flowers of Alfheim. It smells cozy and nostalgic.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6083: {
			unidentifiedDisplayName: "Dolly Capsule",
			unidentifiedResourceName: "\xc6\xf8\xc5\xba\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A tiny capsule which contains a cute doll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dolly Capsule",
			identifiedResourceName: "\xc6\xf8\xc5\xba\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A tiny capsule which contains a cute doll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6084: {
			unidentifiedDisplayName: "Bradium Fragments",
			unidentifiedResourceName: "\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2\xc6\xc4\xc6\xed",
			unidentifiedDescriptionName: [
				"Fragmented Bradium's piece. Laphine were experimenting on it and it's quality is different from the refined bradium at Manuk.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Bradium Fragments",
			identifiedResourceName: "\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2\xc6\xc4\xc6\xed",
			identifiedDescriptionName: [
				"Fragmented Bradium's piece. Laphine were experimenting on it and it's quality is different from the refined bradium at Manuk.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6085: {
			unidentifiedDisplayName: "Shaggy Muffler",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xd3\xc7\xc3\xb7\xaf",
			unidentifiedDescriptionName: [
				"A Muffler made out of unacquainted materials and technique. It is Manuk's Sapha tribe's favorite muffler.",
				"It's worn out. The name is inscripted on the tip of muffler.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Shaggy Muffler",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"A Muffler made out of unacquainted materials and technique. It is Manuk's Sapha tribe's favorite muffler.",
				"It's worn out. The name is inscripted on the tip of muffler.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6086: {
			unidentifiedDisplayName: "Withered Flower",
			unidentifiedResourceName: "\xbd\xc3\xb5\xe7\xb2\xc9",
			unidentifiedDescriptionName: [
				"Completely withered flower. Wonder how it looked when it was at its full-bloom.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Withered Flower",
			identifiedResourceName: "\xbd\xc3\xb5\xe7\xb2\xc9",
			identifiedDescriptionName: [
				"Completely withered flower. Wonder how it looked when it was at its full-bloom.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6087: {
			unidentifiedDisplayName: "Spiritual Crystal",
			unidentifiedResourceName: "\xc1\xa4\xb7\xc9\xc0\xc7\xb0\xe1\xc1\xa4\x30\x31",
			unidentifiedDescriptionName: [
				"Brightly shining jewel with a very small size. Some of rare ones are blessed by the fairy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spiritual Crystal",
			identifiedResourceName: "\xc1\xa4\xb7\xc9\xc0\xc7\xb0\xe1\xc1\xa4\x30\x31",
			identifiedDescriptionName: [
				"Brightly shining jewel with a very small size. Some of rare ones are blessed by the fairy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6088: {
			unidentifiedDisplayName: "Spiritual Crystal",
			unidentifiedResourceName: "\xc1\xa4\xb7\xc9\xc0\xc7\xb0\xe1\xc1\xa4\x30\x32",
			unidentifiedDescriptionName: [
				"Brightly shining jewel with a very small size. Some of rare ones are blessed by the fairy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spiritual Crystal",
			identifiedResourceName: "\xc1\xa4\xb7\xc9\xc0\xc7\xb0\xe1\xc1\xa4\x30\x32",
			identifiedDescriptionName: [
				"Brightly shining jewel with a very small size. Some of rare ones are blessed by the fairy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6089: {
			unidentifiedDisplayName: "Dark Piece",
			unidentifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A bead keeping dusky darness inside. It feels like you could look beyond the universe through it if you look close.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dark Piece",
			identifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A bead keeping dusky darness inside. It feels like you could look beyond the universe through it if you look close.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6090: {
			unidentifiedDisplayName: "Refined Bradium",
			unidentifiedResourceName: "\xc1\xa4\xc1\xa6\xc7\xd1\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2",
			unidentifiedDescriptionName: [
				"Purified Bradium which is the Ore of the other world. It looks like an Ice, but it's warm.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Refined Bradium",
			identifiedResourceName: "\xc1\xa4\xc1\xa6\xc7\xd1\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2",
			identifiedDescriptionName: [
				"Purified Bradium which is the Ore of the other world. It looks like an Ice, but it's warm.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6091: {
			unidentifiedDisplayName: "Darkred Scale Piece",
			unidentifiedResourceName: "\xb0\xcb\xba\xd3\xc0\xba\xba\xf1\xb4\xc3\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A huge magical bloody-red dragon scale. Luckly, it doesn't smell fishy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Darkred Scale Piece",
			identifiedResourceName: "\xb0\xcb\xba\xd3\xc0\xba\xba\xf1\xb4\xc3\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A huge magical bloody-red dragon scale. Luckly, it doesn't smell fishy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6092: {
			unidentifiedDisplayName: "Piece Of Singing Crystal",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A piece of crystal which sings and seems enchanted to memorize songs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Piece Of Singing Crystal",
			identifiedResourceName: "\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A piece of crystal which sings and seems enchanted to memorize songs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6093: {
			unidentifiedDisplayName: "Draco's Egg",
			unidentifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"Draco's Egg about to be hatched. If you take a good care of it, you may have the chance to see baby draco.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Draco's Egg",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"Draco's Egg about to be hatched. If you take a good care of it, you may have the chance to see baby draco.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6094: {
			unidentifiedDisplayName: "Traditional Cookie",
			unidentifiedResourceName: "\x54\x72\x61\x64\x69\x74\x69\x6f\x6e\x61\x6c\x5f\x43\x6f\x6f\x6b\x69\x65",
			unidentifiedDescriptionName: [
				"Delicious Traditional Cookies. Adults may like it too.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Traditional Cookie",
			identifiedResourceName: "\xc0\xdf\xb1\xb8\xbf\xee\xc4\xed\xc5\xb0",
			identifiedDescriptionName: [
				"Delicious Traditional Cookies. Adults may like it too.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6095: {
			unidentifiedDisplayName: "Flavored Alcohol",
			unidentifiedResourceName: "\xc7\xe2\xc1\xd6",
			unidentifiedDescriptionName: [
				"Sweet flower scented alcohol. The scent is enjoyable.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flavored Alcohol",
			identifiedResourceName: "\xc7\xe2\xc1\xd6",
			identifiedDescriptionName: [
				"Sweet flower scented alcohol. The scent is enjoyable.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6096: {
			unidentifiedDisplayName: "Fish With Blue Back",
			unidentifiedResourceName: "\xb5\xee\xc7\xaa\xb8\xa5\xbb\xfd\xbc\xb1",
			unidentifiedDescriptionName: [
				"A fish that has a back and blue color as the sea. Said to be good for your body.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fish With Blue Back",
			identifiedResourceName: "\xb5\xee\xc7\xaa\xb8\xa5\xbb\xfd\xbc\xb1",
			identifiedDescriptionName: [
				"A fish that has a back and blue color as the sea. Said to be good for your body.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6097: {
			unidentifiedDisplayName: "Pumpkin Pie ",
			unidentifiedResourceName: "\xc8\xa3\xb9\xda\xc6\xc4\xc0\xcc",
			unidentifiedDescriptionName: [
				"Pumpkin Pie. The pumpkin has a delectable smell.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pumpkin Pie ",
			identifiedResourceName: "\xc8\xa3\xb9\xda\xc6\xc4\xc0\xcc",
			identifiedDescriptionName: [
				"Pumpkin Pie. The pumpkin has a delectable smell.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6098: {
			unidentifiedDisplayName: "Small Snow Flower",
			unidentifiedResourceName: "\xb4\xab\xc0\xc7\xb0\xe1\xc1\xa4",
			unidentifiedDescriptionName: [
				"A little bigger than snowflakes that it looks like a thin ice cookie.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Snow Flower",
			identifiedResourceName: "\xb4\xab\xc0\xc7\xb0\xe1\xc1\xa4",
			identifiedDescriptionName: [
				"A little bigger than snowflakes that it looks like a thin ice cookie.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6099: {
			unidentifiedDisplayName: "Grilled Rice Cake",
			unidentifiedResourceName: "\xb8\xf0\xc2\xee",
			unidentifiedDescriptionName: [
				"Baked till just right, rice cake. Really toasty and warm.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Grilled Rice Cake",
			identifiedResourceName: "\xb8\xf0\xc2\xee",
			identifiedDescriptionName: [
				"Baked till just right, rice cake. Really toasty and warm.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6100: {
			unidentifiedDisplayName: "Damp Darkness",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc0\xc7\xd1\xbe\xee\xb5\xd2",
			unidentifiedDescriptionName: [
				"Chunks of darkness. I have no idea how that is bunched up.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Damp Darkness",
			identifiedResourceName: "\xc0\xbd\xbd\xc0\xc7\xd1\xbe\xee\xb5\xd2",
			identifiedDescriptionName: [
				"Chunks of darkness. I have no idea how that is bunched up.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6101: {
			unidentifiedDisplayName: "Attendance Card",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"This attendance card can not be replaced with cash.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Attendance Card",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"This attendance card can not be replaced with cash.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6102: {
			unidentifiedDisplayName: "Report On Splendide",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Report from Splendide expedition in order to brief atmosphere in Splendide.",
				"Every details about Splendide were written.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Report On Splendide",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Report from Splendide expedition in order to brief atmosphere in Splendide.",
				"Every details about Splendide were written.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6103: {
			unidentifiedDisplayName: "Report On Manuk",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Report from Manuk expedition in order to brief atmosphere in Manuk.",
				"Every details about Manuk were written.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Report On Manuk",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Report from Manuk expedition in order to brief atmosphere in Manuk.",
				"Every details about Manuk were written.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6104: {
			unidentifiedDisplayName: "Big Cell",
			unidentifiedResourceName: "\xc1\xea\xba\xf4\xb7\xb9",
			unidentifiedDescriptionName: [
				"Big crystal from some monsters. Rare, but has no value.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Cell",
			identifiedResourceName: "\xc1\xea\xba\xf4\xb7\xb9",
			identifiedDescriptionName: [
				"Big crystal from some monsters. Rare, but has no value.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6105: {
			unidentifiedDisplayName: "Morning Dew",
			unidentifiedResourceName: "\xc0\xcc\xb1\xd7\xb5\xe5\xb6\xf3\xbd\xc7\xc0\xcc\xbd\xbd",
			unidentifiedDescriptionName: [
				"Clear and transparent as a gathered up morning dew.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Morning Dew",
			identifiedResourceName: "\xc0\xcc\xb1\xd7\xb5\xe5\xb6\xf3\xbd\xc7\xc0\xcc\xbd\xbd",
			identifiedDescriptionName: [
				"Clear and transparent as a gathered up morning dew.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6106: {
			unidentifiedDisplayName: "Well Ripened Berry",
			unidentifiedResourceName: "\xb5\xfe\xb1\xe2",
			unidentifiedDescriptionName: [
				"Very well ripened Strawberry. It smells sweet.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Well Ripened Berry",
			identifiedResourceName: "\xb5\xfe\xb1\xe2",
			identifiedDescriptionName: [
				"Very well ripened Strawberry. It smells sweet.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6107: {
			unidentifiedDisplayName: "Sunset On The Rock",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x39",
			unidentifiedDescriptionName: [
				"Sunset colored Cocktail. Not very strong.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sunset On The Rock",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x39",
			identifiedDescriptionName: [
				"Sunset colored Cocktail. Not very strong.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6108: {
			unidentifiedDisplayName: "Apple Pudding",
			unidentifiedResourceName: "\xb1\xb8\xbe\xe0\xc7\xaa\xb5\xf9",
			unidentifiedDescriptionName: [
				"Apple flavored pudding. Excellent taste.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Apple Pudding",
			identifiedResourceName: "\xb1\xb8\xbe\xe0\xc7\xaa\xb5\xf9",
			identifiedDescriptionName: [
				"Apple flavored pudding. Excellent taste.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6109: {
			unidentifiedDisplayName: "Plant Neutrient",
			unidentifiedResourceName: "\xb4\xe3\xb9\xe9\xc7\xd1\xbc\xd2\xbd\xba",
			unidentifiedDescriptionName: [
				"Potion for the plants. Healthy plants don't need it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Plant Neutrient",
			identifiedResourceName: "\xb4\xe3\xb9\xe9\xc7\xd1\xbc\xd2\xbd\xba",
			identifiedDescriptionName: [
				"Potion for the plants. Healthy plants don't need it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6110: {
			unidentifiedDisplayName: "Vital Flower",
			unidentifiedResourceName: "\xc0\xda\xbd\xba\xb9\xce",
			unidentifiedDescriptionName: [
				"Beautiful flower that is vibrant in life.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yellow Vital Flower",
			identifiedResourceName: "\xc0\xda\xbd\xba\xb9\xce",
			identifiedDescriptionName: [
				"Beautiful flower that is vibrant in life.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6111: {
			unidentifiedDisplayName: "Mystic Stone",
			unidentifiedResourceName: "\xbb\xe7\xc0\xcc\xc6\xc4",
			unidentifiedDescriptionName: [
				"An interesting rock that is filled with mana.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystic Stone",
			identifiedResourceName: "\xbb\xe7\xc0\xcc\xc6\xc4",
			identifiedDescriptionName: [
				"An interesting rock that is filled with mana.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6112: {
			unidentifiedDisplayName: "Fresh Plant",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"Vegetables that are easy to eat. Has a scent of fresh grass.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fresh Plant",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"Vegetables that are easy to eat. Has a scent of fresh grass.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6113: {
			unidentifiedDisplayName: "Vital Flower",
			unidentifiedResourceName: "\xc8\xaf\xbb\xf3\xc0\xc7\xb2\xc9",
			unidentifiedDescriptionName: [
				"Beautiful flower that is vibrant in life.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Vital Flower",
			identifiedResourceName: "\xc8\xaf\xbb\xf3\xc0\xc7\xb2\xc9",
			identifiedDescriptionName: [
				"Beautiful flower that is vibrant in life.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6114: {
			unidentifiedDisplayName: "Flame Gemstone",
			unidentifiedResourceName: "\xb7\xb9\xb5\xe5\xc1\xaa\xbd\xba\xc5\xe6",
			unidentifiedDescriptionName: [
				"A rare gemstone that contains fire magic.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flame Gemstone",
			identifiedResourceName: "\xb7\xb9\xb5\xe5\xc1\xaa\xbd\xba\xc5\xe6",
			identifiedDescriptionName: [
				"A rare gemstone that contains fire magic.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6115: {
			unidentifiedDisplayName: "Bun",
			unidentifiedResourceName: "\xb8\xb8\xb5\xce",
			unidentifiedDescriptionName: [
				"Dumplings that is good for kids to eat, because the size is just right.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bun",
			identifiedResourceName: "\xb8\xb8\xb5\xce",
			identifiedDescriptionName: [
				"Dumplings that is good for kids to eat, because the size is just right.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6116: {
			unidentifiedDisplayName: "Succubus Pet Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"\"Congratulation! Beautiful Succubus will be always with you!\" Enable to exchange it with 1 Succubus Egg.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Succubus Pet Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"\"Congratulation! Beautiful Succubus will be always with you!\" Enable to exchange it with 1 Succubus Egg.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6117: {
			unidentifiedDisplayName: "Imp Pet Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"\"Congratulation! Pretty Imp will be always with you!\" Enable to exchange it with 1 Imp Egg.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Imp Pet Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"\"Congratulation! Pretty Imp will be always with you!\" Enable to exchange it with 1 Imp Egg.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6118: {
			unidentifiedDisplayName: "Chung E Pet Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"\"Congratulation! Cute Chung E will be always with you!\" Enable to exchange it with 1 Chung E Egg.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Chung E Pet Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"\"Congratulation! Cute Chung E will be always with you!\" Enable to exchange it with 1 Chung E Egg.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6119: {
			unidentifiedDisplayName: "Cow Leather",
			unidentifiedResourceName: "\xb5\xbf\xb9\xb0\xb0\xa1\xc1\xd7",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Cow Leather",
			identifiedResourceName: "\xb5\xbf\xb9\xb0\xb0\xa1\xc1\xd7",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6120: {
			unidentifiedDisplayName: "Face Paint",
			unidentifiedResourceName: "\xc6\xe4\xc0\xcc\xbd\xba\xc6\xe4\xc0\xce\xc6\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Face Paint",
			identifiedResourceName: "\xc6\xe4\xc0\xcc\xbd\xba\xc6\xe4\xc0\xce\xc6\xae",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6121: {
			unidentifiedDisplayName: "Makeover Brush",
			unidentifiedResourceName: "\xba\xd0\xc0\xe5\xbf\xeb\xba\xd7",
			unidentifiedDescriptionName: [
				"A small brush to paint a delicate picture. Body painting only.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Makeover Brush",
			identifiedResourceName: "\xba\xd0\xc0\xe5\xbf\xeb\xba\xd7",
			identifiedDescriptionName: [
				"A small brush to paint a delicate picture. Body painting only.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6122: {
			unidentifiedDisplayName: "Paint Brush",
			unidentifiedResourceName: "\xc6\xe4\xc0\xce\xc6\xae\xba\xd7",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Paint Brush",
			identifiedResourceName: "\xc6\xe4\xc0\xce\xc6\xae\xba\xd7",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6123: {
			unidentifiedDisplayName: "Surface Paint",
			unidentifiedResourceName: "\xbc\xad\xc6\xe4\xc0\xcc\xbd\xba\xc6\xe4\xc0\xce\xc6\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Surface Paint",
			identifiedResourceName: "\xbc\xad\xc6\xe4\xc0\xcc\xbd\xba\xc6\xe4\xc0\xce\xc6\xae",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6124: {
			unidentifiedDisplayName: "Wolf Flute",
			unidentifiedResourceName: "\xb4\xc1\xb4\xeb\xc7\xc7\xb8\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Wolf Flute",
			identifiedResourceName: "\xb4\xc1\xb4\xeb\xc7\xc7\xb8\xae",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6125: {
			unidentifiedDisplayName: "Lucky Box",
			unidentifiedResourceName: "\x48\x61\x6c\x6c\x6f\x77\x65\x65\x6e\x5f\x50\x61\x63\x6b\x61\x67\x65",
			unidentifiedDescriptionName: [
				"A box that brings a feeling of prosperity. Every time you think about opening it you resist the temptation.",
				"Perhaps a professional ^00FF00\"Gift Opener\"^000000 could be of assistance.",
				"You seem to recall seeing such a gal at:",
				"Prontera 164 110",
				"Payon 162 124",
				"Aldebaran 124 114",
				"Juno 179 187",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
				"^FF0000Be sure to open them immediately as they will stop being sold a few hours prior to the Box Opener Girls being removed which may not be during maintenance.^000000",
			],
			identifiedDisplayName: "Bunny Box",
			identifiedResourceName: "\x48\x61\x6c\x6c\x6f\x77\x65\x65\x6e\x5f\x50\x61\x63\x6b\x61\x67\x65",
			identifiedDescriptionName: [
				"A box that brings a feeling of prosperity. Every time you think about opening it you resist the temptation. Perhaps a professional ^00FF00\"Gift Opener\"^000000 could be of assistance.",
				"^FF0000You must be above base level 40 in order to have a Gift Opener open this box^000000",
				"You seem to recall seeing such a gal at:",
				"Prontera 164 110",
				"Payon 162 124",
				"Aldebaran 124 114",
				"Juno 179 187",
				"Weight : ^7777771^000000",
				"^FF0000Be sure to open them immediately as they will stop being sold a few hours prior to the Box Opener Girls being removed which may not be during maintenance.^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6126: {
			unidentifiedDisplayName: "Happy Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2\x32",
			unidentifiedDescriptionName: [
				"The joyful color of yellow makes you feel strangely happy. Every time you think about opening it you resist the temptation. Perhaps a professional ^00FF00\"Gift Opener\"^000000  could be of assistance.",
				"You seem to recall seeing such a gal at:",
				"Prontera 164 110",
				"Payon 162 124",
				"Aldebaran 124 114",
				"Juno 179 187",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
				"^FF0000This item can only be opened until Aug. 25, 2009^000000",
			],
			identifiedDisplayName: "Summer Happy Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2\x32",
			identifiedDescriptionName: [
				"The joyful color of yellow makes you feel strangely happy. Every time you think about opening it you resist the temptation. Perhaps a professional ^00FF00\"Gift Opener\"^000000 could be of assistance.",
				"You seem to recall seeing such a gal at:",
				"Prontera 164 110",
				"Payon 162 124",
				"Aldebaran 124 114",
				"Juno 179 187",
				"Weight : ^7777771^000000",
				"^FF0000This item can only be opened until Aug. 25, 2009^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6127: {
			unidentifiedDisplayName: "Purification Stone",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A purity stone that can remove the aftereffect of the Endless Tower at a time. ",
				"You can enter the Endless Tower without any restriction with this item.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Purification Stone",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A purity stone that can remove the after effect of the Endless Tower at a time.",
				"You can enter the Endless Tower without any restriction with this item.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6128: {
			unidentifiedDisplayName: "Antidote",
			unidentifiedResourceName: "\xbf\xac\xb5\xce\xbb\xf6\xb0\xa8\xb1\xe2\xbe\xe0",
			unidentifiedDescriptionName: [
				"Antidote for Guillotine Cross only.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Antidote",
			identifiedResourceName: "\xbf\xac\xb5\xce\xbb\xf6\xb0\xa8\xb1\xe2\xbe\xe0",
			identifiedDescriptionName: [
				"Antidote for Guillotine Cross only.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6129: {
			unidentifiedDisplayName: "Nightmare Terror Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Nightmare Terror tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nightmare Terror Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Nightmare Terror tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6130: {
			unidentifiedDisplayName: "Card",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Loli Ruri tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Loli Ruri Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"\"I call upon a creature of the night ...in the name of the moon!\" - Sofiel",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6131: {
			unidentifiedDisplayName: "Goblin Leader Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Goblin Leader tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Goblin Leader Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Goblin Leader tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6132: {
			unidentifiedDisplayName: "Incubus Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Incubus tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Incubus Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Incubus tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6133: {
			unidentifiedDisplayName: "Miyabi Ningyo Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Miyabi Ningyo tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Miyabi Ningyo Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Miyabi Ningyo tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6134: {
			unidentifiedDisplayName: "Giant Whisper Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Giant Whisper tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Whisper Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Giant Whisper tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6135: {
			unidentifiedDisplayName: "Evil Nymph Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Evil Nymph tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Evil Nymph Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Evil Nymph tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6136: {
			unidentifiedDisplayName: "Medusa Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Medusa tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Medusa Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Medusa tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6137: {
			unidentifiedDisplayName: "Stone Shooter Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Stone Shooter tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stone Shooter Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Stone Shooter tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6138: {
			unidentifiedDisplayName: "Marionette Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Marionette tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marionette Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Marionette tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6139: {
			unidentifiedDisplayName: "Leaf Cat Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Leaf Cat tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leaf Cat Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Leaf Cat tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6140: {
			unidentifiedDisplayName: "Dullahan Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Dullahan tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dullahan Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Dullahan tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6141: {
			unidentifiedDisplayName: "Shinobi Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Shinobi tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shinobi Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Shinobi tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6142: {
			unidentifiedDisplayName: "Golem Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Golem tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golem Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Golem tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6143: {
			unidentifiedDisplayName: "Civil Servant Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Civil Servant tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Civil Servant Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Civil Servant tickets.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6144: {
			unidentifiedDisplayName: "Regrettable Tears",
			unidentifiedResourceName: "\xc7\xcf\xb4\xc3\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"Painful tears shed for another person.",
				"Its said that these tears can create miracles.",
				"^ffffff_^000000",
				"Weight :^777777 0.2^000000",
			],
			identifiedDisplayName: "Regrettable Tears",
			identifiedResourceName: "\xc7\xcf\xb4\xc3\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"Painful tears shed for another person.",
				"Its said that these tears can create miracles.",
				"^ffffff_^000000",
				"Weight :^777777 0.2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6145: {
			unidentifiedDisplayName: "Vulcan Bullet",
			unidentifiedResourceName: "\xb9\xdf\xc4\xad\xba\xed\xb8\xb4",
			unidentifiedDescriptionName: [
				"Bullets consumed when using skills.",
				"^ffffff_^000000",
				"Weight :^777777 0.2^000000",
			],
			identifiedDisplayName: "Vulcan Bullet",
			identifiedResourceName: "\xb9\xdf\xc4\xad\xba\xed\xb8\xb4",
			identifiedDescriptionName: [
				"Bullets consumed when using skills.",
				"^ffffff_^000000",
				"Weight :^777777 0.2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6146: {
			unidentifiedDisplayName: "Magic Gear Fuel",
			unidentifiedResourceName: "\xb8\xb6\xb5\xb5\xb1\xe2\xbe\xee\xbf\xac\xb7\xe1",
			unidentifiedDescriptionName: [
				"Fuel used for various skills.",
				"Powerful skills consume a lot of fuel.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Magic Gear Fuel",
			identifiedResourceName: "\xb8\xb6\xb5\xb5\xb1\xe2\xbe\xee\xbf\xac\xb7\xe1",
			identifiedDescriptionName: [
				"Fuel used for various skills.",
				"Powerful skills consume a lot of fuel.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6147: {
			unidentifiedDisplayName: "Liquid Condensed Bullet",
			unidentifiedResourceName: "\xbe\xd7\xc3\xbc\xb3\xc3\xb0\xa2\xc5\xba",
			unidentifiedDescriptionName: [
				"An impossibly cold bullet.",
				"^ffffff_^000000",
				"Weight :^777777 0.3^000000",
			],
			identifiedDisplayName: "Liquid Condensed Bullet",
			identifiedResourceName: "\xbe\xd7\xc3\xbc\xb3\xc3\xb0\xa2\xc5\xba",
			identifiedDescriptionName: [
				"An impossibly cold bullet.",
				"^ffffff_^000000",
				"Weight :^777777 0.3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6148: {
			unidentifiedDisplayName: "Eternity Of Chocolate",
			unidentifiedResourceName: "\xbe\xf3\xc0\xbd\xbd\xc9\xc0\xe5",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Eternity Of Chocolate",
			identifiedResourceName: "\xbe\xf3\xc0\xbd\xbd\xc9\xc0\xe5",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6149: {
			unidentifiedDisplayName: "Simple Chocolate",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Simple Chocolate",
			identifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6150: {
			unidentifiedDisplayName: "Key of The Mansion",
			unidentifiedResourceName: "\xbd\xc3\xb0\xe8\xc5\xbe\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"Key with flashy patterns.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Mansion Key",
			identifiedResourceName: "\xc0\xfa\xc5\xc3\xc0\xc7\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"Key with flashy patterns.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6151: {
			unidentifiedDisplayName: "Giant Bradium Fragment",
			unidentifiedResourceName: "\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2\xc6\xc4\xc6\xed",
			unidentifiedDescriptionName: [
				"The pieces of a giant bradium. You can feel the mysterious power.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Giant Bradium Fragment",
			identifiedResourceName: "\xb0\xc5\xb4\xeb\xc7\xd1\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"The pieces of a giant bradium. You can feel the mysterious power.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6152: {
			unidentifiedDisplayName: "Glittering Crystal",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Glittering Crystal",
			identifiedResourceName: "\xba\xfb\xb3\xaa\xb4\xc2\xbc\xf6\xc1\xa4",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6153: {
			unidentifiedDisplayName: "Special Exchange Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			unidentifiedDescriptionName: [
				"A very special ticket exchange. Can be swapped to something good if you have.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Special Exchange Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			identifiedDescriptionName: [
				"A very special ticket exchange. Can be swapped to something good if you have.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6154: {
			unidentifiedDisplayName: "Broken Horn Pipe",
			unidentifiedResourceName: "\xb1\xdd\xbf\xee\xb8\xf0",
			unidentifiedDescriptionName: [
				"Hisui golden. The former was like a beautiful horn.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Broken Horn Pipe",
			identifiedResourceName: "\xb1\xdd\xbf\xee\xb8\xf0",
			identifiedDescriptionName: [
				"Hisui golden. The former was like a beautiful horn.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6155: {
			unidentifiedDisplayName: "Member Card",
			unidentifiedResourceName: "\xc4\xda\xc5\xa9\xb8\xe2\xb9\xf6\xbd\xba\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"The secret dishes available to the Members Card.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Member Card",
			identifiedResourceName: "\xc4\xda\xc5\xa9\xb8\xe2\xb9\xf6\xbd\xba\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"The secret dishes available to the Members Card.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6156: {
			unidentifiedDisplayName: "A Report To Be Approved",
			unidentifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "A Report To Be Approved",
			identifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6157: {
			unidentifiedDisplayName: "Vote 1",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"A cute pet Poring tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Vote 1",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"Not sure how you got this",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6158: {
			unidentifiedDisplayName: "Vote 2",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Drops tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Vote 2",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"Not sure how you got this",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6159: {
			unidentifiedDisplayName: "Poporing Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Poporing tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Poporing Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Poporing tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6160: {
			unidentifiedDisplayName: "Lunatic Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Lunatic tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Lunatic Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Lunatic tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6161: {
			unidentifiedDisplayName: "Picky Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Picky tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Picky Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Picky tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6162: {
			unidentifiedDisplayName: "Peco Peco Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Peco-peco tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Peco Peco Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Peco-peco tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6163: {
			unidentifiedDisplayName: "Savage Babe Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Savage Babe tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Savage Babe Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Savage Babe tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6164: {
			unidentifiedDisplayName: "Spore Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Spore tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spore Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Spore tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6165: {
			unidentifiedDisplayName: "Poison Spore Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Poison Spore tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Poison Spore Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Poison Spore tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6166: {
			unidentifiedDisplayName: "Chonchon Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Chonchon tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Chonchon Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Chonchon tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6167: {
			unidentifiedDisplayName: "Steel Chonchon Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Steel Chonchon tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Steel Chonchon Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Steel Chonchon tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6168: {
			unidentifiedDisplayName: "Sky Petite Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Sky Petite tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Sky Petite Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Sky Petite tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6169: {
			unidentifiedDisplayName: "Deviruchi Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Deviruchi tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Deviruchi Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Deviruchi tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6170: {
			unidentifiedDisplayName: "Isis Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Isis tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Isis Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Isis tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6171: {
			unidentifiedDisplayName: "Smokie Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Smokie tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Smokie Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Smokie tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6172: {
			unidentifiedDisplayName: "Dokebi Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Dokebi tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Dokebi Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Dokebi tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6173: {
			unidentifiedDisplayName: "Baby Desert Wolf Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Baby Desert Wolf tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Baby Desert Wolf Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Baby Desert Wolf tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6174: {
			unidentifiedDisplayName: "Yoyo Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Yoyo tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Yoyo Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Yoyo tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6175: {
			unidentifiedDisplayName: "Sohee Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Sohee tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Sohee Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Sohee tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6176: {
			unidentifiedDisplayName: "Rocker Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Rocker tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Rocker Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Rocker tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6177: {
			unidentifiedDisplayName: "Hunter Fly Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Hunter Fly tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Hunter Fly Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Hunter Fly tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6178: {
			unidentifiedDisplayName: "Orc Warrior Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Orc Warrior tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Orc Warrior Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Orc Warrior tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6179: {
			unidentifiedDisplayName: "Bapho Jr. Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Bapho Jr. tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Bapho Jr. Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Bapho Jr. tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6180: {
			unidentifiedDisplayName: "Munak Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Munak tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Munak Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Munak tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6181: {
			unidentifiedDisplayName: "Bongun Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Bongun tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Bongun Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Bongun tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6182: {
			unidentifiedDisplayName: "Christmas Goblin Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Christmas Goblin tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Christmas Goblin Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Christmas Goblin tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6183: {
			unidentifiedDisplayName: "Rice Cake Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Rice Cake tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Rice Cake Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Rice Cake tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6184: {
			unidentifiedDisplayName: "Zherlthsh Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Zherlthsh tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Zherlthsh Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Zherlthsh tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6185: {
			unidentifiedDisplayName: "Alice Exchange Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A cute pet Alice tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Alice Exchange Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A cute pet Alice tickets.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6186: {
			unidentifiedDisplayName: "Monkey Wrench",
			unidentifiedResourceName: "\xbd\xba\xc6\xd0\xb3\xca",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Monkey Wrench",
			identifiedResourceName: "\xbd\xba\xc6\xd0\xb3\xca",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6187: {
			unidentifiedDisplayName: "Blank Card",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"This card appears to be defective because it's blank!",
				"The manufacturer may have forgotten to put in it's stats or it may be someone's cruel joke.",
				"Bring this to the Kafra Staff in the Kafra Headquarters in Aldebaran.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blank Card",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"This card appears to be defective because it's blank!",
				"The manufacturer may have forgotten to put in it's stats or it may be someone's cruel joke.",
				"Bring this to the Kafra Staff in the Kafra Headquarters in Aldebaran.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6188: {
			unidentifiedDisplayName: "Slotting Advertisement",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"Come visit us in Payon as we amaze you with our Brand new service of adding a Card slot to normal equipment!",
				"You've never seen something so amazing; Watch as Troy adds a slot with his eyes closed, it is an adventure for the whole family!",
				"^ffffff_^000000",
				"This old advertisement is from many years ago, but it does promise the best of service from the best item Socket expert the world has ever known.",
				"The map on the 2nd page of the flyer looks like the shop would be north of the grain mill in Payon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Slotting Advertisement",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"Come visit us in Payon as we amaze you with our Brand new service of adding a Card slot to normal equipment!",
				"You've never seen something so amazing; Watch as Troy adds a slot with his eyes closed, it is an adventure for the whole family!",
				"^ffffff_^000000",
				"This old advertisement is from many years ago, but it does promise the best of service from the best item Socket expert the world has ever known.",
				"The map on the 2nd page of the flyer looks like the shop would be north of the grain mill in Payon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6189: {
			unidentifiedDisplayName: "Spell Book(Fire Bolt)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc8\xad",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Fire Bolt'.",
				"Fire attribute magic, the magic of information about Fire Bolt are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Fire Bolt)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc8\xad",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Fire Bolt'.",
				"Fire attribute magic, the magic of information about Fire Bolt are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6190: {
			unidentifiedDisplayName: "Spell Book(Cold Bolt)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xbc\xf6",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Cold Bolt'.",
				"Water attribute magic, the magic of information about Cold Bolt are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Cold Bolt)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xbc\xf6",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Cold Bolt'.",
				"Water attribute magic, the magic of information about Cold Bolt are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6191: {
			unidentifiedDisplayName: "Spell Book(Lightning Bolt)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc7\xb3",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Lightening Bolt'.",
				"Wind attribute magic, the magic of information about Lightening Bolt are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Lightning Bolt)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc7\xb3",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Lightening Bolt'.",
				"Wind attribute magic, the magic of information about Lightening Bolt are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6192: {
			unidentifiedDisplayName: "Spell Book(Storm Gust)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xbc\xf6",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Storm Gust'.",
				"Water attribute magic, the magic of information about Storm Gust are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Storm Gust)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xbc\xf6",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Storm Gust'.",
				"Water attribute magic, the magic of information about Storm Gust are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6193: {
			unidentifiedDisplayName: "Spell Book(Lord Of Vermilion)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc7\xb3",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Lord Of Vermilion'.",
				"Wind attribute magic, the magic of information about Lord Of Vermilion are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Lord Of Vermilion)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc7\xb3",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Lord Of Vermilion'.",
				"Wind attribute magic, the magic of information about Lord Of Vermilion are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6194: {
			unidentifiedDisplayName: "Spell Book(Meteor Storm)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc8\xad",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Meteor Storm'.",
				"Fire attribute magic, the magic of information about Meteor Storm are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Meteor Storm)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc8\xad",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Meteor Storm'.",
				"Fire attribute magic, the magic of information about Meteor Storm are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6195: {
			unidentifiedDisplayName: "Spell Book(Curmit)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc8\xad",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Comet'.",
				"Fire attribute magic, the magic of information about Comet are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Comet)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc8\xad",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Comet'.",
				"Fire attribute magic, the magic of information about Comet are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6196: {
			unidentifiedDisplayName: "Spell Book(Tetra Voltex)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xb9\xab",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Tetra Vortex'.",
				"Fire, Water, Wind, Stone attribute magic, the magic of information about Tetra Vortex are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Tetra Vortex)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xb9\xab",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Tetra Vortex'.",
				"Fire, Water, Wind, Stone attribute magic, the magic of information about Tetra Vortex are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6197: {
			unidentifiedDisplayName: "Spell Book(Thunder Storm)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc7\xb3",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Thunder Storm'.",
				"Wind attribute magic, the magic of information about Thunder Storm are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Thunder Storm)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc7\xb3",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Thunder Storm'.",
				"Wind attribute magic, the magic of information about Thunder Storm are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6198: {
			unidentifiedDisplayName: "Spell Book(Jupitel Thunder)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc7\xb3",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Jupitel Thunder'.",
				"Wind attribute magic, the magic of information about Jupitel Thunder are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Jupitel Thunder)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc7\xb3",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Jupitel Thunder'.",
				"Wind attribute magic, the magic of information about Jupitel Thunder are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6199: {
			unidentifiedDisplayName: "Spell Book(Water Ball)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xbc\xf6",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Water Ball'.",
				"Water attribute magic, the magic of information about Water Ball are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Water Ball)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xbc\xf6",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Water Ball'.",
				"Water attribute magic, the magic of information about Water Ball are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6200: {
			unidentifiedDisplayName: "Spell Book(Heaven's Drive)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc1\xf6",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Heaven's Drive'.",
				"Earth attribute magic, the magic of information about Heaven's Drive are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Heaven's Drive)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc1\xf6",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Heaven's Drive'.",
				"Earth attribute magic, the magic of information about Heaven's Drive are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6201: {
			unidentifiedDisplayName: "Spell Book(Earth Spike)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc1\xf6",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Earth Spike'.",
				"Earth attribute magic, the magic of information about Earth Spike are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Earth Spike)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc1\xf6",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Earth Spike'.",
				"Earth attribute magic, the magic of information about Earth Spike are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6202: {
			unidentifiedDisplayName: "Spell Book(Earth Strain)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc1\xf6",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Earth Strain'.",
				"Earth attribute magic, the magic of information about Earth Strain are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Earth Strain)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc1\xf6",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Earth Strain'.",
				"Earth attribute magic, the magic of information about Earth Strain are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6203: {
			unidentifiedDisplayName: "Spell Book(Chain Lightning)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc7\xb3",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Chain Lightning'.",
				"Wind attribute magic, the magic of information about Chain Lightning are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Chain Lightning)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc7\xb3",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Chain Lightning'.",
				"Wind attribute magic, the magic of information about Chain Lightning are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6204: {
			unidentifiedDisplayName: "Spell Book(Crimson Lock)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc8\xad",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Crimson Rock'.",
				"Fire attribute magic, the magic of information about Crimson Rock are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Crimson Rock)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xc8\xad",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Crimson Rock'.",
				"Fire attribute magic, the magic of information about Crimson Rock are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6205: {
			unidentifiedDisplayName: "Spell Book(Drain Life)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xb9\xab",
			unidentifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Drain Life'.",
				"Neutral attribute magic, the magic of information about Drain Life are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spell Book(Drain Life)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc3\xa5\x5f\xb9\xab",
			identifiedDescriptionName: [
				"Required item to use the Warlock Reading Spellbook skill 'Drain Life'.",
				"Neutral attribute magic, the magic of information about Drain Life are written in the magical language.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6206: {
			unidentifiedDisplayName: "I Love You",
			unidentifiedResourceName: "\xb9\xd9\xb4\xc3\xbd\xd3\xc1\xf6",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "I Love You",
			identifiedResourceName: "\xb9\xd9\xb4\xc3\xbd\xd3\xc1\xf6",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6207: {
			unidentifiedDisplayName: "Thanks",
			unidentifiedResourceName: "\xb9\xd9\xb4\xc3\xbd\xd3\xc1\xf6",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Thanks",
			identifiedResourceName: "\xb9\xd9\xb4\xc3\xbd\xd3\xc1\xf6",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6208: {
			unidentifiedDisplayName: "Respect",
			unidentifiedResourceName: "\xb9\xd9\xb4\xc3\xbd\xd3\xc1\xf6",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Respect",
			identifiedResourceName: "\xb9\xd9\xb4\xc3\xbd\xd3\xc1\xf6",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6209: {
			unidentifiedDisplayName: "Knight Of Honor",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"A coin which symbolizing the spirit of the pegasus knight are engraved.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Knight Of Honor",
			identifiedResourceName: "\xb1\xe2\xbb\xe7\xc0\xc7\xbf\xb5\xbf\xb9",
			identifiedDescriptionName: [
				"A coin which symbolizing the spirit of the pegasus knight are engraved.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6210: {
			unidentifiedDisplayName: "Seed Of Horny Plant",
			unidentifiedResourceName: "\xb0\xa1\xbd\xc3\xb3\xaa\xb9\xab\xbe\xbe\xbe\xd1",
			unidentifiedDescriptionName: [
				"A seed covered in thorns that would be painful to touch or step on.",
				"Used for genetic skill \"Thorn Trap\", \"Thorn Wall\", and \"Crazy Weed\".",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			identifiedDisplayName: "Thorn Plant Seed",
			identifiedResourceName: "\xb0\xa1\xbd\xc3\xb3\xaa\xb9\xab\xbe\xbe\xbe\xd1",
			identifiedDescriptionName: [
				"A seed covered in thorns that would be painful to touch or step on.",
				"Used for genetic skill \"Thorn Trap\", \"Thorn Wall\", and \"Crazy Weed\".",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6211: {
			unidentifiedDisplayName: "Bloodsuck Plant Seed",
			unidentifiedResourceName: "\xc8\xed\xc7\xf7\xbd\xc4\xb9\xb0\xbe\xbe\xbe\xd1",
			unidentifiedDescriptionName: [
				"A disgusting looking seed that emits a red light and appears to be filled with blood like liquid.",
				"Used for genetic skill \"Blood Sucker\".",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			identifiedDisplayName: "Blood Sucker Plant Seed",
			identifiedResourceName: "\xc8\xed\xc7\xf7\xbd\xc4\xb9\xb0\xbe\xbe\xbe\xd1",
			identifiedDescriptionName: [
				"A disgusting looking seed that emits a red light and appears to be filled with blood like liquid.",
				"Used for genetic skill \"Blood Sucker\".",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6212: {
			unidentifiedDisplayName: "Bomb Mushroom Spore",
			unidentifiedResourceName: "\xc6\xf8\xc5\xba\xb9\xf6\xbc\xb8\xc6\xf7\xc0\xda",
			unidentifiedDescriptionName: [
				"A purple spore. It can emit purple toxic dust so you have to be careful when handling.",
				"Used for genetic skill \"Spore Explosion\".",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			identifiedDisplayName: "Bomb Mushroom Spore",
			identifiedResourceName: "\xc6\xf8\xc5\xba\xb9\xf6\xbc\xb8\xc6\xf7\xc0\xda",
			identifiedDescriptionName: [
				"A purple spore. It can emit purple toxic dust so you have to be careful when handling.",
				"Used for genetic skill \"Spore Explosion\".",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6213: {
			unidentifiedDisplayName: "Explosive Powder",
			unidentifiedResourceName: "\xc6\xf8\xb9\xdf\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"A black powder that explodes at high temperatures. It seems stronger than gunpowder.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			identifiedDisplayName: "Explosive Powder",
			identifiedResourceName: "\xc6\xf8\xb9\xdf\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"A black powder that explodes at high temperatures. It seems stronger than gunpowder.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6214: {
			unidentifiedDisplayName: "Smoke Powder",
			unidentifiedResourceName: "\xbf\xac\xb8\xb7\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"A white powder. It's extremely light and scatters quickly in the air, and is said to be harmless.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			identifiedDisplayName: "Smoke Powder",
			identifiedResourceName: "\xbf\xac\xb8\xb7\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"A white powder. It's extremely light and scatters quickly in the air, and is said to be harmless.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6215: {
			unidentifiedDisplayName: "Tear Gas",
			unidentifiedResourceName: "\xc3\xd6\xb7\xe7\xb0\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"A gas to intense eye and nose irritation. ",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			identifiedDisplayName: "Tear Gas",
			identifiedResourceName: "\xc3\xd6\xb7\xe7\xb0\xa1\xbd\xba",
			identifiedDescriptionName: [
				"A gas to intense eye and nose irritation.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6216: {
			unidentifiedDisplayName: "Oil Bottle",
			unidentifiedResourceName: "\xb1\xe2\xb8\xa7\xba\xb4",
			unidentifiedDescriptionName: [
				"A bottle containing a large quantity of oil. It's definately not edible.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			identifiedDisplayName: "Oil Bottle",
			identifiedResourceName: "\xb1\xe2\xb8\xa7\xba\xb4",
			identifiedDescriptionName: [
				"A bottle containing a large quantity of oil. It's definately not edible.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6217: {
			unidentifiedDisplayName: "Mandragora Flowerpot",
			unidentifiedResourceName: "\xb8\xb8\xb5\xe5\xb6\xf3\xb0\xed\xb6\xf3\xc8\xad\xba\xd0",
			unidentifiedDescriptionName: [
				"A mandragora flowerpot used in experimentation. Extremely fragile. Definately do not remove it.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			identifiedDisplayName: "Mandragora Flowerpot",
			identifiedResourceName: "\xb8\xb8\xb5\xe5\xb6\xf3\xb0\xed\xb6\xf3\xc8\xad\xba\xd0",
			identifiedDescriptionName: [
				"A mandragora flowerpot used in experimentation. Extremely fragile. Definately do not remove it.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6218: {
			unidentifiedDisplayName: "Dieshin's Delivery Box",
			unidentifiedResourceName: "\xbb\xf3\xc0\xda\x2d\xc5\xc3\xb9\xe8",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Dieshin's Delivery Box",
			identifiedResourceName: "\xbb\xf3\xc0\xda\x2d\xc5\xc3\xb9\xe8",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6219: {
			unidentifiedDisplayName: "Mark Of Paradise Team",
			unidentifiedResourceName: "\xbe\xc6\xc8\xa9\xbc\xbc\xb0\xe8\xc0\xc7\xb1\xc7\xc0\xa7",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Eden Group Mark",
			identifiedResourceName: "\xbe\xc6\xc8\xa9\xbc\xbc\xb0\xe8\xc0\xc7\xb1\xc7\xc0\xa7",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6220: {
			unidentifiedDisplayName: "Mysterious Dyestuff",
			unidentifiedResourceName: "\xbd\xc5\xba\xf1\xc7\xd1\xbf\xb0\xbb\xf6\xbe\xe0",
			unidentifiedDescriptionName: [
				"Various colors are mixed into this mysterious dye mixture.",
				"Can be used to dye a Beanie, Drooping Cat, Mage Hat, or Deviruchi Hat to a different color.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mysterious Dyestuffs",
			identifiedResourceName: "\xbd\xc5\xba\xf1\xc7\xd1\xbf\xb0\xbb\xf6\xbe\xe0",
			identifiedDescriptionName: [
				"Various colors are mixed into this mysterious dye mixture.",
				"Can be used to dye a Beanie, Drooping Cat, Mage Hat, or Deviruchi Hat to a different color.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6221: {
			unidentifiedDisplayName: "Mystic Hydra Ball",
			unidentifiedResourceName: "\xc5\xa9\xb8\xae\xbd\xba\xc5\xbb\xba\xed\xb7\xe7",
			unidentifiedDescriptionName: [
				"Upgraded Leaf Cat Ball. Unknown aurora is around the ball.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Mystic Hydra Ball",
			identifiedResourceName: "\xc5\xa9\xb8\xae\xbd\xba\xc5\xbb\xba\xed\xb7\xe7",
			identifiedDescriptionName: [
				"Upgraded Leaf Cat Ball. Unknown aurora is around the ball.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6222: {
			unidentifiedDisplayName: "Shining Beads",
			unidentifiedResourceName: "\xc0\xaf\xb8\xae\xb1\xb8\xbd\xbd",
			unidentifiedDescriptionName: [
				"A pure small bead.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Shining Beads",
			identifiedResourceName: "\xc0\xaf\xb8\xae\xb1\xb8\xbd\xbd",
			identifiedDescriptionName: [
				"A pure small bead.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6223: {
			unidentifiedDisplayName: "Carnium",
			unidentifiedResourceName: "\xc4\xab\xb8\xa3\xb4\xbd",
			unidentifiedDescriptionName: [
				"The strongest metal on the midgard continent, and because of its strength is incredibly difficult to forge.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Carnium",
			identifiedResourceName: "\xc4\xab\xb8\xa3\xb4\xbd",
			identifiedDescriptionName: [
				"The strongest metal on the midgard continent, and because of its strength is incredibly difficult to forge.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6224: {
			unidentifiedDisplayName: "Bradium",
			unidentifiedResourceName: "\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2",
			unidentifiedDescriptionName: [
				"The strongest mineral found in the Ash Vacuum. It seems very difficult to work with, but with research its come to be the best ore for forging weapons.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Bradium",
			identifiedResourceName: "\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2",
			identifiedDescriptionName: [
				"The strongest mineral found in the Ash Vacuum. It seems very difficult to work with, but with research its come to be the best ore for forging weapons.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6225: {
			unidentifiedDisplayName: "HD Carnium",
			unidentifiedResourceName: "\x68\x64\x5f\xc4\xab\xb8\xa3\xb4\xbd",
			unidentifiedDescriptionName: [
				"An ancient piece of high density kalunium. This could be used to produce incredible armor.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Carnium",
			identifiedResourceName: "\x68\x64\x5f\xc4\xab\xb8\xa3\xb4\xbd",
			identifiedDescriptionName: [
				"A high density Carnium used in upgrading armor. Take this to Mighty Hammer in Eden Group or Payon next to the Kafra Shop Ladies to help you upgrade armor at +10 and higher.",
				"This Carnium's density guarantees that your armor will NOT break when attempting to upgrade and if the upgrade attempt fails, it will only downgrade 1 level instead of 3 like a normal Carnium.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6226: {
			unidentifiedDisplayName: "HD Bradium",
			unidentifiedResourceName: "\x68\x64\x5f\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2",
			unidentifiedDescriptionName: [
				"An incredible valuable ore studied by midgard's scholars. It is the best for armor refining.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Bradium",
			identifiedResourceName: "\x68\x64\x5f\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2",
			identifiedDescriptionName: [
				"A high density Bradium used in upgrading weapons. Take this to Mighty Hammer in Eden Group or Payon next to the Kafra Shop Ladies to help you upgrade weapons at +10 and higher.",
				"This Bradium's density guarantees that your weapon will NOT break when attempting to upgrade and if the upgrade attempt fails, it will only downgrade 1 level instead of 3 like a normal Bradium.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6227: {
			unidentifiedDisplayName: "Magic Oak Stone",
			unidentifiedResourceName: "\xc8\xaf\xb1\xb8",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Magic Oak Stone",
			identifiedResourceName: "\xc8\xaf\xb1\xb8",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6228: {
			unidentifiedDisplayName: "+9 Weapon refine deed",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "+9 Weapon refine deed",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6229: {
			unidentifiedDisplayName: "+8 Weapon refine deed",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "+8 Weapon refine deed",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6230: {
			unidentifiedDisplayName: "Safe to 7 Weapon Certificate",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Safe to 7 Weapon Certificate",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6231: {
			unidentifiedDisplayName: "+6 Weapon refine deed",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "+6 Weapon refine deed",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6232: {
			unidentifiedDisplayName: "+9 Armor refine deed",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "+9 Armor refine deed",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6233: {
			unidentifiedDisplayName: "+8 Armor refine deed",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "+8 Armor refine deed",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6234: {
			unidentifiedDisplayName: "Safe to 7 Body Armor Certificate",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Safe to 7 Body Armor Certificate",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6235: {
			unidentifiedDisplayName: "Safe to 7 Headgear Certificate",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Safe to 7 Headgear Certificate",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6236: {
			unidentifiedDisplayName: "Blue 7 Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\x37",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Blue 7 Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\x37",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6237: {
			unidentifiedDisplayName: "Guarana Fruit",
			unidentifiedResourceName: "\xb0\xfa\xb6\xf3\xb3\xaa\xbf\xad\xb8\xc5",
			unidentifiedDescriptionName: [
				"A famous desert fruit. It's commonly used on hot days in icecream or juice.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Guarana Fruit",
			identifiedResourceName: "\xb0\xfa\xb6\xf3\xb3\xaa\xbf\xad\xb8\xc5",
			identifiedDescriptionName: [
				"A famous desert fruit. It's commonly used on hot days in icecream or juice.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6238: {
			unidentifiedDisplayName: "+11 Weapon refine deed",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "+11 Weapon refine deed",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6239: {
			unidentifiedDisplayName: "+11 Armor Refine Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "+11 Armor Refine Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6240: {
			unidentifiedDisplayName: "HD Oridecon",
			unidentifiedResourceName: "\xc3\xe0\xbf\xc0\xb8\xae",
			unidentifiedDescriptionName: [
				"...",
				"Usable for refining +7 and higher weapons (up to + 10). If the item fails to upgrade, the item is not lost, but instead loses 1 upgrade level.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Oridecon",
			identifiedResourceName: "\xc3\xe0\xbf\xc0\xb8\xae",
			identifiedDescriptionName: [
				"...",
				"Usable for refining +7 and higher weapons (up to + 10). If the item fails to upgrade, the item is not lost, but instead loses 1 upgrade level.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6241: {
			unidentifiedDisplayName: "HD Elunium",
			unidentifiedResourceName: "\xc3\xe0\xbf\xa1\xb8\xa3",
			unidentifiedDescriptionName: [
				"...",
				"Usable for refining +7 and higher armor (up to + 10). If the item fails to upgrade, the item is not lost, but instead loses 1 upgrade level.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Elunium",
			identifiedResourceName: "\xc3\xe0\xbf\xa1\xb8\xa3",
			identifiedDescriptionName: [
				"...",
				"Usable for refining +7 and higher armor (up to + 10). If the item fails to upgrade, the item is not lost, but instead loses 1 upgrade level.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6242: {
			unidentifiedDisplayName: "Midgard Coin",
			unidentifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Midgard Coin",
			identifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6243: {
			unidentifiedDisplayName: "WPS Point Token",
			unidentifiedResourceName: "\x77\x70\x73\x5f\x74\x6f\x6b\x65\x6e",
			unidentifiedDescriptionName: [
				"A token that can be exchanged for cash items.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "WPS Point Token",
			identifiedResourceName: "\x77\x70\x73\x5f\x74\x6f\x6b\x65\x6e",
			identifiedDescriptionName: [
				"A token that can be exchanged for cash items.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6244: {
			unidentifiedDisplayName: "Gun Powder",
			unidentifiedResourceName: "\xb0\xc7\xc6\xc4\xbf\xec\xb4\xf5",
			unidentifiedDescriptionName: [
				"A dangerous ingredient that glows with a dark light.",
				"It's an explosive ingredient so handle with care.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			identifiedDisplayName: "Gun Powder",
			identifiedResourceName: "\xb0\xc7\xc6\xc4\xbf\xec\xb4\xf5",
			identifiedDescriptionName: [
				"A dangerous ingredient that glows with a dark light.",
				"It's an explosive ingredient so handle with care.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6245: {
			unidentifiedDisplayName: "Black Powder",
			unidentifiedResourceName: "\xb1\xee\xb8\xb8\xbb\xf6\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"A beautiful pitch black powder for various uses.",
				"Be careful not to get it in your eyes.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			identifiedDisplayName: "Black Powder",
			identifiedResourceName: "\xb1\xee\xb8\xb8\xbb\xf6\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"A beautiful pitch black powder for various uses.",
				"Be careful not to get it in your eyes.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6246: {
			unidentifiedDisplayName: "Yellow Powder",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"A flavorless and odorless yellow powder. ",
				"It burns with an amazing blue flame.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			identifiedDisplayName: "Yellow Powder",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"A flavorless and odorless yellow powder.",
				"It burns with an amazing blue flame.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6247: {
			unidentifiedDisplayName: "White Powder",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xbb\xf6\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"A salt-like white powder with no odor.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			identifiedDisplayName: "White Powder",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xbb\xf6\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"A salt-like white powder with no odor.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6248: {
			unidentifiedDisplayName: "Melange Pot",
			unidentifiedResourceName: "\xc0\xe2\xc5\xc1\xc7\xd7\xbe\xc6\xb8\xae\x5f",
			unidentifiedDescriptionName: [
				"A large pot for mixing various foods.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Melange Pot",
			identifiedResourceName: "\xc0\xe2\xc5\xc1\xc7\xd7\xbe\xc6\xb8\xae\x5f",
			identifiedDescriptionName: [
				"A large pot for mixing various foods.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6249: {
			unidentifiedDisplayName: "Savage Meat",
			unidentifiedResourceName: "\xbc\xbc\xba\xf1\xc1\xf6\xc0\xc7\xb0\xed\xb1\xe2",
			unidentifiedDescriptionName: [
				"The finest cut of Savage meat.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Savage Meat",
			identifiedResourceName: "\xbc\xbc\xba\xf1\xc1\xf6\xc0\xc7\xb0\xed\xb1\xe2",
			identifiedDescriptionName: [
				"The finest cut of Savage meat.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6250: {
			unidentifiedDisplayName: "Cooking Skewer",
			unidentifiedResourceName: "\xbf\xe4\xb8\xae\xbf\xeb\xbc\xe8\xb2\xbf\xc3\xac\xc0\xcc",
			unidentifiedDescriptionName: [
				"A long skewer for cooking full roast.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cooking Skewer",
			identifiedResourceName: "\xbf\xe4\xb8\xae\xbf\xeb\xbc\xe8\xb2\xbf\xc3\xac\xc0\xcc",
			identifiedDescriptionName: [
				"A long skewer for cooking full roast.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6251: {
			unidentifiedDisplayName: "Black Charcoal",
			unidentifiedResourceName: "\xb0\xcb\xc1\xa4\xbd\xa1",
			unidentifiedDescriptionName: [
				"Black coal used as fuel. Adds flavor to food that you cook with it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Black Charcoal",
			identifiedResourceName: "\xb0\xcb\xc1\xa4\xbd\xa1",
			identifiedDescriptionName: [
				"Black coal used as fuel. Adds flavor to food that you cook with it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6252: {
			unidentifiedDisplayName: "Blood Of Wolf",
			unidentifiedResourceName: "\xb4\xc1\xb4\xeb\xc0\xc7\xc7\xc7",
			unidentifiedDescriptionName: [
				"Blood from a desert wolf for medicinal purposes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blood Of Wolf",
			identifiedResourceName: "\xb4\xc1\xb4\xeb\xc0\xc7\xc7\xc7",
			identifiedDescriptionName: [
				"Blood from a desert wolf for medicinal purposes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6253: {
			unidentifiedDisplayName: "Cold Ice",
			unidentifiedResourceName: "\xc2\xf7\xb0\xa1\xbf\xee\xbe\xf3\xc0\xbd",
			unidentifiedDescriptionName: [
				"An incredibly cold block of ice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cold Ice",
			identifiedResourceName: "\xc2\xf7\xb0\xa1\xbf\xee\xbe\xf3\xc0\xbd",
			identifiedDescriptionName: [
				"An incredibly cold block of ice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6254: {
			unidentifiedDisplayName: "Beef Head",
			unidentifiedResourceName: "\xbc\xd2\xb8\xd3\xb8\xb4\xb0\xed\xb1\xe2",
			unidentifiedDescriptionName: [
				"A tough piece of meat that is usually boiled or pressed to make more tender.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Beef Head",
			identifiedResourceName: "\xbc\xd2\xb8\xd3\xb8\xb4\xb0\xed\xb1\xe2",
			identifiedDescriptionName: [
				"A tough piece of meat that is usually boiled or pressed to make more tender.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6255: {
			unidentifiedDisplayName: "Large Cookpot",
			unidentifiedResourceName: "\xc4\xbf\xb4\xd9\xb6\xf5\xb3\xbf\xba\xf1",
			unidentifiedDescriptionName: [
				"A light but large pan for mixing various ingredients.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Large Cookpot",
			identifiedResourceName: "\xc4\xbf\xb4\xd9\xb6\xf5\xb3\xbf\xba\xf1",
			identifiedDescriptionName: [
				"A light but large pan for mixing various ingredients.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6256: {
			unidentifiedDisplayName: "Ice Piece",
			unidentifiedResourceName: "\xbe\xf3\xc0\xbd\x5f\xc6\xc4\xc6\xed",
			unidentifiedDescriptionName: [
				"Ice that has been crushed into a fine powder.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ice Piece",
			identifiedResourceName: "\xbe\xf3\xc0\xbd\x5f\xc6\xc4\xc6\xed",
			identifiedDescriptionName: [
				"Ice that has been crushed into a fine powder.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6257: {
			unidentifiedDisplayName: "Ice Crystal",
			unidentifiedResourceName: "\xbe\xf3\xc0\xbd\xb0\xe1\xc1\xa4",
			unidentifiedDescriptionName: [
				"A transparent ice crystal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ice Crystal",
			identifiedResourceName: "\xbe\xf3\xc0\xbd\xb0\xe1\xc1\xa4",
			identifiedDescriptionName: [
				"A transparent ice crystal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6258: {
			unidentifiedDisplayName: "Comodo Tropical Fruit",
			unidentifiedResourceName: "\xc4\xda\xb8\xf0\xb5\xb5\xbf\xad\xb4\xeb\xb0\xfa\xc0\xcf",
			unidentifiedDescriptionName: [
				"A famous tropical fruit commonly seen in Comodo. ",
				"It looks like it would be sweet.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Comodo Tropical Fruit",
			identifiedResourceName: "\xc4\xda\xb8\xf0\xb5\xb5\xbf\xad\xb4\xeb\xb0\xfa\xc0\xcf",
			identifiedDescriptionName: [
				"A famous tropical fruit commonly seen in Comodo.",
				"It looks like it would be sweet.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6259: {
			unidentifiedDisplayName: "Drocera Tentacle",
			unidentifiedResourceName: "\xb5\xe5\xb7\xce\xbc\xbc\xb6\xf3\xc0\xc7\xc3\xcb\xbc\xf6",
			unidentifiedDescriptionName: [
				"A stiff tentacle taken from a Drosera from the Arunafeltz region.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Drosera Tentacle",
			identifiedResourceName: "\xb5\xe5\xb7\xce\xbc\xbc\xb6\xf3\xc0\xc7\xc3\xcb\xbc\xf6",
			identifiedDescriptionName: [
				"A stiff tentacle taken from a Drosera from the Arunafeltz region.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6260: {
			unidentifiedDisplayName: "Petti's Tail",
			unidentifiedResourceName: "\xbb\xda\xb6\xec\xc0\xc7\xb2\xbf\xb8\xae",
			unidentifiedDescriptionName: [
				"A tail section of a petite.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Petite's Tail",
			identifiedResourceName: "\xbb\xda\xb6\xec\xc0\xc7\xb2\xbf\xb8\xae",
			identifiedDescriptionName: [
				"A tail section of a petite.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6261: {
			unidentifiedDisplayName: "Fine Noodle",
			unidentifiedResourceName: "\xbc\xd2\xb8\xe9",
			unidentifiedDescriptionName: [
				"Thin white noodles. Popular in the summer.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fine Noodle",
			identifiedResourceName: "\xbc\xd2\xb8\xe9",
			identifiedDescriptionName: [
				"Thin white noodles. Popular in the summer.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6262: {
			unidentifiedDisplayName: "Cool Gravy",
			unidentifiedResourceName: "\xbd\xc3\xbf\xf8\xc7\xd1\xc0\xb0\xbc\xf6",
			unidentifiedDescriptionName: [
				"A basic ingredient for cooking stew and some soups.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cool Gravy",
			identifiedResourceName: "\xbd\xc3\xbf\xf8\xc7\xd1\xc0\xb0\xbc\xf6",
			identifiedDescriptionName: [
				"A basic ingredient for cooking stew and some soups.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6263: {
			unidentifiedDisplayName: "Coconut Fruit",
			unidentifiedResourceName: "\xbe\xdf\xc0\xda\xbf\xad\xb8\xc5",
			unidentifiedDescriptionName: [
				"A tropical fruit with white juice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Coconut Fruit",
			identifiedResourceName: "\xbe\xdf\xc0\xda\xbf\xad\xb8\xc5",
			identifiedDescriptionName: [
				"A tropical fruit with white juice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6264: {
			unidentifiedDisplayName: "Melon",
			unidentifiedResourceName: "\xb8\xe1\xb7\xd0",
			unidentifiedDescriptionName: [
				"A light green round fruit that has a sweet fragrance.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Melon",
			identifiedResourceName: "\xb8\xe1\xb7\xd0",
			identifiedDescriptionName: [
				"A light green round fruit that has a sweet fragrance.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6265: {
			unidentifiedDisplayName: "Pineapple",
			unidentifiedResourceName: "\xc6\xc4\xc0\xce\xbe\xd6\xc7\xc3",
			unidentifiedDescriptionName: [
				"A fresh fruit that has a sort of sour and sweet flavor. ",
				"Be careful cause the outside of the pineapple has sharp thorns.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pineapple",
			identifiedResourceName: "\xc6\xc4\xc0\xce\xbe\xd6\xc7\xc3",
			identifiedDescriptionName: [
				"A fresh fruit that has a sort of sour and sweet flavor.",
				"Be careful cause the outside of the pineapple has sharp thorns.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6266: {
			unidentifiedDisplayName: "Key Of Deception",
			unidentifiedResourceName: "\xb1\xe2\xb8\xb8\xc0\xc7\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Key Of Deception",
			identifiedResourceName: "\xb1\xe2\xb8\xb8\xc0\xc7\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6267: {
			unidentifiedDisplayName: "Key Of Illusion",
			unidentifiedResourceName: "\xc7\xe3\xbb\xf3\xc0\xc7\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Key Of Illusion",
			identifiedResourceName: "\xc7\xe3\xbb\xf3\xc0\xc7\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6268: {
			unidentifiedDisplayName: "Key Of Gaiety",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Key Of Pleasure",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6269: {
			unidentifiedDisplayName: "A Master's Brush",
			unidentifiedResourceName: "\xb8\xed\xc0\xe5\xc0\xc7\xba\xd7",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "A Master's Brush",
			identifiedResourceName: "\xb8\xed\xc0\xe5\xc0\xc7\xba\xd7",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6270: {
			unidentifiedDisplayName: "A Picture Of Song, A Minstrel",
			unidentifiedResourceName: "\xb9\xce\xbd\xba\x5f\xbb\xe7\xc1\xf8",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "A Picture Of Maestro Song",
			identifiedResourceName: "\xb9\xce\xbd\xba\x5f\xbb\xe7\xc1\xf8",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6271: {
			unidentifiedDisplayName: "Receipt",
			unidentifiedResourceName: "\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Receipt",
			identifiedResourceName: "\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6272: {
			unidentifiedDisplayName: "Seed For Experiemnt",
			unidentifiedResourceName: "\xb9\xdf\xbe\xc6\xbb\xf5\xbd\xcf",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Seed For Experiemnt",
			identifiedResourceName: "\xb9\xdf\xbe\xc6\xbb\xf5\xbd\xcf",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6273: {
			unidentifiedDisplayName: "Seed For Experiemnt",
			unidentifiedResourceName: "\xbb\xfd\xb8\xed\xc0\xc7\xbe\xbe\xbe\xd1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Seed For Experiemnt",
			identifiedResourceName: "\xbb\xfd\xb8\xed\xc0\xc7\xbe\xbe\xbe\xd1",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6274: {
			unidentifiedDisplayName: "A Piece Of Clothe Of A Saint",
			unidentifiedResourceName: "\xbc\xba\xc0\xda\xc0\xc7\xbf\xca\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Saint's Clothing Piece",
			identifiedResourceName: "\xbc\xba\xc0\xda\xc0\xc7\xbf\xca\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6275: {
			unidentifiedDisplayName: "Shild Of King",
			unidentifiedResourceName: "\xbf\xd5\xc0\xc7\xb9\xe6\xc6\xd0",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "King's Shield",
			identifiedResourceName: "\xbf\xd5\xc0\xc7\xb9\xe6\xc6\xd0",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6276: {
			unidentifiedDisplayName: "Clear Reagent",
			unidentifiedResourceName: "\xc6\xe4\xc0\xcc\xbf\xe6\xbc\xf6\xbf\xeb\xbe\xd7",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Clear Reagent",
			identifiedResourceName: "\xc6\xe4\xc0\xcc\xbf\xe6\xbc\xf6\xbf\xeb\xbe\xd7",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6277: {
			unidentifiedDisplayName: "Red Reagent",
			unidentifiedResourceName: "\xb5\xf0\xc6\xae\xb8\xae\xb9\xce",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Red Reagent",
			identifiedResourceName: "\xb5\xf0\xc6\xae\xb8\xae\xb9\xce",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6278: {
			unidentifiedDisplayName: "Black Reagent",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xbe\xd7\xc3\xbc\xbd\xc3\xc7\xe8\xb0\xfc",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Black Reagent",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xbe\xd7\xc3\xbc\xbd\xc3\xc7\xe8\xb0\xfc",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6279: {
			unidentifiedDisplayName: "A Book On How To Make An Apple Bomb",
			unidentifiedResourceName: "\xbb\xe7\xb0\xfa\xc6\xf8\xc5\xba\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A guide on how to make apple bombs.",
				"Ingredients : ^000088Apple, Scell, Dark Powder, Detonator^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "How To Make An Apple Bomb",
			identifiedResourceName: "\xbb\xe7\xb0\xfa\xc6\xf8\xc5\xba\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A guide on how to make apple bombs.",
				"Ingredients :^000088 Apple, Scell, Dark Powder, Detonator^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6280: {
			unidentifiedDisplayName: "A Book On How To Make A Pineapple Bomb",
			unidentifiedResourceName: "\xc6\xc4\xc0\xce\xbe\xd6\xc7\xc3\xc6\xf8\xc5\xba\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A guide on how to make pineapple bombs.",
				"Ingredients : ^000088Pineapple, Cactus Needle, 3 Dark Powder, Detonator^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "How To Make A Pineapple Bomb",
			identifiedResourceName: "\xc6\xc4\xc0\xce\xbe\xd6\xc7\xc3\xc6\xf8\xc5\xba\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A guide on how to make pineapple bombs.",
				"Ingredients : ^000088Pineapple, Cactus Needle, 3 Dark Powder, Detonator^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6281: {
			unidentifiedDisplayName: "A Book On How To Make A Coconut Fruit Bomb",
			unidentifiedResourceName: "\xbe\xdf\xc0\xda\xbf\xad\xb8\xc5\xc6\xf8\xc5\xba\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A guide on how to make Coconut bombs.",
				"Ingredients : ^000088Coconut, 2 Dark Powder, Detonator^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "How To Make A Coconut Fruit Bomb",
			identifiedResourceName: "\xbe\xdf\xc0\xda\xbf\xad\xb8\xc5\xc6\xf8\xc5\xba\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A guide on how to make Coconut bombs.",
				"Ingredients : ^000088Coconut, 2 Dark Powder, Detonator^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6282: {
			unidentifiedDisplayName: "A Book On How To Make A Melon Bomb",
			unidentifiedResourceName: "\xb8\xe1\xb7\xd0\xc6\xf8\xc5\xba\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A guide on how to make Melon bombs.",
				"Ingredients : ^000088Melon, Sticky Mucus, 2 Dark Powder, Detonator^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "How To Make A Melon Bomb",
			identifiedResourceName: "\xb8\xe1\xb7\xd0\xc6\xf8\xc5\xba\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A guide on how to make Melon bombs.",
				"Ingredients : ^000088Melon, Sticky Mucus, 2 Dark Powder, Detonator^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6283: {
			unidentifiedDisplayName: "A Book On How To Make A Banana Bomb",
			unidentifiedResourceName: "\xb9\xd9\xb3\xaa\xb3\xaa\xc6\xf8\xc5\xba\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A guide on how to make banana bombs.",
				"Ingredients : ^000088Banana, Mold Powder, 4 Dark Powder, Detonator^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "How To Make A Banana Bomb",
			identifiedResourceName: "\xb9\xd9\xb3\xaa\xb3\xaa\xc6\xf8\xc5\xba\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A guide on how to make banana bombs.",
				"Ingredients : ^000088Banana, Mold Powder, 4 Dark Powder, Detonator^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6284: {
			unidentifiedDisplayName: "How To Grow Plant Genes",
			unidentifiedResourceName: "\xbd\xc4\xb9\xb0\xc0\xaf\xc0\xfc\xc0\xda\xc0\xe7\xb9\xe8\xb9\xfd",
			unidentifiedDescriptionName: [
				"A guide book required for the cultivation of Thorny Seeds, Blood Sucker Seeds, and Explosive Mushroom Spores.",
				"Thorny Seed : ^00008810 Thorny Fruit^000000",
				"Blood Sucker : ^00008810 Man Eater Root^000000",
				"Explosive Mushroom Spore : ^00008810 Mushroom Spore, 5 Poison Mushroom Spore, 2 Black Powder^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "How To Grow Plant Genes",
			identifiedResourceName: "\xbd\xc4\xb9\xb0\xc0\xaf\xc0\xfc\xc0\xda\xc0\xe7\xb9\xe8\xb9\xfd",
			identifiedDescriptionName: [
				"A guide book required for the cultivation of Thorny Seeds, Blood Sucker Seeds, and Explosive Mushroom Spores.",
				"Thorny Seed : ^00008810 Thorny Fruit^000000",
				"Blood Sucker : ^00008810 Man Eater Root^000000",
				"Explosive Mushroom Spore : ^00008810 Mushroom Spore, 5 Poison Mushroom Spore, 2 Black Powder^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6285: {
			unidentifiedDisplayName: "Manual: How To Make High Quality Potion",
			unidentifiedResourceName: "\xbb\xf3\xb1\xde\xc6\xf7\xbc\xc7\xc1\xa6\xc1\xb6\xb8\xc5\xb4\xba\xbe\xf3",
			unidentifiedDescriptionName: [
				"A guide on how to create Concentrated White Potion Z, Vitata500, and Concentrated Ceromain Soup.",
				"Concentrated White Potion : ^00008810 Test Tubes, 5 White Potions^000000",
				"Vitata500 : ^00008810 Test Tubes, 10 White Potions^000000",
				"Concentrated Ceromain Soup : ^00008810 Test Tubes, 15 White Potions^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "How To Make High Quality Potion",
			identifiedResourceName: "\xbb\xf3\xb1\xde\xc6\xf7\xbc\xc7\xc1\xa6\xc1\xb6\xb8\xc5\xb4\xba\xbe\xf3",
			identifiedDescriptionName: [
				"A guide on how to create Concentrated White Potion Z, Vitata500, and Concentrated Ceromain Soup.",
				"Concentrated White Potion : ^00008810 Test Tubes, 5 White Potions^000000",
				"Vitata500 : ^00008810 Test Tubes, 10 White Potions^000000",
				"Concentrated Ceromain Soup : ^00008810 Test Tubes, 15 White Potions^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6286: {
			unidentifiedDisplayName: "Max Weight Up Scroll",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			unidentifiedDescriptionName: [
				"A Gym Pass that can be given to a special NPC to learn a skill that will increase your Maximum Weight Capacity by 200 for each skill level.",
				"This special skill can only be learned up to Level 10.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Gym Pass",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			identifiedDescriptionName: [
				"A Gym Pass that can be",
				"given to a special",
				"NPC to learn a skill",
				"that will increase your Maximum Weight",
				"Capacity by 200 for",
				"each skill level.",
				"This special skill",
				"can only be learned",
				"up to Level 10.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6287: {
			unidentifiedDisplayName: "Omni Clothing Dye",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			unidentifiedDescriptionName: [
				"If you give this coupon to the NPC, she will dye your costume.",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Omni Clothing Dye",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			identifiedDescriptionName: [
				"If you give this coupon to the Stylist Dinorah Lacostt at Prontera or Eden Group Headquarters, she will dye your costume to 1 of 3 different color variations.",
				"^ffffff_^000000",
				"^ff0000This item can be traded, stored, and vended^000000\"",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6288: {
			unidentifiedDisplayName: "Happy Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"The joyful color of yellow makes you feel strangely happy. Every time you think about opening it you resist the temptation. Perhaps a professional ^00FF00\"Gift Opener\"^000000  could be of assistance.",
				"You seem to recall seeing such a gal at:",
				"Prontera 164 110",
				"Payon 162 124",
				"Aldebaran 124 114",
				"Juno 179 187",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
				"^FF0000This item can only be opened until Aug. 25, 2009^000000",
			],
			identifiedDisplayName: "Summer Happy Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"The joyful color of yellow makes you feel strangely happy. Every time you think about opening it you resist the temptation. Perhaps a professional ^00FF00\"Gift Opener\"^000000 could be of assistance.",
				"You seem to recall seeing such a gal at:",
				"Prontera 164 110",
				"Payon 162 124",
				"Aldebaran 124 114",
				"Juno 179 187",
				"Weight : ^7777771^000000",
				"^FF0000This item can only be opened until Aug. 25, 2009^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6289: {
			unidentifiedDisplayName: "Mysterious Dyestuff",
			unidentifiedResourceName: "\xbd\xc5\xba\xf1\xc7\xd1\xbf\xb0\xbb\xf6\xbe\xe0",
			unidentifiedDescriptionName: [
				"Various colors are mixed into this mysterious dye. It is a primary ingredient for dying certain headgears.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Mysterious Dyestuffs",
			identifiedResourceName: "\xbd\xc5\xba\xf1\xc7\xd1\xbf\xb0\xbb\xf6\xbe\xe0",
			identifiedDescriptionName: [
				"Various colors are mixed into this mysterious dye. It is a primary ingredient for dying certain headgears.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6290: {
			unidentifiedDisplayName: "New Style Coupon",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"This coupon can be exchanged, along with the required materials, to a hair dresser to change your hairstyle.",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Hairstyle Coupon",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"This coupon can be exchanged, along with the required materials, to a hair dresser to change your hairstyle.",
				"^ff0000This item is not required for those who have VIP status^000000.",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6291: {
			unidentifiedDisplayName: "Enriched Elunium",
			unidentifiedResourceName: "\xc3\xe0\xbf\xa1\xb8\xa3",
			unidentifiedDescriptionName: [
				"Concentrated Elunium that has been buried deep underground. ",
				"Used as a material to strengthen armors.",
				"Enhances a chance of successful upgrade.",
				"Only Suhnbi of Payon is capable of refining with this material.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Enriched Elunium",
			identifiedResourceName: "\xc3\xe0\xbf\xa1\xb8\xa3",
			identifiedDescriptionName: [
				"Concentrated Elunium",
				"that has been buried",
				"deep underground.",
				"Used as a material",
				"to strengthen armor.",
				"Enhances a chance of",
				"successful upgrade.",
				"Only Suhnbi of Payon is",
				"capable of refining with",
				"this material.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6292: {
			unidentifiedDisplayName: "Enriched Oridecon",
			unidentifiedResourceName: "\xc3\xe0\xbf\xc0\xb8\xae",
			unidentifiedDescriptionName: [
				"Dense Oridecon that has been buried deep underground. ",
				"Used as a material to strengthen weapons.",
				"Enhances a chance of successful upgrade.",
				"Only Suhnbi of Payon is capable of refining with this material.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Enriched Oridecon",
			identifiedResourceName: "\xc3\xe0\xbf\xc0\xb8\xae",
			identifiedDescriptionName: [
				"Dense Oridecon",
				"that has been buried",
				"deep underground.",
				"Used as a material to",
				"strengthen weapons.",
				"Enhances a chance of",
				"successful upgrade.",
				"Only Suhnbi of Payon is",
				"capable of refining with",
				"this material.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6293: {
			unidentifiedDisplayName: "Token Of Siegfried",
			unidentifiedResourceName: "\xc1\xf6\xc5\xa9\xc7\xc1\xb8\xae\xb5\xe5\xc0\xc7\xc1\xf5\xc7\xa5",
			unidentifiedDescriptionName: [
				"A certificate imbued with the power of the invulnerable Ziegfried which allows its bearer to overcome death.",
				"Revives the dead character.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Token Of Siegfried",
			identifiedResourceName: "\xc1\xf6\xc5\xa9\xc7\xc1\xb8\xae\xb5\xe5\xc0\xc7\xc1\xf5\xc7\xa5",
			identifiedDescriptionName: [
				"A certificate imbued",
				"with the power of the",
				"invulnerable Ziegfried",
				"which allows its bearer to overcome death.",
				"Revives the dead",
				"character.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6294: {
			unidentifiedDisplayName: "Marriage Covenant",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"This written oath professes undying love, loyalty, and union.",
				"Forever in life, and eternally beyond death.",
				"^ffffff_^000000",
				"Cannot be Dropped or Traded.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Marriage Covenant",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"This written oath professes undying love, loyalty, and union.",
				"Forever in life, and eternally beyond death.",
				"^ffffff_^000000",
				"^ff0000To use this item on Ymir or Yggdrasil, send a ticket to the GM Team at support.warpportal.com with the name of you and your fiancee.",
				"^ffffff_^000000",
				"Cannot be Dropped or Traded.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6295: {
			unidentifiedDisplayName: "Clothing Dye Coupon2",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			unidentifiedDescriptionName: [
				"If you give this coupon to the NPC, she will dye your costume to its original color.",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Original Clothing Dye Coupon",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			identifiedDescriptionName: [
				"If you give this coupon to the NPC, she will dye your costume to its original color.",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6296: {
			unidentifiedDisplayName: "Reserve Notice",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reserve Notice",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6297: {
			unidentifiedDisplayName: "Bottle Throw",
			unidentifiedResourceName: "\xba\xf3\xc6\xf7\xbc\xc7\xba\xb4",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bottle Throw",
			identifiedResourceName: "\xba\xf3\xc6\xf7\xbc\xc7\xba\xb4",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6298: {
			unidentifiedDisplayName: "Crushed Pumpkin Hat",
			unidentifiedResourceName: "\xc8\xa3\xb9\xda\xb8\xd3\xb8\xae",
			unidentifiedDescriptionName: [
				"A pumpmkin crushed. Somebody might drop it by mistake.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Crushed Pumpkin",
			identifiedResourceName: "\xc8\xa3\xb9\xda\xb8\xd3\xb8\xae",
			identifiedDescriptionName: [
				"A pumpmkin crushed. Somebody might drop it by mistake.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6299: {
			unidentifiedDisplayName: "Worn Cloth Piece",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xc3\xb5\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A cloth worn out. It seems to have been a transparent and clean cloth.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Worn Fabric",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xc3\xb5\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A cloth worn out. It seems to have been a transparent and clean cloth.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6300: {
			unidentifiedDisplayName: "Lottery Ticket",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\x37",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Lottery Ticket",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x5f\x37",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6301: {
			unidentifiedDisplayName: "Lottery Ticket Assistance",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Lottery Ticket Assistance",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6302: {
			unidentifiedDisplayName: "GM Son Letter",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "GM Son Letter",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6304: {
			unidentifiedDisplayName: "Exploit Certification of Sapha",
			unidentifiedResourceName: "\xbb\xe7\xc6\xc4\xb0\xf8\xc8\xc6\xc1\xf5",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Sapha Certification",
			identifiedResourceName: "\xbb\xe7\xc6\xc4\xb0\xf8\xc8\xc6\xc1\xf5",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6305: {
			unidentifiedDisplayName: "Piece of Frozen Skin",
			unidentifiedResourceName: "\xbe\xf3\xbe\xee\xba\xd9\xc0\xba\xc7\xc7\xba\xce\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Frozen Piece of Skin",
			identifiedResourceName: "\xbe\xf3\xbe\xee\xba\xd9\xc0\xba\xc7\xc7\xba\xce\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6306: {
			unidentifiedDisplayName: "Cotted Bloodstain",
			unidentifiedResourceName: "\xb4\xdc\xb4\xdc\xc7\xcf\xb0\xd4\xb1\xbb\xc0\xba\xc7\xf7\xc8\xe7",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Clotted Bloodstain",
			identifiedResourceName: "\xb4\xdc\xb4\xdc\xc7\xcf\xb0\xd4\xb1\xbb\xc0\xba\xc7\xf7\xc8\xe7",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6307: {
			unidentifiedDisplayName: "Strange Magic Stone",
			unidentifiedResourceName: "\xbc\xf6\xbb\xf3\xc7\xd1\xb8\xb6\xb7\xc2\xc0\xc7\xb5\xb9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Strange Magic Stone",
			identifiedResourceName: "\xbc\xf6\xbb\xf3\xc7\xd1\xb8\xb6\xb7\xc2\xc0\xc7\xb5\xb9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6308: {
			unidentifiedDisplayName: "Unknown Relic",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Unknown Relic",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6319: {
			unidentifiedDisplayName: "Small Bradium",
			unidentifiedResourceName: "\xbf\xb5\xc8\xa5\xc0\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Bradium",
			identifiedResourceName: "\xbf\xb5\xc8\xa5\xc0\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6320: {
			unidentifiedDisplayName: "Reset Stone",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"There's a rumor that when you find and see the man who knows about this stone, he would reset your status.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Reset Stone",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"There's a rumor that when you find and see the man who knows about this stone, he would reset your status.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6321: {
			unidentifiedDisplayName: "Rake Horn Helm",
			unidentifiedResourceName: "\xb0\xa5\xc4\xfb\xbb\xd4\xc5\xf5\xb1\xb8",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rake Horn Helm",
			identifiedResourceName: "\xb0\xa5\xc4\xfb\xbb\xd4\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6322: {
			unidentifiedDisplayName: "Antler Helm",
			unidentifiedResourceName: "\xbb\xe7\xbd\xbf\xbb\xd4\xc5\xf5\xb1\xb8",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Antler Helm",
			identifiedResourceName: "\xbb\xe7\xbd\xbf\xbb\xd4\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6323: {
			unidentifiedDisplayName: "Twin Horn Helm",
			unidentifiedResourceName: "\xbd\xd6\xbb\xd4\xc5\xf5\xb1\xb8",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Twin Horn Helm",
			identifiedResourceName: "\xbd\xd6\xbb\xd4\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6324: {
			unidentifiedDisplayName: "Single Horn Helm",
			unidentifiedResourceName: "\xbf\xdc\xbb\xd4\xc5\xf5\xb1\xb8",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Single Horn Helm",
			identifiedResourceName: "\xbf\xdc\xbb\xd4\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6325: {
			unidentifiedDisplayName: "White Spider Limb",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xb0\xc5\xb9\xcc\xb4\xd9\xb8\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "White Spider Limb",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xb0\xc5\xb9\xcc\xb4\xd9\xb8\xae",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6326: {
			unidentifiedDisplayName: "Piece of Queen's Wing",
			unidentifiedResourceName: "\xbf\xa9\xbf\xd5\xc0\xc7\xb3\xaf\xb0\xb3\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Piece of Queen's Wing",
			identifiedResourceName: "\xbf\xa9\xbf\xd5\xc0\xc7\xb3\xaf\xb0\xb3\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6328: {
			unidentifiedDisplayName: "January Calendar",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "January Calendar",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6329: {
			unidentifiedDisplayName: "February Calendar",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "February Calendar",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6330: {
			unidentifiedDisplayName: "March Calendar",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "March Calendar",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6331: {
			unidentifiedDisplayName: "April Calendar",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "April Calendar",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6332: {
			unidentifiedDisplayName: "May Calendar",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "May Calendar",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6333: {
			unidentifiedDisplayName: "June Calendar",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "June Calendar",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6334: {
			unidentifiedDisplayName: "July Calendar",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "July Calendar",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6335: {
			unidentifiedDisplayName: "August Calendar",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "August Calendar",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6336: {
			unidentifiedDisplayName: "September Calendar",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "September Calendar",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6337: {
			unidentifiedDisplayName: "October Calendar",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "October Calendar",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6338: {
			unidentifiedDisplayName: "November Calendar",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "November Calendar",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6339: {
			unidentifiedDisplayName: "December Calendar",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "December Calendar",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6340: {
			unidentifiedDisplayName: "Faded Music(Green)",
			unidentifiedResourceName: "\xbe\xc7\xba\xb8\x31",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Faded Music(Green)",
			identifiedResourceName: "\xbe\xc7\xba\xb8\x31",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6341: {
			unidentifiedDisplayName: "Faded Music(Red)",
			unidentifiedResourceName: "\xbe\xc7\xba\xb8\x32",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Faded Music(Red)",
			identifiedResourceName: "\xbe\xc7\xba\xb8\x32",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6342: {
			unidentifiedDisplayName: "Faded Music(Purple)",
			unidentifiedResourceName: "\xbe\xc7\xba\xb8\x33",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Faded Music(Purple)",
			identifiedResourceName: "\xbe\xc7\xba\xb8\x33",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6343: {
			unidentifiedDisplayName: "Faded Music(Blue)",
			unidentifiedResourceName: "\xbe\xc7\xba\xb8\x34",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Faded Music(Blue)",
			identifiedResourceName: "\xbe\xc7\xba\xb8\x34",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6344: {
			unidentifiedDisplayName: "Muscle Knights Summertime Guide",
			unidentifiedResourceName: "\xb1\xd9\xc0\xb0\xc0\xcc\xbe\xdf\xb1\xe2",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Muscle Knights Summertime Guide",
			identifiedResourceName: "\xb1\xd9\xc0\xb0\xc0\xcc\xbe\xdf\xb1\xe2",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6345: {
			unidentifiedDisplayName: "Love Much",
			unidentifiedResourceName: "\xbb\xe7\xb6\xfb\xb9\xb6\xc4\xa1",
			unidentifiedDescriptionName: [
				"°À´öµû¾òÀÇ ´ç¹û²µ¸¾ µûÀÌ ¶¹ÃÄÁ® ÀÖ»Ù.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Love Lump",
			identifiedResourceName: "\xbb\xe7\xb6\xfb\xb9\xb6\xc4\xa1",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6347: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"¶ÙÆ÷·ÞÆ® ³­¶öÀÇ ^000088¢Ó[á¡]·¿^000000 ÀÌ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^0000882010¼â ´õÇØ¿¡ ¶à±Ò²À»Ï»Ù. ¶éÈ£ÀÇ ÇØ¹ó µÒ·®»Â ··Å­ È£¹ûÀÌ ·ð±çÀ´ ÇÑ »ëÇÑ¶Î¾¶ºº ÆÄÀÌÆÃÀÔ»Ï»Ù! Ã´¼â²Ç±÷! ´ç¹óÁ®¹ó!^000000\"",
				"Á±ÀÌÀÇ ·Ç ±Æ¸¡ ÀÛÀµ ¾Û±±¿¡ ÀÖ»Ù.",
				"'ÀÌ¿ÍÀ´ ¶ß¿ßÇß»Ù·é ^000088Ç×¾··¹À´^000000¸Î!'",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"¶ÙÆ÷·ÞÆ® ³­¶öÀÇ ^000088¢Ó[á¡]·¿^000000 ÀÌ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^0000882010¼â ´õÇØ¿¡ ¶à±Ò²À»Ï»Ù. ¶éÈ£ÀÇ ÇØ¹ó µÒ·®»Â ··Å­ È£¹ûÀÌ ·ð±çÀ´ ÇÑ »ëÇÑ¶Î¾¶ºº ÆÄÀÌÆÃÀÔ»Ï»Ù! Ã´¼â²Ç±÷! ´ç¹óÁ®¹ó!^000000\"",
				"Á±ÀÌÀÇ ·Ç ±Æ¸¡ ÀÛÀµ ¾Û±±¿¡ ÀÖ»Ù.",
				"'ÀÌ¿ÍÀ´ ¶ß¿ßÇß»Ù·é ^000088Ç×¾··¹À´^000000¸Î!'",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6348: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"¶ÙÆ÷·ÞÆ® ³­¶öÀÇ ^000088»ç²ÅºéÀÇÃº¾¶^000000 ÀÌ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088¿¡Á¸¿ú ÇÔ½½ Ç×´ó ¿Ç¿­ÇÏ²Ã¿í µ¶ ·¶ÀÌ ¶ÞÀ·³³°ä. ¹ó¾×ºº »õ ±ËÂ÷¿í Ãæ²ÇÇÑ ²µÅä·®¸Î À¯Àú·¦ ·ð±Æ °À¸§º°±È ÇÔ½½ ÇßÀ··é ÁÁ¿Ú²À»Ï»Ù.^000000\"",
				"Á±ÀÌÀÇ ·Ç ±Æ¸¡ ÀÛÀµ ¾Û±±¿¡ ÀÖ»Ù.",
				"'ÀÌ¿ÍÀ´ ¶ß¿ßÇß»Ù·é ^000088Ç×¾··¹À´^000000¸Î!'",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"¶ÙÆ÷·ÞÆ® ³­¶öÀÇ ^000088»ç²ÅºéÀÇÃº¾¶^000000 ÀÌ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088¿¡Á¸¿ú ÇÔ½½ Ç×´ó ¿Ç¿­ÇÏ²Ã¿í µ¶ ·¶ÀÌ ¶ÞÀ·³³°ä. ¹ó¾×ºº »õ ±ËÂ÷¿í Ãæ²ÇÇÑ ²µÅä·®¸Î À¯Àú·¦ ·ð±Æ °À¸§º°±È ÇÔ½½ ÇßÀ··é ÁÁ¿Ú²À»Ï»Ù.^000000\"",
				"Á±ÀÌÀÇ ·Ç ±Æ¸¡ ÀÛÀµ ¾Û±±¿¡ ÀÖ»Ù.",
				"'ÀÌ¿ÍÀ´ ¶ß¿ßÇß»Ù·é ^000088Ç×¾··¹À´^000000¸Î!'",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6349: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"´ç¹ó ³­¶öÀÇ ºå¸¶¼ë±î¶ý´ç ¿¡ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088´õ¸Î°î 2010¼âÀÌ ²ÃÀÛºÇºíÀÌ ¹ó¾×¼ª¸ÎÅ©ºº °¶ÀüÀÇ ÁÁ±Ò»ø ¼ª´¦»ø ¾â±ïÀ´ ·ðºÎ ¶ö·®¿í ÃÊ²É°¡³­ »Ù²Ã ²ÃÀÛÇØ ·ÚÁö¿Ô µÎÈ¿ÇÏ¾â·¦!^000000\"",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"´ç¹ó ³­¶öÀÇ ºå¸¶¼ë±î¶ý´ç ¿¡ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088´õ¸Î°î 2010¼âÀÌ ²ÃÀÛºÇºíÀÌ ¹ó¾×¼ª¸ÎÅ©ºº °¶ÀüÀÇ ÁÁ±Ò»ø ¼ª´¦»ø ¾â±ïÀ´ ·ðºÎ ¶ö·®¿í ÃÊ²É°¡³­ »Ù²Ã ²ÃÀÛÇØ ·ÚÁö¿Ô µÎÈ¿ÇÏ¾â·¦!^000000\"",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6350: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"¹õºå¾×·®²µ ³­¶öÀÇ ^000088Ãº±Ç¡£^000000ÀÌ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088´õÇØ°¡»Â ¶Ù¹ó²Ã»Â ÀÏ ½Àºé ÀÌ¸ç±îÁö¾·°ä~ »Ù²Ã ¹ó¾×¿¡ Àü³µ¾â ²ÃÀýÀÇ À§´óÀ´ Ã£»Â ÇÑÇØ¿¡ ºÇ±úÀ··é ÁÁ¿Ú¼×°ä.^000000\"",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"¹õºå¾×·®²µ ³­¶öÀÇ ^000088Ãº±Ç¡£^000000ÀÌ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088´õÇØ°¡»Â ¶Ù¹ó²Ã»Â ÀÏ ½Àºé ÀÌ¸ç±îÁö¾·°ä~ »Ù²Ã ¹ó¾×¿¡ Àü³µ¾â ²ÃÀýÀÇ À§´óÀ´ Ã£»Â ÇÑÇØ¿¡ ºÇ±úÀ··é ÁÁ¿Ú¼×°ä.^000000\"",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6351: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"¹õºå¾×·®²µ ³­¶öÀÇ ^000088¡Ù¸Î±â¾øÆÐ¡Ù^000000 ¿¡ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088¿æÀÎ¼â ¶éÈ£ÀÇ ¹ìÃ¼¸¼ ¿­ÇÏ¿í °ë·ÍÇÑ È£¹ûÀÌÀÇ ¾â°îÀ´ ¶Þ±Æ³­ Ç×´ó ¿Ç¿­ÇÏ²Ã¿í ÁÁÀµÀÏ·· ¿¡ºæÇÏ²Ã·ç ¶«ÇÑÇÑ ¶ßÀüÀ´ ¾â°øÇÕ»Ï»Ù.^000000\"",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"¹õºå¾×·®²µ ³­¶öÀÇ ^000088¡Ù¸Î±â¾øÆÐ¡Ù^000000 ¿¡ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088¿æÀÎ¼â ¶éÈ£ÀÇ ¹ìÃ¼¸¼ ¿­ÇÏ¿í °ë·ÍÇÑ È£¹ûÀÌÀÇ ¾â°îÀ´ ¶Þ±Æ³­ Ç×´ó ¿Ç¿­ÇÏ²Ã¿í ÁÁÀµÀÏ·· ¿¡ºæÇÏ²Ã·ç ¶«ÇÑÇÑ ¶ßÀüÀ´ ¾â°øÇÕ»Ï»Ù.^000000\"",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6352: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"Å·¼ªÅä²µ ³­¶öÀÇ ^000088Q .Q^000000 ¿¡ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088¼´ ÀÎ´ýÀÇ Àý¶ÝÀÇ º°¶ÝÀÚ ! iztmzilp. ¼Ê°¡¿Ô ÁÁÀµ 2010¼âÀÌ ºÇ¾æ µó»Ù.^000000\"",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"Å·¼ªÅä²µ ³­¶öÀÇ ^000088Q .Q^000000 ¿¡ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088¼´ ÀÎ´ýÀÇ Àý¶ÝÀÇ º°¶ÝÀÚ ! iztmzilp. ¼Ê°¡¿Ô ÁÁÀµ 2010¼âÀÌ ºÇ¾æ µó»Ù.^000000\"",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6353: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"¶ÙÆ÷·ÞÆ® ³­¶öÀÇ ^000088ÆÄ°öÆ÷²µ¸¶ÀÎÁ®^000000 ¿¡ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088°Ã ÇÑ ÇØ ·¹¶«·® ÀßÇÏ²Ã¿í º¶±Æ°À»Â ÇØ¿¡ È£¹ûÀÌÇØÀÎ ··Å­ È£¹ûÀÌ¿¡ Á×±î³­ ¿¡Á×À´ ¼½¾âºí, ¹ó¾×¼ª¸ÎÅ©·¦! À¯Àúºé°¡ ¾â±ï³Ó°¡ °À¸¡°À¸¡ !^000000\"",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"¶ÙÆ÷·ÞÆ® ³­¶öÀÇ ^000088ÆÄ°öÆ÷²µ¸¶ÀÎÁ®^000000 ¿¡ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088°Ã ÇÑ ÇØ ·¹¶«·® ÀßÇÏ²Ã¿í º¶±Æ°À»Â ÇØ¿¡ È£¹ûÀÌÇØÀÎ ··Å­ È£¹ûÀÌ¿¡ Á×±î³­ ¿¡Á×À´ ¼½¾âºí, ¹ó¾×¼ª¸ÎÅ©·¦! À¯Àúºé°¡ ¾â±ï³Ó°¡ °À¸¡°À¸¡ !^000000\"",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6354: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"¹õºå¾×·®²µ ³­¶öÀÇ ^000088ºî ºÚ·¦ ÇÓ»Â ÀÚ^000000 ¿¡ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088´õÇØ°¡»Â »õ°í »õ À¯Àúºé¿ú »õµÒ±î ÇÔ½½ Çàµ¶ÇÒ ³ö ÀÖ»Â ¾×¹óµñÆ³¿¡ ºÇ²Ã¾æ ¶Ù¹ø»Ï»Ù.^000000\"",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"¹õºå¾×·®²µ ³­¶öÀÇ ^000088ºî ºÚ·¦ ÇÓ»Â ÀÚ^000000 ¿¡ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088´õÇØ°¡»Â »õ°í »õ À¯Àúºé¿ú »õµÒ±î ÇÔ½½ Çàµ¶ÇÒ ³ö ÀÖ»Â ¾×¹óµñÆ³¿¡ ºÇ²Ã¾æ ¶Ù¹ø»Ï»Ù.^000000\"",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6355: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"¶ÙÆ÷·ÞÆ® ³­¶öÀÇ ^000088±Þ¶úÁßÀÌ²É^000000 ÀÌ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088°Ã ÇØ°¡»Â ³ÖÁ÷È÷ Àü³³¿è ¿æÁ¦´çÁ¤ÀÌ ±ÈÁÁ±Ò²À»Ï»Ù..Çã¼ª ¼´·®·¸ ¾æÀÌ ÀÖÀ··é °À·£·¸ ¾æºº ÀÖºíÀÌ ¼´¼â°¡»Â ÁÁÀµ ÀÏ·· ¿¡ºæÇÏ²Ã¾æ ¶Ù¹ø»Ï»Ù.^000000\"",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"¶ÙÆ÷·ÞÆ® ³­¶öÀÇ ^000088±Þ¶úÁßÀÌ²É^000000 ÀÌ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088°Ã ÇØ°¡»Â ³ÖÁ÷È÷ Àü³³¿è ¿æÁ¦´çÁ¤ÀÌ ±ÈÁÁ±Ò²À»Ï»Ù..Çã¼ª ¼´·®·¸ ¾æÀÌ ÀÖÀ··é °À·£·¸ ¾æºº ÀÖºíÀÌ ¼´¼â°¡»Â ÁÁÀµ ÀÏ·· ¿¡ºæÇÏ²Ã¾æ ¶Ù¹ø»Ï»Ù.^000000\"",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6356: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"Å·¼ªÅä²µ ³­¶öÀÇ ^000088½É¶ì ²Â³øÀÌ^000000 ¿¡ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088°ì·® ·ðºÎ 2010¼â°¡»Â ¿¼ÀÎ ¿¡Á¤ ¾¶¿¡ÀÇ ¶ø°ºÀ´ À§ÇØ ÇÑ ·ö µÒ´ç·¦ ³ö ÀÖºº¸Ï °ø¾âÃæ·· ÇßÀ··é ÁÁ¿Ú²À»Ï»Ù.^000000\"",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"Å·¼ªÅä²µ ³­¶öÀÇ ^000088½É¶ì ²Â³øÀÌ^000000 ¿¡ ÀûÀµ »ö»ãÀÌ»Ù.",
				"\"^000088°ì·® ·ðºÎ 2010¼â°¡»Â ¿¼ÀÎ ¿¡Á¤ ¾¶¿¡ÀÇ ¶ø°ºÀ´ À§ÇØ ÇÑ ·ö µÒ´ç·¦ ³ö ÀÖºº¸Ï °ø¾âÃæ·· ÇßÀ··é ÁÁ¿Ú²À»Ï»Ù.^000000\"",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6357: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbd\xc7\xc6\xd0\xc7\xd1\xc6\xf7\xc3\xe1\xc4\xed\xc5\xb0",
			unidentifiedDescriptionName: [
				"Æ÷ÃáÄíÅ¿ Á¦ÀÛÀÇ 1ÀÎÀÚ¹óºº ÀÌ¸¾ ²Ç³ö·¦ ÇÒ ¹§¿¡ ÀÖ»Â ¶ýÀÌ»Ù.",
				"...³öÁýÇ¿ ´óÀÎÀÌ ´çÁÙÁöºº ·ð·¥»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbd\xc7\xc6\xd0\xc7\xd1\xc6\xf7\xc3\xe1\xc4\xed\xc5\xb0",
			identifiedDescriptionName: [
				"Æ÷ÃáÄíÅ¿ Á¦ÀÛÀÇ 1ÀÎÀÚ¹óºº ÀÌ¸¾ ²Ç³ö·¦ ÇÒ ¹§¿¡ ÀÖ»Â ¶ýÀÌ»Ù.",
				"...³öÁýÇ¿ ´óÀÎÀÌ ´çÁÙÁöºº ·ð·¥»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6358: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"5000°ø ¶«¸áÄ¼²Ã ÀÌ°ë¾Ç.",
				"¡Ø2010¼â 3°ù 10ÀÏ ÀÌÈÄ ¹ó¾×¼ª¸ÎÅ© È¨ÆäÀÌÁö°¡³­ È®ÀÎÀÌ ¿¡»ÉÇÕ»Ï»Ù.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"5000°ø ¶«¸áÄ¼²Ã ÀÌ°ë¾Ç.",
				"¡Ø2010¼â 3°ù 10ÀÏ ÀÌÈÄ ¹ó¾×¼ª¸ÎÅ© È¨ÆäÀÌÁö°¡³­ È®ÀÎÀÌ ¿¡»ÉÇÕ»Ï»Ù.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6359: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"¿¡ÀÌºåµÏ ¾¼È¯¾Ç.",
				"¡Ø2010¼â 3°ù 10ÀÏ ÀÌÈÄ ¹ó¾×¼ª¸ÎÅ© È¨ÆäÀÌÁö°¡³­ È®ÀÎÀÌ ¿¡»ÉÇÕ»Ï»Ù.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"¿¡ÀÌºåµÏ ¾¼È¯¾Ç.",
				"¡Ø2010¼â 3°ù 10ÀÏ ÀÌÈÄ ¹ó¾×¼ª¸ÎÅ© È¨ÆäÀÌÁö°¡³­ È®ÀÎÀÌ ¿¡»ÉÇÕ»Ï»Ù.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6360: {
			unidentifiedDisplayName: "Scarlet Point",
			unidentifiedResourceName: "\xbd\xba\xc4\xae\xb7\xbf\xc6\xf7\xc0\xce\xc6\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0.5^000000",
			],
			identifiedDisplayName: "Scarlet Point",
			identifiedResourceName: "\xbd\xba\xc4\xae\xb7\xbf\xc6\xf7\xc0\xce\xc6\xae",
			identifiedDescriptionName: [
				"Gemstone with fire property, a small piece split from Red Blood.",
				"Weight : ^7777770.5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6361: {
			unidentifiedDisplayName: "Indigo Point",
			unidentifiedResourceName: "\xc0\xce\xb5\xf0\xb0\xed\xc6\xf7\xc0\xce\xc6\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0.5^000000",
			],
			identifiedDisplayName: "Indigo Point",
			identifiedResourceName: "\xc0\xce\xb5\xf0\xb0\xed\xc6\xf7\xc0\xce\xc6\xae",
			identifiedDescriptionName: [
				"Gemstone with water property, a small piece split from Crystal Blue.",
				"Weight : ^7777770.5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6362: {
			unidentifiedDisplayName: "Yellow Wish Point",
			unidentifiedResourceName: "\xbf\xbb\xb7\xce\xbf\xec\xc0\xa7\xbd\xc3\xc6\xf7\xc0\xce\xc6\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0.5^000000",
			],
			identifiedDisplayName: "Yellow Wish Point",
			identifiedResourceName: "\xbf\xbb\xb7\xce\xbf\xec\xc0\xa7\xbd\xc3\xc6\xf7\xc0\xce\xc6\xae",
			identifiedDescriptionName: [
				"Gemstone with wind property, a small piece split from Wind of Verdure.",
				"Weight : ^7777770.5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6363: {
			unidentifiedDisplayName: "Lime Green Point",
			unidentifiedResourceName: "\xb6\xf3\xc0\xd3\xb1\xd7\xb8\xb0\xc6\xf7\xc0\xce\xc6\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0.5^000000",
			],
			identifiedDisplayName: "Lime Green Point",
			identifiedResourceName: "\xb6\xf3\xc0\xd3\xb1\xd7\xb8\xb0\xc6\xf7\xc0\xce\xc6\xae",
			identifiedDescriptionName: [
				"Gemstone with earth property, a small piece split from Green Live.",
				"Weight : ^7777770.5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6364: {
			unidentifiedDisplayName: "GvG Coin",
			unidentifiedResourceName: "\xb0\xf8\xbc\xba\xc0\xfc\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "GvG Coin",
			identifiedResourceName: "\xb0\xf8\xbc\xba\xc0\xfc\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6365: {
			unidentifiedDisplayName: "Arena Coin",
			unidentifiedResourceName: "\xbe\xc6\xb7\xb9\xb3\xaa\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Arena Coin",
			identifiedResourceName: "\xbe\xc6\xb7\xb9\xb3\xaa\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6366: {
			unidentifiedDisplayName: "Turbo Track Coin",
			unidentifiedResourceName: "\xc5\xcd\xba\xb8\xc6\xae\xb7\xa2\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Turbo Track Coin",
			identifiedResourceName: "\xc5\xcd\xba\xb8\xc6\xae\xb7\xa2\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6367: {
			unidentifiedDisplayName: "Kafra Coin",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Kafra Coin",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6368: {
			unidentifiedDisplayName: "Endless Coin",
			unidentifiedResourceName: "\xbf\xa3\xb5\xe9\xb7\xb9\xbd\xba\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Endless Coin",
			identifiedResourceName: "\xbf\xa3\xb5\xe9\xb7\xb9\xbd\xba\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6369: {
			unidentifiedDisplayName: "Pearl Amatsu (A)",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Pearl Amatsu (A)",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6370: {
			unidentifiedDisplayName: "Pearl Amatsu (Ma)",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Pearl Amatsu (Ma)",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6371: {
			unidentifiedDisplayName: "Pearl Amatsu (Tsu)",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Pearl Amatsu (Tsu)",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6372: {
			unidentifiedDisplayName: "Pearl Amatsu (Large)",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Pearl Amatsu (Large)",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6373: {
			unidentifiedDisplayName: "Pearl Amatsu (Spring)",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Pearl Amatsu (Spring)",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6374: {
			unidentifiedDisplayName: "Pearl Amatsu (Festival)",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Pearl Amatsu (Festival)",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6375: {
			unidentifiedDisplayName: "Pearl Amatsu (!)",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Pearl Amatsu (!)",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		6376: {
			unidentifiedDisplayName: "KVM Badge",
			unidentifiedResourceName: "\x4b\x56\x4d\xb9\xee\xc1\xf6",
			unidentifiedDescriptionName: [
				"A badge that is provided to warriors who have brought honor on the Krieger Von Midgard field.",
				"This badge can be used as KVM Points and exchanged for rewards from the KVM Logistic Officer in the Battle Field Waiting Room.",
				"Personal KVM Points will be used before this item is used for the reward requirement.",
				"Speak to a Maroll Battle Recruiter in Prontera, Morocc, Aldebaran, Geffen, Payon, Lighthalzen or Rachel to be sent to the Battle Field Room.",
				"This item can be stored only.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "KVM Badge",
			identifiedResourceName: "\x4b\x56\x4d\xb9\xee\xc1\xf6",
			identifiedDescriptionName: [
				"A badge that is provided to warriors who have brought honor on the Krieger Von Midgard field.",
				"This badge can be used as KVM Points and exchanged for rewards from the KVM Logistic Officer in the Battle Field Waiting Room.",
				"Personal KVM Points will be used before this item is used for the reward requirement.",
				"Speak to a Maroll Battle Recruiter in Prontera, Morocc, Aldebaran, Geffen, Payon, Lighthalzen or Rachel to be sent to the Battle Field Room.",
				"This item can be stored only.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6377: {
			unidentifiedDisplayName: "Bulk Buyer Shop License",
			unidentifiedResourceName: "\xb1\xb8\xb8\xc5\xb3\xeb\xc1\xa1\xc7\xe3\xb0\xa1\xc1\xf5",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bulk Buyer Shop License",
			identifiedResourceName: "\xb1\xb8\xb8\xc5\xb3\xeb\xc1\xa1\xc7\xe3\xb0\xa1\xc1\xf5",
			identifiedDescriptionName: [
				"A purchase-only street stall license published from the Merchant Guild. It has the Merchant Guild's stamp on it.(For one time)",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6378: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\x72\x77\x63\xc6\xaf\xbc\xf6\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\x72\x77\x63\xc6\xaf\xbc\xf6\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6379: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb1\xdd\xc8\xad",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb1\xdd\xc8\xad",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6380: {
			unidentifiedDisplayName: "Mora Coin",
			unidentifiedResourceName: "\xb5\xbf\xc8\xad",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Mora Coin",
			identifiedResourceName: "\xb5\xbf\xc8\xad",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6381: {
			unidentifiedDisplayName: "Field Shovel",
			unidentifiedResourceName: "\xbe\xdf\xc0\xfc\xbb\xf0",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Field Shovel",
			identifiedResourceName: "\xbe\xdf\xc0\xfc\xbb\xf0",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6382: {
			unidentifiedDisplayName: "Urn",
			unidentifiedResourceName: "\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Urn",
			identifiedResourceName: "\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6383: {
			unidentifiedDisplayName: "Lope's Clue",
			unidentifiedResourceName: "\xb7\xce\xc6\xe4\xc0\xc7\xb4\xdc\xbc\xad",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lope's Clue",
			identifiedResourceName: "\xb7\xce\xc6\xe4\xc0\xc7\xb4\xdc\xbc\xad",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6384: {
			unidentifiedDisplayName: "Lope's Ring",
			unidentifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Lope's Ring",
			identifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6385: {
			unidentifiedDisplayName: "Research Tool Bag",
			unidentifiedResourceName: "\xbf\xac\xb1\xb8\xb5\xb5\xb1\xb8\xb0\xa1\xb9\xe6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Research Tool Bag",
			identifiedResourceName: "\xbf\xac\xb1\xb8\xb5\xb5\xb1\xb8\xb0\xa1\xb9\xe6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6386: {
			unidentifiedDisplayName: "Bath Water Sample",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xbe\xd7\xc3\xbc\xbd\xc3\xc7\xe8\xb0\xfc",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Bath Water Sample",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xbe\xd7\xc3\xbc\xbd\xc3\xc7\xe8\xb0\xfc",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6387: {
			unidentifiedDisplayName: "Teeth Sample",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xee\xc0\xc7\xc0\xcc\xbb\xa1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Teeth Sample",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xee\xc0\xc7\xc0\xcc\xbb\xa1",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6388: {
			unidentifiedDisplayName: "Scale Sample",
			unidentifiedResourceName: "\xba\xfb\xb3\xaa\xb4\xc2\xba\xf1\xb4\xc3",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Scale Sample",
			identifiedResourceName: "\xba\xfb\xb3\xaa\xb4\xc2\xba\xf1\xb4\xc3",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6389: {
			unidentifiedDisplayName: "Sample of Puddle Research",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xbe\xd7\xc3\xbc\xbd\xc3\xc7\xe8\xb0\xfc",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Sample of Puddle Research",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xbe\xd7\xc3\xbc\xbd\xc3\xc7\xe8\xb0\xfc",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6390: {
			unidentifiedDisplayName: "Small Pocket",
			unidentifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Pocket",
			identifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6391: {
			unidentifiedDisplayName: "Splendid Supply Kit",
			unidentifiedResourceName: "\xc5\xc3\xb9\xe8\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 200^000000",
			],
			identifiedDisplayName: "Splendid Supply Kit",
			identifiedResourceName: "\xc5\xc3\xb9\xe8\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 200^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6392: {
			unidentifiedDisplayName: "Bradium Box",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bradium Box",
			identifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6393: {
			unidentifiedDisplayName: "Round Feather",
			unidentifiedResourceName: "\xb5\xbf\xb1\xd7\xb6\xf5\xb1\xea\xc5\xd0",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Round Feather",
			identifiedResourceName: "\xb5\xbf\xb1\xd7\xb6\xf5\xb1\xea\xc5\xd0",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6394: {
			unidentifiedDisplayName: "Golden Feather",
			unidentifiedResourceName: "\xb1\xdd\xba\xfb\xc5\xd0",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golden Feather",
			identifiedResourceName: "\xb1\xdd\xba\xfb\xc5\xd0",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6395: {
			unidentifiedDisplayName: "Angel Magic Power",
			unidentifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb8\xb6\xb9\xfd\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Angel Magic Power",
			identifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb8\xb6\xb9\xfd\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6396: {
			unidentifiedDisplayName: "Spiritual Auger",
			unidentifiedResourceName: "\xbc\xdb\xb0\xf7",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spiritual Auger",
			identifiedResourceName: "\xbc\xdb\xb0\xf7",
			identifiedDescriptionName: [
				"A tool which is consumed for making a soket. When succeeds in the Soket Enchant, it disappears.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6397: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6398: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6399: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6400: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6401: {
			unidentifiedDisplayName: "Palm Oils",
			unidentifiedResourceName: "\xbe\xdf\xc0\xda\xb3\xaa\xb9\xab\xb1\xe2\xb8\xa7",
			unidentifiedDescriptionName: [
				"Vegetable oil from oil palm fruit. It's very heavy!!",
				"Weight : ^77777750^000000",
			],
			identifiedDisplayName: "Palm Oils",
			identifiedResourceName: "\xbe\xdf\xc0\xda\xb3\xaa\xb9\xab\xb1\xe2\xb8\xa7",
			identifiedDescriptionName: [
				"Vegetable oil from oil palm fruit. It's very heavy!!",
				"Weight : ^77777750^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6402: {
			unidentifiedDisplayName: "Oil Palm Fruit",
			unidentifiedResourceName: "\xb1\xe2\xb8\xa7\xbe\xdf\xc0\xda\xbf\xad\xb8\xc5\x32",
			unidentifiedDescriptionName: [
				"An oil palm fruit. It is used when vegetable oil is made.",
				"Weight : ^7777775^000000",
			],
			identifiedDisplayName: "Palm Oil Fruit",
			identifiedResourceName: "\xb1\xe2\xb8\xa7\xbe\xdf\xc0\xda\xbf\xad\xb8\xc5\x32",
			identifiedDescriptionName: [
				"An oil palm fruit. It is used when vegetable oil is made.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6403: {
			unidentifiedDisplayName: "Leather of Comodo",
			unidentifiedResourceName: "\xc4\xda\xb8\xf0\xb5\xb5\xc0\xc7\xb0\xa1\xc1\xd7",
			unidentifiedDescriptionName: [
				"A leather of comodo. It is used when weapon or shield is made.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Comodo Leather",
			identifiedResourceName: "\xc4\xda\xb8\xf0\xb5\xb5\xc0\xc7\xb0\xa1\xc1\xd7",
			identifiedDescriptionName: [
				"A leather of comodo. It is used when weapon or shield is made.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6404: {
			unidentifiedDisplayName: "Caress Hilt ",
			unidentifiedResourceName: "\xc4\xc9\xb7\xb9\xbd\xba\xc8\xfa\xc6\xae",
			unidentifiedDescriptionName: [
				"It's a handle of weapon.",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "Keris Hilt ",
			identifiedResourceName: "\xc4\xc9\xb7\xb9\xbd\xba\xc8\xfa\xc6\xae",
			identifiedDescriptionName: [
				"It's a handle of weapon.",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6405: {
			unidentifiedDisplayName: "Feather of Cendrawasih",
			unidentifiedResourceName: "\xbc\xbe\xb5\xe5\xb6\xf3\xbf\xcd\xbd\xc3\xc0\xc7\xb1\xea\xc5\xd0",
			unidentifiedDescriptionName: [
				"It's a feather of bird called Cendrawasih. It's splendid and has a strong green color.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Cendrawasih Feather",
			identifiedResourceName: "\xbc\xbe\xb5\xe5\xb6\xf3\xbf\xcd\xbd\xc3\xc0\xc7\xb1\xea\xc5\xd0",
			identifiedDescriptionName: [
				"It's a feather of bird called Cendrawasih. It's splendid and has a strong green color.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6406: {
			unidentifiedDisplayName: "Shining Feather of Cendrawasih",
			unidentifiedResourceName: "\xba\xfb\xb3\xaa\xb4\xc2\xbc\xbe\xb5\xe5\xb6\xf3\xbf\xcd\xbd\xc3\xc0\xc7\xb1\xea\xc5\xd0",
			unidentifiedDescriptionName: [
				"It's a feather used when the 1st Jaty Crown was made. Shows beautiful light.",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "Shining Cendrawasih Feather",
			identifiedResourceName: "\xba\xfb\xb3\xaa\xb4\xc2\xbc\xbe\xb5\xe5\xb6\xf3\xbf\xcd\xbd\xc3\xc0\xc7\xb1\xea\xc5\xd0",
			identifiedDescriptionName: [
				"It's a feather used when the 1st Jaty Crown was made. Shows beautiful light.",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6407: {
			unidentifiedDisplayName: "Raw Crystal Stone Fragment",
			unidentifiedResourceName: "\xba\xb0\xc0\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Raw Crystal Stone Fragment",
			identifiedResourceName: "\xba\xb0\xc0\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6408: {
			unidentifiedDisplayName: "Raw Crystal Stone",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Raw Crystal Stone",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6409: {
			unidentifiedDisplayName: "Raw Crystal Stone Mass",
			unidentifiedResourceName: "\xbf\xa5\xc6\xe7\xb8\xae\xbf\xf2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Raw Crystal Stone Mass",
			identifiedResourceName: "\xbf\xa5\xc6\xe7\xb8\xae\xbf\xf2",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6411: {
			unidentifiedDisplayName: "Ripe Watermelon",
			unidentifiedResourceName: "\xc0\xdf\xc0\xcd\xc0\xba\xbc\xf6\xb9\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ripe Watermelon",
			identifiedResourceName: "\xc0\xdf\xc0\xcd\xc0\xba\xbc\xf6\xb9\xda",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6412: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6413: {
			unidentifiedDisplayName: "New Insurance",
			unidentifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "New Insurance",
			identifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			identifiedDescriptionName: [
				"New life insurance certificate.",
				"Once you have one, will recover EXP that you might lose when unable to battle.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6414: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Raganta Card",
			identifiedResourceName: "\xc0\xcc\xb8\xa7\xbe\xf8\xb4\xc2\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6415: {
			unidentifiedDisplayName: "Strange Embryo",
			unidentifiedResourceName: "\xc0\xcc\xbb\xf3\xc7\xd1\xbf\xa5\xba\xea\xb8\xae\xbf\xc0",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Strange Embryo",
			identifiedResourceName: "\xc0\xcc\xbb\xf3\xc7\xd1\xbf\xa5\xba\xea\xb8\xae\xbf\xc0",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6416: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"\"´çÃ·! ¶°µµ´Â ¹«»çÀÇ È¥·ÉÀÎ ¹èÈ¸ÇÏ´Â ÀÚ°¡ ¾îµð¼­³ª ´ç½Å°ú ÇÔ²²!\" ¹èÈ¸ÇÏ´Â ÀÚÀÇ ¾Ë 1°³¿Í ±³È¯ °¡´É.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6417: {
			unidentifiedDisplayName: "°³´Ù·¡ ¿­¸Å",
			unidentifiedResourceName: "\xb0\xb3\xb4\xd9\xbf\xad\xb8\xc5",
			unidentifiedDescriptionName: [
				"ÀßÀÍÀº °³´Ù·¡ ³ª¹«ÀÇ ¿­¸Å. ÀÎ°£ÀÌ º¸±â¿£ ±×Àú ¸À¾ø°í Æò¹üÇÑ ¿­¸ÅÀÎµ¥ ¸»¶ûµµ¿¡¼± »ó»ó ÀÌ»óÀÇ ´ë´ÜÇÑ °¡Ä¡¸¦ Áö´Ñ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Garderie Fruit",
			identifiedResourceName: "\xb0\xb3\xb4\xd9\xb7\xa1\xbf\xad\xb8\xc5",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6418: {
			unidentifiedDisplayName: "A±Þ ÄÚÀÎ",
			unidentifiedResourceName: "\xb0\xed\xb1\xde\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"¹ÝÂ¦¹ÝÂ¦ ºû³ª´Â ÃÖ»óÀ§±Þ ÄÚÀÎ. ¹«±â ÀÎÃ¦Æ® Áß °í±Þ ¿É¼ÇÀÌ ³ª¿Ã È®·üÀÌ ÀÖ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "A Grade Coin",
			identifiedResourceName: "\xb0\xed\xb1\xde\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6419: {
			unidentifiedDisplayName: "B±Þ ÄÚÀÎ",
			unidentifiedResourceName: "\xb0\xed\xb1\xde\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"¹ÝÂ¦¹ÝÂ¦ ºû³ª´Â ÃÖ»óÀ§±Þ ÄÚÀÎ. ¹«±â ÀÎÃ¦Æ® Áß °í±Þ ¿É¼ÇÀÌ ³ª¿Ã È®·üÀÌ ÀÖ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "B Grade Coin",
			identifiedResourceName: "\xb0\xed\xb1\xde\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6420: {
			unidentifiedDisplayName: "C±Þ ÄÚÀÎ",
			unidentifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"ÀÏ¹ÝÀûÀÎ Áß±Þ ÄÚÀÎ. ¹«±â ÀÎÃ¦Æ® Áß Áß±Þ ¿É¼ÇÀÌ ³ª¿Ã È®·üÀÌ ÀÖ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "C Grade Coin",
			identifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6421: {
			unidentifiedDisplayName: "D±Þ ÄÚÀÎ",
			unidentifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"ÀÏ¹ÝÀûÀÎ Áß±Þ ÄÚÀÎ. ¹«±â ÀÎÃ¦Æ® Áß Áß±Þ ¿É¼ÇÀÌ ³ª¿Ã È®·üÀÌ ÀÖ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "D Grade Coin",
			identifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6422: {
			unidentifiedDisplayName: "E±Þ ÄÚÀÎ",
			unidentifiedResourceName: "\xc7\xe3\xb8\xa7\xc7\xd1\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"ÈÄÁÙ±ÙÇÑ ÇÏ±Þ ÄÚÀÎ. ¿©·¯°³ ¸ðÀ¸¸é ¹«±â°­È­¿¡ ¾²ÀÌ±ä ÇÑ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "E Grade Coin",
			identifiedResourceName: "\xc7\xe3\xb8\xa7\xc7\xd1\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6423: {
			unidentifiedDisplayName: "¹Ù´Ù½ÅÀÇ ºÐ³ë",
			unidentifiedResourceName: "\xc7\xaa\xb8\xa5\xb9\xa6\xbe\xc8\xbc\xae",
			unidentifiedDescriptionName: [
				"¹Ù´Ù½ÅÀÇ ºÐ³ë°¡ ±êµç À¯¹°. ÀÌ ºÐ³ë°¡ ¼­¸° ¹«±â´Â ¾î¶² ´É·ÂÀ» Áö´Ï°Ô µÉÁö ¾Æ¹«µµ ¸ð¸¥´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Sea God's Wrath",
			identifiedResourceName: "\xc7\xaa\xb8\xa5\xb9\xa6\xbe\xc8\xbc\xae",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6424: {
			unidentifiedDisplayName: "Spirit Piece",
			unidentifiedResourceName: "\xba\xb0\xc0\xc7\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"a spirit which should have gone to beyond the grave became a crystal due of the seal.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Spirit Piece",
			identifiedResourceName: "\xba\xb0\xc0\xc7\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"a spirit which should have gone to beyond the grave became a crystal due of the seal.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6425: {
			unidentifiedDisplayName: "Halloween Certificate",
			unidentifiedResourceName: "\xba\xb0\xc0\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"recieved a proof that have liberated a spirit. You can get  rewards if brings to the magician",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Halloween Certificate",
			identifiedResourceName: "\xba\xb0\xc0\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"recieved a proof that have liberated a spirit. You can get rewards if brings to the magician",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6426: {
			unidentifiedDisplayName: "ºÒ·® ÅëÁ¶¸²",
			unidentifiedResourceName: "\xba\xd2\xb7\xae\xc5\xeb\xc1\xb6\xb8\xb2",
			unidentifiedDescriptionName: [
				"ÀÏ¹Ý ÅëÁ¶¸²°ú À¯»çÇÏÁö¸¸, ¿Ü°üÀÌ ÇãÁ¢ÇÏ¸ç ±ºµ¥±ºµ¥ ³ìÀÌ ½½¾î ÀÖ´Ù. º¸´Â °Í¸¸À¸·Îµµ ¹èÅ»ÀÌ ³¯ °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Bad Canned Food",
			identifiedResourceName: "\xba\xd2\xb7\xae\xc5\xeb\xc1\xb6\xb8\xb2",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6427: {
			unidentifiedDisplayName: "ºÒ·® ÅëÁ¶¸² ÀÚ·ç",
			unidentifiedResourceName: "\xba\xd2\xb7\xae\xc5\xeb\xc1\xb6\xb8\xb2\xc0\xda\xb7\xe7",
			unidentifiedDescriptionName: [
				"ºÒ·® ÅëÁ¶¸²ÀÌ °¡µæ µé¾îÀÖ´Â ÀÚ·ç. ¿ëµµ°¡ ¼ö»óÇÏ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xba\xd2\xb7\xae\xc5\xeb\xc1\xb6\xb8\xb2\xc0\xda\xb7\xe7",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ºÒ·® ÅëÁ¶¸²ÀÌ °¡µæ µé¾îÀÖ´Â ÀÚ·ç. ¿ëµµ°¡ ¼ö»óÇÏ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6428: {
			unidentifiedDisplayName: "¸ðÇèÄ«µåA",
			unidentifiedResourceName: "\xb8\xf0\xc7\xe8\xc4\xab\xb5\xe5\x41",
			unidentifiedDescriptionName: [
				"¾ß¿Ë ¸ðÇè´ÜÀÇ ¸ðÇèÄ«µå. ¾ß¿Ë´Ü¿¡¼­ ¸¶·ÃÇÑ ¸ðÇè°Å¸®¸¦ Áñ±â±â À§ÇØ¼­´Â ²À °¡Áö°í ÀÖ¾î¾ß ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Adventure Card A",
			identifiedResourceName: "\xb8\xf0\xc7\xe8\xc4\xab\xb5\xe5\x41",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6429: {
			unidentifiedDisplayName: "¸ðÇèÄ«µåB",
			unidentifiedResourceName: "\xb8\xf0\xc7\xe8\xc4\xab\xb5\xe5\x42",
			unidentifiedDescriptionName: [
				"¾ß¿Ë ¸ðÇè´ÜÀÇ ¸ðÇèÄ«µå. ¾ß¿Ë´Ü¿¡¼­ ¸¶·ÃÇÑ ¸ðÇè°Å¸®¸¦ Áñ±â±â À§ÇØ¼­´Â ²À °¡Áö°í ÀÖ¾î¾ß ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Adventure Card B",
			identifiedResourceName: "\xb8\xf0\xc7\xe8\xc4\xab\xb5\xe5\x42",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6430: {
			unidentifiedDisplayName: "±×¸²Á¶°¢",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb2\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"¾ß¿Ë ¸ðÇè´ÜÀÇ ¸ðÇèÄ«µå. µÎ·çµÎ·ç ´Þ¸®±âÀÇ BÄÚ½º È®ÀÎ¿ëÀ¸·Î »ç¿ë µÈ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Figure Sculpture",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6431: {
			unidentifiedDisplayName: "¾çµ¿ÀÌ",
			unidentifiedResourceName: "\xbe\xe7\xb5\xbf\xc0\xcc",
			unidentifiedDescriptionName: [
				"Æò¹üÇÑ ¾çµ¿ÀÌ. ¹«¾ùÀÎ°¡ ´ãÀ» ¼ö ÀÖÀ» °Í °°´Ù.",
				"¹«°Ô : ^77777710^000000",
			],
			identifiedDisplayName: "Pail",
			identifiedResourceName: "\xbe\xe7\xb5\xbf\xc0\xcc",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Æò¹üÇÑ ¾çµ¿ÀÌ. ¹«¾ùÀÎ°¡ ´ãÀ» ¼ö ÀÖÀ» °Í °°´Ù.",
				"¹«°Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6432: {
			unidentifiedDisplayName: "°¡µæÂù ¾çµ¿ÀÌ",
			unidentifiedResourceName: "\xb0\xa1\xb5\xe6\xc2\xf9\xbe\xe7\xb5\xbf\xc0\xcc",
			unidentifiedDescriptionName: [
				"¹°ÀÌ °¡µæ Â÷ ÀÖ´Ù. »ó´çÈ÷ ¹«°Å¿ì´Ï ¹°À» ½ñÁö ¾Êµµ·Ï ÁÖÀÇÇÏÀÚ.",
				"¹«°Ô : ^777777300^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb0\xa1\xb5\xe6\xc2\xf9\xbe\xe7\xb5\xbf\xc0\xcc",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹°ÀÌ °¡µæ Â÷ ÀÖ´Ù. »ó´çÈ÷ ¹«°Å¿ì´Ï ¹°À» ½ñÁö ¾Êµµ·Ï ÁÖÀÇÇÏÀÚ.",
				"¹«°Ô : ^777777300^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6433: {
			unidentifiedDisplayName: "Ã»¼Ò¿ë ¼Ö",
			unidentifiedResourceName: "\xc3\xbb\xbc\xd2\xbf\xeb\xbc\xd6",
			unidentifiedDescriptionName: [
				"¹°Ã»¼Ò¸¦ ÇÏ±â¿¡ ¾Ë¸ÂÀº ¼Ö. ±â´Ù¶õ ¸·´ë¿¡ »¥»¥ÇÑ ¼ÖÀÌ ºÙ¾îÀÖ¾î ±ú²ýÇÏ°Ô ´ÛÀ» ¼ö ÀÖÀ» °ÍÀÌ´Ù.",
				"¹«°Ô : ^77777730^000000",
			],
			identifiedDisplayName: "Cleaning Brush",
			identifiedResourceName: "\xc3\xbb\xbc\xd2\xbf\xeb\xbc\xd6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6434: {
			unidentifiedDisplayName: "¼ö¸®¿ë Å°Æ®",
			unidentifiedResourceName: "\xbc\xf6\xb8\xae\xbf\xeb\xc5\xb0\xc6\xae",
			unidentifiedDescriptionName: [
				"Áö¹Ý ±Õ¿­À» ¼ö¸®ÇÏ±â À§ÇÑ °¢Á¾ ¿ëÇ°µéÀÌ µé¾îÀÖ´Â Å°µå. »ð, Åé, Á¢ÂøÁ¦, ½ºÅÂÇÃ·¯, ÇØ»ï, ¸Û°Ô µî ¼ö¸®¿¡ ÇÊ¿äÇÑ ¸ðµç °ÍÀÌ µé¾îÀÖ´Ù.",
				"¹«°Ô : ^777777100^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbc\xf6\xb8\xae\xbf\xeb\xc5\xb0\xc6\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Áö¹Ý ±Õ¿­À» ¼ö¸®ÇÏ±â À§ÇÑ °¢Á¾ ¿ëÇ°µéÀÌ µé¾îÀÖ´Â Å°µå. »ð, Åé, Á¢ÂøÁ¦, ½ºÅÂÇÃ·¯, ÇØ»ï, ¸Û°Ô µî ¼ö¸®¿¡ ÇÊ¿äÇÑ ¸ðµç °ÍÀÌ µé¾îÀÖ´Ù.",
				"¹«°Ô : ^777777100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6435: {
			unidentifiedDisplayName: "½Å¼±ÇÑ ¿­¸Å",
			unidentifiedResourceName: "\xbd\xc5\xbc\xb1\xc7\xd1\xbf\xad\xb8\xc5",
			unidentifiedDescriptionName: [
				"°« µû¼­ ½Å¼±ÇÏ°í Ç²Ç²ÇÑ Çâ±â°¡ ³ª´Â ÀÌ±×µå¶ó½Ç ¿­¸Å.",
				"¹«°Ô : ^77777710^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbd\xc5\xbc\xb1\xc7\xd1\xbf\xad\xb8\xc5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°« µû¼­ ½Å¼±ÇÏ°í Ç²Ç²ÇÑ Çâ±â°¡ ³ª´Â ÀÌ±×µå¶ó½Ç ¿­¸Å.",
				"¹«°Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6436: {
			unidentifiedDisplayName: "¹Ù´Ù½ÅÀÇ °¡È£",
			unidentifiedResourceName: "\xb8\xf4\xbe\xc6\xc4\xa1\xb4\xc2\xc6\xc4\xb5\xb5",
			unidentifiedDescriptionName: [
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¹Ù´Ù½ÅÀÇ °¡È£°¡ ±êµç Â¡Ç¥. ½ÉÇØÀÇ °Å¼¾ ¹°»ì¿¡¼­µµ »ì¾Æ³²À» ¼ö ÀÖ´Â °­ÇÑ »ýÁ¸´É·ÂÀ» Áö´Ï°Ô ÇØÁØ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Sea God's Call",
			identifiedResourceName: "\xb8\xf4\xbe\xc6\xc4\xa1\xb4\xc2\xc6\xc4\xb5\xb5",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6437: {
			unidentifiedDisplayName: "Scaraba Perfume",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb0\xbf\xa1\xc0\xcf",
			unidentifiedDescriptionName: [
				"A perfume made from Scaraba secreted material with odd smell. Feels like all the scarabas are looking at me.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Scaraba Perfume",
			identifiedResourceName: "\xb1\xd7\xb8\xb0\xbf\xa1\xc0\xcf",
			identifiedDescriptionName: [
				"A perfume made from Scaraba secreted material with odd smell. Feels like all the scarabas are looking at me.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6438: {
			unidentifiedDisplayName: "Unbreak Weapon",
			unidentifiedResourceName: "\xb7\xe9\xc0\xc7\xbf\xf8\xbc\xae\x5f\xbd\xc5\xba\xf1",
			unidentifiedDescriptionName: [
				"Oridecon which is blessed by the smith God. When refining weapon with refine Lv between +6  and +12, weapon won't vanish even if the refine fails.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Unbreak Weapon",
			identifiedResourceName: "\xb7\xe9\xc0\xc7\xbf\xf8\xbc\xae\x5f\xbd\xc5\xba\xf1",
			identifiedDescriptionName: [
				"Oridecon which is blessed by the smith God. When refining weapon with refine Lv between +6 and +12, weapon won't vanish even if the refine fails.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6439: {
			unidentifiedDisplayName: "Unbreak Defense",
			unidentifiedResourceName: "\xbf\xf8\xbc\xae",
			unidentifiedDescriptionName: [
				"Elunium which is blessed by the smith God. When refining weapon with refine Lv between +6  and +12, armor won't vanish even if the refine fails.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Unbreak Defense",
			identifiedResourceName: "\xbf\xf8\xbc\xae",
			identifiedDescriptionName: [
				"Elunium which is blessed by the smith God. When refining weapon with refine Lv between +6 and +12, armor won't vanish even if the refine fails.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6440: {
			unidentifiedDisplayName: "ÀÏ¹Ý À±È°Á¦",
			unidentifiedResourceName: "\xb1\xe2\xb8\xa7\xba\xb4",
			unidentifiedDescriptionName: [
				"½½·Ô¿¡ ÀÌ¹Ì ¹ÚÇô¹ö¸° Ä«µåÀÇ ºÐ¸®¸¦ µµ¿ÍÁÖ´Â ±â¸§. ÇÏÁö¸¸ Ä«µå¿¡ Æ¯È­µÈ À±È°Á¦ÀÎ Å¿¿¡ Àåºñ¿Í Á¦·Ãµµ°¡ ¹«»çÇÏÁö ¸øÇÒ °Í °°´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "General Lubrication",
			identifiedResourceName: "\xb1\xe2\xb8\xa7\xba\xb4",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6441: {
			unidentifiedDisplayName: "°í±Þ À±È°Á¦",
			unidentifiedResourceName: "\xbd\xc4\xbf\xeb\xc0\xaf",
			unidentifiedDescriptionName: [
				"½½·Ô¿¡ ÀÌ¹Ì ¹ÚÇô¹ö¸° Ä«µåÀÇ ºÐ¸®¸¦ µµ¿ÍÁÖ´Â ±â¸§. ²Ï ÁÁÀº À±È°Á¦¿©¼­ Àåºñ¿Í Á¦·ÃµµÀÇ ¼Õ»óÀ» ¸·À» È®·üÀÌ ³ô¾ÆÁ³´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Advanced Lubrication",
			identifiedResourceName: "\xbd\xc4\xbf\xeb\xc0\xaf",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6442: {
			unidentifiedDisplayName: "¹®¾î»ç³É¿ë ²¿Ã¬ÀÌ",
			unidentifiedResourceName: "\xb2\xbf\xc3\xac\xc0\xcc",
			unidentifiedDescriptionName: [
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"´ë¿Õ ¹®¾î¸¦ »ç³ÉÇÏ±â À§ÇØ ¸¸µé¾îÁø Æ¯¼öÇÑ ²¿Ã¬ÀÌ.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Octopus Hunting Skewer",
			identifiedResourceName: "\xb2\xbf\xc3\xac\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6443: {
			unidentifiedDisplayName: "½Ç¸´ Æþ",
			unidentifiedResourceName: "\xbe\xdf\xc0\xda\xb3\xaa\xb9\xab\xb1\xe2\xb8\xa7",
			unidentifiedDescriptionName: [
				"[^ff0000Ãë±ÞÁÖÀÇ^000000]",
				"»ç¹°ÀÇ °æ°è¸éÀ» ³ì¿© ¹«¾ùÀÌµç ºÐ¸®ÇØ¹ö¸°´Ù´Â Àü¼³ÀÇ ¹°Áú. º¸½ºÄ«µå¸¦ ºÐ¸®ÇÏ´Âµ¥ À¯¿ëÇÒ °Í °°´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "½Ç¸´ Æþ",
			identifiedResourceName: "\xbe\xdf\xc0\xda\xb3\xaa\xb9\xab\xb1\xe2\xb8\xa7",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"[^ff0000Ãë±ÞÁÖÀÇ^000000]",
				"»ç¹°ÀÇ °æ°è¸éÀ» ³ì¿© ¹«¾ùÀÌµç ºÐ¸®ÇØ¹ö¸°´Ù´Â Àü¼³ÀÇ ¹°Áú. º¸½ºÄ«µå¸¦ ºÐ¸®ÇÏ´Âµ¥ À¯¿ëÇÒ °Í °°´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6444: {
			unidentifiedDisplayName: "¿¥Æç¸®¿òG",
			unidentifiedResourceName: "\xbf\xa5\xc6\xe7\xb8\xae\xbf\xf2",
			unidentifiedDescriptionName: [
				"´«ºÎ½ÅºûÀ» °¡Áø È­·ÁÇÑ ±Ý¼Ó. ¿À·¡µÈ °í¹®¼­¿¡ ÀüÇØ ³»·Á¿À´Â ¹Ù·Î´Â ÀÌ ¼¼°èÀÇ ¿î¸íÀ» ¹Ù²Ü ¼ö ÀÖ´Â ÀÚ ¾Õ¿¡ ³ªÅ¸³ª ±×ÀÇ ¿î¸í°ú ÇÔ²² ÇÑ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^777777100^000000",
			],
			identifiedDisplayName: "¿¥Æç¸®¿òG",
			identifiedResourceName: "\xbf\xa5\xc6\xe7\xb8\xae\xbf\xf2",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´«ºÎ½ÅºûÀ» °¡Áø È­·ÁÇÑ ±Ý¼Ó. ¿À·¡µÈ °í¹®¼­¿¡ ÀüÇØ ³»·Á¿À´Â ¹Ù·Î´Â ÀÌ ¼¼°èÀÇ ¿î¸íÀ» ¹Ù²Ü ¼ö ÀÖ´Â ÀÚ ¾Õ¿¡ ³ªÅ¸³ª ±×ÀÇ ¿î¸í°ú ÇÔ²² ÇÑ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^777777100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6446: {
			unidentifiedDisplayName: "Green Paper",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"Suspicious paper out of Strange Box.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Green Paper",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"Suspicious paper out of Strange Box.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6447: {
			unidentifiedDisplayName: "Red Paper",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"A paper which Red Paper rainning on a Green Paper.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Red Paper",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"A paper which Red Paper rainning on a Green Paper.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6448: {
			unidentifiedDisplayName: "White Paper",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"A paper wich White paper snowing on a Red paper.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "White Paper",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"A paper wich White paper snowing on a Red paper.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6449: {
			unidentifiedDisplayName: "Casual Diary",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"Causal diary that is about ordinary daily life of average kid.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Ordinary Kid's Diary",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"Causal diary that is about ordinary daily life of average kid.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6450: {
			unidentifiedDisplayName: "Honest Diary",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"Honest diary that is about right things that good kid has done in a day.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Honest Kid's Diary",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"Honest diary that is about right things that good kid has done in a day.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6451: {
			unidentifiedDisplayName: "¹ÌÈ®ÀÎ ¾î·ù",
			unidentifiedResourceName: "\xbb\xfd\xbc\xb1\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"¸»¶ûµµ¿¡¼­¸¸ ¼­½ÄÇÏ´Â ¾î·ù·Î, ¾ÆÁ÷ ¾î¶² Á¾ÀÎÁö È®ÀÎµÇÁö ¾Ê¾Ò´Ù.",
				"ÀÌ°ÍÀ» ¸ðÀ¸´Â °í¾çÀÌ°¡ ÀÖ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "¹ÌÈ®ÀÎ ¾î·ù",
			identifiedResourceName: "\xbb\xfd\xbc\xb1\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸»¶ûµµ¿¡¼­¸¸ ¼­½ÄÇÏ´Â ¾î·ù·Î, ¾ÆÁ÷ ¾î¶² Á¾ÀÎÁö È®ÀÎµÇÁö ¾Ê¾Ò´Ù.",
				"ÀÌ°ÍÀ» ¸ðÀ¸´Â °í¾çÀÌ°¡ ÀÖ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6452: {
			unidentifiedDisplayName: "Etoille's Ring",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"¸ðµç ¾àÈ¥À» ¹Ýµå½Ã Æ¯º°ÇÏ°Ô ¸¸µé¾îÁÖ´Â Æ¯º°ÇÑ ¹ÝÁö.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Etoille's Ring",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸ðµç ¾àÈ¥À» ¹Ýµå½Ã Æ¯º°ÇÏ°Ô ¸¸µé¾îÁÖ´Â Æ¯º°ÇÑ ¹ÝÁö.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6453: {
			unidentifiedDisplayName: "Undelivered Gift",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"½½ÇÂ ¾î¸°¾ÆÀÌ°¡ µµµÏ¸ÂÀº ¼±¹°.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Undelivered Gift",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"½½ÇÂ ¾î¸°¾ÆÀÌ°¡ µµµÏ¸ÂÀº ¼±¹°.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6454: {
			unidentifiedDisplayName: "Santa Bag",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xb2\xd9\xb7\xaf\xb9\xcc",
			unidentifiedDescriptionName: [
				"»êÅ¸°¡ ¾îµò°¡¿¡¼­ ÀÒ¾î¹ö¸° °¡¹æ.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Santa Bag",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xb2\xd9\xb7\xaf\xb9\xcc",
			identifiedDescriptionName: [
				"»êÅ¸°¡ ¾îµò°¡¿¡¼­ ÀÒ¾î¹ö¸° °¡¹æ.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6456: {
			unidentifiedDisplayName: "+5 Weapon refine deed",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"^ff0000you cannot trade this item.^000000",
				"You can refine your weapon to + 5 through ^0000FFRefine Master^000000 in ^8B4513Prontera^000000. - 1 time limited -",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "+5 Weapon refine deed",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"^ff0000you cannot trade this item.^000000",
				"You can refine your weapon to + 5 through ^0000FFRefine Master^000000 in ^8B4513Prontera^000000. - 1 time limited -",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6457: {
			unidentifiedDisplayName: "Safe to 10 Certificate",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"^ff0000you cannot trade this item.^000000",
				"You can refine your armor to + 5 through ^0000FFRefine Master^000000 in ^8B4513Prontera^000000. - 1 time limited -",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Safe to 10 Certificate",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A Certificate that will ensure that Mighty Hammer, in Eden Group, will not degrade your Equipment when it is +9 attempting +10.",
				"You must use this in conjunction with the normal HD Ore to take advantage of non-Degrade.",
				"Acquired by buying the Special Groove Pack Crates.",
				"^ff0000Limited Item^000000",
				"Weight : ^7777771^0000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6464: {
			unidentifiedDisplayName: "Hate Much",
			unidentifiedResourceName: "\xb0\xcb\xb0\xed\xb5\xfc\xb5\xfc\xc7\xd1\xb5\xa2\xbe\xee\xb8\xae",
			unidentifiedDescriptionName: [
				"^ff0000Cannot be traded with others.^000000",
				"Filled with darkness of hatred and jealousy.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Hate Crate",
			identifiedResourceName: "\xb0\xcb\xb0\xed\xb5\xfc\xb5\xfc\xc7\xd1\xb5\xa2\xbe\xee\xb8\xae",
			identifiedDescriptionName: [
				"^ff0000Cannot be traded with others.^000000",
				"Filled with darkness of hatred and jealousy.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6465: {
			unidentifiedDisplayName: "°¡µð¾ð ÄÚÀÎ",
			unidentifiedResourceName: "\xb1\xdd\xc8\xad",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°¡µð¾ð ¿ä¿øÀÌ ÀÎÁõÇÑ Á¤½Ä ÄÚÀÎ. °¡µð¾ð ¿¬ÇÕ ³»ºÎ¿¡¼­ È­Æó·Î »ç¿ë°¡´ÉÇÑ °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°¡µð¾ð ÄÚÀÎ",
			identifiedResourceName: "\xb1\xdd\xc8\xad",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°¡µð¾ð ¿ä¿øÀÌ ÀÎÁõÇÑ Á¤½Ä ÄÚÀÎ. °¡µð¾ð ¿¬ÇÕ ³»ºÎ¿¡¼­ È­Æó·Î »ç¿ë°¡´ÉÇÑ °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6469: {
			unidentifiedDisplayName: "Will of Warrior",
			unidentifiedResourceName: "\xbf\xeb\xbb\xe7\xc0\xc7\xc0\xc7\xc1\xf6",
			unidentifiedDescriptionName: [
				"½ÇÇèÃ¼°¡ µÇ¹ö¸° ¿ë»çµéÀÇ ÀÇÁöÀÇ ÁýÇÕÃ¼.",
				"^ff0000»ýÃ¼½ÇÇè¿¬±¸¼Ò Àü¿ë ÀÎÃ¦Æ® ¹× Á¶ÇÕ Àç·á^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Will of Warrior",
			identifiedResourceName: "\xbf\xeb\xbb\xe7\xc0\xc7\xc0\xc7\xc1\xf6",
			identifiedDescriptionName: [
				"½ÇÇèÃ¼°¡ µÇ¹ö¸° ¿ë»çµéÀÇ ÀÇÁöÀÇ ÁýÇÕÃ¼.",
				"^ff0000»ýÃ¼½ÇÇè¿¬±¸¼Ò Àü¿ë ÀÎÃ¦Æ® ¹× Á¶ÇÕ Àç·á^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6470: {
			unidentifiedDisplayName: "Blood Thirst",
			unidentifiedResourceName: "\xc7\xc7\xc0\xc7\xb0\xa5\xc1\xf5",
			unidentifiedDescriptionName: [
				"ÆøÁÖÇÏ´Â Èû¿¡ ´ëÇÑ ¹Ýµ¿À¸·Î ³¡¾øÀÌ ÇÇ¸¦ Ã£¾Æ Çì¸ÅÀÌ°Ô µÇ¾ú´Ù.",
				"^ff0000»ýÃ¼½ÇÇè¿¬±¸¼Ò Àü¿ë ÀÎÃ¦Æ® ¹× Á¶ÇÕ Àç·á^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Blood Thirst",
			identifiedResourceName: "\xc7\xc7\xc0\xc7\xb0\xa5\xc1\xf5",
			identifiedDescriptionName: [
				"ÆøÁÖÇÏ´Â Èû¿¡ ´ëÇÑ ¹Ýµ¿À¸·Î ³¡¾øÀÌ ÇÇ¸¦ Ã£¾Æ Çì¸ÅÀÌ°Ô µÇ¾ú´Ù.",
				"^ff0000»ýÃ¼½ÇÇè¿¬±¸¼Ò Àü¿ë ÀÎÃ¦Æ® ¹× Á¶ÇÕ Àç·á^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6471: {
			unidentifiedDisplayName: "Ghost Chill",
			unidentifiedResourceName: "\xb8\xc1\xc0\xda\xc0\xc7\xc7\xd1\xb1\xe2",
			unidentifiedDescriptionName: [
				"´ÏÇÃÇìÀÓ¿¡¼­³ª ´À³¥ ¼ö ÀÖ´Â Â÷µðÂù ³Ã±âÀÇ µ¢¾î¸®.",
				"^ff0000»ýÃ¼½ÇÇè¿¬±¸¼Ò Àü¿ë ÀÎÃ¦Æ® ¹× Á¶ÇÕ Àç·á^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Ghost Chill",
			identifiedResourceName: "\xb8\xc1\xc0\xda\xc0\xc7\xc7\xd1\xb1\xe2",
			identifiedDescriptionName: [
				"´ÏÇÃÇìÀÓ¿¡¼­³ª ´À³¥ ¼ö ÀÖ´Â Â÷µðÂù ³Ã±âÀÇ µ¢¾î¸®.",
				"^ff0000»ýÃ¼½ÇÇè¿¬±¸¼Ò Àü¿ë ÀÎÃ¦Æ® ¹× Á¶ÇÕ Àç·á^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6480: {
			unidentifiedDisplayName: "ÀÌº¥Æ® ÄÚÀÎ",
			unidentifiedResourceName: "\xb5\xbf\xc8\xad",
			unidentifiedDescriptionName: [
				"Æ¯º°ÇÑ ÀÌº¥Æ®¿¡ »ç¿ëµÇ´Â ÄÚÀÎ. ÀÌº¥Æ® Á¾·á ÈÄ ¸ðµÎ »èÁ¦µË´Ï´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "ÀÌº¥Æ® ÄÚÀÎ",
			identifiedResourceName: "\xb5\xbf\xc8\xad",
			identifiedDescriptionName: [
				"Æ¯º°ÇÑ ÀÌº¥Æ®¿¡ »ç¿ëµÇ´Â ÄÚÀÎ. ÀÌº¥Æ® Á¾·á ÈÄ ¸ðµÎ »èÁ¦µË´Ï´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6481: {
			unidentifiedDisplayName: "Sacred Rock Shard",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"^ff0000Not available for trade.^000000",
				"A shard of a Holy Rock, recreating the entire Holy rock will help unlock the past.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Sacred Rock Shard",
			identifiedResourceName: "\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"^ff0000Not available for trade.^000000",
				"A shard of a Holy Rock, recreating the entire Holy rock will help unlock the past.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6482: {
			unidentifiedDisplayName: "Ancient City Key",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"^ff0000Not available for trade.^000000",
				"A key with secrt power. Keys to allow you inside the old city.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Ancient City Key",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"^ff0000Not available for trade.^000000",
				"A key with a secret power that allows access into the Old city of Payon.",
				"Bring this item to the Old Timer in the Eden Group Bar and he can show you the pathway.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6483: {
			unidentifiedDisplayName: "Dream Scroll",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xbc\xbc\xbc\xad",
			unidentifiedDescriptionName: [
				"^ff0000Not available for trade.^000000",
				"A scroll with secret power. Keys to allow you inside the old city.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Dream Scroll",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xbc\xbc\xbc\xad",
			identifiedDescriptionName: [
				"^ff0000Not available for trade.^000000",
				"A scroll with secret power. This allows access into the memory of Morroc.",
				"Bring this item to the Old Timer in the Eden Group Bar and he can show you the pathway.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6484: {
			unidentifiedDisplayName: "Heroic Desocketing Book",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­¹«±â¿¡ ÀÎÃ¦Æ®¸¦ ÇÒ ¼ö ÀÖµµ·Ï ¾Ë¼±ÇØ ÁÖ´Â ¼Ò°³Àå. ÀÌ ¼Ò°³ÀåÀ» °¡Áø »ç¶÷¿¡ ÇÑÇØ¼­ 1È¸ ÀÎÃ¦Æ®°¡ °¡´ÉÇÏ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Heroic Desocketing Book",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­¹«±â¿¡ ÀÎÃ¦Æ®¸¦ ÇÒ ¼ö ÀÖµµ·Ï ¾Ë¼±ÇØ ÁÖ´Â ¼Ò°³Àå. ÀÌ ¼Ò°³ÀåÀ» °¡Áø »ç¶÷¿¡ ÇÑÇØ¼­ 1È¸ ÀÎÃ¦Æ®°¡ °¡´ÉÇÏ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6485: {
			unidentifiedDisplayName: "Blue 2 Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x32",
			unidentifiedDescriptionName: [
				"The letter ^0000882^000000 card which could be good for learning letters for the first time. It's frequently used for event.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Blue 2 Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x32",
			identifiedDescriptionName: [
				"The letter ^0000882^000000 card which could be good for learning letters for the first time. It's frequently used for event.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6486: {
			unidentifiedDisplayName: "Blue 0 Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x30",
			unidentifiedDescriptionName: [
				"The letter ^0000880^000000 card which could be good for learning letters for the first time. It's frequently used for event.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Blue 0 Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x30",
			identifiedDescriptionName: [
				"The letter ^0000880^000000 card which could be good for learning letters for the first time. It's frequently used for event.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6487: {
			unidentifiedDisplayName: "Blue 1 Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x31",
			unidentifiedDescriptionName: [
				"The letter ^0000881^000000 card which could be good for learning letters for the first time. It's frequently used for event.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Blue 1 Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x31",
			identifiedDescriptionName: [
				"The letter ^0000881^000000 card which could be good for learning letters for the first time. It's frequently used for event.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6488: {
			unidentifiedDisplayName: "ÅõÀÚ °¨»ç Æ¼ÄÏ",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½É¿¬ÀÇ È¸¶û °ÔÀÌÆ® ºñ¿ëÀ» À§ÇØ ÅõÀÚÇÑ »ç¶÷µé¿¡°Ô ÀÛÀº ´ä·Ê·Î ÁÖ¾îÁö´Â ¼±¹° Æ¼ÄÏ.",
				"¸»¶ûµµ¿¡¼­ ÁØºñÇÑ ¿©·¯°¡Áö ¹°Ç°°ú ±³È¯ ÇÒ ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÅõÀÚ °¨»ç Æ¼ÄÏ",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½É¿¬ÀÇ È¸¶û °ÔÀÌÆ® ºñ¿ëÀ» À§ÇØ ÅõÀÚÇÑ »ç¶÷µé¿¡°Ô ÀÛÀº ´ä·Ê·Î ÁÖ¾îÁö´Â ¼±¹° Æ¼ÄÏ.",
				"¸»¶ûµµ¿¡¼­ ÁØºñÇÑ ¿©·¯°¡Áö ¹°Ç°°ú ±³È¯ ÇÒ ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6489: {
			unidentifiedDisplayName: "°í¾çÀÌ ¼Õ »ó´Ü ÅõÀÚÁõ¼­",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í¾çÀÌ¼Õ »ó´Ü¿¡ µµ¿òÀÌ µÇ´Â ÃæºÐÇÑ ¹°Ç°À» »ó³³ÇÏ°í ±× ¸¸Å­ÀÇ ÅõÀÚÄ¡¸¦ ÀÎÁ¤ÇÑ´Ù´Â ÅõÀÚ Áõ¼­.",
				"½É¿¬ÀÇ È¸¶û °ÔÀÌÆ® ¿¬°áºñ¿ë ÅõÀÚ¿¡ Áõ¼­¸¦ Á¦ÃâÇÏ¿© ÅõÀÚ ³»¿ª¿¡ ¹Ý¿µ ÇÒ ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°í¾çÀÌ ¼Õ »ó´Ü ÅõÀÚÁõ¼­",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í¾çÀÌ¼Õ »ó´Ü¿¡ µµ¿òÀÌ µÇ´Â ÃæºÐÇÑ ¹°Ç°À» »ó³³ÇÏ°í ±× ¸¸Å­ÀÇ ÅõÀÚÄ¡¸¦ ÀÎÁ¤ÇÑ´Ù´Â ÅõÀÚ Áõ¼­.",
				"½É¿¬ÀÇ È¸¶û °ÔÀÌÆ® ¿¬°áºñ¿ë ÅõÀÚ¿¡ Áõ¼­¸¦ Á¦ÃâÇÏ¿© ÅõÀÚ ³»¿ª¿¡ ¹Ý¿µ ÇÒ ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6493: {
			unidentifiedDisplayName: "¸¶Å°ºñ½Ã",
			unidentifiedResourceName: "\xb8\xb6\xc5\xb0\xba\xf1\xbd\xc3",
			unidentifiedDescriptionName: [
				"»ÏÁ·»ÏÁ·ÇÑ °¡½Ã°¡ ´Þ¸° ±Ý¼Ó ÆÄÆí. ¹âÀ¸¸é ¸Å¿ì ¾ÆÇÃ °Í °°´Ù. À§±ÞÇÑ ¼ø°£¿¡ ÀÌ°ÍÀ» »Ñ·Á ÃßÀûÀÚ¸¦ µûµ¹¸± ¼ö ÀÖÀ» °ÍÀÌ´Ù.",
				"¹«°Ô : ^7777770.1^000000",
			],
			identifiedDisplayName: "¸¶Å°ºñ½Ã",
			identifiedResourceName: "\xb8\xb6\xc5\xb0\xba\xf1\xbd\xc3",
			identifiedDescriptionName: [
				"»ÏÁ·»ÏÁ·ÇÑ °¡½Ã°¡ ´Þ¸° ±Ý¼Ó ÆÄÆí. ¹âÀ¸¸é ¸Å¿ì ¾ÆÇÃ °Í °°´Ù. À§±ÞÇÑ ¼ø°£¿¡ ÀÌ°ÍÀ» »Ñ·Á ÃßÀûÀÚ¸¦ µûµ¹¸± ¼ö ÀÖÀ» °ÍÀÌ´Ù.",
				"¹«°Ô : ^7777770.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6494: {
			unidentifiedDisplayName: "Kafra Coin",
			unidentifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"A sparkling coin minted in the Kafra Headquarters in Aldebaran. These can be exchanged for various goods and services.",
				"Weight : ^7777770^0000",
			],
			identifiedDisplayName: "Kafra Coin",
			identifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"A sparkling coin minted in the Kafra Headquarters in Aldebaran. These can be exchanged for various goods and services.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6495: {
			unidentifiedDisplayName: "Eden Merit Badge",
			unidentifiedResourceName: "\xbe\xc6\xc8\xa9\xbc\xbc\xb0\xe8\xc0\xc7\xb1\xc7\xc0\xa7",
			unidentifiedDescriptionName: [
				"The Eden group recognizes the bearer of this badge as one who has done great deeds. These can be exchanged for various goods and services.",
				"Weight : ^7777770^0000",
			],
			identifiedDisplayName: "Eden Merit Badge",
			identifiedResourceName: "\xbe\xc6\xc8\xa9\xbc\xbc\xb0\xe8\xc0\xc7\xb1\xc7\xc0\xa7",
			identifiedDescriptionName: [
				"The Eden group recognizes the bearer of this badge as one who has done great deeds. These can be exchanged for various goods and services.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6496: {
			unidentifiedDisplayName: "Tikbalang's Thick Spine",
			unidentifiedResourceName: "\xc6\xbd\xb9\xf6\xb7\xb7\xc0\xc7\xb5\xce\xb2\xa8\xbf\xee\xb5\xee\xbb\xc0",
			unidentifiedDescriptionName: [
				"Tikbalang's thick and tough spine. Sell to a collection dealer.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Tikbalang's Thick Spine",
			identifiedResourceName: "\xc6\xbd\xb9\xf6\xb7\xb7\xc0\xc7\xb5\xce\xb2\xa8\xbf\xee\xb5\xee\xbb\xc0",
			identifiedDescriptionName: [
				"Tikbalang's thick and tough spine. Sell to a collection dealer.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6497: {
			unidentifiedDisplayName: "Lesser Agimat",
			unidentifiedResourceName: "\xbc\xd2\xba\xce\xc0\xfb",
			unidentifiedDescriptionName: [
				"Paper that protects a player from harms way or casts special abilities.",
				"A faint energy can be felt.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Lesser Agimat",
			identifiedResourceName: "\xbc\xd2\xba\xce\xc0\xfb",
			identifiedDescriptionName: [
				"Paper that protects a player from harm's way or casts special abilities.",
				"A faint energy can be felt.",
				"^ffffff_^000000",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6498: {
			unidentifiedDisplayName: "Jejellopy",
			unidentifiedResourceName: "\xb6\xf3\xc1\xf6\xc1\xa9\xb7\xce\xc7\xc7",
			unidentifiedDescriptionName: [
				"Looks similar to a Large Jellopy but with a shinier crystal.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Jejellopy",
			identifiedResourceName: "\xb6\xf3\xc1\xf6\xc1\xa9\xb7\xce\xc7\xc7",
			identifiedDescriptionName: [
				"Looks similar to a Large Jellopy but with a shinier crystal.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6499: {
			unidentifiedDisplayName: "Ancient Grudge",
			unidentifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xba\xce\xc0\xfb",
			unidentifiedDescriptionName: [
				"Paper that protects a player from harm's way or casts special abilities.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Ancient Grudge",
			identifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xba\xce\xc0\xfb",
			identifiedDescriptionName: [
				"Paper that protects a player from harm's way or casts special abilities.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6500: {
			unidentifiedDisplayName: "Sharpened Bamboo",
			unidentifiedResourceName: "\xba\xce\xb7\xaf\xc1\xf8\xb4\xeb\xb3\xaa\xb9\xab",
			unidentifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Bamboo piece trimmed to be pointy. Looks like it was cut tilted from a thick bamboo.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Sharpened Bamboo",
			identifiedResourceName: "\xba\xce\xb7\xaf\xc1\xf8\xb4\xeb\xb3\xaa\xb9\xab",
			identifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Bamboo piece trimmed to be pointy. Looks like it was cut tilted from a thick bamboo.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6501: {
			unidentifiedDisplayName: "Salt Bag",
			unidentifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Bag used to contain sea salt manufactured from the seashore. Said to scare off bad spirits.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Salt Bag",
			identifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Bag used to contain sea salt manufactured from the seashore. Said to scare off bad spirits.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6502: {
			unidentifiedDisplayName: "Silver Cross",
			unidentifiedResourceName: "\xb7\xce\xc0\xda\xb8\xae",
			unidentifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Cross-shaped ornament made of silver. Used to scare off demons.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Silver Cross",
			identifiedResourceName: "\xb7\xce\xc0\xda\xb8\xae",
			identifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Cross-shaped ornament made of silver. Used to scare off demons.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6503: {
			unidentifiedDisplayName: "Spiritual Protection",
			unidentifiedResourceName: "\xbc\xf6\xc8\xa3\xb9\xb0",
			unidentifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Portable spiritual protection made with holy energy from silver and exorcising energy from salt. Used to prevent bad spirits from approaching.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Spiritual Protection",
			identifiedResourceName: "\xbc\xf6\xc8\xa3\xb9\xb0",
			identifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Portable spiritual protection made with holy energy from silver and exorcising energy from salt. Used to prevent bad spirits from approaching.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6504: {
			unidentifiedDisplayName: "Cast-Iron Caldron",
			unidentifiedResourceName: "\xc2\xee\xb1\xd7\xb7\xaf\xc1\xf8\xb3\xbf\xba\xf1",
			unidentifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Large caldron made from hard iron. Lets off a rich and full clunk sound when hit. Used to stun Bakonawa by making loud noises from it instead of cooking with it.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Cast-Iron Caldron",
			identifiedResourceName: "\xc2\xee\xb1\xd7\xb7\xaf\xc1\xf8\xb3\xbf\xba\xf1",
			identifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Large caldron made from hard iron. Lets off a rich and full clunk sound when hit. Used to stun Bakonawa by making loud noises from it instead of cooking with it.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6505: {
			unidentifiedDisplayName: "Purified Spirit Bone",
			unidentifiedResourceName: "\xbd\xba\xc4\xcc\xba\xbb",
			unidentifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Wholly cleaned out bone was an Evil Spirit Bone purified by Mumbaki to get rid of all evilness. Guard dog Vantai especially likes it.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Purified Spirit Bone",
			identifiedResourceName: "\xbd\xba\xc4\xcc\xba\xbb",
			identifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Wholly cleaned out bone was an Evil Spirit Bone purified by Mumbaki to get rid of all evilness. Guard dog Vantai especially likes it.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6506: {
			unidentifiedDisplayName: "Offering Bouquet",
			unidentifiedResourceName: "\xc4\xab\xb3\xd7\xc0\xcc\xbc\xc7\xb2\xc9\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Flower bouquet made to comfort wandering or victimized souls. Offer flowers with a true heart and the souls may actually rest.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Offering Bouquet",
			identifiedResourceName: "\xc4\xab\xb3\xd7\xc0\xcc\xbc\xc7\xb2\xc9\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Flower bouquet made to comfort wandering or victimized souls. Offer flowers with a true heart and the souls may actually rest.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6507: {
			unidentifiedDisplayName: "Evil Spirit Bone",
			unidentifiedResourceName: "\xb8\xbb\xb8\xb0\xbb\xc0\xb4\xd9\xb1\xcd",
			unidentifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Animal bones with a hint of evil spirit. Won¢®?t be able to as dog treats at this state.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Evil Spirit Bone",
			identifiedResourceName: "\xb8\xbb\xb8\xb0\xbb\xc0\xb4\xd9\xb1\xcd",
			identifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Animal bones with a hint of evil spirit. Won't be able to as dog treats at this state.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6508: {
			unidentifiedDisplayName: "Silver Bracelet",
			unidentifiedResourceName: "\xbc\xf6\xb0\xa9",
			unidentifiedDescriptionName: [
				"Hellish silver bracelet. Looks more like a restraint.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Silver Bracelet",
			identifiedResourceName: "\xbc\xf6\xb0\xa9",
			identifiedDescriptionName: [
				"Hellish silver bracelet. Looks more like a restraint.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6509: {
			unidentifiedDisplayName: "Mysterious Flower",
			unidentifiedResourceName: "\xb9\xdf\xc7\xd2\xb6\xf3\xc0\xc7\xb2\xc9",
			unidentifiedDescriptionName: [
				"Mysteriously colorful flower. Looks like it was made from a rainbow.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Mysterious Flower",
			identifiedResourceName: "\xb9\xdf\xc7\xd2\xb6\xf3\xc0\xc7\xb2\xc9",
			identifiedDescriptionName: [
				"Mysteriously colorful flower. Looks like it was made from a rainbow.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6510: {
			unidentifiedDisplayName: "Elegant Flower",
			unidentifiedResourceName: "\xbf\xac\xb2\xc9",
			unidentifiedDescriptionName: [
				"Soft and gentle looking elegant flower.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Elegant Flower",
			identifiedResourceName: "\xbf\xac\xb2\xc9",
			identifiedDescriptionName: [
				"Soft and gentle looking elegant flower.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6511: {
			unidentifiedDisplayName: "Beautiful Flower",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"Ordinary flower that can be found anywhere.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Beautiful Flower",
			identifiedResourceName: "\xb2\xc9",
			identifiedDescriptionName: [
				"Ordinary flower that can be found anywhere.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6512: {
			unidentifiedDisplayName: "ºÒÀÇ ºÎÀû",
			unidentifiedResourceName: "\xba\xd2\xc0\xc7\xba\xce\xc0\xfb",
			unidentifiedDescriptionName: [
				"´ÑÀÚµéÀÌ ¸öÀ» º¸È£ÇÏ±â À§ÇØ Áö´Ï°í ´Ù´Ï´Â ºÎÀû. ¼÷·ÃµÈ ´ÑÀÚ´Â ÀÌ È£ºÎ¸¦ ÀÌ¿ëÇÏ¿© ´Ù¾çÇÑ ¼ú¹ýÀ» »ç¿ëÇÑ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770.1^000000",
			],
			identifiedDisplayName: "ºÒÀÇ ºÎÀû",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xba\xce\xc0\xfb",
			identifiedDescriptionName: [
				"´ÑÀÚµéÀÌ ¸öÀ» º¸È£ÇÏ±â À§ÇØ Áö´Ï°í ´Ù´Ï´Â ºÎÀû. ¼÷·ÃµÈ ´ÑÀÚ´Â ÀÌ È£ºÎ¸¦ ÀÌ¿ëÇÏ¿© ´Ù¾çÇÑ ¼ú¹ýÀ» »ç¿ëÇÑ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6513: {
			unidentifiedDisplayName: "¾óÀ½ÀÇ ºÎÀû",
			unidentifiedResourceName: "\xbe\xf3\xc0\xbd\xc0\xc7\xba\xce\xc0\xfb",
			unidentifiedDescriptionName: [
				"´ÑÀÚµéÀÌ ¸öÀ» º¸È£ÇÏ±â À§ÇØ Áö´Ï°í ´Ù´Ï´Â ºÎÀû. ¼÷·ÃµÈ ´ÑÀÚ´Â ÀÌ È£ºÎ¸¦ ÀÌ¿ëÇÏ¿© ´Ù¾çÇÑ ¼ú¹ýÀ» »ç¿ëÇÑ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770.1^000000",
			],
			identifiedDisplayName: "¾óÀ½ÀÇ ºÎÀû",
			identifiedResourceName: "\xbe\xf3\xc0\xbd\xc0\xc7\xba\xce\xc0\xfb",
			identifiedDescriptionName: [
				"´ÑÀÚµéÀÌ ¸öÀ» º¸È£ÇÏ±â À§ÇØ Áö´Ï°í ´Ù´Ï´Â ºÎÀû. ¼÷·ÃµÈ ´ÑÀÚ´Â ÀÌ È£ºÎ¸¦ ÀÌ¿ëÇÏ¿© ´Ù¾çÇÑ ¼ú¹ýÀ» »ç¿ëÇÑ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6514: {
			unidentifiedDisplayName: "¹Ù¶÷ÀÇ ºÎÀû",
			unidentifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xba\xce\xc0\xfb",
			unidentifiedDescriptionName: [
				"´ÑÀÚµéÀÌ ¸öÀ» º¸È£ÇÏ±â À§ÇØ Áö´Ï°í ´Ù´Ï´Â ºÎÀû. ¼÷·ÃµÈ ´ÑÀÚ´Â ÀÌ È£ºÎ¸¦ ÀÌ¿ëÇÏ¿© ´Ù¾çÇÑ ¼ú¹ýÀ» »ç¿ëÇÑ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770.1^000000",
			],
			identifiedDisplayName: "¹Ù¶÷ÀÇ ºÎÀû",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xba\xce\xc0\xfb",
			identifiedDescriptionName: [
				"´ÑÀÚµéÀÌ ¸öÀ» º¸È£ÇÏ±â À§ÇØ Áö´Ï°í ´Ù´Ï´Â ºÎÀû. ¼÷·ÃµÈ ´ÑÀÚ´Â ÀÌ È£ºÎ¸¦ ÀÌ¿ëÇÏ¿© ´Ù¾çÇÑ ¼ú¹ýÀ» »ç¿ëÇÑ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6515: {
			unidentifiedDisplayName: "¶¥ÀÇ ºÎÀû",
			unidentifiedResourceName: "\xb6\xa5\xc0\xc7\xba\xce\xc0\xfb",
			unidentifiedDescriptionName: [
				"´ÑÀÚµéÀÌ ¸öÀ» º¸È£ÇÏ±â À§ÇØ Áö´Ï°í ´Ù´Ï´Â ºÎÀû. ¼÷·ÃµÈ ´ÑÀÚ´Â ÀÌ È£ºÎ¸¦ ÀÌ¿ëÇÏ¿© ´Ù¾çÇÑ ¼ú¹ýÀ» »ç¿ëÇÑ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770.1^000000",
			],
			identifiedDisplayName: "¶¥ÀÇ ºÎÀû",
			identifiedResourceName: "\xb6\xa5\xc0\xc7\xba\xce\xc0\xfb",
			identifiedDescriptionName: [
				"´ÑÀÚµéÀÌ ¸öÀ» º¸È£ÇÏ±â À§ÇØ Áö´Ï°í ´Ù´Ï´Â ºÎÀû. ¼÷·ÃµÈ ´ÑÀÚ´Â ÀÌ È£ºÎ¸¦ ÀÌ¿ëÇÏ¿© ´Ù¾çÇÑ ¼ú¹ýÀ» »ç¿ëÇÑ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6516: {
			unidentifiedDisplayName: "Bakonawa Doll",
			unidentifiedResourceName: "\xb9\xf6\xc4\xda\xb3\xca\xbf\xf6\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"Doll made to look like Bakonawa. Cuter than its original.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Bakonawa Doll",
			identifiedResourceName: "\xb9\xf6\xc4\xda\xb3\xca\xbf\xf6\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"Doll made to look like Bakonawa. Cuter than its original.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6517: {
			unidentifiedDisplayName: "Bangungot Doll",
			unidentifiedResourceName: "\xba\xa1\xbf\xf5\xb0\xf7\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"Doll made to look like Bangungot. Suspicious of the creator¢®?s taste.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Bangungot Doll",
			identifiedResourceName: "\xba\xa1\xbf\xf5\xb0\xf7\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"Doll made to look like Bangungot. Suspicious of the creator's taste.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6518: {
			unidentifiedDisplayName: "Buwaya Doll",
			unidentifiedResourceName: "\xba\xce\xbf\xf6\xbf\xa9\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"Doll made to look like Buwaya. Popular among Port Malaya children.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Buwaya Doll",
			identifiedResourceName: "\xba\xce\xbf\xf6\xbf\xa9\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"Doll made to look like Buwaya. Popular among Port Malaya children.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6519: {
			unidentifiedDisplayName: "Collected Sample",
			unidentifiedResourceName: "\xb0\xc5\xbd\xc3\xb1\xe2",
			unidentifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Animal samples collected for a special purpose. Smells nasty.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Collected Sample",
			identifiedResourceName: "\xb0\xc5\xbd\xc3\xb1\xe2",
			identifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Animal samples collected for a special purpose. Smells nasty.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6520: {
			unidentifiedDisplayName: "Lost Belongings",
			unidentifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Belong to a missing Port Malaya villager.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Lost Belongings",
			identifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"^ff0000Item cannot be traded with other characters.^000000",
				"Belong to a missing Port Malaya villager.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6521: {
			unidentifiedDisplayName: "±¹¿ÕÀÇ ÁõÇ¥",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"±¹¿ÕÀÇ ³¯ÀÎÀÌ ÂïÈù ÁõÇ¥. ÀÌ Áõ¼­´Â º¸»ó°ú ±³È¯ÀÌ °¡´ÉÇÏ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "±¹¿ÕÀÇ ÁõÇ¥",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"±¹¿ÕÀÇ ³¯ÀÎÀÌ ÂïÈù ÁõÇ¥. ÀÌ Áõ¼­´Â º¸»ó°ú ±³È¯ÀÌ °¡´ÉÇÏ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6522: {
			unidentifiedDisplayName: "±¹¿ÕÀÇ ÁõÇ¥",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"±¹¿ÕÀÇ ³¯ÀÎÀÌ ÂïÈ÷±ä ÇßÁö¸¸ ¿À·¡µÇ¾î »öÀÌ ¹Ù·£ °Í °°´Ù. ÀÌ°ÍÀº ÁõÇ¥·Î ¾²ÀÏ ¼ö ¾øÀ» °Í °°´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "±¹¿ÕÀÇ ÁõÇ¥",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"±¹¿ÕÀÇ ³¯ÀÎÀÌ ÂïÈ÷±ä ÇßÁö¸¸ ¿À·¡µÇ¾î »öÀÌ ¹Ù·£ °Í °°´Ù. ÀÌ°ÍÀº ÁõÇ¥·Î ¾²ÀÏ ¼ö ¾øÀ» °Í °°´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6523: {
			unidentifiedDisplayName: "Piece of Bakonawa's Spirit",
			unidentifiedResourceName: "\xb8\xc1\xc0\xda\xc0\xc7\xc7\xd1\xb1\xe2",
			unidentifiedDescriptionName: [
				"Transparent item which imprisons Bakonawa's Spirit. Rumor says you can see Bakonawa when held up to moonlight.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Piece of Bakonawa's Spirit",
			identifiedResourceName: "\xb8\xc1\xc0\xda\xc0\xc7\xc7\xd1\xb1\xe2",
			identifiedDescriptionName: [
				"Transparent item which imprisons Bakonawa's Spirit. Rumor says you can see Bakonawa when held up to moonlight.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6524: {
			unidentifiedDisplayName: "Piece of Bangungot's Spirit",
			unidentifiedResourceName: "\xb8\xc1\xc0\xda\xc0\xc7\xc7\xd1\xb1\xe2",
			unidentifiedDescriptionName: [
				"Transparent item which imprisons Bangungot's Spirit. Rumor says you can hear Bangungot¢®?s screeching screams when placed in a dark room.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Piece of Bangungot's Spirit",
			identifiedResourceName: "\xb8\xc1\xc0\xda\xc0\xc7\xc7\xd1\xb1\xe2",
			identifiedDescriptionName: [
				"Transparent item which imprisons Bangungot's Spirit. Rumor says you can hear Bangungot's screeching screams when placed in a dark room.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6525: {
			unidentifiedDisplayName: "Piece of Buwaya's Spirit",
			unidentifiedResourceName: "\xb8\xc1\xc0\xda\xc0\xc7\xc7\xd1\xb1\xe2",
			unidentifiedDescriptionName: [
				"Transparent item which imprisons Buwaya¢®?s Spirit. Rumor says you can hear Buwaya¢®?s angry shrieks when touched with water.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Piece of Buwaya's Spirit",
			identifiedResourceName: "\xb8\xc1\xc0\xda\xc0\xc7\xc7\xd1\xb1\xe2",
			identifiedDescriptionName: [
				"Transparent item which imprisons Buwaya's Spirit. Rumor says you can hear Buwaya's angry shrieks when touched with water.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6531: {
			unidentifiedDisplayName: "±¹¿ÕÀÇ ÁõÇ¥",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"±¹¿ÕÀÇ ³¯ÀÎÀÌ ÂïÈù ÁõÇ¥. ÀÌ Áõ¼­´Â ¸¶Ä¡ 5Àå °°Àº 1ÀåÀÎ ±âºÐÀÌ µç´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "±¹¿ÕÀÇ ÁõÇ¥",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"±¹¿ÕÀÇ ³¯ÀÎÀÌ ÂïÈù ÁõÇ¥. ÀÌ Áõ¼­´Â ¸¶Ä¡ 5Àå °°Àº 1ÀåÀÎ ±âºÐÀÌ µç´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6532: {
			unidentifiedDisplayName: "²Ü¼ÛÆí",
			unidentifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xb6\xb1",
			unidentifiedDescriptionName: [
				"¼ÛÆíÀÇ ¼Ó¿¡ ÆÏ¼Ò ´ë½Å ´ÞÄÞÇÑ ²ÜÀÌ µé¾îÀÖ´Ù. ¿À±ºÀÇ µµ·Ã´ÔÀÌ ¸Å¿ì ÁÁ¾ÆÇÑ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "²Ü¼ÛÆí",
			identifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xb6\xb1",
			identifiedDescriptionName: [
				"¼ÛÆíÀÇ ¼Ó¿¡ ÆÏ¼Ò ´ë½Å ´ÞÄÞÇÑ ²ÜÀÌ µé¾îÀÖ´Ù. ¿À±ºÀÇ µµ·Ã´ÔÀÌ ¸Å¿ì ÁÁ¾ÆÇÑ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6535: {
			unidentifiedDisplayName: "Piece Of Red Fabric",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xc3\xb5\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"^ff0000This item cannot be dropped, traded, mailed or vended.^000000",
				"A material to create Raccoon Hurray Team's [Supert large size Christmas socks]",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Piece Of Red Fabric",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xc3\xb5\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"^ff0000This item cannot be dropped, traded, mailed or vended.^000000",
				"A material to create Raccoon Hurray Team's [Supert large size Christmas socks]",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6536: {
			unidentifiedDisplayName: "Star Shape Decoration",
			unidentifiedResourceName: "\xba\xb0\xb8\xf0\xbe\xe7\xc0\xe5\xbd\xc4",
			unidentifiedDescriptionName: [
				"^ff0000This item cannot be dropped, traded, mailed or vended.^000000",
				"A material to decorate Raccoon Hurray Team's [Supert large size Christmas socks]",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Star Shape Decoration",
			identifiedResourceName: "\xba\xb0\xb8\xf0\xbe\xe7\xc0\xe5\xbd\xc4",
			identifiedDescriptionName: [
				"^ff0000This item cannot be dropped, traded, mailed or vended.^000000",
				"A material to decorate Raccoon Hurray Team's [Supert large size Christmas socks]",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6539: {
			unidentifiedDisplayName: "³°Àº ¶óÇÇ³×ÀÇ À¯Ç°",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb6\xf3\xc7\xc7\xb3\xd7\xc0\xc7\xc0\xaf\xc7\xb0",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º»·¡´Â ¾Æ¸§´Ù¿î ¸ñ°ÉÀÌ¿´À» µí ÇÑ ³°°í ¿À·¡µÈ Àå½Å±¸.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "³°Àº ¶óÇÇ³×ÀÇ À¯Ç°",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb6\xf3\xc7\xc7\xb3\xd7\xc0\xc7\xc0\xaf\xc7\xb0",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º»·¡´Â ¾Æ¸§´Ù¿î ¸ñ°ÉÀÌ¿´À» µí ÇÑ ³°°í ¿À·¡µÈ Àå½Å±¸.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6540: {
			unidentifiedDisplayName: "È²±ÝÀÇ ÀÙ",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xc0\xc7\xc0\xd9",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È¨Æ®¸®¿¡¼­ ¶³¾îÁ® ³ª¿Â È²±ÝºûÀÇ ÀÙ»ç±Í. Æò¹üÇÑ ÀÙ»ç±Í ÀÏ »Ó µüÈ÷ ¾µ¸ð ÀÖ¾î º¸ÀÌÁø ¾Ê´Â´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "È²±ÝÀÇ ÀÙ",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xc0\xc7\xc0\xd9",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È¨Æ®¸®¿¡¼­ ¶³¾îÁ® ³ª¿Â È²±ÝºûÀÇ ÀÙ»ç±Í. Æò¹üÇÑ ÀÙ»ç±Í ÀÏ »Ó µüÈ÷ ¾µ¸ð ÀÖ¾î º¸ÀÌÁø ¾Ê´Â´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6541: {
			unidentifiedDisplayName: "¿¡ÀÌ¹ÝÆ®ÀÇ ¿¬±¸ÀÚ·á",
			unidentifiedResourceName: "\xbf\xa1\xc0\xcc\xb9\xdd\xc6\xae\xc0\xc7\xbf\xac\xb1\xb8\xc0\xda\xb7\xe1",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶ÇÐÀÚ ¿¡ÀÌ¹ÝÆ®°¡ ¿ÀºêÀÇ ¸¶·Â¿¡ ´ëÇØ ¿¬±¸ÇÑ ÀÚ·á. ¿Àºê¿¡ ¸¶·ÂÀÌ ÀÀÁýµÇ´Â ¿ø¸®¿Í ¸¶·ÂÀ» ÃßÃâÇÏ¿© È°¿ëÇÏ±â±îÁö Àü¹ÝÀûÀÎ ¿¬±¸ ¹× ½ÇÇè ³»¿ëÀÌ ±â·ÏµÇ¾î ÀÖ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "¿¡ÀÌ¹ÝÆ®ÀÇ ¿¬±¸ÀÚ·á",
			identifiedResourceName: "\xbf\xa1\xc0\xcc\xb9\xdd\xc6\xae\xc0\xc7\xbf\xac\xb1\xb8\xc0\xda\xb7\xe1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶ÇÐÀÚ ¿¡ÀÌ¹ÝÆ®°¡ ¿ÀºêÀÇ ¸¶·Â¿¡ ´ëÇØ ¿¬±¸ÇÑ ÀÚ·á. ¿Àºê¿¡ ¸¶·ÂÀÌ ÀÀÁýµÇ´Â ¿ø¸®¿Í ¸¶·ÂÀ» ÃßÃâÇÏ¿© È°¿ëÇÏ±â±îÁö Àü¹ÝÀûÀÎ ¿¬±¸ ¹× ½ÇÇè ³»¿ëÀÌ ±â·ÏµÇ¾î ÀÖ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6542: {
			unidentifiedDisplayName: "º°¹«´Ì ¹ö¼¸",
			unidentifiedResourceName: "\xba\xb0\xb9\xab\xb4\xcc\xb9\xf6\xbc\xb8",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾ËÇÁÇìÀÓ ½£¿¡¼­ ÀÚ¶ó´Â Æ¯ÀÌÇÑ ¹ö¼¸À¸·Î º¸±âº¸´Ù ¹¬Á÷ÇÏ´Ù. Æ¯Á¤ ¾àÇ°ÀÇ Àç·á°¡ µÈ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^77777710^000000",
			],
			identifiedDisplayName: "º°¹«´Ì ¹ö¼¸",
			identifiedResourceName: "\xba\xb0\xb9\xab\xb4\xcc\xb9\xf6\xbc\xb8",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾ËÇÁÇìÀÓ ½£¿¡¼­ ÀÚ¶ó´Â Æ¯ÀÌÇÑ ¹ö¼¸À¸·Î º¸±âº¸´Ù ¹¬Á÷ÇÏ´Ù. Æ¯Á¤ ¾àÇ°ÀÇ Àç·á°¡ µÈ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6543: {
			unidentifiedDisplayName: "110·¹º§ µ¹ÆÄ ÄÚÀÎ",
			unidentifiedResourceName: "\xc5\xcd\xba\xb8\xc6\xae\xb7\xa2\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´Ü±â°£ ³»¿¡ 110LVÀ» µ¹ÆÄÇÑ ÀÚ¿¡°Ô ÁÖ¾îÁö´Â ÄÚÀÎ.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "110·¹º§ µ¹ÆÄ ÄÚÀÎ",
			identifiedResourceName: "\xc5\xcd\xba\xb8\xc6\xae\xb7\xa2\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´Ü±â°£ ³»¿¡ 110LVÀ» µ¹ÆÄÇÑ ÀÚ¿¡°Ô ÁÖ¾îÁö´Â ÄÚÀÎ.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6544: {
			unidentifiedDisplayName: "120·¹º§ µ¹ÆÄ ÄÚÀÎ",
			unidentifiedResourceName: "\xbe\xc6\xb7\xb9\xb3\xaa\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´Ü±â°£ ³»¿¡ 120LVÀ» µ¹ÆÄÇÑ ÀÚ¿¡°Ô ÁÖ¾îÁö´Â ÄÚÀÎ.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "120·¹º§ µ¹ÆÄ ÄÚÀÎ",
			identifiedResourceName: "\xbe\xc6\xb7\xb9\xb3\xaa\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´Ü±â°£ ³»¿¡ 120LVÀ» µ¹ÆÄÇÑ ÀÚ¿¡°Ô ÁÖ¾îÁö´Â ÄÚÀÎ.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6545: {
			unidentifiedDisplayName: "´Ü´ÜÇÑ ¸Ó¸®Ä«¶ô",
			unidentifiedResourceName: "\xb0\xed\xb8\xf1\xb3\xaa\xb9\xab\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»çÆÄÁ·ÀÇ Àß·ÁÁø ¸Ó¸®Ä«¶ô. ³ª¹µ°¡ÁöÃ³·³ »ý°åÁö¸¸..... ¸Ó¸®Ä«¶ôÀÌ ¸Â±ä ¸Â´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "´Ü´ÜÇÑ ¸Ó¸®Ä«¶ô",
			identifiedResourceName: "\xb0\xed\xb8\xf1\xb3\xaa\xb9\xab\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»çÆÄÁ·ÀÇ Àß·ÁÁø ¸Ó¸®Ä«¶ô. ³ª¹µ°¡ÁöÃ³·³ »ý°åÁö¸¸..... ¸Ó¸®Ä«¶ôÀÌ ¸Â±ä ¸Â´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6546: {
			unidentifiedDisplayName: "µ¿»ýÀÇ ÆíÁö",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇüÀ» °ÆÁ¤ÇÏ´Â µ¿»ýÀÇ ¸¶À½ÀÌ ´ã±ä ÆíÁö.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "µ¿»ýÀÇ ÆíÁö",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇüÀ» °ÆÁ¤ÇÏ´Â µ¿»ýÀÇ ¸¶À½ÀÌ ´ã±ä ÆíÁö.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6547: {
			unidentifiedDisplayName: "¾ó·èÁø ¿¬±¸¼­",
			unidentifiedResourceName: "\xc7\xc7\xb9\xaf\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ¹æ¹ýÀÌ ÀûÇôÀÖ´Â À§ÇèÇÑ ¿¬±¸¼­. ¿©±âÀú±â ºÒ±æÇÑ ´À³¦ÀÇ ¾ó·èÀÌ ¹¯¾îÀÖ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "¾ó·èÁø ¿¬±¸¼­",
			identifiedResourceName: "\xc7\xc7\xb9\xaf\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ¹æ¹ýÀÌ ÀûÇôÀÖ´Â À§ÇèÇÑ ¿¬±¸¼­. ¿©±âÀú±â ºÒ±æÇÑ ´À³¦ÀÇ ¾ó·èÀÌ ¹¯¾îÀÖ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6548: {
			unidentifiedDisplayName: "¶óÇÇ³×ÀÇ ³¯°³Á¶°¢",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»ó±Þ ¶óÇÇ³×ÀÇ ³¯°³Á¶°¢. ÀúÀåµÈ °÷À¸·Î ÀÌµ¿µÉ °Í Ã³·³ »ý°åÁö¸¸.... ±×·± È¿´ÉÀº ¾ø´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "¶óÇÇ³×ÀÇ ³¯°³Á¶°¢",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»ó±Þ ¶óÇÇ³×ÀÇ ³¯°³Á¶°¢. ÀúÀåµÈ °÷À¸·Î ÀÌµ¿µÉ °Í Ã³·³ »ý°åÁö¸¸.... ±×·± È¿´ÉÀº ¾ø´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6549: {
			unidentifiedDisplayName: "Ä£ÀýÀÌ¿ë±Ç",
			unidentifiedResourceName: "\xc4\xa3\xc0\xfd\xc0\xcc\xbf\xeb\xb1\xc7",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·ÎÅ×¸£Æ®°¡ Á÷Á¢±×¸° ±Í¿©¿î ±×¸²°ú ±Û¾¾°¡ °¡µæÇÑ Á¶±×¸¶ÇÑ Á¾ÀÌ ÄíÆù. ...ÃëÇâÀº Á¸ÁßÇØ ÁÖ¾î¾ß ÇÒ °Í °°´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Ä£ÀýÀÌ¿ë±Ç",
			identifiedResourceName: "\xc4\xa3\xc0\xfd\xc0\xcc\xbf\xeb\xb1\xc7",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·ÎÅ×¸£Æ®°¡ Á÷Á¢±×¸° ±Í¿©¿î ±×¸²°ú ±Û¾¾°¡ °¡µæÇÑ Á¶±×¸¶ÇÑ Á¾ÀÌ ÄíÆù. ...ÃëÇâÀº Á¸ÁßÇØ ÁÖ¾î¾ß ÇÒ °Í °°´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6552: {
			unidentifiedDisplayName: "¿ìÆí¹° »óÀÚ",
			unidentifiedResourceName: "\xbb\xf3\xc0\xda\x2d\xc5\xc3\xb9\xe8",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½ºÇÃ¶ûµðµå¿¡¼­ ¿¡Å¬¶óÁê·Î º¸³»´Â °¢Á¾ ÆíÁö¸¦ ¸ð¾Æ ´ãÀº »óÀÚ. ´ëºÎºÐÀÌ ¼­·ÎÀÇ ¾ÈºÎ¸¦ ¹¯´Â »çÀûÀÎ ÆíÁöµéÀÌ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "¿ìÆí¹° »óÀÚ",
			identifiedResourceName: "\xbb\xf3\xc0\xda\x2d\xc5\xc3\xb9\xe8",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½ºÇÃ¶ûµðµå¿¡¼­ ¿¡Å¬¶óÁê·Î º¸³»´Â °¢Á¾ ÆíÁö¸¦ ¸ð¾Æ ´ãÀº »óÀÚ. ´ëºÎºÐÀÌ ¼­·ÎÀÇ ¾ÈºÎ¸¦ ¹¯´Â »çÀûÀÎ ÆíÁöµéÀÌ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6553: {
			unidentifiedDisplayName: "³ª¹µÀÙ´Ù¸®",
			unidentifiedResourceName: "\xbe\xc6\xb3\xee\xb8\xae\xbe\xc8\xc7\xc7\xba\xce",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³ª¹µÀÙÀ» °ã°ãÀÌ ÀÌ¾îºÙÀÎ ºÒ¾ÈÇØ º¸ÀÌ´Â ´Ù¸®Á¦ÀÛ¿ë Å« Á¶°¢. ´ë·®Á¦ÀÛÀ» À§ÇØ 3m, 5m, 10m´ÜÀ§·Î ¸¸µé¾î ÆÈ°í ÀÖ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "³ª¹µÀÙ´Ù¸® Àç·á",
			identifiedResourceName: "\xbe\xc6\xb3\xee\xb8\xae\xbe\xc8\xc7\xc7\xba\xce",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³ª¹µÀÙÀ» °ã°ãÀÌ ÀÌ¾îºÙÀÎ ºÒ¾ÈÇØ º¸ÀÌ´Â ´Ù¸®Á¦ÀÛ¿ë Å« Á¶°¢. ´ë·®Á¦ÀÛÀ» À§ÇØ 3m, 5m, 10m´ÜÀ§·Î ¸¸µé¾î ÆÈ°í ÀÖ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6554: {
			unidentifiedDisplayName: "¾¾¾Ñ »óÀÚ",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ºÓÀº ¾¾¾Ñ°ú Çª¸¥ ¾¾¾ÑÀÇ ¿î¹Ý¿¡ »ç¿ëµÇ´Â »óÀÚ. »óÀÚµÞ¸é¿¡ [Ãë±ÞÁÖÀÇ]¶ó°í Ä¿´Ù¶þ°Ô ¾²¿©ÀÖ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "¾¾¾Ñ »óÀÚ",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ºÓÀº ¾¾¾Ñ°ú Çª¸¥ ¾¾¾ÑÀÇ ¿î¹Ý¿¡ »ç¿ëµÇ´Â »óÀÚ. »óÀÚµÞ¸é¿¡ [Ãë±ÞÁÖÀÇ]¶ó°í Ä¿´Ù¶þ°Ô ¾²¿©ÀÖ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6555: {
			unidentifiedDisplayName: "»ýÀÏÃÊ",
			unidentifiedResourceName: "\xc3\xd0\xba\xd2",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÄÉÀÌÅ©¿¡ ³ªÀÌ¸¸Å­ ²È¾Æ »ýÀÏÀ» ±â³äÇÒ ¶§ ¾²ÀÎ´Ù. ±ä °ÍÀº 10»ì ÂªÀº °ÍÀº 1»ìÀÇ ÀÇ¹Ì·Î »ç¿ëµÈ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "»ýÀÏÃÊ",
			identifiedResourceName: "\xc3\xd0\xba\xd2",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÄÉÀÌÅ©¿¡ ³ªÀÌ¸¸Å­ ²È¾Æ »ýÀÏÀ» ±â³äÇÒ ¶§ ¾²ÀÎ´Ù. ±ä °ÍÀº 10»ì ÂªÀº °ÍÀº 1»ìÀÇ ÀÇ¹Ì·Î »ç¿ëµÈ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6556: {
			unidentifiedDisplayName: "°í±Þ ÇìµåÆù ±³È¯±Ç",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"[°í±Þ ÇìµåÆù ±³È¯±Ç] ÀÌ¶ó°í Å©°Ô ¾²¿©Áø Á¾ÀÌ.",
				"¾Æ¹«·¡µµ ´çÃ· µÈ °Í °°´Ù!",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°í±Þ ÇìµåÆù ±³È¯±Ç",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"[°í±Þ ÇìµåÆù ±³È¯±Ç] ÀÌ¶ó°í Å©°Ô ¾²¿©Áø Á¾ÀÌ.",
				"¾Æ¹«·¡µµ ´çÃ· µÈ °Í °°´Ù!",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6557: {
			unidentifiedDisplayName: "È­·ÁÇÑ ¿äÁ¤³¯°³",
			unidentifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbf\xe4\xc1\xa4\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"Å©°í È­·ÁÇÑ ¿äÁ¤ÀÇ ³¯°³. ºñ½Î°Ô ÆÈ¸± °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "È­·ÁÇÑ ¿äÁ¤³¯°³",
			identifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbf\xe4\xc1\xa4\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"Å©°í È­·ÁÇÑ ¿äÁ¤ÀÇ ³¯°³. ºñ½Î°Ô ÆÈ¸± °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6558: {
			unidentifiedDisplayName: "µµÅä¸® ¹«´õ±â",
			unidentifiedResourceName: "\xb5\xb5\xc5\xe4\xb8\xae\xb9\xab\xb4\xf5\xb1\xe2",
			unidentifiedDescriptionName: [
				"¿­½ÉÈ÷ ¸ðÀº °Í °°Àº ÀÛÀº µµÅä¸® ¹«´õ±â. ³Ê¹« ÀÛ¾Æ ¸ð¾ÆºÁ¾ß ÇÑ ¼Õ¹Ù´Ú ¾È¿¡ µé¾î¿À´Â ¾çÀÌ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "µµÅä¸® ¹«´õ±â",
			identifiedResourceName: "\xb5\xb5\xc5\xe4\xb8\xae\xb9\xab\xb4\xf5\xb1\xe2",
			identifiedDescriptionName: [
				"¿­½ÉÈ÷ ¸ðÀº °Í °°Àº ÀÛÀº µµÅä¸® ¹«´õ±â. ³Ê¹« ÀÛ¾Æ ¸ð¾ÆºÁ¾ß ÇÑ ¼Õ¹Ù´Ú ¾È¿¡ µé¾î¿À´Â ¾çÀÌ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6559: {
			unidentifiedDisplayName: "¾È¾à",
			unidentifiedResourceName: "\xbe\xc8\xbe\xe0",
			unidentifiedDescriptionName: [
				"´«ÀÌ °ÇÁ¶ÇÒ ¶§ ³Ö¾îÁÖ¸é ¸¼°í ¼±¸íÇØÁö´Â Á¶±×¸¸ ¹°¾à. 5mlÂ¥¸®´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¾È¾à",
			identifiedResourceName: "\xbe\xc8\xbe\xe0",
			identifiedDescriptionName: [
				"´«ÀÌ °ÇÁ¶ÇÒ ¶§ ³Ö¾îÁÖ¸é ¸¼°í ¼±¸íÇØÁö´Â Á¶±×¸¸ ¹°¾à. 5mlÂ¥¸®´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6560: {
			unidentifiedDisplayName: "³«¿± Ã¥°¥ÇÇ",
			unidentifiedResourceName: "\xb3\xab\xbf\xb1\xc3\xa5\xb0\xa5\xc7\xc7",
			unidentifiedDescriptionName: [
				"Ã¥ ¼Ó¿¡ ²È¾ÆµÐ Ã¤ ²Ï ¿À·¡ ÀØÇôÁø µí ÇÑ Ã¥°¥ÇÇ. ¿À·£¼¼¿ù ¹ÙÂ¦ ¸»·ÁÁ® Àß¸ø ¸¸Áö¸é ºÎ½º·¯Á® ¹ö¸± °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "³«¿± Ã¥°¥ÇÇ",
			identifiedResourceName: "\xb3\xab\xbf\xb1\xc3\xa5\xb0\xa5\xc7\xc7",
			identifiedDescriptionName: [
				"Ã¥ ¼Ó¿¡ ²È¾ÆµÐ Ã¤ ²Ï ¿À·¡ ÀØÇôÁø µí ÇÑ Ã¥°¥ÇÇ. ¿À·£¼¼¿ù ¹ÙÂ¦ ¸»·ÁÁ® Àß¸ø ¸¸Áö¸é ºÎ½º·¯Á® ¹ö¸± °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6561: {
			unidentifiedDisplayName: "¸ÕÁö µ¢¾î¸®",
			unidentifiedResourceName: "\xb8\xd5\xc1\xf6\xb5\xa2\xbe\xee\xb8\xae",
			unidentifiedDescriptionName: [
				"±Ý¹æÀÌ¶óµµ Ç®Ç® ³¯·Á¼­ ±â°üÁö°è¿­ÀÇ ¿©·¯°¡Áö Áúº´À» À¯¹ß ½ÃÅ³ °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸ÕÁö µ¢¾î¸®",
			identifiedResourceName: "\xb8\xd5\xc1\xf6\xb5\xa2\xbe\xee\xb8\xae",
			identifiedDescriptionName: [
				"±Ý¹æÀÌ¶óµµ Ç®Ç® ³¯·Á¼­ ±â°üÁö°è¿­ÀÇ ¿©·¯°¡Áö Áúº´À» À¯¹ß ½ÃÅ³ °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6562: {
			unidentifiedDisplayName: "ÀÛÀº Áã²¿¸®",
			unidentifiedResourceName: "\xc1\xe3\xc0\xc7\xb2\xbf\xb8\xae",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"µµ¹Ì´ÏÅ© ±ÙÃ³¿¡ °¡¼­ ´øÁ®º¸ÀÚ.",
				"Áã¸¦ ½È¾îÇÏ´Â µµ¹Ì´ÏÅ©¶ó¸é ±â°ÌÇÒ °ÍÀÌ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "ÀÛÀº Áã²¿¸®",
			identifiedResourceName: "\xc1\xe3\xc0\xc7\xb2\xbf\xb8\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"µµ¹Ì´ÏÅ© ±ÙÃ³¿¡ °¡¼­ ´øÁ®º¸ÀÚ.",
				"Áã¸¦ ½È¾îÇÏ´Â µµ¹Ì´ÏÅ©¶ó¸é ±â°ÌÇÒ °ÍÀÌ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6563: {
			unidentifiedDisplayName: "ÀâÃÊ",
			unidentifiedResourceName: "\xba\xce\xb5\xe5\xb7\xaf\xbf\xee\xc7\xae\xc0\xd9",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Àå¼Ò¸¦ °¡¸®Áö ¾Ê°í ±»¼¼°Ô ÀÚ¶ó³ª´Â ÀâÃÊ.",
				"Ã¥Àå ±ÙÃ³¿¡ °¡¼­ ½É¾îµÎ°í ¿ÀÀÚ.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "ÀâÃÊ",
			identifiedResourceName: "\xba\xce\xb5\xe5\xb7\xaf\xbf\xee\xc7\xae\xc0\xd9",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Àå¼Ò¸¦ °¡¸®Áö ¾Ê°í ±»¼¼°Ô ÀÚ¶ó³ª´Â ÀâÃÊ.",
				"Ã¥Àå ±ÙÃ³¿¡ °¡¼­ ½É¾îµÎ°í ¿ÀÀÚ.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6564: {
			unidentifiedDisplayName: "»ç·ÎÀâÈù ÇØÃú¸µ",
			unidentifiedResourceName: "\xbb\xe7\xb7\xce\xc0\xe2\xc8\xf9\xc7\xd8\xc3\xfa\xb8\xb5",
			unidentifiedDescriptionName: [
				"°¡ÃâÇÑ ÇØÃú¸µÀ» ÀÚ¾ÖÀÇ ¼Õ±æ·Î Àß Å¸ÀÏ·¯ »ç·ÎÀâ¾Ò´Ù. ¸»¶ûµµ¿¡¼­ ¾ÖÅ¸°Ô ±â´Ù¸®°í ÀÖ´Â ºí·¢ µå·¡°ï¿¡°Ô µ¥·Á´Ù ÁÖ¸é ÁÁÀº ÀÏÀÌ ÀÖÀ»Áöµµ ¸ð¸¥´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "»ç·ÎÀâÈù ÇØÃú¸µ",
			identifiedResourceName: "\xbb\xe7\xb7\xce\xc0\xe2\xc8\xf9\xc7\xd8\xc3\xfa\xb8\xb5",
			identifiedDescriptionName: [
				"°¡ÃâÇÑ ÇØÃú¸µÀ» ÀÚ¾ÖÀÇ ¼Õ±æ·Î Àß Å¸ÀÏ·¯ »ç·ÎÀâ¾Ò´Ù. ¸»¶ûµµ¿¡¼­ ¾ÖÅ¸°Ô ±â´Ù¸®°í ÀÖ´Â ºí·¢ µå·¡°ï¿¡°Ô µ¥·Á´Ù ÁÖ¸é ÁÁÀº ÀÏÀÌ ÀÖÀ»Áöµµ ¸ð¸¥´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6566: {
			unidentifiedDisplayName: "Fierce Cacao 99 Recipe",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf\xb7\xb9\xbd\xc3\xc7\xc7",
			unidentifiedDescriptionName: [
				"Magic Recipe which will teach you how to make a fierce Cacao 99.",
				"It seems like there's a certain place for using this recipe.",
				"^B90000Essencial Ingredients :  99 Cacao beans, 1 Milk.^000000",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Fierce Cacao 99 Recipe",
			identifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf\xb7\xb9\xbd\xc3\xc7\xc7",
			identifiedDescriptionName: [
				"Magic Recipe which will teach you how to make a fierce Cacao 99.",
				"It seems like there's a certain place for using this recipe.",
				"^B90000Essencial Ingredients : 99 Cacao beans, 1 Milk.^000000",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6567: {
			unidentifiedDisplayName: "Chocolate Drink Recipe",
			unidentifiedResourceName: "\xb5\xfe\xb1\xe2\xc3\xca\xc4\xdd\xb7\xbf\xb7\xb9\xbd\xc3\xc7\xc7",
			unidentifiedDescriptionName: [
				"Magic Recipe which will teach you how to make a cool chocolate drink.",
				"It seems like there's a certain place for using this recipe.",
				"^B90000Essencial Ingredients :  30 Cacao beans, 3 Chocolates, 2 Milk^000000",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Chocolate Drink Recipe",
			identifiedResourceName: "\xb5\xfe\xb1\xe2\xc3\xca\xc4\xdd\xb7\xbf\xb7\xb9\xbd\xc3\xc7\xc7",
			identifiedDescriptionName: [
				"Magic Recipe which will teach you how to make a cool chocolate drink.",
				"It seems like there's a certain place for using this recipe.",
				"^B90000Essencial Ingredients : 30 Cacao beans, 3 Chocolates, 2 Milk^000000",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6581: {
			unidentifiedDisplayName: "¼º½º·¯¿î ¾Æ¹Ä·¿",
			unidentifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			unidentifiedDescriptionName: [
				"¾Æ¸§´Ù¿î º¸¼®¿¡ ¼º½º·¯¿î ÈûÀ» ´ã¾Ò´Ù.",
				"¼ÒÀ¯ÇÑ °Í ¸¸À¸·Îµµ ¾öÃ»³­ ÈûÀ» °¡Áú ¼ö ÀÖÁö¸¸ Á¤½ÄÀ¸·Î ¼ÒÀ¯ÇÑ °ÍÀÌ¾î¾ß ÇÑ´Ù.",
				"ºÒ¹ýÀûÀÎ ¼ÒÀ¯·Î´Â ¾Æ¹«·± Èûµµ °¡ÁöÁö ¸øÇÑ´Ù°í¡¦.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¼º½º·¯¿î ¾Æ¹Ä·¿",
			identifiedResourceName: "\xb3\xd7\xc5\xac\xb8\xae\xbd\xba",
			identifiedDescriptionName: [
				"¾Æ¸§´Ù¿î º¸¼®¿¡ ¼º½º·¯¿î ÈûÀ» ´ã¾Ò´Ù.",
				"¼ÒÀ¯ÇÑ °Í ¸¸À¸·Îµµ ¾öÃ»³­ ÈûÀ» °¡Áú ¼ö ÀÖÁö¸¸ Á¤½ÄÀ¸·Î ¼ÒÀ¯ÇÑ °ÍÀÌ¾î¾ß ÇÑ´Ù.",
				"ºÒ¹ýÀûÀÎ ¼ÒÀ¯·Î´Â ¾Æ¹«·± Èûµµ °¡ÁöÁö ¸øÇÑ´Ù°í¡¦.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6586: {
			unidentifiedDisplayName: "Æ÷È¹ÇÑ Ã¥",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xb5\xe5\xbf\xf6\xb5\xe5",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½´¹ÙÀÌÃ¼¸£ºô ¸¶¹ýÇÐ±³ µµ¼­°ü¿¡¼­ µµ¸ÁÃÆ´Ù°¡ Æ÷È¹µÈ Ã¥. À¸¸£·· ¼Ò¸®¿¡ ±Í¸¦ °¡±îÀÌÇÏ¸é ¹°¸±Áöµµ ¸ð¸¥´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Æ÷È¹ÇÑ Ã¥",
			identifiedResourceName: "\xb6\xf3\xc0\xcc\xb5\xe5\xbf\xf6\xb5\xe5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½´¹ÙÀÌÃ¼¸£ºô ¸¶¹ýÇÐ±³ µµ¼­°ü¿¡¼­ µµ¸ÁÃÆ´Ù°¡ Æ÷È¹µÈ Ã¥. À¸¸£·· ¼Ò¸®¿¡ ±Í¸¦ °¡±îÀÌÇÏ¸é ¹°¸±Áöµµ ¸ð¸¥´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6592: {
			unidentifiedDisplayName: "ÀÛÀº ³ª¹« »óÀÚ",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"±æµå ¾ÆÁöÆ®¿¡ ¼û°ÜÁ® ÀÖ´ø ÀÛÀº ³ª¹«»óÀÚ. ´©±º°¡¿¡°Ô ¸Å¿ì ¼ÒÁßÇÑ ±×°ÍÀÌ µé¾îÀÖ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀÛÀº ³ª¹« »óÀÚ",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"±æµå ¾ÆÁöÆ®¿¡ ¼û°ÜÁ® ÀÖ´ø ÀÛÀº ³ª¹«»óÀÚ. ´©±º°¡¿¡°Ô ¸Å¿ì ¼ÒÁßÇÑ ±×°ÍÀÌ µé¾îÀÖ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6593: {
			unidentifiedDisplayName: "Å©¸®Åõ¶ó ¹Ì¿ëÄíÆù",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Å©¸®Åõ¶ó ÇÐ¿ø Àü¿ë ¹Ì¿ë ÄíÆù.",
				"´Ù¸¥ »ç¶÷°ú´Â Â÷º°µÈ ¹«¾ð°¡¸¦ Ã£´Â »ç¶÷¿¡°Ô µ¶Æ¯ÇÑ ¸Ó¸®½ºÅ¸ÀÏÀ» ¼±»çÇØ ÁØ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Å©¸®Åõ¶ó ¹Ì¿ëÄíÆù",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Å©¸®Åõ¶ó ÇÐ¿ø Àü¿ë ¹Ì¿ë ÄíÆù.",
				"´Ù¸¥ »ç¶÷°ú´Â Â÷º°µÈ ¹«¾ð°¡¸¦ Ã£´Â »ç¶÷¿¡°Ô µ¶Æ¯ÇÑ ¸Ó¸®½ºÅ¸ÀÏÀ» ¼±»çÇØ ÁØ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6594: {
			unidentifiedDisplayName: "¸¶·ÂÀÌ ±êµç Ã»µ¿±«",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xee\xc0\xc7\xc0\xd4\xbc\xfa",
			unidentifiedDescriptionName: [
				"·é ¸¶¼ú¿¡ ÀÇÇØ ¸¶·ÂÀÌ ÁÖÀÔµÈ Ã»µ¿±«. °­·ÂÇÑ ¸¶·ÂÀÌ ´À²¸Áø´Ù.",
				"¹«°Ô : ^777777100^000000",
			],
			identifiedDisplayName: "¸¶·ÂÀÌ ±êµç Ã»µ¿±«",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xee\xc0\xc7\xc0\xd4\xbc\xfa",
			identifiedDescriptionName: [
				"·é ¸¶¼ú¿¡ ÀÇÇØ ¸¶·ÂÀÌ ÁÖÀÔµÈ Ã»µ¿±«. °­·ÂÇÑ ¸¶·ÂÀÌ ´À²¸Áø´Ù.",
				"¹«°Ô : ^777777100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6595: {
			unidentifiedDisplayName: "º£·éµåÀÇ ¸ÁÄ¡",
			unidentifiedResourceName: "\xb4\xeb\xc0\xe5\xc0\xe5\xc0\xcc\xc0\xc7\xb8\xc1\xc4\xa1",
			unidentifiedDescriptionName: [
				"´ëÀåÀåÀÌ º£·éµåÀÇ ¸ÁÄ¡.",
				"¿À·£¼¼¿ù »ç¿ëµÇ¾î ¼Õ¶§¸¦ ¸¹ÀÌ Åº µí ÇÏ´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			identifiedDisplayName: "º£·éµåÀÇ ¸ÁÄ¡",
			identifiedResourceName: "\xb4\xeb\xc0\xe5\xc0\xe5\xc0\xcc\xc0\xc7\xb8\xc1\xc4\xa1",
			identifiedDescriptionName: [
				"´ëÀåÀåÀÌ º£·éµåÀÇ ¸ÁÄ¡.",
				"¿À·£¼¼¿ù »ç¿ëµÇ¾î ¼Õ¶§¸¦ ¸¹ÀÌ Åº µí ÇÏ´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6596: {
			unidentifiedDisplayName: "º£·éµåÀÇ ¸ð·ç",
			unidentifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc\xb8\xf0\xb7\xe7",
			unidentifiedDescriptionName: [
				"´ëÀåÀåÀÌ º£·éµåÀÇ ¸ð·ç.",
				"¿À·£ ¼¼¿ùÀ» º£·éµå¿Í ÇÔ²² Àü¼³ÀûÀÎ ¹«±¸µéÀ» ¸¸µé¾î ¿Ô´Ù.",
				"¹«°Ô : ^777777200^000000",
			],
			identifiedDisplayName: "º£·éµåÀÇ ¸ð·ç",
			identifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc\xb8\xf0\xb7\xe7",
			identifiedDescriptionName: [
				"´ëÀåÀåÀÌ º£·éµåÀÇ ¸ð·ç.",
				"¿À·£ ¼¼¿ùÀ» º£·éµå¿Í ÇÔ²² Àü¼³ÀûÀÎ ¹«±¸µéÀ» ¸¸µé¾î ¿Ô´Ù.",
				"¹«°Ô : ^777777200^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6597: {
			unidentifiedDisplayName: "º£·éµåÀÇ ÆÈÂî",
			unidentifiedResourceName: "\xbc\xf6\xb0\xa9",
			unidentifiedDescriptionName: [
				"»ç¶ûÇÏ´Â ¾Æ³»¸¦ À§ÇÏ¿© º£·éµå°¡ ¸¸µç ÆÈÂî Áß ÇÏ³ª. ±×³à¸¦ ÇâÇÑ Áø½ÇÇÑ »ç¶ûÀÌ ´ã°ÜÀÖ´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			identifiedDisplayName: "º£·éµåÀÇ ÆÈÂî",
			identifiedResourceName: "\xbc\xf6\xb0\xa9",
			identifiedDescriptionName: [
				"»ç¶ûÇÏ´Â ¾Æ³»¸¦ À§ÇÏ¿© º£·éµå°¡ ¸¸µç ÆÈÂî Áß ÇÏ³ª. ±×³à¸¦ ÇâÇÑ Áø½ÇÇÑ »ç¶ûÀÌ ´ã°ÜÀÖ´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6598: {
			unidentifiedDisplayName: "¿ä¸£¹®°£µåÀÇ ´Á°ñ",
			unidentifiedResourceName: "\xbd\xba\xc4\xcc\xba\xbb",
			unidentifiedDescriptionName: [
				"°Å´ëÇÑ ¹ì \\\"¿ä¸£¹®°£µå\\\"ÀÇ ´Á°ñ. ¹ÏÀ» ¼ö ¾øÀ» Á¤µµÀÇ °­µµ¿Í Å©±â¸¦ ÀÚ¶ûÇÑ´Ù.",
				"¹«°Ô : ^7777772000^000000",
			],
			identifiedDisplayName: "¿ä¸£¹®°£µåÀÇ ´Á°ñ",
			identifiedResourceName: "\xbd\xba\xc4\xcc\xba\xbb",
			identifiedDescriptionName: [
				"°Å´ëÇÑ ¹ì \"¿ä¸£¹®°£µå\"ÀÇ ´Á°ñ. ¹ÏÀ» ¼ö ¾øÀ» Á¤µµÀÇ °­µµ¿Í Å©±â¸¦ ÀÚ¶ûÇÑ´Ù.",
				"¹«°Ô : ^7777772000^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6599: {
			unidentifiedDisplayName: "ÈÄ±äÀÇ È¥",
			unidentifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xba\xd0\xb3\xeb",
			unidentifiedDescriptionName: [
				"¿ÀµòÀÇ »ç¿ª¸¶ Áß ÇÏ³ªÀÎ »ç°í¸¦ °üÀåÇÏ´Â ±î¸¶±Í \\\"ÈÄ±ä\\\"ÀÇ È¥À» Çü»óÈ­ ÇÑ °Í.",
				"°­´ëÇÑ ¸¶·ÂÀ» Áö´Ñ ¿ä¸£¹®°£µåÀÇ ÈûÀ» ¾ïÁ¦ ÇØ ÁØ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^77777710^000000",
			],
			identifiedDisplayName: "ÈÄ±äÀÇ È¥",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xba\xd0\xb3\xeb",
			identifiedDescriptionName: [
				"¿ÀµòÀÇ »ç¿ª¸¶ Áß ÇÏ³ªÀÎ »ç°í¸¦ °üÀåÇÏ´Â ±î¸¶±Í \"ÈÄ±ä\"ÀÇ È¥À» Çü»óÈ­ ÇÑ °Í.",
				"°­´ëÇÑ ¸¶·ÂÀ» Áö´Ñ ¿ä¸£¹®°£µåÀÇ ÈûÀ» ¾ïÁ¦ ÇØ ÁØ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6600: {
			unidentifiedDisplayName: "¹«´ÑÀÇ È¥",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				"¿ÀµòÀÇ »ç¿ª¸¶ Áß ÇÏ³ªÀÎ ±â¾ï¸¦ °üÀåÇÏ´Â ±î¸¶±Í \\\"¹«´Ñ\\\"ÀÇ È¥À» Çü»óÈ­ ÇÑ °Í.",
				"°­´ëÇÑ ¸¶·ÂÀ» Áö´Ñ ¿ä¸£¹®°£µåÀÇ ÈûÀ» ¾ïÁ¦ ÇØ ÁØ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^77777710^000000",
			],
			identifiedDisplayName: "¹«´ÑÀÇ È¥",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				"¿ÀµòÀÇ »ç¿ª¸¶ Áß ÇÏ³ªÀÎ ±â¾ï¸¦ °üÀåÇÏ´Â ±î¸¶±Í \"¹«´Ñ\"ÀÇ È¥À» Çü»óÈ­ ÇÑ °Í.",
				"°­´ëÇÑ ¸¶·ÂÀ» Áö´Ñ ¿ä¸£¹®°£µåÀÇ ÈûÀ» ¾ïÁ¦ ÇØ ÁØ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6601: {
			unidentifiedDisplayName: "°ÅÀÎÀÇ ²ø",
			unidentifiedResourceName: "\xbe\xdf\xc0\xfc\xbb\xf0",
			unidentifiedDescriptionName: [
				"¾öÃ»³­ °­µµ¸¦ ÀÚ¶ûÇÏ´Â ¾Ï¼®ÀÌ¶óµµ ÀÌ ²øÀ» »ç¿ëÇÏ¸é ±ï°í ´Ùµë´Â °ÍÀÌ °¡´ÉÇÏ´Ù°í ÀüÇØÁø´Ù. °ÅÀÎÁ·ÀÇ ¹°°ÇÀÎ ¸¸Å­ ¸Å¿ì °Å´ëÇÏ¿© »ç¿ëÇÏ±â ±î´Ù·Î¿î °ÍÀÌ ¹®Á¦.",
				"¹«°Ô : ^777777100^000000",
			],
			identifiedDisplayName: "°ÅÀÎÀÇ ²ø",
			identifiedResourceName: "\xbe\xdf\xc0\xfc\xbb\xf0",
			identifiedDescriptionName: [
				"¾öÃ»³­ °­µµ¸¦ ÀÚ¶ûÇÏ´Â ¾Ï¼®ÀÌ¶óµµ ÀÌ ²øÀ» »ç¿ëÇÏ¸é ±ï°í ´Ùµë´Â °ÍÀÌ °¡´ÉÇÏ´Ù°í ÀüÇØÁø´Ù. °ÅÀÎÁ·ÀÇ ¹°°ÇÀÎ ¸¸Å­ ¸Å¿ì °Å´ëÇÏ¿© »ç¿ëÇÏ±â ±î´Ù·Î¿î °ÍÀÌ ¹®Á¦.",
				"¹«°Ô : ^777777100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6602: {
			unidentifiedDisplayName: "·é ¹®ÀÚÀÇ ºñ¹Ð",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xc7\xd8\xbc\xae\xb9\xae",
			unidentifiedDescriptionName: [
				"ÁÖ½Å ¿ÀµòÀÇ ÈûÀ» ºô¸®±â À§ÇÑ ¿©·¯°¡Áö ·é ¸¶¼úµéÀÌ ÀûÇôÀÖ´Â ³°Àº Ã¥.",
				"¹«°Ô : ^77777710^000000",
			],
			identifiedDisplayName: "·é ¹®ÀÚÀÇ ºñ¹Ð",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xc7\xd8\xbc\xae\xb9\xae",
			identifiedDescriptionName: [
				"ÁÖ½Å ¿ÀµòÀÇ ÈûÀ» ºô¸®±â À§ÇÑ ¿©·¯°¡Áö ·é ¸¶¼úµéÀÌ ÀûÇôÀÖ´Â ³°Àº Ã¥.",
				"¹«°Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		6603: {
			unidentifiedDisplayName: "ÇÁ·¹½ºº£¸£Å©ÀÇ °¡Á×",
			unidentifiedResourceName: "\xb6\xdf\xb0\xc5\xbf\xee\xc5\xd0",
			unidentifiedDescriptionName: [
				"±«Á¶ÀÇ µÎÅÍ¿î °¡Á×Á¶°¢.",
				"°­´ëÇÑ ¸¶·ÂÀ» Áö´Ñ ¿ä¸£¹®°£µåÀÇ ÈûÀ» ¾ïÁ¦ ÇØÁØ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			identifiedDisplayName: "ÇÁ·¹½ºº£¸£Å©ÀÇ °¡Á×",
			identifiedResourceName: "\xb6\xdf\xb0\xc5\xbf\xee\xc5\xd0",
			identifiedDescriptionName: [
				"±«Á¶ÀÇ µÎÅÍ¿î °¡Á×Á¶°¢.",
				"°­´ëÇÑ ¸¶·ÂÀ» Áö´Ñ ¿ä¸£¹®°£µåÀÇ ÈûÀ» ¾ïÁ¦ ÇØÁØ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7001: {
			unidentifiedDisplayName: "Mould Powder",
			unidentifiedResourceName: "\xb0\xf5\xc6\xce\xc0\xcc\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"A handful of soft, powdery mould that is strangely silken to the touch.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mould Powder",
			identifiedResourceName: "\xb0\xf5\xc6\xce\xc0\xcc\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"A handful of soft, powdery mould that is strangely silken to the touch.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7002: {
			unidentifiedDisplayName: "Ogre Tooth",
			unidentifiedResourceName: "\xbf\xc0\xbf\xec\xb0\xc5\xc0\xc7\xc0\xcc\xbb\xa1",
			unidentifiedDescriptionName: [
				"A tooth extracted from the mouth of a proud Orc Warrior.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ogre Tooth",
			identifiedResourceName: "\xbf\xc0\xbf\xec\xb0\xc5\xc0\xc7\xc0\xcc\xbb\xa1",
			identifiedDescriptionName: [
				"A tooth extracted from the mouth of a proud Orc Warrior.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7003: {
			unidentifiedDisplayName: "Anolian Skin",
			unidentifiedResourceName: "\xbe\xc6\xb3\xee\xb8\xae\xbe\xc8\xc7\xc7\xba\xce",
			unidentifiedDescriptionName: [
				"A sticky piece of Anolian skin.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Anolian Skin",
			identifiedResourceName: "\xbe\xc6\xb3\xee\xb8\xae\xbe\xc8\xc7\xc7\xba\xce",
			identifiedDescriptionName: [
				"A sticky piece of Anolian skin.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7004: {
			unidentifiedDisplayName: "Mud Lump",
			unidentifiedResourceName: "\xc1\xf8\xc8\xeb\xb5\xa2\xbe\xee\xb8\xae",
			unidentifiedDescriptionName: [
				"A gooey, unpleasant lump of wet, dirty mud.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mud Lump",
			identifiedResourceName: "\xc1\xf8\xc8\xeb\xb5\xa2\xbe\xee\xb8\xae",
			identifiedDescriptionName: [
				"A gooey, unpleasant lump of wet, dirty mud.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7005: {
			unidentifiedDisplayName: "Skull",
			unidentifiedResourceName: "\xc7\xd8\xb0\xf1\xb9\xd9\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"A skull taken from a corpse.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Skull",
			identifiedResourceName: "\xc7\xd8\xb0\xf1\xb9\xd9\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"A skull taken from a corpse.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7006: {
			unidentifiedDisplayName: "Wing of Red Bat",
			unidentifiedResourceName: "\xba\xd3\xc0\xba\xb9\xda\xc1\xe3\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"A wing from a red bat.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wing of Red Bat",
			identifiedResourceName: "\xba\xd3\xc0\xba\xb9\xda\xc1\xe3\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"A wing from a red bat.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7007: {
			unidentifiedDisplayName: "Claw of Rat",
			unidentifiedResourceName: "\xc5\xab\xc1\xe3\xc0\xc7\xb9\xdf\xc5\xe9",
			unidentifiedDescriptionName: [
				"A toe nail from a huge, disease ridden rodent.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Claw of Rat",
			identifiedResourceName: "\xc5\xab\xc1\xe3\xc0\xc7\xb9\xdf\xc5\xe9",
			identifiedDescriptionName: [
				"A toe nail from a huge, disease ridden rodent.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7008: {
			unidentifiedDisplayName: "Stiff Horn",
			unidentifiedResourceName: "\xb8\xc5\xbf\xec\xb5\xfc\xb5\xfc\xc7\xd1\xbb\xd4",
			unidentifiedDescriptionName: [
				"A tough horn that might break, but will never bend.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stiff Horn",
			identifiedResourceName: "\xb8\xc5\xbf\xec\xb5\xfc\xb5\xfc\xc7\xd1\xbb\xd4",
			identifiedDescriptionName: [
				"A tough horn that might break, but will never bend.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7009: {
			unidentifiedDisplayName: "Glitter Shell",
			unidentifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A shell that sparkles with dazzling light.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glitter Shell",
			identifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A shell that sparkles with dazzling light.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7010: {
			unidentifiedDisplayName: "Tail of Steel Scorpion",
			unidentifiedResourceName: "\xb0\xad\xc3\xb6\xc0\xfc\xb0\xa5\xc0\xc7\xb2\xbf\xb8\xae",
			unidentifiedDescriptionName: [
				"A stinger ripped out of the body of a steel scorpion.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tail of Steel Scorpion",
			identifiedResourceName: "\xb0\xad\xc3\xb6\xc0\xfc\xb0\xa5\xc0\xc7\xb2\xbf\xb8\xae",
			identifiedDescriptionName: [
				"A stinger ripped out of the body of a steel scorpion.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7011: {
			unidentifiedDisplayName: "Claw of Monkey",
			unidentifiedResourceName: "\xbf\xf8\xbc\xfe\xc0\xcc\xc0\xc7\xbc\xd5\xc5\xe9",
			unidentifiedDescriptionName: [
				"A monkey's claw that was used to peel many bananas.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Claw of Monkey",
			identifiedResourceName: "\xbf\xf8\xbc\xfe\xc0\xcc\xc0\xc7\xbc\xd5\xc5\xe9",
			identifiedDescriptionName: [
				"A monkey's claw that was used to peel many bananas.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7012: {
			unidentifiedDisplayName: "Tough Scalelike Stem",
			unidentifiedResourceName: "\xc1\xfa\xb1\xe4\xba\xf1\xb4\xc3\xc1\xd9\xb1\xe2",
			unidentifiedDescriptionName: [
				"A stem with a tough surface that feels like it's covered with thick, protective scales.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tough Scalelike Stem",
			identifiedResourceName: "\xc1\xfa\xb1\xe4\xba\xf1\xb4\xc3\xc1\xd9\xb1\xe2",
			identifiedDescriptionName: [
				"A stem with a tough surface that feels like it's covered with thick, protective scales.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7013: {
			unidentifiedDisplayName: "Coral Reef",
			unidentifiedResourceName: "\xbb\xea\xc8\xa3\xc3\xca",
			unidentifiedDescriptionName: [
				"A small chunk of a reef formed by corals in clear, tropical waters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Coral Reef",
			identifiedResourceName: "\xbb\xea\xc8\xa3\xc3\xca",
			identifiedDescriptionName: [
				"A small chunk of a reef formed by corals in clear, tropical waters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7014: {
			unidentifiedDisplayName: "Old Portrait",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc0\xda\xc8\xad\xbb\xf3",
			unidentifiedDescriptionName: [
				"An old, fragile portrait of a girl that you can't quite identify, although she seems very pretty.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Old Portrait",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc0\xda\xc8\xad\xbb\xf3",
			identifiedDescriptionName: [
				"An old, fragile portrait of a girl that you can't quite identify, although she seems very pretty.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7015: {
			unidentifiedDisplayName: "Bookclip in Memory",
			unidentifiedResourceName: "\xc3\xdf\xbe\xef\xc0\xc7\xc3\xa5\xb0\xa5\xc7\xc7",
			unidentifiedDescriptionName: [
				"An old leaf that can be used as a bookmark or to remind its owner of something quite important.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Bookclip in Memory",
			identifiedResourceName: "\xc3\xdf\xbe\xef\xc0\xc7\xc3\xa5\xb0\xa5\xc7\xc7",
			identifiedDescriptionName: [
				"An old leaf that can be used as a bookmark or to remind its owner of something quite important.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7016: {
			unidentifiedDisplayName: "Spoon Stub",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xbc\xfd\xb0\xa1\xb6\xf4",
			unidentifiedDescriptionName: [
				"A spoon that looks like it was used to dig some sort of underground tunnel.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Spoon Stub",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xbc\xfd\xb0\xa1\xb6\xf4",
			identifiedDescriptionName: [
				"A spoon that looks like it was used to dig some sort of underground tunnel.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7017: {
			unidentifiedDisplayName: "Executioner's Mitten",
			unidentifiedResourceName: "\xc1\xfd\xc7\xe0\xc0\xce\xc0\xc7\xc0\xe5\xb0\xa9",
			unidentifiedDescriptionName: [
				"A glove worn when performing executions that has absorbed all sorts of memories that are related to death and obligation.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Executioner's Mitten",
			identifiedResourceName: "\xc1\xfd\xc7\xe0\xc0\xce\xc0\xc7\xc0\xe5\xb0\xa9",
			identifiedDescriptionName: [
				"A glove worn when performing executions that has absorbed all sorts of memories that are related to death and obligation.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7018: {
			unidentifiedDisplayName: "Young Twig",
			unidentifiedResourceName: "\xbe\xee\xb8\xb0\xb3\xaa\xb9\xb5\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"A fresh, young twig that evokes feelings of purity and innocence.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Young Twig",
			identifiedResourceName: "\xbe\xee\xb8\xb0\xb3\xaa\xb9\xb5\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"A fresh, young twig that evokes feelings of purity and innocence.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7019: {
			unidentifiedDisplayName: "Loki's Whispers",
			unidentifiedResourceName: "\xb7\xce\xc5\xb0\xc0\xc7\xbc\xd3\xbb\xe8\xc0\xd3",
			unidentifiedDescriptionName: [
				"A strange object in which the seductive whispers of Loki can be faintly heard.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Loki's Whispers",
			identifiedResourceName: "\xb7\xce\xc5\xb0\xc0\xc7\xbc\xd3\xbb\xe8\xc0\xd3",
			identifiedDescriptionName: [
				"A strange object in which the seductive whispers of Loki can be faintly heard.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7020: {
			unidentifiedDisplayName: "Mother's Nightmare",
			unidentifiedResourceName: "\xbe\xee\xb8\xd3\xb4\xcf\xc0\xc7\xbe\xc7\xb8\xf9",
			unidentifiedDescriptionName: [
				"A mother's nightmares that have been given physical form.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mother's Nightmare",
			identifiedResourceName: "\xbe\xee\xb8\xd3\xb4\xcf\xc0\xc7\xbe\xc7\xb8\xf9",
			identifiedDescriptionName: [
				"A mother's nightmares that have been given physical form.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7021: {
			unidentifiedDisplayName: "Foolishness of the Blind",
			unidentifiedResourceName: "\xc0\xe5\xb4\xd4\xc0\xc7\xbe\xee\xb8\xae\xbc\xae\xc0\xbd",
			unidentifiedDescriptionName: [
				"A symbol of Hod, the blind god who was tricked into killing his brother Baldur, god of light.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Foolishness of the Blind",
			identifiedResourceName: "\xc0\xe5\xb4\xd4\xc0\xc7\xbe\xee\xb8\xae\xbc\xae\xc0\xbd",
			identifiedDescriptionName: [
				"A symbol of Hod, the blind god who was tricked into killing his brother Baldur, god of light.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7022: {
			unidentifiedDisplayName: "Old Hilt",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xbc\xd5\xc0\xe2\xc0\xcc",
			unidentifiedDescriptionName: [
				"An old hilt broken off a heavy sword.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Old Hilt",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xbc\xd5\xc0\xe2\xc0\xcc",
			identifiedDescriptionName: [
				"An old hilt broken off a heavy sword.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7023: {
			unidentifiedDisplayName: "Blade Lost in Darkness",
			unidentifiedResourceName: "\xbe\xee\xb5\xd2\xbf\xa1\xc0\xe1\xb1\xe4\xc4\xae\xb3\xaf",
			unidentifiedDescriptionName: [
				"A blade imbued with a suffocating aura that repels the light.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Blade Lost in Darkness",
			identifiedResourceName: "\xbe\xee\xb5\xd2\xbf\xa1\xc0\xe1\xb1\xe4\xc4\xae\xb3\xaf",
			identifiedDescriptionName: [
				"A blade imbued with a suffocating aura that repels the light.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7024: {
			unidentifiedDisplayName: "Bloody Edge",
			unidentifiedResourceName: "\xc7\xc7\xb7\xce\xb9\xb0\xb5\xe7\xc4\xae\xb3\xaf",
			unidentifiedDescriptionName: [
				"A blade stained with blood that can't be cleansed.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Bloody Edge",
			identifiedResourceName: "\xc7\xc7\xb7\xce\xb9\xb0\xb5\xe7\xc4\xae\xb3\xaf",
			identifiedDescriptionName: [
				"A blade stained with blood that can't be cleansed.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7025: {
			unidentifiedDisplayName: "Lucifer's Lament",
			unidentifiedResourceName: "\xb8\xb6\xbf\xd5\xc0\xc7\xbd\xbd\xc7\xc4",
			unidentifiedDescriptionName: [
				"A gem that is said to be key to opening the path to the mysterious, ancient land of Geffenia.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Lucifer's Lament",
			identifiedResourceName: "\xb8\xb6\xbf\xd5\xc0\xc7\xbd\xbd\xc7\xc4",
			identifiedDescriptionName: [
				"A gem that is said to be key to opening the path to the mysterious, ancient land of Geffenia.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7026: {
			unidentifiedDisplayName: "Key of Clock Tower",
			unidentifiedResourceName: "\xbd\xc3\xb0\xe8\xc5\xbe\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"An ornate key that can open what is locked in the Clock Tower.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Key of Clock Tower",
			identifiedResourceName: "\xbd\xc3\xb0\xe8\xc5\xbe\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"An ornate key that can open what is locked in the Clock Tower.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7027: {
			unidentifiedDisplayName: "Key of Underground",
			unidentifiedResourceName: "\xc5\xbe\xc1\xf6\xc7\xcf\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"The key that can unlock the underground door in the Clock Tower.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Key of Underground",
			identifiedResourceName: "\xc5\xbe\xc1\xf6\xc7\xcf\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"The key that can unlock the underground door in the Clock Tower.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7028: {
			unidentifiedDisplayName: "Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"An invitation to an honorable duel.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Invite for Duel",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"An invitation to an honorable duel.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7029: {
			unidentifiedDisplayName: "Coupon-Normal",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			unidentifiedDescriptionName: [
				"Admission to watch a duel between honorable combatants.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Admission for Duel",
			identifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			identifiedDescriptionName: [
				"Admission to watch a duel between honorable combatants.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7030: {
			unidentifiedDisplayName: "Claw of Desert Wolf",
			unidentifiedResourceName: "\xb4\xc1\xb4\xeb\xc0\xc7\xb9\xdf\xc5\xe9",
			unidentifiedDescriptionName: [
				"A claw pried from a Desert Wolf's paw.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Claw of Desert Wolf",
			identifiedResourceName: "\xb4\xc1\xb4\xeb\xc0\xc7\xb9\xdf\xc5\xe9",
			identifiedDescriptionName: [
				"A claw pried from a Desert Wolf's paw.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7031: {
			unidentifiedDisplayName: "Old Frying Fan",
			unidentifiedResourceName: "\xc7\xe5\xc8\xc4\xb6\xf3\xc0\xcc\xc6\xe6",
			unidentifiedDescriptionName: [
				"An old frying pan that has outlived its usefulness.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Old Frying Pan",
			identifiedResourceName: "\xc7\xe5\xc8\xc4\xb6\xf3\xc0\xcc\xc6\xe6",
			identifiedDescriptionName: [
				"An old frying pan that has outlived its usefulness.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7032: {
			unidentifiedDisplayName: "Piece of Egg Shell",
			unidentifiedResourceName: "\xb4\xde\xb0\xbf\xb2\xae\xc1\xfa\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"An eggshell fragment that protected its egg to the final, tragic end.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Piece of Egg Shell",
			identifiedResourceName: "\xb4\xde\xb0\xbf\xb2\xae\xc1\xfa\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"An eggshell fragment that protected its egg to the final, tragic end.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7033: {
			unidentifiedDisplayName: "Poison Spore",
			unidentifiedResourceName: "\xb9\xf6\xbc\xb8\xc6\xf7\xc0\xda",
			unidentifiedDescriptionName: [
				"A clump of spores from a toxic mushroom.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poison Spore",
			identifiedResourceName: "\xb9\xf6\xbc\xb8\xc6\xf7\xc0\xda",
			identifiedDescriptionName: [
				"A clump of spores from a toxic mushroom.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7034: {
			unidentifiedDisplayName: "Red Stocking",
			unidentifiedResourceName: "\xb1\xb8\xb8\xdb\xb3\xad\xbb\xa1\xb0\xa3\xbe\xe7\xb8\xbb",
			unidentifiedDescriptionName: [
				"A Christmas stocking from which presents were stolen through a hole made in the bottom.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Stocking",
			identifiedResourceName: "\xb1\xb8\xb8\xdb\xb3\xad\xbb\xa1\xb0\xa3\xbe\xe7\xb8\xbb",
			identifiedDescriptionName: [
				"A Christmas stocking from which presents were stolen through a hole made in the bottom.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7035: {
			unidentifiedDisplayName: "Matchstick",
			unidentifiedResourceName: "\xbc\xba\xb3\xc9",
			unidentifiedDescriptionName: [
				"A phosphorus tipped stick that can be used to start a fire.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Matchstick",
			identifiedResourceName: "\xbc\xba\xb3\xc9",
			identifiedDescriptionName: [
				"A phosphorus tipped stick that can be used to start a fire.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7036: {
			unidentifiedDisplayName: "Fang of Hatii",
			unidentifiedResourceName: "\xb0\xa1\xb8\xa7\xc0\xc7\xc0\xcc\xbb\xa1",
			unidentifiedDescriptionName: [
				"A sharp fang dislodged from Garm's mouth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fang of Hatii",
			identifiedResourceName: "\xb0\xa1\xb8\xa7\xc0\xc7\xc0\xcc\xbb\xa1",
			identifiedDescriptionName: [
				"A sharp fang dislodged from Garm's mouth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7037: {
			unidentifiedDisplayName: "Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A coupon that can be redeemed for a service or to receive a discount.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A coupon that can be redeemed for a service or to receive a discount.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7038: {
			unidentifiedDisplayName: "Yarn",
			unidentifiedResourceName: "\xc5\xd0\xbd\xc7",
			unidentifiedDescriptionName: [
				"A wound up ball of fluffy knitting yarn.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yarn",
			identifiedResourceName: "\xc5\xd0\xbd\xc7",
			identifiedDescriptionName: [
				"A wound up ball of fluffy knitting yarn.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7039: {
			unidentifiedDisplayName: "Newbie Tag",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"An identification tag that certifies that its owner is a Novice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Newbie Tag",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"An identification tag that certifies that its owner is a Novice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7040: {
			unidentifiedDisplayName: "Megaphone",
			unidentifiedResourceName: "\xc8\xae\xbc\xba\xb1\xe2",
			unidentifiedDescriptionName: [
				"A funnel shaped device that is used to amplify one's voice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Megaphone",
			identifiedResourceName: "\xc8\xae\xbc\xba\xb1\xe2",
			identifiedDescriptionName: [
				"A funnel shaped device that is used to amplify one's voice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7041: {
			unidentifiedDisplayName: "Fine Grit",
			unidentifiedResourceName: "\xba\xb0\xc0\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A crystal made entirely of fine sand.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fine Grit",
			identifiedResourceName: "\xba\xb0\xc0\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A crystal made entirely of fine sand.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7042: {
			unidentifiedDisplayName: "Leather Bag of Infinity",
			unidentifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"A mysterious leather bag that seems to contain a limitless supply of sand.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leather Bag of Infinity",
			identifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"A mysterious leather bag that seems to contain a limitless supply of sand.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7043: {
			unidentifiedDisplayName: "Fine Sand",
			unidentifiedResourceName: "\xba\xb0\xc0\xc7\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"Sand whose grains are so fine that it can not be gathered with bare hands.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fine Sand",
			identifiedResourceName: "\xba\xb0\xc0\xc7\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"Sand whose grains are so fine that it can not be gathered with bare hands.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7044: {
			unidentifiedDisplayName: "Vigorgra",
			unidentifiedResourceName: "\xbe\xc8\xc6\xbc\xc6\xe4\xc0\xce\xb8\xe0\xc6\xae",
			unidentifiedDescriptionName: [
				"An awesome tonic that brings enormous vigor to the one who imbibes it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra",
			identifiedResourceName: "\xbe\xc8\xc6\xbc\xc6\xe4\xc0\xce\xb8\xe0\xc6\xae",
			identifiedDescriptionName: [
				"An awesome tonic that brings enormous vigor to the one who imbibes it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7045: {
			unidentifiedDisplayName: "Magic Paint",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xbb\xf6\xbf\xb0\xb7\xe1",
			unidentifiedDescriptionName: [
				"Paint that has been endowed with magical qualities.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Magic Paint",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xbb\xf6\xbf\xb0\xb7\xe1",
			identifiedDescriptionName: [
				"Paint that has been endowed with magical qualities.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7046: {
			unidentifiedDisplayName: "Cart Parts",
			unidentifiedResourceName: "\xc4\xab\xc6\xae\xc6\xc4\xc3\xf7",
			unidentifiedDescriptionName: [
				"A set of disassembled parts for making a cart.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cart Parts",
			identifiedResourceName: "\xc4\xab\xc6\xae\xc6\xc4\xc3\xf7",
			identifiedDescriptionName: [
				"A set of disassembled parts for making a cart.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7047: {
			unidentifiedDisplayName: "Alice's Apron",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xbd\xba\xc0\xc7\xbe\xd5\xc4\xa1\xb8\xb6",
			unidentifiedDescriptionName: [
				"An apron worn by the Alice monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Alice's Apron",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xbd\xba\xc0\xc7\xbe\xd5\xc4\xa1\xb8\xb6",
			identifiedDescriptionName: [
				"An apron worn by the Alice monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7048: {
			unidentifiedDisplayName: "Talon of Griffon",
			unidentifiedResourceName: "\xbb\xf5\xc0\xc7\xb9\xdf\xc5\xe9",
			unidentifiedDescriptionName: [
				"A Griffon's sharp talon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Talon of Griffon",
			identifiedResourceName: "\xbb\xf5\xc0\xc7\xb9\xdf\xc5\xe9",
			identifiedDescriptionName: [
				"A Griffon's sharp talon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7049: {
			unidentifiedDisplayName: "Stone",
			unidentifiedResourceName: "\xb5\xb9",
			unidentifiedDescriptionName: [
				"Just a simple stone that you can pick up around anywhere.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Stone",
			identifiedResourceName: "\xb5\xb9",
			identifiedDescriptionName: [
				"Just a simple stone that you can pick up around anywhere.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7050: {
			unidentifiedDisplayName: "Cotton Mat",
			unidentifiedResourceName: "\xb9\xab\xb8\xed\xb5\xbe\xc0\xda\xb8\xae",
			unidentifiedDescriptionName: [
				"A sturdy mat woven from cotton.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cotton Mat",
			identifiedResourceName: "\xb9\xab\xb8\xed\xb5\xbe\xc0\xda\xb8\xae",
			identifiedDescriptionName: [
				"A sturdy mat woven from cotton.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7051: {
			unidentifiedDisplayName: "Silk Mat",
			unidentifiedResourceName: "\xbd\xc7\xc5\xa9\xb5\xbe\xc0\xda\xb8\xae",
			unidentifiedDescriptionName: [
				"A fine, luxurious mat knit woven from very expensive silk.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Silk Mat",
			identifiedResourceName: "\xbd\xc7\xc5\xa9\xb5\xbe\xc0\xda\xb8\xae",
			identifiedDescriptionName: [
				"A fine, luxurious mat knit woven from very expensive silk.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7052: {
			unidentifiedDisplayName: "Wasted Magazine",
			unidentifiedResourceName: "\xc6\xf3\xc0\xe2\xc1\xf6",
			unidentifiedDescriptionName: [
				"Old, discarded and crumpled paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Old Papers",
			identifiedResourceName: "\xc6\xf3\xc0\xe2\xc1\xf6",
			identifiedDescriptionName: [
				"Old, discarded and crumpled paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7053: {
			unidentifiedDisplayName: "Cyfar",
			unidentifiedResourceName: "\xbb\xe7\xc0\xcc\xc6\xc4",
			unidentifiedDescriptionName: [
				"A blue crystal that faintly shines with muddled light.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cyfar",
			identifiedResourceName: "\xbb\xe7\xc0\xcc\xc6\xc4",
			identifiedDescriptionName: [
				"A blue crystal that faintly shines with muddled light.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7054: {
			unidentifiedDisplayName: "Brigan",
			unidentifiedResourceName: "\xba\xea\xb8\xae\xb0\xa3",
			unidentifiedDescriptionName: [
				"A rare, red mineral.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Brigan",
			identifiedResourceName: "\xba\xea\xb8\xae\xb0\xa3",
			identifiedDescriptionName: [
				"A rare, red mineral.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7055: {
			unidentifiedDisplayName: "Animal Poop",
			unidentifiedResourceName: "\xb0\xc5\xbd\xc3\xb1\xe2",
			unidentifiedDescriptionName: [
				"Animal feces which make a horrible gift for a girl, or anyone for that matter.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Animal Poop",
			identifiedResourceName: "\xb0\xc5\xbd\xc3\xb1\xe2",
			identifiedDescriptionName: [
				"Animal feces which make a horrible gift for a girl, or anyone for that matter.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7056: {
			unidentifiedDisplayName: "Payment Statement for Kafra Employee",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xbc\xbc\xbc\xad",
			unidentifiedDescriptionName: [
				"A payment statement for the Kafra Employees.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Payment Statement for Kafra Employee",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xbc\xbc\xbc\xad",
			identifiedDescriptionName: [
				"A payment statement for the Kafra Employees.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7057: {
			unidentifiedDisplayName: "Gjallar",
			unidentifiedResourceName: "\xb0\xb6\xb7\xaf\xb8\xa3\xc8\xa3\xb8\xa5",
			unidentifiedDescriptionName: [
				"A great bugle made from an animal's horn whose thunderous sound can be heard for miles.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Gjallar",
			identifiedResourceName: "\xb0\xb6\xb7\xaf\xb8\xa3\xc8\xa3\xb8\xa5",
			identifiedDescriptionName: [
				"A great bugle made from an animal's horn whose thunderous sound can be heard for miles.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7058: {
			unidentifiedDisplayName: "Gleipnir",
			unidentifiedResourceName: "\xb1\xdb\xb6\xf3\xc0\xcc\xc7\xc1\xb4\xcf\xb8\xa3",
			unidentifiedDescriptionName: [
				"Impossibly strong thread woven from the sound of a cat's footsteps, woman's moustache, stone root, fish spirit, bird sputum and bear sinew.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Gleipnir",
			identifiedResourceName: "\xb1\xdb\xb6\xf3\xc0\xcc\xc7\xc1\xb4\xcf\xb8\xa3",
			identifiedDescriptionName: [
				"Impossibly strong thread woven from the sound of a cat's footsteps, woman's moustache, stone root, fish spirit, bird sputum and bear sinew.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7059: {
			unidentifiedDisplayName: "Free Ticket for Kafra Storage",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A ticket that entitles the bearer to use the Kafra Storage one time without paying any fee.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Free Ticket for Kafra Storage",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A ticket that entitles the bearer to use the Kafra Storage one time without paying any fee.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7060: {
			unidentifiedDisplayName: "Free Ticket for Kafra Transportation",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A ticket that entitles the bearer to use the Kafra Teleport Service one time free of charge.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Free Ticket for Kafra Transportation",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A ticket that entitles the bearer to use the Kafra Teleport Service one time free of charge.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7061: {
			unidentifiedDisplayName: "Free Ticket for the Cart Service",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A ticket that entitles the bearer to use the Kafra Pushcart Rental Service one time without incurring the usual fee.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Free Ticket for the Cart Service",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A ticket that entitles the bearer to use the Kafra Pushcart Rental Service one time without incurring the usual fee.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7062: {
			unidentifiedDisplayName: "Broken Turtle Shell",
			unidentifiedResourceName: "\xb0\xc5\xba\xcf\xc0\xcc\xb5\xee\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A sturdy, solid turtle's shell.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Broken Turtle Shell",
			identifiedResourceName: "\xb0\xc5\xba\xcf\xc0\xcc\xb5\xee\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A sturdy, solid turtle's shell.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7063: {
			unidentifiedDisplayName: "Soft Feather",
			unidentifiedResourceName: "\xba\xce\xb5\xe5\xb7\xaf\xbf\xee\xb1\xea\xc5\xd0",
			unidentifiedDescriptionName: [
				"A feather that is soft enough to be used as stuffing in a quilt.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Soft Feather",
			identifiedResourceName: "\xba\xce\xb5\xe5\xb7\xaf\xbf\xee\xb1\xea\xc5\xd0",
			identifiedDescriptionName: [
				"A feather that is soft enough to be used as stuffing in a quilt.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7064: {
			unidentifiedDisplayName: "Wing of Dragonfly",
			unidentifiedResourceName: "\xc0\xe1\xc0\xda\xb8\xae\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"A dragonfly wing.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wing of Dragonfly",
			identifiedResourceName: "\xc0\xe1\xc0\xda\xb8\xae\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"A dragonfly wing.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7065: {
			unidentifiedDisplayName: "Sea-otter Fur",
			unidentifiedResourceName: "\xc7\xd8\xb4\xde\xc0\xc7\xb0\xa1\xc1\xd7",
			unidentifiedDescriptionName: [
				"Sea-Otter fur that is soft and downy enough to be used in cloth making.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sea-otter Fur",
			identifiedResourceName: "\xc7\xd8\xb4\xde\xc0\xc7\xb0\xa1\xc1\xd7",
			identifiedDescriptionName: [
				"Sea-Otter fur that is soft and downy enough to be used in cloth making.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7066: {
			unidentifiedDisplayName: "Ice Cubic",
			unidentifiedResourceName: "\xbe\xf3\xc0\xbd\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A miraculous lump of ice that will never melt.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ice Cubic",
			identifiedResourceName: "\xbe\xf3\xc0\xbd\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A miraculous lump of ice that will never melt.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7067: {
			unidentifiedDisplayName: "Stone Fragment",
			unidentifiedResourceName: "\xb5\xb9",
			unidentifiedDescriptionName: [
				"A small piece of rock that has been broken from a larger stone.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stone Fragment",
			identifiedResourceName: "\xb5\xb9",
			identifiedDescriptionName: [
				"A small piece of rock that has been broken from a larger stone.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7068: {
			unidentifiedDisplayName: "Burnt Tree",
			unidentifiedResourceName: "\xc5\xb8\xb4\xd9\xb8\xb8\xc0\xe5\xc0\xdb",
			unidentifiedDescriptionName: [
				"A burnt piece of wood that seems to have little practical value, despite the fact that shops will still buy it for Zeny.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Burnt Tree",
			identifiedResourceName: "\xc5\xb8\xb4\xd9\xb8\xb8\xc0\xe5\xc0\xdb",
			identifiedDescriptionName: [
				"A burnt piece of wood that seems to have little practical value, despite the fact that shops will still buy it for Zeny.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7069: {
			unidentifiedDisplayName: "Destroyed Armor",
			unidentifiedResourceName: "\xb1\xfa\xc1\xf8\xb0\xa9\xbf\xca\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"Pieces of armor that have been damaged beyond repair.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Destroyed Armor",
			identifiedResourceName: "\xb1\xfa\xc1\xf8\xb0\xa9\xbf\xca\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"Pieces of armor that have been damaged beyond repair.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7070: {
			unidentifiedDisplayName: "Broken Shell",
			unidentifiedResourceName: "\xb1\xfa\xc1\xf8\xb5\xee\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A damaged turtle's shell. In ancient times, turtle shells were used to foretell the future.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Broken Shell",
			identifiedResourceName: "\xb1\xfa\xc1\xf8\xb5\xee\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A damaged turtle's shell. In ancient times, turtle shells were used to foretell the future.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7071: {
			unidentifiedDisplayName: "Tattered Clothes",
			unidentifiedResourceName: "\xb3\xca\xb4\xfa\xb3\xca\xb4\xfa\xc7\xd1\xbf\xca",
			unidentifiedDescriptionName: [
				"Worn out clothes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tattered Clothes",
			identifiedResourceName: "\xb3\xca\xb4\xfa\xb3\xca\xb4\xfa\xc7\xd1\xbf\xca",
			identifiedDescriptionName: [
				"Worn out clothes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7072: {
			unidentifiedDisplayName: "Old Shuriken",
			unidentifiedResourceName: "\xb3\xec\xbd\xbc\xbc\xf6\xb8\xae\xb0\xcb",
			unidentifiedDescriptionName: [
				"An old, rusty shuriken that has little hope of being thrown by an awesome ninja.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Old Shuriken",
			identifiedResourceName: "\xb3\xec\xbd\xbc\xbc\xf6\xb8\xae\xb0\xcb",
			identifiedDescriptionName: [
				"An old, rusty shuriken that has little hope of being thrown by an awesome ninja.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7073: {
			unidentifiedDisplayName: "Freya's Jewel",
			unidentifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xcc\xbe\xdf\xc0\xc7\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A sparkling clear gemstone said to have been formed from the tears of the goddess Freya.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Freya's Jewel",
			identifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xcc\xbe\xdf\xc0\xc7\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A sparkling clear gemstone said to have been formed from the tears of the goddess Freya.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7074: {
			unidentifiedDisplayName: "Thor's Guntlet",
			unidentifiedResourceName: "\xc5\xe4\xb8\xa3\xc0\xc7\xbc\xe8\xc0\xe5\xb0\xa9",
			unidentifiedDescriptionName: [
				"A pair of steel gauntlets rumored to have been worn by Thor, god of thunder, when wielding Mjolnir.",
				"Unfortunately, they're impossible to wear.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Thor's Gauntlets",
			identifiedResourceName: "\xc5\xe4\xb8\xa3\xc0\xc7\xbc\xe8\xc0\xe5\xb0\xa9",
			identifiedDescriptionName: [
				"A pair of steel gauntlets rumored to have been worn by Thor, god of thunder, when wielding Mjolnir.",
				"Unfortunately, they're impossible to wear.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7075: {
			unidentifiedDisplayName: "Iron Maiden",
			unidentifiedResourceName: "\xbe\xc6\xc0\xcc\xbe\xf0\xb8\xde\xc0\xcc\xb5\xe7",
			unidentifiedDescriptionName: [
				"An instrument used for torture.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Iron Maiden",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbe\xf0\xb8\xde\xc0\xcc\xb5\xe7",
			identifiedDescriptionName: [
				"An instrument used for torture.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7076: {
			unidentifiedDisplayName: "Wheel of the Unknown",
			unidentifiedResourceName: "\xb9\xcc\xc1\xf6\xc0\xc7\xc5\xe9\xb4\xcf\xb9\xd9\xc4\xfb",
			unidentifiedDescriptionName: [
				"A curious wheel whose actual purpose is truly mysterious.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Wheel of the Unknown",
			identifiedResourceName: "\xb9\xcc\xc1\xf6\xc0\xc7\xc5\xe9\xb4\xcf\xb9\xd9\xc4\xfb",
			identifiedDescriptionName: [
				"A curious wheel whose actual purpose is truly mysterious.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7077: {
			unidentifiedDisplayName: "Silver Ornament",
			unidentifiedResourceName: "\xc0\xba\xc0\xe5\xbd\xc4",
			unidentifiedDescriptionName: [
				"An ornament made out of silver which can be used to decorate various things.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Silver Ornament",
			identifiedResourceName: "\xc0\xba\xc0\xe5\xbd\xc4",
			identifiedDescriptionName: [
				"An ornament made out of silver which can be used to decorate various things.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7078: {
			unidentifiedDisplayName: "Wrath of Valkyrie",
			unidentifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xba\xd0\xb3\xeb",
			unidentifiedDescriptionName: [
				"The pure rage of the Valkyries, female warriors in Norse myth, that has condensed into physical form.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Wrath of Valkyrie",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xba\xd0\xb3\xeb",
			identifiedDescriptionName: [
				"The pure rage of the Valkyries, female warriors in Norse myth, that has condensed into physical form.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7079: {
			unidentifiedDisplayName: "Feather of Angel Wing",
			unidentifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xb3\xaf\xb0\xb3\xb1\xea\xc5\xd0",
			unidentifiedDescriptionName: [
				"A feather which is rumored to be from an angel's wings.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Feather of Angel Wing",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xb3\xaf\xb0\xb3\xb1\xea\xc5\xd0",
			identifiedDescriptionName: [
				"A feather which is rumored to be from an angel's wings.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7080: {
			unidentifiedDisplayName: "Tread of Cat",
			unidentifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xc0\xc7\xb9\xdf\xbc\xd2\xb8\xae",
			unidentifiedDescriptionName: [
				"The sound of cat footsteps that has been materialized into physical form.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Cat Tread",
			identifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xc0\xc7\xb9\xdf\xbc\xd2\xb8\xae",
			identifiedDescriptionName: [
				"The sound of cat footsteps that has been materialized into physical form.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7081: {
			unidentifiedDisplayName: "Woman's Moustache",
			unidentifiedResourceName: "\xbf\xa9\xc0\xce\xc0\xc7\xbc\xf6\xbf\xb0",
			unidentifiedDescriptionName: [
				"Weird facial hair from a woman. Though, it may be possible its owner is a she-male.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Woman's Moustache",
			identifiedResourceName: "\xbf\xa9\xc0\xce\xc0\xc7\xbc\xf6\xbf\xb0",
			identifiedDescriptionName: [
				"Weird facial hair from a woman. Though, it may be possible its owner is a she-male.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7082: {
			unidentifiedDisplayName: "Root of Stone",
			unidentifiedResourceName: "\xb5\xb9\xc0\xc7\xbb\xd1\xb8\xae",
			unidentifiedDescriptionName: [
				"Actual roots from a stone that are a rare commodity since most stones are proven not to have roots at all.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Root of Stone",
			identifiedResourceName: "\xb5\xb9\xc0\xc7\xbb\xd1\xb8\xae",
			identifiedDescriptionName: [
				"Actual roots from a stone that are a rare commodity since most stones are proven not to have roots at all.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7083: {
			unidentifiedDisplayName: "Spirit of Fish",
			unidentifiedResourceName: "\xb9\xb0\xb0\xed\xb1\xe2\xc0\xc7\xbf\xb5\xc8\xa5",
			unidentifiedDescriptionName: [
				"A transparent blue bottle that contains the spirit of a fish.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Spirit of Fish",
			identifiedResourceName: "\xb9\xb0\xb0\xed\xb1\xe2\xc0\xc7\xbf\xb5\xc8\xa5",
			identifiedDescriptionName: [
				"A transparent blue bottle that contains the spirit of a fish.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7084: {
			unidentifiedDisplayName: "Sputum of Bird",
			unidentifiedResourceName: "\xbb\xf5\xc0\xc7\xc4\xa7",
			unidentifiedDescriptionName: [
				"A bottle containing bird sputum, a very rare item considering that almost all birds don't even salivate.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Sputum of Bird",
			identifiedResourceName: "\xbb\xf5\xc0\xc7\xc4\xa7",
			identifiedDescriptionName: [
				"A bottle containing bird sputum, a very rare item considering that almost all birds don't even salivate.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7085: {
			unidentifiedDisplayName: "Sinew of Bear",
			unidentifiedResourceName: "\xb0\xf5\xc0\xc7\xc8\xfb\xc1\xd9",
			unidentifiedDescriptionName: [
				"A small bunch of amazingly rare bear sinew.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Sinew of Bear",
			identifiedResourceName: "\xb0\xf5\xc0\xc7\xc8\xfb\xc1\xd9",
			identifiedDescriptionName: [
				"A small bunch of amazingly rare bear sinew.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7086: {
			unidentifiedDisplayName: "Amblem of the Sun God",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				"A golden, shining bead that is a symbol of the god of the sun.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Amblem of the Sun God",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				"A golden, shining bead that is a symbol of the god of the sun.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7087: {
			unidentifiedDisplayName: "Breath of Spirit",
			unidentifiedResourceName: "\xbf\xb5\xc8\xa5\xc0\xc7\xbc\xfb\xbc\xd2\xb8\xae",
			unidentifiedDescriptionName: [
				"Exhaled from a spirit, this breath causes the living to feel an unnatural chill.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Breath of Spirit",
			identifiedResourceName: "\xbf\xb5\xc8\xa5\xc0\xc7\xbc\xfb\xbc\xd2\xb8\xae",
			identifiedDescriptionName: [
				"Exhaled from a spirit, this breath causes the living to feel an unnatural chill.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7088: {
			unidentifiedDisplayName: "Snow Crystal",
			unidentifiedResourceName: "\xb4\xab\xc0\xc7\xb0\xe1\xc1\xa4",
			unidentifiedDescriptionName: [
				"A crystal of ice that has fallen from the sky with the snow.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Snow Crystal",
			identifiedResourceName: "\xb4\xab\xc0\xc7\xb0\xe1\xc1\xa4",
			identifiedDescriptionName: [
				"A crystal of ice that has fallen from the sky with the snow.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7089: {
			unidentifiedDisplayName: "Omen of Tempest",
			unidentifiedResourceName: "\xc6\xf8\xc7\xb3\xbf\xec\xc0\xc7\xc2\xa1\xc1\xb6",
			unidentifiedDescriptionName: [
				"A strange orb that can be used to predict when windstorms will occur.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Omen of Tempest",
			identifiedResourceName: "\xc6\xf8\xc7\xb3\xbf\xec\xc0\xc7\xc2\xa1\xc1\xb6",
			identifiedDescriptionName: [
				"A strange orb that can be used to predict when windstorms will occur.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7090: {
			unidentifiedDisplayName: "Ripple",
			unidentifiedResourceName: "\xc1\xb6\xbf\xeb\xc7\xd1\xb9\xb0\xb0\xe1",
			unidentifiedDescriptionName: [
				"A conic receptacle that contains a single ripple from the ocean.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Ripple",
			identifiedResourceName: "\xc1\xb6\xbf\xeb\xc7\xd1\xb9\xb0\xb0\xe1",
			identifiedDescriptionName: [
				"A conic receptacle that contains a single ripple from the ocean.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7091: {
			unidentifiedDisplayName: "Billow",
			unidentifiedResourceName: "\xb8\xf4\xbe\xc6\xc4\xa1\xb4\xc2\xc6\xc4\xb5\xb5",
			unidentifiedDescriptionName: [
				"A sculpture of a huge billow rushing towards the shore.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Billow",
			identifiedResourceName: "\xb8\xf4\xbe\xc6\xc4\xa1\xb4\xc2\xc6\xc4\xb5\xb5",
			identifiedDescriptionName: [
				"A sculpture of a huge billow rushing towards the shore.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7092: {
			unidentifiedDisplayName: "Drifting Air",
			unidentifiedResourceName: "\xc8\xe5\xb8\xa3\xb4\xc2\xb0\xf8\xb1\xe2",
			unidentifiedDescriptionName: [
				"A gorgeous sculpture made by an artist who claimed to be able to sense forms within the drifting air.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Drifting Air",
			identifiedResourceName: "\xc8\xe5\xb8\xa3\xb4\xc2\xb0\xf8\xb1\xe2",
			identifiedDescriptionName: [
				"A gorgeous sculpture made by an artist who claimed to be able to sense forms within the drifting air.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7093: {
			unidentifiedDisplayName: "Cogwheel",
			unidentifiedResourceName: "\xc5\xe9\xb4\xcf\xb9\xd9\xc4\xfb",
			unidentifiedDescriptionName: [
				"A cogwheel used in a machine.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cogwheel",
			identifiedResourceName: "\xc5\xe9\xb4\xcf\xb9\xd9\xc4\xfb",
			identifiedDescriptionName: [
				"A cogwheel used in a machine.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7094: {
			unidentifiedDisplayName: "Strange Cut",
			unidentifiedResourceName: "\xb9\xcc\xc1\xf6\xc0\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A strange object with metal pieces attached to it. It could be a piece of a very large machine.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fragment",
			identifiedResourceName: "\xb9\xcc\xc1\xf6\xc0\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A strange object with metal pieces attached to it. It could be a piece of a very large machine.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7095: {
			unidentifiedDisplayName: "Metal Fragment",
			unidentifiedResourceName: "\xb1\xfa\xc1\xf8\xb1\xdd\xbc\xd3\xc6\xc4\xc6\xed",
			unidentifiedDescriptionName: [
				"An unidentified metal fragment.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Metal Fragment",
			identifiedResourceName: "\xb1\xfa\xc1\xf8\xb1\xdd\xbc\xd3\xc6\xc4\xc6\xed",
			identifiedDescriptionName: [
				"An unidentified metal fragment.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7096: {
			unidentifiedDisplayName: "Lava",
			unidentifiedResourceName: "\xb1\xbb\xbe\xee\xb9\xf6\xb8\xb0\xbf\xeb\xbe\xcf",
			unidentifiedDescriptionName: [
				"A chunk of lava that containing minerals.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lava",
			identifiedResourceName: "\xb1\xbb\xbe\xee\xb9\xf6\xb8\xb0\xbf\xeb\xbe\xcf",
			identifiedDescriptionName: [
				"A chunk of lava that containing minerals.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7097: {
			unidentifiedDisplayName: "Burning Heart",
			unidentifiedResourceName: "\xba\xd2\xc5\xb8\xb4\xc2\xbd\xc9\xc0\xe5",
			unidentifiedDescriptionName: [
				"A stone heart that is aflame with magic.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Burning Heart",
			identifiedResourceName: "\xba\xd2\xc5\xb8\xb4\xc2\xbd\xc9\xc0\xe5",
			identifiedDescriptionName: [
				"A stone heart that is aflame with magic.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7098: {
			unidentifiedDisplayName: "Live Coal",
			unidentifiedResourceName: "\xba\xd2\xbe\xbe",
			unidentifiedDescriptionName: [
				"A live coal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Live Coal",
			identifiedResourceName: "\xba\xd2\xbe\xbe",
			identifiedDescriptionName: [
				"A live coal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7099: {
			unidentifiedDisplayName: "Worn-out Magic Scroll",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			unidentifiedDescriptionName: [
				"An old, worn-out magic scroll that is extremely valuable to the Mage Academy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Worn-out Magic Scroll",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			identifiedDescriptionName: [
				"An old, worn-out magic scroll that is extremely valuable to the Mage Academy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7100: {
			unidentifiedDisplayName: "Sharp Leaf",
			unidentifiedResourceName: "\xb3\xaf\xc4\xab\xb7\xce\xbf\xee\xc0\xd9\xbb\xe7\xb1\xcd",
			unidentifiedDescriptionName: [
				"A sharp leaf.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sharp Leaf",
			identifiedResourceName: "\xb3\xaf\xc4\xab\xb7\xce\xbf\xee\xc0\xd9\xbb\xe7\xb1\xcd",
			identifiedDescriptionName: [
				"A sharp leaf.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7101: {
			unidentifiedDisplayName: "PecoPeco Feather",
			unidentifiedResourceName: "\xc6\xe4\xc4\xda\xb3\xaf\xb0\xb3\xb1\xea\xc5\xd0",
			unidentifiedDescriptionName: [
				"A rare feather from the wing of a Peco Peco.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "PecoPeco Feather",
			identifiedResourceName: "\xc6\xe4\xc4\xda\xb3\xaf\xb0\xb3\xb1\xea\xc5\xd0",
			identifiedDescriptionName: [
				"A rare feather from the wing of a Peco Peco.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7102: {
			unidentifiedDisplayName: "Nightmare",
			unidentifiedResourceName: "\xbe\xc7\xb8\xf9",
			unidentifiedDescriptionName: [
				"A mysterious stone rumored to bring nightmares to its owner.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nightmare",
			identifiedResourceName: "\xbe\xc7\xb8\xf9",
			identifiedDescriptionName: [
				"A mysterious stone rumored to bring nightmares to its owner.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7103: {
			unidentifiedDisplayName: "Unknown Liquid Bottle",
			unidentifiedResourceName: "\xbe\xcb\xbc\xf6\xbe\xf8\xb4\xc2\xbe\xd7\xc3\xbc\xba\xb4",
			unidentifiedDescriptionName: [
				"A bottle carrying unidentified liquid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Unknown Liquid Bottle",
			identifiedResourceName: "\xbe\xcb\xbc\xf6\xbe\xf8\xb4\xc2\xbe\xd7\xc3\xbc\xba\xb4",
			identifiedDescriptionName: [
				"A bottle carrying unidentified liquid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7104: {
			unidentifiedDisplayName: "False Angel Wing",
			unidentifiedResourceName: "\xb0\xa1\xc2\xa5\xc3\xb5\xbb\xe7\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"A wing from a phony angel.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "False Angel Wing",
			identifiedResourceName: "\xb0\xa1\xc2\xa5\xc3\xb5\xbb\xe7\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"A wing from a phony angel.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7105: {
			unidentifiedDisplayName: "False Heaven Ring",
			unidentifiedResourceName: "\xb0\xa1\xc2\xa5\xbf\xb5\xc8\xa5\xc0\xc7\xb0\xed\xb8\xae",
			unidentifiedDescriptionName: [
				"A heavenly halo from a phony angel.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "False Heaven Ring",
			identifiedResourceName: "\xb0\xa1\xc2\xa5\xbf\xb5\xc8\xa5\xc0\xc7\xb0\xed\xb8\xae",
			identifiedDescriptionName: [
				"A heavenly halo from a phony angel.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7106: {
			unidentifiedDisplayName: "Antelope Horn",
			unidentifiedResourceName: "\xbb\xea\xbe\xe7\xc0\xc7\xbb\xd4",
			unidentifiedDescriptionName: [
				"An impressive horn from an antelope.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Antelope Horn",
			identifiedResourceName: "\xbb\xea\xbe\xe7\xc0\xc7\xbb\xd4",
			identifiedDescriptionName: [
				"An impressive horn from an antelope.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7107: {
			unidentifiedDisplayName: "Antelope Skin",
			unidentifiedResourceName: "\xbb\xea\xbe\xe7\xc0\xc7\xb8\xf0\xc7\xc7",
			unidentifiedDescriptionName: [
				"Some dirty fur from an antelope.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Antelope Skin",
			identifiedResourceName: "\xbb\xea\xbe\xe7\xc0\xc7\xb8\xf0\xc7\xc7",
			identifiedDescriptionName: [
				"Some dirty fur from an antelope.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7108: {
			unidentifiedDisplayName: "Piece of Shield",
			unidentifiedResourceName: "\xb1\xfa\xc1\xf8\xb9\xe6\xc6\xd0\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A piece of shield that looks strong and durable.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Piece of Shield",
			identifiedResourceName: "\xb1\xfa\xc1\xf8\xb9\xe6\xc6\xd0\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A piece of shield that looks strong and durable.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7109: {
			unidentifiedDisplayName: "Shining Spear Blade",
			unidentifiedResourceName: "\xba\xfb\xb3\xaa\xb4\xc2\xc3\xa2\xb3\xaf",
			unidentifiedDescriptionName: [
				"A shiny spear blade.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shining Spear Blade",
			identifiedResourceName: "\xba\xfb\xb3\xaa\xb4\xc2\xc3\xa2\xb3\xaf",
			identifiedDescriptionName: [
				"A shiny spear blade.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7110: {
			unidentifiedDisplayName: "Broken Sword",
			unidentifiedResourceName: "\xb1\xfa\xc1\xf8\xb0\xcb",
			unidentifiedDescriptionName: [
				"A damaged sword that no longer looks usable.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Broken Sword",
			identifiedResourceName: "\xb1\xfa\xc1\xf8\xb0\xcb",
			identifiedDescriptionName: [
				"A damaged sword that no longer looks usable.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7111: {
			unidentifiedDisplayName: "Slick Paper",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"Smooth, sleek paper that looks suitable for writing love letters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Slick Paper",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"Smooth, sleek paper that looks suitable for writing love letters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7112: {
			unidentifiedDisplayName: "Sharp Paper",
			unidentifiedResourceName: "\xbc\xb6\xb6\xe0\xc7\xd1\xc1\xbe\xc0\xcc\xc4\xae\xb3\xaf",
			unidentifiedDescriptionName: [
				"Incredibly sharp, and stout paper that looks as though it could be used like a knife.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sharp Paper",
			identifiedResourceName: "\xbc\xb6\xb6\xe0\xc7\xd1\xc1\xbe\xc0\xcc\xc4\xae\xb3\xaf",
			identifiedDescriptionName: [
				"Incredibly sharp, and stout paper that looks as though it could be used like a knife.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7113: {
			unidentifiedDisplayName: "Broken Pharaoh Emblem",
			unidentifiedResourceName: "\xb1\xfa\xc1\xf8\xc6\xc4\xb6\xf3\xbf\xc0\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				"A broken emblem of Pharaoh that seems to possess some mysterious power.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Broken Pharaoh Emblem",
			identifiedResourceName: "\xb1\xfa\xc1\xf8\xc6\xc4\xb6\xf3\xbf\xc0\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				"A broken emblem of Pharaoh that seems to possess some mysterious power.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7114: {
			unidentifiedDisplayName: "Masque of Tutankhamen",
			unidentifiedResourceName: "\xc5\xf5\xc5\xba\xc4\xab\xb8\xe0\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"A golden masque that is rumored to be worn by an ancient Egyptian king.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Masque of Tutankhamen",
			identifiedResourceName: "\xc5\xf5\xc5\xba\xc4\xab\xb8\xe0\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A golden masque that is rumored to be worn by an ancient Egyptian king.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7115: {
			unidentifiedDisplayName: "Harpy Feather",
			unidentifiedResourceName: "\xc7\xcf\xc7\xc7\xc0\xc7\xb1\xea\xc5\xd0",
			unidentifiedDescriptionName: [
				"A feather from a Harpy. The Harpy's wings are effective in paralyzing its enemies.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Harpy Feather",
			identifiedResourceName: "\xc7\xcf\xc7\xc7\xc0\xc7\xb1\xea\xc5\xd0",
			identifiedDescriptionName: [
				"A feather from a Harpy. The Harpy's wings are effective in paralyzing its enemies.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7116: {
			unidentifiedDisplayName: "Harpy Talon",
			unidentifiedResourceName: "\xc7\xcf\xc7\xc7\xc0\xc7\xb9\xdf\xc5\xe9",
			unidentifiedDescriptionName: [
				"A Talon from a Harpy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Harpy Talon",
			identifiedResourceName: "\xc7\xcf\xc7\xc7\xc0\xc7\xb9\xdf\xc5\xe9",
			identifiedDescriptionName: [
				"A Talon from a Harpy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7117: {
			unidentifiedDisplayName: "Torn Magic Book",
			unidentifiedResourceName: "\xc2\xf5\xbe\xee\xc1\xf8\xb8\xb6\xb9\xfd\xbc\xad",
			unidentifiedDescriptionName: [
				"An old magic book that is seriously damaged.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Torn Magic Book",
			identifiedResourceName: "\xc2\xf5\xbe\xee\xc1\xf8\xb8\xb6\xb9\xfd\xbc\xad",
			identifiedDescriptionName: [
				"An old magic book that is seriously damaged.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7118: {
			unidentifiedDisplayName: "Torn Scroll",
			unidentifiedResourceName: "\xc2\xf5\xbe\xee\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"A piece of a scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Torn Scroll",
			identifiedResourceName: "\xc2\xf5\xbe\xee\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A piece of a scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7119: {
			unidentifiedDisplayName: "Bacillus",
			unidentifiedResourceName: "\xb1\xd5\xbb\xe7\xc3\xbc",
			unidentifiedDescriptionName: [
				"Aerobic bacteria. Often resides on metal chains.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bacillus",
			identifiedResourceName: "\xb1\xd5\xbb\xe7\xc3\xbc",
			identifiedDescriptionName: [
				"Aerobic bacteria. Often resides on metal chains.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7120: {
			unidentifiedDisplayName: "Burning Horseshoe",
			unidentifiedResourceName: "\xba\xd2\xc5\xb8\xb4\xc2\xb8\xbb\xb9\xdf\xb1\xc1",
			unidentifiedDescriptionName: [
				"A burning horseshoe. Should probably only be shod on a burning horse.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Burning Horseshoe",
			identifiedResourceName: "\xba\xd2\xc5\xb8\xb4\xc2\xb8\xbb\xb9\xdf\xb1\xc1",
			identifiedDescriptionName: [
				"A burning horseshoe. Should probably only be shod on a burning horse.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7121: {
			unidentifiedDisplayName: "Honey Pot",
			unidentifiedResourceName: "\xb2\xdc\xb4\xdc\xc1\xf6",
			unidentifiedDescriptionName: [
				"An empty pot that carried honey once upon a time, but contains sweet goodness no longer.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Honey Pot",
			identifiedResourceName: "\xb2\xdc\xb4\xdc\xc1\xf6",
			identifiedDescriptionName: [
				"An empty pot that carried honey once upon a time, but contains sweet goodness no longer.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7122: {
			unidentifiedDisplayName: "Burning Har",
			unidentifiedResourceName: "\xb6\xdf\xb0\xc5\xbf\xee\xc5\xd0",
			unidentifiedDescriptionName: [
				"Tussled red hair that looks like it's on fire.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Burning Hair",
			identifiedResourceName: "\xb6\xdf\xb0\xc5\xbf\xee\xc5\xd0",
			identifiedDescriptionName: [
				"Tussled red hair that looks like it's on fire.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7123: {
			unidentifiedDisplayName: "Dragon Skin",
			unidentifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A piece of skin from a dragon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Skin",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A piece of skin from a dragon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7124: {
			unidentifiedDisplayName: "Sand Clump",
			unidentifiedResourceName: "\xb8\xf0\xb7\xa1\xb5\xa2\xbe\xee\xb8\xae",
			unidentifiedDescriptionName: [
				"A lump of wet sand.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sand Clump",
			identifiedResourceName: "\xb8\xf0\xb7\xa1\xb5\xa2\xbe\xee\xb8\xae",
			identifiedDescriptionName: [
				"A lump of wet sand.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7125: {
			unidentifiedDisplayName: "Scorpion Claws",
			unidentifiedResourceName: "\xc0\xfc\xb0\xa5\xc0\xc7\xc1\xfd\xb0\xd4\xb9\xdf",
			unidentifiedDescriptionName: [
				"A claw from a scorpion.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scorpion Claw",
			identifiedResourceName: "\xc0\xfc\xb0\xa5\xc0\xc7\xc1\xfd\xb0\xd4\xb9\xdf",
			identifiedDescriptionName: [
				"A claw from a scorpion.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7126: {
			unidentifiedDisplayName: "Large Jellopy",
			unidentifiedResourceName: "\xb6\xf3\xc1\xf6\xc1\xa9\xb7\xce\xc7\xc7",
			unidentifiedDescriptionName: [
				"A huge jellopy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Large Jellopy",
			identifiedResourceName: "\xb6\xf3\xc1\xf6\xc1\xa9\xb7\xce\xc7\xc7",
			identifiedDescriptionName: [
				"A huge jellopy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7127: {
			unidentifiedDisplayName: "Alcohol Creation Gude",
			unidentifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A book with instructions for creating Alcohol.",
				"^ffffff_^000000",
				"5 Poison Spore",
				"5 Stem",
				"1 Empty Bottle",
				"1 Empty Test Tube",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Alcohol Creation Guide",
			identifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A book with instructions for creating Alcohol.",
				"^ffffff_^000000",
				"5 Poison Spore",
				"5 Stem",
				"1 Empty Bottle",
				"1 Empty Test Tube",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7128: {
			unidentifiedDisplayName: "Bottle Grenade Creation Guide",
			unidentifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A book with instructions for creating Bottle Grenades.",
				"^ffffff_^000000",
				"1 Alcohol",
				"1 Fabric",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bottle Grenade Creation Guide",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A book with instructions for creating Bottle Grenades.",
				"^ffffff_^000000",
				"1 Alcohol",
				"1 Fabric",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7129: {
			unidentifiedDisplayName: "Acid Bottle Creation Guide",
			unidentifiedResourceName: "\xbf\xb0\xbb\xea\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A book with instructions for creating Acid Bottles.",
				"^ffffff_^000000",
				"1 Immortal Heart",
				"1 Empty Bottle",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Acid Bottle Creation Guide",
			identifiedResourceName: "\xbf\xb0\xbb\xea\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A book with instructions for creating Acid Bottles.",
				"^ffffff_^000000",
				"1 Immortal Heart",
				"1 Empty Bottle",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7130: {
			unidentifiedDisplayName: "Plant Bottle Creation Guide",
			unidentifiedResourceName: "\xbd\xc4\xb9\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A book with instructions for catching living plants and trapping them in bottles.",
				"^ffffff_^000000",
				"2 Maneater Blossom",
				"1 Empty Bottle",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Plant Bottle Creation Guide",
			identifiedResourceName: "\xbd\xc4\xb9\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A book with instructions for catching living plants and trapping them in bottles.",
				"^ffffff_^000000",
				"2 Maneater Blossom",
				"1 Empty Bottle",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7131: {
			unidentifiedDisplayName: "Marine Sphere Creation Guide",
			unidentifiedResourceName: "\xb1\xe2\xb7\xda\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A book with instructions for catching Marine Spheres and trapping them in bottles.",
				"^ffffff_^000000",
				"1 Detonator",
				"1 Tendon",
				"1 Empty Bottle",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marine Sphere Creation Guide",
			identifiedResourceName: "\xb1\xe2\xb7\xda\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A book with instructions for catching Marine Spheres and trapping them in bottles.",
				"^ffffff_^000000",
				"1 Detonator",
				"1 Tendon",
				"1 Empty Bottle",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7132: {
			unidentifiedDisplayName: "Glistening Coat Creation Guide",
			unidentifiedResourceName: "\xc4\xda\xc6\xc3\xbe\xe0\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A book with instructions for creating Glistening Coats.",
				"^ffffff_^000000",
				"1 Zenorc's Fang",
				"1 Heart of Mermaid",
				"1 Alcohol",
				"1 Empty Bottle",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glistening Coat Creation Guide",
			identifiedResourceName: "\xc4\xda\xc6\xc3\xbe\xe0\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A book with instructions for creating Glistening Coats.",
				"^ffffff_^000000",
				"1 Zenorc's Fang",
				"1 Heart of Mermaid",
				"1 Alcohol",
				"1 Empty Bottle",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7133: {
			unidentifiedDisplayName: "Condensed Potion Creation Guide",
			unidentifiedResourceName: "\xbd\xbd\xb8\xb2\xc6\xf7\xbc\xc7\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A book with instructions for creating Condensed Potions.",
				"^ffffff_^000000",
				"^ff0000Condensed Red Potion:^000000",
				"1 Red Potion",
				"1 Cactus Needle",
				"1 Empty Test Tube",
				"^ffffff_^000000",
				"^ffff00Condensed Yellow Potion:^000000",
				"1 Yellow Potion",
				"1 Mole Whiskers",
				"1 Empty Test Tube",
				"^ffffff_^000000",
				"^000000Condensed White Potion:^000000",
				"1 White Potion",
				"1 Witch Starsand",
				"1 Empty Test Tube",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Condensed Potion Creation Guide",
			identifiedResourceName: "\xbd\xbd\xb8\xb2\xc6\xf7\xbc\xc7\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A book with instructions for creating Condensed Potions.",
				"^ffffff_^000000",
				"^ff0000Condensed Red Potion:^000000",
				"1 Red Potion",
				"1 Cactus Needle",
				"1 Empty Test Tube",
				"^ffffff_^000000",
				"^ffff00Condensed Yellow Potion:^000000",
				"1 Yellow Potion",
				"1 Mole Whiskers",
				"1 Empty Test Tube",
				"^ffffff_^000000",
				"^000000Condensed White Potion:^000000",
				"1 White Potion",
				"1 Witch Starsand",
				"1 Empty Test Tube",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7134: {
			unidentifiedDisplayName: "Medicine Bowl",
			unidentifiedResourceName: "\xbe\xe0\xbb\xe7\xb9\xdf",
			unidentifiedDescriptionName: [
				"A porcelain bowl used for grinding herbs or other substances to make medicine.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Medicine Bowl",
			identifiedResourceName: "\xbe\xe0\xbb\xe7\xb9\xdf",
			identifiedDescriptionName: [
				"A porcelain bowl used for grinding herbs or other substances to make medicine.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7135: {
			unidentifiedDisplayName: "Bottle Grenade",
			unidentifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4",
			unidentifiedDescriptionName: [
				"A bottle containing a flammable liquid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bottle Grenade",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4",
			identifiedDescriptionName: [
				"A bottle containing a flammable liquid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7136: {
			unidentifiedDisplayName: "Acid Bottle",
			unidentifiedResourceName: "\xbf\xb0\xbb\xea\xba\xb4",
			unidentifiedDescriptionName: [
				"A bottle holding a highly corrosive acid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Acid Bottle",
			identifiedResourceName: "\xbf\xb0\xbb\xea\xba\xb4",
			identifiedDescriptionName: [
				"A bottle holding a highly corrosive acid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7137: {
			unidentifiedDisplayName: "Plant Bottle",
			unidentifiedResourceName: "\xbd\xc4\xc0\xce\xbd\xc4\xb9\xb0\xba\xb4",
			unidentifiedDescriptionName: [
				"A bottle containing a dormant plant.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Plant Bottle",
			identifiedResourceName: "\xbd\xc4\xc0\xce\xbd\xc4\xb9\xb0\xba\xb4",
			identifiedDescriptionName: [
				"A bottle containing a dormant plant.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7138: {
			unidentifiedDisplayName: "Marine Sphere Bottle",
			unidentifiedResourceName: "\xb1\xe2\xb7\xda\xba\xb4",
			unidentifiedDescriptionName: [
				"A bottle containing a dormant Marine Sphere.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marine Sphere Bottle",
			identifiedResourceName: "\xb1\xe2\xb7\xda\xba\xb4",
			identifiedDescriptionName: [
				"A bottle containing a dormant Marine Sphere.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7139: {
			unidentifiedDisplayName: "Glistening Coat",
			unidentifiedResourceName: "\xc4\xda\xc6\xc3\xbe\xe0",
			unidentifiedDescriptionName: [
				"A bottle which contains shining liquid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glistening Coat",
			identifiedResourceName: "\xc4\xda\xc6\xc3\xbe\xe0",
			identifiedDescriptionName: [
				"A bottle which contains shining liquid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7140: {
			unidentifiedDisplayName: "Seed of Life",
			unidentifiedResourceName: "\xbb\xfd\xb8\xed\xc0\xc7\xbe\xbe\xbe\xd1",
			unidentifiedDescriptionName: [
				"A seed filled with vitality.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Seed of Life",
			identifiedResourceName: "\xbb\xfd\xb8\xed\xc0\xc7\xbe\xbe\xbe\xd1",
			identifiedDescriptionName: [
				"A seed filled with vitality.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7141: {
			unidentifiedDisplayName: "Yggdrasil Dew",
			unidentifiedResourceName: "\xc0\xcc\xb1\xd7\xb5\xe5\xb6\xf3\xbd\xc7\xc0\xcc\xbd\xbd",
			unidentifiedDescriptionName: [
				"Morning dew gathered from Yggdrasil Berries. It glimmers faintly with the gentle light of life.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Morning Dew of Yggdrasil",
			identifiedResourceName: "\xc0\xcc\xb1\xd7\xb5\xe5\xb6\xf3\xbd\xc7\xc0\xcc\xbd\xbd",
			identifiedDescriptionName: [
				"Morning dew gathered from Yggdrasil Berries. It glimmers faintly with the gentle light of life.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7142: {
			unidentifiedDisplayName: "Embryo",
			unidentifiedResourceName: "\xbf\xa5\xba\xea\xb8\xae\xbf\xc0",
			unidentifiedDescriptionName: [
				"An embryo.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Embryo",
			identifiedResourceName: "\xbf\xa5\xba\xea\xb8\xae\xbf\xc0",
			identifiedDescriptionName: [
				"An embryo.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7143: {
			unidentifiedDisplayName: "Glass Tube",
			unidentifiedResourceName: "\xc0\xaf\xb8\xae\xb0\xfc",
			unidentifiedDescriptionName: [
				"An empty tube that can hold a creature.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glass Tube",
			identifiedResourceName: "\xc0\xaf\xb8\xae\xb0\xfc",
			identifiedDescriptionName: [
				"An empty tube that can hold a creature.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7144: {
			unidentifiedDisplayName: "Potion Creation Gude",
			unidentifiedResourceName: "\xc0\xcf\xb9\xdd\xc6\xf7\xbc\xc7\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A book that describes how to create potions.",
				"^ffffff_^000000",
				"^ff0000Red Potion:^000000",
				"1 Red Herb",
				"1 Empty Potion Bottle",
				"^ffffff_^000000",
				"^ffff00Yellow Potion:^000000",
				"1 Yellow Herb",
				"1 Empty Potion Bottle",
				"^ffffff_^000000",
				"^000000White Potion:^000000",
				"1 White Herb",
				"1 Empty Potion Bottle",
				"^ffffff_^000000",
				"^0000ffBlue Potion:^000000",
				"1 Blue Herb",
				"1 Scell",
				"1 Empty Potion Bottle",
				"^ffffff_^000000",
				"^000000Anodyne:^000000",
				"1 Ment",
				"1 Alcohol",
				"1 Empty Bottle",
				"^ffffff_^000000",
				"^777777Aloevera:^000000",
				"1 Aloe",
				"1 Honey",
				"1 Empty Bottle",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Potion Creation Gude",
			identifiedResourceName: "\xc0\xcf\xb9\xdd\xc6\xf7\xbc\xc7\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A book that describes how to create potions.",
				"^ffffff_^000000",
				"^ff0000Red Potion:^000000",
				"1 Red Herb",
				"1 Empty Potion Bottle",
				"^ffffff_^000000",
				"^ffff00Yellow Potion:^000000",
				"1 Yellow Herb",
				"1 Empty Potion Bottle",
				"^ffffff_^000000",
				"^000000White Potion:^000000",
				"1 White Herb",
				"1 Empty Potion Bottle",
				"^ffffff_^000000",
				"^0000ffBlue Potion:^000000",
				"1 Blue Herb",
				"1 Scell",
				"1 Empty Potion Bottle",
				"^ffffff_^000000",
				"^000000Anodyne:^000000",
				"1 Ment",
				"1 Alcohol",
				"1 Empty Bottle",
				"^ffffff_^000000",
				"^777777Aloevera:^000000",
				"1 Aloe",
				"1 Honey",
				"1 Empty Bottle",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7145: {
			unidentifiedDisplayName: "Ragnarok T-shirt",
			unidentifiedResourceName: "\xb6\xf3\xb1\xd7\xc6\xbc\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"A cotton shirt with the Ragnarok logo printed on it.",
				"The owner of this T-shirt can apply for an event by talking to Kurt in front of the Prontera castle.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ragnarok T-shirt",
			identifiedResourceName: "\xb6\xf3\xb1\xd7\xc6\xbc\xbc\xc5\xc3\xf7",
			identifiedDescriptionName: [
				"A cotton shirt with the Ragnarok logo printed on it.",
				"The owner of this T-shirt can apply for an event by talking to Kurt in front of the Prontera castle.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7146: {
			unidentifiedDisplayName: "Vacation Ticket",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"A ticket which allows its owner to apply for a summer vacation event.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vacation Ticket",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"A ticket which allows its owner to apply for a summer vacation event.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7147: {
			unidentifiedDisplayName: "Jasmine",
			unidentifiedResourceName: "\xc0\xda\xbd\xba\xb9\xce",
			unidentifiedDescriptionName: [
				"A beautiful flower with an unique fragrance. Serves a number of purposes, and can be used in various teas.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jasmine",
			identifiedResourceName: "\xc0\xda\xbd\xba\xb9\xce",
			identifiedDescriptionName: [
				"A beautiful flower with an unique fragrance. Serves a number of purposes, and can be used in various teas.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7148: {
			unidentifiedDisplayName: "Mother's Letter",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"A letter written with loving words by a warm hearted mother to her children.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mother's Letter",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"A letter written with loving words by a warm hearted mother to her children.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7149: {
			unidentifiedDisplayName: "Yellow Plate",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xc1\xa2\xbd\xc3",
			unidentifiedDescriptionName: [
				"A polished plate made out of yellow clay.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yellow Plate",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xc1\xa2\xbd\xc3",
			identifiedDescriptionName: [
				"A polished plate made out of yellow clay.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7150: {
			unidentifiedDisplayName: "Piece of Bamboo",
			unidentifiedResourceName: "\xb4\xeb\xb3\xaa\xb9\xab\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A piece of bamboo from a bamboo tree.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Piece of Bamboo",
			identifiedResourceName: "\xb4\xeb\xb3\xaa\xb9\xab\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A piece of bamboo from a bamboo tree.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7151: {
			unidentifiedDisplayName: "Oil Paper",
			unidentifiedResourceName: "\xb1\xe2\xb8\xa7\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				"A piece of yellowish paper with a waxy surface that repels water.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Oil Paper",
			identifiedResourceName: "\xb1\xe2\xb8\xa7\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				"A piece of yellowish paper with a waxy surface that repels water.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7152: {
			unidentifiedDisplayName: "Glossy Hair",
			unidentifiedResourceName: "\xc0\xb1\xb1\xe2\xc0\xd6\xb4\xc2\xb8\xd3\xb8\xae\xc4\xae",
			unidentifiedDescriptionName: [
				"A tied bunch of shining human hair.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glossy Hair",
			identifiedResourceName: "\xc0\xb1\xb1\xe2\xc0\xd6\xb4\xc2\xb8\xd3\xb8\xae\xc4\xae",
			identifiedDescriptionName: [
				"A tied bunch of shining human hair.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7153: {
			unidentifiedDisplayName: "Worn-out Kimono",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb1\xe2\xb8\xf0\xb3\xeb",
			unidentifiedDescriptionName: [
				"A beautiful but worn-out kimono.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Worn-out Kimono",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb1\xe2\xb8\xf0\xb3\xeb",
			identifiedDescriptionName: [
				"A beautiful but worn-out kimono.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7154: {
			unidentifiedDisplayName: "Poisonous Powder",
			unidentifiedResourceName: "\xb5\xb6\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"A bottle of poisonous powder which may poison enemies when mixed with water or alcohol.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poisonous Powder",
			identifiedResourceName: "\xb5\xb6\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"A bottle of poisonous powder which may poison enemies when mixed with water or alcohol.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7155: {
			unidentifiedDisplayName: "Poisonous Toad Skin",
			unidentifiedResourceName: "\xb5\xb6\xb5\xce\xb2\xa8\xba\xf1\xc0\xc7\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A piece of skin from the back of a poisonous toad.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poisonous Toad Skin",
			identifiedResourceName: "\xb5\xb6\xb5\xce\xb2\xa8\xba\xf1\xc0\xc7\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A piece of skin from the back of a poisonous toad.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7156: {
			unidentifiedDisplayName: "Broken Shuriken",
			unidentifiedResourceName: "\xb1\xfa\xc1\xf8\xbd\xb4\xb8\xae\xc4\xcb",
			unidentifiedDescriptionName: [
				"A broken shuriken that is no longer useful. Usually, it is a lethal weapon used by ninjas.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Broken Shuriken",
			identifiedResourceName: "\xb1\xfa\xc1\xf8\xbd\xb4\xb8\xae\xc4\xcb",
			identifiedDescriptionName: [
				"A broken shuriken that is no longer useful. Usually, it is a lethal weapon used by ninjas.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7157: {
			unidentifiedDisplayName: "Dark Mask",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xba\xb9\xb8\xe9",
			unidentifiedDescriptionName: [
				"Dark colored mask made from fabric. Used to cover the entire face.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dark Mask",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xba\xb9\xb8\xe9",
			identifiedDescriptionName: [
				"Dark colored mask made from fabric. Used to cover the entire face.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7158: {
			unidentifiedDisplayName: "Broken Liquor Jar",
			unidentifiedResourceName: "\xb1\xfa\xc1\xf8\xbc\xfa\xb5\xbf\xc0\xcc",
			unidentifiedDescriptionName: [
				"A piece of a broken liquor jar on which the tempting scent of alcohol still lingers.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Broken Liquor Jar",
			identifiedResourceName: "\xb1\xfa\xc1\xf8\xbc\xfa\xb5\xbf\xc0\xcc",
			identifiedDescriptionName: [
				"A piece of a broken liquor jar on which the tempting scent of alcohol still lingers.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7159: {
			unidentifiedDisplayName: "Tengu Nose",
			unidentifiedResourceName: "\xc3\xb5\xb1\xb8\xc0\xc7\xc4\xda",
			unidentifiedDescriptionName: [
				"A nose part of the mask that the Tengu monster wears.",
				"The nose attached on this reddish mask is quite long and ugly.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tengu Nose",
			identifiedResourceName: "\xc3\xb5\xb1\xb8\xc0\xc7\xc4\xda",
			identifiedDescriptionName: [
				"A nose part of the mask that the Tengu monster wears.",
				"The nose attached on this reddish mask is quite long and ugly.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7160: {
			unidentifiedDisplayName: "Feudal Lord Permit",
			unidentifiedResourceName: "\xbf\xb5\xc1\xd6\xc0\xc7\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"An authorized ticket which allows its owner to enter a prohibited area.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Feudal Lord Permit",
			identifiedResourceName: "\xbf\xb5\xc1\xd6\xc0\xc7\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"An authorized ticket which allows its owner to enter a prohibited area.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7161: {
			unidentifiedDisplayName: "Black Bear Skin",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xb0\xf5\xc0\xc7\xc5\xd0\xb0\xa1\xc1\xd7",
			unidentifiedDescriptionName: [
				"A bad smelling piece of skin peeled from a black bear.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Black Bear Skin",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb0\xf5\xc0\xc7\xc5\xd0\xb0\xa1\xc1\xd7",
			identifiedDescriptionName: [
				"A bad smelling piece of skin peeled from a black bear.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7162: {
			unidentifiedDisplayName: "Cloud Crumb",
			unidentifiedResourceName: "\xb1\xb8\xb8\xa7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A bottle which contains cloud crumbs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cloud Crumb",
			identifiedResourceName: "\xb1\xb8\xb8\xa7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A bottle which contains cloud crumbs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7163: {
			unidentifiedDisplayName: "Hard Feeler",
			unidentifiedResourceName: "\xb3\xaf\xc4\xab\xb7\xce\xbf\xee\xb4\xf5\xb5\xeb\xc0\xcc",
			unidentifiedDescriptionName: [
				"A sharp, solid feeler.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hard Feeler",
			identifiedResourceName: "\xb3\xaf\xc4\xab\xb7\xce\xbf\xee\xb4\xf5\xb5\xeb\xc0\xcc",
			identifiedDescriptionName: [
				"A sharp, solid feeler.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7164: {
			unidentifiedDisplayName: "Solid Peach",
			unidentifiedResourceName: "\xb4\xdc\xb4\xdc\xc7\xd1\xba\xb9\xbc\xfe\xbe\xc6",
			unidentifiedDescriptionName: [
				"A peach that is so stout and solid, that it appears it can even withstand blows from a sword.",
				"Inedible, but might make a good weapon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Solid Peach",
			identifiedResourceName: "\xb4\xdc\xb4\xdc\xc7\xd1\xba\xb9\xbc\xfe\xbe\xc6",
			identifiedDescriptionName: [
				"A peach that is so stout and solid, that it appears it can even withstand blows from a sword.",
				"Inedible, but might make a good weapon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7165: {
			unidentifiedDisplayName: "Transparent Celestial Robe",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xb3\xaf\xb0\xb3\xbf\xca",
			unidentifiedDescriptionName: [
				"A transparent celestial robe which is made with very light and soft fabric.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Transparent Celestial Robe",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xb3\xaf\xb0\xb3\xbf\xca",
			identifiedDescriptionName: [
				"A transparent celestial robe which is made with very light and soft fabric.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7166: {
			unidentifiedDisplayName: "Soft Silk",
			unidentifiedResourceName: "\xba\xce\xb5\xe5\xb7\xaf\xbf\xee\xba\xf1\xb4\xdc\xc3\xb5",
			unidentifiedDescriptionName: [
				"An expensive fabric that is knit with high quality silk threads.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Soft Silk",
			identifiedResourceName: "\xba\xce\xb5\xe5\xb7\xaf\xbf\xee\xba\xf1\xb4\xdc\xc3\xb5",
			identifiedDescriptionName: [
				"An expensive fabric that is knit with high quality silk threads.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7167: {
			unidentifiedDisplayName: "Strange Steel Piece",
			unidentifiedResourceName: "\xbf\xc0\xb9\xa6\xc7\xd1\xc3\xb6\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"Unidentified piece of steel which is possibly used as a hinge for something.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Strange Steel Piece",
			identifiedResourceName: "\xbf\xc0\xb9\xa6\xc7\xd1\xc3\xb6\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"Unidentified piece of steel which is possibly used as a hinge for something.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7168: {
			unidentifiedDisplayName: "Giant Butterfly Wing",
			unidentifiedResourceName: "\xc4\xbf\xb4\xd9\xb6\xf5\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"Wings from a giant butterfly.",
				"However, it does not seem to have the same ability as a butterfly wing.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Butterfly Wing",
			identifiedResourceName: "\xc4\xbf\xb4\xd9\xb6\xf5\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"Wings from a giant butterfly.",
				"However, it does not seem to have the same ability as a butterfly wing.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7169: {
			unidentifiedDisplayName: "Ba Gua",
			unidentifiedResourceName: "\xc5\xc2\xb1\xd8\xc6\xd0",
			unidentifiedDescriptionName: [
				"A talisman with a Yin-Yang symbol carved in the middle of it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ba Gua",
			identifiedResourceName: "\xc5\xc2\xb1\xd8\xc6\xd0",
			identifiedDescriptionName: [
				"A talisman with a Yin-Yang symbol carved in the middle of it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7170: {
			unidentifiedDisplayName: "Tuxedo",
			unidentifiedResourceName: "\xc5\xce\xbd\xc3\xb5\xb5",
			unidentifiedDescriptionName: [
				"A formal suit which is usually worn by the Groom during a wedding ceremony.",
				"Although it enhances its wearer's looks, some people refer to it as a penguin suit.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tuxedo",
			identifiedResourceName: "\xc5\xce\xbd\xc3\xb5\xb5",
			identifiedDescriptionName: [
				"A formal suit which is usually worn by the Groom during a wedding ceremony.",
				"Although it enhances its wearer's looks, some people refer to it as a penguin suit.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7171: {
			unidentifiedDisplayName: "Leopard Skin",
			unidentifiedResourceName: "\xc7\xa5\xb9\xfc\xc0\xc7\xb0\xa1\xc1\xd7",
			unidentifiedDescriptionName: [
				"Peeled off leopard skin.",
				"There is a rumor of a man who ruled the jungle, wearing this skin as a loincloth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leopard Skin",
			identifiedResourceName: "\xc7\xa5\xb9\xfc\xc0\xc7\xb0\xa1\xc1\xd7",
			identifiedDescriptionName: [
				"Peeled off leopard skin.",
				"There is a rumor of a man who ruled the jungle, wearing this skin as a loincloth.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7172: {
			unidentifiedDisplayName: "Leopard Claw",
			unidentifiedResourceName: "\xc7\xa5\xb9\xfc\xc0\xc7\xb9\xdf\xc5\xe9",
			unidentifiedDescriptionName: [
				"A sharp claw extracted from a leopard.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leopard Claw",
			identifiedResourceName: "\xc7\xa5\xb9\xfc\xc0\xc7\xb9\xdf\xc5\xe9",
			identifiedDescriptionName: [
				"A sharp claw extracted from a leopard.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7173: {
			unidentifiedDisplayName: "iROGM02's Backpack",
			unidentifiedResourceName: "\xb9\xf8\xb9\xf6\xbd\xba\xc5\xcd\xb0\xa1\xb9\xe6",
			unidentifiedDescriptionName: [
				"Deep-red bun buster bag.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "iROGM02's Backpack",
			identifiedResourceName: "\xb9\xf8\xb9\xf6\xbd\xba\xc5\xcd\xb0\xa1\xb9\xe6",
			identifiedDescriptionName: [
				"Deep-red bun buster bag.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7174: {
			unidentifiedDisplayName: "Wrapping Lace",
			unidentifiedResourceName: "\xb2\xf6",
			unidentifiedDescriptionName: [
				"Long and thin lace used to decorate a gift box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wrapping Lace",
			identifiedResourceName: "\xb2\xf6",
			identifiedDescriptionName: [
				"Long and thin lace used to decorate a gift box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7175: {
			unidentifiedDisplayName: "Wrapping Paper",
			unidentifiedResourceName: "\xc6\xf7\xc0\xe5\xc1\xf6",
			unidentifiedDescriptionName: [
				"Shiny, beautiful paper used to decorate a gift box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wrapping Paper",
			identifiedResourceName: "\xc6\xf7\xc0\xe5\xc1\xf6",
			identifiedDescriptionName: [
				"Shiny, beautiful paper used to decorate a gift box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7176: {
			unidentifiedDisplayName: "Royal Certificate",
			unidentifiedResourceName: "\x58\x4d\x41\x53\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A royal congratulatory certificate given in recognition of defeating monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Royal Certificate",
			identifiedResourceName: "\x58\x4d\x41\x53\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A royal congratulatory certificate given in recognition of defeating monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7177: {
			unidentifiedDisplayName: "Crumb of Sobbing Starlight",
			unidentifiedResourceName: "\xba\xb0\xc0\xc7\xc8\xe5\xb4\xc0\xb3\xa6\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"Pieces of sobbing starlight. It might be possible to assemble them together.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crumb of Sobbing Starlight",
			identifiedResourceName: "\xba\xb0\xc0\xc7\xc8\xe5\xb4\xc0\xb3\xa6\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"Pieces of sobbing starlight. It might be possible to assemble them together.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7178: {
			unidentifiedDisplayName: "Sobbing Starlight",
			unidentifiedResourceName: "\xba\xb0\xc0\xc7\xc8\xe5\xb4\xc0\xb3\xa6",
			unidentifiedDescriptionName: [
				"A beautiful jewel that was named after a star in the sky.",
				"Sometimes, it seems to show ancient letters from behind.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sobbing Starlight",
			identifiedResourceName: "\xba\xb0\xc0\xc7\xc8\xe5\xb4\xc0\xb3\xa6",
			identifiedDescriptionName: [
				"A beautiful jewel that was named after a star in the sky.",
				"Sometimes, it seems to show ancient letters from behind.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7179: {
			unidentifiedDisplayName: "Proof of Donation",
			unidentifiedResourceName: "\xb1\xe2\xba\xce\xc1\xf5\xb8\xed\xbc\xad",
			unidentifiedDescriptionName: [
				"A certificate that shows its owner donated money to the poor.",
				"Authenticated with Tristan III's signature.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Proof of Donation",
			identifiedResourceName: "\xb1\xe2\xba\xce\xc1\xf5\xb8\xed\xbc\xad",
			identifiedDescriptionName: [
				"A certificate that shows its owner donated money to the poor.",
				"Authenticated with Tristan III's signature.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7180: {
			unidentifiedDisplayName: "Hahn Sukbong's Recommendation",
			unidentifiedResourceName: "\xc7\xd1\xbc\xae\xba\xc0\xbc\xd2\xb0\xb3\xc0\xe5",
			unidentifiedDescriptionName: [
				"A recommendation letter given to Jamgeum as a token of Sukbong's gratitude for her favor.",
				"Jamgeum informed Sukbong of his mother's news.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hahn Sukbong's Recommendation",
			identifiedResourceName: "\xc7\xd1\xbc\xae\xba\xc0\xbc\xd2\xb0\xb3\xc0\xe5",
			identifiedDescriptionName: [
				"A recommendation letter given to Jamgeum as a token of Sukbong's gratitude for her favor.",
				"Jamgeum informed Sukbong of his mother's news.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7181: {
			unidentifiedDisplayName: "Receipt",
			unidentifiedResourceName: "\xb9\xb0\xc7\xb0\xbf\xb5\xbc\xf6\xc1\xf5\x5f\x30\x31",
			unidentifiedDescriptionName: [
				"A small paper which is used as a proof of purchase.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Receipt",
			identifiedResourceName: "\xb9\xb0\xc7\xb0\xbf\xb5\xbc\xf6\xc1\xf5\x5f\x30\x31",
			identifiedDescriptionName: [
				"A small paper which is used as a proof of purchase.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7182: {
			unidentifiedDisplayName: "Cacao",
			unidentifiedResourceName: "\xc4\xab\xc4\xab\xbf\xc0",
			unidentifiedDescriptionName: [
				"A nut from the Cacao tree that is naturally found in warm climes.",
				"It must be dried into cacao beans, fried and then ground to become cacao paste.",
				"Chocolate is made by solidifying the cacao paste with milk. The fat extracted from the cacao paste is used as cacao butter, so it's not ready to eat yet.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Cacao",
			identifiedResourceName: "\xc4\xab\xc4\xab\xbf\xc0",
			identifiedDescriptionName: [
				"A nut from the Cacao tree that is naturally found in warm climes.",
				"It must be dried into cacao beans, fried and then ground to become cacao paste.",
				"Chocolate is made by solidifying the cacao paste with milk. The fat extracted from the cacao paste is used as cacao butter, so it's not ready to eat yet.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7183: {
			unidentifiedDisplayName: "Letter from Sister",
			unidentifiedResourceName: "\xc6\xed\xc1\xf6\x30\x31",
			unidentifiedDescriptionName: [
				"A letter written by a younger sister to her brother.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Letter from Sister",
			identifiedResourceName: "\xc6\xed\xc1\xf6\x30\x31",
			identifiedDescriptionName: [
				"A letter written by a younger sister to her brother.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7184: {
			unidentifiedDisplayName: "Piano Key",
			unidentifiedResourceName: "\xb0\xc7\xb9\xdd",
			unidentifiedDescriptionName: [
				"A white key which came from a broken piano.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Piano Key",
			identifiedResourceName: "\xb0\xc7\xb9\xdd",
			identifiedDescriptionName: [
				"A white key which came from a broken piano.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7185: {
			unidentifiedDisplayName: "Quiz Entry",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A ticket that is needed to participate in an OX quiz.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Quiz Entry",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A ticket that is needed to participate in an OX quiz.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7186: {
			unidentifiedDisplayName: "Thin Trunk",
			unidentifiedResourceName: "\xb0\xa1\xb4\xc2\xc1\xd9\xb1\xe2",
			unidentifiedDescriptionName: [
				"A thin trunk which is used by people to climb up to higher places.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Thin Trunk",
			identifiedResourceName: "\xb0\xa1\xb4\xc2\xc1\xd9\xb1\xe2",
			identifiedDescriptionName: [
				"A thin trunk which is used by people to climb up to higher places.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7187: {
			unidentifiedDisplayName: "Festival Mask",
			unidentifiedResourceName: "\xb0\xa1\xb8\xe9",
			unidentifiedDescriptionName: [
				"A mask that is worn during festivals.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Festival Mask",
			identifiedResourceName: "\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A mask that is worn during festivals.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7188: {
			unidentifiedDisplayName: "Brown Root",
			unidentifiedResourceName: "\xb0\xa5\xbb\xf6\xbb\xd1\xb8\xae",
			unidentifiedDescriptionName: [
				"A tree root that still has soil clinging to it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Brown Root",
			identifiedResourceName: "\xb0\xa5\xbb\xf6\xbb\xd1\xb8\xae",
			identifiedDescriptionName: [
				"A tree root that still has soil clinging to it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7189: {
			unidentifiedDisplayName: "Wooden Heart",
			unidentifiedResourceName: "\xb3\xaa\xb9\xab\xbd\xc9\xc0\xe5",
			unidentifiedDescriptionName: [
				"An artificial heart made out of wood which is used to give life to a Wooden Golem.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wooden Heart",
			identifiedResourceName: "\xb3\xaa\xb9\xab\xbd\xc9\xc0\xe5",
			identifiedDescriptionName: [
				"An artificial heart made out of wood which is used to give life to a Wooden Golem.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7190: {
			unidentifiedDisplayName: "Solid Husk",
			unidentifiedResourceName: "\xb4\xdc\xb4\xdc\xc7\xd1\xb5\xee\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"An insect husk that seems very hard and stout.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Solid Husk",
			identifiedResourceName: "\xb4\xdc\xb4\xdc\xc7\xd1\xb5\xee\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"An insect husk that seems very hard and stout.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7191: {
			unidentifiedDisplayName: "Lamp",
			unidentifiedResourceName: "\xb5\xee\xba\xd2",
			unidentifiedDescriptionName: [
				"A beautiful lamp made with red paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lamp",
			identifiedResourceName: "\xb5\xee\xba\xd2",
			identifiedDescriptionName: [
				"A beautiful lamp made with red paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7192: {
			unidentifiedDisplayName: "Vane",
			unidentifiedResourceName: "\xb9\xd9\xb6\xf7\xb0\xb3\xba\xf1\xc0\xc7\xc4\xae\xb3\xaf",
			unidentifiedDescriptionName: [
				"A vane with sharp blades suspected to be used for assassinations.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vane",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xb0\xb3\xba\xf1\xc0\xc7\xc4\xae\xb3\xaf",
			identifiedDescriptionName: [
				"A vane with sharp blades suspected to be used for assassinations.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7193: {
			unidentifiedDisplayName: "Sprout",
			unidentifiedResourceName: "\xb9\xdf\xbe\xc6\xbb\xf5\xbd\xcf",
			unidentifiedDescriptionName: [
				"A sprout grown out of a vegetable seed.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sprout",
			identifiedResourceName: "\xb9\xdf\xbe\xc6\xbb\xf5\xbd\xcf",
			identifiedDescriptionName: [
				"A sprout grown out of a vegetable seed.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7194: {
			unidentifiedDisplayName: "Soft Blade of Grass",
			unidentifiedResourceName: "\xba\xce\xb5\xe5\xb7\xaf\xbf\xee\xc7\xae\xc0\xd9",
			unidentifiedDescriptionName: [
				"A very soft blade of grass.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Soft Blade of Grass",
			identifiedResourceName: "\xba\xce\xb5\xe5\xb7\xaf\xbf\xee\xc7\xae\xc0\xd9",
			identifiedDescriptionName: [
				"A very soft blade of grass.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7195: {
			unidentifiedDisplayName: "Slingshot",
			unidentifiedResourceName: "\xbb\xf5\xc3\xd1",
			unidentifiedDescriptionName: [
				"A tool consisting of a Y-shaped wooden stick with an elastic band between the arms. Used to attack distant objects.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Slingshot",
			identifiedResourceName: "\xbb\xf5\xc3\xd1",
			identifiedDescriptionName: [
				"A tool consisting of a Y-shaped wooden stick with an elastic band between the arms. Used to attack distant objects.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7196: {
			unidentifiedDisplayName: "Shoulder Protector",
			unidentifiedResourceName: "\xbe\xee\xb1\xfa\xba\xb8\xc8\xa3\xb4\xeb",
			unidentifiedDescriptionName: [
				"A primitive protector made out of wood that is worn on the shoulders.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shoulder Protector",
			identifiedResourceName: "\xbe\xee\xb1\xfa\xba\xb8\xc8\xa3\xb4\xeb",
			identifiedDescriptionName: [
				"A primitive protector made out of wood that is worn on the shoulders.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7197: {
			unidentifiedDisplayName: "Tough Vines",
			unidentifiedResourceName: "\xc1\xfa\xb1\xe4\xb3\xaa\xb9\xab\xb5\xa2\xc4\xf0",
			unidentifiedDescriptionName: [
				"A tough vine which can be used as rope.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tough Vines",
			identifiedResourceName: "\xc1\xfa\xb1\xe4\xb3\xaa\xb9\xab\xb5\xa2\xc4\xf0",
			identifiedDescriptionName: [
				"A tough vine which can be used as rope.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7198: {
			unidentifiedDisplayName: "Huge Leaf",
			unidentifiedResourceName: "\xc4\xbf\xb4\xd9\xb6\xf5\xc0\xd9\xbb\xe7\xb1\xcd",
			unidentifiedDescriptionName: [
				"A huge leaf which can be worn one's head in the rain.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Huge Leaf",
			identifiedResourceName: "\xc4\xbf\xb4\xd9\xb6\xf5\xc0\xd9\xbb\xe7\xb1\xcd",
			identifiedDescriptionName: [
				"A huge leaf which can be worn one's head in the rain.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7199: {
			unidentifiedDisplayName: "Unknown Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¶ó±×³ª·ÎÅ©¿¡¼­ ÁØºñÇÑ ½ÅÇÐ±â¿ë °¡¹æ ÀÀ¸ð±Ç.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Unknown Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¶ó±×³ª·ÎÅ©¿¡¼­ ÁØºñÇÑ ½ÅÇÐ±â¿ë °¡¹æ ÀÀ¸ð±Ç.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7200: {
			unidentifiedDisplayName: "Elastic Band",
			unidentifiedResourceName: "\xc5\xba\xb7\xc2\xc0\xd6\xb4\xc2\xc1\xd9",
			unidentifiedDescriptionName: [
				"An amazing length of flexible material which returns to its original form after being stretched.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elastic Band",
			identifiedResourceName: "\xc5\xba\xb7\xc2\xc0\xd6\xb4\xc2\xc1\xd9",
			identifiedDescriptionName: [
				"An amazing length of flexible material which returns to its original form after being stretched.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7201: {
			unidentifiedDisplayName: "Log",
			unidentifiedResourceName: "\xc5\xeb\xb3\xaa\xb9\xab",
			unidentifiedDescriptionName: [
				"A piece of wood that seems like it could be made into something.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Log",
			identifiedResourceName: "\xc5\xeb\xb3\xaa\xb9\xab",
			identifiedDescriptionName: [
				"A piece of wood that seems like it could be made into something.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7202: {
			unidentifiedDisplayName: "Pincher of Beetle",
			unidentifiedResourceName: "\xc5\xf5\xb1\xb8\xb9\xfa\xb7\xb9\xc0\xc7\xc1\xfd\xb0\xd4",
			unidentifiedDescriptionName: [
				"A pincher from a beetle.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pincher of Beetle",
			identifiedResourceName: "\xc5\xf5\xb1\xb8\xb9\xfa\xb7\xb9\xc0\xc7\xc1\xfd\xb0\xd4",
			identifiedDescriptionName: [
				"A pincher from a beetle.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7203: {
			unidentifiedDisplayName: "Strong Branch",
			unidentifiedResourceName: "\xc6\xb0\xc6\xb0\xc7\xd1\xb3\xaa\xb9\xab\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"A tree branch which can be used in various ways as a simple tool.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Strong Branch",
			identifiedResourceName: "\xc6\xb0\xc6\xb0\xc7\xd1\xb3\xaa\xb9\xab\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"A tree branch which can be used in various ways as a simple tool.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7204: {
			unidentifiedDisplayName: "Gunpowder",
			unidentifiedResourceName: "\xc8\xad\xbe\xe0",
			unidentifiedDescriptionName: [
				"Explosive powder.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gunpowder",
			identifiedResourceName: "\xc8\xad\xbe\xe0",
			identifiedDescriptionName: [
				"Explosive powder.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7205: {
			unidentifiedDisplayName: "Piece of Black Cloth",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xc3\xb5\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A piece of jet black cloth that can not be seen in the dark.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Piece of Black Cloth",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xc3\xb5\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A piece of jet black cloth that can not be seen in the dark.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7206: {
			unidentifiedDisplayName: "Black Cat Doll",
			unidentifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A doll which resembles a black cat that almost seems alive.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Black Cat Doll",
			identifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A doll which resembles a black cat that almost seems alive.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7207: {
			unidentifiedDisplayName: "Old Manteau",
			unidentifiedResourceName: "\xb3\xca\xb4\xfa\xb0\xc5\xb8\xae\xb4\xc2\xb8\xc1\xc5\xe4",
			unidentifiedDescriptionName: [
				"An old, exhausted manteau.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Old Manteau",
			identifiedResourceName: "\xb3\xca\xb4\xfa\xb0\xc5\xb8\xae\xb4\xc2\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"An old, exhausted manteau.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7208: {
			unidentifiedDisplayName: "Rusty Kitchen Knife",
			unidentifiedResourceName: "\xb3\xec\xbd\xbc\xbd\xc4\xc4\xae",
			unidentifiedDescriptionName: [
				"A dull edged, rusty kitchen knife stained with blood.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rusty Kitchen Knife",
			identifiedResourceName: "\xb3\xec\xbd\xbc\xbd\xc4\xc4\xae",
			identifiedDescriptionName: [
				"A dull edged, rusty kitchen knife stained with blood.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7209: {
			unidentifiedDisplayName: "Helm of Dullahan",
			unidentifiedResourceName: "\xb5\xe0\xb6\xf3\xc7\xd1\xc0\xc7\xc5\xf5\xb1\xb8",
			unidentifiedDescriptionName: [
				"A helm that is said to be worn by Dullahan.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Helm of Dullahan",
			identifiedResourceName: "\xb5\xe0\xb6\xf3\xc7\xd1\xc0\xc7\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"A helm that is said to be worn by Dullahan.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7210: {
			unidentifiedDisplayName: "Armor Piece of Dullahan",
			unidentifiedResourceName: "\xb5\xe0\xb6\xf3\xc7\xd1\xb0\xa9\xbf\xca\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A broken piece of an armor said to be worn by Dullahan.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Armor Piece of Dullahan",
			identifiedResourceName: "\xb5\xe0\xb6\xf3\xc7\xd1\xb0\xa9\xbf\xca\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A broken piece of an armor said to be worn by Dullahan.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7211: {
			unidentifiedDisplayName: "Fragment of Rossata Stone",
			unidentifiedResourceName: "\xb7\xce\xc1\xa6\xc5\xb8\xbd\xba\xc5\xe6",
			unidentifiedDescriptionName: [
				"A broken piece of a stone with writing carved in an ancient language.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fragment of Rossata Stone",
			identifiedResourceName: "\xb7\xce\xc1\xa6\xc5\xb8\xbd\xba\xc5\xe6",
			identifiedDescriptionName: [
				"A broken piece of a stone with writing carved in an ancient language.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7212: {
			unidentifiedDisplayName: "Hung Doll",
			unidentifiedResourceName: "\xb8\xc5\xb4\xde\xb8\xb0\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A doll hung on a rope that appears to hold some sort of cursed spell.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hung Doll",
			identifiedResourceName: "\xb8\xc5\xb4\xde\xb8\xb0\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A doll hung on a rope that appears to hold some sort of cursed spell.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7213: {
			unidentifiedDisplayName: "Needle Packet",
			unidentifiedResourceName: "\xb9\xd9\xb4\xc3\xbd\xd3\xc1\xf6",
			unidentifiedDescriptionName: [
				"A packet, made with fabric, that is used to hold needles in place.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Needle Packet",
			identifiedResourceName: "\xb9\xd9\xb4\xc3\xbd\xd3\xc1\xf6",
			identifiedDescriptionName: [
				"A packet, made with fabric, that is used to hold needles in place.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7214: {
			unidentifiedDisplayName: "Bat Cage",
			unidentifiedResourceName: "\xb9\xda\xc1\xe3\xbf\xec\xb8\xae",
			unidentifiedDescriptionName: [
				"A cage which is used to hold a bat.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bat Cage",
			identifiedResourceName: "\xb9\xda\xc1\xe3\xbf\xec\xb8\xae",
			identifiedDescriptionName: [
				"A cage which is used to hold a bat.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7215: {
			unidentifiedDisplayName: "Broken Needle",
			unidentifiedResourceName: "\xba\xce\xb7\xaf\xc1\xf8\xb9\xd9\xb4\xc3",
			unidentifiedDescriptionName: [
				"Pieces of a broken needle.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Broken Needle",
			identifiedResourceName: "\xba\xce\xb7\xaf\xc1\xf8\xb9\xd9\xb4\xc3",
			identifiedDescriptionName: [
				"Pieces of a broken needle.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7216: {
			unidentifiedDisplayName: "Red Muffler",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xb8\xb6\xc8\xc4\xb6\xf3",
			unidentifiedDescriptionName: [
				"A red-colored fabric worn around the neck to protect its wearer from the cold.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Muffler",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xb8\xb6\xc8\xc4\xb6\xf3",
			identifiedDescriptionName: [
				"A red-colored fabric worn around the neck to protect its wearer from the cold.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7217: {
			unidentifiedDisplayName: "Spool",
			unidentifiedResourceName: "\xbd\xc7\xc6\xd0",
			unidentifiedDescriptionName: [
				"A sewing tool on which thread is wound.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spool",
			identifiedResourceName: "\xbd\xc7\xc6\xd0",
			identifiedDescriptionName: [
				"A sewing tool on which thread is wound.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7218: {
			unidentifiedDisplayName: "Decomposed Rope",
			unidentifiedResourceName: "\xbd\xe2\xc0\xba\xb9\xe5\xc1\xd9",
			unidentifiedDescriptionName: [
				"An old, rotten rope.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Decomposed Rope",
			identifiedResourceName: "\xbd\xe2\xc0\xba\xb9\xe5\xc1\xd9",
			identifiedDescriptionName: [
				"An old, rotten rope.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7219: {
			unidentifiedDisplayName: "Striped Sock",
			unidentifiedResourceName: "\xbe\xcb\xb7\xcf\xb4\xde\xb7\xcf\xc7\xd1\xbe\xe7\xb8\xbb",
			unidentifiedDescriptionName: [
				"A sock decorated with various colored stripes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Striped Sock",
			identifiedResourceName: "\xbe\xcb\xb7\xcf\xb4\xde\xb7\xcf\xc7\xd1\xbe\xe7\xb8\xbb",
			identifiedDescriptionName: [
				"A sock decorated with various colored stripes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7220: {
			unidentifiedDisplayName: "Ectoplasm",
			unidentifiedResourceName: "\xbe\xd7\xc5\xe4\xc7\xc3\xb6\xf3\xc1\xf2",
			unidentifiedDescriptionName: [
				"Green translucent liquid that is disgustingly sticky.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ectoplasm",
			identifiedResourceName: "\xbe\xd7\xc5\xe4\xc7\xc3\xb6\xf3\xc1\xf2",
			identifiedDescriptionName: [
				"Green translucent liquid that is disgustingly sticky.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7221: {
			unidentifiedDisplayName: "Tangled Chains",
			unidentifiedResourceName: "\xbe\xf4\xbe\xee\xb8\xc7\xbb\xe7\xbd\xbd",
			unidentifiedDescriptionName: [
				"A clump of chains that are hard to untangle.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tangled Chains",
			identifiedResourceName: "\xbe\xf4\xbe\xee\xb8\xc7\xbb\xe7\xbd\xbd",
			identifiedDescriptionName: [
				"A clump of chains that are hard to untangle.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7222: {
			unidentifiedDisplayName: "Wooden Gnarl",
			unidentifiedResourceName: "\xbf\xcb\xc0\xcc",
			unidentifiedDescriptionName: [
				"A gnarl of a tree.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wooden Gnarl",
			identifiedResourceName: "\xbf\xcb\xc0\xcc",
			identifiedDescriptionName: [
				"A gnarl of a tree.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7223: {
			unidentifiedDisplayName: "Contorted Self-Portrait",
			unidentifiedResourceName: "\xc0\xcf\xb1\xd7\xb7\xaf\xc1\xf8\xc0\xda\xc8\xad\xbb\xf3",
			unidentifiedDescriptionName: [
				"A self-portrait of someone contorting his facial expression.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Contorted Self-Portrait",
			identifiedResourceName: "\xc0\xcf\xb1\xd7\xb7\xaf\xc1\xf8\xc0\xda\xc8\xad\xbb\xf3",
			identifiedDescriptionName: [
				"A self-portrait of someone contorting his facial expression.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7224: {
			unidentifiedDisplayName: "Stone of Sage",
			unidentifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xb5\xb9",
			unidentifiedDescriptionName: [
				"A very mysterious stone, rumored to change normal metals into pure gold.",
				"People have been searching for it for ages. It has a soft, warm, red color.",
				"^ffffff_^000000",
				"Note :^ee0000 This item is, apparently, not used anymore in official servers. It has been replaced with an usable version capable of evolving Homunculus^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stone of Sage",
			identifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xb5\xb9",
			identifiedDescriptionName: [
				"A very mysterious stone, rumored to change normal metals into pure gold.",
				"People have been searching for it for ages. It has a soft, warm, red color.",
				"^ffffff_^000000",
				"Note :^ee0000 This item is, apparently, not used anymore in official servers. It has been replaced with an usable version capable of evolving Homunculus^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7225: {
			unidentifiedDisplayName: "Pumpkin Lantern",
			unidentifiedResourceName: "\xc8\xa3\xb9\xda\xc3\xca\xb7\xd5",
			unidentifiedDescriptionName: [
				"A funny lantern made with a pumpkin, carved with a smiley face, containing a lit candle.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pumpkin Lantern",
			identifiedResourceName: "\xc8\xa3\xb9\xda\xc3\xca\xb7\xd5",
			identifiedDescriptionName: [
				"A funny lantern made with a pumpkin, carved with a smiley face, containing a lit candle.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7226: {
			unidentifiedDisplayName: "Pellet",
			unidentifiedResourceName: "\xc8\xaf\xbe\xe0",
			unidentifiedDescriptionName: [
				"A small, round pill that looks like it will taste bitter.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pellet",
			identifiedResourceName: "\xc8\xaf\xbe\xe0",
			identifiedDescriptionName: [
				"A small, round pill that looks like it will taste bitter.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7227: {
			unidentifiedDisplayName: "TCG Card",
			unidentifiedResourceName: "\x54\x43\x47\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"Ragnarok Trading Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "TCG Card",
			identifiedResourceName: "\x54\x43\x47\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"Ragnarok Trading Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7228: {
			unidentifiedDisplayName: "Gold Bullion",
			unidentifiedResourceName: "\xb1\xdd\xb1\xab",
			unidentifiedDescriptionName: [
				"A bar of pure gold which can be used as currency.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Gold Bullion",
			identifiedResourceName: "\xb1\xdd\xb1\xab",
			identifiedDescriptionName: [
				"A bar of pure gold which can be used as currency.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7229: {
			unidentifiedDisplayName: "Silver Bullion",
			unidentifiedResourceName: "\xc0\xba\xb1\xab",
			unidentifiedDescriptionName: [
				"A bar of pure silver which can be used as currency.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Silver Bullion",
			identifiedResourceName: "\xc0\xba\xb1\xab",
			identifiedDescriptionName: [
				"A bar of pure silver which can be used as currency.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7230: {
			unidentifiedDisplayName: "Platinum Bullion",
			unidentifiedResourceName: "\xb9\xe9\xb1\xdd\xb1\xab",
			unidentifiedDescriptionName: [
				"A bar of pure platinum. Platinum is a very rare metal and is more valuable than gold.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Platinum Bullion",
			identifiedResourceName: "\xb9\xe9\xb1\xdd\xb1\xab",
			identifiedDescriptionName: [
				"A bar of pure platinum. Platinum is a very rare metal and is more valuable than gold.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7231: {
			unidentifiedDisplayName: "Gold Ore",
			unidentifiedResourceName: "\xb1\xdd\xb1\xa4\xbc\xae",
			unidentifiedDescriptionName: [
				"An ore containing gold which can be purified to make gold.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Gold Ore",
			identifiedResourceName: "\xb1\xdd\xb1\xa4\xbc\xae",
			identifiedDescriptionName: [
				"An ore containing gold which can be purified to make gold.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7232: {
			unidentifiedDisplayName: "Silver Ore",
			unidentifiedResourceName: "\xc0\xba\xb1\xa4\xbc\xae",
			unidentifiedDescriptionName: [
				"An ore containing silver which can be purified to make silver.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Silver Ore",
			identifiedResourceName: "\xc0\xba\xb1\xa4\xbc\xae",
			identifiedDescriptionName: [
				"An ore containing silver which can be purified to make silver.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7233: {
			unidentifiedDisplayName: "Mithril Ore",
			unidentifiedResourceName: "\xb9\xcc\xbd\xba\xb8\xb1\xb1\xa4\xbc\xae",
			unidentifiedDescriptionName: [
				"An ore containing mythril which can be purified to make mythril.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Mithril Ore",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xb8\xb1\xb1\xa4\xbc\xae",
			identifiedDescriptionName: [
				"An ore containing mythril which can be purified to make mythril.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7234: {
			unidentifiedDisplayName: "Spirit of Guild",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue which stands for the comradeship of guilds men.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Guild",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue which stands for the comradeship of guilds men.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7235: {
			unidentifiedDisplayName: "Spirit of Charge",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue honoring the spirit of brave warriors.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Charge",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue honoring the spirit of brave warriors.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7236: {
			unidentifiedDisplayName: "Spirit of Protection",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue made in recognition of protective warriors.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Protection",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue made in recognition of protective warriors.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7237: {
			unidentifiedDisplayName: "Spirit of Association",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue symbolizing the spirit of cooperation.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Association",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue symbolizing the spirit of cooperation.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7238: {
			unidentifiedDisplayName: "Spirit of Coordination",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue which stands for the spirit of harmony.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Coordination",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue which stands for the spirit of harmony.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7239: {
			unidentifiedDisplayName: "Spirit of Advance",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue honoring exemplary leadership.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Advance",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue honoring exemplary leadership.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7240: {
			unidentifiedDisplayName: "Spirit of Trust",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue which symbolizes trust.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Trust",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue which symbolizes trust.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7241: {
			unidentifiedDisplayName: "Spirit of Union",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue honoring the spirit of beginners.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Union",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue honoring the spirit of beginners.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7242: {
			unidentifiedDisplayName: "Spirit of Combination",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue which stands for teamwork.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Combination",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue which stands for teamwork.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7243: {
			unidentifiedDisplayName: "Spirit of Cooperation",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue which describes spirit of assistance.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Cooperation",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue which describes spirit of assistance.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7244: {
			unidentifiedDisplayName: "Spirit of Solidarity",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue symbolizing the spirit of unity for a common cause.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Solidarity",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue symbolizing the spirit of unity for a common cause.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7245: {
			unidentifiedDisplayName: "Spirit of Friendship",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue which stands for friendship.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Friendship",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue which stands for friendship.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7246: {
			unidentifiedDisplayName: "Spirit of Peace",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue symbolizing peace.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Peace",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue symbolizing peace.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7247: {
			unidentifiedDisplayName: "Spirit of Determination",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue which symbolizes challenge.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Determination",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue which symbolizes challenge.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7248: {
			unidentifiedDisplayName: "Spirit of Honor",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue which stands for honor.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Honor",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue which stands for honor.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7249: {
			unidentifiedDisplayName: "Spirit of Service",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue which stands for sacrifice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Service",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue which stands for sacrifice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7250: {
			unidentifiedDisplayName: "Spirit of Glory",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue which symbolizes the joy of achievement.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Glory",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue which symbolizes the joy of achievement.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7251: {
			unidentifiedDisplayName: "Spirit of Victory",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A statue which signifies the spirit of emerging victorious.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit of Victory",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A statue which signifies the spirit of emerging victorious.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7252: {
			unidentifiedDisplayName: "Herb Medicine",
			unidentifiedResourceName: "\xc7\xd1\xb9\xe6\xbe\xe0\xc0\xe7",
			unidentifiedDescriptionName: [
				"An herbal medicine which is used in the eastern countries.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Herbal Medicine",
			identifiedResourceName: "\xc7\xd1\xb9\xe6\xbe\xe0\xc0\xe7",
			identifiedDescriptionName: [
				"An herbal medicine which is used in the eastern countries.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7253: {
			unidentifiedDisplayName: "Golden Korean Flag",
			unidentifiedResourceName: "\xc5\xc2\xb1\xd8\xb1\xe2",
			unidentifiedDescriptionName: [
				"A golden Korean national flag.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golden Korean Flag",
			identifiedResourceName: "\xc5\xc2\xb1\xd8\xb1\xe2",
			identifiedDescriptionName: [
				"A golden Korean national flag.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7254: {
			unidentifiedDisplayName: "Digital Picture Printing Coupon",
			unidentifiedResourceName: "\xb5\xf0\xc1\xf6\xc5\xd0\xc0\xce\xc8\xad\xb1\xc7",
			unidentifiedDescriptionName: [
				"A small, square shaped paper which has ^000088\"www.op.co.kr\"^000000 written on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Digital Picture Printing Coupon",
			identifiedResourceName: "\xb5\xf0\xc1\xf6\xc5\xd0\xc0\xce\xc8\xad\xb1\xc7",
			identifiedDescriptionName: [
				"A small, square shaped paper which has ^000088\"www.op.co.kr\"^000000 written on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7255: {
			unidentifiedDisplayName: "Mystic Orb",
			unidentifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x31",
			unidentifiedDescriptionName: [
				"A red orb with the word 'Hsien' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mystic Orb",
			identifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x31",
			identifiedDescriptionName: [
				"A red orb with the word 'Hsien' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7256: {
			unidentifiedDisplayName: "Mystic Orb",
			unidentifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x32",
			unidentifiedDescriptionName: [
				"A red orb with the word 'State' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mystic Orb",
			identifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x32",
			identifiedDescriptionName: [
				"A red orb with the word 'State' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7257: {
			unidentifiedDisplayName: "Mystic Orb",
			unidentifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x33",
			unidentifiedDescriptionName: [
				"A red orb with the word 'Life' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mystic Orb",
			identifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x33",
			identifiedDescriptionName: [
				"A red orb with the word 'Life' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7258: {
			unidentifiedDisplayName: "Mystic Orb",
			unidentifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x34",
			unidentifiedDescriptionName: [
				"A red orb with the word 'Doctrine' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mystic Orb",
			identifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x34",
			identifiedDescriptionName: [
				"A red orb with the word 'Doctrine' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7259: {
			unidentifiedDisplayName: "Mystic Orb",
			unidentifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x35",
			unidentifiedDescriptionName: [
				"A red orb with the words 'All Around' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mystic Orb",
			identifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x35",
			identifiedDescriptionName: [
				"A red orb with the words 'All Around' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7260: {
			unidentifiedDisplayName: "Mystic Orb",
			unidentifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x36",
			unidentifiedDescriptionName: [
				"A red orb with the word 'Year' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mystic Orb",
			identifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x36",
			identifiedDescriptionName: [
				"A red orb with the word 'Year' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7261: {
			unidentifiedDisplayName: "Mystic Orb",
			unidentifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x37",
			unidentifiedDescriptionName: [
				"A red orb with the words 'Good Luck' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mystic Orb",
			identifiedResourceName: "\xc1\xdf\xb1\xb9\x31\xc1\xd6\xb3\xe2\x30\x37",
			identifiedDescriptionName: [
				"A red orb with the words 'Good Luck' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7262: {
			unidentifiedDisplayName: "Folding Fan of Cat Ghost",
			unidentifiedResourceName: "\xba\xce\xc3\xa4",
			unidentifiedDescriptionName: [
				"A folding fan which is very useful in summer.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Folding Fan of Cat Ghost",
			identifiedResourceName: "\xba\xce\xc3\xa4",
			identifiedDescriptionName: [
				"A folding fan which is very useful in summer.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7263: {
			unidentifiedDisplayName: "Cat's Eye",
			unidentifiedResourceName: "\xb9\xa6\xbe\xc8\xbc\xae",
			unidentifiedDescriptionName: [
				"A gem which looks like the eye of a cat. It's very rare and beautiful.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cat's Eye",
			identifiedResourceName: "\xb9\xa6\xbe\xc8\xbc\xae",
			identifiedDescriptionName: [
				"A gem which looks like the eye of a cat. It's very rare and beautiful.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7264: {
			unidentifiedDisplayName: "Dry Sand",
			unidentifiedResourceName: "\xb8\xb6\xb8\xa5\xb8\xf0\xb7\xa1",
			unidentifiedDescriptionName: [
				"Dry sand which can be easily found on the street.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dry Sand",
			identifiedResourceName: "\xb8\xb6\xb8\xa5\xb8\xf0\xb7\xa1",
			identifiedDescriptionName: [
				"Dry sand which can be easily found on the street.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7265: {
			unidentifiedDisplayName: "Dragon Horn",
			unidentifiedResourceName: "\xbf\xeb\xbb\xd4",
			unidentifiedDescriptionName: [
				"A decorative horn from a dragon mask.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Horn",
			identifiedResourceName: "\xbf\xeb\xbb\xd4",
			identifiedDescriptionName: [
				"A decorative horn from a dragon mask.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7266: {
			unidentifiedDisplayName: "Denture from Dragon Mask",
			unidentifiedResourceName: "\xbf\xeb\xc0\xcc\xbb\xa1",
			unidentifiedDescriptionName: [
				"A tooth cut from a dragon mask. It seems to be made from a different material than the rest of the mask, which is wooden.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Denture from Dragon Mask",
			identifiedResourceName: "\xbf\xeb\xc0\xcc\xbb\xa1",
			identifiedDescriptionName: [
				"A tooth cut from a dragon mask. It seems to be made from a different material than the rest of the mask, which is wooden.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7267: {
			unidentifiedDisplayName: "Tiger Panty",
			unidentifiedResourceName: "\xc8\xa3\xc7\xc7\xc6\xd2\xc6\xbc",
			unidentifiedDescriptionName: [
				"A panty made of tiger skin. It looks warm, yet wild and untamed.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tiger Panty",
			identifiedResourceName: "\xc8\xa3\xc7\xc7\xc6\xd2\xc6\xbc",
			identifiedDescriptionName: [
				"A panty made of tiger skin. It looks warm, yet wild and untamed.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7268: {
			unidentifiedDisplayName: "Little Ghost Doll",
			unidentifiedResourceName: "\xbc\xd2\xb1\xcd\xb7\xc9",
			unidentifiedDescriptionName: [
				"A kind of spirit that has a red ribbon on its head.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Little Ghost Doll",
			identifiedResourceName: "\xbc\xd2\xb1\xcd\xb7\xc9",
			identifiedDescriptionName: [
				"A kind of spirit that has a red ribbon on its head.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7269: {
			unidentifiedDisplayName: "Pinafore",
			unidentifiedResourceName: "\xc5\xce\xb9\xde\xc4\xa7",
			unidentifiedDescriptionName: [
				"A soft cloth which is worn around the neck of an infant to protect the chest from spilled milk and baby drool.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pinafore",
			identifiedResourceName: "\xc5\xce\xb9\xde\xc4\xa7",
			identifiedDescriptionName: [
				"A soft cloth which is worn around the neck of an infant to protect the chest from spilled milk and baby drool.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7270: {
			unidentifiedDisplayName: "Nursing Bottle",
			unidentifiedResourceName: "\xbf\xec\xc0\xaf\xba\xb4",
			unidentifiedDescriptionName: [
				"Milk that is bottled for infants.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nursing Bottle",
			identifiedResourceName: "\xbf\xec\xc0\xaf\xba\xb4",
			identifiedDescriptionName: [
				"Milk that is bottled for infants.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7271: {
			unidentifiedDisplayName: "Novice Figure",
			unidentifiedResourceName: "\xc7\xc7\xb1\xd4\xbe\xee",
			unidentifiedDescriptionName: [
				"Ragnarok Novice Figure.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Novice Figure",
			identifiedResourceName: "\xc7\xc7\xb1\xd4\xbe\xee",
			identifiedDescriptionName: [
				"Ragnarok Novice Figure.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7272: {
			unidentifiedDisplayName: "Rice Ball Doll",
			unidentifiedResourceName: "\xc1\xd6\xb8\xd4\xb9\xe4\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A doll which resembles a lump of rice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rice Ball Doll",
			identifiedResourceName: "\xc1\xd6\xb8\xd4\xb9\xe4\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A doll which resembles a lump of rice.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7273: {
			unidentifiedDisplayName: "RWC Necklace",
			unidentifiedResourceName: "\xb1\xdd\xb8\xf1\xb0\xc9\xc0\xcc",
			unidentifiedDescriptionName: [
				"A golden necklace made for celebrating RWC.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "RWC Necklace",
			identifiedResourceName: "\xb1\xdd\xb8\xf1\xb0\xc9\xc0\xcc",
			identifiedDescriptionName: [
				"A golden necklace made for celebrating RWC.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7274: {
			unidentifiedDisplayName: "Translated Ancient Language",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xc7\xd8\xbc\xae\xb9\xae",
			unidentifiedDescriptionName: [
				"\"The door leading to the great power can be found under the twilight sky from the tower of the heaven.",
				"The key to the door will be the grass living under the Sun.\"",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Translated Ancient Language",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xc7\xd8\xbc\xae\xb9\xae",
			identifiedDescriptionName: [
				"\"The door leading to the great power can be found under the twilight sky from the tower of the heaven.",
				"The key to the door will be the grass living under the Sun.\"",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7275: {
			unidentifiedDisplayName: "Record of Ancient Language",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Paper with writing in an ancient language obtained from 'Sobbing Starlight'.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Record of Ancient Language",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Paper with writing in an ancient language obtained from 'Sobbing Starlight'.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7276: {
			unidentifiedDisplayName: "Doodled Message",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb2\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"A message made of pictures doodled by a small child.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Doodled Message",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"A message made of pictures doodled by a small child.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7277: {
			unidentifiedDisplayName: "Munak Doll",
			unidentifiedResourceName: "\xb9\xab\xb3\xab\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A doll made in the appearance of a young girl.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Munak Doll",
			identifiedResourceName: "\xb9\xab\xb3\xab\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A doll made in the appearance of a young girl.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7278: {
			unidentifiedDisplayName: "Letter to Wife",
			unidentifiedResourceName: "\xbe\xc8\xba\xce\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"A letter written by a husband to his wife. It describes how anxious he is about her.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Letter to Wife",
			identifiedResourceName: "\xbe\xc8\xba\xce\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"A letter written by a husband to his wife. It describes how anxious he is about her.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7279: {
			unidentifiedDisplayName: "Vita500 Lid",
			unidentifiedResourceName: "\xba\xf1\xc5\xb8\x35\x30\x30\xb6\xd1\xb2\xb1",
			unidentifiedDescriptionName: [
				"The cover of Vita 500, the vitamin C liquid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vita500 Lid",
			identifiedResourceName: "\xba\xf1\xc5\xb8\x35\x30\x30\xb6\xd1\xb2\xb1",
			identifiedDescriptionName: [
				"The cover of Vita 500, the vitamin C liquid.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7280: {
			unidentifiedDisplayName: "1st Quiz Entry",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7\x30\x31",
			unidentifiedDescriptionName: [
				"Qualifying Pass of Participation for the 1st Intellectual Revolution.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "1st Quiz Entry",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7\x30\x31",
			identifiedDescriptionName: [
				"Qualifying Pass of Participation for the 1st Intellectual Revolution.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7281: {
			unidentifiedDisplayName: "2nd Quiz Entry",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7\x30\x32",
			unidentifiedDescriptionName: [
				"Qualifying Pass of Participation for the 2nd Intellectual Revolution.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "2nd Quiz Entry",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7\x30\x32",
			identifiedDescriptionName: [
				"Qualifying Pass of Participation for the 2nd Intellectual Revolution.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7282: {
			unidentifiedDisplayName: "3rd Quiz Entry",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7\x30\x33",
			unidentifiedDescriptionName: [
				"Qualifying Pass of Participation for the 3rd Intellectual Revolution.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "3rd Quiz Entry",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7\x30\x33",
			identifiedDescriptionName: [
				"Qualifying Pass of Participation for the 3rd Intellectual Revolution.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7283: {
			unidentifiedDisplayName: "4th Quiz Entry",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7\x30\x34",
			unidentifiedDescriptionName: [
				"Qualifying Pass of Participation for the 4th Intellectual Revolution.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "4th Quiz Entry",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7\x30\x34",
			identifiedDescriptionName: [
				"Qualifying Pass of Participation for the 4th Intellectual Revolution.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7284: {
			unidentifiedDisplayName: "5th Quiz Entry",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7\x30\x35",
			unidentifiedDescriptionName: [
				"Qualifying Pass of Participation for the 5th Intellectual Revolution.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "5th Quiz Entry",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7\x30\x35",
			identifiedDescriptionName: [
				"Qualifying Pass of Participation for the 5th Intellectual Revolution.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7285: {
			unidentifiedDisplayName: "Holy Threads",
			unidentifiedResourceName: "\xbd\xc7\xc5\xb8\xb7\xa1",
			unidentifiedDescriptionName: [
				"A skein of threads which possesses a holy power within.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Holy Threads",
			identifiedResourceName: "\xbd\xc7\xc5\xb8\xb7\xa1",
			identifiedDescriptionName: [
				"A skein of threads which possesses a holy power within.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7286: {
			unidentifiedDisplayName: "Red Chile",
			unidentifiedResourceName: "\xc4\xa5\xb8\xae",
			unidentifiedDescriptionName: [
				"A kind of spice in a vivid red color.",
				"Add a spicy taste in food.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Chile",
			identifiedResourceName: "\xc4\xa5\xb8\xae",
			identifiedDescriptionName: [
				"A kind of spice in a vivid red color.",
				"Add a spicy taste in food.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7287: {
			unidentifiedDisplayName: "Holier Threads",
			unidentifiedResourceName: "\xbd\xc7\xc5\xb8\xb7\xa1",
			unidentifiedDescriptionName: [
				"Enhanced holy yarn that makes you feels as if there's a holy blessing around you.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Holier Threads",
			identifiedResourceName: "\xbd\xc7\xc5\xb8\xb7\xa1",
			identifiedDescriptionName: [
				"Enhanced holy yarn that makes you feels as if there's a holy blessing around you.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7288: {
			unidentifiedDisplayName: "Engagement Ring",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"A solid, beautiful engagement ring in which the profound words 'Slave of Love' are engraved.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Engagement Ring",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A solid, beautiful engagement ring in which the profound words 'Slave of Love' are engraved.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7289: {
			unidentifiedDisplayName: "Peridot",
			unidentifiedResourceName: "\xb0\xa8\xb6\xf7\xbc\xae",
			unidentifiedDescriptionName: [
				"A gemstone which is also called 'Olivine'.",
				"Symbolizes peace of mind and wisdom.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Peridot",
			identifiedResourceName: "\xb0\xa8\xb6\xf7\xbc\xae",
			identifiedDescriptionName: [
				"A gemstone which is also called 'Olivine'.",
				"Symbolizes peace of mind and wisdom.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7290: {
			unidentifiedDisplayName: "Phlogopite",
			unidentifiedResourceName: "\xb1\xdd\xbf\xee\xb8\xf0",
			unidentifiedDescriptionName: [
				"A pearl gray gemstone which means 'Like Fire'.",
				"Symbolizes motherly love.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Phlogopite",
			identifiedResourceName: "\xb1\xdd\xbf\xee\xb8\xf0",
			identifiedDescriptionName: [
				"A pearl gray gemstone which means 'Like Fire'.",
				"Symbolizes motherly love.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7291: {
			unidentifiedDisplayName: "Agate",
			unidentifiedResourceName: "\xb8\xb6\xb3\xeb",
			unidentifiedDescriptionName: [
				"A very hard stone which is used to make jewelry.",
				"Symbolizes protection and stability.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Agate",
			identifiedResourceName: "\xb8\xb6\xb3\xeb",
			identifiedDescriptionName: [
				"A very hard stone which is used to make jewelry.",
				"Symbolizes protection and stability.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7292: {
			unidentifiedDisplayName: "Muscovite",
			unidentifiedResourceName: "\xb9\xe9\xbf\xee\xb8\xf0",
			unidentifiedDescriptionName: [
				"A silicate mineral which has a pearly luster.",
				"Symbolizes motivation recovery.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Muscovite",
			identifiedResourceName: "\xb9\xe9\xbf\xee\xb8\xf0",
			identifiedDescriptionName: [
				"A silicate mineral which has a pearly luster.",
				"Symbolizes motivation recovery.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7293: {
			unidentifiedDisplayName: "Rose Quartz",
			unidentifiedResourceName: "\xc0\xe5\xb9\xcc\xbc\xae\xbf\xb5",
			unidentifiedDescriptionName: [
				"A pinkish quartz which is used as a gemstone or as an ornamental stone.",
				"Symbolizes self-esteem.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Rose Quartz",
			identifiedResourceName: "\xc0\xe5\xb9\xcc\xbc\xae\xbf\xb5",
			identifiedDescriptionName: [
				"A pinkish quartz which is used as a gemstone or as an ornamental stone.",
				"Symbolizes self-esteem.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7294: {
			unidentifiedDisplayName: "Turquoise",
			unidentifiedResourceName: "\xc5\xcd\xc5\xb0\xbc\xae",
			unidentifiedDescriptionName: [
				"A bluish green stone which is commonly used as a gem or an ornamental stone.",
				"Symbolizes mental power.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Turquoise",
			identifiedResourceName: "\xc5\xcd\xc5\xb0\xbc\xae",
			identifiedDescriptionName: [
				"A bluish green stone which is commonly used as a gem or an ornamental stone.",
				"Symbolizes mental power.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7295: {
			unidentifiedDisplayName: "Citrin",
			unidentifiedResourceName: "\xc8\xb2\xbc\xf6\xc1\xa4",
			unidentifiedDescriptionName: [
				"A topaz which ancient people believed was a form of frozen ice.",
				"Symbolizes communicative conversation and mental calm.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Citrin",
			identifiedResourceName: "\xc8\xb2\xbc\xf6\xc1\xa4",
			identifiedDescriptionName: [
				"A topaz which ancient people believed was a form of frozen ice.",
				"Symbolizes communicative conversation and mental calm.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7296: {
			unidentifiedDisplayName: "Pyroxene",
			unidentifiedResourceName: "\xc8\xd6\xbc\xae",
			unidentifiedDescriptionName: [
				"A group of crystalline silicate mineral common in igneous and metamorphic rocks.",
				"Symbolizes cure and restoration.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Pyroxene",
			identifiedResourceName: "\xc8\xd6\xbc\xae",
			identifiedDescriptionName: [
				"A group of crystalline silicate mineral common in igneous and metamorphic rocks.",
				"Symbolizes cure and restoration.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7297: {
			unidentifiedDisplayName: "Biotite",
			unidentifiedResourceName: "\xc8\xe6\xbf\xee\xb8\xf0",
			unidentifiedDescriptionName: [
				"A common dark mica.",
				"Symbolizes spiritual support.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Biotite",
			identifiedResourceName: "\xc8\xe6\xbf\xee\xb8\xf0",
			identifiedDescriptionName: [
				"A common dark mica.",
				"Symbolizes spiritual support.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7298: {
			unidentifiedDisplayName: "Fig Leaf",
			unidentifiedResourceName: "\xb3\xaa\xb9\xb5\xc0\xd9\xbf\xca",
			unidentifiedDescriptionName: [
				"Two giant leaves that can be used as emergency clothes in a pinch.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fig Leaf",
			identifiedResourceName: "\xb3\xaa\xb9\xb5\xc0\xd9\xbf\xca",
			identifiedDescriptionName: [
				"Two giant leaves that can be used as emergency clothes in a pinch.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7299: {
			unidentifiedDisplayName: "Straw Basket",
			unidentifiedResourceName: "\xbc\xd2\xc4\xed\xb8\xae",
			unidentifiedDescriptionName: [
				"A basket made with straws.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Straw Basket",
			identifiedResourceName: "\xbc\xd2\xc4\xed\xb8\xae",
			identifiedDescriptionName: [
				"A basket made with straws.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7300: {
			unidentifiedDisplayName: "Gemstone",
			unidentifiedResourceName: "\xbf\xf8\xbc\xae",
			unidentifiedDescriptionName: [
				"An ore containing gems. There are many minerals mixed within the ore, but it would be possible to extract various gems from it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gemstone",
			identifiedResourceName: "\xbf\xf8\xbc\xae",
			identifiedDescriptionName: [
				"An ore containing gems. There are many minerals mixed within the ore, but it would be possible to extract various gems from it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7301: {
			unidentifiedDisplayName: "Tassel",
			unidentifiedResourceName: "\xc4\xae\xc0\xe5\xbd\xc4\xbf\xeb\xbd\xc7",
			unidentifiedDescriptionName: [
				"A bunch of short and red threads which seems to be used for decorating the hilt of a sword.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tassel",
			identifiedResourceName: "\xc4\xae\xc0\xe5\xbd\xc4\xbf\xeb\xbd\xc7",
			identifiedDescriptionName: [
				"A bunch of short and red threads which seems to be used for decorating the hilt of a sword.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7302: {
			unidentifiedDisplayName: "Krathong",
			unidentifiedResourceName: "\x4b\x52\x41\x54\x48\x4f\x4e\x47",
			unidentifiedDescriptionName: [
				"A small boat made with banana leaves and decorated with flowers.",
				"It is used for making a wish or comforting a spirit.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Krathong",
			identifiedResourceName: "\x4b\x52\x41\x54\x48\x4f\x4e\x47",
			identifiedDescriptionName: [
				"A small boat made with banana leaves and decorated with flowers.",
				"It is used for making a wish or comforting a spirit.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7303: {
			unidentifiedDisplayName: "Straw Rice Bag",
			unidentifiedResourceName: "\xbd\xd2\xb0\xa1\xb8\xb6\xb4\xcf",
			unidentifiedDescriptionName: [
				"A bag made out of straw that is used to store rice.",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			identifiedDisplayName: "Straw Rice Bag",
			identifiedResourceName: "\xbd\xd2\xb0\xa1\xb8\xb6\xb4\xcf",
			identifiedDescriptionName: [
				"A bag made out of straw that is used to store rice.",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7304: {
			unidentifiedDisplayName: "Witch's Spell Scroll",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A worn out scroll with illegible text written in an ancient language.",
				"The only word you can read is 'Kirkana.'",
			],
			identifiedDisplayName: "Witch's Spell Scroll",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A worn out scroll with illegible text written in an ancient language.",
				"The only word you can read is 'Kirkana.'",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7305: {
			unidentifiedDisplayName: "Symbol of the Nine Realms",
			unidentifiedResourceName: "\xbe\xc6\xc8\xa9\xbc\xbc\xb0\xe8\xc0\xc7\xb1\xc7\xc0\xa7",
			unidentifiedDescriptionName: [
				"An emblem which signifies the authority to rule over the nine realms of the dead.",
				"Seers can sense its ominous powers.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Symbol of the Nine Realms",
			identifiedResourceName: "\xbe\xc6\xc8\xa9\xbc\xbc\xb0\xe8\xc0\xc7\xb1\xc7\xc0\xa7",
			identifiedDescriptionName: [
				"An emblem which signifies the authority to rule over the nine realms of the dead.",
				"Seers can sense its ominous powers.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7306: {
			unidentifiedDisplayName: "Piece of Spirit",
			unidentifiedResourceName: "\xbf\xb5\xc8\xa5\xc0\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A strange object which looks like a tiny soul is flickering from within.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Piece of Spirit",
			identifiedResourceName: "\xbf\xb5\xc8\xa5\xc0\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A strange object which looks like a tiny soul is flickering from within.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7307: {
			unidentifiedDisplayName: "Spiritual Whispers",
			unidentifiedResourceName: "\xbf\xb5\xc8\xa5\xc0\xc7\xbc\xd3\xbb\xe8\xc0\xd3",
			unidentifiedDescriptionName: [
				"A curious object that almost seems alive, especially since it faintly whispers to you.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spiritual Whispers",
			identifiedResourceName: "\xbf\xb5\xc8\xa5\xc0\xc7\xbc\xd3\xbb\xe8\xc0\xd3",
			identifiedDescriptionName: [
				"A curious object that almost seems alive, especially since it faintly whispers to you.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7308: {
			unidentifiedDisplayName: "Witch's Tonic",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xb9\xb0\xbe\xe0",
			unidentifiedDescriptionName: [
				"An enchanted tonic that causes the loss of key memories of your past.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Witch's Tonic",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xb9\xb0\xbe\xe0",
			identifiedDescriptionName: [
				"An enchanted tonic that causes the loss of key memories of your past.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7309: {
			unidentifiedDisplayName: "Crow Wing",
			unidentifiedResourceName: "\xb1\xee\xb8\xb6\xb1\xcd\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"A crow's wing that can temporarily grant a person the power of flight.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crow Wing",
			identifiedResourceName: "\xb1\xee\xb8\xb6\xb1\xcd\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"A crow's wing that can temporarily grant a person the power of flight.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7310: {
			unidentifiedDisplayName: "Free Ticket for Peco Ride",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A ticket that can be used once to waive the fee for a Peco Peco rental.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Free Ticket for Peco Ride",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A ticket that can be used once to waive the fee for a Peco Peco rental.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7311: {
			unidentifiedDisplayName: "Free Ticket for Flyship",
			unidentifiedResourceName: "\xb1\xe2\xba\xce\xc1\xf5\xb8\xed\xbc\xad",
			unidentifiedDescriptionName: [
				"A ticket that can be used once to waive the fee for riding the Airship.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Free Ticket for Flyship",
			identifiedResourceName: "\xb1\xe2\xba\xce\xc1\xf5\xb8\xed\xbc\xad",
			identifiedDescriptionName: [
				"A ticket that can be used once to waive the fee for riding the Airship.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7312: {
			unidentifiedDisplayName: "Jubilee",
			unidentifiedResourceName: "\xc1\xea\xba\xf4\xb7\xb9",
			unidentifiedDescriptionName: [
				"A crystallization, dropped from monsters, whose name means joyous celebration.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jubilee",
			identifiedResourceName: "\xc1\xea\xba\xf4\xb7\xb9",
			identifiedDescriptionName: [
				"A crystallization, dropped from monsters, whose name means joyous celebration.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7313: {
			unidentifiedDisplayName: "Witch's Medal",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xf5\xc7\xa5",
			unidentifiedDescriptionName: [
				"A medal rewarded to honorable witches.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Witch's Medal",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xf5\xc7\xa5",
			identifiedDescriptionName: [
				"A medal rewarded to honorable witches.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7314: {
			unidentifiedDisplayName: "The Sign",
			unidentifiedResourceName: "\xb4\xf5\xbb\xe7\xc0\xce",
			unidentifiedDescriptionName: [
				"A voucher that allows entrance into Valhalla.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "The Sign",
			identifiedResourceName: "\xb4\xf5\xbb\xe7\xc0\xce",
			identifiedDescriptionName: [
				"A voucher that allows entrance into Valhalla.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7315: {
			unidentifiedDisplayName: "Dark Crystal Fragment",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A sharp, shiny fragment broken off a dark crystal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dark Crystal Fragment",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A sharp, shiny fragment broken off a dark crystal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7316: {
			unidentifiedDisplayName: "Insect Leg",
			unidentifiedResourceName: "\xb1\xe4\xb4\xd9\xb8\xae",
			unidentifiedDescriptionName: [
				"A severed bug's leg that is as sharp as a scythe.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Insect Leg",
			identifiedResourceName: "\xb1\xe4\xb4\xd9\xb8\xae",
			identifiedDescriptionName: [
				"A severed bug's leg that is as sharp as a scythe.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7317: {
			unidentifiedDisplayName: "Rusty Screw",
			unidentifiedResourceName: "\xb3\xaa\xbb\xe7",
			unidentifiedDescriptionName: [
				"A rusty screw that has come off a machine. It might be usable if it were polished enough.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rusty Screw",
			identifiedResourceName: "\xb3\xaa\xbb\xe7",
			identifiedDescriptionName: [
				"A rusty screw that has come off a machine. It might be usable if it were polished enough.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7318: {
			unidentifiedDisplayName: "Old Pick",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb0\xee\xb1\xaa\xc0\xcc",
			unidentifiedDescriptionName: [
				"A tool used to break rocks or the ground.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Old Pick",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb0\xee\xb1\xaa\xc0\xcc",
			identifiedDescriptionName: [
				"A tool used to break rocks or the ground.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7319: {
			unidentifiedDisplayName: "Used Iron Plate",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xb6\xc6\xc7",
			unidentifiedDescriptionName: [
				"A battered iron plate that seems to have fallen off some machine.",
				"It might be handy for covering a hole in another machine.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Used Iron Plate",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xb6\xc6\xc7",
			identifiedDescriptionName: [
				"A battered iron plate that seems to have fallen off some machine.",
				"It might be handy for covering a hole in another machine.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7320: {
			unidentifiedDisplayName: "Dust Pollutant",
			unidentifiedResourceName: "\xba\xd0\xc1\xf8",
			unidentifiedDescriptionName: [
				"Very small, dry particles, dispersed widely in the air, are a major cause of environmental pollution.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dust Pollutant",
			identifiedResourceName: "\xba\xd0\xc1\xf8",
			identifiedDescriptionName: [
				"Very small, dry particles, dispersed widely in the air, are a major cause of environmental pollution.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7321: {
			unidentifiedDisplayName: "Crystal Fragment",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A small piece of a pretty crystal that looks like it has a symbol of an eye in its center.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crystal Fragment",
			identifiedResourceName: "\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A small piece of a pretty crystal that looks like it has a symbol of an eye in its center.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7322: {
			unidentifiedDisplayName: "Toxic Gas",
			unidentifiedResourceName: "\xc0\xaf\xb5\xb6\xb0\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Poisonous gas that can be very harmful, if not lethal, when inhaled.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Toxic Gas",
			identifiedResourceName: "\xc0\xaf\xb5\xb6\xb0\xa1\xbd\xba",
			identifiedDescriptionName: [
				"Poisonous gas that can be very harmful, if not lethal, when inhaled.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7323: {
			unidentifiedDisplayName: "Battered Kettle",
			unidentifiedResourceName: "\xc2\xee\xb1\xd7\xb7\xaf\xc1\xf8\xc1\xd6\xc0\xfc\xc0\xda",
			unidentifiedDescriptionName: [
				"This kettle isn't in the best condition, but it can still be used.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Battered Kettle",
			identifiedResourceName: "\xc2\xee\xb1\xd7\xb7\xaf\xc1\xf8\xc1\xd6\xc0\xfc\xc0\xda",
			identifiedDescriptionName: [
				"This kettle isn't in the best condition, but it can still be used.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7325: {
			unidentifiedDisplayName: "Flexible Tube",
			unidentifiedResourceName: "\xc6\xa9\xba\xea",
			unidentifiedDescriptionName: [
				"A long, thin, pipe-like tube made to transport liquids or gases.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flexible Tube",
			identifiedResourceName: "\xc6\xa9\xba\xea",
			identifiedDescriptionName: [
				"A long, thin, pipe-like tube made to transport liquids or gases.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7326: {
			unidentifiedDisplayName: "Fluorescent Liquid",
			unidentifiedResourceName: "\xc7\xfc\xb1\xa4\xbe\xd7\xc3\xbc",
			unidentifiedDescriptionName: [
				"A sticky, fluorescent liquid which glows in the darkness.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fluorescent Liquid",
			identifiedResourceName: "\xc7\xfc\xb1\xa4\xbe\xd7\xc3\xbc",
			identifiedDescriptionName: [
				"A sticky, fluorescent liquid which glows in the darkness.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7327: {
			unidentifiedDisplayName: "Flashlight",
			unidentifiedResourceName: "\xc8\xb8\xc1\xdf\xc0\xfc\xb5\xee",
			unidentifiedDescriptionName: [
				"A flashlight that used to be attached to a miner's helmet.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flashlight",
			identifiedResourceName: "\xc8\xb8\xc1\xdf\xc0\xfc\xb5\xee",
			identifiedDescriptionName: [
				"A flashlight that used to be attached to a miner's helmet.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7328: {
			unidentifiedDisplayName: "Legend of Songkran",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			unidentifiedDescriptionName: [
				"Written in an ancient, forgotten language, this simple scroll contains the legend of Songkran.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Legend of Songkran",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			identifiedDescriptionName: [
				"Written in an ancient, forgotten language, this simple scroll contains the legend of Songkran.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7329: {
			unidentifiedDisplayName: "Old Bronze Key",
			unidentifiedResourceName: "\xbd\xc3\xb0\xe8\xc5\xbe\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"A small bronze key.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Old Bronze Key",
			identifiedResourceName: "\xbd\xc3\xb0\xe8\xc5\xbe\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"A small bronze key.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7330: {
			unidentifiedDisplayName: "Mystic Orb",
			unidentifiedResourceName: "\xc1\xdf\xb1\xb9\x32\xc1\xd6\xb3\xe2\x30\x38",
			unidentifiedDescriptionName: [
				"A red orb with the word 'Two' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mystic Orb",
			identifiedResourceName: "\xc1\xdf\xb1\xb9\x32\xc1\xd6\xb3\xe2\x30\x38",
			identifiedDescriptionName: [
				"A red orb with the word 'Two' engraved on, which is told to be from the East Sea God's territory.",
				"It is rumored that this orb has very special abilities besides of curing every desease.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7331: {
			unidentifiedDisplayName: "Heaven Flower",
			unidentifiedResourceName: "\xc0\xcc\xc1\xf6\xb5\xb5\xb8\xa3",
			unidentifiedDescriptionName: [
				"An extremely rare flower that only blooms in heaven.",
				"It is believed to bring incredibly good luck to its owner.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Heaven Flower",
			identifiedResourceName: "\xc0\xcc\xc1\xf6\xb5\xb5\xb8\xa3",
			identifiedDescriptionName: [
				"An extremely rare flower that only blooms in heaven.",
				"It is believed to bring incredibly good luck to its owner.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7332: {
			unidentifiedDisplayName: "Complete Tablet",
			unidentifiedResourceName: "\xbc\xae\xc6\xc7",
			unidentifiedDescriptionName: [
				"A solid tablet that is cold to the touch.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Complete Tablet",
			identifiedResourceName: "\xbc\xae\xc6\xc7",
			identifiedDescriptionName: [
				"A solid tablet that is cold to the touch.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7333: {
			unidentifiedDisplayName: "Prontera Tablet",
			unidentifiedResourceName: "\xbc\xae\xc6\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"\"In the town of Prontera, I fell sick. I needed something from the land of trees to make my blood thick.\"",
				"- The First Man",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Prontera Tablet",
			identifiedResourceName: "\xbc\xae\xc6\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"\"In the town of Prontera, I fell sick. I needed something from the land of trees to make my blood thick ...\"",
				"- The First Man",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7334: {
			unidentifiedDisplayName: "Payon Tablet",
			unidentifiedResourceName: "\xbc\xae\xc6\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"\"We're on our way now. Soon, we will venture to the desert in high spirits.\"",
				"- The Second Man",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Payon Tablet",
			identifiedResourceName: "\xbc\xae\xc6\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"\"We're on our way now. Soon, we will venture to the desert in high spirits ...\"",
				"- The Second Man",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7335: {
			unidentifiedDisplayName: "Morroc Tablet",
			unidentifiedResourceName: "\xbc\xae\xc6\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"\"There is a strange feeling in the air here, almost as if I can do magic myself.\"",
				"- The Third Man",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Morroc Tablet",
			identifiedResourceName: "\xbc\xae\xc6\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"\"There is a strange feeling in the air here, almost as if I can do magic myself ...\"",
				"- The Third Man",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7336: {
			unidentifiedDisplayName: "Geffen Tablet",
			unidentifiedResourceName: "\xbc\xae\xc6\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"\"We ventured north of the beautiful giant Jolnir flower. That's where we began our journey.\"",
				"- The Fourth Man",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Geffen Tablet",
			identifiedResourceName: "\xbc\xae\xc6\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"\"We ventured north of the beautiful giant Jolnir flower. That's where we began our journey ...\"",
				"- The Fourth Man",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7337: {
			unidentifiedDisplayName: "Eye of Hellion",
			unidentifiedResourceName: "\xbe\xc6\xc0\xcc\xbf\xc0\xba\xea\xc7\xef\xb8\xae\xbf\xc2",
			unidentifiedDescriptionName: [
				"Hellion Revenant Eye.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Eye of Hellion",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbf\xc0\xba\xea\xc7\xef\xb8\xae\xbf\xc2",
			identifiedDescriptionName: [
				"Hellion Revenant Eye.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7338: {
			unidentifiedDisplayName: "One-way Ticket",
			unidentifiedResourceName: "\xb1\xb3\xc5\xeb\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"A special ticket that allows its owner to use the Kafra Teleport Service one time for free.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "One-way Ticket",
			identifiedResourceName: "\xb1\xb3\xc5\xeb\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"A special ticket that allows its owner to use the Kafra Teleport Service one time for free.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7339: {
			unidentifiedDisplayName: "Commemorative Travel Card",
			unidentifiedResourceName: "\xb1\xb3\xc5\xeb\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"A special ticket that allows its owner to use the Kafra Teleport Service for free a limited amount of times.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Commemorative Travel Card",
			identifiedResourceName: "\xb1\xb3\xc5\xeb\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"A special ticket that allows its owner to use the Kafra Teleport Service for free a limited amount of times.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7340: {
			unidentifiedDisplayName: "Will of the Darkness",
			unidentifiedResourceName: "\xbe\xcf\xc8\xe6\xc0\xc7\xc0\xc7\xc1\xf6",
			unidentifiedDescriptionName: [
				"A dark oval stone with seven red eyes that's believed to act as a sort of nucleus for some monsters.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Will of the Darkness",
			identifiedResourceName: "\xbe\xcf\xc8\xe6\xc0\xc7\xc0\xc7\xc1\xf6",
			identifiedDescriptionName: [
				"A dark oval stone with seven red eyes that's believed to act as a sort of nucleus for some monsters.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7341: {
			unidentifiedDisplayName: "Old Pendant",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc6\xe6\xb4\xf8\xc6\xae",
			unidentifiedDescriptionName: [
				"An old pendant, which seems to have been damaged with age, that makes one shudder with a feeling of dread upon looking at it for some inexplicable reason.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Old Pendant",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc6\xe6\xb4\xf8\xc6\xae",
			identifiedDescriptionName: [
				"An old pendant, which seems to have been damaged with age, that makes one shudder with a feeling of dread upon looking at it for some inexplicable reason.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7342: {
			unidentifiedDisplayName: "File Folder",
			unidentifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			unidentifiedDescriptionName: [
				"A file folder that holds unknown documents.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "File Folder",
			identifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			identifiedDescriptionName: [
				"A file folder that holds unknown documents.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7343: {
			unidentifiedDisplayName: "Sealed File Folder",
			unidentifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			unidentifiedDescriptionName: [
				"A sealed file folder which seems to hold very important documents within.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sealed File Folder",
			identifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			identifiedDescriptionName: [
				"A sealed file folder which seems to hold very important documents within.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7344: {
			unidentifiedDisplayName: "Shinokas Case File",
			unidentifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			unidentifiedDescriptionName: [
				"A file containing all details of the Shinokas case.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shinokas Case File",
			identifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			identifiedDescriptionName: [
				"A file containing all details of the Shinokas case.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7345: {
			unidentifiedDisplayName: "Handcuffs",
			unidentifiedResourceName: "\xc0\xce\xbd\xc4\xc7\xa5\xc2\xfb",
			unidentifiedDescriptionName: [
				"A pair of metal fastenings which seem to be used for identifying experimental samples.",
				"They still have the smell of blood remaining on them.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Handcuffs",
			identifiedResourceName: "\xc0\xce\xbd\xc4\xc7\xa5\xc2\xfb",
			identifiedDescriptionName: [
				"A pair of metal fastenings which seem to be used for identifying experimental samples.",
				"They still have the smell of blood remaining on them.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7346: {
			unidentifiedDisplayName: "Ymir's Heart Piece",
			unidentifiedResourceName: "\xc0\xcc\xb9\xcc\xb8\xa3\xbd\xc9\xc0\xe5\xb4\xf5\xb9\xcc",
			unidentifiedDescriptionName: [
				"One of the pieces of Ymir's Heart, which have been used to power the Airships and Guardians.",
				"It glows with a strange and unearthly light.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ymir's Heart Piece",
			identifiedResourceName: "\xc0\xcc\xb9\xcc\xb8\xa3\xbd\xc9\xc0\xe5\xb4\xf5\xb9\xcc",
			identifiedDescriptionName: [
				"One of the pieces of Ymir's Heart, which have been used to power the Airships and Guardians.",
				"It glows with a strange and unearthly light.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7347: {
			unidentifiedDisplayName: "Research Chart",
			unidentifiedResourceName: "\xbf\xac\xb1\xb8\xbf\xf8\xb1\xe2\xb7\xcf\xc7\xa5",
			unidentifiedDescriptionName: [
				"A chart, written in a language you can't recognize, that details the history of research.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Research Chart",
			identifiedResourceName: "\xbf\xac\xb1\xb8\xbf\xf8\xb1\xe2\xb7\xcf\xc7\xa5",
			identifiedDescriptionName: [
				"A chart, written in a language you can't recognize, that details the history of research.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7348: {
			unidentifiedDisplayName: "Membership Card",
			unidentifiedResourceName: "\xc1\xb6\xc1\xf7\xbf\xf8\xc0\xc7\xc1\xf5\xc7\xa5",
			unidentifiedDescriptionName: [
				"A card for members of the \"Secret Wind\" organization.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Membership Card",
			identifiedResourceName: "\xc1\xb6\xc1\xf7\xbf\xf8\xc0\xc7\xc1\xf5\xc7\xa5",
			identifiedDescriptionName: [
				"A card for members of the \"Secret Wind\" organization.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7349: {
			unidentifiedDisplayName: "Archive Permit",
			unidentifiedResourceName: "\xc1\xb6\xc1\xf7\xbf\xf8\xc0\xc7\xc1\xf5\xc7\xa5",
			unidentifiedDescriptionName: [
				"A permit which allows its holder to enter the archive.",
				"The number \"738495\" is written on the back.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Archive Permit",
			identifiedResourceName: "\xc1\xb6\xc1\xf7\xbf\xf8\xc0\xc7\xc1\xf5\xc7\xa5",
			identifiedDescriptionName: [
				"A permit which allows its holder to enter the archive.",
				"The number \"738495\" is written on the back.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7350: {
			unidentifiedDisplayName: "Pass",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"Holding on to this pass will grant you authorization to enter a certain area.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pass",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"Holding on to this pass will grant you authorization to enter a certain area.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7351: {
			unidentifiedDisplayName: "Friend's Diary",
			unidentifiedResourceName: "\xc4\xa3\xb1\xb8\xc0\xc7\xc0\xcf\xb1\xe2\xc0\xe5",
			unidentifiedDescriptionName: [
				"An old diary in which many petty, personal secrets have been written.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Friend's Diary",
			identifiedResourceName: "\xc4\xa3\xb1\xb8\xc0\xc7\xc0\xcf\xb1\xe2\xc0\xe5",
			identifiedDescriptionName: [
				"An old diary in which many petty, personal secrets have been written.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7352: {
			unidentifiedDisplayName: "Transparent Plate",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc6\xc7\x30\x31",
			unidentifiedDescriptionName: [
				"A marvelous see-through plate that is light, solid and has strange writing in an unknown language etched on the surface.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Transparent Plate",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc6\xc7\x30\x31",
			identifiedDescriptionName: [
				"A marvelous see-through plate that is light, solid and has strange writing in an unknown language etched on the surface.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7353: {
			unidentifiedDisplayName: "Transparent Plate",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc6\xc7\x30\x32",
			unidentifiedDescriptionName: [
				"A marvelous see-through plate that is light, solid and has strange writing in an unknown language etched on the surface.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Transparent Plate",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc6\xc7\x30\x32",
			identifiedDescriptionName: [
				"A marvelous see-through plate that is light, solid and has strange writing in an unknown language etched on the surface.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7354: {
			unidentifiedDisplayName: "Transparent Plate",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc6\xc7\x30\x33",
			unidentifiedDescriptionName: [
				"A marvelous see-through plate that is light, solid and has strange writing in an unknown language etched on the surface.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Transparent Plate",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc6\xc7\x30\x33",
			identifiedDescriptionName: [
				"A marvelous see-through plate that is light, solid and has strange writing in an unknown language etched on the surface.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7355: {
			unidentifiedDisplayName: "Transparent Plate",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc6\xc7\x30\x34",
			unidentifiedDescriptionName: [
				"A marvelous see-through plate that is light, solid and has strange writing in an unknown language etched on the surface.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Transparent Plate",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc6\xc7\x30\x34",
			identifiedDescriptionName: [
				"A marvelous see-through plate that is light, solid and has strange writing in an unknown language etched on the surface.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7356: {
			unidentifiedDisplayName: "Crest Piece",
			unidentifiedResourceName: "\xb9\xae\xc0\xe5\x31",
			unidentifiedDescriptionName: [
				"A piece of an ancient crest, whose purpose is unknown. It has many spikes nailed on the back.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crest Piece",
			identifiedResourceName: "\xb9\xae\xc0\xe5\x31",
			identifiedDescriptionName: [
				"A piece of an ancient crest, whose purpose is unknown. It has many spikes nailed on the back.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7357: {
			unidentifiedDisplayName: "Crest Piece",
			unidentifiedResourceName: "\xb9\xae\xc0\xe5\x32",
			unidentifiedDescriptionName: [
				"A piece of an ancient crest, whose purpose is unknown. It has many spikes nailed on the back.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crest Piece",
			identifiedResourceName: "\xb9\xae\xc0\xe5\x32",
			identifiedDescriptionName: [
				"A piece of an ancient crest, whose purpose is unknown. It has many spikes nailed on the back.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7358: {
			unidentifiedDisplayName: "Crest Piece",
			unidentifiedResourceName: "\xb9\xae\xc0\xe5\x33",
			unidentifiedDescriptionName: [
				"A piece of an ancient crest, whose purpose is unknown. It has many spikes nailed on the back.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crest Piece",
			identifiedResourceName: "\xb9\xae\xc0\xe5\x33",
			identifiedDescriptionName: [
				"A piece of an ancient crest, whose purpose is unknown. It has many spikes nailed on the back.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7359: {
			unidentifiedDisplayName: "Crest Piece",
			unidentifiedResourceName: "\xb9\xae\xc0\xe5\x34",
			unidentifiedDescriptionName: [
				"A piece of an ancient crest, whose purpose is unknown. It has many spikes nailed on the back.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crest Piece",
			identifiedResourceName: "\xb9\xae\xc0\xe5\x34",
			identifiedDescriptionName: [
				"A piece of an ancient crest, whose purpose is unknown. It has many spikes nailed on the back.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7360: {
			unidentifiedDisplayName: "RO Festival Invitation",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"An invitation which has the words \"Come to the RO Festival and have a wonderful action figure!\" written in a foreign language.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "RO Festival Invitation",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"An invitation which has the words \"Come to the RO Festival and have a wonderful action figure!\" written in a foreign language.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7361: {
			unidentifiedDisplayName: "Lotto Ball 01",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x30\x31",
			unidentifiedDescriptionName: [
				"The number '^FF00001^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 01",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x30\x31",
			identifiedDescriptionName: [
				"The number '^FF00001^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7362: {
			unidentifiedDisplayName: "Lotto Ball 02",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x30\x32",
			unidentifiedDescriptionName: [
				"The number '^FF00002^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 02",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x30\x32",
			identifiedDescriptionName: [
				"The number '^FF00002^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7363: {
			unidentifiedDisplayName: "Lotto Ball 03",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x30\x33",
			unidentifiedDescriptionName: [
				"The number '^FF00003^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 03",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x30\x33",
			identifiedDescriptionName: [
				"The number '^FF00003^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7364: {
			unidentifiedDisplayName: "Lotto Ball 04",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x30\x34",
			unidentifiedDescriptionName: [
				"The number '^FF00004^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 04",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x30\x34",
			identifiedDescriptionName: [
				"The number '^FF00004^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7365: {
			unidentifiedDisplayName: "Lotto Ball 05",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x30\x35",
			unidentifiedDescriptionName: [
				"The number '^FF00005^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 05",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x30\x35",
			identifiedDescriptionName: [
				"The number '^FF00005^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7366: {
			unidentifiedDisplayName: "Lotto Ball 06",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x30\x36",
			unidentifiedDescriptionName: [
				"The number '^FF00006^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 06",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x30\x36",
			identifiedDescriptionName: [
				"The number '^FF00006^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7367: {
			unidentifiedDisplayName: "Lotto Ball 07",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x30\x37",
			unidentifiedDescriptionName: [
				"The number '^FF00007^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 07",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x30\x37",
			identifiedDescriptionName: [
				"The number '^FF00007^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7368: {
			unidentifiedDisplayName: "Lotto Ball 08",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x30\x38",
			unidentifiedDescriptionName: [
				"The number '^FF00008^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 08",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x30\x38",
			identifiedDescriptionName: [
				"The number '^FF00008^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7369: {
			unidentifiedDisplayName: "Lotto Ball 09",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x30\x39",
			unidentifiedDescriptionName: [
				"The number '^FF00009^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 09",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x30\x39",
			identifiedDescriptionName: [
				"The number '^FF00009^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7370: {
			unidentifiedDisplayName: "Lotto Ball 10",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x31\x30",
			unidentifiedDescriptionName: [
				"The number '^FF000010^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 10",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x31\x30",
			identifiedDescriptionName: [
				"The number '^FF000010^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7371: {
			unidentifiedDisplayName: "Lotto Ball 11",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x31\x31",
			unidentifiedDescriptionName: [
				"The number '^FF000011^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 11",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x31\x31",
			identifiedDescriptionName: [
				"The number '^FF000011^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7372: {
			unidentifiedDisplayName: "Lotto Ball 12",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x31\x32",
			unidentifiedDescriptionName: [
				"The number '^FF000012^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 12",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x31\x32",
			identifiedDescriptionName: [
				"The number '^FF000012^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7373: {
			unidentifiedDisplayName: "Lotto Ball 13",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x31\x33",
			unidentifiedDescriptionName: [
				"The number '^FF000013^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 13",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x31\x33",
			identifiedDescriptionName: [
				"The number '^FF000013^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7374: {
			unidentifiedDisplayName: "Lotto Ball 14",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x31\x34",
			unidentifiedDescriptionName: [
				"The number '^FF000014^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 14",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x31\x34",
			identifiedDescriptionName: [
				"The number '^FF000014^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7375: {
			unidentifiedDisplayName: "Lotto Ball 15",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x31\x35",
			unidentifiedDescriptionName: [
				"The number '^FF000015^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 15",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x31\x35",
			identifiedDescriptionName: [
				"The number '^FF000015^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7376: {
			unidentifiedDisplayName: "Lotto Ball 16",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x31\x36",
			unidentifiedDescriptionName: [
				"The number '^FF000016^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 16",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x31\x36",
			identifiedDescriptionName: [
				"The number '^FF000016^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7377: {
			unidentifiedDisplayName: "Lotto Ball 17",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x31\x37",
			unidentifiedDescriptionName: [
				"The number '^FF000017^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 17",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x31\x37",
			identifiedDescriptionName: [
				"The number '^FF000017^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7378: {
			unidentifiedDisplayName: "Lotto Ball 18",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x31\x38",
			unidentifiedDescriptionName: [
				"The number '^FF000018^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 18",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x31\x38",
			identifiedDescriptionName: [
				"The number '^FF000018^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7379: {
			unidentifiedDisplayName: "Lotto Ball 19",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x31\x39",
			unidentifiedDescriptionName: [
				"The number '^FF000019^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 19",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x31\x39",
			identifiedDescriptionName: [
				"The number '^FF000019^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7380: {
			unidentifiedDisplayName: "Lotto Ball 20",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x32\x30",
			unidentifiedDescriptionName: [
				"The number '^FF000020^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 20",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x32\x30",
			identifiedDescriptionName: [
				"The number '^FF000020^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7381: {
			unidentifiedDisplayName: "Lotto Ball 21",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x32\x31",
			unidentifiedDescriptionName: [
				"The number '^FF000021^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 21",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x32\x31",
			identifiedDescriptionName: [
				"The number '^FF000021^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7382: {
			unidentifiedDisplayName: "Lotto Ball 22",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x32\x32",
			unidentifiedDescriptionName: [
				"The number '^FF000022^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 22",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x32\x32",
			identifiedDescriptionName: [
				"The number '^FF000022^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7383: {
			unidentifiedDisplayName: "Lotto Ball 23",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x32\x33",
			unidentifiedDescriptionName: [
				"The number '^FF000023^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 23",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x32\x33",
			identifiedDescriptionName: [
				"The number '^FF000023^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7384: {
			unidentifiedDisplayName: "Lotto Ball 24",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x32\x34",
			unidentifiedDescriptionName: [
				"The number '^FF000024^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 24",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x32\x34",
			identifiedDescriptionName: [
				"The number '^FF000024^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7385: {
			unidentifiedDisplayName: "Lotto Ball 25",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x32\x35",
			unidentifiedDescriptionName: [
				"The number '^FF000025^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 25",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x32\x35",
			identifiedDescriptionName: [
				"The number '^FF000025^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7386: {
			unidentifiedDisplayName: "Lotto Ball 26",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x32\x36",
			unidentifiedDescriptionName: [
				"The number '^FF000026^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 26",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x32\x36",
			identifiedDescriptionName: [
				"The number '^FF000026^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7387: {
			unidentifiedDisplayName: "Lotto Ball 27",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x32\x37",
			unidentifiedDescriptionName: [
				"The number '^FF000027^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 27",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x32\x37",
			identifiedDescriptionName: [
				"The number '^FF000027^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7388: {
			unidentifiedDisplayName: "Lotto Ball 28",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x32\x38",
			unidentifiedDescriptionName: [
				"The number '^FF000028^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 28",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x32\x38",
			identifiedDescriptionName: [
				"The number '^FF000028^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7389: {
			unidentifiedDisplayName: "Lotto Ball 29",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x32\x39",
			unidentifiedDescriptionName: [
				"The number '^FF000029^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 29",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x32\x39",
			identifiedDescriptionName: [
				"The number '^FF000029^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7390: {
			unidentifiedDisplayName: "Lotto Ball 30",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x33\x30",
			unidentifiedDescriptionName: [
				"The number '^FF000030^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 30",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x33\x30",
			identifiedDescriptionName: [
				"The number '^FF000030^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7391: {
			unidentifiedDisplayName: "Lotto Ball 31",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x33\x31",
			unidentifiedDescriptionName: [
				"The number '^FF000031^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 31",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x33\x31",
			identifiedDescriptionName: [
				"The number '^FF000031^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7392: {
			unidentifiedDisplayName: "Lotto Ball 32",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x33\x32",
			unidentifiedDescriptionName: [
				"The number '^FF000032^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 32",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x33\x32",
			identifiedDescriptionName: [
				"The number '^FF000032^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7393: {
			unidentifiedDisplayName: "Lotto Ball 33",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x33\x33",
			unidentifiedDescriptionName: [
				"The number '^FF000033^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 33",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x33\x33",
			identifiedDescriptionName: [
				"The number '^FF000033^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7394: {
			unidentifiedDisplayName: "Lotto Ball 34",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x33\x34",
			unidentifiedDescriptionName: [
				"The number '^FF000034^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 34",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x33\x34",
			identifiedDescriptionName: [
				"The number '^FF000034^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7395: {
			unidentifiedDisplayName: "Lotto Ball 35",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x33\x35",
			unidentifiedDescriptionName: [
				"The number '^FF000035^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 35",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x33\x35",
			identifiedDescriptionName: [
				"The number '^FF000035^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7396: {
			unidentifiedDisplayName: "Lotto Ball 36",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x33\x36",
			unidentifiedDescriptionName: [
				"The number '^FF000036^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 36",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x33\x36",
			identifiedDescriptionName: [
				"The number '^FF000036^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7397: {
			unidentifiedDisplayName: "Lotto Ball 37",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x33\x37",
			unidentifiedDescriptionName: [
				"The number '^FF000037^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 37",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x33\x37",
			identifiedDescriptionName: [
				"The number '^FF000037^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7398: {
			unidentifiedDisplayName: "Lotto Ball 38",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x33\x38",
			unidentifiedDescriptionName: [
				"The number '^FF000038^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 38",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x33\x38",
			identifiedDescriptionName: [
				"The number '^FF000038^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7399: {
			unidentifiedDisplayName: "Selamat",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The word \"Selamat\" is written in the middle of a white paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Selamat",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The word \"Selamat\" is written in the middle of a white paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7400: {
			unidentifiedDisplayName: "Hari",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The word \"Hari\" is written in the middle of a white paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hari",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The word \"Hari\" is written in the middle of a white paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7401: {
			unidentifiedDisplayName: "Kemerdekaan",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The word \"Kemerdekaan\" is written in the middle of a white paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kemerdekaan",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The word \"Kemerdekaan\" is written in the middle of a white paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7402: {
			unidentifiedDisplayName: "Republik",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The word \"Republik\" is written in the middle of a white paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Republik",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The word \"Republik\" is written in the middle of a white paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7403: {
			unidentifiedDisplayName: "Indonesia",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The word \"Indonesia\" is written in the middle of a white paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Indonesia",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The word \"Indonesia\" is written in the middle of a white paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7404: {
			unidentifiedDisplayName: "Ke-60",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The word \"Ke-60\" is written in the middle of a white paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ke-60",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The word \"Ke-60\" is written in the middle of a white paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7405: {
			unidentifiedDisplayName: "Crushed Can",
			unidentifiedResourceName: "\xb3\xec\xbb\xf6\xc4\xb5",
			unidentifiedDescriptionName: [
				"A misshapen can with some traces of content still within.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crushed Can",
			identifiedResourceName: "\xb3\xec\xbb\xf6\xc4\xb5",
			identifiedDescriptionName: [
				"A misshapen can with some traces of content still within.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7406: {
			unidentifiedDisplayName: "Yuebing",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has 'Full' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yuebing",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has 'Full' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7407: {
			unidentifiedDisplayName: "Yuebing",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has 'With' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yuebing",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has 'With' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7408: {
			unidentifiedDisplayName: "Yuebing",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has 'RO' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yuebing",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has 'RO' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7409: {
			unidentifiedDisplayName: "Yuebing",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Cake that's inscribed with a letter or word.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yuebing",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Cake that's inscribed with a letter or word.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7410: {
			unidentifiedDisplayName: "Yuebing",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Cake that's inscribed with a letter or word.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yuebing",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Cake that's inscribed with a letter or word.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7411: {
			unidentifiedDisplayName: "Yuebing",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Cake that's inscribed with a letter or word.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yuebing",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Cake that's inscribed with a letter or word.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7412: {
			unidentifiedDisplayName: "Yuebing",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Cake that's inscribed with a letter or word.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yuebing",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Cake that's inscribed with a letter or word.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7413: {
			unidentifiedDisplayName: "Yuebing",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Cake that's inscribed with a letter or word.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yuebing",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Cake that's inscribed with a letter or word.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7414: {
			unidentifiedDisplayName: "Yuebing",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Cake that's inscribed with a letter or word.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yuebing",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Cake that's inscribed with a letter or word.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7415: {
			unidentifiedDisplayName: "Summoning Stone",
			unidentifiedResourceName: "\xc5\xc2\xb1\xd8\xc6\xd0",
			unidentifiedDescriptionName: [
				"A mystical stone with magical summoning properties. Used in ancient tribal ceremonies.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Summoning Stone",
			identifiedResourceName: "\xc5\xc2\xb1\xd8\xc6\xd0",
			identifiedDescriptionName: [
				"A mystical stone with magical summoning properties. Used in ancient tribal ceremonies.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7416: {
			unidentifiedDisplayName: "Letter of Recommendation",
			unidentifiedResourceName: "\xc7\xd1\xbc\xae\xba\xc0\xbc\xd2\xb0\xb3\xc0\xe5",
			unidentifiedDescriptionName: [
				"A well written letter of recommendation that is recognized by the Assassin Guild.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Letter of Recommendation",
			identifiedResourceName: "\xc7\xd1\xbc\xae\xba\xc0\xbc\xd2\xb0\xb3\xc0\xe5",
			identifiedDescriptionName: [
				"A well written letter of recommendation that is recognized by the Assassin Guild.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7417: {
			unidentifiedDisplayName: "Written Request(A)",
			unidentifiedResourceName: "\xb9\xb0\xc7\xb0\xbf\xb5\xbc\xf6\xc1\xf5\x5f\x30\x31",
			unidentifiedDescriptionName: [
				"A written request from the Dandelion Organization, asking you to capture Raiyan Moore, who is suspected of kidnapping children from the Dandelion daycare center.",
				"^ffffff_^000000",
				"Request reward : 1 Wrapped Mask",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Written Request(A)",
			identifiedResourceName: "\xb9\xb0\xc7\xb0\xbf\xb5\xbc\xf6\xc1\xf5\x5f\x30\x31",
			identifiedDescriptionName: [
				"A written request from the Dandelion Organization, asking you to capture Raiyan Moore, who is suspected of kidnapping children from the Dandelion daycare center.",
				"^ffffff_^000000",
				"Request reward : 1 Wrapped Mask",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7418: {
			unidentifiedDisplayName: "Written Request(B)",
			unidentifiedResourceName: "\xb9\xb0\xc7\xb0\xbf\xb5\xbc\xf6\xc1\xf5\x5f\x30\x31",
			unidentifiedDescriptionName: [
				"A written request from Mr. R, asking you to protect him and help complete his research, which should help in finding the children missing from Morocc.",
				"^ffffff_^000000",
				"Request reward : 1 Jewelry Box",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Written Request(B)",
			identifiedResourceName: "\xb9\xb0\xc7\xb0\xbf\xb5\xbc\xf6\xc1\xf5\x5f\x30\x31",
			identifiedDescriptionName: [
				"A written request from Mr. R, asking you to protect him and help complete his research, which should help in finding the children missing from Morocc.",
				"^ffffff_^000000",
				"Request reward : 1 Jewelry Box",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7419: {
			unidentifiedDisplayName: "Embryo Creation Guide",
			unidentifiedResourceName: "\xbf\xa5\xba\xea\xb8\xae\xbf\xc0\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A manual that teaches how to create a Homunculus Embryo.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Embryo Creation Guide",
			identifiedResourceName: "\xbf\xa5\xba\xea\xb8\xae\xbf\xc0\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A manual that teaches how to create a Homunculus Embryo.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7420: {
			unidentifiedDisplayName: "Skull",
			unidentifiedResourceName: "\xc7\xd8\xb0\xf1\xb9\xd9\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"A skull in which someone's name has been carved.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Skull",
			identifiedResourceName: "\xc7\xd8\xb0\xf1\xb9\xd9\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"A skull in which someone's name has been carved.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7421: {
			unidentifiedDisplayName: "Red Key",
			unidentifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A thin, transparent, and shining red key.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Key",
			identifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A thin, transparent, and shining red key.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7422: {
			unidentifiedDisplayName: "Yellow Key",
			unidentifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A thin, transparent, and shining yellow key.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yellow Key",
			identifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A thin, transparent, and shining yellow key.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7423: {
			unidentifiedDisplayName: "Blue Key",
			unidentifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xc6\xc4\xb6\xfb",
			unidentifiedDescriptionName: [
				"A thin, transparent, and shining blue key.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Key",
			identifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xc6\xc4\xb6\xfb",
			identifiedDescriptionName: [
				"A thin, transparent, and shining blue key.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7424: {
			unidentifiedDisplayName: "Green Key",
			unidentifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xc3\xca\xb7\xcf",
			unidentifiedDescriptionName: [
				"A thin, transparent, and shining green key.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Key",
			identifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xc3\xca\xb7\xcf",
			identifiedDescriptionName: [
				"A thin, transparent, and shining green key.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7425: {
			unidentifiedDisplayName: "Black Key",
			unidentifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A thin, transparent, and shining black key.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Black Key",
			identifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A thin, transparent, and shining black key.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7426: {
			unidentifiedDisplayName: "Red Charm Stone",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A mysterious red colored charm stone in which fantastic powers are stored.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Charm Stone",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A mysterious red colored charm stone in which fantastic powers are stored.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7427: {
			unidentifiedDisplayName: "Yellow Charm Stone",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A mysterious yellow colored charm stone in which fantastic powers are stored.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yellow Charm Stone",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A mysterious yellow colored charm stone in which fantastic powers are stored.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7428: {
			unidentifiedDisplayName: "Blue Charm Stone",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc6\xc4\xb6\xfb",
			unidentifiedDescriptionName: [
				"A mysterious blue colored charm stone in which fantastic powers are stored.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Charm Stone",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc6\xc4\xb6\xfb",
			identifiedDescriptionName: [
				"A mysterious blue colored charm stone in which fantastic powers are stored.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7429: {
			unidentifiedDisplayName: "Green Charm Stone",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc3\xca\xb7\xcf",
			unidentifiedDescriptionName: [
				"A mysterious green colored charm stone in which fantastic powers are stored.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Charm Stone",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xc3\xca\xb7\xcf",
			identifiedDescriptionName: [
				"A mysterious green colored charm stone in which fantastic powers are stored.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7430: {
			unidentifiedDisplayName: "Black Charm Stone",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A mysterious black colored charm stone in which fantastic powers are stored.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Black Charm Stone",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A mysterious black colored charm stone in which fantastic powers are stored.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7431: {
			unidentifiedDisplayName: "Pile of Books",
			unidentifiedResourceName: "\xbf\xa9\xb7\xaf\xb1\xc7\xc0\xc7\xc3\xa5",
			unidentifiedDescriptionName: [
				"A heavy pile of books.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pile of Books",
			identifiedResourceName: "\xbf\xa9\xb7\xaf\xb1\xc7\xc0\xc7\xc3\xa5",
			identifiedDescriptionName: [
				"A heavy pile of books.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7432: {
			unidentifiedDisplayName: "Leather Pouch",
			unidentifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"A sturdy, leather pouch used for holding something valuable.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leather Pouch",
			identifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"A sturdy, leather pouch used for holding something valuable.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7433: {
			unidentifiedDisplayName: "Blank Scroll",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			unidentifiedDescriptionName: [
				"A blank scroll on which magic spells can be written. These blanks were developed by the Schweicherbil Magic Academy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blank Scroll",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			identifiedDescriptionName: [
				"A blank scroll on which magic spells can be written. These blanks were developed by the Schweicherbil Magic Academy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7434: {
			unidentifiedDisplayName: "Elemental Potion Creation Guide",
			unidentifiedResourceName: "\xb1\xe2\xb7\xda\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"A book with the tagline, \"Even Porings can make Elemental Potions with this book!\" on the cover.",
				"The methods for creating Elemental Potions are detailed inside this book.",
				"^ffffff_^000000",
				"Author : Pisrik Quve.",
				"^ffffff_^000000",
				"^0000FFCold Resist Potion:^000000",
				"3 Heart of Mermaid",
				"1 Blue Gemstone",
				"^ffffff_^000000",
				"^009900Thunder Resist Potion:^000000",
				"3 Moth Dust",
				"1 Blue Gemstone",
				"^ffffff_^000000",
				"^996600Earth Resist Potion:^000000",
				"2 Large Jellopy",
				"1 Yellow Gemstone",
				"^ffffff_^000000",
				"^FF0000Fire Resist Potion:^000000",
				"2 Frill",
				"1 Red Gemstone",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elemental Potion Creation Guide",
			identifiedResourceName: "\xb1\xe2\xb7\xda\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A book with the tagline, \"Even Porings can make Elemental Potions with this book!\" on the cover.",
				"The methods for creating Elemental Potions are detailed inside this book.",
				"^ffffff_^000000",
				"Author : Pisrik Quve.",
				"^ffffff_^000000",
				"^0000FFCold Resist Potion:^000000",
				"3 Heart of Mermaid",
				"1 Blue Gemstone",
				"^ffffff_^000000",
				"^009900Thunder Resist Potion:^000000",
				"3 Moth Dust",
				"1 Blue Gemstone",
				"^ffffff_^000000",
				"^996600Earth Resist Potion:^000000",
				"2 Large Jellopy",
				"1 Yellow Gemstone",
				"^ffffff_^000000",
				"^FF0000Fire Resist Potion:^000000",
				"2 Frill",
				"1 Red Gemstone",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7435: {
			unidentifiedDisplayName: "Golden Ornament",
			unidentifiedResourceName: "\xb1\xdd\xbb\xf6\xc0\xe5\xbd\xc5\xb1\xb8",
			unidentifiedDescriptionName: [
				"An ornamental accessory of exquisite golden color. It's very valuable and was created by an otherworldly power.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golden Ornament",
			identifiedResourceName: "\xb1\xdd\xbb\xf6\xc0\xe5\xbd\xc5\xb1\xb8",
			identifiedDescriptionName: [
				"An ornamental accessory of exquisite golden color. It's very valuable and was created by an otherworldly power.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7436: {
			unidentifiedDisplayName: "Fragment of Agony",
			unidentifiedResourceName: "\xb1\xe2\xbe\xef\xc0\xc7\xc6\xc4\xc6\xed\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"A fragment that holds within its mystery the true meaning of sheer agony.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fragment of Agony",
			identifiedResourceName: "\xb1\xe2\xbe\xef\xc0\xc7\xc6\xc4\xc6\xed\x5f\xb3\xec",
			identifiedDescriptionName: [
				"A fragment that holds within its mystery the true meaning of sheer agony.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7437: {
			unidentifiedDisplayName: "Fragment of Misery",
			unidentifiedResourceName: "\xb1\xe2\xbe\xef\xc0\xc7\xc6\xc4\xc6\xed\x5f\xc0\xda",
			unidentifiedDescriptionName: [
				"A fragment that holds within its mystery the true meaning of pure sorrow.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fragment of Misery",
			identifiedResourceName: "\xb1\xe2\xbe\xef\xc0\xc7\xc6\xc4\xc6\xed\x5f\xc0\xda",
			identifiedDescriptionName: [
				"A fragment that holds within its mystery the true meaning of pure sorrow.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7438: {
			unidentifiedDisplayName: "Fragment of Hatred",
			unidentifiedResourceName: "\xb1\xe2\xbe\xef\xc0\xc7\xc6\xc4\xc6\xed\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				"A fragment that holds within its mystery the true meaning of intense hatred.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fragment of Hatred",
			identifiedResourceName: "\xb1\xe2\xbe\xef\xc0\xc7\xc6\xc4\xc6\xed\x5f\xc3\xbb",
			identifiedDescriptionName: [
				"A fragment that holds within its mystery the true meaning of intense hatred.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7439: {
			unidentifiedDisplayName: "Fragment of Despair",
			unidentifiedResourceName: "\xb1\xe2\xbe\xef\xc0\xc7\xc6\xc4\xc6\xed\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"A fragment that holds within its mystery the true meaning of unfathomable despair.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fragment of Despair",
			identifiedResourceName: "\xb1\xe2\xbe\xef\xc0\xc7\xc6\xc4\xc6\xed\x5f\xc8\xab",
			identifiedDescriptionName: [
				"A fragment that holds within its mystery the true meaning of unfathomable despair.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7440: {
			unidentifiedDisplayName: "Red Feather",
			unidentifiedResourceName: "\xba\xd3\xc0\xba\xb1\xea\xc5\xd0",
			unidentifiedDescriptionName: [
				"A large, yet light, white feather that has a red gleam.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Feather",
			identifiedResourceName: "\xba\xd3\xc0\xba\xb1\xea\xc5\xd0",
			identifiedDescriptionName: [
				"A large, yet light, white feather that has a red gleam.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7441: {
			unidentifiedDisplayName: "Blue Feather",
			unidentifiedResourceName: "\xc7\xaa\xb8\xa5\xb1\xea\xc5\xd0",
			unidentifiedDescriptionName: [
				"A large, yet light, white feather that has a blue gleam.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Feather",
			identifiedResourceName: "\xc7\xaa\xb8\xa5\xb1\xea\xc5\xd0",
			identifiedDescriptionName: [
				"A large, yet light, white feather that has a blue gleam.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7442: {
			unidentifiedDisplayName: "Cursed Seal",
			unidentifiedResourceName: "\xc0\xfa\xc1\xd6\xb9\xde\xc0\xba\xc0\xce",
			unidentifiedDescriptionName: [
				"A dark heart stamped with a bloody seal that has a certain curse placed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cursed Seal",
			identifiedResourceName: "\xc0\xfa\xc1\xd6\xb9\xde\xc0\xba\xc0\xce",
			identifiedDescriptionName: [
				"A dark heart stamped with a bloody seal that has a certain curse placed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7443: {
			unidentifiedDisplayName: "Three-Headed Dragon's Head",
			unidentifiedResourceName: "\xbb\xef\xb5\xce\xb7\xe6\xc0\xc7\xb8\xf1",
			unidentifiedDescriptionName: [
				"The head from a fearsome three-headed dragon that still looks very threatening.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Three-Headed Dragon's Head",
			identifiedResourceName: "\xbb\xef\xb5\xce\xb7\xe6\xc0\xc7\xb8\xf1",
			identifiedDescriptionName: [
				"The head from a fearsome three-headed dragon that still looks very threatening.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7444: {
			unidentifiedDisplayName: "Treasure Box",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"An ancient treasure box filled with old coins, ornaments, and jewelry.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Treasure Box",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"An ancient treasure box filled with old coins, ornaments, and jewelry.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7445: {
			unidentifiedDisplayName: "Green Bijou",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"A beautiful green bijou that symbolizes the earth. In the East, people believe that this bijou can help wishes come true.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Bijou",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"A beautiful green bijou that symbolizes the earth. In the East, people believe that this bijou can help wishes come true.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7446: {
			unidentifiedDisplayName: "Blue Bijou",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				"A beautiful blue bijou that symbolizes the ocean. In the East, people believe that this bijou can help wishes come true.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Bijou",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				"A beautiful blue bijou that symbolizes the ocean. In the East, people believe that this bijou can help wishes come true.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7447: {
			unidentifiedDisplayName: "Red Bijou",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"A beautiful red bijou that symbolizes the firey blaze. In the East, people believe that this bijou can help wishes come true.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Bijou",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"A beautiful red bijou that symbolizes the firey blaze. In the East, people believe that this bijou can help wishes come true.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7448: {
			unidentifiedDisplayName: "Yellow Bijou",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			unidentifiedDescriptionName: [
				"A beautiful green bijou that totally captivates the eye and mind. In the East, people believe that this bijou can help wishes come true.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yellow Bijou",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			identifiedDescriptionName: [
				"A beautiful green bijou that totally captivates the eye and mind. In the East, people believe that this bijou can help wishes come true.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7449: {
			unidentifiedDisplayName: "Bloody Page",
			unidentifiedResourceName: "\xc7\xc7\xb9\xaf\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"Its surface is marked with old, dried blood stains.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bloody Page",
			identifiedResourceName: "\xc7\xc7\xb9\xaf\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"Its surface is marked with old, dried blood stains.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7450: {
			unidentifiedDisplayName: "Skeletal Armor Piece",
			unidentifiedResourceName: "\xc7\xd8\xb0\xf1\xb0\xa9\xbf\xca\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A broken piece of armor that was worn by a ghostly swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Skeletal Armor Piece",
			identifiedResourceName: "\xc7\xd8\xb0\xf1\xb0\xa9\xbf\xca\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A broken piece of armor that was worn by a ghostly swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7451: {
			unidentifiedDisplayName: "Fire Dragon Scale",
			unidentifiedResourceName: "\xc8\xad\xb7\xe6\xc0\xc7\xba\xf1\xb4\xc3\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A red dragon's scale that seems to possess some kind of magical power.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fire Dragon Scale",
			identifiedResourceName: "\xc8\xad\xb7\xe6\xc0\xc7\xba\xf1\xb4\xc3\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A red dragon's scale that seems to possess some kind of magical power.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7452: {
			unidentifiedDisplayName: "Yellow Spice",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xc7\xe2\xbd\xc5\xb7\xe1",
			unidentifiedDescriptionName: [
				"A yellow spice that adds an unique scent and flavor to almost any food.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yellow Spice",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xc7\xe2\xbd\xc5\xb7\xe1",
			identifiedDescriptionName: [
				"A yellow spice that adds an unique scent and flavor to almost any food.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7453: {
			unidentifiedDisplayName: "Sweet Sauce",
			unidentifiedResourceName: "\xb4\xdc\xb8\xc0\xbc\xd2\xbd\xba",
			unidentifiedDescriptionName: [
				"A very sweet sauce that accentuates the flavor of foods, but is quite disgusting when drunk by itself.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sweet Sauce",
			identifiedResourceName: "\xb4\xdc\xb8\xc0\xbc\xd2\xbd\xba",
			identifiedDescriptionName: [
				"A very sweet sauce that accentuates the flavor of foods, but is quite disgusting when drunk by itself.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7454: {
			unidentifiedDisplayName: "Savory Sauce",
			unidentifiedResourceName: "\xb4\xe3\xb9\xe9\xc7\xd1\xbc\xd2\xbd\xba",
			unidentifiedDescriptionName: [
				"A special sauce that enhances the savory quality of most foods.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Savory Sauce",
			identifiedResourceName: "\xb4\xe3\xb9\xe9\xc7\xd1\xbc\xd2\xbd\xba",
			identifiedDescriptionName: [
				"A special sauce that enhances the savory quality of most foods.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7455: {
			unidentifiedDisplayName: "Spicy Sauce",
			unidentifiedResourceName: "\xb8\xc5\xbf\xee\xb8\xc0\xbc\xd2\xbd\xba",
			unidentifiedDescriptionName: [
				"An extremely spicy hot sauce that can make people cry just by smelling it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spicy Sauce",
			identifiedResourceName: "\xb8\xc5\xbf\xee\xb8\xc0\xbc\xd2\xbd\xba",
			identifiedDescriptionName: [
				"An extremely spicy hot sauce that can make people cry just by smelling it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7456: {
			unidentifiedDisplayName: "Red Spice",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xc7\xe2\xbd\xc5\xb7\xe1",
			unidentifiedDescriptionName: [
				"A spicy flavoring that complements few foods, but is a necessary ingredient for some dishes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Spice",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xc7\xe2\xbd\xc5\xb7\xe1",
			identifiedDescriptionName: [
				"A spicy flavoring that complements few foods, but is a necessary ingredient for some dishes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7457: {
			unidentifiedDisplayName: "Cooking Oil",
			unidentifiedResourceName: "\xbd\xc4\xbf\xeb\xc0\xaf",
			unidentifiedDescriptionName: [
				"Healthy cooking oil that is used for stir frying or deep frying.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cooking Oil",
			identifiedResourceName: "\xbd\xc4\xbf\xeb\xc0\xaf",
			identifiedDescriptionName: [
				"Healthy cooking oil that is used for stir frying or deep frying.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7458: {
			unidentifiedDisplayName: "Fortune Horn",
			unidentifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xbb\xd4",
			unidentifiedDescriptionName: [
				"The most precious treasure of Baphomet which is said to bring great luck to the holder.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fortune Horn",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xbb\xd4",
			identifiedDescriptionName: [
				"The most precious treasure of Baphomet which is said to bring great luck to the holder.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7459: {
			unidentifiedDisplayName: "Idul Fitri Card",
			unidentifiedResourceName: "\x52\x41\x4d\x41\x44\x41\x4e",
			unidentifiedDescriptionName: [
				"An unique card which is usually used to give Felicitation at idul fitri feast day of Ramadan.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Idul Fitri Card",
			identifiedResourceName: "\x52\x41\x4d\x41\x44\x41\x4e",
			identifiedDescriptionName: [
				"An unique card which is usually used to give Felicitation at idul fitri feast day of Ramadan.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7460: {
			unidentifiedDisplayName: "Niflheim Express Ticket",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			unidentifiedDescriptionName: [
				"An express ticket to Niflheim, the realm of the dead that is forbidden to the living.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Niflheim Express Ticket",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			identifiedDescriptionName: [
				"An express ticket to Niflheim, the realm of the dead that is forbidden to the living.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7461: {
			unidentifiedDisplayName: "Blue A Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x41",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088A^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue A Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x41",
			identifiedDescriptionName: [
				"A card with the letter \"^000088A^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7462: {
			unidentifiedDisplayName: "Blue E Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x45",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088E^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue E Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x45",
			identifiedDescriptionName: [
				"A card with the letter \"^000088E^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7463: {
			unidentifiedDisplayName: "Blue F Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x46",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088F^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue F Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x46",
			identifiedDescriptionName: [
				"A card with the letter \"^000088F^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7464: {
			unidentifiedDisplayName: "Blue H Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x48",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088H^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue H Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x48",
			identifiedDescriptionName: [
				"A card with the letter \"^000088H^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7465: {
			unidentifiedDisplayName: "Blue L Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x4c",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088L^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue L Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x4c",
			identifiedDescriptionName: [
				"A card with the letter \"^000088L^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7466: {
			unidentifiedDisplayName: "Blue N Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x4e",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088N^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue N Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x4e",
			identifiedDescriptionName: [
				"A card with the letter \"^000088N^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7467: {
			unidentifiedDisplayName: "Blue O Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x4f",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088O^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue O Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x4f",
			identifiedDescriptionName: [
				"A card with the letter \"^000088O^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7468: {
			unidentifiedDisplayName: "Blue P Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x50",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088P^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue P Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x50",
			identifiedDescriptionName: [
				"A card with the letter \"^000088P^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7469: {
			unidentifiedDisplayName: "Blue U Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x55",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088U^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue U Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x55",
			identifiedDescriptionName: [
				"A card with the letter \"^000088U^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7470: {
			unidentifiedDisplayName: "Blue W Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x57",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088W^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue W Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x57",
			identifiedDescriptionName: [
				"A card with the letter \"^000088W^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7471: {
			unidentifiedDisplayName: "Blue Y Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x59",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088Y^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Y Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x59",
			identifiedDescriptionName: [
				"A card with the letter \"^000088Y^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7472: {
			unidentifiedDisplayName: "Level 1 Cookbook",
			unidentifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"\"Don't panic even if you are left alone. You will survive with this book, no matter where you are.\"",
				"A very interesting book that includes all the recipes for Level 1 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Fried Grasshopper Legs:^000000",
				"5 Grasshopper's Leg",
				"1 Old Frying Pan",
				"1 Cooking Oil",
				"^ffffff_^000000",
				"^008040Frog Egg Squid Ink Soup:^000000",
				"1 Bag of Grain",
				"10 Spawn",
				"1 Squid Ink",
				"^ffffff_^000000",
				"^ff8040Steamed Crab Nippers:^000000",
				"10 Nipper",
				"10 Green Herb",
				"1 Yellow Potion",
				"^ffffff_^000000",
				"^0000ffGrape Juice Herbal Tea:^000000",
				"3 Grape",
				"2 Red Potion",
				"^ffffff_^000000",
				"^800000Honey Grape Juice:^000000",
				"1 Honey",
				"2 Grape",
				"1 Red Potion",
				"^ffffff_^000000",
				"^400080Fried Monkey Tails:^000000",
				"5 Yoyo Tail",
				"1 Old Frying Pan",
				"1 Cooking Oil",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 1 Cookbook",
			identifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"\"Don't panic even if you are left alone. You will survive with this book, no matter where you are.\"",
				"A very interesting book that includes all the recipes for Level 1 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Fried Grasshopper Legs:^000000",
				"5 Grasshopper's Leg",
				"1 Old Frying Pan",
				"1 Cooking Oil",
				"^ffffff_^000000",
				"^008040Frog Egg Squid Ink Soup:^000000",
				"1 Bag of Grain",
				"10 Spawn",
				"1 Squid Ink",
				"^ffffff_^000000",
				"^ff8040Steamed Crab Nippers:^000000",
				"10 Nipper",
				"10 Green Herb",
				"1 Yellow Potion",
				"^ffffff_^000000",
				"^0000ffGrape Juice Herbal Tea:^000000",
				"3 Grape",
				"2 Red Potion",
				"^ffffff_^000000",
				"^800000Honey Grape Juice:^000000",
				"1 Honey",
				"2 Grape",
				"1 Red Potion",
				"^ffffff_^000000",
				"^400080Fried Monkey Tails:^000000",
				"5 Yoyo Tail",
				"1 Old Frying Pan",
				"1 Cooking Oil",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7473: {
			unidentifiedDisplayName: "Level 2 Cookbook",
			unidentifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"\"The mothers taste that can even cure the mind. For those who miss the warmth of family.\"",
				"A very interesting book that includes all the recipes for Level 2 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Seasoned Sticky Webfoot:^000000",
				"20 Sticky Webfoot",
				"10 Green Herb",
				"10 Yellow Herb",
				"1 Savory Sauce",
				"^ffffff_^000000",
				"^008040Smooth Noodle:^000000",
				"1 Bag of Grain",
				"1 Savory Sauce",
				"5 Jack o' Pumpkin",
				"3 Carrot",
				"^ffffff_^000000",
				"^ff8040Assorted Seafood:^000000",
				"10 Clam Flesh",
				"5 Gill",
				"5 Fin",
				"1 Fresh Fish",
				"^ffffff_^000000",
				"^0000ffAutumn Red Tea:^000000",
				"5 Blue Herb",
				"10 Red Herb",
				"10 Yellow Herb",
				"^ffffff_^000000",
				"^800000Chocolate Mousse Cake:^000000",
				"10 Cacao",
				"1 Piece of Cake",
				"1 Milk",
				"1 China",
				"^ffffff_^000000",
				"^400080Mixed Juice:^000000",
				"3 Apple Juice",
				"2 Carrot Juice",
				"1 Grape Juice",
				"2 Orange Juice",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 2 Cookbook",
			identifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"\"The mothers taste that can even cure the mind. For those who miss the warmth of family.\"",
				"A very interesting book that includes all the recipes for Level 2 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Seasoned Sticky Webfoot:^000000",
				"20 Sticky Webfoot",
				"10 Green Herb",
				"10 Yellow Herb",
				"1 Savory Sauce",
				"^ffffff_^000000",
				"^008040Smooth Noodle:^000000",
				"1 Bag of Grain",
				"1 Savory Sauce",
				"5 Jack o' Pumpkin",
				"3 Carrot",
				"^ffffff_^000000",
				"^ff8040Assorted Seafood:^000000",
				"10 Clam Flesh",
				"5 Gill",
				"5 Fin",
				"1 Fresh Fish",
				"^ffffff_^000000",
				"^0000ffAutumn Red Tea:^000000",
				"5 Blue Herb",
				"10 Red Herb",
				"10 Yellow Herb",
				"^ffffff_^000000",
				"^800000Chocolate Mousse Cake:^000000",
				"10 Cacao",
				"1 Piece of Cake",
				"1 Milk",
				"1 China",
				"^ffffff_^000000",
				"^400080Mixed Juice:^000000",
				"3 Apple Juice",
				"2 Carrot Juice",
				"1 Grape Juice",
				"2 Orange Juice",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7474: {
			unidentifiedDisplayName: "Level 3 Cookbook",
			unidentifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"\"Bestseller by Rune Midgard's newly wed wives!! Don't miss this chance!! - Also popular to domestic husbands.\"",
				"A very interesting book that includes all the recipes for Level 3 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Bomber Steak:^000000",
				"4 Meat",
				"1 Old Frying Pan",
				"10 Green Herb",
				"5 Red Chile",
				"1 Spicy Sauce",
				"^ffffff_^000000",
				"^008040Tentacle Cheese Gratin:^000000",
				"10 Tentacle",
				"10 Cheese",
				"5 Yam",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"^ff8040Clam Soup:^000000",
				"20 Clam Flesh",
				"10 Conch",
				"1 Honey",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"^0000ffHoney Herbal Tea:^000000",
				"2 Honey",
				"10 White Herb",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^800000Fruit Mix:^000000",
				"5 Apple",
				"5 Banana",
				"5 Orange",
				"5 Strawberry",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^400080Fried Sweet Potato:^000000",
				"10 Potato",
				"10 Yam",
				"1 Sweet Potato",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 3 Cookbook",
			identifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"\"Bestseller by Rune Midgard's newly wed wives!! Don't miss this chance!! - Also popular to domestic husbands.\"",
				"A very interesting book that includes all the recipes for Level 3 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Bomber Steak:^000000",
				"4 Meat",
				"1 Old Frying Pan",
				"10 Green Herb",
				"5 Red Chile",
				"1 Spicy Sauce",
				"^ffffff_^000000",
				"^008040Tentacle Cheese Gratin:^000000",
				"10 Tentacle",
				"10 Cheese",
				"5 Yam",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"^ff8040Clam Soup:^000000",
				"20 Clam Flesh",
				"10 Conch",
				"1 Honey",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"^0000ffHoney Herbal Tea:^000000",
				"2 Honey",
				"10 White Herb",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^800000Fruit Mix:^000000",
				"5 Apple",
				"5 Banana",
				"5 Orange",
				"5 Strawberry",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^400080Fried Sweet Potato:^000000",
				"10 Potato",
				"10 Yam",
				"1 Sweet Potato",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7475: {
			unidentifiedDisplayName: "Level 4 Cookbook",
			unidentifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"\"Sad story about foods that everyone had to eat. - You are already eating it.\"",
				"A very interesting book that includes all the recipes for Level 4 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Herb Marinade Beef:^000000",
				"5 Meat",
				"3 Red Herb",
				"2 Yellow Herb",
				"3 Green Herb",
				"1 Sweet Sauce",
				"1 Lemon",
				"^ffffff_^000000",
				"^008040Lutie Cold Noodle:^000000",
				"3 Bag of Grain",
				"1 Spicy Sauce",
				"10 Ice Cubic",
				"10 Carrot",
				"10 Jack o' Pumpkin",
				"^ffffff_^000000",
				"^ff8040Seasoned Jellyfish:^000000",
				"30 Tentacle",
				"10 White Herb",
				"10 Soft Blade of Grass",
				"1 Old Frying Pan",
				"20 Squid Ink",
				"^ffffff_^000000",
				"^0000ffMorocc Fruit Wine:^000000",
				"10 Strawberry",
				"4 Lemon",
				"10 Orange",
				"2 Alcohol",
				"5 Grape",
				"^ffffff_^000000",
				"^800000Cream Sandwich:^000000",
				"5 Bread",
				"15 Milk",
				"10 Cheese",
				"10 Yellow Herb",
				"1 Meat",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"^400080Steamed Ancient Lips:^000000",
				"10 Ancient Lips",
				"10 Raccoon Leaf",
				"10 White Herb",
				"5 Fresh Fish",
				"2 Sweet Sauce",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 4 Cookbook",
			identifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"\"Sad story about foods that everyone had to eat. - You are already eating it.\"",
				"A very interesting book that includes all the recipes for Level 4 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Herb Marinade Beef:^000000",
				"5 Meat",
				"3 Red Herb",
				"2 Yellow Herb",
				"3 Green Herb",
				"1 Sweet Sauce",
				"1 Lemon",
				"^ffffff_^000000",
				"^008040Lutie Cold Noodle:^000000",
				"3 Bag of Grain",
				"1 Spicy Sauce",
				"10 Ice Cubic",
				"10 Carrot",
				"10 Jack o' Pumpkin",
				"^ffffff_^000000",
				"^ff8040Seasoned Jellyfish:^000000",
				"30 Tentacle",
				"10 White Herb",
				"10 Soft Blade of Grass",
				"1 Old Frying Pan",
				"20 Squid Ink",
				"^ffffff_^000000",
				"^0000ffMorocc Fruit Wine:^000000",
				"10 Strawberry",
				"4 Lemon",
				"10 Orange",
				"2 Alcohol",
				"5 Grape",
				"^ffffff_^000000",
				"^800000Cream Sandwich:^000000",
				"5 Bread",
				"15 Milk",
				"10 Cheese",
				"10 Yellow Herb",
				"1 Meat",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"^400080Steamed Ancient Lips:^000000",
				"10 Ancient Lips",
				"10 Raccoon Leaf",
				"10 White Herb",
				"5 Fresh Fish",
				"2 Sweet Sauce",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7476: {
			unidentifiedDisplayName: "Level 5 Cookbook",
			unidentifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"\"Reborn as the true chef. Challenge for one spoon from the god!\"",
				"A very interesting book that includes all the recipes for Level 5 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Lutie Lady's Pancake:^000000",
				"10 Potato",
				"2 Honey",
				"1 Cooking Oil",
				"3 Carrot",
				"1 Bag of Grain",
				"^ffffff_^000000",
				"^008040Steamed Bat Wing in Pumpkin:^000000",
				"20 Wing of Red Bat",
				"20 Jack o' Pumpkin",
				"1 Pot",
				"10 Hinalle Leaflet",
				"10 Red Herb",
				"^ffffff_^000000",
				"^ff8040Spicy Fried Bao:^000000",
				"20 Bao",
				"10 Yellow Herb",
				"1 Spicy Sauce",
				"1 Red Spice",
				"20 Green Herb",
				"^ffffff_^000000",
				"^0000ffMastela Fruit Wine:^000000",
				"4 Mastela Fruit",
				"1 Blue Potion",
				"2 Alcohol",
				"2 Lemon",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^800000Green Salad:^000000",
				"2 Hinalle Leaflet",
				"3 Aloe Leaflet",
				"10 Sharp Leaf",
				"6 Huge Leaf",
				"1 Sweet Sauce",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^400080Fried Scorpion Tails:^000000",
				"20 Scorpion Tail",
				"10 Bug Leg",
				"10 Huge Leaf",
				"2 Old Frying Pan",
				"1 Cooking Oil",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 5 Cookbook",
			identifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"\"Reborn as the true chef. Challenge for one spoon from the god!\"",
				"A very interesting book that includes all the recipes for Level 5 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Lutie Lady's Pancake:^000000",
				"10 Potato",
				"2 Honey",
				"1 Cooking Oil",
				"3 Carrot",
				"1 Bag of Grain",
				"^ffffff_^000000",
				"^008040Steamed Bat Wing in Pumpkin:^000000",
				"20 Wing of Red Bat",
				"20 Jack o' Pumpkin",
				"1 Pot",
				"10 Hinalle Leaflet",
				"10 Red Herb",
				"^ffffff_^000000",
				"^ff8040Spicy Fried Bao:^000000",
				"20 Bao",
				"10 Yellow Herb",
				"1 Spicy Sauce",
				"1 Red Spice",
				"20 Green Herb",
				"^ffffff_^000000",
				"^0000ffMastela Fruit Wine:^000000",
				"4 Mastela Fruit",
				"1 Blue Potion",
				"2 Alcohol",
				"2 Lemon",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^800000Green Salad:^000000",
				"2 Hinalle Leaflet",
				"3 Aloe Leaflet",
				"10 Sharp Leaf",
				"6 Huge Leaf",
				"1 Sweet Sauce",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^400080Fried Scorpion Tails:^000000",
				"20 Scorpion Tail",
				"10 Bug Leg",
				"10 Huge Leaf",
				"2 Old Frying Pan",
				"1 Cooking Oil",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7477: {
			unidentifiedDisplayName: "Level 6 Cookbook",
			unidentifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"\"The man who can make food even in a confined room - There is only one result! Food inside the pot!!\"",
				"A very interesting book that includes all the recipes for Level 6 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Shiny Marinade Beef:^000000",
				"10 Meat",
				"2 Honey",
				"1 Yellow Herb",
				"1 Mastela Fruit",
				"20 Shining Scale",
				"^ffffff_^000000",
				"^008040Chile Shrimp Gratin:^000000",
				"20 Red Chile",
				"20 Shrimp",
				"1 Sweet Sauce",
				"20 Lemon",
				"^ffffff_^000000",
				"^ff8040Awfully Bitter Bracer:^000000",
				"20 Brown Root",
				"10 Maneater Root",
				"20 Mushroom Spore",
				"1 Edible Mushroom",
				"2 Honey",
				"^ffffff_^000000",
				"^0000ffRed Mushroom Wine:^000000",
				"3 Edible Mushroom",
				"3 Grape Juice",
				"20 Mushroom Spore",
				"1 Alcohol",
				"1 Red Spice",
				"^ffffff_^000000",
				"^800000Peach Cake:^000000",
				"20 Solid Peach",
				"10 Piece of Cake",
				"10 Cheese",
				"10 Milk",
				"5 Orange Juice",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"^400080Lucky Soup:^000000",
				"5 Reptile Tongue",
				"5 Tongue",
				"10 Clover",
				"10 Witch Starsand",
				"1 Aloe",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 6 Cookbook",
			identifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"\"The man who can make food even in a confined room - There is only one result! Food inside the pot!!\"",
				"A very interesting book that includes all the recipes for Level 6 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Shiny Marinade Beef:^000000",
				"10 Meat",
				"2 Honey",
				"1 Yellow Herb",
				"1 Mastela Fruit",
				"20 Shining Scale",
				"^ffffff_^000000",
				"^008040Chile Shrimp Gratin:^000000",
				"20 Red Chile",
				"20 Shrimp",
				"1 Sweet Sauce",
				"20 Lemon",
				"^ffffff_^000000",
				"^ff8040Awfully Bitter Bracer:^000000",
				"20 Brown Root",
				"10 Maneater Root",
				"20 Mushroom Spore",
				"1 Edible Mushroom",
				"2 Honey",
				"^ffffff_^000000",
				"^0000ffRed Mushroom Wine:^000000",
				"3 Edible Mushroom",
				"3 Grape Juice",
				"20 Mushroom Spore",
				"1 Alcohol",
				"1 Red Spice",
				"^ffffff_^000000",
				"^800000Peach Cake:^000000",
				"20 Solid Peach",
				"10 Piece of Cake",
				"10 Cheese",
				"10 Milk",
				"5 Orange Juice",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"^400080Lucky Soup:^000000",
				"5 Reptile Tongue",
				"5 Tongue",
				"10 Clover",
				"10 Witch Starsand",
				"1 Aloe",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7478: {
			unidentifiedDisplayName: "Level 7 Cookbook",
			unidentifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"\"If you are hungry, I will treat you with food even if you are a Poring or Poporing!\"",
				"A very interesting book that includes all the recipes for Level 7 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Whole Roast:^000000",
				"10 Meat",
				"1 Live Coal",
				"2 Coal",
				"1 Spicy Sauce",
				"15 Trunk",
				"10 White Herb",
				"^ffffff_^000000",
				"^008040Steamed Alligator with Vegetable:^000000",
				"10 Anolian Skin",
				"10 Jack o' Pumpkin",
				"10 Carrot",
				"10 Aloe Leaflet",
				"10 Yellow Herb",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^ff8040Sumptuous Feast:^000000",
				"10 Fish Tail",
				"5 Aloe Leaflet",
				"10 Mane",
				"2 Fresh Fish",
				"10 Pet Food",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"^0000ffSpecial Royal Jelly Herbal Tea:^000000",
				"4 Royal Jelly",
				"2 Honey",
				"5 White Herb",
				"10 Hinalle Leaflet",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^800000Soul Haunted Bread:^000000",
				"10 Bread",
				"5 Mastela Fruit",
				"1 Sweet Sauce",
				"5 Ment",
				"5 Amulet",
				"2 Unripe Apple",
				"^ffffff_^000000",
				"^400080Assorted Shish Kebob:^000000",
				"10 Scale Shell",
				"5 Gill",
				"10 Soft Blade of Grass",
				"5 Meat",
				"10 Edible Mushroom",
				"10 Clam Flesh",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 7 Cookbook",
			identifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"\"If you are hungry, I will treat you with food even if you are a Poring or Poporing!\"",
				"A very interesting book that includes all the recipes for Level 7 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Whole Roast:^000000",
				"10 Meat",
				"1 Live Coal",
				"2 Coal",
				"1 Spicy Sauce",
				"15 Trunk",
				"10 White Herb",
				"^ffffff_^000000",
				"^008040Steamed Alligator with Vegetable:^000000",
				"10 Anolian Skin",
				"10 Jack o' Pumpkin",
				"10 Carrot",
				"10 Aloe Leaflet",
				"10 Yellow Herb",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^ff8040Sumptuous Feast:^000000",
				"10 Fish Tail",
				"5 Aloe Leaflet",
				"10 Mane",
				"2 Fresh Fish",
				"10 Pet Food",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"^0000ffSpecial Royal Jelly Herbal Tea:^000000",
				"4 Royal Jelly",
				"2 Honey",
				"5 White Herb",
				"10 Hinalle Leaflet",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^800000Soul Haunted Bread:^000000",
				"10 Bread",
				"5 Mastela Fruit",
				"1 Sweet Sauce",
				"5 Ment",
				"5 Amulet",
				"2 Unripe Apple",
				"^ffffff_^000000",
				"^400080Assorted Shish Kebob:^000000",
				"10 Scale Shell",
				"5 Gill",
				"10 Soft Blade of Grass",
				"5 Meat",
				"10 Edible Mushroom",
				"10 Clam Flesh",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7479: {
			unidentifiedDisplayName: "Level 8 Cookbook",
			unidentifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"\"Right now, there is a wandering chef in Rune Midgard..!! - Emotional epic of extreme cooking.\"",
				"A very interesting book that includes all the recipes for Level 8 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Bearfoot Special:^000000",
				"20 Bear's Footskin",
				"10 Carrot",
				"10 Jack o' Pumpkin",
				"2 Aloe Leaflet",
				"1 Hinalle Leaflet",
				"1 Savory Sauce",
				"^ffffff_^000000",
				"^008040Incredibly Spicy Curry:^000000",
				"1 Aloevera",
				"1 Spicy Sauce",
				"10 Meat",
				"10 Hinalle Leaflet",
				"10 Jack o' Pumpkin",
				"10 Carrot",
				"^ffffff_^000000",
				"^ff8040Giant Burito:^000000",
				"20 Fig Leaf",
				"20 Meat",
				"5 Rainbow Carrot",
				"10 Jack o' Pumpkin",
				"1 Savory Sauce",
				"2 Bag of Grain",
				"^ffffff_^000000",
				"^0000ffRoyal Family Tea:^000000",
				"4 Prickly Fruit",
				"10 Hinalle Leaflet",
				"3 Yggdrasil Leaf",
				"10 Aloe Leaflet",
				"6 Royal Jelly",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^800000Special Toast:^000000",
				"10 Bread",
				"2 Royal Jelly",
				"5 Meat",
				"10 Strawberry",
				"1 Spicy Sauce",
				"10 Cheese",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"^400080Strawberry Flavored Rice Ball:^000000",
				"10 Strawberry",
				"5 Bag of Grain",
				"10 Fig Leaf",
				"1 Yellow Spice",
				"2 Red Spice",
				"1 Savory Sauce",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 8 Cookbook",
			identifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"\"Right now, there is a wandering chef in Rune Midgard..!! - Emotional epic of extreme cooking.\"",
				"A very interesting book that includes all the recipes for Level 8 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Bearfoot Special:^000000",
				"20 Bear's Footskin",
				"10 Carrot",
				"10 Jack o' Pumpkin",
				"2 Aloe Leaflet",
				"1 Hinalle Leaflet",
				"1 Savory Sauce",
				"^ffffff_^000000",
				"^008040Incredibly Spicy Curry:^000000",
				"1 Aloevera",
				"1 Spicy Sauce",
				"10 Meat",
				"10 Hinalle Leaflet",
				"10 Jack o' Pumpkin",
				"10 Carrot",
				"^ffffff_^000000",
				"^ff8040Giant Burito:^000000",
				"20 Fig Leaf",
				"20 Meat",
				"5 Rainbow Carrot",
				"10 Jack o' Pumpkin",
				"1 Savory Sauce",
				"2 Bag of Grain",
				"^ffffff_^000000",
				"^0000ffRoyal Family Tea:^000000",
				"4 Prickly Fruit",
				"10 Hinalle Leaflet",
				"3 Yggdrasil Leaf",
				"10 Aloe Leaflet",
				"6 Royal Jelly",
				"1 Yellow Spice",
				"^ffffff_^000000",
				"^800000Special Toast:^000000",
				"10 Bread",
				"2 Royal Jelly",
				"5 Meat",
				"10 Strawberry",
				"1 Spicy Sauce",
				"10 Cheese",
				"1 Sweet Sauce",
				"^ffffff_^000000",
				"^400080Strawberry Flavored Rice Ball:^000000",
				"10 Strawberry",
				"5 Bag of Grain",
				"10 Fig Leaf",
				"1 Yellow Spice",
				"2 Red Spice",
				"1 Savory Sauce",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7480: {
			unidentifiedDisplayName: "Level 9 Cookbook",
			unidentifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"\"Sorrowful journey of a chef who lost his brother and his sense of taste while trying to make forbidden legendary food.\"",
				"A very interesting book that includes all the recipes for Level 9 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Tendon Satay:^000000",
				"40 Tendon",
				"1 Pot",
				"10 Cheese",
				"1 Spicy Sauce",
				"2 Coal",
				"30 Green Herb",
				"10 Squid Ink",
				"^ffffff_^000000",
				"^008040Special Meat Stew:^000000",
				"10 Meat",
				"5 Royal Jelly",
				"20 Shoot",
				"4 Savory Sauce",
				"5 Yellow Herb",
				"10 White Herb",
				"5 Red Herb",
				"^ffffff_^000000",
				"^ff8040Ascending Dragon Soup:^000000",
				"10 Dragon Skin",
				"20 Dragon Tail",
				"3 Yggdrasil Leaf",
				"6 Royal Jelly",
				"1 Spicy Sauce",
				"1 Red Spice",
				"1 Fatty Chubby Earthworm",
				"^ffffff_^000000",
				"^0000ffTristan XII:^000000",
				"10 Yggdrasil Leaf",
				"10 Orange",
				"5 Alcohol",
				"4 Royal Jelly",
				"2 Blue Potion",
				"1 Yellow Spice",
				"10 Aloe Leaflet",
				"^ffffff_^000000",
				"^800000Heavenly Fruit Juice:^000000",
				"5 Unripe Apple",
				"10 Orange",
				"10 Strawberry",
				"1 Red Spice",
				"1 Tropical Banana",
				"5 Grape Juice",
				"2 Alcohol",
				"^ffffff_^000000",
				"^400080Blood Flavored Soda:^000000",
				"1 Animal Gore",
				"2 Anodyne",
				"2 Aloevera",
				"2 Alcohol",
				"6 Royal Jelly",
				"1 Red Spice",
				"10 Apple Juice",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 9 Cookbook",
			identifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"\"Sorrowful journey of a chef who lost his brother and his sense of taste while trying to make forbidden legendary food.\"",
				"A very interesting book that includes all the recipes for Level 9 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Tendon Satay:^000000",
				"40 Tendon",
				"1 Pot",
				"10 Cheese",
				"1 Spicy Sauce",
				"2 Coal",
				"30 Green Herb",
				"10 Squid Ink",
				"^ffffff_^000000",
				"^008040Special Meat Stew:^000000",
				"10 Meat",
				"5 Royal Jelly",
				"20 Shoot",
				"4 Savory Sauce",
				"5 Yellow Herb",
				"10 White Herb",
				"5 Red Herb",
				"^ffffff_^000000",
				"^ff8040Ascending Dragon Soup:^000000",
				"10 Dragon Skin",
				"20 Dragon Tail",
				"3 Yggdrasil Leaf",
				"6 Royal Jelly",
				"1 Spicy Sauce",
				"1 Red Spice",
				"1 Fatty Chubby Earthworm",
				"^ffffff_^000000",
				"^0000ffTristan XII:^000000",
				"10 Yggdrasil Leaf",
				"10 Orange",
				"5 Alcohol",
				"4 Royal Jelly",
				"2 Blue Potion",
				"1 Yellow Spice",
				"10 Aloe Leaflet",
				"^ffffff_^000000",
				"^800000Heavenly Fruit Juice:^000000",
				"5 Unripe Apple",
				"10 Orange",
				"10 Strawberry",
				"1 Red Spice",
				"1 Tropical Banana",
				"5 Grape Juice",
				"2 Alcohol",
				"^ffffff_^000000",
				"^400080Blood Flavored Soda:^000000",
				"1 Animal Gore",
				"2 Anodyne",
				"2 Aloevera",
				"2 Alcohol",
				"6 Royal Jelly",
				"1 Red Spice",
				"10 Apple Juice",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7481: {
			unidentifiedDisplayName: "Level 10 Cookbook",
			unidentifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"\"First woman to become the royal chef in the Prontera kingdom history! - Signed personally by the author.\"",
				"A very interesting book that includes all the recipes for Level 10 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Steamed Tongue:^000000",
				"20 Tongue",
				"1 Pot",
				"1 Alcohol",
				"2 Aloevera",
				"1 Spicy Sauce",
				"5 Royal Jelly",
				"10 Yggdrasil Leaf",
				"2 Blue Potion",
				"^ffffff_^000000",
				"^008040Steamed Desert Scorpions:^000000",
				"20 Scorpion Tail",
				"20 Scorpion Claw",
				"2 Aloevera",
				"3 Yggdrasil Leaf",
				"3 Bitter Herb",
				"10 Royal Jelly",
				"1 Spicy Sauce",
				"1 Pot",
				"^ffffff_^000000",
				"^ff8040Immortal Stew:^000000",
				"20 Immortal Heart",
				"10 Memento",
				"1 Yggdrasil Seed",
				"2 Anodyne",
				"10 Heart of Mermaid",
				"2 Spicy Sauce",
				"10 Amulet",
				"2 Bitter Herb",
				"^ffffff_^000000",
				"^0000ffDragon Breath Cocktail:^000000",
				"10 Maneater Root",
				"1 Singing Plant",
				"5 Aloe Leaflet",
				"5 Royal Jelly",
				"5 Lemon",
				"5 Prickly Fruit",
				"1 Yggdrasil Berry",
				"10 Blue Herb",
				"^ffffff_^000000",
				"^800000Hwergelmir's Tonic:^000000",
				"1 Yggdrasil Berry",
				"10 Ice Cubic",
				"10 Bacillus",
				"4 Royal Jelly",
				"3 Concentration Potion",
				"5 Alcohol",
				"2 Prickly Fruit",
				"1 Illusion Flower",
				"^ffffff_^000000",
				"^400080Cooked Nine Tail:^000000",
				"10 Nine Tails",
				"2 Four Leaf Clover",
				"10 Maneater Root",
				"10 Sharp Leaf",
				"4 Yggdrasil Leaf",
				"1 Savory Sauce",
				"1 Yellow Spice",
				"2 Izidor",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 10 Cookbook",
			identifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"\"First woman to become the royal chef in the Prontera kingdom history! - Signed personally by the author.\"",
				"A very interesting book that includes all the recipes for Level 10 Foods.",
				"^ffffff_^000000",
				"^ffffff_^000000",
				"^ff0000Steamed Tongue:^000000",
				"20 Tongue",
				"1 Pot",
				"1 Alcohol",
				"2 Aloevera",
				"1 Spicy Sauce",
				"5 Royal Jelly",
				"10 Yggdrasil Leaf",
				"2 Blue Potion",
				"^ffffff_^000000",
				"^008040Steamed Desert Scorpions:^000000",
				"20 Scorpion Tail",
				"20 Scorpion Claw",
				"2 Aloevera",
				"3 Yggdrasil Leaf",
				"3 Bitter Herb",
				"10 Royal Jelly",
				"1 Spicy Sauce",
				"1 Pot",
				"^ffffff_^000000",
				"^ff8040Immortal Stew:^000000",
				"20 Immortal Heart",
				"10 Memento",
				"1 Yggdrasil Seed",
				"2 Anodyne",
				"10 Heart of Mermaid",
				"2 Spicy Sauce",
				"10 Amulet",
				"2 Bitter Herb",
				"^ffffff_^000000",
				"^0000ffDragon Breath Cocktail:^000000",
				"10 Maneater Root",
				"1 Singing Plant",
				"5 Aloe Leaflet",
				"5 Royal Jelly",
				"5 Lemon",
				"5 Prickly Fruit",
				"1 Yggdrasil Berry",
				"10 Blue Herb",
				"^ffffff_^000000",
				"^800000Hwergelmir's Tonic:^000000",
				"1 Yggdrasil Berry",
				"10 Ice Cubic",
				"10 Bacillus",
				"4 Royal Jelly",
				"3 Concentration Potion",
				"5 Alcohol",
				"2 Prickly Fruit",
				"1 Illusion Flower",
				"^ffffff_^000000",
				"^400080Cooked Nine Tail:^000000",
				"10 Nine Tails",
				"2 Four Leaf Clover",
				"10 Maneater Root",
				"10 Sharp Leaf",
				"4 Yggdrasil Leaf",
				"1 Savory Sauce",
				"1 Yellow Spice",
				"2 Izidor",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7482: {
			unidentifiedDisplayName: "Pot",
			unidentifiedResourceName: "\xb3\xbf\xba\xf1",
			unidentifiedDescriptionName: [
				"A round, fairly deep cooking vessel covered by a lid with a handle in which you can cook various types of food if the right tools are used.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pot",
			identifiedResourceName: "\xb3\xbf\xba\xf1",
			identifiedDescriptionName: [
				"A round, fairly deep cooking vessel covered by a lid with a handle in which you can cook various types of food if the right tools are used.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7483: {
			unidentifiedDisplayName: "Key of the Seal",
			unidentifiedResourceName: "\xbd\xc3\xb0\xe8\xc5\xbe\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"The key that can be used to release the 8th seal of the ancient city, Geffenia.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Key of the Seal",
			identifiedResourceName: "\xbd\xc3\xb0\xe8\xc5\xbe\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"The key that can be used to release the 8th seal of the ancient city, Geffenia.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7484: {
			unidentifiedDisplayName: "Warrior's Symbol",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				"A Bead that represents a brave warrior. It shines with a golden color.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "GM Bond",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				"A Bead that represents a brave warrior. It shines with a golden color.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7485: {
			unidentifiedDisplayName: "Cloud General",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"Pass to the 2nd floor.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cloud General",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"Pass to the 2nd floor.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7486: {
			unidentifiedDisplayName: "Wind General",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"Pass to the 3rd floor.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wind General",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"Pass to the 3rd floor.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7487: {
			unidentifiedDisplayName: "Culinary Wine",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x39",
			unidentifiedDescriptionName: [
				"A bottle of fine, sweet scented culinary wine obtained from the Yuno Pub.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Culinary Wine",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x39",
			identifiedDescriptionName: [
				"A bottle of fine, sweet scented culinary wine obtained from the Yuno Pub.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7488: {
			unidentifiedDisplayName: "Delivery Package",
			unidentifiedResourceName: "\xc5\xc3\xb9\xe8\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A delivery package containing a bag of flour and eggs that must be handled very carefully.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Delivery Package",
			identifiedResourceName: "\xc5\xc3\xb9\xe8\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A delivery package containing a bag of flour and eggs that must be handled very carefully.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7489: {
			unidentifiedDisplayName: "Cottage Key",
			unidentifiedResourceName: "\xbd\xc3\xb0\xe8\xc5\xbe\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"An extra key for Kiel Hyre's Cottage that will let you enter through the back door, allowing you to avoid the cottage keeper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cottage Key",
			identifiedResourceName: "\xbd\xc3\xb0\xe8\xc5\xbe\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"An extra key for Kiel Hyre's Cottage that will let you enter through the back door, allowing you to avoid the cottage keeper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7490: {
			unidentifiedDisplayName: "Letter to Elly",
			unidentifiedResourceName: "\xbe\xc8\xba\xce\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"A letter that is labeled \"To Elly\" and closed with a distinctive red seal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Letter to Elly",
			identifiedResourceName: "\xbe\xc8\xba\xce\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"A letter that is labeled \"To Elly\" and closed with a distinctive red seal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7491: {
			unidentifiedDisplayName: "Steel Box",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A steel box with a tiny keyhole on its lid. Its contents must be what Kiel Hyre wanted to give to Elly.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steel Box",
			identifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A steel box with a tiny keyhole on its lid. Its contents must be what Kiel Hyre wanted to give to Elly.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7492: {
			unidentifiedDisplayName: "Yellow Keycard",
			unidentifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A flat, translucent yellow keycard that enables access to the secret path near the dormitory on the Kiel Hyre Academy campus.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yellow Keycard",
			identifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A flat, translucent yellow keycard that enables access to the secret path near the dormitory on the Kiel Hyre Academy campus.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7493: {
			unidentifiedDisplayName: "Golden Key",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"Elly's golden key which can be used to open a special box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golden Key",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"Elly's golden key which can be used to open a special box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7494: {
			unidentifiedDisplayName: "Luxurious Button",
			unidentifiedResourceName: "\xc5\xb0\xbf\xa4\xb4\xdc\xc3\xdf",
			unidentifiedDescriptionName: [
				"A shiny and elegant gold button engraved with a beautiful rose.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Luxurious Button",
			identifiedResourceName: "\xc5\xb0\xbf\xa4\xb4\xdc\xc3\xdf",
			identifiedDescriptionName: [
				"A shiny and elegant gold button engraved with a beautiful rose.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7495: {
			unidentifiedDisplayName: "Blue Keycard",
			unidentifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xc6\xc4\xb6\xfb",
			unidentifiedDescriptionName: [
				"A flat, translucent blue keycard that enables access to Allysia's hideout in Kiel Hyre's factory.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Keycard",
			identifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xc6\xc4\xb6\xfb",
			identifiedDescriptionName: [
				"A flat, translucent blue keycard that enables access to Allysia's hideout in Kiel Hyre's factory.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7496: {
			unidentifiedDisplayName: "Red Keycard",
			unidentifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A flat, translucent red keycard that enables access to a specific restricted area.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Keycard",
			identifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A flat, translucent red keycard that enables access to a specific restricted area.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7497: {
			unidentifiedDisplayName: "Metal Fragment",
			unidentifiedResourceName: "\xb9\xcc\xc1\xf6\xc0\xc7\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A peculiar looking metallic fragment.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Metal Fragment",
			identifiedResourceName: "\xb9\xcc\xc1\xf6\xc0\xc7\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A peculiar looking metallic fragment.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7498: {
			unidentifiedDisplayName: "Rosimier Mansion Keys",
			unidentifiedResourceName: "\xb7\xce\xbd\xc3\xb9\xcc\xbf\xa1\xb8\xa3\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"A keyring that has many of the keys used for the Rosimier Mansion.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rosimier Mansion Keys",
			identifiedResourceName: "\xb7\xce\xbd\xc3\xb9\xcc\xbf\xa1\xb8\xa3\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"A keyring that has many of the keys used for the Rosimier Mansion.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7499: {
			unidentifiedDisplayName: "Family Portrait",
			unidentifiedResourceName: "\xb0\xa1\xc1\xb7\xc0\xc7\xc3\xca\xbb\xf3\xc8\xad",
			unidentifiedDescriptionName: [
				"A portrait of an elite, high class family with 4 members.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Family Portrait",
			identifiedResourceName: "\xb0\xa1\xc1\xb7\xc0\xc7\xc3\xca\xbb\xf3\xc8\xad",
			identifiedDescriptionName: [
				"A portrait of an elite, high class family with 4 members.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7500: {
			unidentifiedDisplayName: "Woman's Portrait",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xbd\xc3\xbe\xc6\xc3\xca\xbb\xf3\xc8\xad",
			unidentifiedDescriptionName: [
				"A portrait of beautiful woman named Allysia. Her warm, welcoming smile can be felt in the depths of your heart.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Woman's Portrait",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xbd\xc3\xbe\xc6\xc3\xca\xbb\xf3\xc8\xad",
			identifiedDescriptionName: [
				"A portrait of beautiful woman named Allysia. Her warm, welcoming smile can be felt in the depths of your heart.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7501: {
			unidentifiedDisplayName: "K.H's Letter",
			unidentifiedResourceName: "\xc6\xed\xc1\xf6\x30\x31",
			unidentifiedDescriptionName: [
				"A letter written by a man with the initials K.H., for a woman named Allysia.",
				"^ffffff_^000000",
				"^777777\"Please don't believe in James, I'm sure he is lying. I am the one that really loves you.",
				"I may be poor now, but once I succeed in this reseach, I can become even richer than him!",
				"I beg you, come and see me tonight where we first met. I'll be waiting for you.",
				"--K.H. August 19\"^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "K.H's Letter",
			identifiedResourceName: "\xc6\xed\xc1\xf6\x30\x31",
			identifiedDescriptionName: [
				"A letter written by a man with the initials K.H., for a woman named Allysia.",
				"^ffffff_^000000",
				"^777777\"Please don't believe in James, I'm sure he is lying. I am the one that really loves you.",
				"I may be poor now, but once I succeed in this reseach, I can become even richer than him!",
				"I beg you, come and see me tonight where we first met. I'll be waiting for you.",
				"--K.H. August 19\"^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7502: {
			unidentifiedDisplayName: "James's Note",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"A letter addressed to Allysia, and written by a man named James.",
				"^ffffff_^000000",
				"^777777\"Dearest Allysia, Believe me, I was just as surprised to learn that my family engaged me to Ms. Cerinee.",
				"I'm sorry I hurt you, but I've decided that you are the one I want. Meet me tomorrow night, and we'll run away so that we can finally be together, my love.",
				"--James, August 19th.\"^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "James's Note",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"A letter addressed to Allysia, and written by a man named James.",
				"^ffffff_^000000",
				"^777777\"Dearest Allysia, Believe me, I was just as surprised to learn that my family engaged me to Ms. Cerinee.",
				"I'm sorry I hurt you, but I've decided that you are the one I want. Meet me tomorrow night, and we'll run away so that we can finally be together, my love.",
				"--James, August 19th.\"^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7503: {
			unidentifiedDisplayName: "Man's Portrait",
			unidentifiedResourceName: "\xb3\xb2\xc0\xda\xc0\xc7\xc3\xca\xbb\xf3\xc8\xad",
			unidentifiedDescriptionName: [
				"A portrait of a young man that looks fairlydepressed.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Man's Portrait",
			identifiedResourceName: "\xb3\xb2\xc0\xda\xc0\xc7\xc3\xca\xbb\xf3\xc8\xad",
			identifiedDescriptionName: [
				"A portrait of a young man that looks fairlydepressed.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7504: {
			unidentifiedDisplayName: "Power Device",
			unidentifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			unidentifiedDescriptionName: [
				"A complex mechanical device that can disrupt the energy in a robot.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Power Device",
			identifiedResourceName: "\xba\xa3\xbd\xba\xc6\xdb\xc4\xda\xbe\xee",
			identifiedDescriptionName: [
				"A complex mechanical device that can disrupt the energy in a robot.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7505: {
			unidentifiedDisplayName: "Toy Key",
			unidentifiedResourceName: "\xc5\xbe\xc1\xf6\xc7\xcf\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"An elaborate toy key made of plastic.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Toy Key",
			identifiedResourceName: "\xc5\xbe\xc1\xf6\xc7\xcf\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"An elaborate toy key made of plastic.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7506: {
			unidentifiedDisplayName: "Black Keycard",
			unidentifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A flat and transparent black key which enables access to a front door.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Black Keycard",
			identifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A flat and transparent black key which enables access to a front door.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7507: {
			unidentifiedDisplayName: "Solid Iron Piece",
			unidentifiedResourceName: "\xb4\xdc\xb4\xdc\xc7\xd1\xc3\xb6\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A square piece of rusty iron.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Solid Iron Piece",
			identifiedResourceName: "\xb4\xdc\xb4\xdc\xc7\xd1\xc3\xb6\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A square piece of rusty iron.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7508: {
			unidentifiedDisplayName: "Allysia's Ring",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"The engagement ring that belonged to Allysia.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Allysia's Ring",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"The engagement ring that belonged to Allysia.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7509: {
			unidentifiedDisplayName: "Luxurious Keycard",
			unidentifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xc5\xb0\xc4\xab\xb5\xe5",
			unidentifiedDescriptionName: [
				"A fancy, rainbow colored key that enables access to Kiel Hyre's Factory and Laboratory.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Luxurious Keycard",
			identifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xc5\xb0\xc4\xab\xb5\xe5",
			identifiedDescriptionName: [
				"A fancy, rainbow colored key that enables access to Kiel Hyre's Factory and Laboratory.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7510: {
			unidentifiedDisplayName: "Valhala's Flower",
			unidentifiedResourceName: "\xb9\xdf\xc7\xd2\xb6\xf3\xc0\xc7\xb2\xc9",
			unidentifiedDescriptionName: [
				"An enigmantic flower that can only be seen within Valhalla, the sacred battlegrounds of the ancient gods.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Valhala's Flower",
			identifiedResourceName: "\xb9\xdf\xc7\xd2\xb6\xf3\xc0\xc7\xb2\xc9",
			identifiedDescriptionName: [
				"An enigmantic flower that can only be seen within Valhalla, the sacred battlegrounds of the ancient gods.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7511: {
			unidentifiedDisplayName: "Rune of the Darkness",
			unidentifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb7\xe9",
			unidentifiedDescriptionName: [
				"A dark rune with ancient writing engraved inside it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rune of Darkness",
			identifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb7\xe9",
			identifiedDescriptionName: [
				"A dark rune with ancient writing engraved inside it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7512: {
			unidentifiedDisplayName: "Burnt Part",
			unidentifiedResourceName: "\xc5\xb8\xb9\xf6\xb8\xb0\xba\xce\xc7\xb0\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A burnt part of some device.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Burnt Part",
			identifiedResourceName: "\xc5\xb8\xb9\xf6\xb8\xb0\xba\xce\xc7\xb0\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A burnt part of some device.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7513: {
			unidentifiedDisplayName: "Pocket Watch",
			unidentifiedResourceName: "\xc8\xb8\xc1\xdf\xbd\xc3\xb0\xe8",
			unidentifiedDescriptionName: [
				"An old silver pocket watch.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pocket Watch",
			identifiedResourceName: "\xc8\xb8\xc1\xdf\xbd\xc3\xb0\xe8",
			identifiedDescriptionName: [
				"An old silver pocket watch.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7514: {
			unidentifiedDisplayName: "Monster Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A certificate given to Monster Race bettors that enable them to check the monster on which they wagered.",
				"This can only be use in Hugel's Monster Race Arena.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Monster Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A certificate given to Monster Race bettors that enable them to check the monster on which they wagered.",
				"This can only be use in Hugel's Monster Race Arena.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7515: {
			unidentifiedDisplayName: "Prize Medal",
			unidentifiedResourceName: "\xbd\xc5\xb1\xe2\xc7\xd1\xb8\xde\xb4\xde",
			unidentifiedDescriptionName: [
				"A medal crafted from a rare and mysterious metal that can only be found in Hugel.",
				"These metals can not be traded or given to other players.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Prize Medal",
			identifiedResourceName: "\xbd\xc5\xb1\xe2\xc7\xd1\xb8\xde\xb4\xde",
			identifiedDescriptionName: [
				"A medal crafted from a rare and mysterious metal that can only be found in Hugel.",
				"These metals can not be traded or given to other players.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7516: {
			unidentifiedDisplayName: "Green Keycard",
			unidentifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xc3\xca\xb7\xcf",
			unidentifiedDescriptionName: [
				"A flat, translucent green keycard that enables access to a secret safe.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Keycard",
			identifiedResourceName: "\xbf\xad\xbc\xe8\x5f\xc3\xca\xb7\xcf",
			identifiedDescriptionName: [
				"A flat, translucent green keycard that enables access to a secret safe.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7517: {
			unidentifiedDisplayName: "Gold Coin",
			unidentifiedResourceName: "\xb1\xdd\xc8\xad",
			unidentifiedDescriptionName: [
				"A magical coin that is extremely valuable to leprechauns, since it can be used to fill their famous pots of gold.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Gold Coin",
			identifiedResourceName: "\xb1\xdd\xc8\xad",
			identifiedDescriptionName: [
				"A magical coin that is extremely valuable to leprechauns, since it can be used to fill their famous pots of gold.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7518: {
			unidentifiedDisplayName: "Women's Medal",
			unidentifiedResourceName: "\xc5\xc2\xb1\xd8\xc6\xd0",
			unidentifiedDescriptionName: [
				"Women's Medal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Women's Medal",
			identifiedResourceName: "\xc5\xc2\xb1\xd8\xc6\xd0",
			identifiedDescriptionName: [
				"Women's Medal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7519: {
			unidentifiedDisplayName: "Handsel",
			unidentifiedResourceName: "\xbc\xbc\xb9\xee\xb5\xb7",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Handsel",
			identifiedResourceName: "\xbc\xbc\xb9\xee\xb5\xb7",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7520: {
			unidentifiedDisplayName: "Please Be Rich",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Please Be Rich",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7521: {
			unidentifiedDisplayName: "Flame Stone",
			unidentifiedResourceName: "\xbf\xad\xc8\xad\xbc\xae",
			unidentifiedDescriptionName: [
				"A bead, imbued with the ^FF0000Fire^000000 Property, that is used as a catalyst by Ninjas when performing some of their skills.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flame Stone",
			identifiedResourceName: "\xbf\xad\xc8\xad\xbc\xae",
			identifiedDescriptionName: [
				"A bead, imbued with the ^FF0000Fire^000000 Property, that is used as a catalyst by Ninjas when performing some of their skills.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7522: {
			unidentifiedDisplayName: "Ice Stone",
			unidentifiedResourceName: "\xba\xf9\xbc\xb6\xbc\xae",
			unidentifiedDescriptionName: [
				"A bead, imbued with the ^0000FFWater^000000 Property, that is used as a catalyst by Ninjas when performing some of their skills.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ice Stone",
			identifiedResourceName: "\xba\xf9\xbc\xb6\xbc\xae",
			identifiedDescriptionName: [
				"A bead, imbued with the ^0000FFWater^000000 Property, that is used as a catalyst by Ninjas when performing some of their skills.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7523: {
			unidentifiedDisplayName: "Wind Stone",
			unidentifiedResourceName: "\xc7\xb3\xb7\xc9\xbc\xae",
			unidentifiedDescriptionName: [
				"A bead, imbued with the ^009900Wind^000000 Property, that is used as a catalyst by Ninjas when performing some of their skills.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wind Stone",
			identifiedResourceName: "\xc7\xb3\xb7\xc9\xbc\xae",
			identifiedDescriptionName: [
				"A bead, imbued with the ^009900Wind^000000 Property, that is used as a catalyst by Ninjas when performing some of their skills.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7524: {
			unidentifiedDisplayName: "Shadow Orb",
			unidentifiedResourceName: "\xc8\xaf\xb1\xb8",
			unidentifiedDescriptionName: [
				"An orb that is used as a catalyst to enable a Ninja to realize his latent abilities and skills.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Shadow Orb",
			identifiedResourceName: "\xc8\xaf\xb1\xb8",
			identifiedDescriptionName: [
				"An orb that is used as a catalyst to enable a Ninja to realize his latent abilities and skills.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7525: {
			unidentifiedDisplayName: "Summer Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A ticket that lets you participate in The Summer Festival.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Summer Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A ticket that lets you participate in The Summer Festival.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7526: {
			unidentifiedDisplayName: "Manuscript Paper",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"A part of Joshua's missing manuscript. It's full of meaningful content that really touches the soul.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Manuscript Paper",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"A part of Joshua's missing manuscript. It's full of meaningful content that really touches the soul.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7527: {
			unidentifiedDisplayName: "Book About True Life",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"A book written by a novel writer called ^000088Ayala^000000 about how humans can have better lives if they live as a shared entity.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Book About True Life",
			identifiedResourceName: "\xba\xcf",
			identifiedDescriptionName: [
				"A book written by a novel writer called ^000088Ayala^000000 about how humans can have better lives if they live as a shared entity.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7528: {
			unidentifiedDisplayName: "Lottery Ticket",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"Indonesian lottery ticket.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Lottery Ticket",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"Indonesian lottery ticket.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7529: {
			unidentifiedDisplayName: "Stolen Sandal",
			unidentifiedResourceName: "\xbb\xf7\xb5\xe9",
			unidentifiedDescriptionName: [
				"A stolen sandal.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Stolen Sandal",
			identifiedResourceName: "\xbb\xf7\xb5\xe9",
			identifiedDescriptionName: [
				"A stolen sandal.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7530: {
			unidentifiedDisplayName: "Travel Brochurer Amatsu",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"[Amatsu Travel Brochure]",
				"The people of Amatsu carry themselves with honor and tranquility.",
				"While visiting the city, make sure to see:",
				"1. The beautiful ^ff0000Water Shrine^000000.",
				"2. The ^ff0000Lord of Amatsu^000000, who is much more open than rulers of other lands and will talk to visitors and citizens alike.",
				"3. The ^ff0000Legendary Tree^000000, that holds many legends. It is said, that when you propose under its branches your marriage will be blessed.",
				"4. The ^ff0000Coy Pond^000000, located in the wonderful gardens, whose careful balance and flow reflect the keeper's state of mind.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Travel Brochure [Amatsu]",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"[Amatsu Travel Brochure]",
				"The people of Amatsu carry themselves with honor and tranquility.",
				"While visiting the city, make sure to see:",
				"1. The beautiful ^ff0000Water Shrine^000000.",
				"2. The ^ff0000Lord of Amatsu^000000, who is much more open than rulers of other lands and will talk to visitors and citizens alike.",
				"3. The ^ff0000Legendary Tree^000000, that holds many legends. It is said, that when you propose under its branches your marriage will be blessed.",
				"4. The ^ff0000Coy Pond^000000, located in the wonderful gardens, whose careful balance and flow reflect the keeper's state of mind.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7531: {
			unidentifiedDisplayName: "Travel Brochurer Kunlun",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"[Gonryun Travel Brochure]",
				"Gonryun is a land in the clouds. Being so high in the air affords an unprecedented view of the world and gives a different mindset to those who allow themselves to think freely.",
				"While visiting the city, make sure to see:",
				"1. The ^ff0000Statue of Gonryun's Greatest Philosopher^000000, that stands proudly in the middle of town, ready to inspire great thoughts from all those that gaze upon him.",
				"2. The ^ff0000Overlook of the World^000000. There are particular spots that are exceptionally breathtaking, so please watch your step.",
				"3. The ^ff0000small hill in Gonryun^000000 that is said to have been the Great Philosophers favorite meditation spot. See if any grand thoughts take you.",
				"4. The ^ff0000Mini-town^000000 on ground beneath Gonryun that is a lesson against stagnant and small thinking.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Travel Brochure [Kunlun]",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"[Gonryun Travel Brochure]",
				"Gonryun is a land in the clouds. Being so high in the air affords an unprecedented view of the world and gives a different mindset to those who allow themselves to think freely.",
				"While visiting the city, make sure to see:",
				"1. The ^ff0000Statue of Gonryun's Greatest Philosopher^000000, that stands proudly in the middle of town, ready to inspire great thoughts from all those that gaze upon him.",
				"2. The ^ff0000Overlook of the World^000000. There are particular spots that are exceptionally breathtaking, so please watch your step.",
				"3. The ^ff0000small hill in Gonryun^000000 that is said to have been the Great Philosophers favorite meditation spot. See if any grand thoughts take you.",
				"4. The ^ff0000Mini-town^000000 on ground beneath Gonryun that is a lesson against stagnant and small thinking.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7532: {
			unidentifiedDisplayName: "Travel Brochurer Louyang",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"[Louyang Travel Brochure]",
				"Louyang is a spiritual country, where the warrior spirit and clear thinking are highly prized.",
				"While visiting the city, make sure to see:",
				"1. Such wondrous sites such as the ^ff0000Statue of the Man and the Tiger^000000, that may inspire you to do your best.",
				"2. The ^ff0000Hospital^000000, where the Louyang healers practice their art. There, your body will be cured by a system of body manipulations and diet.",
				"3. The beautiful ^ff0000Palace^000000 that is protected by the Great Wall of Louyang. It is truly a sight to behold for every visitor.",
				"4. The ^ff0000Tower^000000 where people practice there lungs by shouting from it. Something to relax after a hard day of martial arts and spirit training.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Travel Brochure [Louyang]",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"[Louyang Travel Brochure]",
				"Louyang is a spiritual country, where the warrior spirit and clear thinking are highly prized.",
				"While visiting the city, make sure to see:",
				"1. Such wondrous sites such as the ^ff0000Statue of the Man and the Tiger^000000, that may inspire you to do your best.",
				"2. The ^ff0000Hospital^000000, where the Louyang healers practice their art. There, your body will be cured by a system of body manipulations and diet.",
				"3. The beautiful ^ff0000Palace^000000 that is protected by the Great Wall of Louyang. It is truly a sight to behold for every visitor.",
				"4. The ^ff0000Tower^000000 where people practice there lungs by shouting from it. Something to relax after a hard day of martial arts and spirit training.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7533: {
			unidentifiedDisplayName: "Travel Brochurer Ayothaya",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"[Ayothaya Travel Brochure]",
				"Transcend your limitations, and find life's perfect philosophy is Ayothaya's Heritage.",
				"While visiting the city, make sure to see:",
				"1. The ^ff0000Reclining Philosopher Statues^000000, that symbolise Ayothaya's great Philosophers that all Ayothayans seek to emulate.",
				"2. The ^ff0000Shrine in Ayothaya^000000 and meditate upon your life's journey. Keep the balance of your mind and body.",
				"3. The ^ff0000Tom Yum Goong Restaurant^000000 where the famous and truly delicious soup will refuel your body. Don't leave Ayothaya without sampling the dishes there.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Travel Brochure [Ayothaya]",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"[Ayothaya Travel Brochure]",
				"Transcend your limitations, and find life's perfect philosophy is Ayothaya's Heritage.",
				"While visiting the city, make sure to see:",
				"1. The ^ff0000Reclining Philosopher Statues^000000, that symbolise Ayothaya's great Philosophers that all Ayothayans seek to emulate.",
				"2. The ^ff0000Shrine in Ayothaya^000000 and meditate upon your life's journey. Keep the balance of your mind and body.",
				"3. The ^ff0000Tom Yum Goong Restaurant^000000 where the famous and truly delicious soup will refuel your body. Don't leave Ayothaya without sampling the dishes there.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7534: {
			unidentifiedDisplayName: "Amatsu Completed Photo Album",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"An album with pictures taken in Amatsu.",
				"Stamped by the official seal of the Rune Midgard Tour Agency.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Amatsu Completed Photo Album",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"An album with pictures taken in Amatsu.",
				"Stamped by the official seal of the Rune Midgard Tour Agency.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7535: {
			unidentifiedDisplayName: "Kunlun Completed Photo Album",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"An album with pictures taken in Gonryun.",
				"Stamped by the official seal of the Rune Midgard Tour Agency.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Kunlun Completed Photo Album",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"An album with pictures taken in Gonryun.",
				"Stamped by the official seal of the Rune Midgard Tour Agency.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7536: {
			unidentifiedDisplayName: "Louyang Completed Photo Album",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"An album with pictures taken in Louyang.",
				"Stamped by the official seal of the Rune Midgard Tour Agency.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Louyang Completed Photo Album",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"An album with pictures taken in Louyang.",
				"Stamped by the official seal of the Rune Midgard Tour Agency.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7537: {
			unidentifiedDisplayName: "Ayothaya Completed Photo Album",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"An album with pictures taken in Ayothaya.",
				"Stamped by the official seal of the Rune Midgard Tour Agency.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Ayothaya Completed Photo Album",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"An album with pictures taken in Ayothaya.",
				"Stamped by the official seal of the Rune Midgard Tour Agency.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7538: {
			unidentifiedDisplayName: "Sand for Work",
			unidentifiedResourceName: "\xb8\xb6\xb8\xa5\xb8\xf0\xb7\xa1",
			unidentifiedDescriptionName: [
				"Fine sand of higher level of process which is filtered from the normal sand. It is used for the patching up of buildings.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Sand for Work",
			identifiedResourceName: "\xb8\xb6\xb8\xa5\xb8\xf0\xb7\xa1",
			identifiedDescriptionName: [
				"Fine sand of higher level of process which is filtered from the normal sand. It is used for the patching up of buildings.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7539: {
			unidentifiedDisplayName: "Poring Coin",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"Small coins which are carved with the graphic of cute porings.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Poring Coin",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"Small coins which are carved with the graphic of cute porings.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7540: {
			unidentifiedDisplayName: "Lotto Ball 39",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x33\x39",
			unidentifiedDescriptionName: [
				"The number '^FF000039^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 39",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x33\x39",
			identifiedDescriptionName: [
				"The number '^FF000039^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7541: {
			unidentifiedDisplayName: "Lotto Ball 40",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x34\x30",
			unidentifiedDescriptionName: [
				"The number '^FF000040^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 40",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x34\x30",
			identifiedDescriptionName: [
				"The number '^FF000040^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7542: {
			unidentifiedDisplayName: "Lotto Ball 41",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x34\x31",
			unidentifiedDescriptionName: [
				"The number '^FF000041^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 41",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x34\x31",
			identifiedDescriptionName: [
				"The number '^FF000041^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7543: {
			unidentifiedDisplayName: "Lotto Ball 42",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x34\x32",
			unidentifiedDescriptionName: [
				"The number '^FF000042^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 42",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x34\x32",
			identifiedDescriptionName: [
				"The number '^FF000042^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7544: {
			unidentifiedDisplayName: "Lotto Ball 43",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x34\x33",
			unidentifiedDescriptionName: [
				"The number '^FF000043^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 43",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x34\x33",
			identifiedDescriptionName: [
				"The number '^FF000043^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7545: {
			unidentifiedDisplayName: "Lotto Ball 44",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x34\x34",
			unidentifiedDescriptionName: [
				"The number '^FF000044^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 44",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x34\x34",
			identifiedDescriptionName: [
				"The number '^FF000044^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7546: {
			unidentifiedDisplayName: "Lotto Ball 45",
			unidentifiedResourceName: "\xb7\xce\xb6\xc7\x34\x35",
			unidentifiedDescriptionName: [
				"The number '^FF000045^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotto Ball 45",
			identifiedResourceName: "\xb7\xce\xb6\xc7\x34\x35",
			identifiedDescriptionName: [
				"The number '^FF000045^000000' is written on this Lotto Ball.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7547: {
			unidentifiedDisplayName: "Football",
			unidentifiedResourceName: "\xc3\xe0\xb1\xb8\xb0\xf8",
			unidentifiedDescriptionName: [
				"Something you should kick and place in something called 'net'.",
				"Only a few people are allowed to touch it during the game.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Football",
			identifiedResourceName: "\xc3\xe0\xb1\xb8\xb0\xf8",
			identifiedDescriptionName: [
				"Something you should kick and place in something called 'net'.",
				"Only a few people are allowed to touch it during the game.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7548: {
			unidentifiedDisplayName: "Soccer Shoes",
			unidentifiedResourceName: "\xc3\xe0\xb1\xb8\xc8\xad",
			unidentifiedDescriptionName: [
				"The spiky things on the bottom are there to give more traction while running.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Soccer Shoes",
			identifiedResourceName: "\xc3\xe0\xb1\xb8\xc8\xad",
			identifiedDescriptionName: [
				"The spiky things on the bottom are there to give more traction while running.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7549: {
			unidentifiedDisplayName: "Brazilian Flag",
			unidentifiedResourceName: "\xba\xea\xb6\xf3\xc1\xfa\xb1\xb9\xb1\xe2",
			unidentifiedDescriptionName: [
				"The flag of a western nation, famous for their long parties.",
				"It consists of a green background, a yellow center and a simple blue design.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Brazilian Flag",
			identifiedResourceName: "\xba\xea\xb6\xf3\xc1\xfa\xb1\xb9\xb1\xe2",
			identifiedDescriptionName: [
				"The flag of a western nation, famous for their long parties.",
				"It consists of a green background, a yellow center and a simple blue design.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7550: {
			unidentifiedDisplayName: "Bunny Coupon A",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"Coupon used by Bunny Corp. for the Upgrading Challenge Event, equivalent to +7.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Bunny Coupon A",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"Coupon used by Bunny Corp. for the Upgrading Challenge Event, equivalent to +7.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7551: {
			unidentifiedDisplayName: "Bunny Coupon B",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"Coupon used by Bunny Corp. for the Upgrading Challenge Event, equivalent to +8.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Bunny Coupon B",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"Coupon used by Bunny Corp. for the Upgrading Challenge Event, equivalent to +8.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7552: {
			unidentifiedDisplayName: "Bunny Coupon C",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"Coupon used by Bunny Corp. for the Upgrading Challenge Event, equivalent to +9.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Bunny Coupon C",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"Coupon used by Bunny Corp. for the Upgrading Challenge Event, equivalent to +9.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7553: {
			unidentifiedDisplayName: "Water Lily",
			unidentifiedResourceName: "\xbf\xac\xb2\xc9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Water Lily",
			identifiedResourceName: "\xbf\xac\xb2\xc9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7554: {
			unidentifiedDisplayName: "Striped Candle",
			unidentifiedResourceName: "\xc1\xd9\xb9\xab\xb4\xcc\xc3\xca",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Striped Candle",
			identifiedResourceName: "\xc1\xd9\xb9\xab\xb4\xcc\xc3\xca",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7555: {
			unidentifiedDisplayName: "Green Incense",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf6\xc7\xe2",
			unidentifiedDescriptionName: [
				"It will swell up it attaches and the smell me the green stick.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Green Incense",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf6\xc7\xe2",
			identifiedDescriptionName: [
				"It will swell up it attaches and the smell me the green stick.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7556: {
			unidentifiedDisplayName: "Longing Heart",
			unidentifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xd3\xc7\xcf\xc6\xae",
			unidentifiedDescriptionName: [
				"A mind longing for a friend.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Longing Heart",
			identifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xd3\xc7\xcf\xc6\xae",
			identifiedDescriptionName: [
				"A mind longing for a friend.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7557: {
			unidentifiedDisplayName: "Invitation Letter",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"2006/07/19",
				"Secret Garden.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Invitation Letter",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"2006/07/19",
				"Secret Garden.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7558: {
			unidentifiedDisplayName: "Invitation Ticket",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xbc\xbc\xbc\xad",
			unidentifiedDescriptionName: [
				"2006/07/19",
				"You are invited to the Secret Garden.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Invitation Ticket",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xbc\xbc\xbc\xad",
			identifiedDescriptionName: [
				"2006/07/19",
				"You are invited to the Secret Garden.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7559: {
			unidentifiedDisplayName: "Key to the Secret Garden",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"The flower garden member whole aspect key of the secret where the yellow gold color pattern is beautiful.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Key to the Secret Garden",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"The flower garden member whole aspect key of the secret where the yellow gold color pattern is beautiful.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7560: {
			unidentifiedDisplayName: "Longing Heart",
			unidentifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xd3\xc7\xcf\xc6\xae",
			unidentifiedDescriptionName: [
				"A mind longing for a friend.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Longing Heart",
			identifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xd3\xc7\xcf\xc6\xae",
			identifiedDescriptionName: [
				"A mind longing for a friend.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7561: {
			unidentifiedDisplayName: "Glacial Heart",
			unidentifiedResourceName: "\xbe\xf3\xc0\xbd\xbd\xc9\xc0\xe5",
			unidentifiedDescriptionName: [
				"A heart that's frozen over. It's really cold, so be careful and don't hold it with bare hands.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glacial Heart",
			identifiedResourceName: "\xbe\xf3\xc0\xbd\xbd\xc9\xc0\xe5",
			identifiedDescriptionName: [
				"A heart that's frozen over. It's really cold, so be careful and don't hold it with bare hands.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7562: {
			unidentifiedDisplayName: "Ice Scale",
			unidentifiedResourceName: "\xbe\xf3\xc0\xbd\xba\xf1\xb4\xc3",
			unidentifiedDescriptionName: [
				"An ice shard in the shape of a scale. It doesn't melt, and is so thin that it's transparent.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ice Scale",
			identifiedResourceName: "\xbe\xf3\xc0\xbd\xba\xf1\xb4\xc3",
			identifiedDescriptionName: [
				"An ice shard in the shape of a scale. It doesn't melt, and is so thin that it's transparent.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7563: {
			unidentifiedDisplayName: "Bloody Rune",
			unidentifiedResourceName: "\xc7\xcd\xba\xfb\xc0\xc7\xb7\xe9",
			unidentifiedDescriptionName: [
				"It has a red color, similar to blood. Rune letters are written inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bloody Rune",
			identifiedResourceName: "\xc7\xcd\xba\xfb\xc0\xc7\xb7\xe9",
			identifiedDescriptionName: [
				"It has a red color, similar to blood. Rune letters are written inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7564: {
			unidentifiedDisplayName: "Rotten Meat",
			unidentifiedResourceName: "\xbd\xe2\xc0\xba\xb0\xed\xb1\xe2",
			unidentifiedDescriptionName: [
				"A meat that has rotten after lying around too long. You'll certainly have a stomach ache if you eat it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rotten Meat",
			identifiedResourceName: "\xbd\xe2\xc0\xba\xb0\xed\xb1\xe2",
			identifiedDescriptionName: [
				"A meat that has rotten after lying around too long. You'll certainly have a stomach ache if you eat it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7565: {
			unidentifiedDisplayName: "Sticky Poison",
			unidentifiedResourceName: "\xb2\xf6\xc0\xfb\xb2\xf6\xc0\xfb\xc7\xd1\xb5\xb6",
			unidentifiedDescriptionName: [
				"A sticky poison that you can get from plants. It's pretty strong and used in various places.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sticky Poison",
			identifiedResourceName: "\xb2\xf6\xc0\xfb\xb2\xf6\xc0\xfb\xc7\xd1\xb5\xb6",
			identifiedDescriptionName: [
				"A sticky poison that you can get from plants. It's pretty strong and used in various places.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7566: {
			unidentifiedDisplayName: "Will of Red Darkness",
			unidentifiedResourceName: "\xbe\xcf\xc8\xe6\xc0\xc7\xc0\xc7\xc1\xf6\x5f",
			unidentifiedDescriptionName: [
				"A dark oval stone with seven red eyes that's believed to act as a sort of nucleus for some monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Will of Red Darkness",
			identifiedResourceName: "\xbe\xcf\xc8\xe6\xc0\xc7\xc0\xc7\xc1\xf6\x5f",
			identifiedDescriptionName: [
				"A dark oval stone with seven red eyes that's believed to act as a sort of nucleus for some monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7567: {
			unidentifiedDisplayName: "Suspicious Hat",
			unidentifiedResourceName: "\xbc\xf6\xbb\xf3\xc7\xd1\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"A hat that covers the entire face, but it has two holes that you can see through.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Suspicious Hat",
			identifiedResourceName: "\xbc\xf6\xbb\xf3\xc7\xd1\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat that covers the entire face, but it has two holes that you can see through.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7568: {
			unidentifiedDisplayName: "White Mask",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xb0\xa1\xb8\xe9",
			unidentifiedDescriptionName: [
				"A spooky mask that effectively conceals the wearer's identity.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "White Mask",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A spooky mask that effectively conceals the wearer's identity.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7569: {
			unidentifiedDisplayName: "Wind Hammer",
			unidentifiedResourceName: "\xbf\xf6\xc7\xd8\xb8\xd3",
			unidentifiedDescriptionName: [
				"A strong, sturdy hammer imbued with the power of wind.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Wind Hammer",
			identifiedResourceName: "\xbf\xf6\xc7\xd8\xb8\xd3",
			identifiedDescriptionName: [
				"A strong, sturdy hammer imbued with the power of wind.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7570: {
			unidentifiedDisplayName: "Temple Lottery Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			unidentifiedDescriptionName: [
				"A lottery ticket that is given to those that make donations to the temple in Rachel, Cheshrumnir.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Temple Lottery Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9\x2d\xb3\xeb\xb8\xd6",
			identifiedDescriptionName: [
				"A lottery ticket that is given to those that make donations to the temple in Rachel, Cheshrumnir.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7571: {
			unidentifiedDisplayName: "Bruspetti's Diary",
			unidentifiedResourceName: "\xbc\xd2\xb3\xe0\xc0\xc7\xc0\xcf\xb1\xe2\xc0\xe5",
			unidentifiedDescriptionName: [
				"An effeminate diary with the word, 'Bruspetti' written on the cover. Perhaps that is the name of its owner?",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Bruspetti's Diary",
			identifiedResourceName: "\xbc\xd2\xb3\xe0\xc0\xc7\xc0\xcf\xb1\xe2\xc0\xe5",
			identifiedDescriptionName: [
				"An effeminate diary with the word, 'Bruspetti' written on the cover. Perhaps that is the name of its owner?",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7572: {
			unidentifiedDisplayName: "Ashy Necklace",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xb8\xf1\xb0\xc9\xc0\xcc",
			unidentifiedDescriptionName: [
				"A necklace that was supposedly crafted by skilled Dwarves.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Ashy Necklace",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xb8\xf1\xb0\xc9\xc0\xcc",
			identifiedDescriptionName: [
				"A necklace that was supposedly crafted by skilled Dwarves.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7573: {
			unidentifiedDisplayName: "Sparkling Necklace",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xb8\xf1\xb0\xc9\xc0\xcc\x5f",
			unidentifiedDescriptionName: [
				"A glowing necklace enchanted with an ancient magic.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Sparkling Necklace",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xb8\xf1\xb0\xc9\xc0\xcc\x5f",
			identifiedDescriptionName: [
				"A glowing necklace enchanted with an ancient magic.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7574: {
			unidentifiedDisplayName: "Freezing Snow Powder",
			unidentifiedResourceName: "\xbe\xf3\xc0\xbd\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"A very cold powder enchanted with very powerful ice magic.",
				"You risk freezing youself.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Freezing Snow Powder",
			identifiedResourceName: "\xbe\xf3\xc0\xbd\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"A very cold powder enchanted with very powerful ice magic.",
				"You risk freezing youself.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7575: {
			unidentifiedDisplayName: "Red Jewel",
			unidentifiedResourceName: "\xba\xd3\xc0\xba\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A gem with red color.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Red Jewel",
			identifiedResourceName: "\xba\xd3\xc0\xba\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A gem with red color.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7576: {
			unidentifiedDisplayName: "Blue Jewel",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A gem with blue color.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Blue Jewel",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A gem with blue color.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7577: {
			unidentifiedDisplayName: "Yellow Jewel",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A gem with yellow color.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Yellow Jewel",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A gem with yellow color.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7578: {
			unidentifiedDisplayName: "Countermagic Crystal",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				"A mythical crystal that is said to dispel any kind of forbidden magic. Only Cloud Hermits have it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Countermagic Crystal",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				"A mythical crystal that is said to dispel any kind of forbidden magic. Only Cloud Hermits have it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7579: {
			unidentifiedDisplayName: "Silk Handkerchief of Zhi Nu",
			unidentifiedResourceName: "\xbd\xc7\xc5\xa9\xb5\xbe\xc0\xda\xb8\xae",
			unidentifiedDescriptionName: [
				"A silk handkerchief made by Zhi Nu (also known as Vega). You can feel the love of Zhi Nu toward Niu Lang (also known as Altair) when holding it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Silk Handkerchief of Zhi Nu",
			identifiedResourceName: "\xbd\xc7\xc5\xa9\xb5\xbe\xc0\xda\xb8\xae",
			identifiedDescriptionName: [
				"A silk handkerchief made by Zhi Nu (also known as Vega). You can feel the love of Zhi Nu toward Niu Lang (also known as Altair) when holding it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7580: {
			unidentifiedDisplayName: "Black Marble",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Black Marble",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7581: {
			unidentifiedDisplayName: "Celebration Document",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A document made to celebrate the 3rd anniversary of Ragnarok Online, which can be traded in for prizes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Celebration Document",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A document made to celebrate the 3rd anniversary of Ragnarok Online, which can be traded in for prizes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7582: {
			unidentifiedDisplayName: "Jewel of Destruction",
			unidentifiedResourceName: "\xba\xd3\xc0\xba\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A jewel rumored to make the one who bears it evil. You feel a powerful force of darkness.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jewel of Destruction",
			identifiedResourceName: "\xba\xd3\xc0\xba\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A jewel rumored to make the one who bears it evil. You feel a powerful force of darkness.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7583: {
			unidentifiedDisplayName: "Evil Mind",
			unidentifiedResourceName: "\xbe\xee\xb8\xd3\xb4\xcf\xc0\xc7\xbe\xc7\xb8\xf9",
			unidentifiedDescriptionName: [
				"You feel a great evilness, and you fear of becoming evil if you keep staring at it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Evil Mind",
			identifiedResourceName: "\xbe\xee\xb8\xd3\xb4\xcf\xc0\xc7\xbe\xc7\xb8\xf9",
			identifiedDescriptionName: [
				"You feel a great evilness, and you fear of becoming evil if you keep staring at it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7584: {
			unidentifiedDisplayName: "Guard's First Proof",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc8\xad",
			unidentifiedDescriptionName: [
				"The first document awarded to those who defeats an evil foe.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Guard's First Proof",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc8\xad",
			identifiedDescriptionName: [
				"The first document awarded to those who defeats an evil foe.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7585: {
			unidentifiedDisplayName: "Guard's Second Proof",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc8\xad",
			unidentifiedDescriptionName: [
				"The second document awarded to those who defeats an evil foe.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Guard's Second Proof",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc8\xad",
			identifiedDescriptionName: [
				"The second document awarded to those who defeats an evil foe.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7586: {
			unidentifiedDisplayName: "Guard's Third Proof",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc8\xad",
			unidentifiedDescriptionName: [
				"The third document awarded to those who defeats an evil foe.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Guard's Third Proof",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc8\xad",
			identifiedDescriptionName: [
				"The third document awarded to those who defeats an evil foe.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7587: {
			unidentifiedDisplayName: "Guard's Fourth Proof",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc8\xad",
			unidentifiedDescriptionName: [
				"The fourth document awarded to those who defeats an evil foe.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Guard's Fourth Proof",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc8\xad",
			identifiedDescriptionName: [
				"The fourth document awarded to those who defeats an evil foe.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7588: {
			unidentifiedDisplayName: "IPOD Coupon",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"Spend a cool summer with an IPOD.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "IPOD Coupon",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"Spend a cool summer with an IPOD.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7589: {
			unidentifiedDisplayName: "Lettered Moon Snack 01",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has 'We' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lettered Moon Snack 01",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has 'We' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7590: {
			unidentifiedDisplayName: "Lettered Moon Snack 02",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has 'Enjoy' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lettered Moon Snack 02",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has 'Enjoy' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7591: {
			unidentifiedDisplayName: "Lettered Moon Snack 03",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has 'Moon' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lettered Moon Snack 03",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has 'Moon' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7592: {
			unidentifiedDisplayName: "Lettered Moon Snack 04",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has 'Festival' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lettered Moon Snack 04",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has 'Festival' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7593: {
			unidentifiedDisplayName: "Lettered Moon Snack 05",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A Moon Snack which has 'Together' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lettered Moon Snack 05",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A Moon Snack which has 'Together' written in the center in Chinese.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7594: {
			unidentifiedDisplayName: "¼Ò´Ï¾ÆÀÇ ÆíÁö",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"A letter from Sonia to Grandma Emma.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "¼Ò´Ï¾ÆÀÇ ÆíÁö",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"A letter from Sonia to Grandma Emma.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7595: {
			unidentifiedDisplayName: "Æ¯º°ÇÑ °Ë",
			unidentifiedResourceName: "\xb1\xfa\xc1\xf8\xb0\xcb",
			unidentifiedDescriptionName: [
				"A sword made by Giancarlo. It feels like it has some special aura.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Æ¯º°ÇÑ °Ë",
			identifiedResourceName: "\xb1\xfa\xc1\xf8\xb0\xcb",
			identifiedDescriptionName: [
				"A sword made by Giancarlo. It feels like it has some special aura.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7596: {
			unidentifiedDisplayName: "Æ¯º°ÇÑ ¹æÆÐ",
			unidentifiedResourceName: "\xb1\xfa\xc1\xf8\xb9\xe6\xc6\xd0\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A sturdy looking shield. It feels like it has some special aura.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Æ¯º°ÇÑ ¹æÆÐ",
			identifiedResourceName: "\xb1\xfa\xc1\xf8\xb9\xe6\xc6\xd0\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A sturdy looking shield. It feels like it has some special aura.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7597: {
			unidentifiedDisplayName: "¸¶¹ýÀÇ µ¹",
			unidentifiedResourceName: "\xc0\xaf\xb8\xae\xb1\xb8\xbd\xbd",
			unidentifiedDescriptionName: [
				"Valentina's magical stone. It feels like it has some special aura.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "¸¶¹ýÀÇ µ¹",
			identifiedResourceName: "\xc0\xaf\xb8\xae\xb1\xb8\xbd\xbd",
			identifiedDescriptionName: [
				"Valentina's magical stone. It feels like it has some special aura.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7598: {
			unidentifiedDisplayName: "Blue I Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x49",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088I^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue I Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x49",
			identifiedDescriptionName: [
				"A card with the letter \"^000088I^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7599: {
			unidentifiedDisplayName: "Blue D Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x44",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088D^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue D Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x44",
			identifiedDescriptionName: [
				"A card with the letter \"^000088D^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7600: {
			unidentifiedDisplayName: "Blue K Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x4b",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088K^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue K Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x4b",
			identifiedDescriptionName: [
				"A card with the letter \"^000088K^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7601: {
			unidentifiedDisplayName: "Blue S Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x53",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088S^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue S Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x53",
			identifiedDescriptionName: [
				"A card with the letter \"^000088S^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7602: {
			unidentifiedDisplayName: "Blue R Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x52",
			unidentifiedDescriptionName: [
				"A card with the letter \"^000088R^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue R Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x52",
			identifiedDescriptionName: [
				"A card with the letter \"^000088R^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7603: {
			unidentifiedDisplayName: "RO Party Invitation Ticket",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"Invitations Ragnarok party.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "RO Party Invitation Ticket",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"Invitations Ragnarok party.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7604: {
			unidentifiedDisplayName: "Flour",
			unidentifiedResourceName: "\xb3\xaa\xb9\xe6\xc0\xc7\xb3\xaf\xb0\xb3\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"A fine powder made from a grain called 'Wheat'.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flour",
			identifiedResourceName: "\xb3\xaa\xb9\xe6\xc0\xc7\xb3\xaf\xb0\xb3\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"A fine powder made from a grain called 'Wheat'.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7605: {
			unidentifiedDisplayName: "Chicken Egg",
			unidentifiedResourceName: "\xbe\xcb",
			unidentifiedDescriptionName: [
				"Egg of a kind of bird species. Tasty, nutritious and is very suitable for kid's meal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chicken Egg",
			identifiedResourceName: "\xbe\xcb",
			identifiedDescriptionName: [
				"Egg of a kind of bird species. Tasty, nutritious and is very suitable for kid's meal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7606: {
			unidentifiedDisplayName: "Token of the Ox",
			unidentifiedResourceName: "\xb1\xdd\xc8\xad",
			unidentifiedDescriptionName: [
				"Simple coin. You can obtain it by killing monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Token of the Ox",
			identifiedResourceName: "\xb1\xdd\xc8\xad",
			identifiedDescriptionName: [
				"Simple coin. You can obtain it by killing monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7607: {
			unidentifiedDisplayName: "Neck of Demon Dragon",
			unidentifiedResourceName: "\xbb\xef\xb5\xce\xb7\xe6\xc0\xc7\xb8\xf1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neck of Demon Dragon",
			identifiedResourceName: "\xbb\xef\xb5\xce\xb7\xe6\xc0\xc7\xb8\xf1",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7608: {
			unidentifiedDisplayName: "Midgard Premium Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Midgard Premium Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7609: {
			unidentifiedDisplayName: "Pumpkin Mojo",
			unidentifiedResourceName: "\xc8\xa3\xb9\xda\xc0\xc7\xc1\xa4\xbc\xf6",
			unidentifiedDescriptionName: [
				"An object containing the soul and strength of Pumpkin Jack.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pumpkin Mojo",
			identifiedResourceName: "\xc8\xa3\xb9\xda\xc0\xc7\xc1\xa4\xbc\xf6",
			identifiedDescriptionName: [
				"An object containing the soul and strength of Pumpkin Jack.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7610: {
			unidentifiedDisplayName: "Food Exchange Ticket",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			unidentifiedDescriptionName: [
				"The ticket it could be exchanged with the high-class food.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Food Exchange Ticket",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			identifiedDescriptionName: [
				"The ticket it could be exchanged with the high-class food.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7611: {
			unidentifiedDisplayName: "Symbol of Fox",
			unidentifiedResourceName: "\xbf\xa9\xbf\xec\xb0\xa1\xb8\xe9",
			unidentifiedDescriptionName: [
				"Looks as a fox.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Symbol of Fox",
			identifiedResourceName: "\xbf\xa9\xbf\xec\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"Looks as a fox.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7612: {
			unidentifiedDisplayName: "Heart of Queen Fox",
			unidentifiedResourceName: "\xb8\xd8\xc3\xdf\xc1\xf6\xbe\xca\xb4\xc2\xbd\xc9\xc0\xe5",
			unidentifiedDescriptionName: [
				"The Fox Queen's Heart. You have to keep it very carefully.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Heart of Queen Fox",
			identifiedResourceName: "\xb8\xd8\xc3\xdf\xc1\xf6\xbe\xca\xb4\xc2\xbd\xc9\xc0\xe5",
			identifiedDescriptionName: [
				"The Fox Queen's Heart. You have to keep it very carefully.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7613: {
			unidentifiedDisplayName: "Small Rice Cake Dough",
			unidentifiedResourceName: "\xc0\xdb\xc0\xba\xc2\xfd\xbd\xd2\xb9\xdd\xc1\xd7",
			unidentifiedDescriptionName: [
				"Small amount of warm glutinous rice filling.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Rice Cake Dough",
			identifiedResourceName: "\xc0\xdb\xc0\xba\xc2\xfd\xbd\xd2\xb9\xdd\xc1\xd7",
			identifiedDescriptionName: [
				"Small amount of warm glutinous rice filling.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7614: {
			unidentifiedDisplayName: "Wrapping Paper",
			unidentifiedResourceName: "\xc6\xf7\xc0\xe5\xc1\xf6",
			unidentifiedDescriptionName: [
				"A roll of special wrapping paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wrapping Paper",
			identifiedResourceName: "\xc6\xf7\xc0\xe5\xc1\xf6",
			identifiedDescriptionName: [
				"A roll of special wrapping paper.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7615: {
			unidentifiedDisplayName: "MVP Voucher",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"Monster in a sealed card. Feel the power of the monster which sealed.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "MVP Voucher",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"Monster in a sealed card. Feel the power of the monster which sealed.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7616: {
			unidentifiedDisplayName: "Miniboss Voucher",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"Monster in a sealed card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Miniboss Voucher",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"Monster in a sealed card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7617: {
			unidentifiedDisplayName: "Monster Voucher",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"Monster in a sealed card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Monster Voucher",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"Monster in a sealed card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7618: {
			unidentifiedDisplayName: "Monster Crystal",
			unidentifiedResourceName: "\xc1\xa9\xb7\xce\xc7\xc7",
			unidentifiedDescriptionName: [
				"A Crystal monster which is searched for by collectors.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Monster Crystal",
			identifiedResourceName: "\xc1\xa9\xb7\xce\xc7\xc7",
			identifiedDescriptionName: [
				"A Crystal monster which is searched for by collectors.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7619: {
			unidentifiedDisplayName: "Enriched Elunium",
			unidentifiedResourceName: "\xc3\xe0\xbf\xa1\xb8\xa3",
			unidentifiedDescriptionName: [
				"A concentrated Elunium that has been buried deep underground.",
				"Used as a material to make stronger armor.",
				"The rate of refining an armor without breaking it will increase.",
				"Only Suhnbi of Payon is capable of refining with this material.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Old Enriched Elunium",
			identifiedResourceName: "\xc3\xe0\xbf\xa1\xb8\xa3",
			identifiedDescriptionName: [
				"A concentrated Elunium that has been buried deep underground.",
				"Used as a material to make stronger armor.",
				"The rate of refining an armor without breaking it will increase.",
				"Only Suhnbi of Payon is capable of refining with this material.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7620: {
			unidentifiedDisplayName: "Enriched Oridecon",
			unidentifiedResourceName: "\xc3\xe0\xbf\xc0\xb8\xae",
			unidentifiedDescriptionName: [
				"A concentrated Oridecon that has been buried deep underground.",
				"Used as a material to make stronger weapons.",
				"The rate of refining a weapon without breaking it will increase.",
				"Only Suhnbi of Payon is capable of refining with this material.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Old Enriched Oridecon",
			identifiedResourceName: "\xc3\xe0\xbf\xc0\xb8\xae",
			identifiedDescriptionName: [
				"A concentrated Oridecon that has been buried deep underground.",
				"Used as a material to make stronger weapons.",
				"The rate of refining a weapon without breaking it will increase.",
				"Only Suhnbi of Payon is capable of refining with this material.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7621: {
			unidentifiedDisplayName: "Token Of Siegfried",
			unidentifiedResourceName: "\xc1\xf6\xc5\xa9\xc7\xc1\xb8\xae\xb5\xe5\xc0\xc7\xc1\xf5\xc7\xa5",
			unidentifiedDescriptionName: [
				"A certificate that has the force of invulnerable Ziegfried.",
				"It has been told that a man who possesses this can overcome death.",
				"Revives the dead character.",
				"When player is KO'ed, this item will be consumed and player will be resurrected on the spot.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Token Of Siegfried",
			identifiedResourceName: "\xc1\xf6\xc5\xa9\xc7\xc1\xb8\xae\xb5\xe5\xc0\xc7\xc1\xf5\xc7\xa5",
			identifiedDescriptionName: [
				"A certificate that has the force of invulnerable Ziegfried.",
				"It has been told that a man who possesses this can overcome death.",
				"Revives the dead character.",
				"When player is KO'ed, this item will be consumed and player will be resurrected on the spot.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7622: {
			unidentifiedDisplayName: "Hairstyle Coupon",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A special ticket where you can change yours hairstyle with newest model.",
				"One time use only.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Hairstyle Coupon",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A special ticket where you can change yours hairstyle with newest model.",
				"One time use only.",
				"^ffffff_^000000",
				"Weight: ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7623: {
			unidentifiedDisplayName: "Ticket Of Identification",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"New name for new adventure! A ticket for Name Change Service.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Ticket Of Identification",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"New name for new adventure! A ticket for Name Change Service.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7624: {
			unidentifiedDisplayName: "Chinese Card 23",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 23",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7625: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7626: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf6\xba\xed\xb2\xad\xc5\xe4\xc5\xab",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf6\xba\xed\xb2\xad\xc5\xe4\xc5\xab",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7627: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7628: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc5\xbe\xc1\xf6\xc7\xcf\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc5\xbe\xc1\xf6\xc7\xcf\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7629: {
			unidentifiedDisplayName: "Pink Gift Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Pink Gift Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7630: {
			unidentifiedDisplayName: "Clean Beach Broom",
			unidentifiedResourceName: "\xc7\xe5\xba\xf8\xc0\xda\xb7\xe7",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Clean Beach Broom",
			identifiedResourceName: "\xc7\xe5\xba\xf8\xc0\xda\xb7\xe7",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7631: {
			unidentifiedDisplayName: "Trash Debris",
			unidentifiedResourceName: "\xb2\xf6\xc0\xfb\xb2\xf6\xc0\xfb\xc7\xd1\xbe\xd7\xc3\xbc",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Trash Debris",
			identifiedResourceName: "\xb2\xf6\xc0\xfb\xb2\xf6\xc0\xfb\xc7\xd1\xbe\xd7\xc3\xbc",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7632: {
			unidentifiedDisplayName: "Terrible Report Card",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"The happiness isn't related to the scores.  It explains that you are a quite troublemaker.",
				"If you are a cold city student, it's not that serious score!",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Terrible Report Card",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"The happiness isn't related to the scores. It explains that you are a quite troublemaker.",
				"If you are a cold city student, it's not that serious score!",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7633: {
			unidentifiedDisplayName: "Heavensent Report Card",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"The happiness is according to the scores! It explains that you are a decent student!",
				"You are just good sons & daughters!",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Heavensent Report Card",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"The happiness is according to the scores! It explains that you are a decent student!",
				"You are just good sons & daughters!",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7634: {
			unidentifiedDisplayName: "Father Rose",
			unidentifiedResourceName: "\xbd\xc3\xb5\xe9\xc1\xf6\xbe\xca\xb4\xc2\xc0\xe5\xb9\xcc",
			unidentifiedDescriptionName: [
				"There's one rose which is the present for father!",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Father Rose",
			identifiedResourceName: "\xbd\xc3\xb5\xe9\xc1\xf6\xbe\xca\xb4\xc2\xc0\xe5\xb9\xcc",
			identifiedDescriptionName: [
				"There's one rose which is the present for father!",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7635: {
			unidentifiedDisplayName: "Scent Bag",
			unidentifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"A small item wishing for good luck.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Incense Bag",
			identifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"A small item that wishes for good luck.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7636: {
			unidentifiedDisplayName: "Mystic Vial",
			unidentifiedResourceName: "\xbf\xeb\xba\xb4\xbf\xeb\xbb\xa1\xb0\xa3\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A bottle that holds magical power of monster 'Shining Plant'.",
				"Weight: ^7777770^000000",
			],
			identifiedDisplayName: "Mystic Vial",
			identifiedResourceName: "\xbf\xeb\xba\xb4\xbf\xeb\xbb\xa1\xb0\xa3\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A bottle that holds magical power of monster 'Shining Plant'.",
				"Weight: ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7637: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7638: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7639: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7701: {
			unidentifiedDisplayName: "Dragon Spirit",
			unidentifiedResourceName: "\xbf\xb5\xc8\xa5\xc0\xc7\xbc\xfb\xbc\xd2\xb8\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Spirit",
			identifiedResourceName: "\xbf\xb5\xc8\xa5\xc0\xc7\xbc\xfb\xbc\xd2\xb8\xae",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7702: {
			unidentifiedDisplayName: "Special Cogwheel",
			unidentifiedResourceName: "\xc5\xe9\xb4\xcf\xb9\xd9\xc4\xfb",
			unidentifiedDescriptionName: [
				"Special gear which good for repairing damage machine in the tower clock.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Special Cogwheel",
			identifiedResourceName: "\xc5\xe9\xb4\xcf\xb9\xd9\xc4\xfb",
			identifiedDescriptionName: [
				"Special gear which good for repairing damage machine in the tower clock.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7703: {
			unidentifiedDisplayName: "Piece of Cogwheel",
			unidentifiedResourceName: "\xb9\xcc\xc1\xf6\xc0\xc7\xc5\xe9\xb4\xcf\xb9\xd9\xc4\xfb",
			unidentifiedDescriptionName: [
				"Cutting of gear. You earn to make special Gear of this cutting.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Piece of Cogwheel",
			identifiedResourceName: "\xb9\xcc\xc1\xf6\xc0\xc7\xc5\xe9\xb4\xcf\xb9\xd9\xc4\xfb",
			identifiedDescriptionName: [
				"Cutting of gear. You earn to make special Gear of this cutting.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7704: {
			unidentifiedDisplayName: "Broken Thermometer",
			unidentifiedResourceName: "\xc5\xb8\xb9\xf6\xb8\xb0\xba\xce\xc7\xb0\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A device that can measure the ground's temperature. However, its readings don't seem very reliable.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Broken Thermometer",
			identifiedResourceName: "\xc5\xb8\xb9\xf6\xb8\xb0\xba\xce\xc7\xb0\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A device that can measure the ground's temperature. However, its readings don't seem very reliable.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7705: {
			unidentifiedDisplayName: "Note of Geologist",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"A note written by a Geologist.",
				"^ffffff_^000000",
				"1WN",
				"2ES",
				"2EC",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Note of Geologist",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"A note written by a Geologist.",
				"^ffffff_^000000",
				"1WN",
				"2ES",
				"2EC",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7706: {
			unidentifiedDisplayName: "Broken Carrot Juice",
			unidentifiedResourceName: "\xb4\xe7\xb1\xd9\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"Bottled carrot juice that's easy to digest.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Broken Carrot Juice",
			identifiedResourceName: "\xb4\xe7\xb1\xd9\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"Bottled carrot juice that's easy to digest.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7707: {
			unidentifiedDisplayName: "Broken Banana Juice",
			unidentifiedResourceName: "\xb9\xd9\xb3\xaa\xb3\xaa\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"Bottled banana juice that's easy to digest.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Broken Banana Juice",
			identifiedResourceName: "\xb9\xd9\xb3\xaa\xb3\xaa\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"Bottled banana juice that's easy to digest.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7708: {
			unidentifiedDisplayName: "Broken Apple Juice",
			unidentifiedResourceName: "\xbb\xe7\xb0\xfa\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"Bottled apple juice that's easy to digest.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Broken Apple Juice",
			identifiedResourceName: "\xbb\xe7\xb0\xfa\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"Bottled apple juice that's easy to digest.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7709: {
			unidentifiedDisplayName: "Broken Grape Juice",
			unidentifiedResourceName: "\xc6\xf7\xb5\xb5\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"Bottled grape juice that's easy to digest.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "Broken Grape Juice",
			identifiedResourceName: "\xc6\xf7\xb5\xb5\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"Bottled grape juice that's easy to digest.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7710: {
			unidentifiedDisplayName: "Black Gemstone",
			unidentifiedResourceName: "\xba\xed\xb7\xe7\xc1\xaa\xbd\xba\xc5\xe6",
			unidentifiedDescriptionName: [
				"An enchanted crystal that is used in conjunction with certain magic spells. Once used, it is powerless and immediately destroyed.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Black Gemstone",
			identifiedResourceName: "\xba\xed\xb7\xe7\xc1\xaa\xbd\xba\xc5\xe6",
			identifiedDescriptionName: [
				"An enchanted crystal that is used in conjunction with certain magic spells. Once used, it is powerless and immediately destroyed.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7711: {
			unidentifiedDisplayName: "Event Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Event Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7712: {
			unidentifiedDisplayName: "Nokia 5500",
			unidentifiedResourceName: "\xb3\xeb\xc5\xb0\xbe\xc6\x35\x35\x30\x30",
			unidentifiedDescriptionName: [
				"The new Nokia 5500 Sport features a stainless body for enhanced durability with resistance to shock, water, and dust elements. Use for Ragna_Nokia Festival.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nokia 5500",
			identifiedResourceName: "\xb3\xeb\xc5\xb0\xbe\xc6\x35\x35\x30\x30",
			identifiedDescriptionName: [
				"The new Nokia 5500 Sport features a stainless body for enhanced durability with resistance to shock, water, and dust elements. Use for Ragna_Nokia Festival.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7713: {
			unidentifiedDisplayName: "Blue A(2) Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x41",
			unidentifiedDescriptionName: [
				"A card with the letter \"^0000FFA^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue A(2) Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x41",
			identifiedDescriptionName: [
				"A card with the letter \"^0000FFA^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7714: {
			unidentifiedDisplayName: "Blue R(2) Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x52",
			unidentifiedDescriptionName: [
				"A card with the letter \"^0000FFR^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue R(2) Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x52",
			identifiedDescriptionName: [
				"A card with the letter \"^0000FFR^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7715: {
			unidentifiedDisplayName: "Hand-made Chocolate Recipe",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf\xb7\xb9\xbd\xc3\xc7\xc7",
			unidentifiedDescriptionName: [
				"A magic recipe for a Handmade Chocolate",
				"It can be used in the certain place where you can cook.",
				"^000088Ingredients :",
				"5 Chocolates, 1 Milk^000000",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Hand-made Chocolate Recipe",
			identifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf\xb7\xb9\xbd\xc3\xc7\xc7",
			identifiedDescriptionName: [
				"A magic recipe for a Handmade Chocolate",
				"It can be used in the certain place where you can cook.",
				"^000088Ingredients :",
				"5 Chocolates, 1 Milk^000000",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7716: {
			unidentifiedDisplayName: "Chocolate Strawberry Recipe",
			unidentifiedResourceName: "\xb5\xfe\xb1\xe2\xc3\xca\xc4\xdd\xb7\xbf\xb7\xb9\xbd\xc3\xc7\xc7",
			unidentifiedDescriptionName: [
				"A magic recipe for a fresh Strawberry Chocolate.",
				"It can be used in the certain place where you can cook.",
				"^000088Ingredients :",
				"2 Strawberries, 1 Chocolate, 1 White Chocolate^000000",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Chocolate Strawberry Recipe",
			identifiedResourceName: "\xb5\xfe\xb1\xe2\xc3\xca\xc4\xdd\xb7\xbf\xb7\xb9\xbd\xc3\xc7\xc7",
			identifiedDescriptionName: [
				"A magic recipe for a fresh Strawberry Chocolate.",
				"It can be used in the certain place where you can cook.",
				"^000088Ingredients :",
				"2 Strawberries, 1 Chocolate, 1 White Chocolate^000000",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7717: {
			unidentifiedDisplayName: "Chocolate Tart Recipe",
			unidentifiedResourceName: "\xc3\xca\xc4\xdd\xb7\xbf\xc5\xb8\xb8\xa3\xc6\xae\xb7\xb9\xbd\xc3\xc7\xc7",
			unidentifiedDescriptionName: [
				"A magic recipe for a sweet Chocolate Tart.",
				"It can be used in the certain place where you can cook.",
				"^000088Ingredients :",
				"3 Milk, 1 Egg, 1 Flour, 3 Chocolates^000000",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Chocolate Tart Recipe",
			identifiedResourceName: "\xc3\xca\xc4\xdd\xb7\xbf\xc5\xb8\xb8\xa3\xc6\xae\xb7\xb9\xbd\xc3\xc7\xc7",
			identifiedDescriptionName: [
				"A magic recipe for a sweet Chocolate Tart.",
				"It can be used in the certain place where you can cook.",
				"^000088Ingredients :",
				"3 Milk, 1 Egg, 1 Flour, 3 Chocolates^000000",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7718: {
			unidentifiedDisplayName: "Cacao Bean",
			unidentifiedResourceName: "\xc4\xab\xc4\xab\xbf\xc0\xc4\xe1",
			unidentifiedDescriptionName: [
				"A fermented dry cacao bean.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cacao Bean",
			identifiedResourceName: "\xc4\xab\xc4\xab\xbf\xc0\xc4\xe1",
			identifiedDescriptionName: [
				"A fermented dry cacao bean.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7719: {
			unidentifiedDisplayName: "Blue G Card",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x47",
			unidentifiedDescriptionName: [
				"A card with the letter \"^0000FFG^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue G Card",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc4\xab\xb5\xe5\x47",
			identifiedDescriptionName: [
				"A card with the letter \"^0000FFG^000000\" printed on it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7720: {
			unidentifiedDisplayName: "Gold Coin",
			unidentifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"A peculiar gold coin that doesn't resemble any currency that you can recognize.",
				"Still, it'd make for some impressive bling.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gold Coin",
			identifiedResourceName: "\xb0\xf1\xb5\xe5\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"A peculiar gold coin that doesn't resemble any currency that you can recognize.",
				"Still, it'd make for some impressive bling.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7721: {
			unidentifiedDisplayName: "Treasure Box",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"It's a box containing unimaginable wealth that probably belongs to O'Riley the Leprechaun.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Treasure Box",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"It's a box containing unimaginable wealth that probably belongs to O'Riley the Leprechaun.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7722: {
			unidentifiedDisplayName: "Debt Note",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A loan document that includes the amount lended and the signatures of the loaner and lendee.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Debt Note",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A loan document that includes the amount lended and the signatures of the loaner and lendee.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7723: {
			unidentifiedDisplayName: "Diamond of Ruin",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A precisely crafted diamond that emits an ominous vibe, it seems that it would be incredibly valuable.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Diamond of Ruin",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A precisely crafted diamond that emits an ominous vibe, it seems that it would be incredibly valuable.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7724: {
			unidentifiedDisplayName: "Forbidden Secret Art",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A book that contains forbidden secrets of alchemy and magic that is usually kept safe in Prontera Library.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Forbidden Secret Art",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A book that contains forbidden secrets of alchemy and magic that is usually kept safe in Prontera Library.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7725: {
			unidentifiedDisplayName: "Unlucky Emerald",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A strangely shaped emerald that brings an impending sense of great misfortune to whomever holds it.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Unlucky Emerald",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A strangely shaped emerald that brings an impending sense of great misfortune to whomever holds it.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7726: {
			unidentifiedDisplayName: "Token of King",
			unidentifiedResourceName: "\xbf\xd5\xc0\xc7\xc1\xf5\xb8\xed",
			unidentifiedDescriptionName: [
				"The perfectly crafted, intricate, and official royal seal of the King of the Rune-Midgarts Kingdom.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Token of King",
			identifiedResourceName: "\xbf\xd5\xc0\xc7\xc1\xf5\xb8\xed",
			identifiedDescriptionName: [
				"The perfectly crafted, intricate, and official royal seal of the King of the Rune-Midgarts Kingdom.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7727: {
			unidentifiedDisplayName: "HP Doctor Ticket",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A ticket from a special doctor in Geffen town with which you can get",
				"HP treatment from his assistant at a field and dungeon.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "HP Doctor Ticket",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A ticket from a special doctor in Geffen town with which you can get",
				"HP treatment from his assistant at a field and dungeon.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7728: {
			unidentifiedDisplayName: "SP Doctor Ticket",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A ticket from a special doctor in Geffen town with which you can get",
				"HP treatment from his assistant at a field and dungeon.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "SP Doctor Ticket",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A ticket from a special doctor in Geffen town with which you can get",
				"HP treatment from his assistant at a field and dungeon.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7729: {
			unidentifiedDisplayName: "Rok Star Badge",
			unidentifiedResourceName: "\xb6\xf4\xbd\xba\xc5\xb8\xb9\xee\xc1\xf6",
			unidentifiedDescriptionName: [
				"It's a symbol of respect and admiration that's given only to those that truly deserve it.",
				"Some say it's a fair imitation of a police officer's badge.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Rok Star Badge",
			identifiedResourceName: "\xb6\xf4\xbd\xba\xc5\xb8\xb9\xee\xc1\xf6",
			identifiedDescriptionName: [
				"It's a symbol of respect and admiration that's given only to those that truly deserve it.",
				"Some say it's a fair imitation of a police officer's badge.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7730: {
			unidentifiedDisplayName: "Mission Ticket 1",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mission Ticket 1",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7731: {
			unidentifiedDisplayName: "Mission Ticket 2",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mission Ticket 2",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7732: {
			unidentifiedDisplayName: "Mission Ticket 3",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mission Ticket 3",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7733: {
			unidentifiedDisplayName: "Mission Ticket 4",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mission Ticket 4",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7734: {
			unidentifiedDisplayName: "Mission Ticket 5",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mission Ticket 5",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7735: {
			unidentifiedDisplayName: "Mission Ticket 6",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission. ",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mission Ticket 6",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7736: {
			unidentifiedDisplayName: "Mission Ticket 7",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission. ",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mission Ticket 7",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7737: {
			unidentifiedDisplayName: "Mission Ticket 8",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mission Ticket 8",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7738: {
			unidentifiedDisplayName: "Mission Ticket 9",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mission Ticket 9",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7739: {
			unidentifiedDisplayName: "Mission Ticket 10",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mission Ticket 10",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7740: {
			unidentifiedDisplayName: "Mission Ticket 11",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mission Ticket 11",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7741: {
			unidentifiedDisplayName: "Mission Ticket 12",
			unidentifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			unidentifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mission Ticket 12",
			identifiedResourceName: "\xc4\xfb\xc1\xee\xc2\xfc\xb0\xa1\xb1\xc7",
			identifiedDescriptionName: [
				"A certificate proving that the bearer has completed a mission. This certificate is required to begin a new mission.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7742: {
			unidentifiedDisplayName: "Kaong",
			unidentifiedResourceName: "\xc4\xab\xbf\xcb",
			unidentifiedDescriptionName: [
				"A jar of Kaong harvested from Palm Trees.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kaong",
			identifiedResourceName: "\xc4\xab\xbf\xcb",
			identifiedDescriptionName: [
				"A jar of Kaong harvested from Palm Trees.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7743: {
			unidentifiedDisplayName: "Gulaman",
			unidentifiedResourceName: "\xb1\xbc\xb6\xf3\xb8\xb8",
			unidentifiedDescriptionName: [
				"A jar of Gulaman made from strawberry flavored gelatin.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gulaman",
			identifiedResourceName: "\xb1\xbc\xb6\xf3\xb8\xb8",
			identifiedDescriptionName: [
				"A jar of Gulaman made from strawberry flavored gelatin.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7744: {
			unidentifiedDisplayName: "Leche Flan",
			unidentifiedResourceName: "\xb7\xb9\xc3\xbc\xc7\xc3\xb6\xf5",
			unidentifiedDescriptionName: [
				"A jar of \"Leche Flan\" made from creamy eggs and milk.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leche Flan",
			identifiedResourceName: "\xb7\xb9\xc3\xbc\xc7\xc3\xb6\xf5",
			identifiedDescriptionName: [
				"A jar of \"Leche Flan\" made from creamy eggs and milk.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7745: {
			unidentifiedDisplayName: "Ube Jam",
			unidentifiedResourceName: "\xbf\xec\xba\xa3\xc0\xeb",
			unidentifiedDescriptionName: [
				"A jar of \"Ube\" made from yummy sweet purple yams.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ube Jam",
			identifiedResourceName: "\xbf\xec\xba\xa3\xc0\xeb",
			identifiedDescriptionName: [
				"A jar of \"Ube\" made from yummy sweet purple yams.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7746: {
			unidentifiedDisplayName: "Sago",
			unidentifiedResourceName: "\xbd\xce\xb0\xed",
			unidentifiedDescriptionName: [
				"A jar of Sago made of Tapioca cooked in brown sugar.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sago",
			identifiedResourceName: "\xbd\xce\xb0\xed",
			identifiedDescriptionName: [
				"A jar of Sago made of Tapioca cooked in brown sugar.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7747: {
			unidentifiedDisplayName: "Langka",
			unidentifiedResourceName: "\xb6\xfb\xc4\xab",
			unidentifiedDescriptionName: [
				"A jar of \"Langka\" made of sweetened Jackfruit.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Langka",
			identifiedResourceName: "\xb6\xfb\xc4\xab",
			identifiedDescriptionName: [
				"A jar of \"Langka\" made of sweetened Jackfruit.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7748: {
			unidentifiedDisplayName: "Sweet Beans",
			unidentifiedResourceName: "\xbd\xba\xc0\xa7\xc6\xae\xba\xf3",
			unidentifiedDescriptionName: [
				"A jar of \"Sweet Beans\" made of sweetened Kidney beans.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sweet Beans",
			identifiedResourceName: "\xbd\xba\xc0\xa7\xc6\xae\xba\xf3",
			identifiedDescriptionName: [
				"A jar of \"Sweet Beans\" made of sweetened Kidney beans.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7749: {
			unidentifiedDisplayName: "Sweet Bananas",
			unidentifiedResourceName: "\xbd\xba\xc0\xa7\xc6\xae\xb9\xd9\xb3\xaa\xb3\xaa",
			unidentifiedDescriptionName: [
				"A jar of \"Sweet bananas\" made of firm and ripe bananas cooked in sugar syrup.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sweet Bananas",
			identifiedResourceName: "\xbd\xba\xc0\xa7\xc6\xae\xb9\xd9\xb3\xaa\xb3\xaa",
			identifiedDescriptionName: [
				"A jar of \"Sweet bananas\" made of firm and ripe bananas cooked in sugar syrup.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7750: {
			unidentifiedDisplayName: "Macapuno",
			unidentifiedResourceName: "\xb8\xb6\xc4\xab\xc7\xaa\xb3\xeb",
			unidentifiedDescriptionName: [
				"A jar of \"Macapuno\" made from young coconut meat cooked in sugar syrup.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Macapuno",
			identifiedResourceName: "\xb8\xb6\xc4\xab\xc7\xaa\xb3\xeb",
			identifiedDescriptionName: [
				"A jar of \"Macapuno\" made from young coconut meat cooked in sugar syrup.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7751: {
			unidentifiedDisplayName: "Old White Cloth",
			unidentifiedResourceName: "\xb3\xb0\xbe\xc6\xba\xfc\xc1\xf8\xc8\xf2\xbf\xca",
			unidentifiedDescriptionName: [
				"A worn-out white cloth that can be sold to Merchant NPCs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Old White Cloth",
			identifiedResourceName: "\xb3\xb0\xbe\xc6\xba\xfc\xc1\xf8\xc8\xf2\xbf\xca",
			identifiedDescriptionName: [
				"A worn-out white cloth that can be sold to Merchant NPCs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7752: {
			unidentifiedDisplayName: "Clattering Skull",
			unidentifiedResourceName: "\xb4\xfa\xb1\xd7\xb7\xb0\xb0\xc5\xb8\xae\xb4\xc2\xc7\xd8\xb0\xf1",
			unidentifiedDescriptionName: [
				"A clattering skull that occasionally breaks out in song that can be sold to Merchant NPCs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Clattering Skull",
			identifiedResourceName: "\xb4\xfa\xb1\xd7\xb7\xb0\xb0\xc5\xb8\xae\xb4\xc2\xc7\xd8\xb0\xf1",
			identifiedDescriptionName: [
				"A clattering skull that occasionally breaks out in song that can be sold to Merchant NPCs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7753: {
			unidentifiedDisplayName: "Broken Farming Utensil",
			unidentifiedResourceName: "\xba\xce\xb7\xaf\xc1\xf8\xb3\xf3\xb1\xe2\xb1\xb8",
			unidentifiedDescriptionName: [
				"A seemingly useless farming tool that can be sold to Merchant NPCs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Broken Farming Utensil",
			identifiedResourceName: "\xba\xce\xb7\xaf\xc1\xf8\xb3\xf3\xb1\xe2\xb1\xb8",
			identifiedDescriptionName: [
				"A seemingly useless farming tool that can be sold to Merchant NPCs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7754: {
			unidentifiedDisplayName: "Broken Crown",
			unidentifiedResourceName: "\xba\xce\xbc\xad\xc1\xf8\xbf\xd5\xb0\xfc",
			unidentifiedDescriptionName: [
				"An antique crown that was once worn by the ruler of an ancient kingdom, it used to sparkle with magnificence. ",
				"It can be sold to Merchant NPCs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Broken Crown",
			identifiedResourceName: "\xba\xce\xbc\xad\xc1\xf8\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"An antique crown that was once worn by the ruler of an ancient kingdom, it used to sparkle with magnificence.",
				"It can be sold to Merchant NPCs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7755: {
			unidentifiedDisplayName: "Research Note",
			unidentifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xc0\xcf\xb1\xe2",
			unidentifiedDescriptionName: [
				"Much of the writing on this note isn't legible since it's badly damaged.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Research Note",
			identifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xc0\xcf\xb1\xe2",
			identifiedDescriptionName: [
				"Much of the writing on this note isn't legible since it's badly damaged.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7756: {
			unidentifiedDisplayName: "Sealed Book",
			unidentifiedResourceName: "\xbe\xe7\xc0\xe5\xba\xbb",
			unidentifiedDescriptionName: [
				"A book whose contents are locked behind a tight seal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sealed Book",
			identifiedResourceName: "\xbe\xe7\xc0\xe5\xba\xbb",
			identifiedDescriptionName: [
				"A book whose contents are locked behind a tight seal.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7757: {
			unidentifiedDisplayName: "Mithril",
			unidentifiedResourceName: "\xb9\xcc\xbd\xba\xb8\xb1\xb1\xa4\xbc\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mithril",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xb8\xb1\xb1\xa4\xbc\xae",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7758: {
			unidentifiedDisplayName: "Star Crystal",
			unidentifiedResourceName: "\xbf\xa5\xc6\xe7\xb8\xae\xbf\xf2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Star Crystal",
			identifiedResourceName: "\xbf\xa5\xc6\xe7\xb8\xae\xbf\xf2",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7759: {
			unidentifiedDisplayName: "Geologist's Report",
			unidentifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Geologist's Report",
			identifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7760: {
			unidentifiedDisplayName: "Yaga's Magic Book",
			unidentifiedResourceName: "\xbe\xdf\xb0\xa1\xc7\xd2\xb8\xd3\xb4\xcf\xb8\xb6\xb9\xfd\xbc\xad",
			unidentifiedDescriptionName: [
				"It's an aged lady, Yaga's magic book which tells about how to practice the strongest black art.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yaga's Magic Book",
			identifiedResourceName: "\xbe\xdf\xb0\xa1\xc7\xd2\xb8\xd3\xb4\xcf\xb8\xb6\xb9\xfd\xbc\xad",
			identifiedDescriptionName: [
				"It's an aged lady, Yaga's magic book which tells about how to practice the strongest black art.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7761: {
			unidentifiedDisplayName: "Magic Gourd Bottle",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xc8\xa3\xb8\xae\xba\xb4",
			unidentifiedDescriptionName: [
				"It's a marvelous bottle which can put human language into it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Magic Gourd Bottle",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xc8\xa3\xb8\xae\xba\xb4",
			identifiedDescriptionName: [
				"It's a marvelous bottle which can put human language into it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7762: {
			unidentifiedDisplayName: "Yaga's Pestle",
			unidentifiedResourceName: "\xbe\xdf\xb0\xa1\xc7\xd2\xb8\xd3\xb4\xcf\xc0\xfd\xb1\xb8\xb0\xf8\xc0\xcc",
			unidentifiedDescriptionName: [
				"The aged lady, Yaga always carries this. It has the marks of being rubbed off.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yaga's Pestle",
			identifiedResourceName: "\xbe\xdf\xb0\xa1\xc7\xd2\xb8\xd3\xb4\xcf\xc0\xfd\xb1\xb8\xb0\xf8\xc0\xcc",
			identifiedDescriptionName: [
				"The aged lady, Yaga always carries this. It has the marks of being rubbed off.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7763: {
			unidentifiedDisplayName: "Sticky Herb",
			unidentifiedResourceName: "\xc2\xfb\xbd\xcf\xc2\xfb\xbd\xcf\xc7\xae",
			unidentifiedDescriptionName: [
				"It has so sticky liquid that makes us feel bad. We can use this as glue by grinding.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sticky Herb",
			identifiedResourceName: "\xc2\xfb\xbd\xcf\xc2\xfb\xbd\xcf\xc7\xae",
			identifiedDescriptionName: [
				"It has so sticky liquid that makes us feel bad. We can use this as glue by grinding.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7764: {
			unidentifiedDisplayName: "High Strength Adhesives",
			unidentifiedResourceName: "\xb0\xad\xb7\xc2\xc1\xa2\xc2\xf8\xc1\xa6",
			unidentifiedDescriptionName: [
				"It's the highest strength adhesive which can stick anything together.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "High Strength Adhesive",
			identifiedResourceName: "\xb0\xad\xb7\xc2\xc1\xa2\xc2\xf8\xc1\xa6",
			identifiedDescriptionName: [
				"It's the highest strength adhesive which can stick anything together.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7765: {
			unidentifiedDisplayName: "Baba Yaga's Secret Medicine",
			unidentifiedResourceName: "\xb9\xd9\xb9\xd9\xbe\xdf\xb0\xa1\xc0\xc7\xba\xf1\xbe\xe0",
			unidentifiedDescriptionName: [
				"This is unique liquid made by Babayaga. It enables winter not to come again.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Baba Yaga's Secret Medicine",
			identifiedResourceName: "\xb9\xd9\xb9\xd9\xbe\xdf\xb0\xa1\xc0\xc7\xba\xf1\xbe\xe0",
			identifiedDescriptionName: [
				"This is unique liquid made by Babayaga. It enables winter not to come again.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7766: {
			unidentifiedDisplayName: "Bok Choy",
			unidentifiedResourceName: "\xb9\xe8\xc3\xdf\xc0\xd9",
			unidentifiedDescriptionName: [
				"Green vegetables is fresh. Food manufactured to feed Spring Rabbit.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bok Choy",
			identifiedResourceName: "\xb9\xe8\xc3\xdf\xc0\xd9",
			identifiedDescriptionName: [
				"Green vegetables is fresh. Food manufactured to feed Spring Rabbit.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7767: {
			unidentifiedDisplayName: "Chung E Cake",
			unidentifiedResourceName: "\xc1\xb6\xb0\xa2\xc4\xc9\xc0\xcc\xc5\xa9",
			unidentifiedDescriptionName: [
				"Cake which looked to be it is really delicious. Food manufactured to feed Chung E.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chung E Cake",
			identifiedResourceName: "\xc1\xb6\xb0\xa2\xc4\xc9\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"Cake which looked to be it is really delicious. Food manufactured to feed Chung E.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7768: {
			unidentifiedDisplayName: "Squid",
			unidentifiedResourceName: "\xbf\xc0\xc2\xa1\xbe\xee",
			unidentifiedDescriptionName: [
				"Type of aquatic creature. Adding the seasoned squid can make the dumpling more delicious.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Squid",
			identifiedResourceName: "\xbf\xc0\xc2\xa1\xbe\xee",
			identifiedDescriptionName: [
				"Type of aquatic creature. Adding the seasoned squid can make the dumpling more delicious.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7769: {
			unidentifiedDisplayName: "Egg Yolk",
			unidentifiedResourceName: "\xb3\xeb\xb8\xa5\xc0\xda",
			unidentifiedDescriptionName: [
				"Egg yolk. A cooking ingredients. Can be use to make dumpling.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Egg Yolk",
			identifiedResourceName: "\xb3\xeb\xb8\xa5\xc0\xda",
			identifiedDescriptionName: [
				"Egg yolk. A cooking ingredients. Can be use to make dumpling.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7770: {
			unidentifiedDisplayName: "Sweet Rice",
			unidentifiedResourceName: "\xc2\xfd\xbd\xd2",
			unidentifiedDescriptionName: [
				"Steamed glutinous rice that is use to make dumpling.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sweet Rice",
			identifiedResourceName: "\xc2\xfd\xbd\xd2",
			identifiedDescriptionName: [
				"Steamed glutinous rice that is use to make dumpling.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7771: {
			unidentifiedDisplayName: "Lotus Leaf",
			unidentifiedResourceName: "\xbf\xac\xc0\xd9",
			unidentifiedDescriptionName: [
				"Aquatic botany. The leaf is used to wrap the dumpling.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lotus Leaf",
			identifiedResourceName: "\xbf\xac\xc0\xd9",
			identifiedDescriptionName: [
				"Aquatic botany. The leaf is used to wrap the dumpling.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7772: {
			unidentifiedDisplayName: "String",
			unidentifiedResourceName: "\xc1\xd9",
			unidentifiedDescriptionName: [
				"Strings that is use to tie the dumpling.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "String",
			identifiedResourceName: "\xc1\xd9",
			identifiedDescriptionName: [
				"Strings that is use to tie the dumpling.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7773: {
			unidentifiedDisplayName: "War Badge",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xc8\xd6\xc0\xe5",
			unidentifiedDescriptionName: [
				"A badge indicating that the wearer is currently participated in the war.",
				"It was taken off from a failure of the battle.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "War Badge",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xc8\xd6\xc0\xe5",
			identifiedDescriptionName: [
				"A badge indicating that the wearer is currently participated in the war.",
				"It was taken off from a failure of the battle.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7774: {
			unidentifiedDisplayName: "Chung E Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"Written with big letters as 'You win 'Chung E Egg'!! Please come and get it now!\"",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chung E Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"Written with big letters as 'You win 'Chung E Egg'!! Please come and get it now!\"",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7775: {
			unidentifiedDisplayName: "Spring Rabbit Ticket",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"Written with big letters as 'You win 'Spring Rabbit Egg'!! Please come and get it now!\"",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spring Rabbit Ticket",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"Written with big letters as 'You win 'Spring Rabbit Egg'!! Please come and get it now!\"",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7776: {
			unidentifiedDisplayName: "Gym Pass Card",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			unidentifiedDescriptionName: [
				"A membership card at a training facility that helps you increase your strength.",
				"This card will grant you an one time access to training, just show it to the trainer NPC.",
				"A visit will increase your skill level by 1 boosting your weight capacity by 200 per level,",
				"To a maximum of level 10. Increase Carrying Weight skill has 10 levels, and once learned,",
				"It is permanent. However, it is reset once you transcend. After you transcend,",
				"Re-visit the NPC that teaches this ability to learn this back for free at the level you had",
				"Before you transcended. You can level this one at a time.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gym Pass",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7",
			identifiedDescriptionName: [
				"A membership card at a training facility that helps you increase your strength.",
				"This card will grant you an one time access to training, just show it to the trainer NPC.",
				"A visit will increase your skill level by 1 boosting your weight capacity by 200 per level,",
				"To a maximum of level 10. Increase Carrying Weight skill has 10 levels, and once learned,",
				"It is permanent. However, it is reset once you transcend. After you transcend,",
				"Re-visit the NPC that teaches this ability to learn this back for free at the level you had",
				"Before you transcended. You can level this one at a time.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7777: {
			unidentifiedDisplayName: "Sealed Golden Box",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sealed Golden Box",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7778: {
			unidentifiedDisplayName: "Sealed Silver Box",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sealed Silver Box",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7779: {
			unidentifiedDisplayName: "Golden Key",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"A Golden key to open the box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golden Key",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"A Golden key to open the box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7780: {
			unidentifiedDisplayName: "Silver Key",
			unidentifiedResourceName: "\xc5\xbe\xc1\xf6\xc7\xcf\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"A Silver key to open the box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Silver Key",
			identifiedResourceName: "\xc5\xbe\xc1\xf6\xc7\xcf\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"A Silver key to open the box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7781: {
			unidentifiedDisplayName: "Engrave Treasure Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"The box which two hearts are coming to carve in the surface.",
				"It is sinking with the latent heat iron which is strange is two holes.",
				"To inside there probably is a what kind of thing, there is not a possibility of knowing.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Engrave Treasure Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"The box which two hearts are coming to carve in the surface.",
				"It is sinking with the latent heat iron which is strange is two holes.",
				"To inside there probably is a what kind of thing, there is not a possibility of knowing.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7782: {
			unidentifiedDisplayName: "Moscovia Poporing Key",
			unidentifiedResourceName: "\xbd\xc3\xb0\xe8\xc5\xbe\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"Glorious golden key. Typically, the key is not used to it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Episode 13.1 Poporing Key",
			identifiedResourceName: "\xbd\xc3\xb0\xe8\xc5\xbe\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"Glorious golden key. Typically, the key is not used to it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7783: {
			unidentifiedDisplayName: "12.0 Poring Key",
			unidentifiedResourceName: "\xc5\xbe\xc1\xf6\xc7\xcf\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"Brilliant silver key. Typically, the key is not used to it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Episode 13.2 Poring Key",
			identifiedResourceName: "\xc5\xbe\xc1\xf6\xc7\xcf\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"Brilliant silver key. Typically, the key is not used to it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7784: {
			unidentifiedDisplayName: "Free Coupon 1",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Free Coupon 1",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7785: {
			unidentifiedDisplayName: "Free Coupon 2",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Free Coupon 2",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7786: {
			unidentifiedDisplayName: "Free Coupon 3",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Free Coupon 3",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7787: {
			unidentifiedDisplayName: "Free Coupon 4",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Free Coupon 4",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7788: {
			unidentifiedDisplayName: "Free Coupon 5",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Free Coupon 5",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7789: {
			unidentifiedDisplayName: "Free Coupon 6",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Free Coupon 6",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7790: {
			unidentifiedDisplayName: "Free Coupon 7",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Free Coupon 7",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7791: {
			unidentifiedDisplayName: "Free Coupon 8",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Free Coupon 8",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"The coupon where the person who conveys the sorry be mind is coming to be put in full.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7792: {
			unidentifiedDisplayName: "Old",
			unidentifiedResourceName: "\xb1\xb8\xbe\xe0",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Old",
			identifiedResourceName: "\xb1\xb8\xbe\xe0",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7793: {
			unidentifiedDisplayName: "Golden Apple",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"Magic apple shines gold.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Golden Apple",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"Magic apple shines gold.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7794: {
			unidentifiedDisplayName: "The Crow of Destiny",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Oliver Hilpert novel that received the Youngest Literary Award of honor.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "The Crow of Destiny",
			identifiedResourceName: "\xba\xcf",
			identifiedDescriptionName: [
				"Oliver Hilpert novel that received the Youngest Literary Award of honor.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7795: {
			unidentifiedDisplayName: "Mammi's Photo Album",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xba\xed",
			unidentifiedDescriptionName: [
				"Mami's photo album, that contained various pictures of mami who was used to be envoy of Public Relations in morroc.",
				"On the cover, that says \"Love and true heart message form Angel Mami, just for you!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mammi's Photo Album",
			identifiedResourceName: "\xb9\xd9\xc0\xcc\xba\xed",
			identifiedDescriptionName: [
				"Mami's photo album, that contained various pictures of mami who was used to be envoy of Public Relations in morroc.",
				"On the cover, that says \"Love and true heart message form Angel Mami, just for you!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7796: {
			unidentifiedDisplayName: "Author's Autograph",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb2\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"Oliver Hilpert's Autograph is on this note.",
				"You can recognize he is poorly bad at handwriting.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Author's Autograph",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"Oliver Hilpert's Autograph is on this note.",
				"You can recognize he is poorly bad at handwriting.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7797: {
			unidentifiedDisplayName: "Author's Memo",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"\"Ancient weapon - Unknown motivity.",
				"Seclusion - The letter from lady disciple.",
				"Stepmother - Karma in a previous life?\"",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Author's Memo",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"\"Ancient weapon - Unknown motivity.",
				"Seclusion - The letter from lady disciple.",
				"Stepmother - Karma in a previous life?\"",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7798: {
			unidentifiedDisplayName: "Fragment of Darkness",
			unidentifiedResourceName: "\xb1\xbb\xbe\xee\xb9\xf6\xb8\xb0\xbf\xeb\xbe\xcf",
			unidentifiedDescriptionName: [
				"A dark fragment imbued with gloominess spirit. Once you stare it, you might feel absorbed into it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fragment of Darkness",
			identifiedResourceName: "\xb1\xbb\xbe\xee\xb9\xf6\xb8\xb0\xbf\xeb\xbe\xcf",
			identifiedDescriptionName: [
				"A dark fragment imbued with gloominess spirit. Once you stare it, you might feel absorbed into it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7799: {
			unidentifiedDisplayName: "Crystal of Darkness",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A dark crystal which is hiding heavy shadows inside of it.",
				"You might feel strongly dangerous power from this crystal. When you close to it, you could realize something is sucking all the power from near atmosphere.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crystal of Darkness",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xbc\xae\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A dark crystal which is hiding heavy shadows inside of it.",
				"You might feel strongly dangerous power from this crystal. When you close to it, you could realize something is sucking all the power from near atmosphere.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7800: {
			unidentifiedDisplayName: "Golden Charm Apple",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"Exquisite aroma proceeds from the fairytale apple.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Golden Charm Apple",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"Exquisite aroma proceeds from the fairytale apple.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7801: {
			unidentifiedDisplayName: "Girl's Letter",
			unidentifiedResourceName: "\xbc\xd2\xb3\xe0\xc0\xc7\xc6\xd2\xb7\xb9\xc5\xcd",
			unidentifiedDescriptionName: [
				"The pan letter of the young girl where ardent love where comes to feel.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Girl's Letter",
			identifiedResourceName: "\xbc\xd2\xb3\xe0\xc0\xc7\xc6\xd2\xb7\xb9\xc5\xcd",
			identifiedDescriptionName: [
				"The pan letter of the young girl where ardent love where comes to feel.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7802: {
			unidentifiedDisplayName: "Signature Notebook",
			unidentifiedResourceName: "\xbd\xce\xc0\xce\xc3\xb8",
			unidentifiedDescriptionName: [
				"An enveloped and to receive every string one notebook of the use which keeps.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Signature Notebook",
			identifiedResourceName: "\xbd\xce\xc0\xce\xc3\xb8",
			identifiedDescriptionName: [
				"An enveloped and to receive every string one notebook of the use which keeps.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7803: {
			unidentifiedDisplayName: "Novice Battle Manual",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			unidentifiedDescriptionName: [
				"Only usable by a character level 40 or below. For 30 minutes, grants 3x exp for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Novice Battle Manual",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			identifiedDescriptionName: [
				"Only usable by a character level 40 or below. For 30 minutes, grants 3x exp for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7804: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7805: {
			unidentifiedDisplayName: "Brown Jenoss's Family Ring",
			unidentifiedResourceName: "\xb0\xa5\xbb\xf6\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"A brown colored family ring which it wears by Jenoss.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Brown Jenoss's Family Ring",
			identifiedResourceName: "\xb0\xa5\xbb\xf6\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A brown colored family ring which it wears by Jenoss.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7806: {
			unidentifiedDisplayName: "God Anvil",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xb8\xf0\xb7\xe7",
			unidentifiedDescriptionName: [
				"\" Holffar \" Received a ^ff0000God's Anvil^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "God Anvil",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb8\xf0\xb7\xe7",
			identifiedDescriptionName: [
				"\" Holffar \" Received a ^ff0000God's Anvil^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7807: {
			unidentifiedDisplayName: "God Mineral",
			unidentifiedResourceName: "\xb1\xa4\xbc\xae",
			unidentifiedDescriptionName: [
				"\" Torros \" Received a ^ff0000God's Minerals^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "God Mineral",
			identifiedResourceName: "\xb1\xa4\xbc\xae",
			identifiedDescriptionName: [
				"\" Torros \" Received a ^ff0000God's Minerals^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7808: {
			unidentifiedDisplayName: "God Hammer",
			unidentifiedResourceName: "\xb1\xdd\xbb\xf6\xb8\xc1\xc4\xa1",
			unidentifiedDescriptionName: [
				"\" Gonk \" Received a ^ff0000God's Hammer^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "God Hammer",
			identifiedResourceName: "\xb1\xdd\xbb\xf6\xb8\xc1\xc4\xa1",
			identifiedDescriptionName: [
				"\" Gonk \" Received a ^ff0000God's Hammer^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7809: {
			unidentifiedDisplayName: "God Furnace",
			unidentifiedResourceName: "\xb1\xdd\xbb\xf6\xbf\xeb\xb1\xa4\xb7\xce",
			unidentifiedDescriptionName: [
				"\" Lapio \" Received a ^ff0000God's Furnaces^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "God Furnace",
			identifiedResourceName: "\xb1\xdd\xbb\xf6\xbf\xeb\xb1\xa4\xb7\xce",
			identifiedDescriptionName: [
				"\" Lapio \" Received a ^ff0000God's Furnaces^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7810: {
			unidentifiedDisplayName: "Symbol of Richness",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xb9\xa6\xbe\xc8\xbc\xae",
			unidentifiedDescriptionName: [
				"A symbol of Wealth to \"Ravela\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Symbol of Richness",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xb9\xa6\xbe\xc8\xbc\xae",
			identifiedDescriptionName: [
				"A symbol of Wealth to \"Ravela\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7811: {
			unidentifiedDisplayName: "Anvil",
			unidentifiedResourceName: "\xb8\xf0\xb7\xe7",
			unidentifiedDescriptionName: [
				"Anvil gold.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Anvil",
			identifiedResourceName: "\xb8\xf0\xb7\xe7",
			identifiedDescriptionName: [
				"Anvil gold.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7812: {
			unidentifiedDisplayName: "Symbol of Bravery",
			unidentifiedResourceName: "\xba\xd3\xc0\xba\xb9\xa6\xbe\xc8\xbc\xae",
			unidentifiedDescriptionName: [
				"A symbol of Courage to \"Ravela\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Symbol of Bravery",
			identifiedResourceName: "\xba\xd3\xc0\xba\xb9\xa6\xbe\xc8\xbc\xae",
			identifiedDescriptionName: [
				"A symbol of Courage to \"Ravela\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7813: {
			unidentifiedDisplayName: "Red Jenoss's Family Ring",
			unidentifiedResourceName: "\xbb\xa1\xb0\xad\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"A red colored family ring which it wears by Jenoss.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Jenoss's Family Ring",
			identifiedResourceName: "\xbb\xa1\xb0\xad\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A red colored family ring which it wears by Jenoss.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7814: {
			unidentifiedDisplayName: "Green Jenoss's Family Ring",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"A green colored family ring which it wears by Jenoss.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Jenoss's Family Ring",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A green colored family ring which it wears by Jenoss.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7815: {
			unidentifiedDisplayName: "Blue Jenoss's Family Ring",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"A blue colored family ring which it wears by Jenoss.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Jenoss's Family Ring",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"A blue colored family ring which it wears by Jenoss.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7816: {
			unidentifiedDisplayName: "Symbol of Faith",
			unidentifiedResourceName: "\xc7\xaa\xb8\xa5\xb9\xa6\xbe\xc8\xbc\xae",
			unidentifiedDescriptionName: [
				"A symbol of the Faith to \"Ravela\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Symbol of Faith",
			identifiedResourceName: "\xc7\xaa\xb8\xa5\xb9\xa6\xbe\xc8\xbc\xae",
			identifiedDescriptionName: [
				"A symbol of the Faith to \"Ravela\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7817: {
			unidentifiedDisplayName: "Symbol of Peace",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xb9\xa6\xbe\xc8\xbc\xae",
			unidentifiedDescriptionName: [
				"A symbol of the Peace to \"Ravela\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Symbol of Peace",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xb9\xa6\xbe\xc8\xbc\xae",
			identifiedDescriptionName: [
				"A symbol of the Peace to \"Ravela\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7818: {
			unidentifiedDisplayName: "Jessur's Necklace",
			unidentifiedResourceName: "\x72\x6a\x63\xb1\xdd\xb8\xf1\xb0\xc9\xc0\xcc",
			unidentifiedDescriptionName: [
				"The necklaces of the Jessur.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jessur's Necklace",
			identifiedResourceName: "\x72\x6a\x63\xb1\xdd\xb8\xf1\xb0\xc9\xc0\xcc",
			identifiedDescriptionName: [
				"The necklaces of the Jessur.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7819: {
			unidentifiedDisplayName: "Nokia5300",
			unidentifiedResourceName: "\xb3\xeb\xc5\xb0\xbe\xc6\x35\x33\x30\x30",
			unidentifiedDescriptionName: [
				"\"The new Nokia 5500 Sport features a stainless body for enhanced durability with resistance to shock, water, and dust elements. Use for Ragna_Nokia Festival.\"",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nokia5300",
			identifiedResourceName: "\xb3\xeb\xc5\xb0\xbe\xc6\x35\x33\x30\x30",
			identifiedDescriptionName: [
				"Get the musical vibe going with the Nokia 5300 XpressMusic phone. With the dedicated music keys that play / pause, forward and rewind, it's easy to be melodiously mobile.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7820: {
			unidentifiedDisplayName: "Piece of Morocc Skin",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xc3\xb5\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"It seems like a piece of Morocc skin. There is burned mark the edge of it.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Piece of Morocc Skin",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xc3\xb5\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"It seems like a piece of Morocc skin. There is burned mark the edge of it.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7821: {
			unidentifiedDisplayName: "Green Apple",
			unidentifiedResourceName: "\xb4\xfa\xc0\xcd\xc0\xba\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"A tasty green apple. Great food for Goblin.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Apple",
			identifiedResourceName: "\xb4\xfa\xc0\xcd\xc0\xba\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"A tasty green apple. Great food for Goblin.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7822: {
			unidentifiedDisplayName: "Whole Barbecue",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x37",
			unidentifiedDescriptionName: [
				"A wildly barbecued meat. Great food for Deleter.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Whole Barbecue",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x37",
			identifiedDescriptionName: [
				"A wildly barbecued meat. Great food for Deleter.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7823: {
			unidentifiedDisplayName: "Meat Veg Skewer",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x37",
			unidentifiedDescriptionName: [
				"Well grilled meat skewer. It's looking delicious. Great food for Diabolic.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Meat Veg Skewer",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x37",
			identifiedDescriptionName: [
				"Well grilled meat skewer. It's looking delicious. Great food for Diabolic.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7824: {
			unidentifiedDisplayName: "Spirit Liquor",
			unidentifiedResourceName: "\xb5\xa5\xb5\xe9\xb8\xae\xc6\xf7\xc0\xcc\xc1\xf0\xba\xb4",
			unidentifiedDescriptionName: [
				"A drink for the departed soul to outlive in human world. Great drink for Wanderer.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit Liquor",
			identifiedResourceName: "\xb5\xa5\xb5\xe9\xb8\xae\xc6\xf7\xc0\xcc\xc1\xf0\xba\xb4",
			identifiedDescriptionName: [
				"A drink for the departed soul to outlive in human world. Great drink for Wanderer.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7825: {
			unidentifiedDisplayName: "Heroic Stone",
			unidentifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xb5\xb9",
			unidentifiedDescriptionName: [
				"A mysterious stone that reveals its true power when a real hero has it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Heroic Stone",
			identifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xb5\xb9",
			identifiedDescriptionName: [
				"A mysterious stone that reveals its true power when a real hero has it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7826: {
			unidentifiedDisplayName: "Continental Guard Paper",
			unidentifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			unidentifiedDescriptionName: [
				"It certifies this adventurer have enough power and courage to be a member of Continental Guard.",
				"^ffffff_^000000",
				"Continental Guard. Baloq.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Continental Guard Paper",
			identifiedResourceName: "\xbf\xf8\xb0\xed\xbf\xeb\xc1\xf6",
			identifiedDescriptionName: [
				"It certifies this adventurer have enough power and courage to be a member of Continental Guard.",
				"^ffffff_^000000",
				"Continental Guard. Baloq.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7827: {
			unidentifiedDisplayName: "Mineral Evals",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Mineral Evals",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7828: {
			unidentifiedDisplayName: "Bravery Badge",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xc8\xd6\xc0\xe5",
			unidentifiedDescriptionName: [
				"A badge that is provided to warrior who brought great honor in the Battle field.",
				"Considered as a symbol of honor.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Bravery Badge",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xc8\xd6\xc0\xe5",
			identifiedDescriptionName: [
				"A badge that is provided to warrior who brought great honor in the Battle field.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7829: {
			unidentifiedDisplayName: "Valor Badge",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xc8\xd6\xc0\xe5",
			unidentifiedDescriptionName: [
				"A badge that is provided to warrior who brought great honor in the Battle field.",
				"Considered as a symbol of honor.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Valor Badge",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xc8\xd6\xc0\xe5",
			identifiedDescriptionName: [
				"A badge that is provided to warrior who brought great honor in the Battle field.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7830: {
			unidentifiedDisplayName: "Goddess Tear",
			unidentifiedResourceName: "\xbf\xa9\xbd\xc5\xc0\xc7\xb4\xab\xb9\xb0",
			unidentifiedDescriptionName: [
				"A clear and transparent gem that reflects light beautifully.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Goddess Tear",
			identifiedResourceName: "\xbf\xa9\xbd\xc5\xc0\xc7\xb4\xab\xb9\xb0",
			identifiedDescriptionName: [
				"A clear and transparent gem that reflects light beautifully.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7831: {
			unidentifiedDisplayName: "Valkyrie's Token",
			unidentifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xc2\xa1\xc7\xa5",
			unidentifiedDescriptionName: [
				"A symbol Battle of virgin in 1866.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Valkyrie's Token",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xc2\xa1\xc7\xa5",
			identifiedDescriptionName: [
				"A symbol Battle of virgin in 1866.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7832: {
			unidentifiedDisplayName: "Brynhild Armor Piece",
			unidentifiedResourceName: "\xba\xea\xb7\xf4\xc8\xfa\xc6\xae\xb0\xa9\xbf\xca\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A piece of wrecked armor of Valkyrie, Breunhilt.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Brynhild Armor Piece",
			identifiedResourceName: "\xba\xea\xb7\xf4\xc8\xfa\xc6\xae\xb0\xa9\xbf\xca\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A piece of wrecked armor of Valkyrie, Breunhilt.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7833: {
			unidentifiedDisplayName: "Hero Remains",
			unidentifiedResourceName: "\xbf\xb5\xbf\xf5\xc0\xc7\xc0\xaf\xc7\xd8",
			unidentifiedDescriptionName: [
				"Ashes of a hero, Siglude.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Hero Remains",
			identifiedResourceName: "\xbf\xb5\xbf\xf5\xc0\xc7\xc0\xaf\xc7\xd8",
			identifiedDescriptionName: [
				"Ashes of a hero, Siglude.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7834: {
			unidentifiedDisplayName: "Andvari's Ring",
			unidentifiedResourceName: "\xbe\xc8\xb5\xe5\xb9\xd9\xb8\xae\xc0\xc7\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"The ring of Andvary that has been protected by the dragon Pavvnir.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Andvari's Ring",
			identifiedResourceName: "\xbe\xc8\xb5\xe5\xb9\xd9\xb8\xae\xc0\xc7\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"The ring of Andvary that has been protected by the dragon Pavvnir.",
				"^ffffff_^000000",
				"Weight : ^77777750^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7835: {
			unidentifiedDisplayName: "Dusk Glow",
			unidentifiedResourceName: "\xc8\xb2\xc8\xa5\xc0\xc7\xb3\xeb\xc0\xbb",
			unidentifiedDescriptionName: [
				"This liquid has a color of red dusk.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Dusk Glow",
			identifiedResourceName: "\xc8\xb2\xc8\xa5\xc0\xc7\xb3\xeb\xc0\xbb",
			identifiedDescriptionName: [
				"This liquid has a color of red dusk.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7836: {
			unidentifiedDisplayName: "Dawn Essence",
			unidentifiedResourceName: "\xbf\xa9\xb8\xed\xc0\xc7\xc1\xa4\xbc\xf6",
			unidentifiedDescriptionName: [
				"It posseses the power of rising sun.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Dawn Essence",
			identifiedResourceName: "\xbf\xa9\xb8\xed\xc0\xc7\xc1\xa4\xbc\xf6",
			identifiedDescriptionName: [
				"It posseses the power of rising sun.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7837: {
			unidentifiedDisplayName: "Cold Moonlight",
			unidentifiedResourceName: "\xc2\xf7\xb0\xa1\xbf\xee\xb4\xde\xba\xfb",
			unidentifiedDescriptionName: [
				"The force of moonlight has been gathered.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Cold Moonlight",
			identifiedResourceName: "\xc2\xf7\xb0\xa1\xbf\xee\xb4\xde\xba\xfb",
			identifiedDescriptionName: [
				"The force of moonlight has been gathered.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7838: {
			unidentifiedDisplayName: "Hazy Starlight",
			unidentifiedResourceName: "\xbe\xee\xbd\xba\xb8\xa7\xc7\xd1\xba\xb0\xba\xfb",
			unidentifiedDescriptionName: [
				"A group of stars that lies beautifully in night sky.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Hazy Starlight",
			identifiedResourceName: "\xbe\xee\xbd\xba\xb8\xa7\xc7\xd1\xba\xb0\xba\xfb",
			identifiedDescriptionName: [
				"A group of stars that lies beautifully in night sky.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7839: {
			unidentifiedDisplayName: "Crystal Key",
			unidentifiedResourceName: "\xc5\xa9\xb8\xae\xbd\xba\xc5\xbb\xc5\xb0",
			unidentifiedDescriptionName: [
				"A piece of crystal that is used as a key of the assessment. It contains a rune as a charm against a bad luck towards the assessment.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Crystal Key",
			identifiedResourceName: "\xc5\xa9\xb8\xae\xbd\xba\xc5\xbb\xc5\xb0",
			identifiedDescriptionName: [
				"A piece of crystal that is used as a key of the assessment. It contains a rune as a charm against a bad luck towards the assessment.",
				"^ffffff_^000000",
				"Weight : ^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7840: {
			unidentifiedDisplayName: "Valkyrie's Gift",
			unidentifiedResourceName: "\xb9\xdf\xc7\xd2\xb6\xf3\xc0\xc7\xb2\xc9",
			unidentifiedDescriptionName: [
				"A flower from Valkyrie Wishmaiden. When it's decorated, the flower as a big festival mood.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Valkyrie's Gift",
			identifiedResourceName: "\xb9\xdf\xc7\xd2\xb6\xf3\xc0\xc7\xb2\xc9",
			identifiedDescriptionName: [
				"A flower from Valkyrie Wishmaiden. When it's decorated, the flower as a big festival mood.",
				"^ffffff_^000000",
				"Weight : ^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7841: {
			unidentifiedDisplayName: "Stained Piece Of Paper",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"The pieces are painted something. Although it does not look good.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Stained Piece Of Paper",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"The pieces are painted something. Although it does not look good.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7842: {
			unidentifiedDisplayName: "Torn Piece Of Paper",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"The pieces are painted something. Although it does not look good.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Torn Piece Of Paper",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"The pieces are painted something. Although it does not look good.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7843: {
			unidentifiedDisplayName: "Old Piece Of Paper",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"The pieces are painted something. Although it does not look good.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Old Piece Of Paper",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"The pieces are painted something. Although it does not look good.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7844: {
			unidentifiedDisplayName: "Burnt Pieces Of Paper",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"The pieces are painted something. Although it does not look good.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Burnt Pieces Of Paper",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"The pieces are painted something. Although it does not look good.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7845: {
			unidentifiedDisplayName: "Copy Of Spotted Paper",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"The pieces are painted something. Although you don't know further reply.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Copy Of Spotted Paper",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"The pieces are painted something. Although you don't know further reply.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7846: {
			unidentifiedDisplayName: "Copy Of Torn Paper",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"The pieces are painted something. Although you don't know further reply.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Copy Of Torn Paper",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"The pieces are painted something. Although you don't know further reply.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7847: {
			unidentifiedDisplayName: "Copy Of Old Paper",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"The pieces are painted something. Although you don't know further reply.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Copy Of Old Paper",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"The pieces are painted something. Although you don't know further reply.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7848: {
			unidentifiedDisplayName: "Copy Of Burnt Paper",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"The pieces are painted something. Although you don't know further reply. ",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Copy Of Burnt Paper",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"The pieces are painted something. Although you don't know further reply.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7849: {
			unidentifiedDisplayName: "Soul Crystal",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"This signal is modified of the soul. ...",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Soul Crystal",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"This signal is modified of the soul. ...",
				"^ffffff_^000000",
				"Weight: ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7850: {
			unidentifiedDisplayName: "Wooden Block",
			unidentifiedResourceName: "\xb3\xaa\xb9\xab\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"The magic log, which can be used for the bonfire.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Wooden Block",
			identifiedResourceName: "\xb3\xaa\xb9\xab\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"The magic log, which can be used for the bonfire.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7851: {
			unidentifiedDisplayName: "Wii Raffle Ticket",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5\x5f\x46\x31",
			unidentifiedDescriptionName: [
				"RO together with Wii! Wii raffle ticket.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wii Raffle Ticket",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5\x5f\x46\x31",
			identifiedDescriptionName: [
				"RO together with Wii! Wii raffle ticket.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7852: {
			unidentifiedDisplayName: "Divx Player Raffle Ticket",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5\x5f\x46\x32",
			unidentifiedDescriptionName: [
				"RO together with Divx! Divx Player raffle ticket.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Divx Player Raffle Ticket",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5\x5f\x46\x32",
			identifiedDescriptionName: [
				"RO together with Divx! Divx Player raffle ticket.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7853: {
			unidentifiedDisplayName: "iPod nano Raffle Ticket",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5\x5f\x46\x33",
			unidentifiedDescriptionName: [
				"RO together with iPod nano! iPod nano raffle ticket.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "iPod nano Raffle Ticket",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5\x5f\x46\x33",
			identifiedDescriptionName: [
				"RO together with iPod nano! iPod nano raffle ticket.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7854: {
			unidentifiedDisplayName: "Comodo Festival Ticket",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"Joyful Comodo Festival! This Ticket is serviceable only from Comodo Festival.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Comodo Festival Ticket",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"Joyful Comodo Festival! This Ticket is serviceable only from Comodo Festival.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7855: {
			unidentifiedDisplayName: "Heart",
			unidentifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xd3\xc7\xcf\xc6\xae",
			unidentifiedDescriptionName: [
				"It thinks a troublesome army song warm mind.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Heart",
			identifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xd3\xc7\xcf\xc6\xae",
			identifiedDescriptionName: [
				"It thinks a troublesome army song warm mind.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7856: {
			unidentifiedDisplayName: "Girl's Bouquet",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Girl's Bouquet",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7857: {
			unidentifiedDisplayName: "Hand-made Kitty Doll",
			unidentifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A black cat doll which made by good craftsman.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Hand-made Kitty Doll",
			identifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A black cat doll which made by good craftsman.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7858: {
			unidentifiedDisplayName: "Dragonball Yellow",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragonball Yellow",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7859: {
			unidentifiedDisplayName: "Game Ticket",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc8\xad",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Game Ticket",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc8\xad",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7860: {
			unidentifiedDisplayName: "Peeps",
			unidentifiedResourceName: "\xc0\xaf\xb0\xfa",
			unidentifiedDescriptionName: [
				"A candy made with marshmallow. It is formed into a candy of various shapes, and children like it very much.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Peeps",
			identifiedResourceName: "\xc0\xaf\xb0\xfa",
			identifiedDescriptionName: [
				"A candy made with marshmallow. It is formed into a candy of various shapes, and children like it very much.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7861: {
			unidentifiedDisplayName: "Jelly Bean",
			unidentifiedResourceName: "\xc5\xcd\xc5\xb0\xbc\xae",
			unidentifiedDescriptionName: [
				"A jelly like confectionary in the shape of a bean. It is made with many flavors, primarily fruits.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Jelly Bean",
			identifiedResourceName: "\xc5\xcd\xc5\xb0\xbc\xae",
			identifiedDescriptionName: [
				"A jelly like confectionary in the shape of a bean. It is made with many flavors, primarily fruits.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7862: {
			unidentifiedDisplayName: "Marshmallow",
			unidentifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb3\xb6\xb1",
			unidentifiedDescriptionName: [
				"A soft confectionary make from sugar or corn syrup. It is tender and soft.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Marshmallow",
			identifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb3\xb6\xb1",
			identifiedDescriptionName: [
				"A soft confectionary make from sugar or corn syrup. It is tender and soft.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7863: {
			unidentifiedDisplayName: "Special Gold",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd",
			unidentifiedDescriptionName: [
				"A Hwang gold which commemorates the a special day.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Special Gold",
			identifiedResourceName: "\xc8\xb2\xb1\xdd",
			identifiedDescriptionName: [
				"A Hwang gold which commemorates the a special day.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7864: {
			unidentifiedDisplayName: "Stolen Cacao",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"Very beautiful flower namely affection flower.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stolen Cacao",
			identifiedResourceName: "\xb2\xc9",
			identifiedDescriptionName: [
				"Very beautiful flower namely affection flower.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7865: {
			unidentifiedDisplayName: "Gold Pouch",
			unidentifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"Gold bag receive from Baren. Must be deliver with the group protects environment.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Gold Pouch",
			identifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"Gold bag receive from Baren. Must be deliver with the group protects environment.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7866: {
			unidentifiedDisplayName: "Certificate",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			unidentifiedDescriptionName: [
				"Certificate from Tidy. Contribute to be with help the group protects environment.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Certificate",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xbf\xb5\xbc\xf6\xc1\xf5",
			identifiedDescriptionName: [
				"Certificate from Tidy. Contribute to be with help the group protects environment.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7867: {
			unidentifiedDisplayName: "Sesame Bag",
			unidentifiedResourceName: "\xc6\xf7\xc0\xe5\xb5\xc8\xb0\xa1\xb8\xe9",
			unidentifiedDescriptionName: [
				"A very small bag with Sesame seeds inside.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Sesame Bag",
			identifiedResourceName: "\xc6\xf7\xc0\xe5\xb5\xc8\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A very small bag with Sesame seeds inside.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7868: {
			unidentifiedDisplayName: "Fresh Water",
			unidentifiedResourceName: "\xbc\xba\xbc\xf6",
			unidentifiedDescriptionName: [
				"Fresh water that is pure and clean.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fresh Water",
			identifiedResourceName: "\xbc\xba\xbc\xf6",
			identifiedDescriptionName: [
				"Fresh water that is pure and clean.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7869: {
			unidentifiedDisplayName: "Rice Pouch",
			unidentifiedResourceName: "\xbd\xd2\xb0\xa1\xb8\xb6\xb4\xcf",
			unidentifiedDescriptionName: [
				"A very small bag with Rice seeds inside.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Rice Pouch",
			identifiedResourceName: "\xbd\xd2\xb0\xa1\xb8\xb6\xb4\xcf",
			identifiedDescriptionName: [
				"A very small bag with Rice seeds inside.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7870: {
			unidentifiedDisplayName: "Corn",
			unidentifiedResourceName: "\xc8\xf7\xb3\xaa\xb7\xb9\xc0\xc7\xc0\xd9\xbb\xe7\xb1\xcd",
			unidentifiedDescriptionName: [
				"Beautifully bred Corn which most people like to eat.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Corn",
			identifiedResourceName: "\xc8\xf7\xb3\xaa\xb7\xb9\xc0\xc7\xc0\xd9\xbb\xe7\xb1\xcd",
			identifiedDescriptionName: [
				"Beautifully bred Corn which most people like to eat.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7871: {
			unidentifiedDisplayName: "Bean Bag",
			unidentifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"A very small bag with Bean seeds inside.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Bean Bag",
			identifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"A very small bag with Bean seeds inside.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7872: {
			unidentifiedDisplayName: "Herb",
			unidentifiedResourceName: "\xba\xce\xb5\xe5\xb7\xaf\xbf\xee\xc7\xae\xc0\xd9",
			unidentifiedDescriptionName: [
				"Light grass that is wet with dew.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Herb",
			identifiedResourceName: "\xba\xce\xb5\xe5\xb7\xaf\xbf\xee\xc7\xae\xc0\xd9",
			identifiedDescriptionName: [
				"Light grass that is wet with dew.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7873: {
			unidentifiedDisplayName: "MVP Monster Scroll",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			unidentifiedDescriptionName: [
				"A scroll used to summon a very powerfull monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "MVP Monster Scroll",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			identifiedDescriptionName: [
				"A scroll used to summon a very powerfull monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7874: {
			unidentifiedDisplayName: "Create Monster Scroll",
			unidentifiedResourceName: "\xc2\xf5\xbe\xee\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"A scroll used to summon monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Create Monster Scroll",
			identifiedResourceName: "\xc2\xf5\xbe\xee\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll used to summon monster.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7875: {
			unidentifiedDisplayName: "Pirate Treasure",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A recovered Treasure box that was Lost by Pirate Captain Wesley many years ago. Perhaps with his help you can open it. Part of the 2007 4th Anniversary Event.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Pirate Treasure",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A recovered Treasure box that was Lost by Pirate Captain Wesley many years ago. Perhaps with his help you can open it. Part of the 2007 4th Anniversary Event.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7876: {
			unidentifiedDisplayName: "Golden Key",
			unidentifiedResourceName: "\xbd\xc3\xb0\xe8\xc5\xbe\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"A shiny golden key which is rumored to be able to open locks enchanted with spells.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Golden Key",
			identifiedResourceName: "\xbd\xc3\xb0\xe8\xc5\xbe\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"A shiny golden key which is rumored to be able to open locks enchanted with spells.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7877: {
			unidentifiedDisplayName: "Red Ring",
			unidentifiedResourceName: "\xbc\xbc\xc0\xcc\xc7\xc1\xc6\xbc\xb8\xb5",
			unidentifiedDescriptionName: [
				"Mashenka's red ring. It seems to have a sad story.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Red Ring",
			identifiedResourceName: "\xbc\xbc\xc0\xcc\xc7\xc1\xc6\xbc\xb8\xb5",
			identifiedDescriptionName: [
				"Mashenka's red ring. It seems to have a sad story.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7878: {
			unidentifiedDisplayName: "Lusalka's Hair",
			unidentifiedResourceName: "\xb1\xe4\xb8\xd3\xb8\xae\xc4\xab\xb6\xf4",
			unidentifiedDescriptionName: [
				"Hair of the water fairy Lusalka, who drowned on the eve of her marriage.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lusalka's Hair",
			identifiedResourceName: "\xb1\xe4\xb8\xd3\xb8\xae\xc4\xab\xb6\xf4",
			identifiedDescriptionName: [
				"Hair of the water fairy Lusalka, who drowned on the eve of her marriage.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7879: {
			unidentifiedDisplayName: "Golden Thread",
			unidentifiedResourceName: "\xbd\xc7\xc5\xb8\xb7\xa1",
			unidentifiedDescriptionName: [
				"A spool wrapped with golden fine thread.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golden Thread",
			identifiedResourceName: "\xbd\xc7\xc5\xb8\xb7\xa1",
			identifiedDescriptionName: [
				"A spool wrapped with golden fine thread.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7880: {
			unidentifiedDisplayName: "Baba Yaga's Silver Spoon",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xbc\xfd\xb0\xa1\xb6\xf4",
			unidentifiedDescriptionName: [
				"Babayaga's silver spoon stolen by pirates.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Baba Yaga's Silver Spoon",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xbc\xfd\xb0\xa1\xb6\xf4",
			identifiedDescriptionName: [
				"Babayaga's silver spoon stolen by pirates.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7881: {
			unidentifiedDisplayName: "Mistery Magic Book",
			unidentifiedResourceName: "\xbf\xa9\xb7\xaf\xb1\xc7\xc0\xc7\xc3\xa5",
			unidentifiedDescriptionName: [
				"A mistery magic book published by MOMOTARO publisher.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Mystery Magic Book",
			identifiedResourceName: "\xbf\xa9\xb7\xaf\xb1\xc7\xc0\xc7\xc3\xa5",
			identifiedDescriptionName: [
				"A mistery magic book published by MOMOTARO publisher.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7882: {
			unidentifiedDisplayName: "Sharp Branch",
			unidentifiedResourceName: "\xb4\xeb\xb3\xaa\xb9\xab\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A branch broken off from a thornbush.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Sharp Branch",
			identifiedResourceName: "\xb4\xeb\xb3\xaa\xb9\xab\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A branch broken off from a thornbush.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7883: {
			unidentifiedDisplayName: "Wooden Flute",
			unidentifiedResourceName: "\xb4\xeb\xb3\xaa\xb9\xab\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A flute made by shepherd who has an amazing talent for music.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Wooden Flute",
			identifiedResourceName: "\xb4\xeb\xb3\xaa\xb9\xab\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A flute made by shepherd who has an amazing talent for music.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7884: {
			unidentifiedDisplayName: "Jade Plate",
			unidentifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xba\xd0\xb3\xeb",
			unidentifiedDescriptionName: [
				"A broken jade that seems valuable, no one knows who it belongs to.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Jade Plate",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc0\xc7\xba\xd0\xb3\xeb",
			identifiedDescriptionName: [
				"A broken jade that seems valuable, no one knows who it belongs to.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7885: {
			unidentifiedDisplayName: "Sacred Arrow",
			unidentifiedResourceName: "\xc0\xba\xc8\xad\xbb\xec",
			unidentifiedDescriptionName: [
				"Arrows make by the great smith in town. Sacred weapon as said by Hou Yi.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Sacred Arrow",
			identifiedResourceName: "\xc0\xba\xc8\xad\xbb\xec",
			identifiedDescriptionName: [
				"Arrows make by the great smith in town. Sacred weapon as said by Hou Yi.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7886: {
			unidentifiedDisplayName: "Bean Paste",
			unidentifiedResourceName: "\xb5\xb6\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"Crushes cooked red beans into the form of paste so that it could be made into the fillings for cookies or bread.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bean Paste",
			identifiedResourceName: "\xb5\xb6\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"Crushes cooked red beans into the form of paste so that it could be made into the fillings for cookies or bread.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7887: {
			unidentifiedDisplayName: "Dried Fruit Box",
			unidentifiedResourceName: "\xc7\xd1\xb9\xe6\xbe\xe0\xc0\xe7",
			unidentifiedDescriptionName: [
				"A present given by Mr.Taeum. A tool used to dry and increase the sugar capacity of fruits.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Dried Fruit Box",
			identifiedResourceName: "\xc7\xd1\xb9\xe6\xbe\xe0\xc0\xe7",
			identifiedDescriptionName: [
				"A present given by Mr.Taeum. A tool used to dry and increase the sugar capacity of fruits.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7888: {
			unidentifiedDisplayName: "Bag of Nuts",
			unidentifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"Packet which contains certain fruits which posess a hard shell.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Bag of Nuts",
			identifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"Packet which contains certain fruits which posess a hard shell.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7889: {
			unidentifiedDisplayName: "Chicken Feed",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xba\xb0\xb8\xf0\xb7\xa1",
			unidentifiedDescriptionName: [
				"Contain certain nutrition loved by chickens. However, the ingredients are unknown.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Chicken Feed",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xba\xb0\xb8\xf0\xb7\xa1",
			identifiedDescriptionName: [
				"Contain certain nutrition loved by chickens. However, the ingredients are unknown.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7891: {
			unidentifiedDisplayName: "Mug",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"A cute mug crafted by hand.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mug",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"A cute mug crafted by hand.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7892: {
			unidentifiedDisplayName: "Charcoal",
			unidentifiedResourceName: "\xc8\xd6\xbc\xae",
			unidentifiedDescriptionName: [
				"A wood charcoal that was carbonized from the firm wood. It is a type of fuel and essential for making BBQ.",
				"It's also used to make a gun powder.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Charcoal",
			identifiedResourceName: "\xc8\xd6\xbc\xae",
			identifiedDescriptionName: [
				"A wood charcoal that was carbonized from the firm wood. It is a type of fuel and essential for making BBQ.",
				"It's also used to make a gun powder.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7893: {
			unidentifiedDisplayName: "Sulphur",
			unidentifiedResourceName: "\xbc\xbf",
			unidentifiedDescriptionName: [
				"A yellow crystalline solid that is also known for the distinctive smell. ",
				"It is also used to make a gun powder.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sulphur",
			identifiedResourceName: "\xbc\xbf",
			identifiedDescriptionName: [
				"A yellow crystalline solid that is also known for the distinctive smell.",
				"It is also used to make a gun powder.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7894: {
			unidentifiedDisplayName: "Nitrogen Acid",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xb3\xaf\xb0\xb3\xba\xd0",
			unidentifiedDescriptionName: [
				"A food additive which tastes salty and a bit refreshing.",
				"It's also used to make a gun powder.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nitrogen Acid",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xb3\xaf\xb0\xb3\xba\xd0",
			identifiedDescriptionName: [
				"A food additive which tastes salty and a bit refreshing.",
				"It's also used to make a gun powder.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7895: {
			unidentifiedDisplayName: "Rama5 Book",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"Rama was created five years for the commemorative of the book.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Rama5 Book",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"Rama was created five years for the commemorative of the book.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7896: {
			unidentifiedDisplayName: "Loykrathong Book",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"Roy Krasnoyarsk created for the book to celebrate the Day of Thailand.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Loykrathong Book",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"Roy Krasnoyarsk created for the book to celebrate the Day of Thailand.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7897: {
			unidentifiedDisplayName: "Constitution Book",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"The book was created to celebrate Constitution Day.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Constitution Book",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"The book was created to celebrate Constitution Day.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7898: {
			unidentifiedDisplayName: "VV Strong Balmung",
			unidentifiedResourceName: "\xb9\xdf\xb9\xb6",
			unidentifiedDescriptionName: [
				"VV Strong Balmung made by Meow.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "VV Strong Balmung",
			identifiedResourceName: "\xb9\xdf\xb9\xb6",
			identifiedDescriptionName: [
				"VV Strong Balmung made by Meow.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7899: {
			unidentifiedDisplayName: "Dagger Of Psychic",
			unidentifiedResourceName: "\xb0\xa3\xb4\xb1\xb0\xa1\xb0\xa1\xc7\xc1",
			unidentifiedDescriptionName: [
				"VV Strong Dagger made by Meow.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Dagger Of Psychic",
			identifiedResourceName: "\xb0\xa3\xb4\xb1\xb0\xa1\xb0\xa1\xc7\xc1",
			identifiedDescriptionName: [
				"VV Strong Dagger made by Meow.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7900: {
			unidentifiedDisplayName: "Jonathan Family Ring",
			unidentifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Jonathan 'family of exchange received a ring.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Jonathan Family Ring",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"Jonathan 'family of exchange received a ring.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7901: {
			unidentifiedDisplayName: "Jillberriel Family Ring",
			unidentifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Jillberriel 'family of exchange received a ring.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Jillberriel Family Ring",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"Jillberriel 'family of exchange received a ring.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7902: {
			unidentifiedDisplayName: "Jessur Family Ring",
			unidentifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Jessur'family of exchange received a ring.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Jessur Family Ring",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"Jessur 'family of exchange received a ring.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7903: {
			unidentifiedDisplayName: "Jenoss Family Ring",
			unidentifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Jenoss'received a ring.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Jenoss Family Ring",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"Jenoss 'received a ring.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7904: {
			unidentifiedDisplayName: "Piano Key",
			unidentifiedResourceName: "\xc5\xbe\xc1\xf6\xc7\xcf\xbf\xad\xbc\xe8",
			unidentifiedDescriptionName: [
				"The piano keys that can be open and locked.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Piano Key",
			identifiedResourceName: "\xc5\xbe\xc1\xf6\xc7\xcf\xbf\xad\xbc\xe8",
			identifiedDescriptionName: [
				"The piano keys that can be open and locked.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7905: {
			unidentifiedDisplayName: "Rok Star badge",
			unidentifiedResourceName: "\xb6\xf4\xbd\xba\xc5\xb8\xb9\xee\xc1\xf6",
			unidentifiedDescriptionName: [
				"A new type of ROK Star badge.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Rok Star badge",
			identifiedResourceName: "\xb6\xf4\xbd\xba\xc5\xb8\xb9\xee\xc1\xf6",
			identifiedDescriptionName: [
				"A new type of ROK Star badge.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7906: {
			unidentifiedDisplayName: "Poppy Wreath",
			unidentifiedResourceName: "\xc7\xb2\xbb\xe7\xb6\xfb",
			unidentifiedDescriptionName: [
				"A poppy wreath placed at a location of strong personal meaning to",
				"commemorate the memories of events and people that have shaped your life.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Poppy Wreath",
			identifiedResourceName: "\xc7\xb2\xbb\xe7\xb6\xfb",
			identifiedDescriptionName: [
				"A poppy wreath placed at a location of strong personal meaning to",
				"commemorate the memories of events and people that have shaped your life.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7907: {
			unidentifiedDisplayName: "Bobbin Of Goddess",
			unidentifiedResourceName: "\xbd\xc7\xc5\xb8\xb7\xa1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Bobbin Of Goddess",
			identifiedResourceName: "\xbd\xc7\xc5\xb8\xb7\xa1",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight: ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7908: {
			unidentifiedDisplayName: "Louise's Beauty Coupon",
			unidentifiedResourceName: "\xc4\xed\xc6\xf9",
			unidentifiedDescriptionName: [
				"A hairstyling coupon that's worth a free hairstyling service from Artist Louise Kim during the event period. ",
				"One time use only.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Louise's Beauty Coupon",
			identifiedResourceName: "\xc4\xed\xc6\xf9",
			identifiedDescriptionName: [
				"A hairstyling coupon that's worth a free hairstyling service from Artist Louise Kim during the event period.",
				"One time use only.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7909: {
			unidentifiedDisplayName: "Stolen Cookie",
			unidentifiedResourceName: "\xc0\xdf\xb1\xb8\xbf\xee\xc4\xed\xc5\xb0",
			unidentifiedDescriptionName: [
				"A cookie that looks just same as a stolen cookie from the factory.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Stolen Cookie",
			identifiedResourceName: "\xc0\xdf\xb1\xb8\xbf\xee\xc4\xed\xc5\xb0",
			identifiedDescriptionName: [
				"A cookie that looks just same as a stolen cookie from the factory.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7910: {
			unidentifiedDisplayName: "Stolen Candy",
			unidentifiedResourceName: "\xbb\xe7\xc5\xc1",
			unidentifiedDescriptionName: [
				"A cookie that looks just same as a stolen candy from the factory.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Stolen Candy",
			identifiedResourceName: "\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"A cookie that looks just same as a stolen candy from the factory.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7911: {
			unidentifiedDisplayName: "Yulia's Hat",
			unidentifiedResourceName: "\xb3\xaa\xb5\xe9\xc0\xcc\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"A hat belongs to Yulia.",
				"Yulia claims that this hat was robbed by a suspicious man while going an errand at night.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Yulia's Hat",
			identifiedResourceName: "\xb3\xaa\xb5\xe9\xc0\xcc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat belongs to Yulia.",
				"Yulia claims that this hat was robbed by a suspicious man while going an errand at night.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7912: {
			unidentifiedDisplayName: "Portable Snowman Machine",
			unidentifiedResourceName: "\xbf\xeb\xb1\xa4\xb7\xce",
			unidentifiedDescriptionName: [
				"A machine that holds the Essence of Cold, made by the scientist Willis in Morroc.",
				"It can holds a Snowman and protects it from heat while the Snowman is outside of the machine.",
				"^ffffff_^000000",
				"Weight : ^777777 0^000000",
			],
			identifiedDisplayName: "Portable Snowman Machine",
			identifiedResourceName: "\xbf\xeb\xb1\xa4\xb7\xce",
			identifiedDescriptionName: [
				"A machine that holds the Essence of Cold, made by the scientist Willis in Morroc.",
				"It can holds a Snowman and protects it from heat while the Snowman is outside of the machine.",
				"^ffffff_^000000",
				"Weight : ^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7913: {
			unidentifiedDisplayName: "Battle Test Certificate",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb2\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Battle Test Certificate",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7914: {
			unidentifiedDisplayName: "Ancient Language Document",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"An old letter which seems to have been written with heart by someone.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Ancient Language Document",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"An old letter which seems to have been written with heart by someone.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7915: {
			unidentifiedDisplayName: "Bronze Coin",
			unidentifiedResourceName: "\xc4\xda\xc6\xdb\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"A coin made of bronze. The magic coin will disappear ",
				"on March 18,2008 as the Leprechaun's magic leaves the world.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Shred Of Evidence",
			identifiedResourceName: "\xc4\xda\xc6\xdb\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"A coin made of bronze. The magic coin will disappear",
				"on March 18,2008 as the Leprechaun's magic leaves the world.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7916: {
			unidentifiedDisplayName: "Silver Coin",
			unidentifiedResourceName: "\xbd\xc7\xb9\xf6\xc4\xda\xc0\xce",
			unidentifiedDescriptionName: [
				"A coin made of silver. The magic coin will disappear ",
				"on March 18,2008 as the Leprechaun's magic leaves the world.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Silver Coin",
			identifiedResourceName: "\xbd\xc7\xb9\xf6\xc4\xda\xc0\xce",
			identifiedDescriptionName: [
				"A coin made of silver. The magic coin will disappear",
				"on March 18,2008 as the Leprechaun's magic leaves the world.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7917: {
			unidentifiedDisplayName: "Magic Potion",
			unidentifiedResourceName: "\xc4\xda\xc6\xc3\xbe\xe0",
			unidentifiedDescriptionName: [
				"Divine force by the potion.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Magic Potion",
			identifiedResourceName: "\xc4\xda\xc6\xc3\xbe\xe0",
			identifiedDescriptionName: [
				"Divine force by the potion.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7918: {
			unidentifiedDisplayName: "Chunk Of Memory",
			unidentifiedResourceName: "\xb0\xa1\xc3\xe0\xc0\xc7\xc7\xc7",
			unidentifiedDescriptionName: [
				"A fragment of memory from Thanatos.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Chunk Of Memory",
			identifiedResourceName: "\xb0\xa1\xc3\xe0\xc0\xc7\xc7\xc7",
			identifiedDescriptionName: [
				"A fragment of memory from Thanatos.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7919: {
			unidentifiedDisplayName: "Festival Ticket",
			unidentifiedResourceName: "\xbc\xbc\xb9\xee\xb5\xb7",
			unidentifiedDescriptionName: [
				"Evidence that you really enjoyed the festival!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Festival Ticket",
			identifiedResourceName: "\xbc\xbc\xb9\xee\xb5\xb7",
			identifiedDescriptionName: [
				"Evidence that you really enjoyed the festival!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7920: {
			unidentifiedDisplayName: "Hero's Arsenal",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Hero's Arsenal",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7921: {
			unidentifiedDisplayName: "Essence Of Dragon",
			unidentifiedResourceName: "\xb0\xa1\xc3\xe0\xc0\xc7\xc7\xc7",
			unidentifiedDescriptionName: [
				"A something that contains the power of Dragon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Essence Of Dragon",
			identifiedResourceName: "\xb0\xa1\xc3\xe0\xc0\xc7\xc7\xc7",
			identifiedDescriptionName: [
				"A something that contains the power of Dragon.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7922: {
			unidentifiedDisplayName: "RWC Event Ticket",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"RWC event ticket. Let's celebrate RWC in Taiwan!",
				"If you give it to RWC event NPC, you would get some gifts.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "RWC Event Ticket",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"RWC event ticket. Let's celebrate RWC in Taiwan!",
				"If you give it to RWC event NPC, you would get some gifts.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7923: {
			unidentifiedDisplayName: "Krathong",
			unidentifiedResourceName: "\x4b\x52\x41\x54\x48\x4f\x4e\x47",
			unidentifiedDescriptionName: [
				"A tribute to luck and fortune throughout the year.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Krathong",
			identifiedResourceName: "\x4b\x52\x41\x54\x48\x4f\x4e\x47",
			identifiedDescriptionName: [
				"A tribute to luck and fortune throughout the year.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7924: {
			unidentifiedDisplayName: "Gold Paper",
			unidentifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Gold Paper",
			identifiedResourceName: "\xb8\xc5\xb2\xf6\xc7\xd1\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7925: {
			unidentifiedDisplayName: "Silver Paper",
			unidentifiedResourceName: "\xb1\xe2\xb8\xa7\xc1\xbe\xc0\xcc",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Silver Paper",
			identifiedResourceName: "\xb1\xe2\xb8\xa7\xc1\xbe\xc0\xcc",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7926: {
			unidentifiedDisplayName: "Hong",
			unidentifiedResourceName: "\xba\xd2\xbe\xbe",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Hong",
			identifiedResourceName: "\xba\xd2\xbe\xbe",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7927: {
			unidentifiedDisplayName: "Candle",
			unidentifiedResourceName: "\xb1\xdd\xb4\xdc\xc0\xc7\xba\xd3\xc0\xba\xbe\xe7\xc3\xca",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Candle",
			identifiedResourceName: "\xb1\xdd\xb4\xdc\xc0\xc7\xba\xd3\xc0\xba\xbe\xe7\xc3\xca",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7928: {
			unidentifiedDisplayName: "Brazil National Flag",
			unidentifiedResourceName: "\xba\xea\xb6\xf3\xc1\xfa\xb1\xb9\xb1\xe2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Brazil National Flag",
			identifiedResourceName: "\xba\xea\xb6\xf3\xc1\xfa\xb1\xb9\xb1\xe2",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7929: {
			unidentifiedDisplayName: "Gold Coin",
			unidentifiedResourceName: "\xb1\xdd\xc8\xad",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gold Coin",
			identifiedResourceName: "\xb1\xdd\xc8\xad",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7930: {
			unidentifiedDisplayName: "Devil's Cattle Ring",
			unidentifiedResourceName: "\xbc\xe8\xb0\xed\xb6\xfb",
			unidentifiedDescriptionName: [
				"Very large ring. Stink behind him. Everyone can be have this item. ",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Devil's Cattle Ring",
			identifiedResourceName: "\xbc\xe8\xb0\xed\xb6\xfb",
			identifiedDescriptionName: [
				"Very large ring. Stink behind him. Everyone can be have this item.",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7931: {
			unidentifiedDisplayName: "Posison Kit",
			unidentifiedResourceName: "\xb5\xb6\xc1\xa6\xc1\xb6\xc5\xb0\xc6\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poison Kit",
			identifiedResourceName: "\xb5\xb6\xc1\xa6\xc1\xb6\xc5\xb0\xc6\xae",
			identifiedDescriptionName: [
				"Basic tools for poison making are all stocked. It's a gift set for you who dreamed of making poison.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7932: {
			unidentifiedDisplayName: "Poison Herb Nerium",
			unidentifiedResourceName: "\xb5\xb6\xc3\xca\x5f\xb3\xd7\xb8\xae\xbf\xf2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poison Herb Nerium",
			identifiedResourceName: "\xb5\xb6\xc3\xca\x5f\xb3\xd7\xb8\xae\xbf\xf2",
			identifiedDescriptionName: [
				"Fragile. You'll get into trouble when attracted by a red beautiful flower and fragrance.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7933: {
			unidentifiedDisplayName: "Poison Herb Rantana",
			unidentifiedResourceName: "\xb5\xb6\xc3\xca\x5f\xb6\xf5\xc5\xb8\xb3\xaa",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poison Herb Rantana",
			identifiedResourceName: "\xb5\xb6\xc3\xca\x5f\xb6\xf5\xc5\xb8\xb3\xaa",
			identifiedDescriptionName: [
				"Fragile. The red berry ripened but the fragrance seems like 'it' of a domestic animal.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7934: {
			unidentifiedDisplayName: "Poison Herb Makulata",
			unidentifiedResourceName: "\xb5\xb6\xc3\xca\x5f\xb8\xb6\xc4\xf0\xb6\xf3\xc5\xb8",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poison Herb Makulata",
			identifiedResourceName: "\xb5\xb6\xc3\xca\x5f\xb8\xb6\xc4\xf0\xb6\xf3\xc5\xb8",
			identifiedDescriptionName: [
				"Fragile. It's not a green tea even it uses the very end of a young leaf.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7935: {
			unidentifiedDisplayName: "Poison Herb Seratum",
			unidentifiedResourceName: "\xb5\xb6\xc3\xca\x5f\xbc\xbc\xb6\xf3\xc5\xf9",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poison Herb Seratum",
			identifiedResourceName: "\xb5\xb6\xc3\xca\x5f\xbc\xbc\xb6\xf3\xc5\xf9",
			identifiedDescriptionName: [
				"Fragile. It does not have any scent unlike a beautiful figure.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7936: {
			unidentifiedDisplayName: "Poison Herb Scopolia",
			unidentifiedResourceName: "\xb5\xb6\xc3\xca\x5f\xbd\xba\xc4\xda\xc6\xfa\xb8\xae\xbe\xc6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poison Herb Scopolia",
			identifiedResourceName: "\xb5\xb6\xc3\xca\x5f\xbd\xba\xc4\xda\xc6\xfa\xb8\xae\xbe\xc6",
			identifiedDescriptionName: [
				"Fragile. The purplish, small, and cute flower seems charming but when you touch, it's very itchy.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7937: {
			unidentifiedDisplayName: "Poison Herb Amoena",
			unidentifiedResourceName: "\xb5\xb6\xc3\xca\x5f\xbe\xc6\xb8\xf0\xbf\xa1\xb3\xaa",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poison Herb Amoena",
			identifiedResourceName: "\xb5\xb6\xc3\xca\x5f\xbe\xc6\xb8\xf0\xbf\xa1\xb3\xaa",
			identifiedDescriptionName: [
				"Fragile. It seems a weed that grows anywhere but it looks dangerous.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7938: {
			unidentifiedDisplayName: "Light Granule",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xbe\xcb\xb0\xbb\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Granule",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xbe\xcb\xb0\xbb\xc0\xcc",
			identifiedDescriptionName: [
				"A golden crystal. It seems very warm such as sunshine has been put into.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7939: {
			unidentifiedDisplayName: "Elder Branch",
			unidentifiedResourceName: "\xbf\xa4\xb4\xf5\xc0\xc7\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elder Branch",
			identifiedResourceName: "\xbf\xa4\xb4\xf5\xc0\xc7\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"A little branch that is extracted from an old tree grown up in a sacred place.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7940: {
			unidentifiedDisplayName: "Special Alloy Trap",
			unidentifiedResourceName: "\xc6\xae\xb7\xa6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0.2^000000",
			],
			identifiedDisplayName: "Special Alloy Trap",
			identifiedResourceName: "\xc6\xae\xb7\xa6",
			identifiedDescriptionName: [
				"A trap that is reformed for hunters whose weights were a burden.",
				"^ffffff_^000000",
				"Weight : ^7777770.2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7941: {
			unidentifiedDisplayName: "Halloween Ticket",
			unidentifiedResourceName: "\xbc\xbc\xb9\xee\xb5\xb7",
			unidentifiedDescriptionName: [
				"The mark of foolish deed like a tag with zombies. You can exchange it for a gift.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Halloween Ticket",
			identifiedResourceName: "\xbc\xbc\xb9\xee\xb5\xb7",
			identifiedDescriptionName: [
				"The mark of foolish deed like a tag with zombies. You can exchange it for a gift.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7942: {
			unidentifiedDisplayName: "Chico Cesar Letter",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"...",
				"... ",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Chico Cesar Letter",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7943: {
			unidentifiedDisplayName: "Caskinya",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Caskinya",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7944: {
			unidentifiedDisplayName: "Sealed Box",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sealed Box",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7945: {
			unidentifiedDisplayName: "Universal Amulet",
			unidentifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xba\xce\xc0\xfb",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Universal Amulet",
			identifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xba\xce\xc0\xfb",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7946: {
			unidentifiedDisplayName: "Gold Ring Of Valentine",
			unidentifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Please send it to your girl to show your love.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Gold Ring Of Valentine",
			identifiedResourceName: "\xb1\xdd\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"Please send it to your girl to show your love.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7947: {
			unidentifiedDisplayName: "Silver Ring Of Valentine",
			unidentifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			unidentifiedDescriptionName: [
				"Please send it to your guy to show your love.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Silver Ring Of Valentine",
			identifiedResourceName: "\xc0\xba\xb9\xdd\xc1\xf6",
			identifiedDescriptionName: [
				"Please send it to your guy to show your love.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7948: {
			unidentifiedDisplayName: "Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"An ordinary paper box.",
				"It looks so flat, it definitely needs some ornaments.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"An ordinary paper box.",
				"It looks so flat, it definitely needs some ornaments.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7949: {
			unidentifiedDisplayName: "Woven Wool",
			unidentifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xc3\xb5",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Woven Wool",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xc7\xd1\xc3\xb5",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7950: {
			unidentifiedDisplayName: "Ayothaya Fest Ticket",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"A ticket to Ayothaya Festival.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Ayothaya Fest Ticket",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"A ticket to Ayothaya Festival.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7951: {
			unidentifiedDisplayName: "Golden Tulip Flower",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xc6\xab\xb8\xb3\xb2\xc9",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Golden Tulip Flower",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xc6\xab\xb8\xb3\xb2\xc9",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7952: {
			unidentifiedDisplayName: "Gift Of Lomi Ross",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Gift Of Lomi Ross",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7953: {
			unidentifiedDisplayName: "Gift Of Juliet",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Gift Of Juliet",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7954: {
			unidentifiedDisplayName: "Summer Festival Ticket",
			unidentifiedResourceName: "\xbc\xbc\xb9\xee\xb5\xb7",
			unidentifiedDescriptionName: [
				"Summer is here! Summer festival event ticket!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Summer Festival Ticket",
			identifiedResourceName: "\xbc\xbc\xb9\xee\xb5\xb7",
			identifiedDescriptionName: [
				"Summer is here! Summer festival event ticket!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7955: {
			unidentifiedDisplayName: "Lost Card1",
			unidentifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			unidentifiedDescriptionName: [
				"\"Dirgahayu\"",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Lost Card1",
			identifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			identifiedDescriptionName: [
				"\"Dirgahayu\"",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7956: {
			unidentifiedDisplayName: "Lost Card2",
			unidentifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			unidentifiedDescriptionName: [
				"\"Republik\"",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Lost Card2",
			identifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			identifiedDescriptionName: [
				"\"Republik\"",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7957: {
			unidentifiedDisplayName: "Lost Card3",
			unidentifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			unidentifiedDescriptionName: [
				"\"Indonesia\"",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Lost Card3",
			identifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			identifiedDescriptionName: [
				"\"Indonesia\"",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7958: {
			unidentifiedDisplayName: "Lost Card4",
			unidentifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			unidentifiedDescriptionName: [
				"\"Ke 64\"",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Lost Card4",
			identifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			identifiedDescriptionName: [
				"\"Ke 64\"",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7959: {
			unidentifiedDisplayName: "UP Coin",
			unidentifiedResourceName: "\xb1\xdd\xc8\xad",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "UP Coin",
			identifiedResourceName: "\xb1\xdd\xc8\xad",
			identifiedDescriptionName: [
				"A coin that belongs to the GameMaster.",
				"Rumor has it, if you carry all 30,001 coins you become the King of Rock-Paper-Scissor.",
				"Two brothers are travelling Midgard in search for all the coins.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7960: {
			unidentifiedDisplayName: "Ancient Coin",
			unidentifiedResourceName: "\xc0\xba\xc8\xad",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Ancient Coin",
			identifiedResourceName: "\xc0\xba\xc8\xad",
			identifiedDescriptionName: [
				"A weird silver coin from suspicious women. It is very important to her.",
				"Weight: ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7961: {
			unidentifiedDisplayName: "Weapon Exchange Ticket",
			unidentifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Weapon Exchange Ticket",
			identifiedResourceName: "\xc5\xeb\xc7\xe0\xc1\xf5",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7962: {
			unidentifiedDisplayName: "Treasure Map1",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Treasure Map1",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7963: {
			unidentifiedDisplayName: "Treasure Map2",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Treasure Map2",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7964: {
			unidentifiedDisplayName: "Treasure Map3",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Treasure Map3",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7965: {
			unidentifiedDisplayName: "Treasure Map4",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Treasure Map4",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7966: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7967: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7968: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7969: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb5\xce\xb7\xe7\xb8\xb6\xb8\xae",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7970: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"\"Kami putra dan putri Indonesia mengaku, bertumpah darah satu, tanah Indonesia\"",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"\"Kami putra dan putri Indonesia mengaku, bertumpah darah satu, tanah Indonesia\"",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7971: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			unidentifiedDescriptionName: [
				"\"Kami putra dan putri Indonesia mengaku, berbangsa satu, bangsa Indonesia\"",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc3\xa5\xc0\xe5",
			identifiedDescriptionName: [
				"\"Kami putra dan putri Indonesia mengaku, berbangsa satu, bangsa Indonesia\"",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7972: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbe\xc8\xba\xce\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"\"Kami putra dan putri Indonesia mengaku.bertanah air satu, tanah air Indonesia.",
				"Kami putra dan putri Indonesia mengaku.berbangsa satu, bangsa Indonesia. Kami putra dan putri Indonesia mengaku.",
				"berbahasa satu, bahasa Indonesia\"",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbe\xc8\xba\xce\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"\"Kami putra dan putri Indonesia mengaku.bertanah air satu, tanah air Indonesia.",
				"Kami putra dan putri Indonesia mengaku.berbangsa satu, bangsa Indonesia. Kami putra dan putri Indonesia mengaku.",
				"berbahasa satu, bahasa Indonesia\"",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7973: {
			unidentifiedDisplayName: "Eternal Eggs",
			unidentifiedResourceName: "\xbe\xcb",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Eternal Eggs",
			identifiedResourceName: "\xbe\xcb",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7974: {
			unidentifiedDisplayName: "Misty's Illusion Piece",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			unidentifiedDescriptionName: [
				"A piece that illusion left.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Misty's Illusion Piece",
			identifiedResourceName: "\xbc\xf6\xc1\xa4\xc1\xb6\xb0\xa2",
			identifiedDescriptionName: [
				"A piece that illusion left.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7975: {
			unidentifiedDisplayName: "Cupid's Chocolate",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf",
			unidentifiedDescriptionName: [
				"A chocolate received from Cupid's Fairy to commemorate Valentine's Day.",
				"Remember to give it to someone special.",
				"Weight: ^7777770^000000",
			],
			identifiedDisplayName: "Cupid's Chocolate",
			identifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf",
			identifiedDescriptionName: [
				"A chocolate that you can receive from Cupid to commemorate St.Valentine.",
				"Only one for one person.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7976: {
			unidentifiedDisplayName: "Geffen Magic Coin",
			unidentifiedResourceName: "\xb5\xbf\xc8\xad",
			unidentifiedDescriptionName: [
				"This Geffen Magic Coin can be used with zeny to buy magic items from Geffen Magic City Quest.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Geffen Magic Coin",
			identifiedResourceName: "\xb5\xbf\xc8\xad",
			identifiedDescriptionName: [
				"This Geffen Magic Coin can be used with zeny to buy magic items from Geffen Magic City Quest.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7977: {
			unidentifiedDisplayName: "Mercenary Badge",
			unidentifiedResourceName: "\xb6\xf4\xbd\xba\xc5\xb8\xb9\xee\xc1\xf6",
			unidentifiedDescriptionName: [
				"Mercenary Badge given out during the Midgard Crowd Control Event. ",
				"Save this up to trade for headgears with the quest NPC.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Mercenary Badge",
			identifiedResourceName: "\xb6\xf4\xbd\xba\xc5\xb8\xb9\xee\xc1\xf6",
			identifiedDescriptionName: [
				"Mercenary Badge given out during the Midgard Crowd Control Event.",
				"Save this up to trade for headgears with the quest NPC.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		7978: {
			unidentifiedDisplayName: "Chinese Card 1",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 1",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7979: {
			unidentifiedDisplayName: "Chinese Card 2",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 2",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7980: {
			unidentifiedDisplayName: "Chinese Card 3",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 3",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7981: {
			unidentifiedDisplayName: "Chinese Card 4",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 4",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7982: {
			unidentifiedDisplayName: "Chinese Card 5",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 5",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7983: {
			unidentifiedDisplayName: "Chinese Card 6",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 6",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7984: {
			unidentifiedDisplayName: "Chinese Card 7",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 7",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7985: {
			unidentifiedDisplayName: "Chinese Card 8",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 8",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7986: {
			unidentifiedDisplayName: "Chinese Card 9",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 9",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7987: {
			unidentifiedDisplayName: "Chinese Card 10",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 10",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7988: {
			unidentifiedDisplayName: "Chinese Card 11",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 11",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7989: {
			unidentifiedDisplayName: "Chinese Card 12",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 12",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7990: {
			unidentifiedDisplayName: "Chinese Card 13",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 13",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7991: {
			unidentifiedDisplayName: "Chinese Card 14",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 14",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7992: {
			unidentifiedDisplayName: "Chinese Card 15",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 15",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7993: {
			unidentifiedDisplayName: "Chinese Card 16",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 16",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7994: {
			unidentifiedDisplayName: "Chinese Card 17",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 17",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7995: {
			unidentifiedDisplayName: "Chinese Card 18",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 18",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7996: {
			unidentifiedDisplayName: "Chinese Card 19",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 19",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7997: {
			unidentifiedDisplayName: "Chinese Card 20",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 20",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7998: {
			unidentifiedDisplayName: "Chinese Card 21",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 21",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		7999: {
			unidentifiedDisplayName: "Chinese Card 22",
			unidentifiedResourceName: "\xc3\xe1\xb7\xc3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Card 22",
			identifiedResourceName: "\xc3\xe1\xb7\xc3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		9001: {
			unidentifiedDisplayName: "Poring Egg",
			unidentifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Poring Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"LUK + 2, CRIT + 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Poring Egg",
			identifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Poring Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"LUK + 2, CRIT + 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9002: {
			unidentifiedDisplayName: "Drops Egg",
			unidentifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Drops Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"HIT + 3, ATK + 3.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Drops Egg",
			identifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Drops Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"HIT + 3, ATK + 3.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9003: {
			unidentifiedDisplayName: "Poporing Egg",
			unidentifiedResourceName: "\xb5\xb6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Poporing Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"LUK + 2, Increases resistance against the ^880000Poison^000000 status by 10%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Poporing Egg",
			identifiedResourceName: "\xb5\xb6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Poporing Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"LUK + 2, Increases resistance against the ^880000Poison^000000 status by 10%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9004: {
			unidentifiedDisplayName: "Lunatic Egg",
			unidentifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Lunatic Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"CRIT + 2, ATK + 2.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Lunatic Egg",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Lunatic Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"CRIT + 2, ATK + 2.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9005: {
			unidentifiedDisplayName: "Picky Egg",
			unidentifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Picky Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"STR + 1, ATK + 5.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Picky Egg",
			identifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Picky Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"STR + 1, ATK + 5.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9006: {
			unidentifiedDisplayName: "Chonchon Egg",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Chonchon Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"AGI + 1, FLEE + 2.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Chonchon Egg",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Chonchon Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"AGI + 1, FLEE + 2.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9007: {
			unidentifiedDisplayName: "Steel Chonchon Egg",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Steel Chonchon Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"FLEE + 6, AGI - 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Steel Chonchon Egg",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Steel Chonchon Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"FLEE + 6, AGI - 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9008: {
			unidentifiedDisplayName: "Hunter Fly Egg",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Hunter Fly Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Perfect Dodge + 2, FLEE - 5.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Hunter Fly Egg",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Hunter Fly Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Perfect Dodge + 2, FLEE - 5.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9009: {
			unidentifiedDisplayName: "Savage Bebe Egg",
			unidentifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Savage Babe Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"VIT + 1, MaxHP + 50.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Savage Bebe Egg",
			identifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Savage Babe Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"VIT + 1, MaxHP + 50.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9010: {
			unidentifiedDisplayName: "Baby Desert Wolf Egg",
			unidentifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Baby Desert Wolf Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"INT + 1, MaxSP + 20.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Baby Desert Wolf Egg",
			identifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Baby Desert Wolf Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"INT + 1, MaxSP + 20.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9011: {
			unidentifiedDisplayName: "Rocker Egg",
			unidentifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Rocker Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"HP Recovery - 5%, MaxHP + 25.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Rocker Egg",
			identifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Rocker Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"HP Recovery - 5%, MaxHP + 25.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9012: {
			unidentifiedDisplayName: "Spore Egg",
			unidentifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Spore Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"HIT + 5, ATK -2.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spore Egg",
			identifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Spore Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"HIT + 5, ATK -2.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9013: {
			unidentifiedDisplayName: "Poison Spore Egg",
			unidentifiedResourceName: "\xb5\xb6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Poison Spore Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"STR + 1, INt + 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Poison Spore Egg",
			identifiedResourceName: "\xb5\xb6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Poison Spore Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"STR + 1, INt + 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9014: {
			unidentifiedDisplayName: "PecoPeco Egg",
			unidentifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Peco Peco Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MaxHP + 150, MaxSP - 10.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "PecoPeco Egg",
			identifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Peco Peco Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MaxHP + 150, MaxSP - 10.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9015: {
			unidentifiedDisplayName: "Smokie Egg",
			unidentifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Smokie Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"AGI + 1, Perfect Dodge + 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Smokie Egg",
			identifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Smokie Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"AGI + 1, Perfect Dodge + 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9016: {
			unidentifiedDisplayName: "Yoyo Egg",
			unidentifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Yoyo Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"CRIT + 3, LUK - 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Yoyo Egg",
			identifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Yoyo Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"CRIT + 3, LUK - 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9017: {
			unidentifiedDisplayName: "Orc Warrior Egg",
			unidentifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which an Orc Warrior Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"ATK + 10, DEF - 3.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Orc Warrior Egg",
			identifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which an Orc Warrior Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"ATK + 10, DEF - 3.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9018: {
			unidentifiedDisplayName: "Munak Egg",
			unidentifiedResourceName: "\xbe\xf0\xb5\xa5\xb5\xe5\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Munak Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"INT + 1, DEF + 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Munak Egg",
			identifiedResourceName: "\xbe\xf0\xb5\xa5\xb5\xe5\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Munak Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"INT + 1, DEF + 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9019: {
			unidentifiedDisplayName: "Dokkaebi Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Dokebi Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MATK + 1%, ATK - 1%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Dokebi Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Dokebi Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MATK + 1%, ATK - 1%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9020: {
			unidentifiedDisplayName: "Sohee Egg",
			unidentifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Sohee Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"STR + 1, DEX + 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Sohee Egg",
			identifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Sohee Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"STR + 1, DEX + 1.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9021: {
			unidentifiedDisplayName: "Isis Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which an Isis Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"ATK + 1%, MATK - 1%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Isis Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which an Isis Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"ATK + 1%, MATK - 1%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9022: {
			unidentifiedDisplayName: "Green Petite Egg",
			unidentifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Green Petite Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"ASPD + 1%, DEF/MDEF -2.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Green Petite Egg",
			identifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Green Petite Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"ASPD + 1%, DEF/MDEF -2.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9023: {
			unidentifiedDisplayName: "Deviruchi Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Deviruchi Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"ATK + 1%, MATK + 1%, MaxHP/MaxSP -3%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Deviruchi Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Deviruchi Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"ATK + 1%, MATK + 1%, MaxHP/MaxSP -3%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9024: {
			unidentifiedDisplayName: "Bapho Jr. Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Bapho Jr. Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"DEF + 1, MDEF + 1, Adds a 1% resistance against ^880000Stun^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Bapho Jr. Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Bapho Jr. Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"DEF + 1, MDEF + 1, Adds a 1% resistance against ^880000Stun^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9025: {
			unidentifiedDisplayName: "Bongun Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Bongun Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"VIT + 1, Adds a 1% resistance against ^880000Stun^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Bongun Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Bongun Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"VIT + 1, Adds a 1% resistance against ^880000Stun^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9026: {
			unidentifiedDisplayName: "Egg",
			unidentifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Zherlthsh Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Increases your magic attack power by 2%.",
				"Increases magical damage to the DemiHuman by 2%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Zealotus Egg",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Zherlthsh Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Increases your magic attack power by 2%.",
				"Increases magical damage to the DemiHuman by 2%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9027: {
			unidentifiedDisplayName: "Egg",
			unidentifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which an Alice Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MDEF + 1,Reduces damage from DemiHuman enemies by 1%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Alice Egg",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which an Alice Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MDEF + 1,Reduces damage from DemiHuman enemies by 1%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9028: {
			unidentifiedDisplayName: "Hard Rice Cake",
			unidentifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Rice Cake Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MaxHP - 1%, Increase resistance to ^777777Neutral^000000 Property attacks by 1%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Hard Rice Cake",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Rice Cake Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MaxHP - 1%, Increase resistance to ^777777Neutral^000000 Property attacks by 1%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9029: {
			unidentifiedDisplayName: "X-mas Goblin's Egg",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Christmas Goblin Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"HP + 30,Increase resistance against ^0000FFWater^000000 Property by 1%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "X-mas Goblin's Egg",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Christmas Goblin Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"HP + 30,Increase resistance against ^0000FFWater^000000 Property by 1%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9030: {
			unidentifiedDisplayName: "Green Maiden Egg",
			unidentifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which a Chung E Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"DEF + 1, Reduces damage from DemiHuman enemies by 1%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Green Maiden Egg",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which a Chung E Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"DEF + 1, Reduces damage from DemiHuman enemies by 1%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9031: {
			unidentifiedDisplayName: "Spring Rabbit Egg",
			unidentifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg in which an Eclipse Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spring Rabbit Egg",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg in which an Eclipse Cute Pet rests. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9032: {
			unidentifiedDisplayName: "Knife Goblin Egg",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Knife Goblin sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Knife Goblin Egg",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Knife Goblin sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9033: {
			unidentifiedDisplayName: "Flail Goblin Egg",
			unidentifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Flail Goblin sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Flail Goblin Egg",
			identifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Flail Goblin sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9034: {
			unidentifiedDisplayName: "Hammer Goblin Egg",
			unidentifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Hammer Goblin sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Hammer Goblin Egg",
			identifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Hammer Goblin sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9035: {
			unidentifiedDisplayName: "Red Deleter Egg",
			unidentifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Red Deleter sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Red Deleter Egg",
			identifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Red Deleter sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9036: {
			unidentifiedDisplayName: "Diabolic Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Diabolic sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Diabolic Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Diabolic sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9037: {
			unidentifiedDisplayName: "Wanderer Egg",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Wanderer sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Wanderer Egg",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Wanderer sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9038: {
			unidentifiedDisplayName: "New Year Doll Egg",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A funny egg, that only could be gotten at the time of Imlek. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "New Year Doll Egg",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A funny egg, that only could be gotten at the time of Imlek. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9039: {
			unidentifiedDisplayName: "Bacsojin Egg",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Bacsojin sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Bacsojin Egg",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Bacsojin sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9040: {
			unidentifiedDisplayName: "Civil Servant Egg",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Civil Servant sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MaxSP + 10.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Civil Servant Egg",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Civil Servant sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MaxSP + 10.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9041: {
			unidentifiedDisplayName: "Leaf Cat Egg",
			unidentifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Leaf Cat sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Decreases damage from Brute monster by 3%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Leaf Cat Egg",
			identifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Leaf Cat sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Decreases damage from Brute monster by 3%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9042: {
			unidentifiedDisplayName: "Loli Ruri Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Loli Ruri sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Adds chance of auto casting ^008800Level 1 Heal^000000 on the user when the user receives Physical Damage.",
				"MaxHP + 3%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Loli Ruri Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Loli Ruri sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Adds chance of auto casting ^008800Level 1 Heal^000000 on the user when the user receives Physical Damage.",
				"MaxHP + 3%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9043: {
			unidentifiedDisplayName: "Marionette Egg",
			unidentifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Marionette sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"SP Recovery + 3%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Marionette Egg",
			identifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Marionette sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"SP Recovery + 3%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9044: {
			unidentifiedDisplayName: "Shinobi Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Shinobi sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"AGI + 2.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Shinobi Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Shinobi sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"AGI + 2.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9045: {
			unidentifiedDisplayName: "Whisper Egg",
			unidentifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Whisper sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"FLEE + 7, DEF - 3.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Whisper Egg",
			identifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Whisper sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"FLEE + 7, DEF - 3.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9046: {
			unidentifiedDisplayName: "Goblin Leader Egg",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Goblin Leader sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Increases damage against DemiHuman monster by 3%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Goblin Leader Egg",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Goblin Leader sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Increases damage against DemiHuman monster by 3%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9047: {
			unidentifiedDisplayName: "Wicked Nymph Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Wicked Nymph sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MaxSP + 30, SP Recovery + 5%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Wicked Nymph Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Wicked Nymph sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MaxSP + 30, SP Recovery + 5%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9048: {
			unidentifiedDisplayName: "Miyabi Ningyo Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Miyabi Ningyo sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"INT + 1, Reduce Casting Time by 3%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Miyabi Ningyo Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Miyabi Ningyo sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"INT + 1, Reduce Casting Time by 3%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9049: {
			unidentifiedDisplayName: "Dullahan Egg",
			unidentifiedResourceName: "\xbe\xf0\xb5\xa5\xb5\xe5\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Dullahan sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"CRIT + 5%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Dullahan Egg",
			identifiedResourceName: "\xbe\xf0\xb5\xa5\xb5\xe5\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Dullahan sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"CRIT + 5%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9050: {
			unidentifiedDisplayName: "Medusa Egg",
			unidentifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Medusa sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"VIT + 1, Increase resistance to ^880000Stone Curse^000000 status by 5%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Medusa Egg",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Medusa sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"VIT + 1, Increase resistance to ^880000Stone Curse^000000 status by 5%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9051: {
			unidentifiedDisplayName: "Stone Shooter Egg",
			unidentifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Stone Shooter sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Add a 3% resistance against ^FF0000Fire^000000 Property attacks.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Stone Shooter Egg",
			identifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Stone Shooter sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Add a 3% resistance against ^FF0000Fire^000000 Property attacks.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9052: {
			unidentifiedDisplayName: "Incubus Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Incubus sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MaxSP + 5%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Incubus Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Incubus sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"MaxSP + 5%.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9053: {
			unidentifiedDisplayName: "Golem Egg",
			unidentifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Golem sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"HP + 100, FLEE - 5.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Golem Egg",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Golem sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"HP + 100, FLEE - 5.",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9054: {
			unidentifiedDisplayName: "Nightmare Terror Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Nightmare Terror sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"...",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Nightmare Terror Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Nightmare Terror sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"...",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9055: {
			unidentifiedDisplayName: "Succubus Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Succubus sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"...",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Succubus Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Succubus sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"...",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9056: {
			unidentifiedDisplayName: "Imp Egg",
			unidentifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that has Cute-pet Imp sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Increases damage against ^FF0000Fire^000000 Property monsters by 2%.",
				"...",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Imp Egg",
			identifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that has Cute-pet Imp sleeping in it. Can be hatched by using a ^33CC33Pet Incubator^000000.",
				"Increases damage against ^FF0000Fire^000000 Property monsters by 2%.",
				"...",
				"Class :^777777 Monster Egg^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9058: {
			unidentifiedDisplayName: "Christmas Snow Rabbit Egg",
			unidentifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"It's an egg where cutepet Snow Rabbit has fallen asleep in. With a portable incubator, you can wake up a sleeping monster.",
				"During event, exp increases 5% if carried together with Snow Rabbit for hunting.",
				"Class : ^777777Monster Egg^000000",
			],
			identifiedDisplayName: "Christmas Snow Rabbit Egg",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"It's an egg where cutepet Snow Rabbit has fallen asleep in. With a portable incubator, you can wake up a sleeping monster.",
				"During event, exp increases 5% if carried together with Snow Rabbit for hunting.",
				"Class : ^777777Monster Egg^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9059: {
			unidentifiedDisplayName: "Tikbalang Egg",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"Tikbalang egg. Hatch the egg to awaken the monster with the [Pet Incubator].",
				"Damage to Bakonawa, Bangungot, and Buwaya 10% increase. MDEF +3.",
				"Type : ^777777Monster Egg^000000",
			],
			identifiedDisplayName: "Tikbalang Egg",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"Tikbalang egg. Hatch the egg to awaken the monster with the [Pet Incubator].",
				"Damage to Bakonawa, Bangungot, and Buwaya 10% increase. MDEF + 3.",
				"Type : ^777777Monster Egg^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		9062: {
			unidentifiedDisplayName: "Ç²³»±âÆ÷¸µÀÇ ¾Ë",
			unidentifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"Ç²³»±â Æ÷¸µÀÌ Àáµé¾î ÀÖ´Â ¾Ë. [ÈÞ´ë¿ë ¾Ë ºÎÈ­±â] ·Î Àáµé¾î ÀÖ´Â ¸ó½ºÅÍ¸¦ ±ú¿ï ¼ö ÀÖ´Ù.",
				"Ä£¹Ðµµ°¡ Ä£ÇÔ ÀÌ»óÀÏ °æ¿ì HPÈ¸º¹·Â 50% Áõ°¡.",
				"Á¾·ù : ^777777¸ó½ºÅÍ ¾Ë^000000",
			],
			identifiedDisplayName: "Ç²³»±âÆ÷¸µÀÇ ¾Ë",
			identifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"Ç²³»±â Æ÷¸µÀÌ Àáµé¾î ÀÖ´Â ¾Ë. [ÈÞ´ë¿ë ¾Ë ºÎÈ­±â] ·Î Àáµé¾î ÀÖ´Â ¸ó½ºÅÍ¸¦ ±ú¿ï ¼ö ÀÖ´Ù.",
				"Ä£¹Ðµµ°¡ Ä£ÇÔ ÀÌ»óÀÏ °æ¿ì HPÈ¸º¹·Â 50% Áõ°¡.",
				"Á¾·ù : ^777777¸ó½ºÅÍ ¾Ë^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10001: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Skull Helm",
			identifiedResourceName: "\xb5\xbf\xb9\xb0\xc0\xc7\xb8\xd3\xb8\xae\xbb\xc0",
			identifiedDescriptionName: [
				"A pristine helmet made from an animal skull.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Baphomet Jr.^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10002: {
			unidentifiedDisplayName: "Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Monster Oxygen Mask",
			identifiedResourceName: "\xb8\xf3\xbd\xba\xc5\xcd\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A protective mask for tiny Cute Pets.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Chonchon, Steel Chonchon, Hunter Fly^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10003: {
			unidentifiedDisplayName: "Head Gear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Transparent Head Protector",
			identifiedResourceName: "\xc5\xf5\xb8\xed\xb8\xd3\xb8\xae\xba\xb8\xc8\xa3\xb4\xeb",
			identifiedDescriptionName: [
				"A round, bubble-like helmet that offers magical protection to Cute Pets.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Baby Desert Wolf^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10004: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb2\xc0\xc1\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pacifier",
			identifiedResourceName: "\xb2\xc0\xc1\xf6",
			identifiedDescriptionName: [
				"A rubber device that helps babies endure teething, but can also be used to silence noisy Cute Pets.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Deviruchi^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10005: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc6\xd0\xbc\xc7\xb0\xa1\xb9\xdf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wig",
			identifiedResourceName: "\xc6\xd0\xbc\xc7\xb0\xa1\xb9\xdf",
			identifiedDescriptionName: [
				"A multi-colored wig usually worn by clowns.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Dokebi^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10006: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Queen's Hair Ornament",
			identifiedResourceName: "\xbf\xa9\xbf\xd5\xc0\xc7\xb8\xd3\xb8\xae\xc0\xe5\xbd\xc4",
			identifiedDescriptionName: [
				"A hair accessory, said to be worn by an ancient queen, that is fitting for vain, yet glamorous, Cute Pets.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Isis^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10007: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Silk Ribbon",
			identifiedResourceName: "\xbd\xc7\xc5\xa9\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"A cute ribbon knit from smooth silk that would look cute on a fluffy Cute Pet.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Lunatic^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10008: {
			unidentifiedDisplayName: "Spear",
			unidentifiedResourceName: "\xc0\xf0\xba\xa7\xb8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Punisher",
			identifiedResourceName: "\xc1\xa4\xbd\xc5\xba\xc0",
			identifiedDescriptionName: [
				"A club that, in the olden days, was used to punish stupidity in classrooms.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Munak^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10009: {
			unidentifiedDisplayName: "Flower",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wild Flower",
			identifiedResourceName: "\xbe\xdf\xbb\xfd\xc8\xad",
			identifiedDescriptionName: [
				"A wildflower whose scent is so nice that even the most savage of warriors will admit to enjoy its fragrance.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Orc Warrior^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10010: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Battered Pot",
			identifiedResourceName: "\xc2\xee\xb1\xd7\xb7\xaf\xc1\xf8\xb3\xbf\xba\xf1",
			identifiedDescriptionName: [
				"An old cooking pot that is just perfect (?) for placing on a Peco Peco's head.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Peco Peco^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10011: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Stellar Hairpin",
			identifiedResourceName: "\xba\xb0\xb8\xf0\xbe\xe7\xb8\xd3\xb8\xae\xc7\xc9",
			identifiedDescriptionName: [
				"A hairpin decorated with cute little stars.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Green Petite^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10012: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tiny Egg Shell",
			identifiedResourceName: "\xc0\xdb\xc0\xba\xbe\xcb\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A cup shaped fragment of eggshell that would fit on top of a baby chick's head.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Picky^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10013: {
			unidentifiedDisplayName: "Poring Pet Backpack",
			unidentifiedResourceName: "\xc3\xa5\xb0\xa1\xb9\xe6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poring Pet Backpack",
			identifiedResourceName: "\xc3\xa5\xb0\xa1\xb9\xe6",
			identifiedDescriptionName: [
				"A backpack made especially for short, round shaped, bouncy children or Cute Pets.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Poring, Drops, Poporing^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10014: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rocker Glasses",
			identifiedResourceName: "\xb8\xde\xb6\xd1\xb1\xe2\xbe\xc8\xb0\xe6",
			identifiedDescriptionName: [
				"A pair of eyeglasses that make its wearer look like a total geek.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Rocker^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10015: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Green Lace",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf6\xb7\xb9\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"Green lace that can be worn by a baby, or even a pig.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Savage Babe^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10016: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Golden Bell",
			identifiedResourceName: "\xb1\xdd\xb9\xe6\xbf\xef",
			identifiedDescriptionName: [
				"A golden bell that can be worn in the hair of an adorable Cute Pet.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Sohee^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10017: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bark Shorts",
			identifiedResourceName: "\xb3\xaa\xb9\xab\xc6\xd2\xc3\xf7",
			identifiedDescriptionName: [
				"A pair of crude shorts made from rough tree bark.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Spore, Poison Spore^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10018: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Monkey Circlet",
			identifiedResourceName: "\xbf\xf8\xbc\xfe\xc0\xcc\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A circlet made to fit a monkey, just like in the old Monkey Hero tales.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Yoyo^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10019: {
			unidentifiedDisplayName: "Garment",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Scarf",
			identifiedResourceName: "\xba\xd3\xc0\xba\xbb\xf6\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"A very stylish crimson muffler inspired by the one worn by a retro hero.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Smokie^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10020: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Grave Keeper's Sword",
			identifiedResourceName: "\xbf\xb5\xc8\xaf\xb5\xb5\xbb\xe7\xb0\xcb",
			identifiedDescriptionName: [
				"A ceremonial sword used by gravekeeper's to lead the dead to the great beyond.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Bongun^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10021: {
			unidentifiedDisplayName: "Circular Headgear",
			unidentifiedResourceName: "\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Circular Headgear",
			identifiedResourceName: "\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"A circular shape, headgear for a Goddess.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Bacsojin^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10022: {
			unidentifiedDisplayName: "Gold Earring",
			unidentifiedResourceName: "\xc0\xcc\xbe\xee\xb8\xb5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gold Earring",
			identifiedResourceName: "\xb1\xdd\xba\xfb\xb1\xcd\xb0\xc9\xc0\xcc",
			identifiedDescriptionName: [
				"Old fashioned gold earring.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Civil Servant^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10023: {
			unidentifiedDisplayName: "Green Jewel Bag",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Green Jewel Bag",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xba\xb9\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"Green silk jewelery pouch. Contains some random stuffs and snack.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Leaf Cat^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10024: {
			unidentifiedDisplayName: "Fashion Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fashion Glasses",
			identifiedResourceName: "\xc6\xd0\xbc\xc7\xbe\xc8\xb0\xe6",
			identifiedDescriptionName: [
				"Red and blue fashionable glasses. It isn't suited for everyone.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Loli Ruri^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10025: {
			unidentifiedDisplayName: "Hairband Of Stars",
			unidentifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hairband Of Stars",
			identifiedResourceName: "\xba\xb0\xb8\xf0\xbe\xe7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A headgear that a little girl would like, star shaped.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Marionette^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10026: {
			unidentifiedDisplayName: "Tassel for Durumagi",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tassel for Durumagi",
			identifiedResourceName: "\xb5\xce\xb7\xe7\xb8\xb6\xb1\xe2\xbf\xeb\xbc\xfa",
			identifiedDescriptionName: [
				"A tassel at the end of a durumagi. Antique feeling.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Shinobi^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10027: {
			unidentifiedDisplayName: "Pet Soul Ring",
			unidentifiedResourceName: "\xbc\xad\xc5\xac\xb8\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Pet Soul Ring",
			identifiedResourceName: "\xb0\xa1\xc2\xa5\xbf\xb5\xc8\xa5\xc0\xc7\xb0\xed\xb8\xae",
			identifiedDescriptionName: [
				"Accessory only for the dead. Gold and shiny.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Whisper^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10028: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"A badge that indicates of high rank. Has a symbol of a special flower.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Goblin Leader^000000",
			],
			identifiedDisplayName: "Beautiful Badges",
			identifiedResourceName: "\xb8\xda\xc1\xf8\xc8\xd6\xc0\xe5",
			identifiedDescriptionName: [
				"A badge that indicates of high rank. Has a symbol of a special flower.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Goblin Leader^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10029: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Oriental accessory that is made of a mysterious green stone.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Wicked Nymph^000000",
			],
			identifiedDisplayName: "Jade Trinket",
			identifiedResourceName: "\xbf\xc1\xb3\xeb\xb8\xae\xb0\xb3",
			identifiedDescriptionName: [
				"Oriental accessory that is made of a mysterious green stone.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Wicked Nymph^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10030: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"Everyone needs this for summer. It has a refreshing drawing.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Miyabi Ningyo^000000",
			],
			identifiedDisplayName: "Summer Fan",
			identifiedResourceName: "\xbf\xa9\xb8\xa7\xba\xce\xc3\xa4",
			identifiedDescriptionName: [
				"Everyone needs this for summer. It has a refreshing drawing.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Miyabi Ningyo^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10031: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"A ring that symbolizes one who surpassed death. It feels like metal and it's cold.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Dullahan^000000",
			],
			identifiedDisplayName: "Ring Of Death",
			identifiedResourceName: "\xc1\xd7\xc0\xbd\xc0\xc7\xb0\xed\xb8\xae\x5f",
			identifiedDescriptionName: [
				"A ring that symbolizes one who surpassed death. It feels like metal and it's cold.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Dullahan^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10032: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"A symbol of authority of high ranked women. Has a regal sense of feeling.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Medusa^000000",
			],
			identifiedDisplayName: "Queen's Coronet",
			identifiedResourceName: "\xc4\xda\xb7\xce\xb3\xdd",
			identifiedDescriptionName: [
				"A symbol of authority of high ranked women. Has a regal sense of feeling.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Medusa^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10033: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Hairstyle that had huge sensation. It's for outstanding.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Stone Shooter^000000",
			],
			identifiedDisplayName: "Afro",
			identifiedResourceName: "\xbe\xc6\xc7\xc1\xb7\xce\xb0\xa1\xb9\xdf",
			identifiedDescriptionName: [
				"Hairstyle that had huge sensation. It's for outstanding.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Stone Shooter^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10034: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"A mask to disguise yourself in a party. Its gorgeously decorated.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Incubus^000000",
			],
			identifiedDisplayName: "Masked Ball",
			identifiedResourceName: "\xb9\xab\xb5\xb5\xc8\xb8\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A mask to disguise yourself in a party. Its gorgeously decorated.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Incubus^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10035: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xba\xea\xb7\xce\xc4\xa1",
			unidentifiedDescriptionName: [
				"It imitated a device for exterior power of an ancient toy. It looks kind of cute.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Golem^000000",
			],
			identifiedDisplayName: "Spring",
			identifiedResourceName: "\xc5\xc2\xbf\xb1",
			identifiedDescriptionName: [
				"It imitated a device for exterior power of an ancient toy. It looks kind of cute.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Golem^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10036: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Horrifying horn from hell. It only has horrifying feeling not like the unicorn's.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Nightmare Terror^000000",
			],
			identifiedDisplayName: "Horn Of Hell",
			identifiedResourceName: "\xc1\xf6\xbf\xc1\xc0\xc7\xbb\xd4",
			identifiedDescriptionName: [
				"Horrifying horn from hell. It only has horrifying feeling not like the unicorn's.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Nightmare Terror^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10037: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"A mask that looks like a wing of a huge black butterfly. It's decorated with beautiful symbols.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Succubus^000000",
			],
			identifiedDisplayName: "Black Butterfly Mask",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb3\xaa\xba\xf1\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A mask that looks like a wing of a huge black butterfly. It's decorated with beautiful symbols.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Succubus^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		10038: {
			unidentifiedDisplayName: "Horn Protector",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Imp's horn guard. It looks safe.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Imp^000000",
			],
			identifiedDisplayName: "Horn Protector",
			identifiedResourceName: "\xbb\xd4\xba\xb8\xc8\xa3\xb4\xeb",
			identifiedDescriptionName: [
				"Imp's horn guard. It looks safe.",
				"Class :^777777 Cute Pet Armor^000000",
				"Weight :^777777 0^000000",
				"Applicable Pet :^777777 Imp^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11000: {
			unidentifiedDisplayName: "History book of Prontera",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"A book documenting the history of Prontera. There's a whole chapter dedicated to Tristan III.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "History book of Prontera",
			identifiedResourceName: "\xba\xcf",
			identifiedDescriptionName: [
				"A book documenting the history of Prontera. There's a whole chapter dedicated to Tristan III.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11001: {
			unidentifiedDisplayName: "Adventure Story Vol.1",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"A new novel from best selling author, Mihir.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Adventure Story Vol.1",
			identifiedResourceName: "\xba\xcf",
			identifiedDescriptionName: [
				"A new novel from best selling author, Mihir.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11002: {
			unidentifiedDisplayName: "Chef King Orleans Vol.1",
			unidentifiedResourceName: "\xbe\xe7\xc0\xe5\xba\xbb",
			unidentifiedDescriptionName: [
				"A famous novel by a kRO player that was published in Monthly RO that's entitled ''Genius Chef Orleans Takes on the World!''",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chef King Orleans Vol.1",
			identifiedResourceName: "\xbe\xe7\xc0\xe5\xba\xbb",
			identifiedDescriptionName: [
				"A famous novel by a kRO player that was published in Monthly RO that's entitled ''Genius Chef Orleans Takes on the World!''",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11003: {
			unidentifiedDisplayName: "Kafra Legend Vol.1",
			unidentifiedResourceName: "\xb9\xac\xbd\xc3\xb7\xcf",
			unidentifiedDescriptionName: [
				"A famous novel by a kRO player that was published in Monthly RO that's about the Kafra Corporation.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kafra Legend Vol.1",
			identifiedResourceName: "\xb9\xac\xbd\xc3\xb7\xcf",
			identifiedDescriptionName: [
				"A famous novel by a kRO player that was published in Monthly RO that's about the Kafra Corporation.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11004: {
			unidentifiedDisplayName: "Old Book",
			unidentifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xc0\xcf\xb1\xe2",
			unidentifiedDescriptionName: [
				"A worn-out, dusty, and badly damaged book that's missing its cover.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Old Book",
			identifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xc0\xcf\xb1\xe2",
			identifiedDescriptionName: [
				"A worn-out, dusty, and badly damaged book that's missing its cover.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11005: {
			unidentifiedDisplayName: "Rune Royal Family Book",
			unidentifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xc0\xaf\xbb\xea",
			unidentifiedDescriptionName: [
				"A suspicious book stamped with the seal of the Rune-Midgarts Kingdom. The page with information about the author has been torn out.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rune Royal Family Book",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xc0\xaf\xbb\xea",
			identifiedDescriptionName: [
				"A suspicious book stamped with the seal of the Rune-Midgarts Kingdom. The page with information about the author has been torn out.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11006: {
			unidentifiedDisplayName: "Blood Flower Vol.1",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xba\xed",
			unidentifiedDescriptionName: [
				"A book published in Arunafeltz, the country that worships the goddess Freya. This story used to be of mouth, but has been religiously embellished in printed form.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blood Flower Vol.1",
			identifiedResourceName: "\xb9\xd9\xc0\xcc\xba\xed",
			identifiedDescriptionName: [
				"A book published in Arunafeltz, the country that worships the goddess Freya. This story used to be of mouth, but has been religiously embellished in printed form.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11007: {
			unidentifiedDisplayName: "Blood Flower Vol.2",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xba\xed",
			unidentifiedDescriptionName: [
				"A book published in Arunafeltz, the country that worships the goddess Freya. This story used to be of mouth, but has been religiously embellished in printed form.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blood Flower Vol.2",
			identifiedResourceName: "\xb9\xd9\xc0\xcc\xba\xed",
			identifiedDescriptionName: [
				"A book published in Arunafeltz, the country that worships the goddess Freya. This story used to be of mouth, but has been religiously embellished in printed form.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11008: {
			unidentifiedDisplayName: "Biographical Dictionary Copy Edition",
			unidentifiedResourceName: "\xbe\xe7\xc0\xe5\xba\xbb",
			unidentifiedDescriptionName: [
				"A book of notes that contains a partial copy of a giant biographical dictionary.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Biographical Dictionary Copy Edition",
			identifiedResourceName: "\xbe\xe7\xc0\xe5\xba\xbb",
			identifiedDescriptionName: [
				"A book of notes that contains a partial copy of a giant biographical dictionary.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11009: {
			unidentifiedDisplayName: "Adventure Story Vol.2",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Volume two of the Assassin adventure series written by Mihir, a popular fiction author.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Adventure Story Vol.2",
			identifiedResourceName: "\xba\xcf",
			identifiedDescriptionName: [
				"Volume two of the Assassin adventure series written by Mihir, a popular fiction author.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11010: {
			unidentifiedDisplayName: "Battlegrounds Catalog",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Battlegrounds Catalog",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		11011: {
			unidentifiedDisplayName: "Varmunt's Note",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xc7\xd8\xbc\xae\xb9\xae",
			unidentifiedDescriptionName: [
				"Doctor Varmunt's notebook. Short memos are written in hand writing. ",
				"Most of them are about Thanatos Tower and Historical relics that he discovered.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Varmunt's Note",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xc7\xd8\xbc\xae\xb9\xae",
			identifiedDescriptionName: [
				"Doctor Varmunt's notebook. Short memos are written in hand writing.",
				"Most of them are about Thanatos Tower and Historical relics that he discovered.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11012: {
			unidentifiedDisplayName: "Expedition Report",
			unidentifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			unidentifiedDescriptionName: [
				"The first report of the expedition with the Commander's seal. The report records all the information related to ecological environment, ",
				"situations of the species and the expedition in another world.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Expedition Report",
			identifiedResourceName: "\xbc\xad\xb7\xf9\xc3\xb6",
			identifiedDescriptionName: [
				"The first report of the expedition with the Commander's seal. The report records all the information related to ecological environment,",
				"situations of the species and the expedition in another world.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11013: {
			unidentifiedDisplayName: "Expedition Report Vol1",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Expedition Report Vol.1, sorted by Abidal. The information on the expedition's settlement and occupation are all written in here.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Expedition Report Vol1",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Expedition Report Vol.1, sorted by Abidal. The information on the expedition's settlement and occupation are all written in here.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11014: {
			unidentifiedDisplayName: "Expedition Report Vol2",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Expedition Report Vol.2 which reports the crack of dimension and the traces of Satan Morocc.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Expedition Report Vol2",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Expedition Report Vol.2 which reports the crack of dimension and the traces of Satan Morocc.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11015: {
			unidentifiedDisplayName: "Expedition Report Vol3",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Expedition Report Vol.3 which reports the ecological environment and the species.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Expedition Report Vol3",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Expedition Report Vol.3 which reports the ecological environment and the species.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11016: {
			unidentifiedDisplayName: "Expedition Report Vol4",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Expedition Report Vol.4 which reports the internal situation of the expedition and the investigation. It also introdues the future plans.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Expedition Report Vol4",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xbe\xf0\xbe\xee\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Expedition Report Vol.4 which reports the internal situation of the expedition and the investigation. It also introdues the future plans.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11017: {
			unidentifiedDisplayName: "KVM Reward Items Catalog",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "KVM Reward Items Catalog",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		11018: {
			unidentifiedDisplayName: "Splendide Selling Item",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Splendide Selling Items.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Splendide Selling Item",
			identifiedResourceName: "\xba\xcf",
			identifiedDescriptionName: [
				"Splendide Selling Items.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11019: {
			unidentifiedDisplayName: "Splendide Selling Item",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Manuk Selling Items.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Manuk Selling Item",
			identifiedResourceName: "\xba\xcf",
			identifiedDescriptionName: [
				"Manuk Selling Items.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11020: {
			unidentifiedDisplayName: "Japanese Book 1",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Japanese Book 1.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Japanese Book 1",
			identifiedResourceName: "\xba\xcf",
			identifiedDescriptionName: [
				"Japanese Book 1.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11021: {
			unidentifiedDisplayName: "Japanese Book 2",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"Japanese Book 2.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Japanese Book 2",
			identifiedResourceName: "\xba\xcf",
			identifiedDescriptionName: [
				"Japanese Book 2.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11022: {
			unidentifiedDisplayName: "Cooking Book: Mix Cooking",
			unidentifiedResourceName: "\xb9\xcd\xbd\xba\xc4\xed\xc5\xb7\xbf\xe4\xb8\xae\xc3\xa5",
			unidentifiedDescriptionName: [
				"From the monthly alchemist publication. ",
				"Contains the latest 'Mix Cooking' recipes.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Cooking Book: Mix Cooking",
			identifiedResourceName: "\xb9\xcd\xbd\xba\xc4\xed\xc5\xb7\xbf\xe4\xb8\xae\xc3\xa5",
			identifiedDescriptionName: [
				"From the monthly alchemist publication.",
				"Contains the latest 'Mix Cooking' recipes.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11023: {
			unidentifiedDisplayName: "Study On How To Explosively Increase Stamina",
			unidentifiedResourceName: "\xc3\xbc\xb7\xc2\xc1\xf5\xc1\xf8\xbf\xac\xb1\xb8\xbc\xad",
			unidentifiedDescriptionName: [
				"Originally published in a popular monthly alchemist series (Excess HP Vol 12). ",
				"A complete guide on boosting vitality.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "How To Increase Stamina",
			identifiedResourceName: "\xc3\xbc\xb7\xc2\xc1\xf5\xc1\xf8\xbf\xac\xb1\xb8\xbc\xad",
			identifiedDescriptionName: [
				"Originally published in a popular monthly alchemist series (Excess HP Vol 12).",
				"A complete guide on boosting vitality.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11024: {
			unidentifiedDisplayName: "How To Vital Drink",
			unidentifiedResourceName: "\xc8\xb0\xb7\xc2\xb5\xe5\xb8\xb5\xc5\xa9\xc1\xa6\xc1\xb6\xb9\xfd",
			unidentifiedDescriptionName: [
				"Originally published in a popular monthly alchemist series (Dream SP Vol 10). ",
				"Includes detailed research on boosting SP.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "How To Increase Vitality",
			identifiedResourceName: "\xc8\xb0\xb7\xc2\xb5\xe5\xb8\xb5\xc5\xa9\xc1\xa6\xc1\xb6\xb9\xfd",
			identifiedDescriptionName: [
				"Originally published in a popular monthly alchemist series (Dream SP Vol 10).",
				"Includes detailed research on boosting SP.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11025: {
			unidentifiedDisplayName: "Book of Swordman",
			unidentifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Book of Swordman",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		11028: {
			unidentifiedDisplayName: "Book of Thief",
			unidentifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Book of Thief",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		11031: {
			unidentifiedDisplayName: "Book of Archer",
			unidentifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Book of Archer",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		11034: {
			unidentifiedDisplayName: "Book of Acolyte",
			unidentifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Book of Acolyte",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		11037: {
			unidentifiedDisplayName: "Book of Magician",
			unidentifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Book of Magician",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		11040: {
			unidentifiedDisplayName: "Book of Merchant",
			unidentifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Book of Merchant",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		11043: {
			unidentifiedDisplayName: "Book of Teakwon",
			unidentifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Book of Teakwon",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		11046: {
			unidentifiedDisplayName: "Book of Ninja",
			unidentifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Book of Ninja",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		11049: {
			unidentifiedDisplayName: "Book of Gunslinger",
			unidentifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Book of Gunslinger",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		11052: {
			unidentifiedDisplayName: "Book of Super Novice",
			unidentifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Book of Super Novice",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xba\xb4\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		11055: {
			unidentifiedDisplayName: "Book of Basic Adventure",
			unidentifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Book of Basic Adventure",
			identifiedResourceName: "\xbe\xcb\xc4\xdd\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		11056: {
			unidentifiedDisplayName: "Spiritualism Guide",
			unidentifiedResourceName: "\xbf\xa5\xba\xea\xb8\xae\xbf\xc0\xc1\xa6\xc1\xb6\xc3\xa5",
			unidentifiedDescriptionName: [
				"Á¤¸ÉÇÐ °Ü¾æÀÎ´ýÀÇ ¾×! '±î²µºå ¹ó¿ï'ÀÌ Ç®±î¼² Á¤¸É³úÀÇ ²Åµñ.",
				"'¹ó¿ïÀÌ °©¸¯µÐ°¡¿Ô·· ±Ë¸ÁÁÖ»Â Á¤¸É³úÀÇ Æ÷ÀÎÆ® ¿ø¸«! ÇÙ²É·· ²ï²ï Â¤±î¼Â²À»Ï»Ù!'",
				"'»ç²Åºº ÀÌ Ã¥À´ ÆîÄ¡»Â ³ø¿£ Á¤¸É´ç ´óÀ§ 1%!!'",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Spiritualism Guide",
			identifiedResourceName: "\xbf\xa5\xba\xea\xb8\xae\xbf\xc0\xc1\xa6\xc1\xb6\xc3\xa5",
			identifiedDescriptionName: [
				"A singlepath of the study of spirits! 'Earthde Lagon' unravels the mystery of spirit magic.",
				"Only Lagon tells you the points of the Spirit Magic! Only the key points are in it!'",
				"'At the moment you open this book you are the upper 1% among the spiritists!!'",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11057: {
			unidentifiedDisplayName: "February Sweets",
			unidentifiedResourceName: "\xc3\xca\xc4\xdd\xb7\xbf\xc5\xb8\xb8\xa3\xc6\xae\xb7\xb9\xbd\xc3\xc7\xc7",
			unidentifiedDescriptionName: [
				"A cooking book where you can find creative and yummy chocolate-using desserts' recipe.",
				"The most wanted book for the lovers in between Winter and Spring!",
				"The Author: Arles Orleans, the Chocolate Expert and the famous Patissier.",
				"Weight : ^7777775^000000",
			],
			identifiedDisplayName: "February Sweets",
			identifiedResourceName: "\xc3\xca\xc4\xdd\xb7\xbf\xc5\xb8\xb8\xa3\xc6\xae\xb7\xb9\xbd\xc3\xc7\xc7",
			identifiedDescriptionName: [
				"A cooking book where you can find creative and yummy chocolate-using desserts' recipe.",
				"The most wanted book for the lovers in between Winter and Spring!",
				"The Author: Arles Orleans, the Chocolate Expert and the famous Patissier.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11058: {
			unidentifiedDisplayName: "ÃÊº¸ ¾ÆÀÌÅÛ Á¶ÇÕ¼­",
			unidentifiedResourceName: "\xba\xcf",
			unidentifiedDescriptionName: [
				"\"³Ê¹« ½±´Ù! ¿ä¿ä.. ¾Æ´Ï, ÆÄºê¸£¶óµµ ÇÒ ¼ö ÀÖ´Ù!\"",
				"1ºÐ ¿ä¸® µû¶óÇÏµí ¹è¿ì´Â Ã¥À¸·Î, ÀÌ Ã¥¿¡ ÀûÈù´ë·Î¸¸ ±×´ë·Î µû¶óÇÏ¸é µÈ´Ù°í ÇÑ´Ù.",
				"\"^ff0000ÁÖÀÇ : Á¶ÇÕ ½ÃÀÛÀ» À§ÇØ¼­´Â ¾ÆÀÌÅÛ \"Á¶ÇÕ¿ë Å°Æ®\"¸¦ [´õºí Å¬¸¯] ÇÏ¼Å¾ß ÇÕ´Ï´Ù.^000000\"",
				"\"^ff0000ÁÖÀÇ : ¸¸µé°íÀÚ ÇÏ´Â ¾ÆÀÌÅÛÀÇ Á¶ÇÕ Àç·á¸¦ ¸ðµÎ µé°í °è¼Å¾ß ÇÕ´Ï´Ù.^000000\"",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÃÊº¸ ¾ÆÀÌÅÛ Á¶ÇÕ¼­",
			identifiedResourceName: "\xba\xcf",
			identifiedDescriptionName: [
				"\"³Ê¹« ½±´Ù! ¿ä¿ä.. ¾Æ´Ï, ÆÄºê¸£¶óµµ ÇÒ ¼ö ÀÖ´Ù!\"",
				"1ºÐ ¿ä¸® µû¶óÇÏµí ¹è¿ì´Â Ã¥À¸·Î, ÀÌ Ã¥¿¡ ÀûÈù´ë·Î¸¸ ±×´ë·Î µû¶óÇÏ¸é µÈ´Ù°í ÇÑ´Ù.",
				"\"^ff0000ÁÖÀÇ : Á¶ÇÕ ½ÃÀÛÀ» À§ÇØ¼­´Â ¾ÆÀÌÅÛ \"Á¶ÇÕ¿ë Å°Æ®\"¸¦ [´õºí Å¬¸¯] ÇÏ¼Å¾ß ÇÕ´Ï´Ù.^000000\"",
				"\"^ff0000ÁÖÀÇ : ¸¸µé°íÀÚ ÇÏ´Â ¾ÆÀÌÅÛÀÇ Á¶ÇÕ Àç·á¸¦ ¸ðµÎ µé°í °è¼Å¾ß ÇÕ´Ï´Ù.^000000\"",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11500: {
			unidentifiedDisplayName: "Light Yellow Potion",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion made from ground Yellow Herbs that restores ^000088about 175 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Yellow Potion",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion made from ground Yellow Herbs that restores ^000088about 175 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11501: {
			unidentifiedDisplayName: "Light White Potion",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion made from ground White Herbs that restores ^000088about 325 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light White Potion",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion made from ground White Herbs that restores ^000088about 325 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11502: {
			unidentifiedDisplayName: "Slim Blue Potion",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion made from ground Blue Herbs that restores ^000088about 60 SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Blue Potion",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion made from ground Blue Herbs that restores ^000088about 60 SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11503: {
			unidentifiedDisplayName: "WoE White Potion",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion made from grinded White Herbs that restores about^000088 400~500 HP^000000.",
				"HP Affected by Regeneration Potion.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "WoE White Potion",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion made from grinded White Herbs that restores about^000088 400~500 HP^000000.",
				"HP Affected by Regeneration Potion.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11504: {
			unidentifiedDisplayName: "WoE Blue Potion",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion made from grinded Blue Herbs that restores about ^000088 50~70 SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "WoE Blue Potion",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion made from grinded Blue Herbs that restores about ^000088 50~70 SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11505: {
			unidentifiedDisplayName: "Iris",
			unidentifiedResourceName: "\xc3\xa2\xc6\xf7",
			unidentifiedDescriptionName: [
				"The plant brings up the spirit.",
				"^000088Recovery 150 SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Iris",
			identifiedResourceName: "\xc3\xa2\xc6\xf7",
			identifiedDescriptionName: [
				"The plant brings up the spirit.",
				"^000088Recovery 150 SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11506: {
			unidentifiedDisplayName: "Fanta Orange",
			unidentifiedResourceName: "\xc8\xaf\xc5\xb8\xbf\xc0\xb7\xbb\xc1\xf6\xc4\xb5",
			unidentifiedDescriptionName: [
				"Flavor of the orange exact in refreshing carbonic acid!",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fanta Orange",
			identifiedResourceName: "\xc8\xaf\xc5\xb8\xbf\xc0\xb7\xbb\xc1\xf6\xc4\xb5",
			identifiedDescriptionName: [
				"Flavor of the orange exact in refreshing carbonic acid!",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11507: {
			unidentifiedDisplayName: "Fanta Grape",
			unidentifiedResourceName: "\xc8\xaf\xc5\xb8\xb1\xd7\xb7\xb9\xc0\xcc\xc7\xc1\xc4\xb5",
			unidentifiedDescriptionName: [
				"Flavor of the sweet grape spreads the mouth all the way!",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fanta Grape",
			identifiedResourceName: "\xc8\xaf\xc5\xb8\xb1\xd7\xb7\xb9\xc0\xcc\xc7\xc1\xc4\xb5",
			identifiedDescriptionName: [
				"Flavor of the sweet grape spreads the mouth all the way!",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11508: {
			unidentifiedDisplayName: "Karada Meguricha",
			unidentifiedResourceName: "\xc4\xab\xb6\xf3\xb4\xd9\xb8\xde\xb1\xb8\xb8\xae\xc2\xf7",
			unidentifiedDescriptionName: [
				"Karada Meguri-cha.",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Karada Meguricha",
			identifiedResourceName: "\xc4\xab\xb6\xf3\xb4\xd9\xb8\xde\xb1\xb8\xb8\xae\xc2\xf7",
			identifiedDescriptionName: [
				"Karada Meguri-cha.",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11509: {
			unidentifiedDisplayName: "Black Tea Kochakaden",
			unidentifiedResourceName: "\xc8\xab\xc2\xf7\xc8\xad\xc0\xfc",
			unidentifiedDescriptionName: [
				"Black Tea Kochakaden.",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Black Tea Kochakaden",
			identifiedResourceName: "\xc8\xab\xc2\xf7\xc8\xad\xc0\xfc",
			identifiedDescriptionName: [
				"Black Tea Kochakaden.",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11510: {
			unidentifiedDisplayName: "Coca Cola Zero",
			unidentifiedResourceName: "\xc4\xda\xc4\xab\xc4\xdd\xb6\xf3\xc1\xa6\xb7\xce",
			unidentifiedDescriptionName: [
				"The same taste of the original coca cola without the added sugar.",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Coca Cola Zero",
			identifiedResourceName: "\xc4\xda\xc4\xab\xc4\xdd\xb6\xf3\xc1\xa6\xb7\xce",
			identifiedDescriptionName: [
				"The same taste of the original coca cola without the added sugar.",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11511: {
			unidentifiedDisplayName: "Diet Coca Cola",
			unidentifiedResourceName: "\xb3\xeb\xc4\xae\xb7\xce\xb8\xae\xc4\xda\xc4\xab\xc4\xdd\xb6\xf3",
			unidentifiedDescriptionName: [
				"Although no calorie content, the coca cola it's tasty.",
				"You can taste lightly, the coca cola of 0 kilo calories.",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Diet Coca Cola",
			identifiedResourceName: "\xb3\xeb\xc4\xae\xb7\xce\xb8\xae\xc4\xda\xc4\xab\xc4\xdd\xb6\xf3",
			identifiedDescriptionName: [
				"Although no calorie content, the coca cola it's tasty.",
				"You can taste lightly, the coca cola of 0 kilo calories.",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11512: {
			unidentifiedDisplayName: "Coca Cola",
			unidentifiedResourceName: "\xc4\xda\xc4\xab\xc4\xdd\xb6\xf3",
			unidentifiedDescriptionName: [
				"Stimulation of carbon dioxide and unique flavor, not only healing thirst,",
				"but refreshing both heart and body!",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Coca Cola",
			identifiedResourceName: "\xc4\xda\xc4\xab\xc4\xdd\xb6\xf3",
			identifiedDescriptionName: [
				"Stimulation of carbon dioxide and unique flavor, not only healing thirst,",
				"but refreshing both heart and body!",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11513: {
			unidentifiedDisplayName: "Neck Protection Candy",
			unidentifiedResourceName: "\xb8\xf1\xba\xb8\xc8\xa3\xc4\xb5\xb5\xf0",
			unidentifiedDescriptionName: [
				"...",
				"Recovers a very small amount of HP.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			identifiedDisplayName: "Throat Lozenge",
			identifiedResourceName: "\xb8\xf1\xba\xb8\xc8\xa3\xc4\xb5\xb5\xf0",
			identifiedDescriptionName: [
				"...",
				"Recovers a very small amount of HP.",
				"^ffffff_^000000",
				"Weight :^777777 0.1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11514: {
			unidentifiedDisplayName: "Enriched Slim Potion",
			unidentifiedResourceName: "\xc8\xad\xc0\xcc\xc6\xae\xbd\xbd\xb8\xb2\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"... [Not For Sale]",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Enriched Slim Potion",
			identifiedResourceName: "\xc8\xad\xc0\xcc\xc6\xae\xbd\xbd\xb8\xb2\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"... [Not For Sale]",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11515: {
			unidentifiedDisplayName: "Coconut",
			unidentifiedResourceName: "\xc4\xda\xc4\xda\xb3\xd3",
			unidentifiedDescriptionName: [
				"An easy to see fruit found in the tropical region. It's juice is used in many drinks.",
				"Heals around 300 HP.",
				"^ffffff_^000000",
				"Weight :^777777 12^000000",
			],
			identifiedDisplayName: "Coconut",
			identifiedResourceName: "\xc4\xda\xc4\xda\xb3\xd3",
			identifiedDescriptionName: [
				"An easy to see fruit found in the tropical region. It's juice is used in many drinks.",
				"Heals around 300 HP.",
				"^ffffff_^000000",
				"Weight :^777777 12^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11516: {
			unidentifiedDisplayName: "Asai Fruit",
			unidentifiedResourceName: "\xbe\xc6\xbb\xe7\xc0\xcc\xbf\xad\xb8\xc5",
			unidentifiedDescriptionName: [
				"A famous desert fruit. It's commonly used on hot days in icecream or juice.",
				"Heals a small amount of HP.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Asai Fruit",
			identifiedResourceName: "\xbe\xc6\xbb\xe7\xc0\xcc\xbf\xad\xb8\xc5",
			identifiedDescriptionName: [
				"A famous desert fruit. It's commonly used on hot days in icecream or juice.",
				"Heals a small amount of HP.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11517: {
			unidentifiedDisplayName: "Purification Potion",
			unidentifiedResourceName: "\xbf\xeb\xba\xb4\xbf\xeb\xc6\xc4\xb6\xf5\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion with a special abilities.",
				"^000088Recover about 400 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Purification Potion",
			identifiedResourceName: "\xbf\xeb\xba\xb4\xbf\xeb\xc6\xc4\xb6\xf5\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion with a special abilities.",
				"^000088Recover about 400 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11518: {
			unidentifiedDisplayName: "Cure Free",
			unidentifiedResourceName: "\xb4\xe7\xb1\xd9",
			unidentifiedDescriptionName: [
				"A potion that recovers a large amount of HP. ",
				"Cursed Silence, Bleeding, and Curse status effects.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cure Free",
			identifiedResourceName: "\xb4\xe7\xb1\xd9",
			identifiedDescriptionName: [
				"A potion that recovers a large amount of HP.",
				"Cursed Silence, Bleeding, and Curse status effects.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11519: {
			unidentifiedDisplayName: "Beef Toast",
			unidentifiedResourceName: "\xba\xf1\xc7\xc1\xc5\xe4\xbd\xba\xc6\xae",
			unidentifiedDescriptionName: [
				"·ð¹ó·¹À´ ·í¶¿ ¿£²Ä. Àß ¾·°î ºÎ ÀåÀÇ ¿í¾â ÆÐÆ³ ´çÀÌ°¡ ¿¢Á± ±ßÃ¤°Í »Ü ¿úÀÏÀÌ ´÷ºåºÇ±î ÀÖ»Ù. ·Ô¾â ÁÁºº¸Ï ¿¨²Ñ ¼ª¶ºÀÙÀ·¸Î ÀÔ¿¡²ÉÀÌ ¿¡»É!",
				"^000088SK ·¦ 200 ¿¡¸® È·µ¶^000000 ²ÃÄÑ ÁØ»Ù.",
				"Weight : ^7777774^000000",
			],
			identifiedDisplayName: "Bifrost",
			identifiedResourceName: "\xba\xf1\xc7\xc1\xc5\xe4\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"...",
				"^000088Recover about 200 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11520: {
			unidentifiedDisplayName: "Mora Mandarin",
			unidentifiedResourceName: "\xb8\xf0\xb6\xf3\xb8\xb8\xb4\xd9\xb8\xb0",
			unidentifiedDescriptionName: [
				"µñÇÁ¸Î²µÆ® ÀÎ¾Ù ÀÚ°¬°¡³­ ºå¶¿¿Ô ¶ß¿ßºÇ»Â ´óÅ­ÇÑ ·ÀÀÇ ¿úÀÏ.",
				"^000088HK ·¦ 50 ¿¡¸® È·µ¶^000000 ²ÃÄÑ ÁØ»Ù.",
				"Weight : ^7777772^000000",
				"°ä¾· ¸¶µ§ : ^777777100^000000",
			],
			identifiedDisplayName: "Mora Mandarin",
			identifiedResourceName: "\xb8\xf0\xb6\xf3\xb8\xb8\xb4\xd9\xb8\xb0",
			identifiedDescriptionName: [
				"...",
				"^000088Recover about 50 SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
				"Required Level :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11521: {
			unidentifiedDisplayName: "Pingui Berry Juice",
			unidentifiedResourceName: "\xc7\xc9\xb1\xcd\xba\xa3\xb8\xae\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"ÇÉ¾Íµ£·®ÀÇ ÁóÀ´ Åå ²î»Â ·ÀÀÇ Áê²µ°Í ³¯±î ··ºç ¿Í. ÀÇ°Ü¸Î ·ÀÀÌ ÁÁ»Ù.",
				"^000088SK·¦ 400, HK ·¦ 50 ¿¡¸® È·µ¶^000000 ²ÃÄÑ ÁØ»Ù.",
				"Weight : ^7777775^000000",
				"°ä¾· ¸¶µ§ : ^777777100^000000",
			],
			identifiedDisplayName: "Pinguicula Berry Juice",
			identifiedResourceName: "\xc7\xc9\xb1\xcd\xba\xa3\xb8\xae\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"...",
				"^000088Recover about 400 HP, 50 SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
				"Required Level :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11522: {
			unidentifiedDisplayName: "Red Raffle Sap",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xb6\xf3\xc7\xc3\xb7\xb9\xbc\xf6\xbe\xd7",
			unidentifiedDescriptionName: [
				"¼î¹ó°î È·µ¶È°¿ú·¦ Áö»Ñ ´¡¿£ ³ö±×. Àç¸á°¡ »ëÇØ³¾ ·ð·£»Â ÆíÀÌ ÁÁ»Ù¿í ÇÑ»Ù.",
				"^000088SK·¦ 400 ¿¡¸® È·µ¶^000000 ²ÃÄÑ ÁØ»Ù.",
				"Weight : ^77777710^000000",
				"°ä¾· ¸¶µ§ : ^777777100^000000",
				"Àç´ç°ë »ë¾â²Ã¿£ :  ^7777771ÃÊ^000000",
			],
			identifiedDisplayName: "Red Raffle Sap",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xb6\xf3\xc7\xc3\xb7\xb9\xbc\xf6\xbe\xd7",
			identifiedDescriptionName: [
				"...",
				"^000088Recover about 400 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 100^000000",
				"Re-use Delay :^777777 1 Second^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11523: {
			unidentifiedDisplayName: "Yellow Raffle Sap",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xb6\xf3\xc7\xc3\xb7\xb9\xbc\xf6\xbe\xd7",
			unidentifiedDescriptionName: [
				"¼î¹ó°î È·µ¶È°¿ú·¦ Áö»Ñ ¼ë¹õ ³ö±×. Àç¸á°¡ »ëÇØ³¾ ·ð·£»Â ÆíÀÌ ÁÁ»Ù¿í ÇÑ»Ù.",
				"^000088SK·¦ 600 ¿¡¸® È·µ¶^000000 ²ÃÄÑ ÁØ»Ù.",
				"Weight : ^77777712^000000",
				"°ä¾· ¸¶µ§ : ^777777110^000000",
				"Àç´ç°ë »ë¾â²Ã¿£ :  ^7777772ÃÊ^000000",
			],
			identifiedDisplayName: "Yellow Raffle Sap",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xb6\xf3\xc7\xc3\xb7\xb9\xbc\xf6\xbe\xd7",
			identifiedDescriptionName: [
				"...",
				"^000088Recover about 600 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 12^000000",
				"Required Level :^777777 110^000000",
				"Re-use Delay :^777777 2 Seconds^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11524: {
			unidentifiedDisplayName: "White Raffle Sap",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xb6\xf3\xc7\xc3\xb7\xb9\xbc\xf6\xbe\xd7",
			unidentifiedDescriptionName: [
				"¼î¹ó°î È·µ¶È°¿ú·¦ Áö»Ñ ÇÏ±á ³ö±×. Àç¸á°¡ »ëÇØ³¾ ·ð·£»Â ÆíÀÌ ÁÁ»Ù¿í ÇÑ»Ù.",
				"^000088SK·¦ 800 ¿¡¸® È·µ¶^000000 ²ÃÄÑ ÁØ»Ù.",
				"Weight : ^77777712^000000",
				"°ä¾· ¸¶µ§ : ^777777120^000000",
				"Àç´ç°ë »ë¾â²Ã¿£ :  ^7777773ÃÊ^000000",
			],
			identifiedDisplayName: "White Raffle Sap",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xb6\xf3\xc7\xc3\xb7\xb9\xbc\xf6\xbe\xd7",
			identifiedDescriptionName: [
				"...",
				"^000088Recover about 800 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 12^000000",
				"Required Level :^777777 120^000000",
				"Re-use Delay :^777777 3 Seconds^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11525: {
			unidentifiedDisplayName: "Mora Hip Tea",
			unidentifiedResourceName: "\xb8\xf0\xb6\xf3\xc8\xfc\xc6\xbc",
			unidentifiedDescriptionName: [
				"·ð¹ó·¹À´°¡³­ºº ±ó·¹ ±ø»Â ¾ÍÇÑ ²Ä¶¿À´ ·´¸Á³­ °ì¸Á¼² Â÷. ÇâÀÌ ±ÆÁÖ ÁÁ»Ù.",
				"^000088SK·¦ 1500 ¿¡¸® È·µ¶^000000 ²ÃÄÑ ÁØ»Ù.",
				"Weight : ^77777715^000000",
				"°ä¾· ¸¶µ§ : ^777777120^000000",
				"Àç´ç°ë »ë¾â²Ã¿£ :  ^7777775ÃÊ^000000",
			],
			identifiedDisplayName: "Mora Hip Tea",
			identifiedResourceName: "\xb8\xf0\xb6\xf3\xc8\xfc\xc6\xbc",
			identifiedDescriptionName: [
				"...",
				"^000088Recover about 1500 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 120^000000",
				"Re-use Delay :^777777 5 Seconds^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11526: {
			unidentifiedDisplayName: "Rafflecino",
			unidentifiedResourceName: "\xb6\xf3\xc7\xc3\xb7\xb9\xc4\xa1\xb3\xeb",
			unidentifiedDescriptionName: [
				"´óÅ­ÇÑ ÇÉ¾Íµ£·®·¦ ²Ã¸», ±óÀ²¿ú ÇÔ½½ ¿¥±Æ Â÷¿©¿Ô Áñ¾â»Â À²¸á.",
				"^000088HK·¦ 120 ¿¡¸® È·µ¶^000000 ²ÃÄÑ ÁØ»Ù.",
				"Weight : ^77777710^000000",
				"°ä¾· ¸¶µ§ : ^777777120^000000",
			],
			identifiedDisplayName: "Rafflecino",
			identifiedResourceName: "\xb6\xf3\xc7\xc3\xb7\xb9\xc4\xa1\xb3\xeb",
			identifiedDescriptionName: [
				"...",
				"^000088Recover about 120 SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 120^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11532: {
			unidentifiedDisplayName: "Nasi Goreng",
			unidentifiedResourceName: "\xb3\xaa\xbd\xc3\xb0\xed\xb7\xc0",
			unidentifiedDescriptionName: [
				"It's the seasoned fried rice mixed with seafoods, meat, and vegitables.",
				"Recovers small amount of HP.",
				"Weight : ^7777772^000000",
			],
			identifiedDisplayName: "Nasi Goreng",
			identifiedResourceName: "\xb3\xaa\xbd\xc3\xb0\xed\xb7\xc0",
			identifiedDescriptionName: [
				"It's the seasoned fried rice mixed with seafoods, meat, and vegitables.",
				"Recovers small amount of HP.",
				"Weight : ^7777772^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11533: {
			unidentifiedDisplayName: "Satay",
			unidentifiedResourceName: "\xbb\xe7\xb6\xbc",
			unidentifiedDescriptionName: [
				"It's a food you skewer the chopped meat with source on and barbecue it.",
				"Recovers small amount of HP.",
				"Weight : ^7777772^000000",
			],
			identifiedDisplayName: "Satay",
			identifiedResourceName: "\xbb\xe7\xb6\xbc",
			identifiedDescriptionName: [
				"It's a food you skewer the chopped meat with source on and barbecue it.",
				"Recovers small amount of HP.",
				"Weight : ^7777772^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11534: {
			unidentifiedDisplayName: "Coconut Juice",
			unidentifiedResourceName: "\xbe\xc6\xc0\xda\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"It's a Coconut Juice. Recovers small amount of HP and SP.",
				"Weight : ^7777775^000000",
			],
			identifiedDisplayName: "Coconut Juice",
			identifiedResourceName: "\xbe\xdf\xc0\xda\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"It's a Coconut Juice. Recovers small amount of HP and SP.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11536: {
			unidentifiedDisplayName: "°í¾çÀÌ °Ç»§",
			unidentifiedResourceName: "\xba\xed\xb7\xa2\xc4\xb9",
			unidentifiedDescriptionName: [
				"°í¾çÀÌ ¼Õ »ó´ÜÀÇ ÇÔ´ë°¡ Ç×ÇØ Áß¿¡ ¸Ô´ø ¼±¿ø½Ä. º¸°üÀÌ ¿ëÀÌÇÏµµ·Ï µüµüÇÏ°Ô ±¸¿î ¾ãÀº ºñ½ºÅ¶ÀÌ´Ù.",
				"¼±¿øµéÀº ÀÌ»¡ºÐ¼â±â È¤Àº ¹ú·¹¼ºÀÌ¶ó°í ºÎ¸¥´Ù. ¸ÔÀ¸¸é ¼Ò·®ÀÇ HPÈ¸º¹.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°í¾çÀÌ °Ç»§",
			identifiedResourceName: "\xba\xed\xb7\xa2\xc4\xb9",
			identifiedDescriptionName: [
				"°í¾çÀÌ ¼Õ »ó´ÜÀÇ ÇÔ´ë°¡ Ç×ÇØ Áß¿¡ ¸Ô´ø ¼±¿ø½Ä. º¸°üÀÌ ¿ëÀÌÇÏµµ·Ï µüµüÇÏ°Ô ±¸¿î ¾ãÀº ºñ½ºÅ¶ÀÌ´Ù.",
				"¼±¿øµéÀº ÀÌ»¡ºÐ¼â±â È¤Àº ¹ú·¹¼ºÀÌ¶ó°í ºÎ¸¥´Ù. ¸ÔÀ¸¸é ¼Ò·®ÀÇ HPÈ¸º¹.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11537: {
			unidentifiedDisplayName: "¹Ù±¸¹Ì ¾Ö¹ú·¹",
			unidentifiedResourceName: "\xc5\xe4\xbd\xc7\xc5\xe4\xbd\xc7\xc1\xf6\xb7\xb7\xc0\xcc",
			unidentifiedDescriptionName: [
				"ºñ½ºÅ¶À» °ÅÀÇ ´Ù ¸ÔÀ» ÁîÀ½ ¾ò°Ô µÈ Åä½ÇÇÑ ¾Ö¹ú·¹.",
				"¼­¹ÙÀÌ¹ú »óÈ²¿¡¼­´Â Áß¿äÇÑ ´Ü¹éÁú °ø±Þ¿øÀÌ¶ó°ï ÇÏÁö¸¸ ....",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹Ù±¸¹Ì ¾Ö¹ú·¹",
			identifiedResourceName: "\xc5\xe4\xbd\xc7\xc5\xe4\xbd\xc7\xc1\xf6\xb7\xb7\xc0\xcc",
			identifiedDescriptionName: [
				"ºñ½ºÅ¶À» °ÅÀÇ ´Ù ¸ÔÀ» ÁîÀ½ ¾ò°Ô µÈ Åä½ÇÇÑ ¾Ö¹ú·¹.",
				"¼­¹ÙÀÌ¹ú »óÈ²¿¡¼­´Â Áß¿äÇÑ ´Ü¹éÁú °ø±Þ¿øÀÌ¶ó°ï ÇÏÁö¸¸ ....",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11538: {
			unidentifiedDisplayName: "½Ì½ÌÇÑ ¹®¾î´Ù¸®",
			unidentifiedResourceName: "\xb9\xae\xbe\xee\xb4\xd9\xb8\xae",
			unidentifiedDescriptionName: [
				"½Ì½ÌÇÑ ¹®¾î´Ù¸®. ³Ê¹« ½Ì½ÌÇØ¼­ ²ÞÆ²°Å¸®°í ÀÖ´Ù. ³¯ °ÍÀ¸·Î ¸Ô¾îµµ ±¦ÂúÀ» °Í °°´Ù.",
				"¼Ò·®ÀÇ HP, SPÈ¸º¹.",
				"ÀÌ°ÍÀÌ ¸»¶ûµµÀÇ ÃàÁ¦À§¿ø '¹Ì¹¦'°¡ Ã£´ø ¹Ù·Î ±× ½Ì½ÌÇÔÀÎ µí ÇÏ´Ù.",
				"^ff0000ÀÌº¥Æ® Á¾·á½Ã »èÁ¦µÇ´Â ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«°Ô : ^7777773^000000",
			],
			identifiedDisplayName: "½Ì½ÌÇÑ ¹®¾î´Ù¸®",
			identifiedResourceName: "\xb9\xae\xbe\xee\xb4\xd9\xb8\xae",
			identifiedDescriptionName: [
				"½Ì½ÌÇÑ ¹®¾î´Ù¸®. ³Ê¹« ½Ì½ÌÇØ¼­ ²ÞÆ²°Å¸®°í ÀÖ´Ù. ³¯ °ÍÀ¸·Î ¸Ô¾îµµ ±¦ÂúÀ» °Í °°´Ù.",
				"¼Ò·®ÀÇ HP, SPÈ¸º¹.",
				"ÀÌ°ÍÀÌ ¸»¶ûµµÀÇ ÃàÁ¦À§¿ø '¹Ì¹¦'°¡ Ã£´ø ¹Ù·Î ±× ½Ì½ÌÇÔÀÎ µí ÇÏ´Ù.",
				"^ff0000ÀÌº¥Æ® Á¾·á½Ã »èÁ¦µÇ´Â ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«°Ô : ^7777773^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11547: {
			unidentifiedDisplayName: "°ø¼º¿ë º¸¶óÆ÷¼Ç",
			unidentifiedResourceName: "\xb6\xf3\xc7\xc3\xb7\xb9\xc4\xa1\xb3\xeb",
			unidentifiedDescriptionName: [
				"PvP, ¸¶À», °ø¼ºÀüÁö¿ª¿¡¼­¸¸ »ç¿ë°¡´É.",
				"»¡°£Æ÷¼Ç°ú ÆÄ¶õÆ÷¼ÇÀÇ Áß°£ÀûÀÎ ¸ÀÀÌ ¸¹ÀÌ ³ª°í, ¹¦¸£´Ò »ê¸ÆÀÇ ¼¼ºñÁö... ±× ¼¼ºñÁö°¡ Ä£¼÷ÇÏ°Ô ´À²¸Áö´Â, ±×·± ´À³¦ÀÇ Æ÷¼Ç.",
				"^000088HP ¸¦ 500 °¡·® È¸º¹, SP¸¦ 60 °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777778^000000",
			],
			identifiedDisplayName: "°ø¼º¿ë º¸¶óÆ÷¼Ç",
			identifiedResourceName: "\xb6\xf3\xc7\xc3\xb7\xb9\xc4\xa1\xb3\xeb",
			identifiedDescriptionName: [
				"PvP, ¸¶À», °ø¼ºÀüÁö¿ª¿¡¼­¸¸ »ç¿ë°¡´É.",
				"»¡°£Æ÷¼Ç°ú ÆÄ¶õÆ÷¼ÇÀÇ Áß°£ÀûÀÎ ¸ÀÀÌ ¸¹ÀÌ ³ª°í, ¹¦¸£´Ò »ê¸ÆÀÇ ¼¼ºñÁö... ±× ¼¼ºñÁö°¡ Ä£¼÷ÇÏ°Ô ´À²¸Áö´Â, ±×·± ´À³¦ÀÇ Æ÷¼Ç.",
				"^000088HP ¸¦ 500 °¡·® È¸º¹, SP¸¦ 60 °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777778^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11548: {
			unidentifiedDisplayName: "°ø¼º¿ë ÇÏ¾áÆ÷¼Ç",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xb6\xf3\xc7\xc3\xb7\xb9\xbc\xf6\xbe\xd7",
			unidentifiedDescriptionName: [
				"PvP, ¸¶À», °ø¼ºÀüÁö¿ª¿¡¼­¸¸ »ç¿ë°¡´É.",
				"À¯±â³ó ÇÏ¾á Çãºê Áß °¡Àå ¾î¸° ÀÙ»ç±Í·Î¸¸ Á¦ÀÛµÈ´Ù´Â »ê¶æÇÑ ¸ÀÀÇ ÇÏ¾á Æ÷¼Ç.",
				"^000088HP ¸¦ 10% °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777778^000000",
			],
			identifiedDisplayName: "°ø¼º¿ë ÇÏ¾áÆ÷¼Ç",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xb6\xf3\xc7\xc3\xb7\xb9\xbc\xf6\xbe\xd7",
			identifiedDescriptionName: [
				"PvP, ¸¶À», °ø¼ºÀüÁö¿ª¿¡¼­¸¸ »ç¿ë°¡´É.",
				"À¯±â³ó ÇÏ¾á Çãºê Áß °¡Àå ¾î¸° ÀÙ»ç±Í·Î¸¸ Á¦ÀÛµÈ´Ù´Â »ê¶æÇÑ ¸ÀÀÇ ÇÏ¾á Æ÷¼Ç.",
				"^000088HP ¸¦ 10% °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777778^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11549: {
			unidentifiedDisplayName: "°ø¼º¿ë ÆÄ¶õÆ÷¼Ç",
			unidentifiedResourceName: "\xc7\xc9\xb1\xcd\xba\xa3\xb8\xae\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"PvP, ¸¶À», °ø¼ºÀüÁö¿ª¿¡¼­¸¸ »ç¿ë°¡´É.",
				"À¯±â³ó ÆÄ¶õ ÇãºêÁß °¡Àå ¾î¸° ÀÙ»ç±Í·Î¸¸ Á¦ÀÛµÈ´Ù´Â »ê¶æÇÑ ¸ÀÀÇ ÆÄ¶õ Æ÷¼Ç.",
				"^000088SP ¸¦ 10% °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777778^000000",
			],
			identifiedDisplayName: "°ø¼º¿ë ÆÄ¶õÆ÷¼Ç",
			identifiedResourceName: "\xc7\xc9\xb1\xcd\xba\xa3\xb8\xae\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"PvP, ¸¶À», °ø¼ºÀüÁö¿ª¿¡¼­¸¸ »ç¿ë°¡´É.",
				"À¯±â³ó ÆÄ¶õ ÇãºêÁß °¡Àå ¾î¸° ÀÙ»ç±Í·Î¸¸ Á¦ÀÛµÈ´Ù´Â »ê¶æÇÑ ¸ÀÀÇ ÆÄ¶õ Æ÷¼Ç.",
				"^000088SP ¸¦ 10% °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777778^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11550: {
			unidentifiedDisplayName: "È£¹Ú ÄÉÀÌÅ©",
			unidentifiedResourceName: "\xc8\xa3\xb9\xda\xc4\xc9\xc0\xcc\xc5\xa9",
			unidentifiedDescriptionName: [
				"È£¹ÚÀ» À¸±ú ¸¸µç ÃËÃËÇÑ ÄÉÀÌÅ©. ÀÚ¿¬ÀÌ ÁÖ´Â ´ÞÄÞÇÔÀ» ´À³¥ ¼ö ÀÖ´Ù.",
				"^000088HP¿Í SP¸¦ 5% °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777774^000000",
			],
			identifiedDisplayName: "È£¹Ú ÄÉÀÌÅ©",
			identifiedResourceName: "\xc8\xa3\xb9\xda\xc4\xc9\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"È£¹ÚÀ» À¸±ú ¸¸µç ÃËÃËÇÑ ÄÉÀÌÅ©. ÀÚ¿¬ÀÌ ÁÖ´Â ´ÞÄÞÇÔÀ» ´À³¥ ¼ö ÀÖ´Ù.",
				"^000088HP¿Í SP¸¦ 5% °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777774^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11551: {
			unidentifiedDisplayName: "Çâ±ßÇÑ Çãºê¹«Ä§",
			unidentifiedResourceName: "\xc7\xe2\xb1\xdf\xc7\xd1\xc7\xe3\xba\xea\xb9\xab\xc4\xa7",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°¢Á¾ Çãºê¸¦ »óÅ­ÇÑ ¼Ò½º·Î ¹«ÃÄ³½ Çâ±ßÇÑ ¹«Ä§. ¸ÔÀ¸¸é ½Å±âÇÏ°Ôµµ ÈûÀÌ ¼Ú´Â´Ù.",
				"3ºÐµ¿¾È STR + 1.",
				"^000088HP ¸¦ 25 °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Çâ±ßÇÑ Çãºê¹«Ä§",
			identifiedResourceName: "\xc7\xe2\xb1\xdf\xc7\xd1\xc7\xe3\xba\xea\xb9\xab\xc4\xa7",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°¢Á¾ Çãºê¸¦ »óÅ­ÇÑ ¼Ò½º·Î ¹«ÃÄ³½ Çâ±ßÇÑ ¹«Ä§. ¸ÔÀ¸¸é ½Å±âÇÏ°Ôµµ ÈûÀÌ ¼Ú´Â´Ù.",
				"3ºÐµ¿¾È STR + 1.",
				"^000088HP ¸¦ 25 °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11552: {
			unidentifiedDisplayName: "»ç±Ù »ø·¯µå",
			unidentifiedResourceName: "\xbb\xe7\xb1\xd9\xbb\xf8\xb7\xaf\xb5\xe5",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»ç°ú¿Í ´ç±ÙÀÇ ÇÏ¸ð´Ï! ¾Æ»è¾Æ»èÇÔ¿¡ ±âºÐÀÌ ³¯¾Æ°¥ µí »óÄèÇØÁö´Â »ø·¯µå.",
				"3ºÐµ¿¾È AGI + 1.",
				"^000088HP ¸¦ 25 °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "»ç±Ù »ø·¯µå",
			identifiedResourceName: "\xbb\xe7\xb1\xd9\xbb\xf8\xb7\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»ç°ú¿Í ´ç±ÙÀÇ ÇÏ¸ð´Ï! ¾Æ»è¾Æ»èÇÔ¿¡ ±âºÐÀÌ ³¯¾Æ°¥ µí »óÄèÇØÁö´Â »ø·¯µå.",
				"3ºÐµ¿¾È AGI + 1.",
				"^000088HP ¸¦ 25 °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11553: {
			unidentifiedDisplayName: "¾Æ¹«°Å³ª Àü°ñ",
			unidentifiedResourceName: "\xbe\xc6\xb9\xab\xb0\xc5\xb3\xaa\xc0\xfc\xb0\xf1",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÌ°ÍÀú°Í ¸¸µå´Â »ç¶÷ ¸¶À½´ë·Î ¾Æ¹«°Å³ª Áý¾î ³Ö°í ²úÀÎ Àü°ñ.",
				"3ºÐµ¿¾È VIT + 1.",
				"^000088HP ¸¦ 25 °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "¾Æ¹«°Å³ª Àü°ñ",
			identifiedResourceName: "\xbe\xc6\xb9\xab\xb0\xc5\xb3\xaa\xc0\xfc\xb0\xf1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÌ°ÍÀú°Í ¸¸µå´Â »ç¶÷ ¸¶À½´ë·Î ¾Æ¹«°Å³ª Áý¾î ³Ö°í ²úÀÎ Àü°ñ.",
				"3ºÐµ¿¾È VIT + 1.",
				"^000088HP ¸¦ 25 °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11554: {
			unidentifiedDisplayName: "È²±Ý»ö »ç°ú±¸ÀÌ",
			unidentifiedResourceName: "\xc8\xb2\xb1\xdd\xbb\xf6\xbb\xe7\xb0\xfa\xb1\xb8\xc0\xcc",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÅëÂ°·Î ±¸¿ö³½ »ç°ú±¸ÀÌ. ÀÚ¸£¸£ Èå¸£´Â È²±Ý»ö À±±â°¡ ±ºÄ§À» µ¹°Ô ÇÑ´Ù.",
				"3ºÐµ¿¾È DEX + 1.",
				"^000088HP ¸¦ 25 °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "È²±Ý»ö »ç°ú±¸ÀÌ",
			identifiedResourceName: "\xc8\xb2\xb1\xdd\xbb\xf6\xbb\xe7\xb0\xfa\xb1\xb8\xc0\xcc",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÅëÂ°·Î ±¸¿ö³½ »ç°ú±¸ÀÌ. ÀÚ¸£¸£ Èå¸£´Â È²±Ý»ö À±±â°¡ ±ºÄ§À» µ¹°Ô ÇÑ´Ù.",
				"3ºÐµ¿¾È DEX + 1.",
				"^000088HP ¸¦ 25 °¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11557: {
			unidentifiedDisplayName: "TE È­ÀÌÆ® Æ÷¼Ç",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"TE °ø¼º Áö¿ª¿¡¼­¸¸ »ç¿ë °¡´É.",
				"ÇÏ¾áÇãºê¸¦ Àß °¥¾Æ ¸¸µç Ã¼·ÂÈ¸º¹Á¦ ^000088HP¸¦ 325°¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^77777730^000000",
			],
			identifiedDisplayName: "TE È­ÀÌÆ® Æ÷¼Ç",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"TE °ø¼º Áö¿ª¿¡¼­¸¸ »ç¿ë °¡´É.",
				"ÇÏ¾áÇãºê¸¦ Àß °¥¾Æ ¸¸µç Ã¼·ÂÈ¸º¹Á¦ ^000088HP¸¦ 325°¡·® È¸º¹^000000 ½ÃÄÑ ÁØ´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^77777730^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11558: {
			unidentifiedDisplayName: "TE È­ÀÌÆ® ½½¸² Æ÷¼Ç",
			unidentifiedResourceName: "\xc8\xad\xc0\xcc\xc6\xae\xbd\xbd\xb8\xb2\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"TE °ø¼º Áö¿ª¿¡¼­¸¸ »ç¿ë °¡´É.",
				"TE È­ÀÌÆ® Æ÷¼Ç°ú È¿´ÉÀÌ °°Áö¸¸ ÈÎ¾À ´õ °¡º±´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^77777710^000000",
			],
			identifiedDisplayName: "TE È­ÀÌÆ® ½½¸² Æ÷¼Ç",
			identifiedResourceName: "\xc8\xad\xc0\xcc\xc6\xae\xbd\xbd\xb8\xb2\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"TE °ø¼º Áö¿ª¿¡¼­¸¸ »ç¿ë °¡´É.",
				"TE È­ÀÌÆ® Æ÷¼Ç°ú È¿´ÉÀÌ °°Áö¸¸ ÈÎ¾À ´õ °¡º±´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11701: {
			unidentifiedDisplayName: "Girl's Bouquet",
			unidentifiedResourceName: "\xb2\xc9\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"¼Ø¾¾ ÁÁ°Ô Àß Æ÷ÀåµÈ ²É´Ù¹ß. Æ÷ÀåÇÑ »ç¶÷ÀÇ µû¶æÇÑ ¸¶À½ÀÌ ´À²¸Áø´Ù",
				"^ffffff_^000000",
				"¹«°Ô : ^7777775^000000",
			],
			identifiedDisplayName: "Girl's Bouquet",
			identifiedResourceName: "\xb2\xc9\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"¼Ø¾¾ ÁÁ°Ô Àß Æ÷ÀåµÈ ²É´Ù¹ß. Æ÷ÀåÇÑ »ç¶÷ÀÇ µû¶æÇÑ ¸¶À½ÀÌ ´À²¸Áø´Ù",
				"^ffffff_^000000",
				"¹«°Ô : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11702: {
			unidentifiedDisplayName: "Moon Cookie",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"Candy made according to the shape of mmon. If you stare at it, it will remind you of someone. ",
				"^000088Cures every abnormal status^000000. Provide effect of ^008800Level 7 Blessing^000000 when used.",
				"^008800Blessing^000000 will not be activated after the event period has ended.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Moon Cookie",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"Candy made according to the shape of mmon. If you stare at it, it will remind you of someone.",
				"^000088Cures every abnormal status^000000. Provide effect of ^008800Level 7 Blessing^000000 when used.",
				"^008800Blessing^000000 will not be activated after the event period has ended.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11703: {
			unidentifiedDisplayName: "Mystery Blood",
			unidentifiedResourceName: "\xb0\xa1\xc3\xe0\xc0\xc7\xc7\xc7",
			unidentifiedDescriptionName: [
				"...",
				"It had a magnificat force, it does.",
				"^000088Restores about 30 SP^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystery Blood",
			identifiedResourceName: "\xb0\xa1\xc3\xe0\xc0\xc7\xc7\xc7",
			identifiedDescriptionName: [
				"...",
				"^000088Restores about 30 SP^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11704: {
			unidentifiedDisplayName: "Ketupat",
			unidentifiedResourceName: "\x4b\x45\x54\x55\x50\x41\x54",
			unidentifiedDescriptionName: [
				"This is a special food for recreation after fasting ceremony in particular country.",
				"It's not for being full up the stomach, but eating slowly and making strengthen one's health.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ketupat",
			identifiedResourceName: "\x4b\x45\x54\x55\x50\x41\x54",
			identifiedDescriptionName: [
				"This is a special food for recreation after fasting ceremony in particular country.",
				"It's not for being full up the stomach, but eating slowly and making strengthen one's health.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11705: {
			unidentifiedDisplayName: "Child Potion",
			unidentifiedResourceName: "\xc7\xcf\xbe\xe1\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"It is a special potion for children made by a man who likes children so much. ",
				"Recovering HP, it's better than others.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Child Potion",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"It is a special potion for children made by a man who likes children so much.",
				"Recovering HP, it's better than others.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11706: {
			unidentifiedDisplayName: "Steak",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"...",
				"^000088Recovery 700 HP^000000",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Steak",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"...",
				"^000088Recovery 700 HP^000000",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11707: {
			unidentifiedDisplayName: "Roast Beef",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"...",
				"^000088Recovery 100 SP^000000",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Roast Beef",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"...",
				"^000088Recovery 100 SP^000000",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11708: {
			unidentifiedDisplayName: "Fore Flank Sirloin",
			unidentifiedResourceName: "\xb0\xed\xb1\xe2",
			unidentifiedDescriptionName: [
				"The lean portion of meat located at the lower part of the beef.",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fore Flank Sirloin",
			identifiedResourceName: "\xb0\xed\xb1\xe2",
			identifiedDescriptionName: [
				"The lean portion of meat located at the lower part of the beef.",
				"^000088Recovers a small amount of HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11709: {
			unidentifiedDisplayName: "Fanta Zero Lemon",
			unidentifiedResourceName: "\xc8\xaf\xc5\xb8\xc1\xa6\xb7\xce\xb7\xb9\xb8\xf3",
			unidentifiedDescriptionName: [
				"...",
				"^000088Recovery HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fanta Zero Lemon",
			identifiedResourceName: "\xc8\xaf\xc5\xb8\xc1\xa6\xb7\xce\xb7\xb9\xb8\xf3",
			identifiedDescriptionName: [
				"...",
				"^000088Recovery HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11710: {
			unidentifiedDisplayName: "Sakura Mist",
			unidentifiedResourceName: "\xbb\xe7\xc4\xed\xb6\xf3\xb9\xcc\xbd\xba\xc6\xae",
			unidentifiedDescriptionName: [
				"...",
				"^000088Recovery HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Sakura Mist",
			identifiedResourceName: "\xbb\xe7\xc4\xed\xb6\xf3\xb9\xcc\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"...",
				"^000088Recovery HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11711: {
			unidentifiedDisplayName: "Sakura Milk Tea",
			unidentifiedResourceName: "\xbb\xe7\xc4\xed\xb6\xf3\xb9\xd0\xc5\xa9\xc6\xbc",
			unidentifiedDescriptionName: [
				"...",
				"^000088Recovery HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Sakura Milk Tea",
			identifiedResourceName: "\xbb\xe7\xc4\xed\xb6\xf3\xb9\xd0\xc5\xa9\xc6\xbc",
			identifiedDescriptionName: [
				"...",
				"^000088Recovery HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11712: {
			unidentifiedDisplayName: "Flower",
			unidentifiedResourceName: "\xc0\xcf\xc2\xf7\xc8\xad",
			unidentifiedDescriptionName: [
				"...",
				"^000088Recovery HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Flower",
			identifiedResourceName: "\xc0\xcf\xc2\xf7\xc8\xad",
			identifiedDescriptionName: [
				"...",
				"^000088Recovery HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		11713: {
			unidentifiedDisplayName: "Julia's Candy",
			unidentifiedResourceName: "\xbb\xe7\xc5\xc1",
			unidentifiedDescriptionName: [
				"A special taste candy by Julia.",
				"^000088Recovery 45 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Julia's Candy",
			identifiedResourceName: "\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"A special taste candy by Julia.",
				"^000088Recovery 45 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12000: {
			unidentifiedDisplayName: "Level 5 Frost Diver",
			unidentifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Frost Diver^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 5 Frost Diver",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A spell scroll which was made by the essence of ancient magic.",
				"Cast ^008800Level 5 Frost Diver^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12001: {
			unidentifiedDisplayName: "Level 3 Heal",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A holy paper which was baptized by a noble priest.",
				"Cast ^008800Level 3 Heal^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 3 Heal",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A holy paper which was baptized by a noble priest.",
				"Cast ^008800Level 3 Heal^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12002: {
			unidentifiedDisplayName: "Level 5 Heal",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A holy paper which was baptized by a noble priest.",
				"Cast ^008800Level 5 Heal^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 5 Heal",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A holy paper which was baptized by a noble priest.",
				"Cast ^008800Level 5 Heal^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12003: {
			unidentifiedDisplayName: "Level 1 Teleport",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A holy paper which was baptized by a noble priest.",
				"Cast ^008800Level 1 Teleportation^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Level 1 Teleport",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A holy paper which was baptized by a noble priest.",
				"Cast ^008800Level 1 Teleportation^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12004: {
			unidentifiedDisplayName: "Quiver",
			unidentifiedResourceName: "\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Normal Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Quiver",
			identifiedResourceName: "\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Normal Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12005: {
			unidentifiedDisplayName: "Iron Arrow Quiver",
			unidentifiedResourceName: "\xc3\xb6\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Iron Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Iron Arrow Quiver",
			identifiedResourceName: "\xc3\xb6\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Iron Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12006: {
			unidentifiedDisplayName: "Steel Arrow Quiver",
			unidentifiedResourceName: "\xb0\xad\xc3\xb6\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Steel Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Steel Arrow Quiver",
			identifiedResourceName: "\xb0\xad\xc3\xb6\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Steel Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12007: {
			unidentifiedDisplayName: "Oridecon Arrow Quiver",
			unidentifiedResourceName: "\xbf\xc0\xb8\xae\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Oridecon Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Oridecon Arrow Quiver",
			identifiedResourceName: "\xbf\xc0\xb8\xae\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Oridecon Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12008: {
			unidentifiedDisplayName: "Fire Arrow Quiver",
			unidentifiedResourceName: "\xba\xd2\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Fire Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Fire Arrow Quiver",
			identifiedResourceName: "\xba\xd2\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Fire Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12009: {
			unidentifiedDisplayName: "Silver Arrow Quiver",
			unidentifiedResourceName: "\xc0\xba\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Silver Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Silver Arrow Quiver",
			identifiedResourceName: "\xc0\xba\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Silver Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12010: {
			unidentifiedDisplayName: "Wind Arrow Quiver",
			unidentifiedResourceName: "\xb9\xd9\xb6\xf7\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Wind Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Wind Arrow Quiver",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Wind Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12011: {
			unidentifiedDisplayName: "Stone Arrow Quiver",
			unidentifiedResourceName: "\xbe\xcf\xbc\xae\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Stone Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Stone Arrow Quiver",
			identifiedResourceName: "\xbe\xcf\xbc\xae\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Stone Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12012: {
			unidentifiedDisplayName: "Crystal Arrow Quiver",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa4\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Crystal Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Crystal Arrow Quiver",
			identifiedResourceName: "\xbc\xf6\xc1\xa4\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Crystal Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12013: {
			unidentifiedDisplayName: "Shadow Arrow Quiver",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xda\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Shadow Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Shadow Arrow Quiver",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xda\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Shadow Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12014: {
			unidentifiedDisplayName: "Immaterial Arrow Quiver",
			unidentifiedResourceName: "\xb9\xab\xc7\xfc\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Immaterial Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Immaterial Arrow Quiver",
			identifiedResourceName: "\xb9\xab\xc7\xfc\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Immaterial Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12015: {
			unidentifiedDisplayName: "Rusty Arrow Quiver",
			unidentifiedResourceName: "\xb3\xec\xbd\xbc\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Rusty Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Rusty Arrow Quiver",
			identifiedResourceName: "\xb3\xec\xbd\xbc\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Rusty Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12016: {
			unidentifiedDisplayName: "Speed Potion",
			unidentifiedResourceName: "\xc0\xcc\xbc\xd3\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion which increases the moving speed of a character for a duration.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Speed Potion",
			identifiedResourceName: "\xc0\xcc\xbc\xd3\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion which increases the moving speed of a character for a duration.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12017: {
			unidentifiedDisplayName: "Slow Potion",
			unidentifiedResourceName: "\xc0\xcc\xbc\xd3\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion which decreases the moving speed of a character for a duration.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Slow Potion",
			identifiedResourceName: "\xc0\xcc\xbc\xd3\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion which decreases the moving speed of a character for a duration.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12018: {
			unidentifiedDisplayName: "Firecracker",
			unidentifiedResourceName: "\xc6\xf8\xc1\xd7",
			unidentifiedDescriptionName: [
				"An entertainment explosive that makes beautiful fireworks in the sky when it is lit.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Firecracker",
			identifiedResourceName: "\xc6\xf8\xc1\xd7",
			identifiedDescriptionName: [
				"An entertainment explosive that makes beautiful fireworks in the sky when it is lit.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12019: {
			unidentifiedDisplayName: "Holy Egg",
			unidentifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xbe\xcb",
			unidentifiedDescriptionName: [
				"A decorative egg, traditionally exchanged with other people, which symbolizes rebirth. Can be used to resurrect dead people.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Holy Egg",
			identifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xbe\xcb",
			identifiedDescriptionName: [
				"A decorative egg, traditionally exchanged with other people, which symbolizes rebirth. Can be used to resurrect dead people.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12020: {
			unidentifiedDisplayName: "Cursed Water",
			unidentifiedResourceName: "\xbe\xcf\xbc\xf6",
			unidentifiedDescriptionName: [
				"A bottle of cursed water.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Cursed Water",
			identifiedResourceName: "\xbe\xcf\xbc\xf6",
			identifiedDescriptionName: [
				"A bottle of cursed water.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12021: {
			unidentifiedDisplayName: "Pork",
			unidentifiedResourceName: "\xb0\xed\xb1\xe2",
			unidentifiedDescriptionName: [
				"Savory pork that is very tempting.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pork",
			identifiedResourceName: "\xb0\xed\xb1\xe2",
			identifiedDescriptionName: [
				"Savory pork that is very tempting.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12022: {
			unidentifiedDisplayName: "Galbi",
			unidentifiedResourceName: "\xb0\xed\xb1\xe2",
			unidentifiedDescriptionName: [
				"Delicious beef specially marinated in soy sauce.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Galbi",
			identifiedResourceName: "\xb0\xed\xb1\xe2",
			identifiedDescriptionName: [
				"Delicious beef specially marinated in soy sauce.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12023: {
			unidentifiedDisplayName: "Wrapped Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A wrapped box that seems to contain a gift.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Wrapped Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A wrapped box that seems to contain a gift.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12024: {
			unidentifiedDisplayName: "Red Pouch",
			unidentifiedResourceName: "\xbc\xbc\xb9\xee\xb5\xb7",
			unidentifiedDescriptionName: [
				"Most people who see this pretty red pouch are seized by the urge to open it and see what's inside.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Red Pouch",
			identifiedResourceName: "\xbc\xbc\xb9\xee\xb5\xb7",
			identifiedDescriptionName: [
				"Most people who see this pretty red pouch are seized by the urge to open it and see what's inside.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12025: {
			unidentifiedDisplayName: "Dano Festival Egg",
			unidentifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that seems to contain something inside.",
				"According to the custom, balancing one of these eggs on its end without any support is a sign of good luck.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Dano Festival Egg",
			identifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that seems to contain something inside.",
				"According to the custom, balancing one of these eggs on its end without any support is a sign of good luck.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12026: {
			unidentifiedDisplayName: "Dano Festival Egg",
			unidentifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xbe\xcb",
			unidentifiedDescriptionName: [
				"An egg that seems to contain something inside.",
				"According to the custom, balancing one of these eggs on its end without any support is a sign of good luck.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Dano Festival Egg",
			identifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xbe\xcb",
			identifiedDescriptionName: [
				"An egg that seems to contain something inside.",
				"According to the custom, balancing one of these eggs on its end without any support is a sign of good luck.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12027: {
			unidentifiedDisplayName: "Giggling Box",
			unidentifiedResourceName: "\xb3\xa5\xb3\xa5\xbf\xf4\xb4\xc2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Restores 9% of Maximum HP, but has a 30% chance to get you ^880000Curse^000000 for 30 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Giggling Box",
			identifiedResourceName: "\xb3\xa5\xb3\xa5\xbf\xf4\xb4\xc2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Restores 9% of Maximum HP, but has a 30% chance to get you ^880000Curse^000000 for 30 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12028: {
			unidentifiedDisplayName: "Box of Thunder",
			unidentifiedResourceName: "\xba\xad\xb6\xf4\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Increases Movement Speed for 20 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Box of Thunder",
			identifiedResourceName: "\xba\xad\xb6\xf4\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Increases Movement Speed for 20 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12029: {
			unidentifiedDisplayName: "Box of Gloom",
			unidentifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Cast ^008800Level 1 Attention Concentrate^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Box of Gloom",
			identifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Cast ^008800Level 1 Attention Concentrate^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12030: {
			unidentifiedDisplayName: "Box of Resentment",
			unidentifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Increases your ATK by 20 for 60 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Box of Resentment",
			identifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Increases your ATK by 20 for 60 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12031: {
			unidentifiedDisplayName: "Box of Drowsiness",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Increases your MATK by 20 for 60 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Box of Drowsiness",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Increases your MATK by 20 for 60 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12032: {
			unidentifiedDisplayName: "Box of Storms",
			unidentifiedResourceName: "\xc6\xf8\xbf\xec\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Imbues the user's weapon with the ^0000FFWater^000000 Property for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Box of Storms",
			identifiedResourceName: "\xc6\xf8\xbf\xec\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Imbues the user's weapon with the ^0000FFWater^000000 Property for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12033: {
			unidentifiedDisplayName: "Box of Sunlight",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Enables the user to detect any hidden enemies for 30 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Box of Sunlight",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Enables the user to detect any hidden enemies for 30 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12034: {
			unidentifiedDisplayName: "Box of Panting",
			unidentifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Restores 9% of Maximum SP, but has a 30% chance to get you ^880000Silence^000000 for 30 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Box of Panting",
			identifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Restores 9% of Maximum SP, but has a 30% chance to get you ^880000Silence^000000 for 30 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12035: {
			unidentifiedDisplayName: "Lotto Box 01",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A sealed box containing a Lotto Ball from numbers 1-10.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Lotto Box 01",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A sealed box containing a Lotto Ball from numbers 1-10.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12036: {
			unidentifiedDisplayName: "Lotto Box 02",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A sealed box containing a Lotto Ball from numbers 11-20.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Lotto Box 02",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A sealed box containing a Lotto Ball from numbers 11-20.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12037: {
			unidentifiedDisplayName: "Lotto Box 03",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			unidentifiedDescriptionName: [
				"A sealed box containing a Lotto Ball from numbers 21-30.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Lotto Box 03",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			identifiedDescriptionName: [
				"A sealed box containing a Lotto Ball from numbers 21-30.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12038: {
			unidentifiedDisplayName: "Lotto Box 04",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			unidentifiedDescriptionName: [
				"A sealed box containing a Lotto Ball from numbers 31-40.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Lotto Box 04",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			identifiedDescriptionName: [
				"A sealed box containing a Lotto Ball from numbers 31-40.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12039: {
			unidentifiedDisplayName: "Lotto Box 05",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x35",
			unidentifiedDescriptionName: [
				"A sealed box containing a Lotto Ball from numbers 41-45.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Lotto Box 05",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x35",
			identifiedDescriptionName: [
				"A sealed box containing a Lotto Ball from numbers 41-45.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12040: {
			unidentifiedDisplayName: "Stone of Sage",
			unidentifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xb5\xb9",
			unidentifiedDescriptionName: [
				"A very mysterious stone, rumored to change normal metals into pure gold.",
				"People have been searching for it for ages. It has a soft, warm, red color.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Stone of Sage",
			identifiedResourceName: "\xc7\xf6\xc0\xda\xc0\xc7\xb5\xb9",
			identifiedDescriptionName: [
				"A very mysterious stone, rumored to change normal metals into pure gold.",
				"People have been searching for it for ages. It has a soft, warm, red color.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12041: {
			unidentifiedDisplayName: "Fried Grasshopper Legs",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x31",
			unidentifiedDescriptionName: [
				"A dish that is easy and convenient for beginner chefs; it has a fresh, grassy taste, strangely enough.",
				"STR + 1",
				"^ffffff_^000000",
				"Weight :^777777 6^000000",
			],
			identifiedDisplayName: "Fried Grasshopper Legs",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x31",
			identifiedDescriptionName: [
				"A dish that is easy and convenient for beginner chefs; it has a fresh, grassy taste, strangely enough.",
				"STR + 1",
				"^ffffff_^000000",
				"Weight :^777777 6^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12042: {
			unidentifiedDisplayName: "Seasoned Sticky Webfoot",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"A dish that looks slightly unappetizing, but its taste and scent are quite pleasant.",
				"STR + 2",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Seasoned Sticky Webfoot",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"A dish that looks slightly unappetizing, but its taste and scent are quite pleasant.",
				"STR + 2",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12043: {
			unidentifiedDisplayName: "Bomber Steak",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"It looks like an ordinary steak, but it is explosively flavorful and juicy.",
				"STR + 3",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Bomber Steak",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"It looks like an ordinary steak, but it is explosively flavorful and juicy.",
				"STR + 3",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12044: {
			unidentifiedDisplayName: "Herb Marinade Beef",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x34",
			unidentifiedDescriptionName: [
				"Tender beef that has been marinated with herbs and sauces, using a secret Payon recipe.",
				"STR + 4",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Herb Marinade Beef",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x34",
			identifiedDescriptionName: [
				"Tender beef that has been marinated with herbs and sauces, using a secret Payon recipe.",
				"STR + 4",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12045: {
			unidentifiedDisplayName: "Lutie Lady's Pancake",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"A sweet pancake made by Thachentze, the kind lady chef living in Lutie.",
				"STR + 5",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Lutie Lady's Pancake",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"A sweet pancake made by Thachentze, the kind lady chef living in Lutie.",
				"STR + 5",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12046: {
			unidentifiedDisplayName: "Grape Juice Herbal Tea",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x31",
			unidentifiedDescriptionName: [
				"A sweetly scented tea made by mixing herbs and grape juice.",
				"INT + 1",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Grape Juice Herbal Tea",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x31",
			identifiedDescriptionName: [
				"A sweetly scented tea made by mixing herbs and grape juice.",
				"INT + 1",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12047: {
			unidentifiedDisplayName: "Autumn Red Tea",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"A tea made with 3 different herbs that give it a refreshingly strong scent, but also a bland flavor.",
				"INT + 2",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Autumn Red Tea",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"A tea made with 3 different herbs that give it a refreshingly strong scent, but also a bland flavor.",
				"INT + 2",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12048: {
			unidentifiedDisplayName: "Honey Herbal Tea",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"An invigoratingly hot herbal whose flavor is enhanced with the sweetness of honey.",
				"INT + 3",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Honey Herbal Tea",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"An invigoratingly hot herbal whose flavor is enhanced with the sweetness of honey.",
				"INT + 3",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12049: {
			unidentifiedDisplayName: "Morroc Fruit Wine",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x34",
			unidentifiedDescriptionName: [
				"A sweet and sour fruit wine that was invented by a merchant from Morocc. Ladies love it.",
				"INT + 4",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Morroc Fruit Wine",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x34",
			identifiedDescriptionName: [
				"A sweet and sour fruit wine that was invented by a merchant from Morocc. Ladies love it.",
				"INT + 4",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12050: {
			unidentifiedDisplayName: "Mastela Fruit Wine",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"Wine distilled from Mastela fruit that helps the drinker to maintain clarity of thought.",
				"INT + 5",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			identifiedDisplayName: "Mastela Fruit Wine",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"Wine distilled from Mastela fruit that helps the drinker to maintain clarity of thought.",
				"INT + 5",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12051: {
			unidentifiedDisplayName: "Steamed Crab Nippers",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x31",
			unidentifiedDescriptionName: [
				"A simple dish made from steamed crab nippers and herbs.",
				"VIT + 1",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Steamed Crab Nippers",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x31",
			identifiedDescriptionName: [
				"A simple dish made from steamed crab nippers and herbs.",
				"VIT + 1",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12052: {
			unidentifiedDisplayName: "Assorted Seafood",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"Assorted seafood that makes people that live near the sea feel very homesick. Unless, of course, they're eating this food at home.",
				"VIT + 2",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Assorted Seafood",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"Assorted seafood that makes people that live near the sea feel very homesick. Unless, of course, they're eating this food at home.",
				"VIT + 2",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12053: {
			unidentifiedDisplayName: "Clam Soup",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"Fresh ocean clams boiled in water make for an excellent tender clam meat soup.",
				"VIT + 3",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Clam Soup",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"Fresh ocean clams boiled in water make for an excellent tender clam meat soup.",
				"VIT + 3",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12054: {
			unidentifiedDisplayName: "Seasoned Jellyfish",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x34",
			unidentifiedDescriptionName: [
				"Steamed tentacles flavored with herbs and squid ink dressing that, weirdly enough, is a delicious healthy food.",
				"VIT + 4",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Seasoned Jellyfish",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x34",
			identifiedDescriptionName: [
				"Steamed tentacles flavored with herbs and squid ink dressing that, weirdly enough, is a delicious healthy food.",
				"VIT + 4",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12055: {
			unidentifiedDisplayName: "Spicy Fried Bao",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"A bao that is fried and seasoned with spicy sauce. If you're not used to spicy food, it's not a good idea to eat too many.",
				"VIT + 5",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			identifiedDisplayName: "Spicy Fried Bao",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"A bao that is fried and seasoned with spicy sauce. If you're not used to spicy food, it's not a good idea to eat too many.",
				"VIT + 5",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12056: {
			unidentifiedDisplayName: "Frog Egg Squid Ink Soup",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x31",
			unidentifiedDescriptionName: [
				"A soup made with squid ink broth and frog eggs that most people can't eat until they close their eyes.",
				"AGI + 1",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Frog Egg Squid Ink Soup",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x31",
			identifiedDescriptionName: [
				"A soup made with squid ink broth and frog eggs that most people can't eat until they close their eyes.",
				"AGI + 1",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12057: {
			unidentifiedDisplayName: "Smooth Noodle",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"Incredibly smooth, slick, and slippery noodles that are very difficult to eat.",
				"AGI + 2",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Smooth Noodle",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"Incredibly smooth, slick, and slippery noodles that are very difficult to eat.",
				"AGI + 2",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12058: {
			unidentifiedDisplayName: "Tentacle Cheese Gratin",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"Cheese gratin with steamed tentacles mixed into it for an unique flavor.",
				"AGI + 3",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Tentacle Cheese Gratin",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"Cheese gratin with steamed tentacles mixed into it for an unique flavor.",
				"AGI + 3",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12059: {
			unidentifiedDisplayName: "Lutie Cold Noodle",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x34",
			unidentifiedDescriptionName: [
				"Spicy, cold noodles garnished with sliced pumpkin.",
				"AGI + 4",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			identifiedDisplayName: "Lutie Cold Noodle",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x34",
			identifiedDescriptionName: [
				"Spicy, cold noodles garnished with sliced pumpkin.",
				"AGI + 4",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12060: {
			unidentifiedDisplayName: "Steamed Bat Wing in Pumpkin",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"Steamed pumpkin and Red Bat wings wrapped in a Hinale leaflet that have a combined flavor that is indescribable.",
				"AGI + 5",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Steamed Bat Wing in Pumpkin",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"Steamed pumpkin and Red Bat wings wrapped in a Hinale leaflet that have a combined flavor that is indescribable.",
				"AGI + 5",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12061: {
			unidentifiedDisplayName: "Honey Grape Juice",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x31",
			unidentifiedDescriptionName: [
				"A special mixed drink of grape juice and honey that has a sweet and sour taste.",
				"DEX + 1",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Honey Grape Juice",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x31",
			identifiedDescriptionName: [
				"A special mixed drink of grape juice and honey that has a sweet and sour taste.",
				"DEX + 1",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12062: {
			unidentifiedDisplayName: "Chocolate Mousse Cake",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"A special chocolate mousse cake with a smooth luxurious flavor that even Charles Orleans would be proud of.",
				"DEX + 2",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Chocolate Mousse Cake",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"A special chocolate mousse cake with a smooth luxurious flavor that even Charles Orleans would be proud of.",
				"DEX + 2",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12063: {
			unidentifiedDisplayName: "Fruit Mix",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"A mix of various, crisp fruit flavored with light, sweet syrup.",
				"DEX + 3",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Fruit Mix",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"A mix of various, crisp fruit flavored with light, sweet syrup.",
				"DEX + 3",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12064: {
			unidentifiedDisplayName: "Cream Sandwich",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x34",
			unidentifiedDescriptionName: [
				"A hearty sandwich made with slices of freshly baked bread, ground meat and cream cheese that is a favorite dish to eat for lunch.",
				"DEX + 4",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Cream Sandwich",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x34",
			identifiedDescriptionName: [
				"A hearty sandwich made with slices of freshly baked bread, ground meat and cream cheese that is a favorite dish to eat for lunch.",
				"DEX + 4",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12065: {
			unidentifiedDisplayName: "Green Salad",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"A trendy green salad that is topped with sweet Umbala dressing.",
				"DEX + 5",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Green Salad",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"A trendy green salad that is topped with sweet Umbala dressing.",
				"DEX + 5",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12066: {
			unidentifiedDisplayName: "Fried Monkey Tails",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x31",
			unidentifiedDescriptionName: [
				"Lightly spiced monkey tails deep fried in oil that are popular as a side dish for drinking.",
				"LUK + 1",
				"^ffffff_^000000",
				"Weight :^777777 6^000000",
			],
			identifiedDisplayName: "Fried Monkey Tails",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x31",
			identifiedDescriptionName: [
				"Lightly spiced monkey tails deep fried in oil that are popular as a side dish for drinking.",
				"LUK + 1",
				"^ffffff_^000000",
				"Weight :^777777 6^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12067: {
			unidentifiedDisplayName: "Mixed Juice",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"A cocktail mixed from various fruit juices. If improperly prepared, it will lack that certain taste.",
				"LUK + 2",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Mixed Juice",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"A cocktail mixed from various fruit juices. If improperly prepared, it will lack that certain taste.",
				"LUK + 2",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12068: {
			unidentifiedDisplayName: "Fried Sweet Potato",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"Crunchy, fried sweet potatoes topped with light syrup. Taste very sweet and are perfect if eaten between meals.",
				"LUK + 3",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Fried Sweet Potato",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"Crunchy, fried sweet potatoes topped with light syrup. Taste very sweet and are perfect if eaten between meals.",
				"LUK + 3",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12069: {
			unidentifiedDisplayName: "Steamed Ancient Lips",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x34",
			unidentifiedDescriptionName: [
				"A Korean steamed fish with ancient lips wrapped in a fresh leaf that is supposedly good for a man's vigor.",
				"LUK + 4",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Steamed Ancient Lips",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x34",
			identifiedDescriptionName: [
				"A Korean steamed fish with ancient lips wrapped in a fresh leaf that is supposedly good for a man's vigor.",
				"LUK + 4",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12070: {
			unidentifiedDisplayName: "Fried Scorpion Tails",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"A fried scorpion tail, which is said to be the most nutritious and tasty part of a scorpion. There are trace bits of poison, so don't eat too much.",
				"LUK + 5",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			identifiedDisplayName: "Fried Scorpion Tails",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"A fried scorpion tail, which is said to be the most nutritious and tasty part of a scorpion. There are trace bits of poison, so don't eat too much.",
				"LUK + 5",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12071: {
			unidentifiedDisplayName: "Shiny Marinade Beef",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x36",
			unidentifiedDescriptionName: [
				"A marinated beef dish whose splendorous flavor can only be described as shiny.",
				"STR + 6",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			identifiedDisplayName: "Shiny Marinade Beef",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x36",
			identifiedDescriptionName: [
				"A marinated beef dish whose splendorous flavor can only be described as shiny.",
				"STR + 6",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12072: {
			unidentifiedDisplayName: "Whole Roast",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x37",
			unidentifiedDescriptionName: [
				"A great meal for meat lovers, this roast is spiced up with a special sauce.",
				"STR + 7",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Whole Roast",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x37",
			identifiedDescriptionName: [
				"A great meal for meat lovers, this roast is spiced up with a special sauce.",
				"STR + 7",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12073: {
			unidentifiedDisplayName: "Bearfoot Special",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x38",
			unidentifiedDescriptionName: [
				"One of the finest dishes from Louyang, a delicacy made from a bear's meaty foot.",
				"STR + 8",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Bearfoot Special",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x38",
			identifiedDescriptionName: [
				"One of the finest dishes from Louyang, a delicacy made from a bear's meaty foot.",
				"STR + 8",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12074: {
			unidentifiedDisplayName: "Tendon Satay",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x39",
			unidentifiedDescriptionName: [
				"A fresh and juicy satay made from thick tendons. Only good for the first hour after it's cooked.",
				"STR + 9",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Tendon Satay",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x39",
			identifiedDescriptionName: [
				"A fresh and juicy satay made from thick tendons. Only good for the first hour after it's cooked.",
				"STR + 9",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12075: {
			unidentifiedDisplayName: "Steamed Tongue",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"The epitome of Louyang cuisine. It's ingredients may be hard to find, but culinarily speaking, it's a masterpiece.",
				"STR + 10",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Steamed Tongue",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"The epitome of Louyang cuisine. It's ingredients may be hard to find, but culinarily speaking, it's a masterpiece.",
				"STR + 10",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12076: {
			unidentifiedDisplayName: "Red Mushroom Wine",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x36",
			unidentifiedDescriptionName: [
				"An exotic wine whose secret to its exquisite flavor lies in the red mushrooms it contains.",
				"INT + 6",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Red Mushroom Wine",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x36",
			identifiedDescriptionName: [
				"An exotic wine whose secret to its exquisite flavor lies in the red mushrooms it contains.",
				"INT + 6",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12077: {
			unidentifiedDisplayName: "Special Royal Jelly Herbal Tea",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x37",
			unidentifiedDescriptionName: [
				"An herbal tea mixed with royal jelly that has a pungent scent, but a refreshing flavor.",
				"INT + 7",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			identifiedDisplayName: "Special Royal Jelly Herbal Tea",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x37",
			identifiedDescriptionName: [
				"An herbal tea mixed with royal jelly that has a pungent scent, but a refreshing flavor.",
				"INT + 7",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12078: {
			unidentifiedDisplayName: "Royal Family Tea",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x38",
			unidentifiedDescriptionName: [
				"A sweetly scented tea, one of Charles Orleans's specialties, that is regularly enjoyed by the royal family.",
				"INT + 8",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Royal Family Tea",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x38",
			identifiedDescriptionName: [
				"A sweetly scented tea, one of Charles Orleans's specialties, that is regularly enjoyed by the royal family.",
				"INT + 8",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12079: {
			unidentifiedDisplayName: "Tristram 12",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x39",
			unidentifiedDescriptionName: [
				"One of the most exquisite drinks ever created that was presented in celebration of the coronation of King Tristan III.",
				"INT + 9",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Tristram 12",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x39",
			identifiedDescriptionName: [
				"One of the most exquisite drinks ever created that was presented in celebration of the coronation of King Tristan III.",
				"INT + 9",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12080: {
			unidentifiedDisplayName: "Dragon Breath Cocktail",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"A cocktail with an unforgettable flavor as impressive as a dragon's breath.",
				"INT + 10",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Dragon Breath Cocktail",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"A cocktail with an unforgettable flavor as impressive as a dragon's breath.",
				"INT + 10",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12081: {
			unidentifiedDisplayName: "Awfully Bitter Bracer",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x36",
			unidentifiedDescriptionName: [
				"A strange medicine said to have as much healing power as its bitterness.",
				"VIT + 6",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Awfully Bitter Bracer",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x36",
			identifiedDescriptionName: [
				"A strange medicine said to have as much healing power as its bitterness.",
				"VIT + 6",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12082: {
			unidentifiedDisplayName: "Sumptuous Feast",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x37",
			unidentifiedDescriptionName: [
				"A magnificent feast fit for gods that would make mortals cry tears of joy.",
				"VIT + 7",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			identifiedDisplayName: "Sumptuous Feast",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x37",
			identifiedDescriptionName: [
				"A magnificent feast fit for gods that would make mortals cry tears of joy.",
				"VIT + 7",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12083: {
			unidentifiedDisplayName: "Giant Burito",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x38",
			unidentifiedDescriptionName: [
				"A jumbo sized burrito for jumbo sized appetites, though it is a bit difficult to eat.",
				"VIT + 8",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Giant Burito",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x38",
			identifiedDescriptionName: [
				"A jumbo sized burrito for jumbo sized appetites, though it is a bit difficult to eat.",
				"VIT + 8",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12084: {
			unidentifiedDisplayName: "Ascending Dragon Soup",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x39",
			unidentifiedDescriptionName: [
				"A spicy soup with dragon meat whose flavor gives one the sensation of flight.",
				"VIT + 9",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Ascending Dragon Soup",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x39",
			identifiedDescriptionName: [
				"A spicy soup with dragon meat whose flavor gives one the sensation of flight.",
				"VIT + 9",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12085: {
			unidentifiedDisplayName: "Immortal Stew",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"A stew with a funky smell that looks quite suspicious, but it really does give the feeling of immortality.",
				"VIT + 10",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Immortal Stew",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"A stew with a funky smell that looks quite suspicious, but it really does give the feeling of immortality.",
				"VIT + 10",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12086: {
			unidentifiedDisplayName: "Chile Shrimp Gratin",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x36",
			unidentifiedDescriptionName: [
				"Shrimp and chile gratin that is so spicy, it burns.",
				"AGI + 6",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			identifiedDisplayName: "Chile Shrimp Gratin",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x36",
			identifiedDescriptionName: [
				"Shrimp and chile gratin that is so spicy, it burns.",
				"AGI + 6",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12087: {
			unidentifiedDisplayName: "Steamed Alligator with Vegetable",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x37",
			unidentifiedDescriptionName: [
				"A special Umbala dish made with steamed alligator meat wrapped in vegetables.",
				"AGI + 7",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			identifiedDisplayName: "Steamed Alligator with Vegetable",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x37",
			identifiedDescriptionName: [
				"A special Umbala dish made with steamed alligator meat wrapped in vegetables.",
				"AGI + 7",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12088: {
			unidentifiedDisplayName: "Incredibly Spicy Curry",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x38",
			unidentifiedDescriptionName: [
				"A spicy curry with a spice known to have the flavor of patience. Fortunately, the taste is balanced with pumpkin.",
				"AGI + 8",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Incredibly Spicy Curry",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x38",
			identifiedDescriptionName: [
				"A spicy curry with a spice known to have the flavor of patience. Fortunately, the taste is balanced with pumpkin.",
				"AGI + 8",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12089: {
			unidentifiedDisplayName: "Special Meat Stew",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x39",
			unidentifiedDescriptionName: [
				"Louyang's specialty stew laced with all sorts of meat that has a tempting scent.",
				"AGI + 9",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Special Meat Stew",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x39",
			identifiedDescriptionName: [
				"Louyang's specialty stew laced with all sorts of meat that has a tempting scent.",
				"AGI + 9",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12090: {
			unidentifiedDisplayName: "Steamed Desert Scorpions",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"One of the four best dishes in the Sograt Desert, this scorpion dish is cooked using the heat of the desert sands.",
				"AGI + 10",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Steamed Desert Scorpions",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"One of the four best dishes in the Sograt Desert, this scorpion dish is cooked using the heat of the desert sands.",
				"AGI + 10",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12091: {
			unidentifiedDisplayName: "Peach Cake",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x36",
			unidentifiedDescriptionName: [
				"A sweet and lightly scrumptious cake made with peaches grown in Gonryun.",
				"DEX + 6",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			identifiedDisplayName: "Peach Cake",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x36",
			identifiedDescriptionName: [
				"A sweet and lightly scrumptious cake made with peaches grown in Gonryun.",
				"DEX + 6",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12092: {
			unidentifiedDisplayName: "Soul Haunted Bread",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x37",
			unidentifiedDescriptionName: [
				"A deliciously sweet bread, haunted by flavor. Makes one's soul seem to soar high as it melts in the mouth.",
				"DEX + 7",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			identifiedDisplayName: "Soul Haunted Bread",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x37",
			identifiedDescriptionName: [
				"A deliciously sweet bread, haunted by flavor. Makes one's soul seem to soar high as it melts in the mouth.",
				"DEX + 7",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12093: {
			unidentifiedDisplayName: "Special Toast",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x38",
			unidentifiedDescriptionName: [
				"Large toasted bread garnished with huge amounts of meat, cheese, and vegetables. It's so big, that it's hard to eat it as one meal.",
				"DEX + 8",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Special Toast",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x38",
			identifiedDescriptionName: [
				"Large toasted bread garnished with huge amounts of meat, cheese, and vegetables. It's so big, that it's hard to eat it as one meal.",
				"DEX + 8",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12094: {
			unidentifiedDisplayName: "Heavenly Fruit Juice",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x39",
			unidentifiedDescriptionName: [
				"Heavenly tasting juice that makes the drinker feel refreshed and relaxed.",
				"DEX + 9",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Heavenly Fruit Juice",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x39",
			identifiedDescriptionName: [
				"Heavenly tasting juice that makes the drinker feel refreshed and relaxed.",
				"DEX + 9",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12095: {
			unidentifiedDisplayName: "Hwergelmir's Tonic",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"Named after the legendary spring believed to be the source of the world's rivers, this beverage is famous for its amazing taste.",
				"DEX + 10",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Hwergelmir's Tonic",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"Named after the legendary spring believed to be the source of the world's rivers, this beverage is famous for its amazing taste.",
				"DEX + 10",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12096: {
			unidentifiedDisplayName: "Lucky Soup",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x36",
			unidentifiedDescriptionName: [
				"A soup that is rumored to bring good luck when it is eaten hot.",
				"LUK + 6",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Lucky Soup",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x36",
			identifiedDescriptionName: [
				"A soup that is rumored to bring good luck when it is eaten hot.",
				"LUK + 6",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12097: {
			unidentifiedDisplayName: "Assorted Shish Kebob",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x37",
			unidentifiedDescriptionName: [
				"Marinated meat and vegetables roasted on a skewer.",
				"LUK + 7",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			identifiedDisplayName: "Assorted Shish Kebob",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x37",
			identifiedDescriptionName: [
				"Marinated meat and vegetables roasted on a skewer.",
				"LUK + 7",
				"^ffffff_^000000",
				"Weight :^777777 80^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12098: {
			unidentifiedDisplayName: "Strawberry Flavored Rice Ball",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x38",
			unidentifiedDescriptionName: [
				"A riceball garnished with strawberries that give it an unexpectedly delicious taste.",
				"LUK + 8",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			identifiedDisplayName: "Strawberry Flavored Rice Ball",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x38",
			identifiedDescriptionName: [
				"A riceball garnished with strawberries that give it an unexpectedly delicious taste.",
				"LUK + 8",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12099: {
			unidentifiedDisplayName: "Blood Flavored Soda",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x39",
			unidentifiedDescriptionName: [
				"A strangely sweet drink that children seem to like, although the aftertaste is pretty gross.",
				"LUK + 9",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "Blood Flavored Soda",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x39",
			identifiedDescriptionName: [
				"A strangely sweet drink that children seem to like, although the aftertaste is pretty gross.",
				"LUK + 9",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12100: {
			unidentifiedDisplayName: "Cooked Nine Tail's Tails",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"A rare specialty dish from Payon that bestows luck on those fortunate enough to eat it.",
				"LUK + 10",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Cooked Nine Tail's Tails",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"A rare specialty dish from Payon that bestows luck on those fortunate enough to eat it.",
				"LUK + 10",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12101: {
			unidentifiedDisplayName: "Citron",
			unidentifiedResourceName: "\xc0\xaf\xc0\xda",
			unidentifiedDescriptionName: [
				"A citrus fruit characterized by its thick rind and small sections.",
				"Generally, it is eaten preserved or in bakery goods, such as fruitcakes. (The candied peel rather than the fruit is often used in cooking.)",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Citron",
			identifiedResourceName: "\xc0\xaf\xc0\xda",
			identifiedDescriptionName: [
				"A citrus fruit characterized by its thick rind and small sections.",
				"Generally, it is eaten preserved or in bakery goods, such as fruitcakes. (The candied peel rather than the fruit is often used in cooking.)",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12102: {
			unidentifiedDisplayName: "Grilled Skewer",
			unidentifiedResourceName: "\xb2\xbf\xc4\xa1\xb1\xb8\xc0\xcc",
			unidentifiedDescriptionName: [
				"A long pin for holding meat, fish, or vegetable in position while it is being roasted.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Grilled Skewer",
			identifiedResourceName: "\xb2\xbf\xc4\xa1\xb1\xb8\xc0\xcc",
			identifiedDescriptionName: [
				"A long pin for holding meat, fish, or vegetable in position while it is being roasted.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12103: {
			unidentifiedDisplayName: "Bloody Branch",
			unidentifiedResourceName: "\xc7\xc7\xb9\xaf\xc0\xba\xb3\xaa\xb9\xb5\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"An ancient, gnarled branch with a contract written in blood upon the bark that can summon stronger creatures than regular Dead Branches.",
				"^00688BUsing it summons 1 Boss monster^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Bloody Branch",
			identifiedResourceName: "\xc7\xc7\xb9\xaf\xc0\xba\xb3\xaa\xb9\xb5\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"An ancient, gnarled branch with a contract written in blood upon the bark that can summon stronger creatures than regular Dead Branches.",
				"^00688BUsing it summons 1 Boss monster^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12104: {
			unidentifiedDisplayName: "Random Quiver",
			unidentifiedResourceName: "\xb7\xa3\xb4\xfd\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"An unlabeled arrow quiver. Maybe you will figure out what it is when you open it.",
				"^00688BUsing it gives you 500 Arrows of a random element^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Random Quiver",
			identifiedResourceName: "\xb7\xa3\xb4\xfd\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"An unlabeled arrow quiver. Maybe you will figure out what it is when you open it.",
				"^00688BUsing it gives you 500 Arrows of a random element^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12105: {
			unidentifiedDisplayName: "Taming Gift Set",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A beautifully decorated gift set that contains a taming item and Pet Armor.",
				"^00688BUsing it gives you a random Pet Armor and taming item^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Taming Gift Set",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A beautifully decorated gift set that contains a taming item and Pet Armor.",
				"^00688BUsing it gives you a random Pet Armor and taming item^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12106: {
			unidentifiedDisplayName: "Jewelry Box",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A beautiful jewelry box containing an accessory.",
				"^00688BUsing it gives you a random Accessory^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Jewelry Box",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A beautiful jewelry box containing an accessory.",
				"^00688BUsing it gives you a random Accessory^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12107: {
			unidentifiedDisplayName: "Wrapped Mask",
			unidentifiedResourceName: "\xc6\xf7\xc0\xe5\xb5\xc8\xb0\xa1\xb8\xe9",
			unidentifiedDescriptionName: [
				"It's a mask, but what mask is it? You will have to unwrap it to find out.",
				"^00688BUsing it gives you a random Mask^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Wrapped Mask",
			identifiedResourceName: "\xc6\xf7\xc0\xe5\xb5\xc8\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"It's a mask, but what mask is it? You will have to unwrap it to find out.",
				"^00688BUsing it gives you a random Mask^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12108: {
			unidentifiedDisplayName: "Scroll Package",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"A scroll that has been packed and carefully wrapped.",
				"^00688BUsing it gives you a random Magical Scroll^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Scroll Package",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"A scroll that has been packed and carefully wrapped.",
				"^00688BUsing it gives you a random Magical Scroll^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12109: {
			unidentifiedDisplayName: "Poring Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A wrapped box stamped with the Poring seal. You can faintly hear rustling coming from inside of it.",
				"^00688BUsing it summons 1 random Poring type monster^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Poring Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A wrapped box stamped with the Poring seal. You can faintly hear rustling coming from inside of it.",
				"^00688BUsing it summons 1 random Poring type monster^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12110: {
			unidentifiedDisplayName: "First Aid Kit",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A first aid kit that should contain potions, although they're known to hold other things.",
				"^00688BUsing it gives you a random Potion^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "First Aid Kit",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A first aid kit that should contain potions, although they're known to hold other things.",
				"^00688BUsing it gives you a random Potion^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12111: {
			unidentifiedDisplayName: "Bundle of Food",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A bundle of food that contains various dishes.",
				"^00688BUsing it gives you a random Food item^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Bundle of Food",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A bundle of food that contains various dishes.",
				"^00688BUsing it gives you a random Food item^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12112: {
			unidentifiedDisplayName: "Tropical Sograt",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x39",
			unidentifiedDescriptionName: [
				"A delicious alcoholic beverage made with exotic fruits found only in the Sograt Desert. It's very sweet, so people can get drunk off it without realizing it.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Tropical Sograt",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x39",
			identifiedDescriptionName: [
				"A delicious alcoholic beverage made with exotic fruits found only in the Sograt Desert. It's very sweet, so people can get drunk off it without realizing it.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12113: {
			unidentifiedDisplayName: "Vermilion on the Beach",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"A scarlet colored cocktail, favored by the ladies, that gives the drinker the feeling of lounging on the beach.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Vermilion on the Beach",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"A scarlet colored cocktail, favored by the ladies, that gives the drinker the feeling of lounging on the beach.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12114: {
			unidentifiedDisplayName: "Elemental Converter",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc8\xad",
			unidentifiedDescriptionName: [
				"Temporarily enchants the user's weapon with the ^FF0000Fire^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elemental Converter",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc8\xad",
			identifiedDescriptionName: [
				"Temporarily enchants the user's weapon with the ^FF0000Fire^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12115: {
			unidentifiedDisplayName: "Elemental Converter",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xbc\xf6",
			unidentifiedDescriptionName: [
				"Temporarily enchants the user's weapon with the ^0000FFWater^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elemental Converter",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xbc\xf6",
			identifiedDescriptionName: [
				"Temporarily enchants the user's weapon with the ^0000FFWater^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12116: {
			unidentifiedDisplayName: "Elemental Converter",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			unidentifiedDescriptionName: [
				"Temporarily enchants the user's weapon with the ^996600Earth^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elemental Converter",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			identifiedDescriptionName: [
				"Temporarily enchants the user's weapon with the ^996600Earth^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12117: {
			unidentifiedDisplayName: "Elemental Converter",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc7\xb3",
			unidentifiedDescriptionName: [
				"Temporarily enchants the user's weapon with the ^009900Wind^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elemental Converter",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc7\xb3",
			identifiedDescriptionName: [
				"Temporarily enchants the user's weapon with the ^009900Wind^000000 Property.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12118: {
			unidentifiedDisplayName: "Fireproof Potion",
			unidentifiedResourceName: "\xb7\xb9\xc1\xf6\xbd\xba\xc6\xae\x5f\xc8\xad",
			unidentifiedDescriptionName: [
				"A potion that will temporarily increase the user's resistance to the ^FF0000Fire^000000 Property at the cost of increasing damage from the ^0000FFWater^000000 Property for the potion's active duration.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fireproof Potion",
			identifiedResourceName: "\xb7\xb9\xc1\xf6\xbd\xba\xc6\xae\x5f\xc8\xad",
			identifiedDescriptionName: [
				"A potion that will temporarily increase the user's resistance to the ^FF0000Fire^000000 Property at the cost of increasing damage from the ^0000FFWater^000000 Property for the potion's active duration.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12119: {
			unidentifiedDisplayName: "Coldproof Potion",
			unidentifiedResourceName: "\xb7\xb9\xc1\xf6\xbd\xba\xc6\xae\x5f\xbc\xf6",
			unidentifiedDescriptionName: [
				"A potion that will temporarily increase the user's resistance to the ^0000FFWater^000000 Property at the cost of increasing damage from the ^009900Wind^000000 Property for the potion's active duration.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Coldproof Potion",
			identifiedResourceName: "\xb7\xb9\xc1\xf6\xbd\xba\xc6\xae\x5f\xbc\xf6",
			identifiedDescriptionName: [
				"A potion that will temporarily increase the user's resistance to the ^0000FFWater^000000 Property at the cost of increasing damage from the ^009900Wind^000000 Property for the potion's active duration.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12120: {
			unidentifiedDisplayName: "Earthproof Potion",
			unidentifiedResourceName: "\xb7\xb9\xc1\xf6\xbd\xba\xc6\xae\x5f\xc1\xf6",
			unidentifiedDescriptionName: [
				"A potion that will temporarily increase the user's resistance to the ^996600Earth^000000 Property at the cost of increasing damage from the ^FF0000Fire^000000 Property for the potion's active duration.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Earthproof Potion",
			identifiedResourceName: "\xb7\xb9\xc1\xf6\xbd\xba\xc6\xae\x5f\xc1\xf6",
			identifiedDescriptionName: [
				"A potion that will temporarily increase the user's resistance to the ^996600Earth^000000 Property at the cost of increasing damage from the ^FF0000Fire^000000 Property for the potion's active duration.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12121: {
			unidentifiedDisplayName: "Thunderproof Potion",
			unidentifiedResourceName: "\xb7\xb9\xc1\xf6\xbd\xba\xc6\xae\x5f\xc7\xb3",
			unidentifiedDescriptionName: [
				"A potion that will temporarily increase the user's resistance to the ^009900Wind^000000 Property at the cost of increasing damage from the ^996600Earth^000000 Property for the potion's active duration.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Thunderproof Potion",
			identifiedResourceName: "\xb7\xb9\xc1\xf6\xbd\xba\xc6\xae\x5f\xc7\xb3",
			identifiedDescriptionName: [
				"A potion that will temporarily increase the user's resistance to the ^009900Wind^000000 Property at the cost of increasing damage from the ^996600Earth^000000 Property for the potion's active duration.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12122: {
			unidentifiedDisplayName: "Sesame Pastry",
			unidentifiedResourceName: "\xb4\xd9\xbd\xc4",
			unidentifiedDescriptionName: [
				"Doughy, chewy snacks made out of pine pollen, chestnut flour and honey, which enhance the flavor of teas.",
				"Embossed with the characters for safety, luck and longevity, these cookies are made to wish good fortune to those who eat them.",
				"Temporarily increases HIT by 30.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Sesame Pastry",
			identifiedResourceName: "\xb4\xd9\xbd\xc4",
			identifiedDescriptionName: [
				"Doughy, chewy snacks made out of pine pollen, chestnut flour and honey, which enhance the flavor of teas.",
				"Embossed with the characters for safety, luck and longevity, these cookies are made to wish good fortune to those who eat them.",
				"Temporarily increases HIT by 30.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12123: {
			unidentifiedDisplayName: "Honey Pastry",
			unidentifiedResourceName: "\xc0\xaf\xb0\xfa",
			unidentifiedDescriptionName: [
				"These traditional crackers from a nation in the far East are made of mixed flour, honey and sweet liquor.",
				"Temporarily adds + 30 to Flee Rate.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Honey Pastry",
			identifiedResourceName: "\xc0\xaf\xb0\xfa",
			identifiedDescriptionName: [
				"These traditional crackers from a nation in the far East are made of mixed flour, honey and sweet liquor.",
				"Temporarily adds + 30 to Flee Rate.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12124: {
			unidentifiedDisplayName: "Rainbow Cake",
			unidentifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb3\xb6\xb1",
			unidentifiedDescriptionName: [
				"A colorful rice cake that is used as a party food in the far East.",
				"Temporarily adds + 10 ATK and MATK.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Rainbow Cake",
			identifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb3\xb6\xb1",
			identifiedDescriptionName: [
				"A colorful rice cake that is used as a party food in the far East.",
				"Temporarily adds + 10 ATK and MATK.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12125: {
			unidentifiedDisplayName: "Outdoor Cooking Kit",
			unidentifiedResourceName: "\xbe\xdf\xbf\xdc\xc1\xb6\xb8\xae\xb1\xe2\xb1\xb8",
			unidentifiedDescriptionName: [
				"A cooking kit that is designed for outdoor use. It's a little crude, but it's also portable.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Outdoor Cooking Kit",
			identifiedResourceName: "\xbe\xdf\xbf\xdc\xc1\xb6\xb8\xae\xb1\xe2\xb1\xb8",
			identifiedDescriptionName: [
				"A cooking kit that is designed for outdoor use. It's a little crude, but it's also portable.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12126: {
			unidentifiedDisplayName: "Home Cooking Kit",
			unidentifiedResourceName: "\xb0\xa1\xc1\xa4\xc1\xb6\xb8\xae\xb1\xe2\xb1\xb8",
			unidentifiedDescriptionName: [
				"A cooking kit designed for use in the home. It's sophisticated enough for you to craft meals with that homemade quality.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Home Cooking Kit",
			identifiedResourceName: "\xb0\xa1\xc1\xa4\xc1\xb6\xb8\xae\xb1\xe2\xb1\xb8",
			identifiedDescriptionName: [
				"A cooking kit designed for use in the home. It's sophisticated enough for you to craft meals with that homemade quality.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12127: {
			unidentifiedDisplayName: "Professional Cooking Kit",
			unidentifiedResourceName: "\xb0\xed\xb1\xde\xc1\xb6\xb8\xae\xb1\xe2\xb1\xb8",
			unidentifiedDescriptionName: [
				"A professional cooking kit that only great chefs generally use to make food of professional quality. These are wasted on mere tyros.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Professional Cooking Kit",
			identifiedResourceName: "\xb0\xed\xb1\xde\xc1\xb6\xb8\xae\xb1\xe2\xb1\xb8",
			identifiedDescriptionName: [
				"A professional cooking kit that only great chefs generally use to make food of professional quality. These are wasted on mere tyros.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12128: {
			unidentifiedDisplayName: "Royal Cooking Kit",
			unidentifiedResourceName: "\xb1\xc3\xc1\xdf\xc1\xb6\xb8\xae\xb1\xe2\xb1\xb8",
			unidentifiedDescriptionName: [
				"A cooking kit said to be used by chefs working in the royal palace to craft nobly exquisite dishes.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Royal Cooking Kit",
			identifiedResourceName: "\xb1\xc3\xc1\xdf\xc1\xb6\xb8\xae\xb1\xe2\xb1\xb8",
			identifiedDescriptionName: [
				"A cooking kit said to be used by chefs working in the royal palace to craft nobly exquisite dishes.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12129: {
			unidentifiedDisplayName: "Fantastic Cooking Kit",
			unidentifiedResourceName: "\xc8\xaf\xbb\xf3\xc1\xb6\xb8\xae\xb1\xe2\xb1\xb8",
			unidentifiedDescriptionName: [
				"The legendary cooking kit that is said to make any recipe wondrously, sublimely delicious.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Fantastic Cooking Kit",
			identifiedResourceName: "\xc8\xaf\xbb\xf3\xc1\xb6\xb8\xae\xb1\xe2\xb1\xb8",
			identifiedDescriptionName: [
				"The legendary cooking kit that is said to make any recipe wondrously, sublimely delicious.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12130: {
			unidentifiedDisplayName: "Cookie Bag",
			unidentifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"A bag, stuffed with various snacks, that generally coveted by those with a sweet tooth.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Cookie Bag",
			identifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"A bag, stuffed with various snacks, that generally coveted by those with a sweet tooth.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12131: {
			unidentifiedDisplayName: "Lucky Potion",
			unidentifiedResourceName: "\xc1\xdf\xc8\xad\xc1\xa6",
			unidentifiedDescriptionName: [
				"A drink that is already past its expiration date, and no longer has any potency. Or does it?",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Lucky Potion",
			identifiedResourceName: "\xc1\xdf\xc8\xad\xc1\xa6",
			identifiedDescriptionName: [
				"A drink that is already past its expiration date, and no longer has any potency. Or does it?",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12132: {
			unidentifiedDisplayName: "Santa's Bag",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xb2\xd9\xb7\xaf\xb9\xcc",
			unidentifiedDescriptionName: [
				"A small, red bag that magically changes your clothes into a ^000088Santa Suit^000000 for 10 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Santa's Bag",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xb2\xd9\xb7\xaf\xb9\xcc",
			identifiedDescriptionName: [
				"A small, red bag that magically changes your clothes into a ^000088Santa Suit^000000 for 10 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12133: {
			unidentifiedDisplayName: "Vanilla Icecream",
			unidentifiedResourceName: "\xbe\xc6\xc0\xcc\xbd\xba\xc5\xa9\xb8\xb2",
			unidentifiedDescriptionName: [
				"One of McDonald's desert menu. Just thinking about McDonald's reminds you of this Ice Cone.",
				"Restores one half of Maximum HP and SP and lets you forget about the heat.",
				"You can only buy it once a day and only until xx.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			identifiedDisplayName: "Vanilla Icecream",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbd\xba\xc5\xa9\xb8\xb2",
			identifiedDescriptionName: [
				"One of McDonald's desert menu. Just thinking about McDonald's reminds you of this Ice Cone.",
				"Restores one half of Maximum HP and SP and lets you forget about the heat.",
				"You can only buy it once a day and only until xx.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12134: {
			unidentifiedDisplayName: "Red Envelope",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xbc\xbc\xbc\xad",
			unidentifiedDescriptionName: [
				"A red envelope filled with good fortune, given by married couples to friends and family to celebrate new beginnings.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Envelope",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xbc\xbc\xbc\xad",
			identifiedDescriptionName: [
				"A red envelope filled with good fortune, given by married couples to friends and family to celebrate new beginnings.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12135: {
			unidentifiedDisplayName: "Green Ale",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbf\xa1\xc0\xcf",
			unidentifiedDescriptionName: [
				"A wonderfully refreshing drink that may cause stumbling and regrettably hazy memories of the night before when drank in excess.",
				"^000088Restores one half of Maximum HP and SP^000000, but has a 10% chance of auto casting '^880000Confusion^000000' on the user.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			identifiedDisplayName: "Green Ale",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbf\xa1\xc0\xcf",
			identifiedDescriptionName: [
				"A wonderfully refreshing drink that may cause stumbling and regrettably hazy memories of the night before when drank in excess.",
				"^000088Restores one half of Maximum HP and SP^000000, but has a 10% chance of auto casting '^880000Confusion^000000' on the user.",
				"^ffffff_^000000",
				"Weight :^777777 3^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12136: {
			unidentifiedDisplayName: "Women's Bundle",
			unidentifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"If you use it, you can get Chocolate, Candy, Woman Glory or Women's Medal.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Women's Bundle",
			identifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"If you use it, you can get Chocolate, Candy, Woman Glory or Women's Medal.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12137: {
			unidentifiedDisplayName: "First Stage Prize",
			unidentifiedResourceName: "\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"First stage item.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "First Stage Prize",
			identifiedResourceName: "\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"First stage item.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12138: {
			unidentifiedDisplayName: "Second Stage Prize",
			unidentifiedResourceName: "\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"Second stage item.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Second Stage Prize",
			identifiedResourceName: "\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"Second stage item.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12139: {
			unidentifiedDisplayName: "Third Stage Prize",
			unidentifiedResourceName: "\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"Third stage item.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Third Stage Prize",
			identifiedResourceName: "\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"Third stage item.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12140: {
			unidentifiedDisplayName: "Fourth Stage Prize",
			unidentifiedResourceName: "\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"Fourth stage item.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Fourth Stage Prize",
			identifiedResourceName: "\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"Fourth stage item.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12141: {
			unidentifiedDisplayName: "Fifth Stage Prize",
			unidentifiedResourceName: "\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"Fifth stage item.",
				"^ffffff_^000000",
			],
			identifiedDisplayName: "Fifth Stage Prize",
			identifiedResourceName: "\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"Fifth stage item.",
				"^ffffff_^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12142: {
			unidentifiedDisplayName: "Book of Magic",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb8\xb6\xb9\xfd\xbc\xad",
			unidentifiedDescriptionName: [
				"A book of magic written by ^000088Ayala^000000.",
				"Increase your AGI by 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Book of Magic",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb8\xb6\xb9\xfd\xbc\xad",
			identifiedDescriptionName: [
				"A book of magic written by ^000088Ayala^000000.",
				"Increase your AGI by 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12143: {
			unidentifiedDisplayName: "Coca-Cola",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xc4\xb5",
			unidentifiedDescriptionName: [
				"A drink that can quench any thirst. Let's drink it cold!",
				"^000088Restores one quarter of Maximum HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Coca-Cola",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xc4\xb5",
			identifiedDescriptionName: [
				"A drink that can quench any thirst. Let's drink it cold!",
				"^000088Restores one quarter of Maximum HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12144: {
			unidentifiedDisplayName: "Lighting Sphere Pack",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xc7\xb3",
			unidentifiedDescriptionName: [
				"A bullet cartridge that contains 500 Lightning Spheres.",
				"^ffffff_^000000",
				"Weight :^777777 35^000000",
			],
			identifiedDisplayName: "Lightning Sphere Pack",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xc7\xb3",
			identifiedDescriptionName: [
				"A bullet cartridge that contains 500 Lightning Spheres.",
				"^ffffff_^000000",
				"Weight :^777777 35^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12145: {
			unidentifiedDisplayName: "Blind Sphere Pack",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xbe\xcf",
			unidentifiedDescriptionName: [
				"A bullet cartridge that contains 500 Blind Spheres.",
				"^ffffff_^000000",
				"Weight :^777777 35^000000",
			],
			identifiedDisplayName: "Blind Sphere Pack",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xbe\xcf",
			identifiedDescriptionName: [
				"A bullet cartridge that contains 500 Blind Spheres.",
				"^ffffff_^000000",
				"Weight :^777777 35^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12146: {
			unidentifiedDisplayName: "Poison Sphere Pack",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xb5\xb6",
			unidentifiedDescriptionName: [
				"A bullet cartridge that contains 500 Poison Spheres.",
				"^ffffff_^000000",
				"Weight :^777777 35^000000",
			],
			identifiedDisplayName: "Poison Sphere Pack",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xb5\xb6",
			identifiedDescriptionName: [
				"A bullet cartridge that contains 500 Poison Spheres.",
				"^ffffff_^000000",
				"Weight :^777777 35^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12147: {
			unidentifiedDisplayName: "Freezing Sphere Pack",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xbc\xf6",
			unidentifiedDescriptionName: [
				"A bullet cartridge that contains 500 Freezing Spheres.",
				"^ffffff_^000000",
				"Weight :^777777 35^000000",
			],
			identifiedDisplayName: "Freezing Sphere Pack",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xbc\xf6",
			identifiedDescriptionName: [
				"A bullet cartridge that contains 500 Freezing Spheres.",
				"^ffffff_^000000",
				"Weight :^777777 35^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12148: {
			unidentifiedDisplayName: "Flare Sphere Pack",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xc8\xad",
			unidentifiedDescriptionName: [
				"A bullet cartridge that contains 500 Flare Spheres.",
				"^ffffff_^000000",
				"Weight :^777777 35^000000",
			],
			identifiedDisplayName: "Flare Sphere Pack",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xc8\xad",
			identifiedDescriptionName: [
				"A bullet cartridge that contains 500 Flare Spheres.",
				"^ffffff_^000000",
				"Weight :^777777 35^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12149: {
			unidentifiedDisplayName: "Cartridge",
			unidentifiedResourceName: "\xc5\xba\xbe\xe0\xc5\xeb",
			unidentifiedDescriptionName: [
				"A bullet cartridge that contains 500 regular Bullets.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Cartridge",
			identifiedResourceName: "\xc5\xba\xbe\xe0\xc5\xeb",
			identifiedDescriptionName: [
				"A bullet cartridge that contains 500 regular Bullets.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12150: {
			unidentifiedDisplayName: "Blood Cartridge",
			unidentifiedResourceName: "\xc5\xba\xbe\xe0\xc5\xeb\x5f\xba\xed\xb7\xaf\xb5\xe5",
			unidentifiedDescriptionName: [
				"A bullet cartridge that contains 500 Bloody Bullets.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Blood Cartridge",
			identifiedResourceName: "\xc5\xba\xbe\xe0\xc5\xeb\x5f\xba\xed\xb7\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A bullet cartridge that contains 500 Bloody Bullets.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12151: {
			unidentifiedDisplayName: "Silver Cartridge",
			unidentifiedResourceName: "\xc5\xba\xbe\xe0\xc5\xeb\x5f\xbd\xc7\xb9\xf6",
			unidentifiedDescriptionName: [
				"A bullet cartridge that contains 500 Silver Bullets.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Silver Cartridge",
			identifiedResourceName: "\xc5\xba\xbe\xe0\xc5\xeb\x5f\xbd\xc7\xb9\xf6",
			identifiedDescriptionName: [
				"A bullet cartridge that contains 500 Silver Bullets.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12152: {
			unidentifiedDisplayName: "Special Present",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box which contains a gift. ",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Special Present",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box which contains a gift.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12153: {
			unidentifiedDisplayName: "Bowman Scroll 1",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			unidentifiedDescriptionName: [
				"You can summon a Level 1 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Bowman Scroll 1",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			identifiedDescriptionName: [
				"You can summon a Level 1 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12154: {
			unidentifiedDisplayName: "Bowman Scroll 2",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			unidentifiedDescriptionName: [
				"You can summon a Level 2 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Bowman Scroll 2",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			identifiedDescriptionName: [
				"You can summon a Level 2 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12155: {
			unidentifiedDisplayName: "Bowman Scroll 3",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			unidentifiedDescriptionName: [
				"You can summon a Level 3 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Bowman Scroll 3",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			identifiedDescriptionName: [
				"You can summon a Level 3 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12156: {
			unidentifiedDisplayName: "Bowman Scroll 4",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			unidentifiedDescriptionName: [
				"You can summon a Level 4 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Bowman Scroll 4",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			identifiedDescriptionName: [
				"You can summon a Level 4 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12157: {
			unidentifiedDisplayName: "Bowman Scroll 5",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			unidentifiedDescriptionName: [
				"You can summon a Level 5 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Bowman Scroll 5",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			identifiedDescriptionName: [
				"You can summon a Level 5 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12158: {
			unidentifiedDisplayName: "Bowman Scroll 6",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			unidentifiedDescriptionName: [
				"You can summon a Level 6 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Bowman Scroll 6",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			identifiedDescriptionName: [
				"You can summon a Level 6 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12159: {
			unidentifiedDisplayName: "Bowman Scroll 7",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			unidentifiedDescriptionName: [
				"You can summon a Level 7 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Bowman Scroll 7",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			identifiedDescriptionName: [
				"You can summon a Level 7 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12160: {
			unidentifiedDisplayName: "Bowman Scroll 8",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			unidentifiedDescriptionName: [
				"You can summon a Level 8 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Bowman Scroll 8",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			identifiedDescriptionName: [
				"You can summon a Level 8 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12161: {
			unidentifiedDisplayName: "Bowman Scroll 9",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			unidentifiedDescriptionName: [
				"You can summon a Level 9 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Bowman Scroll 9",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			identifiedDescriptionName: [
				"You can summon a Level 9 mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12162: {
			unidentifiedDisplayName: "Bowman Scroll 10",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			unidentifiedDescriptionName: [
				"You can summon the highest level mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Bowman Scroll 10",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc8\xb0",
			identifiedDescriptionName: [
				"You can summon the highest level mercenary Archer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12163: {
			unidentifiedDisplayName: "Fencer Scroll 1",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"You can summon a Level 1 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fencer Scroll 1",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"You can summon a Level 1 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12164: {
			unidentifiedDisplayName: "Fencer Scroll 2",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"You can summon a Level 2 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fencer Scroll 2",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"You can summon a Level 2 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12165: {
			unidentifiedDisplayName: "Fencer Scroll 3",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"You can summon a Level 3 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fencer Scroll 3",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"You can summon a Level 3 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12166: {
			unidentifiedDisplayName: "Fencer Scroll 4",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"You can summon a Level 4 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fencer Scroll 4",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"You can summon a Level 4 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12167: {
			unidentifiedDisplayName: "Fencer Scroll 5",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"You can summon a Level 5 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fencer Scroll 5",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"You can summon a Level 5 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12168: {
			unidentifiedDisplayName: "Fencer Scroll 6",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"You can summon a Level 6 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fencer Scroll 6",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"You can summon a Level 6 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12169: {
			unidentifiedDisplayName: "Fencer Scroll 7",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"You can summon a Level 7 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fencer Scroll 7",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"You can summon a Level 7 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12170: {
			unidentifiedDisplayName: "Fencer Scroll 8",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"You can summon a Level 8 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fencer Scroll 8",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"You can summon a Level 8 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12171: {
			unidentifiedDisplayName: "Fencer Scroll 9",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"You can summon a Level 9 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fencer Scroll 9",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"You can summon a Level 9 mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12172: {
			unidentifiedDisplayName: "Fencer Scroll 10",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"You can summon the highest level mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fencer Scroll 10",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"You can summon the highest level mercenary Swordsman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12173: {
			unidentifiedDisplayName: "Spearman Scroll 1",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			unidentifiedDescriptionName: [
				"You can summon a Level 1 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Spearman Scroll 1",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			identifiedDescriptionName: [
				"You can summon a Level 1 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12174: {
			unidentifiedDisplayName: "Spearman Scroll 2",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			unidentifiedDescriptionName: [
				"You can summon a Level 2 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Spearman Scroll 2",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			identifiedDescriptionName: [
				"You can summon a Level 2 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12175: {
			unidentifiedDisplayName: "Spearman Scroll 3",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			unidentifiedDescriptionName: [
				"You can summon a Level 3 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Spearman Scroll 3",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			identifiedDescriptionName: [
				"You can summon a Level 3 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12176: {
			unidentifiedDisplayName: "Spearman Scroll 4",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			unidentifiedDescriptionName: [
				"You can summon a Level 4 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Spearman Scroll 4",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			identifiedDescriptionName: [
				"You can summon a Level 4 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12177: {
			unidentifiedDisplayName: "Spearman Scroll 5",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			unidentifiedDescriptionName: [
				"You can summon a Level 5 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Spearman Scroll 5",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			identifiedDescriptionName: [
				"You can summon a Level 5 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12178: {
			unidentifiedDisplayName: "Spearman Scroll 6",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			unidentifiedDescriptionName: [
				"You can summon a Level 6 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Spearman Scroll 6",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			identifiedDescriptionName: [
				"You can summon a Level 6 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12179: {
			unidentifiedDisplayName: "Spearman Scroll 7",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			unidentifiedDescriptionName: [
				"You can summon a Level 7 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Spearman Scroll 7",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			identifiedDescriptionName: [
				"You can summon a Level 7 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12180: {
			unidentifiedDisplayName: "Spearman Scroll 8",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			unidentifiedDescriptionName: [
				"You can summon a Level 8 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Spearman Scroll 8",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			identifiedDescriptionName: [
				"You can summon a Level 8 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12181: {
			unidentifiedDisplayName: "Spearman Scroll 9",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			unidentifiedDescriptionName: [
				"You can summon a Level 9 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Spearman Scroll 9",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			identifiedDescriptionName: [
				"You can summon a Level 9 mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12182: {
			unidentifiedDisplayName: "Spearman Scroll 10",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			unidentifiedDescriptionName: [
				"You can summon the highest level mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Spearman Scroll 10",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xc3\xa2",
			identifiedDescriptionName: [
				"You can summon the highest level mercenary Spearman.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12183: {
			unidentifiedDisplayName: "Holy Arrow Quiver",
			unidentifiedResourceName: "\xc0\xba\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Holy Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			identifiedDisplayName: "Holy Arrow Quiver",
			identifiedResourceName: "\xc0\xba\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Holy Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12184: {
			unidentifiedDisplayName: "Mercenary Red Potion",
			unidentifiedResourceName: "\xbf\xeb\xba\xb4\xbf\xeb\xbb\xa1\xb0\xa3\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"An HP potion distributed by the Mercenary guild only for Mercenaries.",
				"Can not be used by players.",
				"Effect :^000088 Recovers 1000 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mercenary Red Potion",
			identifiedResourceName: "\xbf\xeb\xba\xb4\xbf\xeb\xbb\xa1\xb0\xa3\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"An HP potion distributed by the Mercenary guild only for Mercenaries.",
				"Can not be used by players.",
				"Effect :^000088 Recovers 1000 HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12185: {
			unidentifiedDisplayName: "Mercenary Blue Potion",
			unidentifiedResourceName: "\xbf\xeb\xba\xb4\xbf\xeb\xc6\xc4\xb6\xf5\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"An SP potion distributed by the Mercenary guild only for Mercenaries.",
				"Can not be used by players.",
				"Effect :^000088 Recovers 100 SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mercenary Blue Potion",
			identifiedResourceName: "\xbf\xeb\xba\xb4\xbf\xeb\xc6\xc4\xb6\xf5\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"An SP potion distributed by the Mercenary guild only for Mercenaries.",
				"Can not be used by players.",
				"Effect :^000088 Recovers 100 SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12186: {
			unidentifiedDisplayName: "Old Red Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that glows with a mysterious, red color. If you open it, something good may be inside.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Old Red Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that glows with a mysterious, red color. If you open it, something good may be inside.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12187: {
			unidentifiedDisplayName: "Old Green Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that glows with a mysterious, green color. If you open it, something good may be inside.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Old Green Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that glows with a mysterious, green color. If you open it, something good may be inside.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12188: {
			unidentifiedDisplayName: "Grace Moon Cake",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A moon cake made by grace of moon fairy.",
				"Increase HP and SP Recovery by 50%.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Grace Moon Cake",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A moon cake made by grace of moon fairy.",
				"Increase HP and SP Recovery by 50%.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12189: {
			unidentifiedDisplayName: "Old Red Box 2",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that glows with a mysterious, red color. If you open it, something good may be inside.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Old Red Box 2",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that glows with a mysterious, red color. If you open it, something good may be inside.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12190: {
			unidentifiedDisplayName: "Moon Cake",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A sweet and finest moon cake. It makes your body feel light.",
				"^000088Temporarily Increase Movement Speed^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Moon Cake",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A sweet and finest moon cake. It makes your body feel light.",
				"^000088Temporarily Increase Movement Speed^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12191: {
			unidentifiedDisplayName: "Special Moon Cake",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"A special moon cake. It is fragrant and the silver one grade taste is born. When it eats and the body comes to be light and the impression which comes to be nimble holds.",
				"^000088Temporarily Increase Attack Speed, Increase Movement Speed^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Special Moon Cake",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"A special moon cake. It is fragrant and the silver one grade taste is born. When it eats and the body comes to be light and the impression which comes to be nimble holds.",
				"^000088Temporarily Increase Attack Speed, Increase Movement Speed^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12192: {
			unidentifiedDisplayName: "Pumpkin Pie",
			unidentifiedResourceName: "\xc8\xa3\xb9\xda\xc6\xc4\xc0\xcc",
			unidentifiedDescriptionName: [
				"Pie made of Pumpkin by Hoirin which gives spiritual strength.",
				"^000088Recover a small amount of HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pumpkin Pie",
			identifiedResourceName: "\xc8\xa3\xb9\xda\xc6\xc4\xc0\xcc",
			identifiedDescriptionName: [
				"Pie made of Pumpkin by Hoirin which gives spiritual strength.",
				"^000088Recover a small amount of HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12193: {
			unidentifiedDisplayName: "Pretzel",
			unidentifiedResourceName: "\xba\xea\xb8\xae\xc1\xa9",
			unidentifiedDescriptionName: [
				"Looks so yummy that you will feel like to have a bite instantly.",
				"^000088Recover a small amount of HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Pretzel",
			identifiedResourceName: "\xba\xea\xb8\xae\xc1\xa9",
			identifiedDescriptionName: [
				"Looks so yummy that you will feel like to have a bite instantly.",
				"^000088Recover a small amount of HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12194: {
			unidentifiedDisplayName: "Hometown Gift",
			unidentifiedResourceName: "\xb0\xed\xc7\xe2\xbc\xb1\xb9\xb0",
			unidentifiedDescriptionName: [
				"A small bundle that reminds you of your hometown, you will feel warmth when hold it in your hand.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Hometown Gift",
			identifiedResourceName: "\xb0\xed\xc7\xe2\xbc\xb1\xb9\xb0",
			identifiedDescriptionName: [
				"A small bundle that reminds you of your hometown, you will feel warmth when hold it in your hand.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12195: {
			unidentifiedDisplayName: "Plain Rice Cake",
			unidentifiedResourceName: "\xb4\xe3\xb9\xe9\xc7\xd1\xb6\xb1",
			unidentifiedDescriptionName: [
				"Delicious, pure flavored liquor cookies.",
				"^000088Restores small amount of SP^000000",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Plain Rice Cake",
			identifiedResourceName: "\xb4\xe3\xb9\xe9\xc7\xd1\xb6\xb1",
			identifiedDescriptionName: [
				"Delicious, pure flavored liquor cookies.",
				"^000088Restores small amount of SP^000000",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12196: {
			unidentifiedDisplayName: "Hearty Rice Cake",
			unidentifiedResourceName: "\xb5\xe7\xb5\xe7\xc7\xd1\xb6\xb1",
			unidentifiedDescriptionName: [
				"A white biscuit that makes you feel full once you??ve eaten it.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Hearty Rice Cake",
			identifiedResourceName: "\xb5\xe7\xb5\xe7\xc7\xd1\xb6\xb1",
			identifiedDescriptionName: [
				"A white biscuit that makes you feel full once you??ve eaten it.",
				"^000088Recover a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12197: {
			unidentifiedDisplayName: "Salty Rice Cake",
			unidentifiedResourceName: "\xc2\xac\xc2\xa9\xc7\xd1\xb6\xb1",
			unidentifiedDescriptionName: [
				"A salty flavored biscuit.",
				"^000088Recover a small amount of HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Salty Rice Cake",
			identifiedResourceName: "\xc2\xac\xc2\xa9\xc7\xd1\xb6\xb1",
			identifiedDescriptionName: [
				"A salty flavored biscuit.",
				"^000088Recover a small amount of HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12198: {
			unidentifiedDisplayName: "Lucky Rice Cake",
			unidentifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xb6\xb1",
			unidentifiedDescriptionName: [
				"Biscuit mixed with the flavor of Vanilla.",
				"LUK + 21",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Lucky Rice Cake",
			identifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xb6\xb1",
			identifiedDescriptionName: [
				"Biscuit mixed with the flavor of Vanilla.",
				"LUK + 21",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12199: {
			unidentifiedDisplayName: "Scroll of Magic",
			unidentifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"The tasty smell from the paper.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Scroll of Magic",
			identifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"The tasty smell from the paper.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12200: {
			unidentifiedDisplayName: "X-mas Cake",
			unidentifiedResourceName: "\xc1\xb6\xb0\xa2\xc4\xc9\xc0\xcc\xc5\xa9",
			unidentifiedDescriptionName: [
				"A Christmas Cake which is only available during the Christmas season.",
				"^000088Recover a small amount of HP^000000.",
				"Cast ^008800Level 3 Magnificat^000000 by chance.",
				"Active Period :^000088 2006 December 11th ~ 2007 January 3rd^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "X-mas Cake",
			identifiedResourceName: "\xc1\xb6\xb0\xa2\xc4\xc9\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"A Christmas Cake which is only available during the Christmas season.",
				"^000088Recover a small amount of HP^000000.",
				"Cast ^008800Level 3 Magnificat^000000 by chance.",
				"Active Period :^000088 2006 December 11th ~ 2007 January 3rd^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12201: {
			unidentifiedDisplayName: "Commonplace Red Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"The criticism which is the possibility of seeing frequently the red box which it commits.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Commonplace Red Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"The criticism which is the possibility of seeing frequently the red box which it commits.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12202: {
			unidentifiedDisplayName: "Steamed Tongue",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"The epitome of Louyang cuisine. It's ingredients may be hard to find, but culinarily speaking, it's a masterpiece.",
				"STR + 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Tongue",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"The epitome of Louyang cuisine. It's ingredients may be hard to find, but culinarily speaking, it's a masterpiece.",
				"STR + 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12203: {
			unidentifiedDisplayName: "Steamed Scorpion",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"One of the four best dishes in the Sograt Desert, this scorpion dish is cooked using the heat of the desert sands.",
				"AGI + 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Scorpion",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"One of the four best dishes in the Sograt Desert, this scorpion dish is cooked using the heat of the desert sands.",
				"AGI + 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12204: {
			unidentifiedDisplayName: "Dragon Breath Cocktail",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"A cocktail with an unforgettable flavor as impressive as a dragon's breath.",
				"INT + 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Breath Cocktail",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"A cocktail with an unforgettable flavor as impressive as a dragon's breath.",
				"INT + 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12205: {
			unidentifiedDisplayName: "Hwergelmir's Tonic",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"Named after the legendary spring believed to be the source of the world's rivers, this beverage is famous for its amazing taste.",
				"DEX + 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hwergelmir's Tonic",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"Named after the legendary spring believed to be the source of the world's rivers, this beverage is famous for its amazing taste.",
				"DEX + 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12206: {
			unidentifiedDisplayName: "Cooked Nine Tail's Tails",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"A rare specialty dish from Payon that bestows luck on those fortunate enough to eat it.",
				"LUK + 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cooked Nine Tail's Tails",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"A rare specialty dish from Payon that bestows luck on those fortunate enough to eat it.",
				"LUK + 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12207: {
			unidentifiedDisplayName: "Stew Of Immortality",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"A stew with a funky smell that looks quite suspicious, but it really does give the feeling of immortality.",
				"VIT + 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stew Of Immortality",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"A stew with a funky smell that looks quite suspicious, but it really does give the feeling of immortality.",
				"VIT + 10 for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12208: {
			unidentifiedDisplayName: "Battle Manual",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			unidentifiedDescriptionName: [
				"A manual that explains the effective way of the battle. It is a very detailed and well composed manual.",
				"^000088Exp rate is increased to 50% for 30 minutes^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Battle Manual",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			identifiedDescriptionName: [
				"A manual that explains the effective way of the battle. It is a very detailed and well composed manual.",
				"^000088Exp rate is increased to 50% for 30 minutes^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12209: {
			unidentifiedDisplayName: "Life Insurance",
			unidentifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			unidentifiedDescriptionName: [
				"A life insurance certificate issued by Kafra Center.",
				"Once the player receives the benefit from this certificate, the item will lose its effect.",
				"If the character dies within the 30 minutes duration, no loss of EXP will be made.",
				"Corrected display suppose to be will not lose any experience the first time you ko'ed.",
				"The effect will disappear after your first KO'.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Life Insurance",
			identifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			identifiedDescriptionName: [
				"A life insurance certificate issued by Kafra Center.",
				"Once the player receives the benefit from this certificate, the item will lose its effect.",
				"If the character dies within the 30 minutes duration, no loss of EXP will be made.",
				"Corrected display suppose to be will not lose any experience the first time you ko'ed.",
				"The effect will disappear after your first KO'.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12210: {
			unidentifiedDisplayName: "Bubble Gum",
			unidentifiedResourceName: "\xc7\xb3\xbc\xb1\xb2\xad",
			unidentifiedDescriptionName: [
				"Tasty and sweet bubble gum.",
				"Within the 30 minutes duration after eating it,",
				"Item drop rate increase by 100% for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bubble Gum",
			identifiedResourceName: "\xc7\xb3\xbc\xb1\xb2\xad",
			identifiedDescriptionName: [
				"Tasty and sweet bubble gum.",
				"Within the 30 minutes duration after eating it,",
				"Item drop rate increase by 100% for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12211: {
			unidentifiedDisplayName: "Kafra Card",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xc7\xd4",
			unidentifiedDescriptionName: [
				"Kafra name card issued by the Kafra Center.",
				"The Kafra will be in service once the call is made.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kafra Card",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xc7\xd4",
			identifiedDescriptionName: [
				"Kafra name card issued by the Kafra Center.",
				"The Kafra will be in service once the call is made.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12212: {
			unidentifiedDisplayName: "Giant Fly Wing",
			unidentifiedResourceName: "\xb0\xc5\xb4\xeb\xc7\xd1\xc6\xc4\xb8\xae\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"Enchanted giant wing which lived in ancient times.",
				"Allows to teleport many people at once to random areas when used by party master.",
				"All the party members in the same map will move to the location where the party leader is sent.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Fly Wing",
			identifiedResourceName: "\xb0\xc5\xb4\xeb\xc7\xd1\xc6\xc4\xb8\xae\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"Enchanted giant wing which lived in ancient times.",
				"Allows to teleport many people at once to random areas when used by party master.",
				"All the party members in the same map will move to the location where the party leader is sent.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12213: {
			unidentifiedDisplayName: "Neuralizer",
			unidentifiedResourceName: "\xbc\xb6\xb1\xa4\xb8\xb7\xb4\xeb",
			unidentifiedDescriptionName: [
				"Pressing the button on this stick will flash blinding light that seems to cause",
				"memory loss. Resets the Skill Tree and gives the corresponding number of Skill Points.",
				"This item can only be used in town, and the character must carry 0 weight, and can not be",
				"equipped with a Pushcart, Falcon, or PecoPeco. Can not be used by Novice Class.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neuralizer",
			identifiedResourceName: "\xbc\xb6\xb1\xa4\xb8\xb7\xb4\xeb",
			identifiedDescriptionName: [
				"Pressing the button on this stick will flash blinding light that seems to cause",
				"memory loss. Resets the Skill Tree and gives the corresponding number of Skill Points.",
				"This item can only be used in town, and the character must carry 0 weight, and can not be",
				"equipped with a Pushcart, Falcon, or PecoPeco. Can not be used by Novice Class.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12214: {
			unidentifiedDisplayName: "Convex Mirror",
			unidentifiedResourceName: "\xba\xbc\xb7\xcf\xb0\xc5\xbf\xef",
			unidentifiedDescriptionName: [
				"A clean convex mirror that can be used to detect the appearance of Boss Monsters exists in the map.",
				"If the Boss Monster exists, its location will be indicated on the mini map during the active duration of this item.",
				"10 minute duration that is canceled when the player leaves the map or logs out.",
				"Lord of the Dead, and Boss Monsters in the Bio Lab, Ktullanux,Memory of Thanatos,",
				"And some other event MVP monsters can not be detected by using this item.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Convex Mirror",
			identifiedResourceName: "\xba\xbc\xb7\xcf\xb0\xc5\xbf\xef",
			identifiedDescriptionName: [
				"A clean convex mirror that can be used to detect the appearance of Boss Monsters exists in the map.",
				"If the Boss Monster exists, its location will be indicated on the mini map during the active duration of this item.",
				"10 minute duration that is canceled when the player leaves the map or logs out.",
				"Lord of the Dead, and Boss Monsters in the Bio Lab, Ktullanux,Memory of Thanatos,",
				"And some other event MVP monsters can not be detected by using this item.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12215: {
			unidentifiedDisplayName: "LV10 Blessing Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Blessing^000000.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "LV10 Blessing Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Blessing^000000.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12216: {
			unidentifiedDisplayName: "LV10 Agil Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Increase Agility^000000.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"This item consumes 15 HP and will be ineffective if the character has fewer than 15 HP.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "LV10 Agil Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Increase Agility^000000.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"This item consumes 15 HP and will be ineffective if the character has fewer than 15 HP.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12217: {
			unidentifiedDisplayName: "LV5 Aspersio Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Aspersio^000000.",
				"Scroll will get damaged if there is no Holy Water.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "LV5 Aspersio Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Aspersio^000000.",
				"Scroll will get damaged if there is no Holy Water.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12218: {
			unidentifiedDisplayName: "LV5 Assumptio Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Assumtio^000000.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "LV5 Assumptio Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Assumtio^000000.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12219: {
			unidentifiedDisplayName: "LV10 Wind Walker Scroll",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc7\xb3",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Wind Walk^000000.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "LV10 Wind Walker Scroll",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc7\xb3",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Wind Walk^000000.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12220: {
			unidentifiedDisplayName: "LV5 Adrenaline Scroll",
			unidentifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Adrenaline Rush^000000.",
				"Caution-This item won't work while your character is casting a spell or skill.",
				"Caution - If the user is not equipped with an Axe Weapon, the scroll will be gone without giving any effect.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "LV5 Adrenaline Scroll",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Adrenaline Rush^000000.",
				"Caution-This item won't work while your character is casting a spell or skill.",
				"Caution - If the user is not equipped with an Axe Weapon, the scroll will be gone without giving any effect.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12221: {
			unidentifiedDisplayName: "Megaphone",
			unidentifiedResourceName: "\xc8\xae\xbc\xba\xb1\xe2",
			unidentifiedDescriptionName: [
				"A trumpet shape mechanism that can be carried with hand. If you put it near your mouth when you're talking, it has the ability to send your voice further. ",
				"Allows you to broadcast your speech in the server.",
				"Warning - It can be used once every 3 minutes now or the effect will be gone.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Megaphone",
			identifiedResourceName: "\xc8\xae\xbc\xba\xb1\xe2",
			identifiedDescriptionName: [
				"A trumpet shape mechanism that can be carried with hand. If you put it near your mouth when you're talking, it has the ability to send your voice further.",
				"Allows you to broadcast your speech in the server.",
				"Warning - It can be used once every 3 minutes now or the effect will be gone.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12225: {
			unidentifiedDisplayName: "Sweet Candy Cane",
			unidentifiedResourceName: "\xb8\xb7\xb4\xeb\xbb\xe7\xc5\xc1",
			unidentifiedDescriptionName: [
				"A Candy Cane which is sweet enough to melt your tongue.",
				"It's far too sweet for humans to eat but Christmas Goblins may like it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Sweet Candy Cane",
			identifiedResourceName: "\xb8\xb7\xb4\xeb\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"A Candy Cane which is sweet enough to melt your tongue.",
				"It's far too sweet for humans to eat but Christmas Goblins may like it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12226: {
			unidentifiedDisplayName: "Examination1",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Examination1",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12227: {
			unidentifiedDisplayName: "Examination2",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Examination2",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12228: {
			unidentifiedDisplayName: "Examination3",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Examination3",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12229: {
			unidentifiedDisplayName: "Examination4",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Examination4",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12230: {
			unidentifiedDisplayName: "Examination5",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Examination5",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12231: {
			unidentifiedDisplayName: "Examination6",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Examination6",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12232: {
			unidentifiedDisplayName: "Ginger Bread",
			unidentifiedResourceName: "\xbb\xfd\xb0\xad\xbb\xa7",
			unidentifiedDescriptionName: [
				"Square flat pastry from the milk, the flour, the honey and other products.",
				"The rate of movement and attack is increased for 15 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Ginger Bread",
			identifiedResourceName: "\xbb\xfd\xb0\xad\xbb\xa7",
			identifiedDescriptionName: [
				"Square flat pastry from the milk, the flour, the honey and other products.",
				"The rate of movement and attack is increased for 15 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12233: {
			unidentifiedDisplayName: "Kvass",
			unidentifiedResourceName: "\xc5\xa9\xb9\xd9\xbd\xba",
			unidentifiedDescriptionName: [
				"Foam beverage of brown color. Looks like home-brewed beer, but nonalcoholic.",
				"Traditionally it is drank out of the figured wineglasses.",
				"^000088Recovers HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Kvass",
			identifiedResourceName: "\xc5\xa9\xb9\xd9\xbd\xba",
			identifiedDescriptionName: [
				"Foam beverage of brown color. Looks like home-brewed beer, but nonalcoholic.",
				"Traditionally it is drank out of the figured wineglasses.",
				"^000088Recovers HP and SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12234: {
			unidentifiedDisplayName: "Fierce Cacao 99%",
			unidentifiedResourceName: "\xc4\xab\xc4\xab\xbf\xc0\x39\x39",
			unidentifiedDescriptionName: [
				"This is the original genuine chocolate! It has 99% Cacao content.",
				"Absolutely the flavor is quite bitter but some maniacs love it.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fierce Cacao 99%",
			identifiedResourceName: "\xc4\xab\xc4\xab\xbf\xc0\x39\x39",
			identifiedDescriptionName: [
				"This is the original genuine chocolate! It has 99% Cacao content.",
				"Absolutely the flavor is quite bitter but some maniacs love it.",
				"^000088Recovers a small amount of HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12235: {
			unidentifiedDisplayName: "Chocolate Strawberry",
			unidentifiedResourceName: "\xb5\xfe\xb1\xe2\xc3\xca\xc4\xdd\xb7\xbf",
			unidentifiedDescriptionName: [
				"A new type chocolate that a fresh strawberry is coated with a chocolate.",
				"You can taste its sweet flavor with the savor of a fresh strawberry.",
				"^000088Recovers a small amount of SP^000000.",
				"Cast ^008800Level 5 Blessing^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Chocolate Strawberry",
			identifiedResourceName: "\xb5\xfe\xb1\xe2\xc3\xca\xc4\xdd\xb7\xbf",
			identifiedDescriptionName: [
				"A new type chocolate that a fresh strawberry is coated with a chocolate.",
				"You can taste its sweet flavor with the savor of a fresh strawberry.",
				"^000088Recovers a small amount of SP^000000.",
				"Cast ^008800Level 5 Blessing^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12236: {
			unidentifiedDisplayName: "Chocolate Tart",
			unidentifiedResourceName: "\xc3\xca\xc4\xdd\xb7\xbf\xc5\xb8\xb8\xa3\xc6\xae",
			unidentifiedDescriptionName: [
				"A well-baked tart that filled with fresh-cream blended soft chocolate.",
				"^000088Recovers a small amount of HP^000000.",
				"Cast ^008800Level 5 Angelus^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Chocolate Tart",
			identifiedResourceName: "\xc3\xca\xc4\xdd\xb7\xbf\xc5\xb8\xb8\xa3\xc6\xae",
			identifiedDescriptionName: [
				"A well-baked tart that filled with fresh-cream blended soft chocolate.",
				"^000088Recovers a small amount of HP^000000.",
				"Cast ^008800Level 5 Angelus^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12237: {
			unidentifiedDisplayName: "Junky Chocolate",
			unidentifiedResourceName: "\xc3\xca\xc4\xdd\xb7\xbf\xb5\xa2\xbe\xee\xb8\xae",
			unidentifiedDescriptionName: [
				"A dollop of unidentified black thing. If you examine it closely, you may recognize that it is a chocolate.",
				"What happened with this chocolate?",
				"^000088Recovers a small amount of SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Junky Chocolate",
			identifiedResourceName: "\xc3\xca\xc4\xdd\xb7\xbf\xb5\xa2\xbe\xee\xb8\xae",
			identifiedDescriptionName: [
				"A dollop of unidentified black thing. If you examine it closely, you may recognize that it is a chocolate.",
				"What happened with this chocolate?",
				"^000088Recovers a small amount of SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12238: {
			unidentifiedDisplayName: "New Year Rice Cake",
			unidentifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xb6\xb1",
			unidentifiedDescriptionName: [
				"It is old but from when it eats and the stomach disorder is same the day thing.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "New Year Rice Cake",
			identifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xb6\xb1",
			identifiedDescriptionName: [
				"It is old but from when it eats and the stomach disorder is same the day thing.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12239: {
			unidentifiedDisplayName: "New Year Rice Cake",
			unidentifiedResourceName: "\xc2\xac\xc2\xa9\xc7\xd1\xb6\xb1",
			unidentifiedDescriptionName: [
				"It is old but from when it eats and the stomach disorder is same the day thing.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "New Year Rice Cake",
			identifiedResourceName: "\xc2\xac\xc2\xa9\xc7\xd1\xb6\xb1",
			identifiedDescriptionName: [
				"It is old but from when it eats and the stomach disorder is same the day thing.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12240: {
			unidentifiedDisplayName: "Old Yellow Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"The box which the color fades very old yellow. What will come out and anyone which falls it does not know.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Old Yellow Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"The box which the color fades very old yellow. What will come out and anyone which falls it does not know.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12241: {
			unidentifiedDisplayName: "Mercenary Concentration Potion",
			unidentifiedResourceName: "\xc1\xfd\xc1\xdf\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A Potion from the Mercenary guild which increases Attack Speed. Can not be used by players.",
				"Increases the Attack Speed of a players Mercenary by 10%.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mercenary Concentration Potion",
			identifiedResourceName: "\xc1\xfd\xc1\xdf\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A Potion from the Mercenary guild which increases Attack Speed. Can not be used by players.",
				"Increases the Attack Speed of a players Mercenary by 10%.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12242: {
			unidentifiedDisplayName: "Mercenary Awakening Potion",
			unidentifiedResourceName: "\xb0\xa2\xbc\xba\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A Potion from the Mercenary guild which increases Attack Speed. Can not be used by players.",
				"Increases the Attack Speed of a players Mercenary by 15%.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mercenary Awakening Potion",
			identifiedResourceName: "\xb0\xa2\xbc\xba\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A Potion from the Mercenary guild which increases Attack Speed. Can not be used by players.",
				"Increases the Attack Speed of a players Mercenary by 15%.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12243: {
			unidentifiedDisplayName: "Mercenary Berserk Potion",
			unidentifiedResourceName: "\xb9\xf6\xbc\xad\xc5\xa9\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A Potion from the Mercenary guild which increases Attack Speed. Can not be used by players.",
				"Increases the Attack Speed of a players Mercenary by 20%.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mercenary Berserk Potion",
			identifiedResourceName: "\xb9\xf6\xbc\xad\xc5\xa9\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A Potion from the Mercenary guild which increases Attack Speed. Can not be used by players.",
				"Increases the Attack Speed of a players Mercenary by 20%.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12244: {
			unidentifiedDisplayName: "Old Gift Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"Some the gift box which seems old. The silence will not be included pedigree the deep futures.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Old Gift Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"Some the gift box which seems old. The silence will not be included pedigree the deep futures.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12245: {
			unidentifiedDisplayName: "Green Ale",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb0\xbf\xa1\xc0\xcf",
			unidentifiedDescriptionName: [
				"A frothy green ale brewed by O'Riley the Leprechaun.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Green Ale",
			identifiedResourceName: "\xb1\xd7\xb8\xb0\xbf\xa1\xc0\xcf",
			identifiedDescriptionName: [
				"A frothy green ale brewed by O'Riley the Leprechaun.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12246: {
			unidentifiedDisplayName: "Mystical Card Album",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"Powerful spirits are sealed within this album.",
				"What will happen if the seal is undone?",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Mystical Card Album",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"Powerful spirits are sealed within this album.",
				"What will happen if the seal is undone?",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12247: {
			unidentifiedDisplayName: "Halo-Halo",
			unidentifiedResourceName: "\xc7\xd2\xb7\xce\xc7\xd2\xb7\xce",
			unidentifiedDescriptionName: [
				"A glass of sweetened fruits and desserts served with crushed ice and lots of milk. A Filipino dessert that never fails to help quench the summer heat.",
				"All Stats +3 for 10 minute duration.",
				"Limited to Level 20 or above players.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Halo-Halo",
			identifiedResourceName: "\xc7\xd2\xb7\xce\xc7\xd2\xb7\xce",
			identifiedDescriptionName: [
				"A glass of sweetened fruits and desserts served with crushed ice and lots of milk. A Filipino dessert that never fails to help quench the summer heat.",
				"All Stats +3 for 10 minute duration.",
				"Limited to Level 20 or above players.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12248: {
			unidentifiedDisplayName: "Fancy Ball Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing Fancy Ball ornament.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fancy Ball Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing Fancy Ball ornament.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12249: {
			unidentifiedDisplayName: "Payment Statement for Kafra Employee",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xbc\xbc\xbc\xad",
			unidentifiedDescriptionName: [
				"A payment statement for the Kafra Employees.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Payment Statement for Kafra Employee",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xbc\xbc\xbc\xad",
			identifiedDescriptionName: [
				"A payment statement for the Kafra Employees.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12250: {
			unidentifiedDisplayName: "Steamed Tongue 60",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"The epitome of Louyang cuisine. It's ingredients may be hard to find, but culinarily speaking, it's a masterpiece.",
				"STR + 10 for 1 hours.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Tongue 60",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"The epitome of Louyang cuisine. It's ingredients may be hard to find, but culinarily speaking, it's a masterpiece.",
				"STR + 10 for 1 hours.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12251: {
			unidentifiedDisplayName: "Steamed Scorpion 60",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"One of the four best dishes in the Sograt Desert, this scorpion dish is cooked using the heat of the desert sands.",
				"AGI + 10 for 1 hours.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Scorpion 60",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"One of the four best dishes in the Sograt Desert, this scorpion dish is cooked using the heat of the desert sands.",
				"AGI + 10 for 1 hours.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12252: {
			unidentifiedDisplayName: "Dragon Breath Cocktail 60",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"A cocktail with an unforgettable flavor as impressive as a dragon's breath.",
				"INT + 10 for 1 hours.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Breath Cocktail 60",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"A cocktail with an unforgettable flavor as impressive as a dragon's breath.",
				"INT + 10 for 1 hours.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12253: {
			unidentifiedDisplayName: "Hwergelmir's Tonic 60",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"Named after the legendary spring believed to be the source of the world's rivers, this beverage is famous for its amazing taste.",
				"DEX + 10 for 1 hours.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hwergelmir's Tonic 60",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"Named after the legendary spring believed to be the source of the world's rivers, this beverage is famous for its amazing taste.",
				"DEX + 10 for 1 hours.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12254: {
			unidentifiedDisplayName: "Cooked Nine Tail's Tails 60",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"A rare specialty dish from Payon that bestows luck on those fortunate enough to eat it.",
				"LUK + 10 for 1 hours.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cooked Nine Tail's Tails 60",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"A rare specialty dish from Payon that bestows luck on those fortunate enough to eat it.",
				"LUK + 10 for 1 hours.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12255: {
			unidentifiedDisplayName: "Stew Of Immortality 60",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"A stew with a funky smell that looks quite suspicious, but it really does give the feeling of immortality.",
				"VIT + 10 for 1 hour.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stew Of Immortality 60",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"A stew with a funky smell that looks quite suspicious, but it really does give the feeling of immortality.",
				"VIT + 10 for 1 hour.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12256: {
			unidentifiedDisplayName: "PRO Gfit Box",
			unidentifiedResourceName: "\x50\x52\x4f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Item to celebrate 4th anniversary of RO in Philipine.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "PRO Gift Box",
			identifiedResourceName: "\x50\x52\x4f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Item to celebrate 4th anniversary of RO in Philipine.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12257: {
			unidentifiedDisplayName: "Cold Medicine",
			unidentifiedResourceName: "\xb0\xa8\xb1\xe2\xbe\xe0",
			unidentifiedDescriptionName: [
				"A white pill that helps your body to overcome cold.",
				"The consumer's HP and SP will be restored by 25%.",
				"Required Level :^777777 50^000000",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Cold Medicine",
			identifiedResourceName: "\xb0\xa8\xb1\xe2\xbe\xe0",
			identifiedDescriptionName: [
				"A white pill that helps your body to overcome cold.",
				"The consumer's HP and SP will be restored by 25%.",
				"Required Level :^777777 50^000000",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12258: {
			unidentifiedDisplayName: "Bombring Capsule",
			unidentifiedResourceName: "\xc6\xf8\xc5\xba\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing Bomb Poring. When it used, the Bomb Poring was recalled all.",
				"It does not have to use from amiableness surroundings end.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bombring Capsule",
			identifiedResourceName: "\xc6\xf8\xc5\xba\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing Bomb Poring. When it used, the Bomb Poring was recalled all.",
				"It does not have to use from amiableness surroundings end.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12259: {
			unidentifiedDisplayName: "Miracle Tonic",
			unidentifiedResourceName: "\xc3\xe6\xc0\xfd\xc0\xc7\xc1\xf5\xb0\xc5",
			unidentifiedDescriptionName: [
				"An enchanted tonic that made by a dream flower.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Miracle Tonic",
			identifiedResourceName: "\xc3\xe6\xc0\xfd\xc0\xc7\xc1\xf5\xb0\xc5",
			identifiedDescriptionName: [
				"An enchanted tonic that made by a dream flower.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12260: {
			unidentifiedDisplayName: "Cool Summer Outfit",
			unidentifiedResourceName: "\xbd\xc3\xbf\xf8\xc7\xd1\xbf\xa9\xb8\xa7\xc0\xc7\xbb\xf3",
			unidentifiedDescriptionName: [
				"It's a limited Summer Item. It's cool Summer clothing for outside. If you wear it, you'll be like the light and fly away.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Cool Summer Outfit",
			identifiedResourceName: "\xbd\xc3\xbf\xf8\xc7\xd1\xbf\xa9\xb8\xa7\xc0\xc7\xbb\xf3",
			identifiedDescriptionName: [
				"It's a limited Summer Item. It's cool Summer clothing for outside. If you wear it, you'll be like the light and fly away.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12261: {
			unidentifiedDisplayName: "Miracle Medicine",
			unidentifiedResourceName: "\xc3\xe6\xc0\xfd\xc0\xc7\xc1\xf5\xb0\xc5",
			unidentifiedDescriptionName: [
				"Refined the root of the flower of fantasy and the liquid medicine which it made.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Miracle Medicine",
			identifiedResourceName: "\xc3\xe6\xc0\xfd\xc0\xc7\xc1\xf5\xb0\xc5",
			identifiedDescriptionName: [
				"Refined the root of the flower of fantasy and the liquid medicine which it made.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12262: {
			unidentifiedDisplayName: "Authoritative Badge",
			unidentifiedResourceName: "\xb8\xb6\xc6\xd0",
			unidentifiedDescriptionName: [
				"A badge made out of bronze that was used in an ancient Asian country.",
				"It was given to government officials who went on business trips and they could use this badge to rent horses anywhere.",
				"^000088Temporarily increases Movement Speed^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Authoritative Badge",
			identifiedResourceName: "\xb8\xb6\xc6\xd0",
			identifiedDescriptionName: [
				"A badge made out of bronze that was used in an ancient Asian country.",
				"It was given to government officials who went on business trips and they could use this badge to rent horses anywhere.",
				"^000088Temporarily increases Movement Speed^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12263: {
			unidentifiedDisplayName: "Field Manual",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			unidentifiedDescriptionName: [
				"A manual that explains the effective way of the battle. It is a very detailed and well composed manual.",
				"^000088Exp rate is increased to 50% for 30 minutes^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Field Manual",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			identifiedDescriptionName: [
				"A manual that explains the effective way of the battle. It is a very detailed and well composed manual.",
				"^000088Exp rate is increased to 50% for 30 minutes^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12264: {
			unidentifiedDisplayName: "Bubble Gum",
			unidentifiedResourceName: "\xc7\xb3\xbc\xb1\xb2\xad",
			unidentifiedDescriptionName: [
				"Tasty and sweet bubble gum.",
				"Within the 30 minutes duration after eating it,",
				"Item drop rate increase by 100% for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bubble Gum",
			identifiedResourceName: "\xc7\xb3\xbc\xb1\xb2\xad",
			identifiedDescriptionName: [
				"Tasty and sweet bubble gum.",
				"Within the 30 minutes duration after eating it,",
				"Item drop rate increase by 100% for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12265: {
			unidentifiedDisplayName: "Life Insurrance",
			unidentifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			unidentifiedDescriptionName: [
				"A life insurance certificate issued by Kafra Center.",
				"Once the player receives the benefit from this certificate, the item will lose its effect.",
				"If the character dies within the 30 minutes duration, no loss of EXP will be made.",
				"Corrected display suppose to be will not lose any experience the first time you ko'ed.",
				"The effect will disappear after your first KO'.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Life Insurrance",
			identifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			identifiedDescriptionName: [
				"A life insurance certificate issued by Kafra Center.",
				"Once the player receives the benefit from this certificate, the item will lose its effect.",
				"If the character dies within the 30 minutes duration, no loss of EXP will be made.",
				"Corrected display suppose to be will not lose any experience the first time you ko'ed.",
				"The effect will disappear after your first KO'.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12266: {
			unidentifiedDisplayName: "Sesame Pastry",
			unidentifiedResourceName: "\xb4\xd9\xbd\xc4",
			unidentifiedDescriptionName: [
				"Doughy, chewy snacks made out of pine pollen, chestnut flour and honey, which enhance the flavor of teas.",
				"Embossed with the characters for safety, luck and longevity, these cookies are made to wish good fortune to those who eat them.",
				"Temporarily increases HIT by 30.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Sesame Pastry",
			identifiedResourceName: "\xb4\xd9\xbd\xc4",
			identifiedDescriptionName: [
				"Doughy, chewy snacks made out of pine pollen, chestnut flour and honey, which enhance the flavor of teas.",
				"Embossed with the characters for safety, luck and longevity, these cookies are made to wish good fortune to those who eat them.",
				"Temporarily increases HIT by 30.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12267: {
			unidentifiedDisplayName: "Honey Pastry",
			unidentifiedResourceName: "\xc0\xaf\xb0\xfa",
			unidentifiedDescriptionName: [
				"These traditional crackers from a nation in the far East are made of mixed flour, honey and sweet liquor.",
				"Temporarily adds + 30 to Flee Rate.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Honey Pastry",
			identifiedResourceName: "\xc0\xaf\xb0\xfa",
			identifiedDescriptionName: [
				"These traditional crackers from a nation in the far East are made of mixed flour, honey and sweet liquor.",
				"Temporarily adds + 30 to Flee Rate.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12268: {
			unidentifiedDisplayName: "Rainbow Cake",
			unidentifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb3\xb6\xb1",
			unidentifiedDescriptionName: [
				"A colorful rice cake that is used as a party food in the far East.",
				"Temporarily adds + 10 ATK and MATK.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Rainbow Cake",
			identifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb3\xb6\xb1",
			identifiedDescriptionName: [
				"A colorful rice cake that is used as a party food in the far East.",
				"Temporarily adds + 10 ATK and MATK.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12269: {
			unidentifiedDisplayName: "Tasty Pink Ration",
			unidentifiedResourceName: "\xb4\xdc\xb8\xc0\xbc\xd2\xbd\xba",
			unidentifiedDescriptionName: [
				"Foodstuffs prepared for urgent situation. Don't eat too fast, you might be chocked with this. ",
				"^000088ATK + 15 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Tasty Pink Ration",
			identifiedResourceName: "\xb4\xdc\xb8\xc0\xbc\xd2\xbd\xba",
			identifiedDescriptionName: [
				"Foodstuffs prepared for urgent situation. Don't eat too fast, you might be chocked with this.",
				"^000088ATK + 15 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12270: {
			unidentifiedDisplayName: "Tasty White Ration",
			unidentifiedResourceName: "\xb4\xe3\xb9\xe9\xc7\xd1\xbc\xd2\xbd\xba",
			unidentifiedDescriptionName: [
				"Foodstuffs prepared for urgent situation. Don't eat too fast, you might be chocked with this.",
				"^000088MATK + 15 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Tasty White Ration",
			identifiedResourceName: "\xb4\xe3\xb9\xe9\xc7\xd1\xbc\xd2\xbd\xba",
			identifiedDescriptionName: [
				"Foodstuffs prepared for urgent situation. Don't eat too fast, you might be chocked with this.",
				"^000088MATK + 15 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12271: {
			unidentifiedDisplayName: "Military Ration A",
			unidentifiedResourceName: "\xc1\xd6\xb8\xd4\xb9\xe4",
			unidentifiedDescriptionName: [
				"Improved snack A which is convenient for busy life. Don't be sure about the taste.",
				"^000088Restores amount of HP by 5%.^000000",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Military Ration A",
			identifiedResourceName: "\xc1\xd6\xb8\xd4\xb9\xe4",
			identifiedDescriptionName: [
				"Improved snack A which is convenient for busy life. Don't be sure about the taste.",
				"^000088Restores amount of HP by 5%.^000000",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12272: {
			unidentifiedDisplayName: "Military Ration B",
			unidentifiedResourceName: "\xc1\xd6\xb8\xd4\xb9\xe4",
			unidentifiedDescriptionName: [
				"Improved snack B which is convenient for busy life. Don't be sure about the taste.",
				"^000088HIT + 33 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Military Ration B",
			identifiedResourceName: "\xc1\xd6\xb8\xd4\xb9\xe4",
			identifiedDescriptionName: [
				"Improved snack B which is convenient for busy life. Don't be sure about the taste.",
				"^000088HIT + 33 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12273: {
			unidentifiedDisplayName: "Military Ration C",
			unidentifiedResourceName: "\xc1\xd6\xb8\xd4\xb9\xe4",
			unidentifiedDescriptionName: [
				"Improved snack C which is convenient for busy life. Don't be sure about the taste.",
				"^000088FLEE + 33 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Military Ration C",
			identifiedResourceName: "\xc1\xd6\xb8\xd4\xb9\xe4",
			identifiedDescriptionName: [
				"Improved snack C which is convenient for busy life. Don't be sure about the taste.",
				"^000088FLEE + 33 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12274: {
			unidentifiedDisplayName: "Gold Pill 1",
			unidentifiedResourceName: "\xc8\xaf\xbe\xe0",
			unidentifiedDescriptionName: [
				"...",
				"Only one of Eastern religious groups can be created.",
				"Increases Maximum HP + 5% for 1 hour. Increases HP + 10%.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gold Pill 1",
			identifiedResourceName: "\xc8\xaf\xbe\xe0",
			identifiedDescriptionName: [
				"...",
				"Only one of Eastern religious groups can be created.",
				"Increases Maximum HP + 5% for 1 hour. Increases HP + 10%.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12275: {
			unidentifiedDisplayName: "Taecheongdan",
			unidentifiedResourceName: "\xb1\xdd\xc8\xaf\xbe\xe0",
			unidentifiedDescriptionName: [
				"Created as a vision of the various magic herb pills.",
				"...",
				"Increases Maximum SP + 5% for 1 hour. Increases SP + 10%.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Taecheongdan",
			identifiedResourceName: "\xb1\xdd\xc8\xaf\xbe\xe0",
			identifiedDescriptionName: [
				"Created as a vision of the various magic herb pills.",
				"...",
				"Increases Maximum SP + 5% for 1 hour. Increases SP + 10%.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12276: {
			unidentifiedDisplayName: "Mimic Summon Book",
			unidentifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			unidentifiedDescriptionName: [
				"A book that can summon a monster Mimic as a Mercenary. Don't need to feed him though.",
				"Mercenary disappears when its owner has drained all energy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mimic Summon Book",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			identifiedDescriptionName: [
				"A book that can summon a monster Mimic as a Mercenary. Don't need to feed him though.",
				"Mercenary disappears when its owner has drained all energy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12277: {
			unidentifiedDisplayName: "Disguise Summon Book",
			unidentifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			unidentifiedDescriptionName: [
				"A book that can summon a monster Disguise as a Mercenary. He looks little delinquent but he is actually nice when you get to know him.",
				"Mercenary disappears when its owner has drained all energy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Disguise Summon Book",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			identifiedDescriptionName: [
				"A book that can summon a monster Disguise as a Mercenary. He looks little delinquent but he is actually nice when you get to know him.",
				"Mercenary disappears when its owner has drained all energy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12278: {
			unidentifiedDisplayName: "Alice Contract",
			unidentifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			unidentifiedDescriptionName: [
				"A book that can summon a monster Alice as a Mercenary. Don't give her overwork.",
				"Mercenary disappears when its owner has drained all energy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Alice Contract",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			identifiedDescriptionName: [
				"A book that can summon a monster Alice as a Mercenary. Don't give her overwork.",
				"Mercenary disappears when its owner has drained all energy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12279: {
			unidentifiedDisplayName: "Undead Elemental Scroll",
			unidentifiedResourceName: "\xbf\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll endowed with undead elemental magic.",
				"When used, grants 20% resistance to ^FF0000Fire^000000, ^FF0000Water^000000, ^FF0000Wind^000000, and ^FF0000Earth^000000 property attacks for 5 minutes.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Undead Elemental Scroll",
			identifiedResourceName: "\xbf\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll endowed with undead elemental magic.",
				"When used, grants 20% resistance to ^FF0000Fire^000000, ^FF0000Water^000000, ^FF0000Wind^000000, and ^FF0000Earth^000000 property attacks for 5 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12280: {
			unidentifiedDisplayName: "Holy Elemental Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll endowed with Holy elemental magic.",
				"When used, grants armor attribute for 5 minutes Holy attribute to convert.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Holy Elemental Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll endowed with Holy elemental magic.",
				"When used, grants armor attribute for 5 minutes Holy attribute to convert.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12281: {
			unidentifiedDisplayName: "Event Treasure Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains treasure box?This contains a huge treasure cases maybe not ...",
				"^ffffff_^000000",
				"Weight : ^777777 15^000000",
			],
			identifiedDisplayName: "Event Treasure Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains treasure box? This contains a huge treasure cases maybe not ...",
				"^ffffff_^000000",
				"Weight: ^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12282: {
			unidentifiedDisplayName: "Internet Cafe1",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Internet Cafe1",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12283: {
			unidentifiedDisplayName: "Internet Cafe2",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Internet Cafe2",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12284: {
			unidentifiedDisplayName: "Internet Cafe3",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Internet Cafe3",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12285: {
			unidentifiedDisplayName: "Internet Cafe4",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Internet Cafe4",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12286: {
			unidentifiedDisplayName: "Masquerade Ball Box2",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains fancy ball ornament.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Masquerade Ball Box2",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains fancy ball ornament.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12287: {
			unidentifiedDisplayName: "Love Angel Magic Powder",
			unidentifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9",
			unidentifiedDescriptionName: [
				"An item which when you breathe in this powder, your font becomes cute. ",
				"To make the best use of it, its best used when you want to express your love, or when you want to say that you're sorry after making a big mistake. ",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Love Angel Magic Powder",
			identifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9",
			identifiedDescriptionName: [
				"An item which when you breathe in this powder, your font becomes cute.",
				"To make the best use of it, its best used when you want to express your love, or when you want to say that you're sorry after making a big mistake.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12288: {
			unidentifiedDisplayName: "Squirrel Magic Powder",
			unidentifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2",
			unidentifiedDescriptionName: [
				"An item which when you breathe in this powder, your font becomes a bit evil. ",
				"To make the best use of it, its best used when you have something you want to complain about, or when you want to do something awful. ",
				"When double clicked, your font changes, and when used again, your font goes back to normal",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Squirrel Magic Powder",
			identifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2",
			identifiedDescriptionName: [
				"An item which when you breathe in this powder, your font becomes a bit evil.",
				"To make the best use of it, its best used when you have something you want to complain about, or when you want to do something awful.",
				"When double clicked, your font changes, and when used again, your font goes back to normal",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12289: {
			unidentifiedDisplayName: "Gogo Magic Powder",
			unidentifiedResourceName: "\xb0\xed\xb0\xed",
			unidentifiedDescriptionName: [
				"An item which when you breathe in this powder, your font becomes humorous. ",
				"To make the best use of it, its best used when you have something you want to talk about thats funny. ",
				"When double clicked, your font changes, and when used again, your font goes back to normal. ",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Gogo Magic Powder",
			identifiedResourceName: "\xb0\xed\xb0\xed",
			identifiedDescriptionName: [
				"An item which when you breathe in this powder, your font becomes humorous.",
				"To make the best use of it, its best used when you have something you want to talk about thats funny.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12290: {
			unidentifiedDisplayName: "Mysterious Can Magic Powder",
			unidentifiedResourceName: "\xbd\xc5\xb9\xa6\x5f\xc5\xeb\xc1\xb6\xb8\xb2",
			unidentifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^000088HP Recovery + 5%, Enables use of Level 5 Blessing^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mysterious Can Magic Powder",
			identifiedResourceName: "\xbd\xc5\xb9\xa6\x5f\xc5\xeb\xc1\xb6\xb8\xb2",
			identifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^000088HP Recovery + 5%, Enables use of Level 5 Blessing^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12291: {
			unidentifiedDisplayName: "Mysterious PET Bottle",
			unidentifiedResourceName: "\xbd\xc5\xb9\xa6\x5f\xc6\xd0\xc6\xae\xba\xb4",
			unidentifiedDescriptionName: [
				"...",
				"^000088SP Recovery + 5%, Increases Agility Level 5^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mysterious PET Bottle",
			identifiedResourceName: "\xbd\xc5\xb9\xa6\x5f\xc6\xd0\xc6\xae\xba\xb4",
			identifiedDescriptionName: [
				"...",
				"^000088SP Recovery + 5%, Increases Agility Level 5^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12292: {
			unidentifiedDisplayName: "Unripe Fruit",
			unidentifiedResourceName: "\xb4\xfa\xc0\xcd\xc0\xba\xc0\xcc\xb1\xd7\xbf\xad\xb8\xc5",
			unidentifiedDescriptionName: [
				"...",
				"^000088HP Recovery + 20%^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Unripe Fruit",
			identifiedResourceName: "\xb4\xfa\xc0\xcd\xc0\xba\xc0\xcc\xb1\xd7\xbf\xad\xb8\xc5",
			identifiedDescriptionName: [
				"...",
				"^000088HP Recovery + 20%^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12293: {
			unidentifiedDisplayName: "Dried Yggdrasilberry",
			unidentifiedResourceName: "\xb0\xc7\xc1\xb6\xc0\xcc\xb1\xd7\xbf\xad\xb8\xc5",
			unidentifiedDescriptionName: [
				"...",
				"^000088SP Recovery + 20%^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Dried Yggdrasilberry",
			identifiedResourceName: "\xb0\xc7\xc1\xb6\xc0\xcc\xb1\xd7\xbf\xad\xb8\xc5",
			identifiedDescriptionName: [
				"...",
				"^000088SP Recovery + 20%^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12294: {
			unidentifiedDisplayName: "Costume: Blue Christmas Cheer Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Rusty Commemorative Coins.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Costume: Blue Christmas Cheer Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Rusty Commemorative Coins.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12295: {
			unidentifiedDisplayName: "Groove Pack 1",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 General Commemorative Coins.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Groove Pack 1",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 General Commemorative Coins.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12296: {
			unidentifiedDisplayName: "Super Summer Hat Pack",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Shining Commemorative Coins.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Super Summer Hat Pack",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Shining Commemorative Coins.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12297: {
			unidentifiedDisplayName: "PC-Room Coin Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Shining Commemorative Coins.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Expanded Party Buff Scroll Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Shining Commemorative Coins.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12298: {
			unidentifiedDisplayName: "SP Consumption Reduction Potion",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xb9\xb0\xbe\xe0",
			unidentifiedDescriptionName: [
				"Reduced SP Consumption of skills by 15% for 1 hour.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "SP Consumption Reduction Potion",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xb9\xb0\xbe\xe0",
			identifiedDescriptionName: [
				"Reduced SP Consumption of skills by 15% for 1 hour.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12299: {
			unidentifiedDisplayName: "Mega Resist Potion",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xc8\xa3\xb8\xae\xba\xb4",
			unidentifiedDescriptionName: [
				"Increased resistance using potion pitcher.",
				"Adds 10% resistance to the ^880000Stun, Freeze, Stone, Sleep, Silence, ",
				"Blind, Curse, Poison, Bleeding, Confusion^000000 for 1 hour.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mega Resist Potion",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xc8\xa3\xb8\xae\xba\xb4",
			identifiedDescriptionName: [
				"Increased resistance using potion pitcher.",
				"Adds 10% resistance to the ^880000Stun, Freeze, Stone, Sleep, Silence,",
				"Blind, Curse, Poison, Bleeding, Confusion^000000 for 1 hour.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12300: {
			unidentifiedDisplayName: "Wild Rose Contract",
			unidentifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			unidentifiedDescriptionName: [
				"Use this scroll and your friend Wild Rose will come and help you.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wild Rose Contract",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			identifiedDescriptionName: [
				"Use this scroll and your friend Wild Rose will come and help you.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12301: {
			unidentifiedDisplayName: "Doppelganger Contract",
			unidentifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll which summons a young noble Doppelganger, however, it's not as strong as other monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Doppelganger Contract",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			identifiedDescriptionName: [
				"A scroll which summons a young noble Doppelganger, however, it's not as strong as other monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12302: {
			unidentifiedDisplayName: "Egnigem Cenia Contract",
			unidentifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll which summons a beautiful girl, Egnigem Cenia, however, she's not as strong as other monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Egnigem Cenia Contract",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xbc\xd2\xc8\xaf\xbc\xad",
			identifiedDescriptionName: [
				"A scroll which summons a beautiful girl, Egnigem Cenia, however, she's not as strong as other monsters.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12303: {
			unidentifiedDisplayName: "Blessing Of Water",
			unidentifiedResourceName: "\xbc\xba\xbc\xf6",
			unidentifiedDescriptionName: [
				"Have some fun pouring the water on you during the Water event!",
				"LUK + 5 for 1 minute.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blessing Of Water",
			identifiedResourceName: "\xbc\xba\xbc\xf6",
			identifiedDescriptionName: [
				"Have some fun pouring the water on you during the Water event!",
				"LUK + 5 for 1 minute.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12304: {
			unidentifiedDisplayName: "Diary Magic Powder",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2",
			unidentifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Diary Magic Powder",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2",
			identifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12305: {
			unidentifiedDisplayName: "Mini Heart Magic Powder",
			unidentifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae",
			unidentifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Mini Heart Magic Powder",
			identifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae",
			identifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12306: {
			unidentifiedDisplayName: "Freshman Magic Powder",
			unidentifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2",
			unidentifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Freshman Magic Powder",
			identifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2",
			identifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12307: {
			unidentifiedDisplayName: "Kid Magic Powder",
			unidentifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6",
			unidentifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Kid Magic Powder",
			identifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6",
			identifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12308: {
			unidentifiedDisplayName: "Magic Magic Powder",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba",
			unidentifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Magic Magic Powder",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba",
			identifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12309: {
			unidentifiedDisplayName: "JJangu Magic Powder",
			unidentifiedResourceName: "\xc2\xaf\xb1\xb8",
			unidentifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "JJangu Magic Powder",
			identifiedResourceName: "\xc2\xaf\xb1\xb8",
			identifiedDescriptionName: [
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12310: {
			unidentifiedDisplayName: "Spray Of Flowers",
			unidentifiedResourceName: "\xb2\xc9\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"A branch of cherry blossom Tree with full-blown cherry blossoms. ",
				"It feels like your body lightens with rich scent of a flower when you wave it.",
				"FLEE + 10 for 5 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Spray Of Flowers",
			identifiedResourceName: "\xb2\xc9\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"A branch of cherry blossom Tree with full-blown cherry blossoms.",
				"It feels like your body lightens with rich scent of a flower when you wave it.",
				"FLEE + 10 for 5 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12311: {
			unidentifiedDisplayName: "Huge Spray Of Flowers",
			unidentifiedResourceName: "\xc4\xbf\xb4\xd9\xb6\xf5\xb2\xc9\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"Made bigger and be more splendid with many spray of flowers put together. Doubled Scent! Doubled Elegance!",
				"Increases Flee of the party members by 10 for 5 minutes. If not in a party, it will have no effect.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Huge Spray Of Flowers",
			identifiedResourceName: "\xc4\xbf\xb4\xd9\xb6\xf5\xb2\xc9\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"Made bigger and be more splendid with many spray of flowers put together. Doubled Scent! Doubled Elegance!",
				"Increases Flee of the party members by 10 for 5 minutes. If not in a party, it will have no effect.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12312: {
			unidentifiedDisplayName: "Thick Battle Manual",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			unidentifiedDescriptionName: [
				"Thick Battle Manual. Exp rate is increased to 50% for 1 hours.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Thick Battle Manual",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			identifiedDescriptionName: [
				"Thick Battle Manual. Exp rate is increased to 50% for 1 hours.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12313: {
			unidentifiedDisplayName: "Guardian Angel",
			unidentifiedResourceName: "\xbc\xd2\xb3\xe0\xc0\xc7\xc6\xd2\xb7\xb9\xc5\xcd",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Guardian Angel",
			identifiedResourceName: "\xbc\xd2\xb3\xe0\xc0\xc7\xc6\xd2\xb7\xb9\xc5\xcd",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12314: {
			unidentifiedDisplayName: "Noive Box",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Noive Box",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12315: {
			unidentifiedDisplayName: "Goddess Of Blessing",
			unidentifiedResourceName: "\xba\xce\xc4\xc9",
			unidentifiedDescriptionName: [
				"You have the blessings of the goddess!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Goddess Of Blessing",
			identifiedResourceName: "\xba\xce\xc4\xc9",
			identifiedDescriptionName: [
				"You have the blessings of the goddess!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12316: {
			unidentifiedDisplayName: "Angel Of Blessing",
			unidentifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xb3\xaf\xb0\xb3\xb1\xea\xc5\xd0",
			unidentifiedDescriptionName: [
				"The angel's blessing be with you!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Angel Of Blessing",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xb3\xaf\xb0\xb3\xb1\xea\xc5\xd0",
			identifiedDescriptionName: [
				"The angel's blessing be with you!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12317: {
			unidentifiedDisplayName: "Snow Powder",
			unidentifiedResourceName: "\xba\xf9\xbc\xb6\xbc\xae",
			unidentifiedDescriptionName: [
				"During the winter atmosphere I'd like to look good items!",
				"Warning: You can not turn off the lights!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Snow Powder",
			identifiedResourceName: "\xba\xf9\xbc\xb6\xbc\xae",
			identifiedDescriptionName: [
				"During the winter atmosphere I'd like to look good items!",
				"Warning: You can not turn off the lights!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12318: {
			unidentifiedDisplayName: "Small Hearts",
			unidentifiedResourceName: "\xb9\xd9\xb4\xc3\xbd\xd3\xc1\xf6",
			unidentifiedDescriptionName: [
				"This item is expected to create an atmosphere of love, please!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Hearts",
			identifiedResourceName: "\xb9\xd9\xb4\xc3\xbd\xd3\xc1\xf6",
			identifiedDescriptionName: [
				"This item is expected to create an atmosphere of love, please!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12319: {
			unidentifiedDisplayName: "Rune Strawberry Cake",
			unidentifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf\x5f",
			unidentifiedDescriptionName: [
				"A snack sent from Rune-Midgards. Be careful not to let anybody taste the cake without even asking.",
				"^000088ATK, MATK + 5 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Rune Strawberry Cake",
			identifiedResourceName: "\xbc\xf6\xc1\xa6\xc3\xca\xc4\xdd\xb7\xbf\x5f",
			identifiedDescriptionName: [
				"A snack sent from Rune-Midgards. Be careful not to let anybody taste the cake without even asking.",
				"^000088ATK, MATK + 5 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12320: {
			unidentifiedDisplayName: "Schwartzwald Pine Jubilee",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"A snack sent from Schwartzwald. Ice cold fruit juice quenches your throat and cools your whole body.",
				"^000088HIT + 10 , Perfect Dodge + 20 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Schwartzwald Pine Jubilee",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"A snack sent from Schwartzwald. Ice cold fruit juice quenches your throat and cools your whole body.",
				"^000088HIT + 10 , Perfect Dodge + 20 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12321: {
			unidentifiedDisplayName: "Arunafeltz Desert Sandwich",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x34",
			unidentifiedDescriptionName: [
				"A snack sent from Arunafeltz. This sandwich helps developing stamina with its spicy taste.",
				"^000088Critical + 7 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Arunafeltz Desert Sandwich",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x34",
			identifiedDescriptionName: [
				"A snack sent from Arunafeltz. This sandwich helps developing stamina with its spicy taste.",
				"^000088Critical + 7 for 10 minutes.^000000",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12322: {
			unidentifiedDisplayName: "Chocolate Pie",
			unidentifiedResourceName: "\xb4\xdc\xb4\xdc\xc7\xd1\xb5\xee\xb2\xae\xc1\xfa",
			unidentifiedDescriptionName: [
				"A pie covered with sweet chocolate. This sure looks not pretty but the taste is excellent. It reminds you of the taste of homemade pie. ",
				"^000088Recovery HP/SP by 5%.^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Chocolate Pie",
			identifiedResourceName: "\xb4\xdc\xb4\xdc\xc7\xd1\xb5\xee\xb2\xae\xc1\xfa",
			identifiedDescriptionName: [
				"A pie covered with sweet chocolate. This sure looks not pretty but the taste is excellent. It reminds you of the taste of homemade pie.",
				"^000088Recovery HP/SP by 5%.^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12323: {
			unidentifiedDisplayName: "Novice Fly Wing",
			unidentifiedResourceName: "\xc6\xc4\xb8\xae\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"An enchanted fly's wing that instantly sends its user to a random spot when waved in the air.",
				"^000088Instant teleport^000000.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Novice Fly Wing",
			identifiedResourceName: "\xc6\xc4\xb8\xae\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"An enchanted fly's wing that instantly sends its user to a random spot when waved in the air.",
				"^000088Instant teleport^000000.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12324: {
			unidentifiedDisplayName: "Novice Butterfly Wing",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"An enchanted butterfly's wing that instantly sends its user to his Save Point when waved in the air.",
				"^000088Instant teleport to character's Save Point^000000.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Novice Butterfly Wing",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"An enchanted butterfly's wing that instantly sends its user to his Save Point when waved in the air.",
				"^000088Instant teleport to character's Save Point^000000.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12325: {
			unidentifiedDisplayName: "Novice Magnifier",
			unidentifiedResourceName: "\xb5\xb8\xba\xb8\xb1\xe2",
			unidentifiedDescriptionName: [
				"A magnifying glass used for scrutinizing objects.",
				"^000088Appraises unidentified items and equipment^000000.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Novice Magnifier",
			identifiedResourceName: "\xb5\xb8\xba\xb8\xb1\xe2",
			identifiedDescriptionName: [
				"A magnifying glass used for scrutinizing objects.",
				"^000088Appraises unidentified items and equipment^000000.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12326: {
			unidentifiedDisplayName: "Firecracker",
			unidentifiedResourceName: "\xc6\xf8\xc1\xd7",
			unidentifiedDescriptionName: [
				"A playstuff which makes beatiful fireworks in the sky when it is lit.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Firecracker",
			identifiedResourceName: "\xc6\xf8\xc1\xd7",
			identifiedDescriptionName: [
				"A playstuff which makes beatiful fireworks in the sky when it is lit.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12327: {
			unidentifiedDisplayName: "Lucky Charm",
			unidentifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xba\xce\xc0\xfb",
			unidentifiedDescriptionName: [
				"...",
				"LUK + 20 for 1 hour.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Lucky Charm",
			identifiedResourceName: "\xc7\xe0\xbf\xee\xc0\xc7\xba\xce\xc0\xfb",
			identifiedDescriptionName: [
				"...",
				"LUK + 20 for 1 hour.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12328: {
			unidentifiedDisplayName: "Lucky Charm",
			unidentifiedResourceName: "\xc7\xe0\xba\xb9\xc0\xc7\xba\xce\xc0\xfb",
			unidentifiedDescriptionName: [
				"...",
				"Adds + 10 stat every 20 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Lucky Charm",
			identifiedResourceName: "\xc7\xe0\xba\xb9\xc0\xc7\xba\xce\xc0\xfb",
			identifiedDescriptionName: [
				"...",
				"Adds + 10 stat every 20 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12329: {
			unidentifiedDisplayName: "Nice Publisher Scroll",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"Nice man publisher who can summon scroll! When in use, like publishers, please help! Let's try and shouting.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nice Publisher Scroll",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"Nice man publisher who can summon scroll! When in use, like publishers, please help! Let's try and shouting.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12330: {
			unidentifiedDisplayName: "Beautiful Publisher Scroll",
			unidentifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			unidentifiedDescriptionName: [
				"Beautifull woman publisher who can summon scroll! When in use, like publishers, please help! Let's try and shouting.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Beautiful Publisher Scroll",
			identifiedResourceName: "\xbc\xd2\xc8\xaf\xbc\xad\x5f\xb0\xcb",
			identifiedDescriptionName: [
				"Beautifull woman publisher who can summon scroll! When in use, like publishers, please help! Let's try and shouting.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12331: {
			unidentifiedDisplayName: "Ginseng",
			unidentifiedResourceName: "\xb0\xa5\xbb\xf6\xbb\xd1\xb8\xae",
			unidentifiedDescriptionName: [
				"Strong fragance of ginseng. It good for body.",
				"^000088Recover 6% HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ginseng",
			identifiedResourceName: "\xb0\xa5\xbb\xf6\xbb\xd1\xb8\xae",
			identifiedDescriptionName: [
				"Strong fragance of ginseng. It good for body.",
				"^000088Recover 6% HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12332: {
			unidentifiedDisplayName: "Fruit Juice",
			unidentifiedResourceName: "\xc4\xab\xbf\xcb",
			unidentifiedDescriptionName: [
				"Slightly sour smell of the fruit juice. One cup of vitamin and iron.",
				"^000088Recover 6% SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fruit Juice",
			identifiedResourceName: "\xc4\xab\xbf\xcb",
			identifiedDescriptionName: [
				"Slightly sour smell of the fruit juice. One cup of vitamin and iron.",
				"^000088Recover 6% SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12333: {
			unidentifiedDisplayName: "Ansila",
			unidentifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ancilla",
			identifiedResourceName: "\xbe\xc8\xbd\xc7\xb6\xf3",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12334: {
			unidentifiedDisplayName: "Treasure Edition Helm Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains rare helm.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Treasure Edition Helm Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains rare helm.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12335: {
			unidentifiedDisplayName: "Grilled Delicious Skewer",
			unidentifiedResourceName: "\xb2\xbf\xc4\xa1\xb1\xb8\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"^000088Restores 60% HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 35^000000",
			],
			identifiedDisplayName: "Grilled Delicious Skewer",
			identifiedResourceName: "\xb2\xbf\xc4\xa1\xb1\xb8\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"^000088Restores 60% HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 35^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12336: {
			unidentifiedDisplayName: "Grilled Mushroom",
			unidentifiedResourceName: "\xb9\xf6\xbc\xb8\xb1\xb8\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"^000088Restores 30% HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Grilled Mushroom",
			identifiedResourceName: "\xb9\xf6\xbc\xb8\xb1\xb8\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"^000088Restores 30% HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12337: {
			unidentifiedDisplayName: "Grilled Sausages",
			unidentifiedResourceName: "\xbc\xd2\xbd\xc3\xc1\xf6\xb1\xb8\xc0\xcc",
			unidentifiedDescriptionName: [
				"...",
				"^000088Restores 20% HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Grilled Sausages",
			identifiedResourceName: "\xbc\xd2\xbd\xc3\xc1\xf6\xb1\xb8\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"^000088Restores 20% HP & SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12338: {
			unidentifiedDisplayName: "Grilled Corn",
			unidentifiedResourceName: "\xbf\xc1\xbc\xf6\xbc\xf6\xb1\xb8\xc0\xcc",
			unidentifiedDescriptionName: [
				"The golden corn is really beautiful.",
				"STR + 2, INT + 2, AGI + 2 for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Grilled Corn",
			identifiedResourceName: "\xbf\xc1\xbc\xf6\xbc\xf6\xb1\xb8\xc0\xcc",
			identifiedDescriptionName: [
				"The golden corn is really beautiful.",
				"STR + 2, INT + 2, AGI + 2 for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12339: {
			unidentifiedDisplayName: "Treasure Edition Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Ragnarok special edition for readers to buy treasure edition box!",
				"Get 1 random item of 5 kinds item.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Treasure Edition Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Ragnarok special edition for readers to buy treasure edition box!",
				"Get 1 random item of 5 kinds item.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12340: {
			unidentifiedDisplayName: "Chewy Rice Powder",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xc7\xe2\xbd\xc5\xb7\xe1",
			unidentifiedDescriptionName: [
				"Rice powder that shines mysteriously. It can make the rice cake dough harder.",
				"Furthermore, you can tame a monster 'Hot Rice Cake' by using this item.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chewy Rice Powder",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xc7\xe2\xbd\xc5\xb7\xe1",
			identifiedDescriptionName: [
				"Rice powder that shines mysteriously. It can make the rice cake dough harder.",
				"Furthermore, you can tame a monster 'Hot Rice Cake' by using this item.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12341: {
			unidentifiedDisplayName: "Special Alloy Trap Box",
			unidentifiedResourceName: "\xc5\xba\xbe\xe0\xc5\xeb",
			unidentifiedDescriptionName: [
				"A box that contains 100 \"Special Alloy Trap\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Special Alloy Trap Box",
			identifiedResourceName: "\xc5\xba\xbe\xe0\xc5\xeb",
			identifiedDescriptionName: [
				"A box that contains 100 \"Special Alloy Trap\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12342: {
			unidentifiedDisplayName: "Manuk's Opportunity",
			unidentifiedResourceName: "\xb0\xa8\xb1\xe2\xbe\xe0",
			unidentifiedDescriptionName: [
				"The official supplement for miners, made by Manuk labs.",
				"Increases 10% physical damage for 10 minutes to monster on Manuk maps.",
				"^000088(Nepenthes,Centipede,Centipede Larva,Hills Lion,Tatacho,Hardrock Mammoth)^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Manuk's Opportunity",
			identifiedResourceName: "\xb0\xa8\xb1\xe2\xbe\xe0",
			identifiedDescriptionName: [
				"The official supplement for miners, made by Manuk labs.",
				"Increases 10% physical damage for 10 minutes to monster on Manuk maps.",
				"^000088(Nepenthes,Centipede,Centipede Larva,Hills Lion,Tatacho,Hardrock Mammoth)^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12343: {
			unidentifiedDisplayName: "Manuk's Courage",
			unidentifiedResourceName: "\xc7\xcf\xb4\xc3\xbb\xf6\xb0\xa8\xb1\xe2\xbe\xe0",
			unidentifiedDescriptionName: [
				"The official nutrient supplement for miners, made by Manuk labs.",
				"Reduced physical and magical damage by 10% for 10 minutes to monster on Manuk maps.",
				"^000088(Nepenthes,Centipede,Centipede Larva,Hills Lion,Tatacho,Hardrock Mammoth)^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Manuk's Courage",
			identifiedResourceName: "\xc7\xcf\xb4\xc3\xbb\xf6\xb0\xa8\xb1\xe2\xbe\xe0",
			identifiedDescriptionName: [
				"The official nutrient supplement for miners, made by Manuk labs.",
				"Reduced physical and magical damage by 10% for 10 minutes to monster on Manuk maps.",
				"^000088(Nepenthes,Centipede,Centipede Larva,Hills Lion,Tatacho,Hardrock Mammoth)^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12344: {
			unidentifiedDisplayName: "Pinguicula's Fruit Jam",
			unidentifiedResourceName: "\xbd\xba\xc0\xa7\xc6\xae\xb9\xd9\xb3\xaa\xb3\xaa",
			unidentifiedDescriptionName: [
				"Carefully sweetened jam from the fruits of the pinguicula. ",
				"Increases 10% physical damage for 10 minutes to monster on Splendide maps.",
				"^000088(Pinguicula,Luciola Vespa,Cornus,Naga,Tendril Lion)^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Pinguicula's Fruit Jam",
			identifiedResourceName: "\xbd\xba\xc0\xa7\xc6\xae\xb9\xd9\xb3\xaa\xb3\xaa",
			identifiedDescriptionName: [
				"Carefully sweetened jam from the fruits of the pinguicula.",
				"Increases 10% physical damage for 10 minutes to monster on Splendide maps.",
				"^000088(Pinguicula,Luciola Vespa,Cornus,Naga,Tendril Lion)^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12345: {
			unidentifiedDisplayName: "Luciola's Honey Jam",
			unidentifiedResourceName: "\xc4\xab\xbf\xcb",
			unidentifiedDescriptionName: [
				"Jam made from luciola vespa's honey mixed with herbs.",
				"Reduced physical and magical damage by 10% for 10 minutes to monster on Splendide maps.",
				"^000088(Pinguicula,Luciola Vespa,Cornus,Naga,Tendril Lion)^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Luciola's Honey Jam",
			identifiedResourceName: "\xc4\xab\xbf\xcb",
			identifiedDescriptionName: [
				"Jam made from luciola vespa's honey mixed with herbs.",
				"Reduced physical and magical damage by 10% for 10 minutes to monster on Splendide maps.",
				"^000088(Pinguicula,Luciola Vespa,Cornus,Naga,Tendril Lion)^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12346: {
			unidentifiedDisplayName: "Unripe Acorn",
			unidentifiedResourceName: "\xb5\xb5\xc5\xe4\xb8\xae",
			unidentifiedDescriptionName: [
				"Puckery unripe acorn. Better not eat this.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Unripe Acorn",
			identifiedResourceName: "\xb5\xb5\xc5\xe4\xb8\xae",
			identifiedDescriptionName: [
				"Puckery unripe acorn. Better not eat this.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12347: {
			unidentifiedDisplayName: "Acorn Jelly",
			unidentifiedResourceName: "\xb1\xb8\xbe\xe0\xbb\xe7\xc5\xc1",
			unidentifiedDescriptionName: [
				"Jelly made out of an unripe acorn flour.",
				"Usually an acron jelly is delicately-flavored, but not this one.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Acorn Jelly",
			identifiedResourceName: "\xb1\xb8\xbe\xe0\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"Jelly made out of an unripe acorn flour.",
				"Usually an acron jelly is delicately-flavored, but not this one.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12348: {
			unidentifiedDisplayName: "Manuk's Faith",
			unidentifiedResourceName: "\xba\xd0\xc8\xab\xbb\xf6\xb0\xa8\xb1\xe2\xbe\xe0",
			unidentifiedDescriptionName: [
				"The official supplement for miners, made by Manuk labs.",
				"Increases 10% magical damage for 10 minutes to monster on Manuk maps.",
				"^000088(Nepenthes,Centipede,Centipede Larva,Hills Lion,Tatacho,Hardrock Mammoth)^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Manuk's Faith",
			identifiedResourceName: "\xba\xd0\xc8\xab\xbb\xf6\xb0\xa8\xb1\xe2\xbe\xe0",
			identifiedDescriptionName: [
				"The official supplement for miners, made by Manuk labs.",
				"Increases 10% magical damage for 10 minutes to monster on Manuk maps.",
				"^000088(Nepenthes,Centipede,Centipede Larva,Hills Lion,Tatacho,Hardrock Mammoth)^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12349: {
			unidentifiedDisplayName: "Cornus' Tears",
			unidentifiedResourceName: "\xbd\xc4\xbf\xeb\xc0\xaf",
			unidentifiedDescriptionName: [
				"A potion made from concentrated cornus tears. How the tears were obtained is unknown.",
				"Increases 10% magical damage for 10 minutes to monster on Splendide maps.",
				"^000088(Pinguicula,Luciola Vespa,Cornus,Naga,Tendril Lion)^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Cornus' Tears",
			identifiedResourceName: "\xbd\xc4\xbf\xeb\xc0\xaf",
			identifiedDescriptionName: [
				"A potion made from concentrated cornus tears. How the tears were obtained is unknown.",
				"Increases 10% magical damage for 10 minutes to monster on Splendide maps.",
				"^000088(Pinguicula,Luciola Vespa,Cornus,Naga,Tendril Lion)^000000",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12350: {
			unidentifiedDisplayName: "Angeling Potion",
			unidentifiedResourceName: "\xbf\xa3\xc1\xa9\xb8\xb5\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"Add a chance of auto casting ^008800Level 5 Blessing^000000 & ^008800Level 5 Angelus^000000 on the wearer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Angeling Potion",
			identifiedResourceName: "\xbf\xa3\xc1\xa9\xb8\xb5\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"Add a chance of auto casting ^008800Level 5 Blessing^000000 & ^008800Level 5 Angelus^000000 on the wearer.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12351: {
			unidentifiedDisplayName: "Shout Megaphone",
			unidentifiedResourceName: "\xb0\xed\xc7\xd4\xb8\xde\xb0\xa1\xc6\xf9",
			unidentifiedDescriptionName: [
				"Add a chance of auto casting ^008800Level 1 Crazy Uproar^000000 on the wearer.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Shout Megaphone",
			identifiedResourceName: "\xb0\xed\xc7\xd4\xb8\xde\xb0\xa1\xc6\xf9",
			identifiedDescriptionName: [
				"Add a chance of auto casting ^008800Level 1 Crazy Uproar^000000 on the wearer.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12352: {
			unidentifiedDisplayName: "Dungeon Teleport Scroll 3",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll with lots of dungeon & field coordination written on it. You can go to the place you want by tearing the paper into pieces.",
				"When used allows you to teleport to a specific dungeon or field from the following list:",
				"\"Ice Cave 01\",\"Thor's Volcano Dungeon 01\",\"Abyss Lakes Underground Cave 01\",\"Thanatos Tower\",\"Lighthalzen\",\"Juperos 02\",\"Geffenia\",\"Kiel Hyre's Academy\",\"Hidden Temple 03\",",
				"\"Nifflheim\",\"Sunken Ship 01\",\"Veins Field\",\"Valkyrie Realm\",\"Britoniah Guild\",\"Greenwood Lake Guild\",",
				"\"Luina, the satellite of Aldebaran\",\"Schwarzwald Realm\",\"Schwaltzvalt Guild Castle\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dungeon Teleport Scroll 3",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll with lots of dungeon & field coordination written on it. You can go to the place you want by tearing the paper into pieces.",
				"When used allows you to teleport to a specific dungeon or field from the following list:",
				"\"Ice Cave 01\",\"Thor's Volcano Dungeon 01\",\"Abyss Lakes Underground Cave 01\",\"Thanatos Tower\",\"Lighthalzen\",\"Juperos 02\",\"Geffenia\",\"Kiel Hyre's Academy\",\"Hidden Temple 03\",",
				"\"Nifflheim\",\"Sunken Ship 01\",\"Veins Field\",\"Valkyrie Realm\",\"Britoniah Guild\",\"Greenwood Lake Guild\",",
				"\"Luina, the satellite of Aldebaran\",\"Schwarzwald Realm\",\"Schwaltzvalt Guild Castle\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12353: {
			unidentifiedDisplayName: "Small Bottle",
			unidentifiedResourceName: "\xc0\xdb\xc0\xba\xb9\xb0\xba\xb4",
			unidentifiedDescriptionName: [
				"Water close to my body. Water's so cool as if it was just taken out of the fridge.",
				"A Weapon becomes water-elemental for 90 sec.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Bottle",
			identifiedResourceName: "\xc0\xdb\xc0\xba\xb9\xb0\xba\xb4",
			identifiedDescriptionName: [
				"Water close to my body. Water's so cool as if it was just taken out of the fridge.",
				"A Weapon becomes water-elemental for 90 sec.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12354: {
			unidentifiedDisplayName: "Buche De Noel",
			unidentifiedResourceName: "\xba\xce\xbd\xac\xb5\xe5\xb3\xeb\xbf\xa4",
			unidentifiedDescriptionName: [
				"A chocolate roll cake in the form of fire wood covered by snow.",
				"When you see it, you can feel Xmas is coming.",
				"Increase the restoration power by 3% for 10 minutes. HIT + 3, CRIT + 7.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Buche De Noel",
			identifiedResourceName: "\xba\xce\xbd\xac\xb5\xe5\xb3\xeb\xbf\xa4",
			identifiedDescriptionName: [
				"A chocolate roll cake in the form of fire wood covered by snow.",
				"When you see it, you can feel Xmas is coming.",
				"Increase the restoration power by 3% for 10 minutes. HIT + 3, CRIT + 7.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12355: {
			unidentifiedDisplayName: "Xmas Gift",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"It is rumored that you can get this box once a year. ",
				"If you cry, you are excluded from the list.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Xmas Gift",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"It is rumored that you can get this box once a year.",
				"If you cry, you are excluded from the list.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12356: {
			unidentifiedDisplayName: "Louise Costume Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A costume branded by the artist, Louise Kim. ",
				"Its design is similar to you but what matters?",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Louise Costume Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A costume branded by the artist, Louise Kim.",
				"Its design is similar to you but what matters?",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12357: {
			unidentifiedDisplayName: "Shiny Wing Gown",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				"Shiny glowing winged clothes. Bascojin seems to like it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Gingerbread Cookie",
			identifiedResourceName: "\xc0\xdf\xb1\xb8\xbf\xee\xc4\xed\xc5\xb0",
			identifiedDescriptionName: [
				"Shiny glowing winged clothes. Bascojin seems to like it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12358: {
			unidentifiedDisplayName: "Fan Of Wind",
			unidentifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xba\xce\xc3\xa4",
			unidentifiedDescriptionName: [
				"A fan with wind magic. Civil Servant seems to like it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Fan Of Wind",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xba\xce\xc3\xa4",
			identifiedDescriptionName: [
				"A fan with wind magic. Civil Servant seems to like it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12359: {
			unidentifiedDisplayName: "Very Soft Plant",
			unidentifiedResourceName: "\xc8\xf7\xb3\xaa\xb7\xb9\xc0\xc7\xc0\xd9\xbb\xe7\xb1\xcd",
			unidentifiedDescriptionName: [
				"Tender and soft light-green grass. Leaf Cat likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Very Soft Plant",
			identifiedResourceName: "\xc8\xf7\xb3\xaa\xb7\xb9\xc0\xc7\xc0\xd9\xbb\xe7\xb1\xcd",
			identifiedDescriptionName: [
				"Tender and soft light-green grass. Leaf Cat likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12360: {
			unidentifiedDisplayName: "Very Red Juice",
			unidentifiedResourceName: "\xbb\xf5\xbb\xa1\xb0\xa3\xc1\xea\xbd\xba",
			unidentifiedDescriptionName: [
				"A red juice that has a suspicious smell. Loli Ruri likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Very Red Juice",
			identifiedResourceName: "\xbb\xf5\xbb\xa1\xb0\xa3\xc1\xea\xbd\xba",
			identifiedDescriptionName: [
				"A red juice that has a suspicious smell. Loli Ruri likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12361: {
			unidentifiedDisplayName: "Delicious Shaved Ice",
			unidentifiedResourceName: "\xb8\xc0\xc0\xd6\xb4\xc2\xba\xf9\xbc\xf6",
			unidentifiedDescriptionName: [
				"Cool sundae. Marionette likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Delicious Shaved Ice",
			identifiedResourceName: "\xb8\xc0\xc0\xd6\xb4\xc2\xba\xf9\xbc\xf6",
			identifiedDescriptionName: [
				"Cool sundae. Marionette likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12362: {
			unidentifiedDisplayName: "Kuloren",
			unidentifiedResourceName: "\xc4\xed\xb7\xce\xb7\xbb",
			unidentifiedDescriptionName: [
				"A high quality dagger forge by a blacksmith from Amatsu. Shinobi likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Kuloren",
			identifiedResourceName: "\xc4\xed\xb7\xce\xb7\xbb",
			identifiedDescriptionName: [
				"A high quality dagger forge by a blacksmith from Amatsu. Shinobi likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12363: {
			unidentifiedDisplayName: "Fit Pipe",
			unidentifiedResourceName: "\xb8\xc2\xc3\xe3\xb0\xfc",
			unidentifiedDescriptionName: [
				"A custom made small coffin. Whisper likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Ghost Coffin",
			identifiedResourceName: "\xb8\xc2\xc3\xe3\xb0\xfc",
			identifiedDescriptionName: [
				"A custom made small coffin. Whisper likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12364: {
			unidentifiedDisplayName: "Staff Of Leader",
			unidentifiedResourceName: "\xc1\xf6\xb5\xb5\xc0\xda\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc",
			unidentifiedDescriptionName: [
				"A sloppy looking staff that seems like its made of plastic. Goblin Leader likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Staff Of Leader",
			identifiedResourceName: "\xc1\xf6\xb5\xb5\xc0\xda\xc0\xc7\xc1\xf6\xc6\xce\xc0\xcc",
			identifiedDescriptionName: [
				"A sloppy looking staff that seems like its made of plastic. Goblin Leader likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12365: {
			unidentifiedDisplayName: "Charming Lotus",
			unidentifiedResourceName: "\xc5\xbd\xbd\xba\xb7\xaf\xbf\xee\xbf\xac\xb2\xc9",
			unidentifiedDescriptionName: [
				"A lotus that is still a bud. Wicked Nymph likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Charming Lotus",
			identifiedResourceName: "\xc5\xbd\xbd\xba\xb7\xaf\xbf\xee\xbf\xac\xb2\xc9",
			identifiedDescriptionName: [
				"A lotus that is still a bud. Wicked Nymph likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12366: {
			unidentifiedDisplayName: "Gril Doll",
			unidentifiedResourceName: "\xbf\xa9\xc0\xda\xbe\xc6\xc0\xcc\xc0\xce\xc7\xfc",
			unidentifiedDescriptionName: [
				"A old japanese doll that looks like the ones you see on horror movies. Miyabi Doll likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Girl Doll",
			identifiedResourceName: "\xbf\xa9\xc0\xda\xbe\xc6\xc0\xcc\xc0\xce\xc7\xfc",
			identifiedDescriptionName: [
				"A old japanese doll that looks like the ones you see on horror movies. Miyabi Doll likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12367: {
			unidentifiedDisplayName: "Luxury Whisky Bottle",
			unidentifiedResourceName: "\xb0\xed\xb1\xde\xbe\xe7\xc1\xd6\xba\xb4",
			unidentifiedDescriptionName: [
				"A strong alcohol that isn't even opened. Dullahan likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Luxury Whisky Bottle",
			identifiedResourceName: "\xb0\xed\xb1\xde\xbe\xe7\xc1\xd6\xba\xb4",
			identifiedDescriptionName: [
				"A strong alcohol that isn't even opened. Dullahan likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12368: {
			unidentifiedDisplayName: "Splendid Mirror",
			unidentifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xb0\xc5\xbf\xef",
			unidentifiedDescriptionName: [
				"A small decorated mirror. Medusa likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Splendid Mirror",
			identifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xb0\xc5\xbf\xef",
			identifiedDescriptionName: [
				"A small decorated mirror. Medusa likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12369: {
			unidentifiedDisplayName: "Oilpalm Coconut",
			unidentifiedResourceName: "\xb1\xe2\xb8\xa7\xbe\xdf\xc0\xda\xbf\xad\xb8\xc5",
			unidentifiedDescriptionName: [
				"A coconut that's filled with oil. Stone Shooter likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Oilpalm Coconut",
			identifiedResourceName: "\xb1\xe2\xb8\xa7\xbe\xdf\xc0\xda\xbf\xad\xb8\xc5",
			identifiedDescriptionName: [
				"A coconut that's filled with oil. Stone Shooter likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12370: {
			unidentifiedDisplayName: "Gril's Naivety",
			unidentifiedResourceName: "\xbc\xd2\xb3\xe0\xc0\xc7\xbc\xf8\xc1\xa4",
			unidentifiedDescriptionName: [
				"A letter that a girl has written with her heart poured in. Incubus likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Girl's Naivety",
			identifiedResourceName: "\xbc\xd2\xb3\xe0\xc0\xc7\xbc\xf8\xc1\xa4",
			identifiedDescriptionName: [
				"A letter that a girl has written with her heart poured in. Incubus likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12371: {
			unidentifiedDisplayName: "Magical Lithography",
			unidentifiedResourceName: "\xb8\xb6\xb7\xc2\xc0\xc7\xbc\xae\xc6\xc7",
			unidentifiedDescriptionName: [
				"Tablet that has strong magic inscribed. Golem likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Magical Lithography",
			identifiedResourceName: "\xb8\xb6\xb7\xc2\xc0\xc7\xbc\xae\xc6\xc7",
			identifiedDescriptionName: [
				"Tablet that has strong magic inscribed. Golem likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12372: {
			unidentifiedDisplayName: "Hell Contract",
			unidentifiedResourceName: "\xc2\xf5\xbe\xee\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"A contract written in the language of hell. Nightmare Terror likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Hell Contract",
			identifiedResourceName: "\xc2\xf5\xbe\xee\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A contract written in the language of hell. Nightmare Terror likes it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12373: {
			unidentifiedDisplayName: "Boy's Pure Heart",
			unidentifiedResourceName: "\xbe\xc8\xba\xce\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"A letter with a boy's heart. He probably put a lot of courage into it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Boy's Pure Heart",
			identifiedResourceName: "\xbe\xc8\xba\xce\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"A letter with a boy's heart. He probably put a lot of courage into it.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12374: {
			unidentifiedDisplayName: "Ice Fireworks",
			unidentifiedResourceName: "\xba\xd2\xb2\xc9\xbe\xf3\xc0\xbd",
			unidentifiedDescriptionName: [
				"A flame shaped ice. Strange.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Ice Fireworks",
			identifiedResourceName: "\xba\xd2\xb2\xc9\xbe\xf3\xc0\xbd",
			identifiedDescriptionName: [
				"A flame shaped ice. Strange.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12375: {
			unidentifiedDisplayName: "Akaraje",
			unidentifiedResourceName: "\xbe\xc6\xb1\xee\xb6\xf3\xc1\xa6",
			unidentifiedDescriptionName: [
				"Attack rate + 10% & HIT + 5 for 20 minutes.",
				"Effect disappear upon death.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			identifiedDisplayName: "Akaraje",
			identifiedResourceName: "\xbe\xc6\xb1\xee\xb6\xf3\xc1\xa6",
			identifiedDescriptionName: [
				"Attack rate + 10% & HIT + 5 for 20 minutes.",
				"Effect disappear upon death.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12376: {
			unidentifiedDisplayName: "Mysterious Can2",
			unidentifiedResourceName: "\xbd\xc5\xb9\xa6\x5f\xc5\xeb\xc1\xb6\xb8\xb2",
			unidentifiedDescriptionName: [
				"...",
				"Recover 3% HP. Enables use of ^008800Level 2 Gloria^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mysterious Can2",
			identifiedResourceName: "\xbd\xc5\xb9\xa6\x5f\xc5\xeb\xc1\xb6\xb8\xb2",
			identifiedDescriptionName: [
				"...",
				"Recover 3% HP. Enables use of ^008800Level 2 Gloria^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12377: {
			unidentifiedDisplayName: "Mysterious PET Bottle2",
			unidentifiedResourceName: "\xbd\xc5\xb9\xa6\x5f\xc6\xd0\xc6\xae\xba\xb4",
			unidentifiedDescriptionName: [
				"...",
				"Recover 3% SP. Enables use of ^008800Level 1 Magnificat^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mysterious PET Bottle2",
			identifiedResourceName: "\xbd\xc5\xb9\xa6\x5f\xc6\xd0\xc6\xae\xba\xb4",
			identifiedDescriptionName: [
				"...",
				"Recover 3% SP. Enables use of ^008800Level 1 Magnificat^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12378: {
			unidentifiedDisplayName: "Rice Cake Soup",
			unidentifiedResourceName: "\xb6\xb1\xb1\xb9",
			unidentifiedDescriptionName: [
				"...",
				"^000088^000088Recovery HP & SP + 50%^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Rice Cake Soup",
			identifiedResourceName: "\xb6\xb1\xb1\xb9",
			identifiedDescriptionName: [
				"...",
				"^000088^000088Recovery HP & SP + 50%^000000.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12379: {
			unidentifiedDisplayName: "Pope Cookie",
			unidentifiedResourceName: "\xb1\xb3\xc8\xb2\xc4\xed\xc5\xb0",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pope Cookie",
			identifiedResourceName: "\xb1\xb3\xc8\xb2\xc4\xed\xc5\xb0",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12380: {
			unidentifiedDisplayName: "Job Change Flute",
			unidentifiedResourceName: "\xb4\xc1\xb4\xeb\xc7\xc7\xb8\xae",
			unidentifiedDescriptionName: [
				"Wolf only to hear a high frequency flute. 1 disposable.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Job Change Flute",
			identifiedResourceName: "\xb4\xc1\xb4\xeb\xc7\xc7\xb8\xae",
			identifiedDescriptionName: [
				"Wolf only to hear a high frequency flute. 1 disposable.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12381: {
			unidentifiedDisplayName: "Ancient Language Scroll",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"A scroll written in an unknown language.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ancient Language Scroll",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"A scroll written in an unknown language.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12382: {
			unidentifiedDisplayName: "Ancient Language Scroll",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"A scroll written in an unknown language.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ancient Language Scroll",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"A scroll written in an unknown language.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12383: {
			unidentifiedDisplayName: "Vulcan Bullet Magazine",
			unidentifiedResourceName: "\xb9\xdf\xc4\xad\xba\xed\xb8\xb4\xc5\xba\xc3\xa2",
			unidentifiedDescriptionName: [
				"A magazine of 1000 vulcan rounds.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			identifiedDisplayName: "Vulcan Bullet Magazine",
			identifiedResourceName: "\xb9\xdf\xc4\xad\xba\xed\xb8\xb4\xc5\xba\xc3\xa2",
			identifiedDescriptionName: [
				"A magazine of 1000 vulcan rounds.",
				"^ffffff_^000000",
				"Weight :^777777 50^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12384: {
			unidentifiedDisplayName: "Rainbow Ruby",
			unidentifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc",
			unidentifiedDescriptionName: [
				"The magic is strong swirling rainbow colors.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Rainbow Ruby",
			identifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb9\xba\xfb\xb7\xe7\xba\xf1",
			identifiedDescriptionName: [
				"The magic is strong swirling rainbow colors.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12385: {
			unidentifiedDisplayName: "Rainbow Ruby",
			unidentifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Rainbow Ruby",
			identifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb9\xba\xfb\xb7\xe7\xba\xf1",
			identifiedDescriptionName: [
				"A strong magic energy is whirling about in rainbow color.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12386: {
			unidentifiedDisplayName: "Rainbow Ruby",
			unidentifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Rainbow Ruby",
			identifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb9\xba\xfb\xb7\xe7\xba\xf1",
			identifiedDescriptionName: [
				"A strong magic energy is whirling about in rainbow color.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12387: {
			unidentifiedDisplayName: "Rainbow Ruby",
			unidentifiedResourceName: "\xbf\xc0\xb8\xae\xb5\xa5\xbf\xc0\xc4\xdc",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Rainbow Ruby",
			identifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb9\xba\xfb\xb7\xe7\xba\xf1",
			identifiedDescriptionName: [
				"A strong magic energy is whirling about in rainbow color.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12388: {
			unidentifiedDisplayName: "Rhydo Runestone For Apprentice",
			unidentifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xb6\xf3\xc0\xcc\xb5\xb5",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rhydo Runestone For Apprentice",
			identifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xb6\xf3\xc0\xcc\xb5\xb5",
			identifiedDescriptionName: [
				"A rune stone for probationer rune knights.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12389: {
			unidentifiedDisplayName: "Pertz Runestone For Apprentice",
			unidentifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xc6\xe4\xb8\xa3\xbe\xb2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pertz Runestone For Apprentice",
			identifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xc6\xe4\xb8\xa3\xbe\xb2",
			identifiedDescriptionName: [
				"A rune stone for probationer rune knights.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12390: {
			unidentifiedDisplayName: "Verkana Runestone For Apprentice",
			unidentifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xba\xa3\xb8\xa3\xc4\xab\xb3\xaa",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Verkana Runestone For Apprentice",
			identifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xba\xa3\xb8\xa3\xc4\xab\xb3\xaa",
			identifiedDescriptionName: [
				"A rune stone for probationer rune knights.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12391: {
			unidentifiedDisplayName: "Fortune Egg",
			unidentifiedResourceName: "\xbe\xd6\xb4\xcf\xb8\xd6\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lucky Egg C",
			identifiedResourceName: "\xbe\xd6\xb4\xcf\xb8\xd6\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"An egg type cute colored package. You might be able to get something.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12392: {
			unidentifiedDisplayName: "Repair A",
			unidentifiedResourceName: "\xb8\xae\xc6\xe4\xbe\xee\x41",
			unidentifiedDescriptionName: [
				"Recovers the Magic Gear's HP by a fixed ammount.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Repair A",
			identifiedResourceName: "\xb8\xae\xc6\xe4\xbe\xee\x41",
			identifiedDescriptionName: [
				"Recovers the Magic Gear's HP by a fixed ammount.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12393: {
			unidentifiedDisplayName: "Repair B",
			unidentifiedResourceName: "\xb8\xae\xc6\xe4\xbe\xee\x42",
			unidentifiedDescriptionName: [
				"Recovers the Magic Gear's HP by a fixed ammount.",
				"^ffffff_^000000",
				"Weight :^777777 14^000000",
			],
			identifiedDisplayName: "Repair B",
			identifiedResourceName: "\xb8\xae\xc6\xe4\xbe\xee\x42",
			identifiedDescriptionName: [
				"Recovers the Magic Gear's HP by a fixed ammount.",
				"^ffffff_^000000",
				"Weight :^777777 14^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12394: {
			unidentifiedDisplayName: "Repair C",
			unidentifiedResourceName: "\xb8\xae\xc6\xe4\xbe\xee\x43",
			unidentifiedDescriptionName: [
				"Recovers the Magic Gear's HP by a fixed ammount.",
				"^ffffff_^000000",
				"Weight :^777777 18^000000",
			],
			identifiedDisplayName: "Repair C",
			identifiedResourceName: "\xb8\xae\xc6\xe4\xbe\xee\x43",
			identifiedDescriptionName: [
				"Recovers the Magic Gear's HP by a fixed ammount.",
				"^ffffff_^000000",
				"Weight :^777777 18^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12395: {
			unidentifiedDisplayName: "Tantan Noodle",
			unidentifiedResourceName: "\xb6\xf3\xb8\xe9\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"A bowl of Tantan Noodles that Green Maidens find hard to resist.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Tantan Noodle",
			identifiedResourceName: "\xb6\xf3\xb8\xe9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A bowl of Tantan Noodles that Green Maidens find hard to resist.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12396: {
			unidentifiedDisplayName: "Gift Box?",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A very suspicious box. You don't know what will happen when you open it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gift Box?",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A very suspicious box. You don't know what will happen when you open it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12397: {
			unidentifiedDisplayName: "Gift Box?",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A very suspicious box. You don't know what will happen when you open it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gift Box?",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A very suspicious box. You don't know what will happen when you open it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12398: {
			unidentifiedDisplayName: "PCRoom Gift Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "PCRoom Gift Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12399: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12400: {
			unidentifiedDisplayName: "Water Of Blessing",
			unidentifiedResourceName: "\xbc\xba\xbc\xf6",
			unidentifiedDescriptionName: [
				"Let's have a good time throwing water!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Water Of Blessing",
			identifiedResourceName: "\xbc\xba\xbc\xf6",
			identifiedDescriptionName: [
				"Let's have a good time throwing water!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12402: {
			unidentifiedDisplayName: "29Truth",
			unidentifiedResourceName: "\xc8\xaf\xbe\xe0",
			unidentifiedDescriptionName: [
				"...",
				"Recovery HP/SP by 5%.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "29Truth",
			identifiedResourceName: "\xc8\xaf\xbe\xe0",
			identifiedDescriptionName: [
				"...",
				"Recovery HP/SP by 5%.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12403: {
			unidentifiedDisplayName: "Fortune Egg II",
			unidentifiedResourceName: "\xc7\xcf\xc6\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lucky Egg C2",
			identifiedResourceName: "\xc7\xcf\xc6\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"An egg type cute colored package. You might be able to get something.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12404: {
			unidentifiedDisplayName: "Energizing Potion",
			unidentifiedResourceName: "\xb9\xd9\xb9\xd9\xbe\xdf\xb0\xa1\xc0\xc7\xba\xf1\xbe\xe0",
			unidentifiedDescriptionName: [
				"...",
				"ATK, MATK + 2% for 2 minutes.",
				"Increases recovery from the heal skill and recovery items by 10%.",
				"Effect disappear upon death.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Energizing Potion",
			identifiedResourceName: "\xb9\xd9\xb9\xd9\xbe\xdf\xb0\xa1\xc0\xc7\xba\xf1\xbe\xe0",
			identifiedDescriptionName: [
				"...",
				"ATK, MATK + 2% for 2 minutes.",
				"Increases recovery from the heal skill and recovery items by 10%.",
				"Effect disappear upon death.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12405: {
			unidentifiedDisplayName: "Unripe Yggdrasil Seed",
			unidentifiedResourceName: "\xc0\xcc\xb1\xd7\xb5\xe5\xb6\xf3\xbd\xc7\xbe\xbe\xbe\xd1",
			unidentifiedDescriptionName: [
				"...",
				"Recovery HP/SP by 30%.",
				"Enables use of ^008800Level 3 Blessing^000000.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Unripe Yggdrasil Seed",
			identifiedResourceName: "\xc0\xcc\xb1\xd7\xb5\xe5\xb6\xf3\xbd\xc7\xbe\xbe\xbe\xd1",
			identifiedDescriptionName: [
				"...",
				"Recovery HP/SP by 30%.",
				"Enables use of ^008800Level 3 Blessing^000000.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12406: {
			unidentifiedDisplayName: "Psychic Armor Scroll",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Psychic Armor Scroll",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"Scroll enables character type as fire for 10 seconds. Effect lasts after player's death.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12407: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"Àß Æ÷ÀåµÈ ¼±¹°»óÀÚ. ¹«¾ùÀÌ µé¾îÀÖ´ÂÁö´Â ¾Ë ¼ö ¾ø´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Àß Æ÷ÀåµÈ ¼±¹°»óÀÚ. ¹«¾ùÀÌ µé¾îÀÖ´ÂÁö´Â ¾Ë ¼ö ¾ø´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12408: {
			unidentifiedDisplayName: "Hydra Ball",
			unidentifiedResourceName: "\xc0\xa9\xb5\xe5\xbf\xc0\xba\xea\xb9\xf6\xb5\xe0\xbe\xee",
			unidentifiedDescriptionName: [
				"A ball which is useful to kill wild rats.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Hydra Ball",
			identifiedResourceName: "\xc0\xa9\xb5\xe5\xbf\xc0\xba\xea\xb9\xf6\xb5\xe0\xbe\xee",
			identifiedDescriptionName: [
				"A ball which is useful to kill wild rats.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12409: {
			unidentifiedDisplayName: "1st Class Pork Belly",
			unidentifiedResourceName: "\xbd\xe2\xc0\xba\xb0\xed\xb1\xe2",
			unidentifiedDescriptionName: [
				"The first rating pork. A very delicious~",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "1st Class Pork Belly",
			identifiedResourceName: "\xbd\xe2\xc0\xba\xb0\xed\xb1\xe2",
			identifiedDescriptionName: [
				"The first rating pork. A very delicious~",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12410: {
			unidentifiedDisplayName: "Thick Pork Belly",
			unidentifiedResourceName: "\xbd\xe2\xc0\xba\xb0\xed\xb1\xe2",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Thick Pork Belly",
			identifiedResourceName: "\xbd\xe2\xc0\xba\xb0\xed\xb1\xe2",
			identifiedDescriptionName: [
				"Anyone can be friends with special pork belly and soju. It makes people relax and happy!",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12411: {
			unidentifiedDisplayName: "HE Battle Manual",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb8\xb6\xb9\xfd\xbc\xad",
			unidentifiedDescriptionName: [
				"This well written, detailed manual explains High Efficiency battle methods.",
				"Increses experience rate by 100% for 15 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HE Battle Manual",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb8\xb6\xb9\xfd\xbc\xad",
			identifiedDescriptionName: [
				"This well written, detailed manual explains High Efficiency battle methods.",
				"Increses experience rate by 100% for 15 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12412: {
			unidentifiedDisplayName: "HE Bubble Gum",
			unidentifiedResourceName: "\xc1\xa4\xb7\xc9\xc0\xc7\xb0\xe1\xc1\xa4\x30\x32",
			unidentifiedDescriptionName: [
				"A High Efficiency bubble gum that packs double the punch.",
				"Increases drop rate by 200% for 15 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HE Bubble Gum",
			identifiedResourceName: "\xc1\xa4\xb7\xc9\xc0\xc7\xb0\xe1\xc1\xa4\x30\x32",
			identifiedDescriptionName: [
				"A High Efficiency bubble gum that packs double the punch.",
				"Increases drop rate by 200% for 15 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12413: {
			unidentifiedDisplayName: "PC Cafe Coupon Box¥±",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "PC Cafe Coupon Box¥±",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A well packed gift box. No one knows what is in it.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12414: {
			unidentifiedDisplayName: "Guarana Candy",
			unidentifiedResourceName: "\xb0\xfa\xb6\xf3\xb3\xaa\xbb\xe7\xc5\xc1",
			unidentifiedDescriptionName: [
				"A candy made with guarana fruit. It seem to raise your awareness but be sure not to eat too much.",
				"Increases your attack speed by a small amount.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Guarana Candy",
			identifiedResourceName: "\xb0\xfa\xb6\xf3\xb3\xaa\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"A candy made with guarana fruit. It seem to raise your awareness but be sure not to eat too much.",
				"Increases your attack speed by a small amount.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12415: {
			unidentifiedDisplayName: "Siege Teleport Scroll Silver",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll with many castle coordinates written. If you tear the scroll at the right spot, it will warp you to that location.",
				"Allows warp to \"Mardol\", \"Syr\", \"Horn\", \"Gefn\", \"Banadis\", \"Himinn\", \"Andlangr\", \"Vidblainn\", \"Hljod\", \"Skidbladnir\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Siege Teleport Scroll Silver",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll with many castle coordinates written. If you tear the scroll at the right spot, it will warp you to that location.",
				"Allows warp to \"Mardol\", \"Syr\", \"Horn\", \"Gefn\", \"Banadis\", \"Himinn\", \"Andlangr\", \"Vidblainn\", \"Hljod\", \"Skidbladnir\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12416: {
			unidentifiedDisplayName: "Thanksgiving Groove Pack",
			unidentifiedResourceName: "\xb4\xeb\xb8\xb8\x37\xbf\xf9\x37\xbc\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Thanksgiving Groove Pack",
			identifiedResourceName: "\xb4\xeb\xb8\xb8\x37\xbf\xf9\x37\xbc\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12417: {
			unidentifiedDisplayName: "Boost500",
			unidentifiedResourceName: "\xb4\xe7\xb1\xd9",
			unidentifiedDescriptionName: [
				"A potion that slightly boosts attack speed.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Boost500",
			identifiedResourceName: "\xb4\xe7\xb1\xd9",
			identifiedDescriptionName: [
				"A potion that slightly boosts attack speed.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12418: {
			unidentifiedDisplayName: "Full SwingK",
			unidentifiedResourceName: "\xc7\xae\xbd\xba\xc0\xae\x4b",
			unidentifiedDescriptionName: [
				"A potion that slightly boosts attack power.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Full SwingK",
			identifiedResourceName: "\xc7\xae\xbd\xba\xc0\xae\x4b",
			identifiedDescriptionName: [
				"A potion that increases Atk a little.",
				"Duration : 500 sec.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12419: {
			unidentifiedDisplayName: "Mana +",
			unidentifiedResourceName: "\xb8\xb6\xb3\xaa\xc7\xc3\xb7\xaf\xbd\xba",
			unidentifiedDescriptionName: [
				"A potion that slightly boosts magic attack power.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Mana +",
			identifiedResourceName: "\xb8\xb6\xb3\xaa\xc7\xc3\xb7\xaf\xbd\xba",
			identifiedDescriptionName: [
				"A potion that increases Matk a little.",
				"Duration : 500 sec.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12420: {
			unidentifiedDisplayName: "Muramura(M)",
			unidentifiedResourceName: "\xb4\xe7\xb1\xd9",
			unidentifiedDescriptionName: [
				"A potion that slightly boosts max HP.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Muramura(M)",
			identifiedResourceName: "\xb4\xe7\xb1\xd9",
			identifiedDescriptionName: [
				"A potion that slightly boosts max HP.",
				"Duration 500 seconds.",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12421: {
			unidentifiedDisplayName: "Falmons(F)",
			unidentifiedResourceName: "\xb4\xe7\xb1\xd9",
			unidentifiedDescriptionName: [
				"A potion that slightly boosts max SP.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Falmons(F)",
			identifiedResourceName: "\xb4\xe7\xb1\xd9",
			identifiedDescriptionName: [
				"A potion that slightly boosts max SP.",
				"Duration 500 seconds.",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12422: {
			unidentifiedDisplayName: "HP Increase Potion(Small)",
			unidentifiedResourceName: "\x48\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xbc\xd2",
			unidentifiedDescriptionName: [
				"A potion that slightly increases Max HP, recovers 2% HP.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "HP Increase Potion(Small)",
			identifiedResourceName: "\x48\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xbc\xd2",
			identifiedDescriptionName: [
				"A small potion that increases MaxHP.",
				"MaxHP slightly increased for 500 sec, HP recovery +1%.",
				"Weight : ^7777772^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12423: {
			unidentifiedDisplayName: "HP Increase Potion(Mid)",
			unidentifiedResourceName: "\x48\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xc1\xdf",
			unidentifiedDescriptionName: [
				"A potion that slightly increases Max HP, recovers 3% HP.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "HP Increase Potion(Mid)",
			identifiedResourceName: "\x48\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xc1\xdf",
			identifiedDescriptionName: [
				"A potion that increases MaxHP.",
				"MaxHP moderately increased for 500 sec, HP recovery +2%.",
				"Weight : ^7777774^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12424: {
			unidentifiedDisplayName: "HP Increase Potion(Large)",
			unidentifiedResourceName: "\x48\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xb4\xeb",
			unidentifiedDescriptionName: [
				"A potion that slightly increases Max HP, recovers 5% HP.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			identifiedDisplayName: "HP Increase Potion(Large)",
			identifiedResourceName: "\x48\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xb4\xeb",
			identifiedDescriptionName: [
				"A big potion that increases MaxHP.",
				"MaxHP increased by a large amount for 500 sec, HP recovery +5%.",
				"Weight : ^7777778^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12425: {
			unidentifiedDisplayName: "SP Increase Potion(Small)",
			unidentifiedResourceName: "\x53\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xbc\xd2",
			unidentifiedDescriptionName: [
				"A potion that slightly increases Max SP, recovers 2% SP.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "SP Increase Potion(Small)",
			identifiedResourceName: "\x53\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xbc\xd2",
			identifiedDescriptionName: [
				"A small potion that increases MaxSP.",
				"MaxSP slightly increased for 500 sec, SP recovery +2%.",
				"Weight : ^7777772^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12426: {
			unidentifiedDisplayName: "SP Increase Potion(Mid)",
			unidentifiedResourceName: "\x53\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xc1\xdf",
			unidentifiedDescriptionName: [
				"A potion that slightly increases Max SP, recovers 4% SP.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 4^000000",
			],
			identifiedDisplayName: "SP Increase Potion(Mid)",
			identifiedResourceName: "\x53\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xc1\xdf",
			identifiedDescriptionName: [
				"A potion that increases MaxSP.",
				"MaxSP moderately increased for 500 sec, SP recovery +4%.",
				"Weight : ^7777774^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12427: {
			unidentifiedDisplayName: "SP Increase Potion(Large)",
			unidentifiedResourceName: "\x53\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xb4\xeb",
			unidentifiedDescriptionName: [
				"A potion that slightly increases Max SP, recovers 8% SP.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 8^000000",
			],
			identifiedDisplayName: "SP Increase Potion(Large)",
			identifiedResourceName: "\x53\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xb4\xeb",
			identifiedDescriptionName: [
				"A big potion that increases MaxSP.",
				"MaxSP increased by a large amount for 500 sec, SP recovery +8%.",
				"Weight : ^7777778^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12428: {
			unidentifiedDisplayName: "Enriched White PotionZ",
			unidentifiedResourceName: "\xb3\xf3\xc3\xe0\xc8\xad\xc0\xcc\xc6\xae\xc6\xf7\xbc\xc7\x5a",
			unidentifiedDescriptionName: [
				"Increases a great amount of HP, and boosts natural HP recovery by 20%.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 7^000000",
			],
			identifiedDisplayName: "Enriched White PotionZ",
			identifiedResourceName: "\xb3\xf3\xc3\xe0\xc8\xad\xc0\xcc\xc6\xae\xc6\xf7\xbc\xc7\x5a",
			identifiedDescriptionName: [
				"Recovers a large amount of HP, increases natural HP recovery speed by 20%.",
				"Duration : 500 sec.",
				"Weight : ^7777777^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12429: {
			unidentifiedDisplayName: "Savage BBQ",
			unidentifiedResourceName: "\xbc\xbc\xba\xf1\xc1\xf6\xc5\xeb\xb1\xb8\xc0\xcc",
			unidentifiedDescriptionName: [
				"A full roasted savage with wild ingredients.",
				"Increases STR by 20 points. Duration 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Savage BBQ",
			identifiedResourceName: "\xbc\xbc\xba\xf1\xc1\xf6\xc5\xeb\xb1\xb8\xc0\xcc",
			identifiedDescriptionName: [
				"A very wild dish made out of a whole Savage with a slight barbecue flavor!",
				"STR + 20.",
				"Duration : 5 min.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12430: {
			unidentifiedDisplayName: "Wug Blood Cocktail",
			unidentifiedResourceName: "\xc4\xac\xc5\xd7\xc0\xcf\xbf\xf6\xb1\xd7\xba\xed\xb7\xaf\xb5\xe5",
			unidentifiedDescriptionName: [
				"A deep red cocktail. It's rumored that wolfs blood is an ingredient.",
				"Increases INT by 20 points. Duration 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Warg Blood Cocktail",
			identifiedResourceName: "\xc4\xac\xc5\xd7\xc0\xcf\xbf\xf6\xb1\xd7\xba\xed\xb7\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A deep red colored cocktail containing wolf's blood.",
				"INT + 20.",
				"Duration : 5 min.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12431: {
			unidentifiedDisplayName: "Minor Brisket",
			unidentifiedResourceName: "\xb8\xb6\xc0\xcc\xb3\xca\xbe\xe7\xc1\xf6\xb8\xd3\xb8\xae",
			unidentifiedDescriptionName: [
				"A brilliant stew with tender cuts of meat.",
				"Increases VIT by 20 points. Duration 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Minor Brisket",
			identifiedResourceName: "\xb8\xb6\xc0\xcc\xb3\xca\xbe\xe7\xc1\xf6\xb8\xd3\xb8\xae",
			identifiedDescriptionName: [
				"Meat of a Minor's head. Famous for it's soft and tender textures.",
				"VIT + 20.",
				"Duration : 5 min.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12432: {
			unidentifiedDisplayName: "Siroma Icetea",
			unidentifiedResourceName: "\xbd\xc3\xb7\xce\xb8\xb6\xbe\xc6\xc0\xcc\xbd\xba\xc6\xbc",
			unidentifiedDescriptionName: [
				"A fantastic drink with crystal ice.",
				"Increases DEX by 20 points. Duration 30 minutes. ",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Siroma Icetea",
			identifiedResourceName: "\xbd\xc3\xb7\xce\xb8\xb6\xbe\xc6\xc0\xcc\xbd\xba\xc6\xbc",
			identifiedDescriptionName: [
				"Fantastic combination of transparent ice and tea.",
				"DEX + 20.",
				"Duration : 5 min.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12433: {
			unidentifiedDisplayName: "Drocera Herb Stew",
			unidentifiedResourceName: "\xb5\xe5\xb7\xce\xbc\xbc\xb6\xf3\xc7\xe3\xba\xea\xc2\xf2",
			unidentifiedDescriptionName: [
				"A strong textured dish that is a delicacy in the Arunafeltz.",
				"Increases AGI by 20 points. Duration 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Drosera Herb Stew",
			identifiedResourceName: "\xb5\xe5\xb7\xce\xbc\xbc\xb6\xf3\xc7\xe3\xba\xea\xc2\xf2",
			identifiedDescriptionName: [
				"One of the best delicacies in Arunafeltz that has a chewy texture.",
				"AGI + 20.",
				"Duration : 5 min.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12434: {
			unidentifiedDisplayName: "Petti Tail Noodle",
			unidentifiedResourceName: "\xbb\xda\xb6\xec\xb2\xbf\xb8\xae\xb1\xb9\xbc\xf6",
			unidentifiedDescriptionName: [
				"A fully garnished Korean type noodles thats considered a masterpiece from geffen.",
				"Increases LUK by 20 points. Duration 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Petite Tail Noodles",
			identifiedResourceName: "\xbb\xda\xb6\xec\xb2\xbf\xb8\xae\xb1\xb9\xbc\xf6",
			identifiedDescriptionName: [
				"A Geffen delicacy that is decorated with the best part of the Petite, the tail.",
				"LUK + 20.",
				"Duration : 5 min.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12435: {
			unidentifiedDisplayName: "Black Thing",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xb9\xb0\xc3\xbc",
			unidentifiedDescriptionName: [
				"A pitch black lump with a foul odor. It looks like it was some kind of cooking gone horribly wrong.",
				"Decreases all stats by 5 ~ 10 points. Duration 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Black Thing",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb9\xb0\xc3\xbc",
			identifiedDescriptionName: [
				"A black scary thing that smells burnt. It looks like a failure of something, so it couldn't preserve it's original shape.",
				"Decrease All Status 5 to 10.",
				"Duration : 5 min.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12436: {
			unidentifiedDisplayName: "Vitata500",
			unidentifiedResourceName: "\xba\xf1\xc5\xb8\xc5\xb8\x35\x30\x30",
			unidentifiedDescriptionName: [
				"Recovers a large amount of SP, and boosts natural SP recovery by 20%.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Vitata500",
			identifiedResourceName: "\xba\xf1\xc5\xb8\xc5\xb8\x35\x30\x30",
			identifiedDescriptionName: [
				"Recovers SP, natural SP natural speed increased by 20% and MaxSP increased by 5%.",
				"Duration : 500 sec.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12437: {
			unidentifiedDisplayName: "Enrich Celermine Juice",
			unidentifiedResourceName: "\xb3\xf3\xc3\xe0\xbb\xf8\xb7\xaf\xb8\xb6\xc0\xce\xc1\xf3",
			unidentifiedDescriptionName: [
				"Increases a large amount of HP, and slightly increases attack speed.",
				"Duration 500 seconds.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Enrich Celermine Juice",
			identifiedResourceName: "\xb3\xf3\xc3\xe0\xbb\xf8\xb7\xaf\xb8\xb6\xc0\xce\xc1\xf3",
			identifiedDescriptionName: [
				"Increase attack speed a little.",
				"Duration : 500 sec.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12438: {
			unidentifiedDisplayName: "Giant Fly Wing",
			unidentifiedResourceName: "\xb0\xc5\xb4\xeb\xc7\xd1\xc6\xc4\xb8\xae\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"An enchanted, giant wing from an ancient creatures.",
				"Enables instant teleportation of many people when used by a Party Master.",
				"^ffffff_^000000",
				"This item can be traded and put into storage.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Giant Fly Wing",
			identifiedResourceName: "\xb0\xc5\xb4\xeb\xc7\xd1\xc6\xc4\xb8\xae\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"An enchanted, giant wing from an ancient creatures.",
				"Enables instant teleportation of many people when used by a Party Master.",
				"^ffffff_^000000",
				"This item can be traded and put into storage.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12439: {
			unidentifiedDisplayName: "Battle Manual",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			unidentifiedDescriptionName: [
				"This well written, detailed manual",
				"explains effective battle methods.",
				"^000088EXP rate increases to 150% for 30 minutes.^000000",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Old Battle Manual",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			identifiedDescriptionName: [
				"This well written, detailed manual explains effective battle methods.",
				"^000088EXP rate increases to^000000",
				"^000088150% for 30 minutes.^000000",
				"^ff0000This item is character bound.^000000",
				"^ff0000180% for 30 minutes until 12/13/2011^000000",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12440: {
			unidentifiedDisplayName: "Insurance",
			unidentifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			unidentifiedDescriptionName: [
				"A life insurance certificate issued by Kafra Headquarters.",
				"This item loses its effect once the player receives its benefit.",
				"If the character dies within 30 minutes after using this item, there will be no EXP loss penalty.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Insurance",
			identifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			identifiedDescriptionName: [
				"A life insurance certificate issued by Kafra Headquarters.",
				"This item loses its effect once the player receives its benefit.",
				"If the character dies within 30 minutes after using this item, there will be no EXP loss penalty.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12441: {
			unidentifiedDisplayName: "Bubble Gum",
			unidentifiedResourceName: "\xc7\xb3\xbc\xb1\xb2\xad",
			unidentifiedDescriptionName: [
				"Sweet, tasty bubble gum. Item drop rate increases by 100% for 30 minutes.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Old Bubble Gum",
			identifiedResourceName: "\xc7\xb3\xbc\xb1\xb2\xad",
			identifiedDescriptionName: [
				"Sweet, tasty bubble gum. Item drop rate increases by 100% for 30 minutes.",
				"^ff0000150% for 30 minutes until 12/13/2011^000000",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12442: {
			unidentifiedDisplayName: "Kafra Card",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xc7\xd4",
			unidentifiedDescriptionName: [
				"A Kafra name card issued by the Kafra Headquarters.",
				"Using this card will call up the Kafra Service.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Kafra Card",
			identifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xb8\xed\xc7\xd4",
			identifiedDescriptionName: [
				"A Kafra name card issued by the Kafra Headquarters.",
				"Using this card will call up the Kafra Service.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12443: {
			unidentifiedDisplayName: "Neuralizer",
			unidentifiedResourceName: "\xbc\xb6\xb1\xa4\xb8\xb7\xb4\xeb",
			unidentifiedDescriptionName: [
				"Pressing the button on this stick will flash blinding light that seems to cause memory loss.",
				"Resets the Skill Tree and gives the corresponding number of Skill Points.",
				"This item can only be used in town, and the character must carry 0 weight, and cannot be equipped with a Pushcart, Falcon, or PecoPeco.",
				"Cannot be used by Novice Class.",
				"^ffffff_^000000",
				"Weight: ^7777770^000000",
			],
			identifiedDisplayName: "Neuralizer",
			identifiedResourceName: "\xbc\xb6\xb1\xa4\xb8\xb7\xb4\xeb",
			identifiedDescriptionName: [
				"Pressing the button on this stick will flash blinding light that seems to cause memory loss.",
				"Resets the Skill Tree and gives the corresponding number of Skill Points.",
				"This item can only be used in town, and the character must carry 0 weight,",
				"and cannot be equipped with a Pushcart, Falcon, or PecoPeco. Cannot be used by Novice Class.",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12444: {
			unidentifiedDisplayName: "WoE Teleport Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A teleport scroll that warps you to the Siege Areas.",
				"Valkyrie Realms",
				"Britoniah",
				"Greenwood Lake",
				"Luina",
				"Valfreyja",
				"Nidhoggur",
				"Cannot be dropped.",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "WoE Teleport Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A teleport scroll that warps you to the Siege Areas.",
				"Valkyrie Realms",
				"Britoniah",
				"Greenwood Lake",
				"Luina",
				"Valfreyja",
				"Nidhoggur",
				"Cannot be dropped.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12445: {
			unidentifiedDisplayName: "Steamed Tongue",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"A very pricey Louyang dish that tastes absolutely superb.",
				"STR +10, 30 minute duration.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Steamed Tongue",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"A very pricey Louyang dish that tastes absolutely superb.",
				"STR + 10",
				"Duration : 30 minutes.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12446: {
			unidentifiedDisplayName: "Steamed Desert Scorpions",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"This scorpion dish is cooked with the heat of the desert sand, and is one of the four best dishes in Sograt Desert cuisine.",
				"AGI +10, 30 minute duration.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Steamed Desert Scorpions",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"This scorpion dish is cooked with the heat of the desert sand,",
				"and is one of the four best dishes in Sograt Desert cuisine.",
				"AGI + 10",
				"Duration : 30 minutes.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12447: {
			unidentifiedDisplayName: "Dragon Breath Cocktail",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"A cocktail whose unforgettable flavor is as potent as the breath of a dragon.",
				"INT +10, 30 minute duration.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Dragon Breath Cocktail",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"A cocktail whose unforgettable flavor is as potent as the breath of a dragon.",
				"INT + 10",
				"Duration : 30 minutes.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12448: {
			unidentifiedDisplayName: "Hwergelmir's Tonic",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"This beverage is named after the legendary spring that is believed to be the source of the world's rivers, and is famous for its pure, amazing taste.",
				"DEX +10, 30 minute duration.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Hwergelmir's Tonic",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"This beverage is named after the legendary spring that is believed to be the source of the world's rivers,",
				"and is famous for its pure, amazing taste.",
				"DEX + 10",
				"Duration : 30 minutes.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12449: {
			unidentifiedDisplayName: "Nine Tail",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"A rare, specialty Payon dish that bestows luck to those fortunate enough to eat it.",
				"LUK +10, 30 minute duration.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Nine Tail",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"A rare, specialty",
				"Payon dish that bestows luck to those fortunate enough to eat it.",
				"LUK + 10",
				"Duration : 30 minutes.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12450: {
			unidentifiedDisplayName: "Stew Of Immortality",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"A funkly smelling, suspicious looking stew that really does make you feel like an immortal when you eat it.",
				"VIT +10, 30 minute duration.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Stew Of Immortality",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"A funky smelling, suspicious looking stew that really does make you feel like an immortal when you eat it.",
				"VIT + 10",
				"Duration : 30 minutes.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12451: {
			unidentifiedDisplayName: "Yellow Butterfly Wing",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"An enchanted butterfly's wing that instantly sends its user to the towns of the Rune Midgarts Kingdom.",
				"Locations: \"Prontera\", \"Geffen\", \"Payon\", \"Morroc\", \"Al De Baran\" or \"Alberta\" when waved in the air.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Yellow Butterfly Wing",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"An enchanted butterfly's wing that instantly sends its user to the towns of the Rune Midgarts Kingdom.",
				"Locations: \"Prontera\", \"Geffen\", \"Payon\", \"Morroc\", \"Al De Baran\" or \"Alberta\" when waved in the air.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12452: {
			unidentifiedDisplayName: "Green Butterfly Wing",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"An enchanted butterfly's wing that instantly sends its user to the towns of the Schwartzwalt Republic.",
				"Locations: \"Juno\", \"Lighthalzen\", Einbroch\" or \"Hugel\" when waved in the air.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Green Butterfly Wing",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"An enchanted butterfly's wing that instantly sends its user to the towns of the Schwartzwalt Republic.",
				"Locations: \"Juno\", \"Lighthalzen\", Einbroch\" or \"Hugel\" when waved in the air.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12453: {
			unidentifiedDisplayName: "Red Butterfly Wing",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"An enchanted butterfly's wing that instantly sends its user to the towns of Arunafeltz.",
				"Locations: \"Veins\" or \"Rachel\"",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Red Butterfly Wing",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"An enchanted butterfly's wing that instantly sends its user to the towns of Arunafeltz.",
				"Locations: \"Veins\" or \"Rachel\"",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12454: {
			unidentifiedDisplayName: "Blue Butterfly Wing",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"An enchanted butterfly's wing that instantly sends its user to the island towns of Rune Midgard.",
				"Locations: \"Ayothaya\", \"Amatsu\", \"Luoyang\", \"Kunlun\" \"Moscovia\"",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Blue Butterfly Wing",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"An enchanted butterfly's wing that instantly sends its user to the island towns of Rune Midgard.",
				"Locations: \"Ayothaya\", \"Amatsu\", \"Luoyang\", \"Kunlun\" \"Moscovia\"",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12455: {
			unidentifiedDisplayName: "Dungeon Teleport Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A teleport scroll that warps you to the Siege Areas.",
				"Valkyrie Realms",
				"Britoniah",
				"Greenwood Lake",
				"Luina",
				"Valfreyja",
				"Nidhoggur",
				"Cannot be dropped.",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "WoE Teleport Scroll",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A teleport scroll that warps you to the Siege Areas.",
				"Valkyrie Realms",
				"Britoniah",
				"Greenwood Lake",
				"Luina",
				"Valfreyja",
				"Nidhoggur",
				"Cannot be dropped.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12456: {
			unidentifiedDisplayName: "Greed Scroll",
			unidentifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Enables a single cast of Greed.",
				"Caution! -Cannot be used in town. When used, only scroll gets destroyed.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Greed Scroll",
			identifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Enables a single cast of Greed.",
				"Caution! -Cannot be used in town. When used, only scroll gets destroyed.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12457: {
			unidentifiedDisplayName: "Glass Of Illusion",
			unidentifiedResourceName: "\xbc\xba\xbc\xf6",
			unidentifiedDescriptionName: [
				"A glass of illusion made from morning dew from an Illusion Flower.",
				"Drink the dew to create an illusion that will make it more difficult for enemies to hit you.",
				"Increases your Perfect Dodge by 20 for 1 minute.  Only one may be consumed per 5 minutes.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Glass Of Illusion",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A glass of illusion made from morning dew from an Illusion Flower.",
				"Drink the dew to create an illusion that will make it more difficult for enemies to hit you.",
				"Increases your Perfect Dodge by 20 for 1 minute. Only one may be consumed per 5 minutes.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12458: {
			unidentifiedDisplayName: "Abrasive",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb0\xbf\xa1\xc0\xcf",
			unidentifiedDescriptionName: [
				"An abrasive that adds sharpness to",
				"a weapon.",
				"Increases Critical Rate by 30 for 5 minutes.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Abrasive",
			identifiedResourceName: "\xb1\xd7\xb8\xb0\xbf\xa1\xc0\xcf",
			identifiedDescriptionName: [
				"An abrasive that adds sharpness to a weapon.",
				"Increases Critical Rate by 30",
				"Duration : 5 Minutes.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12459: {
			unidentifiedDisplayName: "Medium Life Potion",
			unidentifiedResourceName: "\xbd\xce\xb0\xed",
			unidentifiedDescriptionName: [
				"A sizeable bottle of Yggdrasil Tree Sap that is effective in healing wounds.",
				"Restores an amount of HP equal of 7% of your Max HP every 4 seconds for a 10 minute duration.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Medium Life Potion",
			identifiedResourceName: "\xbd\xce\xb0\xed",
			identifiedDescriptionName: [
				"A sizeable bottle of Yggdrasil Tree Sap that is effective in healing wounds.",
				"Restores an amount of HP equal of 7% of your Max HP every 4 seconds.",
				"Duration : 10 minutes.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12460: {
			unidentifiedDisplayName: "Small Life Potion",
			unidentifiedResourceName: "\xb1\xbc\xb6\xf3\xb8\xb8",
			unidentifiedDescriptionName: [
				"A sizeable bottle of Yggdrasil Tree Sap that is effective in healing wounds.",
				"Restores an amount of HP equal of 7% of your Max HP every 4 seconds for a 10 minute duration.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Small Life Potion",
			identifiedResourceName: "\xb1\xbc\xb6\xf3\xb8\xb8",
			identifiedDescriptionName: [
				"A sizeable bottle of Yggdrasil Tree Sap that is effective in healing wounds.",
				"Restores an amount of HP equal of 7% of your Max HP every 4 seconds.",
				"Duration : 10 minutes.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12461: {
			unidentifiedDisplayName: "Regeneration Potion",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbf\xa1\xc0\xcf",
			unidentifiedDescriptionName: [
				"A magic potion made with alchemy and magic.",
				"A Rosary is rumored to be one of the secret ingredients in making this potion.",
				"Increases the HP recovery effect of some potions and the Heal skill by 20% for 30 minutes.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Regeneration Potion",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbf\xa1\xc0\xcf",
			identifiedDescriptionName: [
				"A magic potion made with alchemy and magic.",
				"A Rosary is rumored to be one of the secret ingredients in making this potion.",
				"Increases the HP recovery effect of some potions and the Heal skill by 20%.",
				"Duration : 30 minutes.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12462: {
			unidentifiedDisplayName: "Big Magic Defense Potion",
			unidentifiedResourceName: "\xb8\xb6\xc4\xab\xc7\xaa\xb3\xeb",
			unidentifiedDescriptionName: [
				"A secret potion made using pixie mustache.",
				"Adds 3% resistance to Magical Attacks  for 3 minutes.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Big Magic Defense Potion",
			identifiedResourceName: "\xb8\xb6\xc4\xab\xc7\xaa\xb3\xeb",
			identifiedDescriptionName: [
				"A secret potion made using pixie mustache.",
				"Adds 3% resistance to Magical Attacks.",
				"Duration : 3 minutes.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12463: {
			unidentifiedDisplayName: "Small Magic Defense Potion",
			unidentifiedResourceName: "\xb8\xb6\xc4\xab\xc7\xaa\xb3\xeb",
			unidentifiedDescriptionName: [
				"A secret potion made using pixie mustache.",
				"Adds 3% resistance to Magical Attacks  for 1 minute.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Small Magic Defense Potion",
			identifiedResourceName: "\xb8\xb6\xc4\xab\xc7\xaa\xb3\xeb",
			identifiedDescriptionName: [
				"A secret potion made using pixie mustache.",
				"Adds 3% resistance to Magical Attacks.",
				"Duration : 1 minute.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12464: {
			unidentifiedDisplayName: "Big Defense Potion",
			unidentifiedResourceName: "\xb6\xfb\xc4\xab",
			unidentifiedDescriptionName: [
				"A secret potion made using tough dragon scales.",
				"Adds 3% resistance to Physical Attacks for 3 minutes.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Big Defense Potion",
			identifiedResourceName: "\xb6\xfb\xc4\xab",
			identifiedDescriptionName: [
				"A secret potion made using tough dragon scales.",
				"Adds 3% resistance to Physical Attacks.",
				"Duration : 3 minutes.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12465: {
			unidentifiedDisplayName: "Small Defense Potion",
			unidentifiedResourceName: "\xb6\xfb\xc4\xab",
			unidentifiedDescriptionName: [
				"A secret potion made using tough dragon scales.",
				"Adds 3% resistance to Physical Attacks for 1 minute.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Small Defense Potion",
			identifiedResourceName: "\xb6\xfb\xc4\xab",
			identifiedDescriptionName: [
				"A secret potion made using tough dragon scales.",
				"Adds 3% resistance to Physical Attacks.",
				"Duration : 1 minute.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12466: {
			unidentifiedDisplayName: "LV10 Blessing Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll in which a single use of Level 10 Blessing has been recorded.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "LV10 Blessing Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll in which a single use of Level 10 Blessing has been recorded.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ff0000This item is character bound.^000000",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12467: {
			unidentifiedDisplayName: "LV10 Agil Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll in which a single use of Level 10 Increase AGI has been recorded.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"This item consumes 15 HP and will be ineffective if the character has fewer than 15 HP.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "LV10 Agil Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll in which a single use of Level 10 Increase AGI has been recorded.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"This item consumes 15 HP and will be ineffective if the character has fewer than 15 HP.",
				"^ff0000This item is character bound.^000000",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12468: {
			unidentifiedDisplayName: "LV5 Aspersio Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll in which a single use of Level 5 Aspersio has been recorded.",
				"If there is no Holy Water, scroll will be damaged when used.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "LV5 Aspersio Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll in which a single use of Level 5 Aspersio has been recorded.",
				"If there is no Holy Water, scroll will be damaged when used.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12469: {
			unidentifiedDisplayName: "LV5 Assumptio Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll in which a single use of Level 5 Assumptio has been recorded.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "LV5 Assumptio Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll in which a single use of Level 5 Assumptio has been recorded.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12470: {
			unidentifiedDisplayName: "LV10 Wind Walker Scroll",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc7\xb3",
			unidentifiedDescriptionName: [
				"A scroll in which a single use of Level 10 Wind Walker has been recorded.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "LV10 Wind Walker Scroll",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc7\xb3",
			identifiedDescriptionName: [
				"A scroll in which a single use of Level 10 Wind Walker has been recorded.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12471: {
			unidentifiedDisplayName: "LV5 Adrenaline Scroll",
			unidentifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll in which a single use of Level 5 Adrenaline Rush has been recorded.",
				"If the user is not equipped with an Axe, the scroll will be when used.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "LV5 Adrenaline Scroll",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll in which a single use of Level 5 Adrenaline Rush has been recorded.",
				"If the user is not equipped with an Axe, the scroll will be when used.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12472: {
			unidentifiedDisplayName: "Convex Mirror",
			unidentifiedResourceName: "\xba\xbc\xb7\xcf\xb0\xc5\xbf\xef",
			unidentifiedDescriptionName: [
				"A box containing 10 Convex Mirrors.",
				"Extremely fragile!",
				"^ffffff_^000000",
				"Convex Mirror - Can detect appearance of Boss Monsters for 10 minute duration.",
				"Effect is canceled if player logs out or leaves current map.",
				"Some MVP monsters cannot be detected.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Convex Mirror",
			identifiedResourceName: "\xba\xbc\xb7\xcf\xb0\xc5\xbf\xef",
			identifiedDescriptionName: [
				"^FF0000This item will be discontinued from sale starting on June 21, 2011^000000",
				"A clean convex mirror that can be used to detect the appearance of Boss Monsters.",
				"10 minute duration that is canceled when the player leaves the map or logs out.",
				"Lord of the Dead, and Boss Monsters in the Bio Lab, Ktullanux, Memory of Thanatos, and some other event MVP monsters cannot be detected by using this item.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12473: {
			unidentifiedDisplayName: "RWC Event Receipt Memorial Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "RWC Event Receipt Memorial Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12474: {
			unidentifiedDisplayName: "RWC Final Event Memorial Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "RWC Final Event Memorial Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12475: {
			unidentifiedDisplayName: "Cure Free",
			unidentifiedResourceName: "\xc5\xa5\xbe\xee\xc7\xc1\xb8\xae",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Cure Free",
			identifiedResourceName: "\xc5\xa5\xbe\xee\xc7\xc1\xb8\xae",
			identifiedDescriptionName: [
				"Recovers several kinds of abnormal status. Recovers small amount of HP.",
				"(Silence, Bleeding, Poison, Curse, Reverse Orcish, Change Undead)",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12476: {
			unidentifiedDisplayName: "PCRoom Coupon Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "PCRoom Coupon Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12477: {
			unidentifiedDisplayName: "Grab Bag Gift",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Grab Bag Gift",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12478: {
			unidentifiedDisplayName: "Opportunity Of Box",
			unidentifiedResourceName: "\x50\x52\x4f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Opportunity Of Box",
			identifiedResourceName: "\x50\x52\x4f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12479: {
			unidentifiedDisplayName: "Caracas Ring Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Caracas Ring\" inside. Available for 3 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Caracas Ring Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Caracas Ring\" inside. Available for 3 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12480: {
			unidentifiedDisplayName: "Attendance 3rd Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Attendance 3rd Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12481: {
			unidentifiedDisplayName: "Attendance 7th Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Attendance 7th Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12482: {
			unidentifiedDisplayName: "Attendance 10day Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Attendance 10day Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12483: {
			unidentifiedDisplayName: "Attendance 15day Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Attendance 15day Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12484: {
			unidentifiedDisplayName: "Attendance 20day Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Attendance 20day Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12485: {
			unidentifiedDisplayName: "Attendance 25day Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Attendance 25day Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12486: {
			unidentifiedDisplayName: "Gold PCRoom 1etc. Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gold PCRoom 1etc. Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12487: {
			unidentifiedDisplayName: "PCRoom Leaf Clover Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover In Mouth R\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "PCRoom Leaf Clover Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover In Mouth R\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12488: {
			unidentifiedDisplayName: "Ticket Gift Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ticket Gift Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12489: {
			unidentifiedDisplayName: "Ticket Gift Box II",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ticket Gift Box II",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12490: {
			unidentifiedDisplayName: "Christmas Music Box",
			unidentifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Christmas Music Box",
			identifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			identifiedDescriptionName: [
				"A notation that a Caroll is memorized.",
				"But nobody knows which song is memorized.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12491: {
			unidentifiedDisplayName: "Curious Snowball",
			unidentifiedResourceName: "\xb4\xab\xc0\xc7\xb0\xe1\xc1\xa4",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Curious Snowball",
			identifiedResourceName: "\xb4\xab\xc0\xc7\xb0\xe1\xc1\xa4",
			identifiedDescriptionName: [
				"You can get get an effect of Restore, Endure, or Wing of Butterfly.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12492: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb1\xb8\xb0\xdc\xc1\xf8\xc1\xbe\xc0\xcc\xb9\xb6\xc4\xa1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb1\xb8\xb0\xdc\xc1\xf8\xc1\xbe\xc0\xcc\xb9\xb6\xc4\xa1",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12493: {
			unidentifiedDisplayName: "Fortune Egg¥³",
			unidentifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Groovy Dragon Box",
			identifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12507: {
			unidentifiedDisplayName: "Yellow Butterfly Wing",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·é ¹Ìµå°¡Ã÷ÀÇ ¸¶À»ÀÌ ±â·ÏµÇ¾î ÀÖ´Â ½ºÅ©·Ñ. »ç¿ëÇÏ¸é ±× ¸¶À»·Î ¹Ù·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Â µí ÇÏ´Ù.",
				"\"ÇÁ·ÐÅ×¶ó\", \"°ÔÆæ\", \"ÆäÀÌ¿æ\", \"¸ð·ÎÅ©\", \"¾Ëµ¥¹Ù¶õ\", \"¾Ëº£¸£Å¸\", \"ÀÌÁî·çµå\"",
				"°æ°í - »ç¿ë ÈÄ, 1ºÐ µ¿¾È ¾Æ¹« °Íµµ ¼±ÅÃÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Yellow Butterfly Wing",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·é ¹Ìµå°¡Ã÷ÀÇ ¸¶À»ÀÌ ±â·ÏµÇ¾î ÀÖ´Â ½ºÅ©·Ñ. »ç¿ëÇÏ¸é ±× ¸¶À»·Î ¹Ù·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Â µí ÇÏ´Ù.",
				"\"ÇÁ·ÐÅ×¶ó\", \"°ÔÆæ\", \"ÆäÀÌ¿æ\", \"¸ð·ÎÅ©\", \"¾Ëµ¥¹Ù¶õ\", \"¾Ëº£¸£Å¸\", \"ÀÌÁî·çµå\"",
				"°æ°í - »ç¿ë ÈÄ, 1ºÐ µ¿¾È ¾Æ¹« °Íµµ ¼±ÅÃÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12508: {
			unidentifiedDisplayName: "ÃÊ·Ï³ªºñÀÇ ³¯°³",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½´¹ßÃ÷ °øÈ­±¹ÀÇ ¸¶À»ÀÌ ±â·ÏµÇ¾î ÀÖ´Â ½ºÅ©·Ñ. »ç¿ëÇÏ¸é ±× ¸¶À»·Î ¹Ù·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Â µí ÇÏ´Ù.",
				"\"À¯³ë\", \"¸®È÷Å¸¸£Á¨\", \"¾ÆÀÎºê·ÎÅ©\", \"¾ÆÀÎº£Èå\", \"ÈÖ°Ö\"",
				"°æ°í - »ç¿ë ÈÄ, 1ºÐ µ¿¾È ¾Æ¹« °Íµµ ¼±ÅÃÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÃÊ·Ï³ªºñÀÇ ³¯°³",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½´¹ßÃ÷ °øÈ­±¹ÀÇ ¸¶À»ÀÌ ±â·ÏµÇ¾î ÀÖ´Â ½ºÅ©·Ñ. »ç¿ëÇÏ¸é ±× ¸¶À»·Î ¹Ù·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Â µí ÇÏ´Ù.",
				"\"À¯³ë\", \"¸®È÷Å¸¸£Á¨\", \"¾ÆÀÎºê·ÎÅ©\", \"¾ÆÀÎº£Èå\", \"ÈÖ°Ö\"",
				"°æ°í - »ç¿ë ÈÄ, 1ºÐ µ¿¾È ¾Æ¹« °Íµµ ¼±ÅÃÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12509: {
			unidentifiedDisplayName: "»¡°£³ªºñÀÇ ³¯°³",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¶óÇïÀÇ ¸¶À»ÀÌ ±â·ÏµÇ¾î ÀÖ´Â ½ºÅ©·Ñ. »ç¿ëÇÏ¸é ±× ¸¶À»·Î ¹Ù·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Â µí ÇÏ´Ù.",
				"\"º£ÀÎ½º\", \"¶óÇï\"",
				"°æ°í - »ç¿ë ÈÄ, 1ºÐ µ¿¾È ¾Æ¹« °Íµµ ¼±ÅÃÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "»¡°£³ªºñÀÇ ³¯°³",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¶óÇïÀÇ ¸¶À»ÀÌ ±â·ÏµÇ¾î ÀÖ´Â ½ºÅ©·Ñ. »ç¿ëÇÏ¸é ±× ¸¶À»·Î ¹Ù·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Â µí ÇÏ´Ù.",
				"\"º£ÀÎ½º\", \"¶óÇï\"",
				"°æ°í - »ç¿ë ÈÄ, 1ºÐ µ¿¾È ¾Æ¹« °Íµµ ¼±ÅÃÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12510: {
			unidentifiedDisplayName: "ÆÄ¶õ³ªºñÀÇ ³¯°³",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·ÎÄÃ¶óÀÌÂ¡ ¸¶À»ÀÌ ±â·ÏµÇ¾î ÀÖ´Â ½ºÅ©·Ñ. »ç¿ëÇÏ¸é ±× ¸¶À»·Î ¹Ù·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Â µí ÇÏ´Ù.",
				"\"¾Æ¿äÅ¸¾ß\", \"¾Æ¸¶Âê\", \"¿ëÁö¼º\", \"Äï·é\", \"¸ð½ºÄÚºñ¾Æ\", \"µ¥¿ÍÅ¸\", \"ºê¶óÁú¸®½º\"",
				"°æ°í - »ç¿ë ÈÄ, 1ºÐ µ¿¾È ¾Æ¹« °Íµµ ¼±ÅÃÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÆÄ¶õ³ªºñÀÇ ³¯°³",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·ÎÄÃ¶óÀÌÂ¡ ¸¶À»ÀÌ ±â·ÏµÇ¾î ÀÖ´Â ½ºÅ©·Ñ. »ç¿ëÇÏ¸é ±× ¸¶À»·Î ¹Ù·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Â µí ÇÏ´Ù.",
				"\"¾Æ¿äÅ¸¾ß\", \"¾Æ¸¶Âê\", \"¿ëÁö¼º\", \"Äï·é\", \"¸ð½ºÄÚºñ¾Æ\", \"µ¥¿ÍÅ¸\", \"ºê¶óÁú¸®½º\"",
				"°æ°í - »ç¿ë ÈÄ, 1ºÐ µ¿¾È ¾Æ¹« °Íµµ ¼±ÅÃÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12529: {
			unidentifiedDisplayName: "Condensed White Potion Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Condensed White Potion Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È­ÀÌÆ® ½½¸² Æ÷¼ÇÀÌ ¾ÐÃàµÇ¾î µé¾îÀÖ´Â »óÀÚ. °³ºÀ ½Ã ÁÖÀÇ.",
				"^ff0000°æ°í! »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12530: {
			unidentifiedDisplayName: "Fruit Of Mastela",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Fruit Of Mastela",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains Mastela fruit",
				"Weight : ^7777770^000000",
				"\"^ff0000Notice - if you have too much weight, item might be lost!^000000\"",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12531: {
			unidentifiedDisplayName: "White Potion Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "White Potion Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇÏ¾á Æ÷¼ÇÀÌ ¾ÐÃàµÇ¾î µé¾îÀÖ´Â »óÀÚ. °³ºÀ ½Ã ÁÖÀÇ.",
				"^ff0000°æ°í! »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12532: {
			unidentifiedDisplayName: "Royal Jelly Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Royal Jelly Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·Î¾âÁ¦¸®°¡ ¾ÐÃàµÇ¾î µé¾îÀÖ´Â »óÀÚ. °³ºÀ ½Ã ÁÖÀÇ.",
				"^ff0000°æ°í! »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12533: {
			unidentifiedDisplayName: "Blue Herb Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Blue Herb Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÆÄ¶õÇãºê 100°³°¡ ¾ÐÃàµÇ¾î µé¾îÀÖ´Â »óÀÚ. °³ºÀ ½Ã ÁÖÀÇ.",
				"^ff0000°æ°í! »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12534: {
			unidentifiedDisplayName: "Yggdrasil Seed Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Yggdrasil Seed Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÌ±×µå¶ó½Ç ¾¾¾ÑÀÌ ¾ÐÃàµÇ¾î µé¾îÀÖ´Â »óÀÚ. °³ºÀ ½Ã ÁÖÀÇ.",
				"^ff0000°æ°í! »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12535: {
			unidentifiedDisplayName: "Yggdrasil Berry Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Yggdrasil Berry Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÌ±×µå¶ó½Ç ¿­¸Å°¡ ¾ÐÃàµÇ¾î µé¾îÀÖ´Â »óÀÚ. °³ºÀ ½Ã ÁÖÀÇ.",
				"^ff0000°æ°í! »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12536: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb6\xb1\xb1\xb9",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb6\xb1\xb1\xb9",
			identifiedDescriptionName: [
				"»õÇØ¸¦ ¸ÂÀÌÇÏ¿© °¡Á¤¿¡¼­ ¼Õ½±°Ô ²ú¿©¸Ô´Â ¸íÀýÀ½½Ä. ±âº»ÀûÀ¸·Î ¾î½ÁÇÏ°Ô ½ä¸° °¡·¡¶±ÀÌ µéÀ¸°¡¸ç Áö¿ª¸¶´Ù ±¹¹°ÀÇ ¸ÀÀ» ³»´Â Àç·á¿Í ¹æ¹ýÀÌ ´Ù¸£´Ù°í ÇÑ´Ù.",
				"HP, SP¸¦ 20% È¸º¹.",
				"¹«°Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12537: {
			unidentifiedDisplayName: "Gift Basket",
			unidentifiedResourceName: "\xbc\xd6\xb7\xce\xc0\xc7\xbc\xb1\xb9\xb0\xb9\xd9\xb1\xb8\xb4\xcf",
			unidentifiedDescriptionName: [
				"³Ö¸Î·¦ Å´ÃâÇÏ¾â À§ÇØ Á¤³µºé°© ÁØµñÇÑ ¶Ù¾·»Ï. ÀÌ³µ°¡¿Ô ÁÙ ³¾¶¿ºéÀÌ ¿¡ºæ »ã¿Ü ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Gift Chocolate Basket",
			identifiedResourceName: "\xbc\xd6\xb7\xce\xc0\xc7\xbc\xb1\xb9\xb0\xb9\xd9\xb1\xb8\xb4\xcf",
			identifiedDescriptionName: [
				"Beautifully wrapped gift basket filled with goodies to share.",
				"Bring these to the Lucky Dogg at Eden Group and exchange it for 75 Prize Medals.",
				"^0000ffLucky Dogg will stay to take your baskets until April 17th^000000.",
				"Opening it will give you the following:",
				"-5x Lovely Choco-Tart - restores an average amount of HP",
				"-3x Cute Strawberry-Choco -restores an average amount of SP",
				"-4x Chocolate Drink -Restores a high amount of HP and a low amount of SP",
				"-10x Hand-made Chocolate -restores 50hp/50sp",
				"-10x Handmade White Chocolate -restores 50hp/50sp",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12538: {
			unidentifiedDisplayName: "Firecracker Basket",
			unidentifiedResourceName: "\xc4\xbf\xc7\xc3\xc0\xc7\xc0\xcc\xba\xa5\xc6\xae\xb9\xd9\xb1\xb8\xb4\xcf",
			unidentifiedDescriptionName: [
				"Ä°ÇÃºéÀÌ Á¤»ä¿Ô °ôÀ··ç Áñ¾æ ³ö ÀÖ¿Ô Æ÷ÀåºÈ ÆøÁ×¶Ù¾·»Ï. ¿¢Á± ÀÌµ¥Æ®·¦ ÃàÇÏÇÏ»Â ÆøÁ×ºéÀÌ ¿¡ºæ »ã¿ÜÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Firecracker Basket",
			identifiedResourceName: "\xc4\xbf\xc7\xc3\xc0\xc7\xc0\xcc\xba\xa5\xc6\xae\xb9\xd9\xb1\xb8\xb4\xcf",
			identifiedDescriptionName: [
				"Filled with firecrackers for events.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12539: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"È­·ÁÇÑ ¼ö°øÀÌ µÇ¾îÀÖ´Â ±Ý¼Ó ÀçÁúÀÇ »óÀÚ.",
				"¹«°Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12540: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"ÀÌº° ÆíÀÇ·¦ À§ÇÑ ²µÅ©¸ÑÀÌ ÁØµñºÇ±î ÀÖ»Ù. ¶«±ùÀÌ ¼ª°Ã Áö»Â ±Ë ³ö ±ø»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"ÀÌº° ÆíÀÇ·¦ À§ÇÑ ²µÅ©¸ÑÀÌ ÁØµñºÇ±î ÀÖ»Ù. ¶«±ùÀÌ ¼ª°Ã Áö»Â ±Ë ³ö ±ø»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12541: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc6\xf7\xc3\xe1\xc4\xed\xc5\xb0",
			unidentifiedDescriptionName: [
				"³¼ÅÁ¿ú ¶öÅÍ·¦ ºë´Ò ¼Ö±î ··ºç Æ÷ÃáÄíÅ¿. ±È°¡ ·Þ³³Áö¿¡ ÀûÈù Á±ÀÌ¿¡ ºé±îÀÖÀ·»Ï ÇÑÀÔ°¡ ÅÐ±î ¼ÖÁø ·´ÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc6\xf7\xc3\xe1\xc4\xed\xc5\xb0",
			identifiedDescriptionName: [
				"³¼ÅÁ¿ú ¶öÅÍ·¦ ºë´Ò ¼Ö±î ··ºç Æ÷ÃáÄíÅ¿. ±È°¡ ·Þ³³Áö¿¡ ÀûÈù Á±ÀÌ¿¡ ºé±îÀÖÀ·»Ï ÇÑÀÔ°¡ ÅÐ±î ¼ÖÁø ·´ÀÚ.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12542: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc6\xf7\xc3\xe1\xc4\xed\xc5\xb0",
			unidentifiedDescriptionName: [
				"³¼ÅÁ¿ú ¶öÅÍ·¦ ºë´Ò ¼Ö±î ··ºç Æ÷ÃáÄíÅ¿. ±È°¡ ·Þ³³Áö¿¡ ÀûÈù Á±ÀÌ¿¡ ºé±îÀÖÀ·»Ï ÇÑÀÔ°¡ ÅÐ±î ¼ÖÁø ·´ÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc6\xf7\xc3\xe1\xc4\xed\xc5\xb0",
			identifiedDescriptionName: [
				"³¼ÅÁ¿ú ¶öÅÍ·¦ ºë´Ò ¼Ö±î ··ºç Æ÷ÃáÄíÅ¿. ±È°¡ ·Þ³³Áö¿¡ ÀûÈù Á±ÀÌ¿¡ ºé±îÀÖÀ·»Ï ÇÑÀÔ°¡ ÅÐ±î ¼ÖÁø ·´ÀÚ.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12543: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc6\xf7\xc3\xe1\xc4\xed\xc5\xb0",
			unidentifiedDescriptionName: [
				"³¼ÅÁ¿ú ¶öÅÍ·¦ ºë´Ò ¼Ö±î ··ºç Æ÷ÃáÄíÅ¿. ±È°¡ ·Þ³³Áö¿¡ ÀûÈù Á±ÀÌ¿¡ ºé±îÀÖÀ·»Ï ÇÑÀÔ°¡ ÅÐ±î ¼ÖÁø ·´ÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc6\xf7\xc3\xe1\xc4\xed\xc5\xb0",
			identifiedDescriptionName: [
				"³¼ÅÁ¿ú ¶öÅÍ·¦ ºë´Ò ¼Ö±î ··ºç Æ÷ÃáÄíÅ¿. ±È°¡ ·Þ³³Áö¿¡ ÀûÈù Á±ÀÌ¿¡ ºé±îÀÖÀ·»Ï ÇÑÀÔ°¡ ÅÐ±î ¼ÖÁø ·´ÀÚ.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12544: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbe\xee\xb8\xb0\xb3\xaa\xb9\xb5\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"±ÆÁÖ °À¸£²Ã¿£ ÆäÀÌ°æ ²£°¡ ÀÖ±ú»ø ¿í·ñÀÇ ¼ª¶º¿¡Áö¸Î, ·¹¸ÂÀ´ Áö»Ï¿Ô ºÇ±ú»Ù»Â ³Ò¶®ÀÌ ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbe\xee\xb8\xb0\xb3\xaa\xb9\xb5\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"±ÆÁÖ °À¸£²Ã¿£ ÆäÀÌ°æ ²£°¡ ÀÖ±ú»ø ¿í·ñÀÇ ¼ª¶º¿¡Áö¸Î, ·¹¸ÂÀ´ Áö»Ï¿Ô ºÇ±ú»Ù»Â ³Ò¶®ÀÌ ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12545: {
			unidentifiedDisplayName: "Fortune Egg¥´",
			unidentifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"¾Í°¾¿Ô Àå²ÄºÈ ±Ë·ð±ç ½Ù¸¯¶Ì. °­±îµ··é ¶«±ð¿¡ ¼ª°Ã ¿Í ¿¿»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Fortune Egg¥´",
			identifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"¾Í°¾¿Ô Àå²ÄºÈ ±Ë·ð±ç ½Ù¸¯¶Ì. °­±îµ··é ¶«±ð¿¡ ¼ª°Ã ¿Í ¿¿»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12546: {
			unidentifiedDisplayName: "Winning Cuisine",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xb9\xb0\xc3\xbc",
			unidentifiedDescriptionName: [
				"·ÔÀ··é Àý»ë ±ÈºÉ ¿Í ¿¿Àµ °ä·®.",
				"°ä·®¹ó¿í ·´ÇÏ¾â°¡ºº ¶Ì±ÈÇÑ ¾âµÐ¾îÁö ºç»Ù.",
				"Weight : ^7777775^000000",
			],
			identifiedDisplayName: "Winning Cuisine",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb9\xb0\xc3\xbc",
			identifiedDescriptionName: [
				"Sorry to waste such valuable food, but I cannot eat something like this.",
				"It looks poisonous!",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12547: {
			unidentifiedDisplayName: "Treasure Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Treasure Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12548: {
			unidentifiedDisplayName: "Black Market Bulk Buyer Shop License",
			unidentifiedResourceName: "\xb1\xb8\xb8\xc5\xb3\xeb\xc1\xa1\xc7\xe3\xb0\xa1\xc1\xf5\x32",
			unidentifiedDescriptionName: [
				"¾·ÀÔ Àü°ëÀ·¸Î ¼ëÁ¡À´ °­ ³ö ÀÖºº¸Ï Çã¿¡ºÈ Áõ·í³­. ´óÀÎ¾æºåÀÇ ÀÎÀåÀÌ ³ÕÀ·¸Î ¾×·¿ ¿Í ¿¿Àµ ¾âµÐÀÌ ºç»Ù. (1È·°ë)",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Black Market Bulk Buyer Shop License",
			identifiedResourceName: "\xb1\xb8\xb8\xc5\xb3\xeb\xc1\xa1\xc7\xe3\xb0\xa1\xc1\xf5\x32",
			identifiedDescriptionName: [
				"A permitted license that's for opening a purchase-only street stall. The Merchant Guild's stamp looks like a hand drawing. (For one time)",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12549: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"È­ÀÌÆ® ²²·½ Æ÷³Ç 100¿¼¿¡ ±ÐÃàºÇ±î ºé±îÀÖ»Â ´óÀÚ. ¿¼µÀ ²Ã ÁÖÀÇ.",
				"Weight : ^7777770^000000",
				"\"^uu0000ÁÖÀÇ - ´óÀÚ·¦ ¿¼µÀÇÒ ¹§ Weight¼ª ³ÒÁöÇÑ¿è ³ö¸®À´ ÃÊ¿úÇÑ ´óÅÂÀÎ ¿æ°ì, ±ÆÀÌÅÛÀÌ ³Ò²Ç ºÉ ³ö ÀÖ²À»Ï»Ù!^000000\"",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"È­ÀÌÆ® ²²·½ Æ÷³Ç 100¿¼¿¡ ±ÐÃàºÇ±î ºé±îÀÖ»Â ´óÀÚ. ¿¼µÀ ²Ã ÁÖÀÇ.",
				"Weight : ^7777770^000000",
				"\"^uu0000ÁÖÀÇ - ´óÀÚ·¦ ¿¼µÀÇÒ ¹§ Weight¼ª ³ÒÁöÇÑ¿è ³ö¸®À´ ÃÊ¿úÇÑ ´óÅÂÀÎ ¿æ°ì, ±ÆÀÌÅÛÀÌ ³Ò²Ç ºÉ ³ö ÀÖ²À»Ï»Ù!^000000\"",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12550: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"º¹±àµ» 30¿¼¿¡ ±ÐÃàºÇ±î ºé±îÀÖ»Â ´óÀÚ. ¿¼µÀ ²Ã ÁÖÀÇ.",
				"Weight : ^7777770^000000",
				"\"^uu0000ÁÖÀÇ - ´óÀÚ·¦ ¿¼µÀÇÒ ¹§ Weight¼ª ³ÒÁöÇÑ¿è ³ö¸®À´ ÃÊ¿úÇÑ ´óÅÂÀÎ ¿æ°ì, ±ÆÀÌÅÛÀÌ ³Ò²Ç ºÉ ³ö ÀÖ²À»Ï»Ù!^000000\"",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"º¹±àµ» 30¿¼¿¡ ±ÐÃàºÇ±î ºé±îÀÖ»Â ´óÀÚ. ¿¼µÀ ²Ã ÁÖÀÇ.",
				"Weight : ^7777770^000000",
				"\"^uu0000ÁÖÀÇ - ´óÀÚ·¦ ¿¼µÀÇÒ ¹§ Weight¼ª ³ÒÁöÇÑ¿è ³ö¸®À´ ÃÊ¿úÇÑ ´óÅÂÀÎ ¿æ°ì, ±ÆÀÌÅÛÀÌ ³Ò²Ç ºÉ ³ö ÀÖ²À»Ï»Ù!^000000\"",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12553: {
			unidentifiedDisplayName: "Brysingamen Piece Box",
			unidentifiedResourceName: "\xba\xea\xb8\xae\xbd\xcc\xb0\xa1\xb8\xe0\xc1\xb6\xb0\xa2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Contains all the parts to make a Brysingamen, it is still up to you to get the Dwarf to construct it for you.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Brysingamen Piece Box",
			identifiedResourceName: "\xba\xea\xb8\xae\xbd\xcc\xb0\xa1\xb8\xe0\xc1\xb6\xb0\xa2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Contains all the parts to make a Brysingamen, it is still up to you to get the Dwarf to construct it for you.",
				"Can be traded and put into storage.",
				"^FF0000WARNING: This box has no contents if opened on the Valkyrie server.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12554: {
			unidentifiedDisplayName: "Asprika Piece Box",
			unidentifiedResourceName: "\xbe\xc6\xbd\xba\xc7\xc1\xb8\xae\xc4\xab\xc1\xb6\xb0\xa2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Contains all the parts to make an Asprika, it is still up to you to get the Dwarf to construct it for you.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Asprika Piece Box",
			identifiedResourceName: "\xbe\xc6\xbd\xba\xc7\xc1\xb8\xae\xc4\xab\xc1\xb6\xb0\xa2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Contains all the parts to make an Asprika, it is still up to you to get the Dwarf to construct it for you.",
				"Can be traded and put into storage.",
				"^FF0000WARNING: This box has no contents if opened on the Valkyrie server.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12555: {
			unidentifiedDisplayName: "Brynhild Piece Box",
			unidentifiedResourceName: "\xba\xea\xb7\xf4\xc8\xfa\xc6\xae\xc1\xb6\xb0\xa2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Contains all the parts to make a Brynhild, it is still up to you to get the Dwarf to construct it for you.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Brynhild Piece Box",
			identifiedResourceName: "\xba\xea\xb7\xf4\xc8\xfa\xc6\xae\xc1\xb6\xb0\xa2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Contains all the parts to make a Brynhild, it is still up to you to get the Dwarf to construct it for you.",
				"Can be traded and put into storage.",
				"^FF0000WARNING: This box has no contents if opened on the Valkyrie server.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12556: {
			unidentifiedDisplayName: "Sleipnir Piece Box",
			unidentifiedResourceName: "\xbd\xbd\xb7\xb9\xc0\xcc\xc7\xc1\xb4\xcf\xb8\xa3\xc1\xb6\xb0\xa2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Contains all the parts to make a Sleipnir, it is still up to you to get the Dwarf to construct it for you.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sleipnir Piece Box",
			identifiedResourceName: "\xbd\xbd\xb7\xb9\xc0\xcc\xc7\xc1\xb4\xcf\xb8\xa3\xc1\xb6\xb0\xa2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Contains all the parts to make a Sleipnir, it is still up to you to get the Dwarf to construct it for you.",
				"Can be traded and put into storage.",
				"^FF0000WARNING: This box has no contents if opened on the Valkyrie server.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12557: {
			unidentifiedDisplayName: "Mjolnir Piece Box",
			unidentifiedResourceName: "\xb9\xa6\xb8\xa3\xb4\xd2\xc1\xb6\xb0\xa2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Contains all the parts to make a Mjolnir, it is still up to you to get the Dwarf to construct it for you.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Mjolnir Piece Box",
			identifiedResourceName: "\xb9\xa6\xb8\xa3\xb4\xd2\xc1\xb6\xb0\xa2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Contains all the parts to make a Mjolnir, it is still up to you to get the Dwarf to construct it for you.",
				"Can be traded and put into storage.",
				"^FF0000WARNING: This box has no contents if opened on the Valkyrie server.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12558: {
			unidentifiedDisplayName: "Megingiorde Piece Box",
			unidentifiedResourceName: "\xb8\xde\xb1\xe4\xb1\xe2\xbf\xc0\xb8\xa3\xb5\xe5\xc1\xb6\xb0\xa2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Contains all the parts to make a Megingiorde, it is still up to you to get the Dwarf to construct it for you.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Megingiorde Piece Box",
			identifiedResourceName: "\xb8\xde\xb1\xe4\xb1\xe2\xbf\xc0\xb8\xa3\xb5\xe5\xc1\xb6\xb0\xa2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Contains all the parts to make a Megingiorde, it is still up to you to get the Dwarf to construct it for you.",
				"Can be traded and put into storage.",
				"^FF0000WARNING: This box has no contents if opened on the Valkyrie server.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12559: {
			unidentifiedDisplayName: "Rich out of this world",
			unidentifiedResourceName: "\xb6\xf3\xb8\xe9\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Rich out of this world",
			identifiedResourceName: "\xb6\xf3\xb8\xe9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12560: {
			unidentifiedDisplayName: "Simply out of this world",
			unidentifiedResourceName: "\xb6\xf3\xb8\xe9\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Simply out of this world",
			identifiedResourceName: "\xb6\xf3\xb8\xe9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12561: {
			unidentifiedDisplayName: "Mysterious Seed",
			unidentifiedResourceName: "\xbd\xc5\xba\xf1\xc7\xd1\xbe\xbe\xbe\xd1",
			unidentifiedDescriptionName: [
				"µñÇÁ¸Î²µÆ®ÀÇ ±È¿¼²£ ¶Ì¾Ã°¡³­ ²¾¿Ô ¶ß¿ß ÇÒ ³ö ÀÖ»Â ²Ä¶¿ÀÇ ±±±Ñ. ±È¿¼²£À·¸Î È·¾ÍÇÏ¿íÀÚ ÇÏ»Â µ´»ÉÀÌ ¾êºé±î ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Mysterious Seed",
			identifiedResourceName: "\xbd\xc5\xba\xf1\xc7\xd1\xbe\xbe\xbe\xd1",
			identifiedDescriptionName: [
				"µñÇÁ¸Î²µÆ®ÀÇ ±È¿¼²£ ¶Ì¾Ã°¡³­ ²¾¿Ô ¶ß¿ß ÇÒ ³ö ÀÖ»Â ²Ä¶¿ÀÇ ±±±Ñ. ±È¿¼²£À·¸Î È·¾ÍÇÏ¿íÀÚ ÇÏ»Â µ´»ÉÀÌ ¾êºé±î ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12562: {
			unidentifiedDisplayName: "Bubble Gum",
			unidentifiedResourceName: "\xc7\xb3\xbc\xb1\xb2\xad",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Bubble Gum",
			identifiedResourceName: "\xc7\xb3\xbc\xb1\xb2\xad",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12563: {
			unidentifiedDisplayName: "Battle Manual 75%",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Battle Manual 75%",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12564: {
			unidentifiedDisplayName: "3D Glasses Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"3W±È¿æÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 1²Ã¿£ Ã³ÇèÆÇ.",
				"^uu0000ÀÌ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® Á±¸á°Í ÇÔ½½ ³Ò·êºË»Ï»Ù.^000000",
				"'´ç¶¿À´ ÀÔÃ³ÀûÀ·¸Î µ·ÀÌ¿Ô ÇÑ»Ù»Â ²ÅµñÇÑ ±È¿æ. ÀÚ²ÅÀÇ ³µÀå Á¤ºº°¡ ºû¹ó ¶Þ»Â È°¿úºº Áõ¿¡ÇÑ»Ù¿í ÇÑ»Ù.",
				"¿Ë´ç¿è°­, ´óÀÎ¿è°­, ¾Ã³ö¿è°­, ¿Ç²²·º¿Å, ZGP ÀÏÁ¤¸® ´ó²Â.",
				"·¹¶ý´ç¿è°­, µ¶´ç¿è°­, »ÑÀÚ, ³Ò°ï·ºÄ°»Â NZGP ÀÏÁ¤¸® ´ó²Â.",
				"ºººÏ¿è°­Àµ UOVV ÀÏÁ¤¸® ´ó²Â.",
				"¼ëµñ²µ, ²»ÆÛ¼ëµñ²µ, ÅÂ¾Ç, ¾Ç³µÀµ SK, HK¿¡ ÀÏÁ¤¸® ´ó²Â.",
				"¿è°­ : Åõ¾· ¶æ±î : 1",
				"À§Ä¡: Áß»Ü Weight : 10",
				"°ä¾· ¸¶µ§ : 1",
				"ÀåÂø : Àü Á÷±÷ '",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "3D Glasses Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"3W±È¿æÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 1²Ã¿£ Ã³ÇèÆÇ.",
				"^uu0000ÀÌ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® Á±¸á°Í ÇÔ½½ ³Ò·êºË»Ï»Ù.^000000",
				"'´ç¶¿À´ ÀÔÃ³ÀûÀ·¸Î µ·ÀÌ¿Ô ÇÑ»Ù»Â ²ÅµñÇÑ ±È¿æ. ÀÚ²ÅÀÇ ³µÀå Á¤ºº°¡ ºû¹ó ¶Þ»Â È°¿úºº Áõ¿¡ÇÑ»Ù¿í ÇÑ»Ù.",
				"¿Ë´ç¿è°­, ´óÀÎ¿è°­, ¾Ã³ö¿è°­, ¿Ç²²·º¿Å, ZGP ÀÏÁ¤¸® ´ó²Â.",
				"·¹¶ý´ç¿è°­, µ¶´ç¿è°­, »ÑÀÚ, ³Ò°ï·ºÄ°»Â NZGP ÀÏÁ¤¸® ´ó²Â.",
				"ºººÏ¿è°­Àµ UOVV ÀÏÁ¤¸® ´ó²Â.",
				"¼ëµñ²µ, ²»ÆÛ¼ëµñ²µ, ÅÂ¾Ç, ¾Ç³µÀµ SK, HK¿¡ ÀÏÁ¤¸® ´ó²Â.",
				"¿è°­ : Åõ¾· ¶æ±î : 1",
				"À§Ä¡: Áß»Ü Weight : 10",
				"Required Level : 1",
				"ÀåÂø : Àü Á÷±÷ '",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12565: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12566: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ?¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ?¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12567: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ?¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ?¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12568: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ?¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ?¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12569: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ?¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ?¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12570: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ¥¸¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ¥¸¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12571: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ¥¶¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ¥¶¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"1ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12572: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ¥¶¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"2ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"ÀÀ°øÀÇ ²µÄ«ÇÁ¥¶¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"2ÁÖÀÏ ¿£ ´ç°ë¿¡»É.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12573: {
			unidentifiedDisplayName: "Fruit Basket",
			unidentifiedResourceName: "\xb0\xfa\xc0\xcf\xb9\xd9\xb1\xb8\xb4\xcf",
			unidentifiedDescriptionName: [
				"°©¸¯¿¡Áö ¿úÀÏÀÌ Ç¼³µÇÏ¿Ô »ã¿ÜÀÖ»Â ¿úÀÏ ¶Ù¾·»Ï. µñÇÁ¸Î²µÆ®··ÀÇ Æ¯µ¿ÇÑ °­·Å¿¡ »ã¿ÜÀÖÀ´Áöºº ·ð·¥»Ù.",
				"Weight : ^7777775^000000",
			],
			identifiedDisplayName: "Fruit Basket",
			identifiedResourceName: "\xb0\xfa\xc0\xcf\xb9\xd9\xb1\xb8\xb4\xcf",
			identifiedDescriptionName: [
				"°©¸¯¿¡Áö ¿úÀÏÀÌ Ç¼³µÇÏ¿Ô »ã¿ÜÀÖ»Â ¿úÀÏ ¶Ù¾·»Ï. µñÇÁ¸Î²µÆ®··ÀÇ Æ¯µ¿ÇÑ °­·Å¿¡ »ã¿ÜÀÖÀ´Áöºº ·ð·¥»Ù.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12574: {
			unidentifiedDisplayName: "Mora Berry",
			unidentifiedResourceName: "\xb8\xf0\xb6\xf3\xba\xa3\xb8\xae",
			unidentifiedDescriptionName: [
				"µÓÀµ´öÀÇ ÇâÀÌ ÁÁÀµ ¿úÀÏ.",
				"ÇÑ¶ø ·ÔÀ··é Àý»ë ÀØÀ´ ³ö ±ø»Ù»Â ³Ò¶®ÀÌ ÀÖ»Ù.",
				"^000088HK ·¦ 50 ¿¡¸® È·µ¶^000000 ²ÃÄÑ ÁØ»Ù.",
				"µñÇÁ¸Î²µÆ® Áö°ªÀÇ ÅäÁ± ·ó²µÅÍºé°¡ »ëÇÑ ¼´³µÀÌ Áõ¿¡ÇÑ»Ù.",
				"Weight : ^7777772^000000",
				"°ä¾· ¸¶µ§ : ^777777120^000000",
			],
			identifiedDisplayName: "Mora Berry",
			identifiedResourceName: "\xb8\xf0\xb6\xf3\xba\xa3\xb8\xae",
			identifiedDescriptionName: [
				"µÓÀµ´öÀÇ ÇâÀÌ ÁÁÀµ ¿úÀÏ.",
				"ÇÑ¶ø ·ÔÀ··é Àý»ë ÀØÀ´ ³ö ±ø»Ù»Â ³Ò¶®ÀÌ ÀÖ»Ù.",
				"^000088HK ·¦ 50 ¿¡¸® È·µ¶^000000 ²ÃÄÑ ÁØ»Ù.",
				"µñÇÁ¸Î²µÆ® Áö°ªÀÇ ÅäÁ± ·ó²µÅÍºé°¡ »ëÇÑ ¼´³µÀÌ Áõ¿¡ÇÑ»Ù.",
				"Weight : ^7777772^000000",
				"Required Level : ^777777120^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12575: {
			unidentifiedDisplayName: "Elf's Arrow Quiver",
			unidentifiedResourceName: "\xbf\xa4\xc7\xc1\xc0\xc7\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Elven Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
				"Required Level :^777777 100^000000",
			],
			identifiedDisplayName: "Elf's Arrow Quiver",
			identifiedResourceName: "\xbf\xa4\xc7\xc1\xc0\xc7\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Elven Arrows.",
				"^ffffff_^000000",
				"Weight :^777777 25^000000",
				"Required Level :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12576: {
			unidentifiedDisplayName: "Hunting Arrow Quiver",
			unidentifiedResourceName: "\xbb\xe7\xb3\xc9\xbf\xeb\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"A quiver which contains 500 Hunting Arrows.",
				"^ffffff_^000000",
				"Weight : ^77777725^000000",
			],
			identifiedDisplayName: "Hunting Arrow Quiver",
			identifiedResourceName: "\xbb\xe7\xb3\xc9\xbf\xeb\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"A quiver which contains 500 Hunting Arrows.",
				"^ffffff_^000000",
				"Weight : ^77777725^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12577: {
			unidentifiedDisplayName: "Fortune Egg¥µ",
			unidentifiedResourceName: "\xc3\xe0\xb1\xb8\xb0\xf8",
			unidentifiedDescriptionName: [
				"¾â¿£ ÇÑÁ¤ Ãà¾·¿ø ·ð±ç ½Ù¸¯¶Ì. °­±îµ··é ¶«±ð¿¡ ¼ª°Ã ¿Í ¿¿»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Fortune Egg¥µ",
			identifiedResourceName: "\xc3\xe0\xb1\xb8\xb0\xf8",
			identifiedDescriptionName: [
				"¾â¿£ ÇÑÁ¤ Ãà¾·¿ø ·ð±ç ½Ù¸¯¶Ì. °­±îµ··é ¶«±ð¿¡ ¼ª°Ã ¿Í ¿¿»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12578: {
			unidentifiedDisplayName: "Rapid Life Potion",
			unidentifiedResourceName: "\xc8\xb0\xb8\xe9\xbc\xf6\x46",
			unidentifiedDescriptionName: [
				"¿¢Á± È·µ¶¸Â°¡ ºº°òÀÌ ºÇ»Â ²Ä¶¿ÁóÀ´ ÀÀÃàÇØ »ã±Æ¼õÀµ µ». µü·¥ ´óÃ¼ Àç´ý°¡ È°ÇèÀÌ ÀÖ»Ù¿í ÇÑ»Ù.",
				"µ¶°ëÇÏ·é 10µÐ¿£ 3ÃÊ·¹»Ù NSKÀÇ 6%·¦ È·µ¶ÇÑ»Ù.",
				"¶ö³­Å© ´óÅÂ°¡³­»Â È°¿ú¿¡ ¶ßº°ÇÏÁö ±Ê»Â»Ù.",
				"^000088Ä¼·¯ÅÍ¿¡ ÀüÅõµÒ»É´óÅÂ¿¡ ºÇ·é ±ÆÀÌÅÛ È°¿úºº ´ç¹óÁý»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Rapid Life Potion",
			identifiedResourceName: "\xc8\xb0\xb8\xe9\xbc\xf6\x46",
			identifiedDescriptionName: [
				"Potion contains verious recovery herb juice. Effective for faster wound healing.",
				"Recovers 6% of MaxHP every 3 seconds for 10 minutes.",
				"Not available in berserk condition.",
				"^000088When player's character becomes combat ineffective, the item buff effect will wear off.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12579: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"¶ßÅ¿·®ÀÇ ¶ÝÁö¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"4ÀÏ¿£ ´ç°ë ¿¡»É.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"¶ßÅ¿·®ÀÇ ¶ÝÁö¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"4ÀÏ¿£ ´ç°ë ¿¡»É.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12580: {
			unidentifiedDisplayName: "Window Shopper Catalog",
			unidentifiedResourceName: "\xb8\xb8\xb4\xc9\xc4\xab\xc5\xbb\xb7\xce\xb1\xd7\xbd\xc7\xb9\xf6",
			unidentifiedDescriptionName: [
				"¿ÔÆæ ·¹¶ýÇÐÈ·ÀÇ °À¸£ °¬¾··¦ ÅëÇÑ È·²ÉÀÇ ²ÃÇèÀÛ.",
				"'¼ëÁ¡°¡³­ ÆÇ·Å, ¾·ÀÔ ÁßÀÎ ±ÆÀÌÅÛÀ´ ¿Ë´öÇÒ ³ö ÀÖ»Â' ·¹¶ýÀÌ »ã¾ä ÁÖ¶®³­¸Î, ¿Ë´öºÈ ¼ëÁ¡ÀÇ À§Ä¡·¦ ±Ë ³ö ÀÖ»Ù.",
				"^000088´ç°ëÀÚ¿¡ ³­ ÀÖ»Â ·Ê°¡ °­¸ÁÀÖ»Â ¼ëÁ¡·· ¿Ë´öÇÕ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Window Shopper Catalogue",
			identifiedResourceName: "\xb8\xb8\xb4\xc9\xc4\xab\xc5\xbb\xb7\xce\xb1\xd7\xbd\xc7\xb9\xf6",
			identifiedDescriptionName: [
				"Trial product which has been researched from the Geffen Magic Academy for such a long time.",
				"A magical scroll which is able to 'search what items are on sale and what items are on purchasing' can locate the searched vendor.",
				"^000088Able to search open vendors only in the same map you're located.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12581: {
			unidentifiedDisplayName: "Bargain Hunter's Catalog",
			unidentifiedResourceName: "\xb8\xb8\xb4\xc9\xc4\xab\xc5\xbb\xb7\xce\xb1\xd7\xb0\xf1\xb5\xe5",
			unidentifiedDescriptionName: [
				"¿ÔÆæ ·¹¶ýÇÐÈ·ÀÇ »õ°í ÁøÈ­ÇÑ °¬¾· ³µ¿ú!",
				"'¼ëÁ¡°¡³­ ÆÇ·Å, ¾·ÀÔ ÁßÀÎ ±ÆÀÌÅÛÀ´ ¿Ë´öÇÒ ³ö ÀÖ»Â' ·¹¶ýÀÌ »ã¾ä ²µÅ©¸Ñ¸Î, ¿Ë´öºÈ ·ºÅ©·¦ ÅëÇØ ¶¿¿ÇÀ´ Á÷Á¢ ¾··ÅÇÏ¿Å¼ª ÆÇ·Åºº ¿¡»ÉÇÏ»Ù!",
				"^000088´ç°ëÀÚ¿¡ ³­ ÀÖ»Â ·Ê°¡ °­¸ÁÀÖ»Â ¼ëÁ¡·· ¿Ë´öÇÕ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Bargain Hunter's Catalogue",
			identifiedResourceName: "\xb8\xb8\xb4\xc9\xc4\xab\xc5\xbb\xb7\xce\xb1\xd7\xb0\xf1\xb5\xe5",
			identifiedDescriptionName: [
				"Advanced product from the Geffen Magic Academy than before!",
				"A magical scroll is able to 'search what items are on sale and what items are on purchasing'. Able to sell or buy items from the searched link!",
				"^000088Able to search open vendors only in the same map you're located.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12582: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc5\xc3\xb9\xe8\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¿ø³µÀü°¡ ÇÊ°äÇÑ °©¸¯¿¡Áö ³Ò·ðÇ¿ÀÌ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc5\xc3\xb9\xe8\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"¿ø³µÀü°¡ ÇÊ°äÇÑ °©¸¯¿¡Áö ³Ò·ðÇ¿ÀÌ ºé±îÀÖ»Â ´óÀÚ.",
				"¶«¿Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12583: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xba\xad\xb6\xf4\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"È«µ·ÆÀÀÌ ¾ôÂ¦ ÀÌµ¥Æ®¸Î ÁØµñÇÑ ÀÛÀµ ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xba\xad\xb6\xf4\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"È«µ·ÆÀÀÌ ¾ôÂ¦ ÀÌµ¥Æ®¸Î ÁØµñÇÑ ÀÛÀµ ´óÀÚ.",
				"¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12584: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¿¼¶ßÆÀÀÌ ¿í²ÉÇÏ·ç °­²ÉÈ÷ ÁØµñÇÑ ÀÛÀµ ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"¿¼¶ßÆÀÀÌ ¿í²ÉÇÏ·ç °­²ÉÈ÷ ÁØµñÇÑ ÀÛÀµ ´óÀÚ.",
				"¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12585: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"·¹ÄÉÆÃÆÀÀÌ »«Ä¡µ·»Ù ²²¾×·Ó»Ï ÁØµñÇÑ ÀÛÀµ ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"·¹ÄÉÆÃÆÀÀÌ »«Ä¡µ·»Ù ²²¾×·Ó»Ï ÁØµñÇÑ ÀÛÀµ ´óÀÚ.",
				"¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12586: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc6\xf8\xbf\xec\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"°î°ºÆÀÀÌ µÎ½ô¸»¿í ¿¡²°¹¼·®¿Ô ÁØµñÇÑ ÀÛÀµ ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc6\xf8\xbf\xec\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"°î°ºÆÀÀÌ µÎ½ô¸»¿í ¿¡²°¹¼·®¿Ô ÁØµñÇÑ ÀÛÀµ ´óÀÚ.",
				"¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12587: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"\"Áö¾Ý ¹ó¾×¼ª¸ÎÅ©·¦ Áñ¾â¿í ÀÖ»Â »ç²Å°¡¿Ô  ±î»À¼¯ ¿©ÀÚ¾â ÇÏ»Ã°¡³­ ³¾¶¿ÀÌ ¹¼±îÁö»Âº¥...!\" ÀÛÀµ ¾Û±±¸Î ÀüÇüÀûÀÎ °ºÈ­ Æ®¸¶ÀÏ¸¯ ¾¤¿í¶®¾· ¿¿Àµ ¿ÍÀÌ ÀûÇôÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"\"Áö¾Ý ¹ó¾×¼ª¸ÎÅ©·¦ Áñ¾â¿í ÀÖ»Â »ç²Å°¡¿Ô ±î»À¼¯ ¿©ÀÚ¾â ÇÏ»Ã°¡³­ ³¾¶¿ÀÌ ¹¼±îÁö»Âº¥...!\" ÀÛÀµ ¾Û±±¸Î ÀüÇüÀûÀÎ °ºÈ­ Æ®¸¶ÀÏ¸¯ ¾¤¿í¶®¾· ¿¿Àµ ¿ÍÀÌ ÀûÇôÀÖ»Ù.",
				"¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12588: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"\"Áö¾Ý ¹ó¾×¼ª¸ÎÅ©·¦ Áñ¾â¿í ÀÖ»Â »ç²Å°¡¿Ô  ±î»À¼¯ ¿©ÀÚ¾â ÇÏ»Ã°¡³­ ³¾¶¿ÀÌ ¹¼±îÁö»Âº¥...!\" ÀÛÀµ ¾Û±±¸Î ÀüÇüÀûÀÎ °ºÈ­ Æ®¸¶ÀÏ¸¯ ¾¤¿í¶®¾· ¿¿Àµ ¿ÍÀÌ ÀûÇôÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"\"Áö¾Ý ¹ó¾×¼ª¸ÎÅ©·¦ Áñ¾â¿í ÀÖ»Â »ç²Å°¡¿Ô ±î»À¼¯ ¿©ÀÚ¾â ÇÏ»Ã°¡³­ ³¾¶¿ÀÌ ¹¼±îÁö»Âº¥...!\" ÀÛÀµ ¾Û±±¸Î ÀüÇüÀûÀÎ °ºÈ­ Æ®¸¶ÀÏ¸¯ ¾¤¿í¶®¾· ¿¿Àµ ¿ÍÀÌ ÀûÇôÀÖ»Ù.",
				"¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12589: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"\"Áö¾Ý ¹ó¾×¼ª¸ÎÅ©·¦ Áñ¾â¿í ÀÖ»Â »ç²Å°¡¿Ô  ±î»À¼¯ ¿©ÀÚ¾â ÇÏ»Ã°¡³­ ³¾¶¿ÀÌ ¹¼±îÁö»Âº¥...!\" ÀÛÀµ ¾Û±±¸Î ÀüÇüÀûÀÎ °ºÈ­ Æ®¸¶ÀÏ¸¯ ¾¤¿í¶®¾· ¿¿Àµ ¿ÍÀÌ ÀûÇôÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"\"Áö¾Ý ¹ó¾×¼ª¸ÎÅ©·¦ Áñ¾â¿í ÀÖ»Â »ç²Å°¡¿Ô ±î»À¼¯ ¿©ÀÚ¾â ÇÏ»Ã°¡³­ ³¾¶¿ÀÌ ¹¼±îÁö»Âº¥...!\" ÀÛÀµ ¾Û±±¸Î ÀüÇüÀûÀÎ °ºÈ­ Æ®¸¶ÀÏ¸¯ ¾¤¿í¶®¾· ¿¿Àµ ¿ÍÀÌ ÀûÇôÀÖ»Ù.",
				"¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12591: {
			unidentifiedDisplayName: "Black Market Catalog",
			unidentifiedResourceName: "\xb8\xb8\xb4\xc9\xc4\xab\xc5\xbb\xb7\xce\xb1\xd7\xb0\xf1\xb5\xe5",
			unidentifiedDescriptionName: [
				"¿ÔÆæ ·¹¶ýÇÐÈ·ÀÇ »õ°í ÁøÈ­ÇÑ °¬¾· ³µ¿ú!",
				"'¼ëÁ¡°¡³­ ÆÇ·Å, ¾·ÀÔ ÁßÀÎ ±ÆÀÌÅÛÀ´ ¿Ë´öÇÒ ³ö ÀÖ»Â' ·¹¶ýÀÌ »ã¾ä ²µÅ©¸Ñ¸Î, ¿Ë´öºÈ ·ºÅ©·¦ ÅëÇØ ¶¿¿ÇÀ´ Á÷Á¢ ¾··ÅÇÏ¿Å¼ª ÆÇ·Åºº ¿¡»ÉÇÏ»Ù!",
				"^000088´ç°ëÀÚ¿¡ ³­ ÀÖ»Â ·Ê°¡ °­¸ÁÀÖ»Â ¼ëÁ¡·· ¿Ë´öÇÕ»Ï»Ù. ÀÌ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ÀÌ Á±¸áºÇ·é ´èÁ¦ºË»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Black Market Catalogue",
			identifiedResourceName: "\xb8\xb8\xb4\xc9\xc4\xab\xc5\xbb\xb7\xce\xb1\xd7\xb0\xf1\xb5\xe5",
			identifiedDescriptionName: [
				"Advanced product from the Geffen Magic Academy than before!",
				"A magical scroll is able to 'search what items are on sale and what items are on purchasing'. Able to sell or buy items from the searched link!",
				"^000088Able to search open vendors only in the same map you're located. This item will be deleted after event ends.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12595: {
			unidentifiedDisplayName: "Incarnation Of Morocc Doll Box",
			unidentifiedResourceName: "\xbf\xad\xc7\xf7\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Incarnation Of Morocc Doll Box",
			identifiedResourceName: "\xbf\xad\xc7\xf7\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12596: {
			unidentifiedDisplayName: "Magic Candy",
			unidentifiedResourceName: "\xb0\xfa\xb6\xf3\xb3\xaa\xbb\xe7\xc5\xc1",
			unidentifiedDescriptionName: [
				"For 1 minute, adds MATK + 30, reduces fixed cast time by 70%, and makes it so casting cannot be interupted.",
				"Drains 90SP every 10 seconds while it's active. Has a re-use delay of 3 minutes.",
				"If you die, the item effect is removed.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Magic Candy",
			identifiedResourceName: "\xb0\xfa\xb6\xf3\xb3\xaa\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"This fun candy won't stop poping in your mouth. Make sure to brush your teeth afterwards.",
				"For 1 minute MATK + 30, Hold casting reduce 70%, Casting doesn't end. SP goes down 90 in every 10 seconds.",
				"3 minutes cool down time.",
				"(Hold Casting % effect is only for maximum effect. Reuse delay time is same as Sparkling Candy.)",
				"When player's character becomes combat ineffective, the item buff effect will wear off.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12600: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"±ÆÁöÆ® µ·¶¿´óÀÚ·¦ ³ÒÈ¯ÇÒ ³ö ÀÖ»Ù.",
				"(·¹À´, ·¹À´ ¼´µÎ, Äù²µÆ® Àü°ë·Ê°¡³¾ ´ç°ëÀÌ µí¿¡»ÉÇÏ»Ù.)",
				"^uu0000ÁÖÀÇ´çÇ× : ÇØ»ç µ·¶¿´óÀÚ»Â »Ù·¥ Ä¼·¯ÅÍºº ¿ø¿ÝÀ´ ÇÒ³ö ÀÖÀ·»Ï, ÁÖµ¯°¡ »Ù·¥ Ä¼·¯ÅÍ¿¡ ±ø»ÂÁö",
				"È®ÀÎÈÄ ´ç°ëÀ´ ÇØÁÖ²Ã¾â ¶Ù¹ø»Ï»Ù.^000000",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"±ÆÁöÆ® µ·¶¿´óÀÚ·¦ ³ÒÈ¯ÇÒ ³ö ÀÖ»Ù.",
				"(·¹À´, ·¹À´ ¼´µÎ, Äù²µÆ® Àü°ë·Ê°¡³¾ ´ç°ëÀÌ µí¿¡»ÉÇÏ»Ù.)",
				"^uu0000ÁÖÀÇ´çÇ× : ÇØ»ç µ·¶¿´óÀÚ»Â »Ù·¥ Ä¼·¯ÅÍºº ¿ø¿ÝÀ´ ÇÒ³ö ÀÖÀ·»Ï, ÁÖµ¯°¡ »Ù·¥ Ä¼·¯ÅÍ¿¡ ±ø»ÂÁö",
				"È®ÀÎÈÄ ´ç°ëÀ´ ÇØÁÖ²Ã¾â ¶Ù¹ø»Ï»Ù.^000000",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12601: {
			unidentifiedDisplayName: "Fresh Watermelon Juice",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"·ÀÀÖ»Â ³ö¶ÚÀ´ ¿¥±Æ³­ ··ºç Áê²µ.",
				"SK, HK·¦ 5% È·µ¶ÇÑ»Ù.",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "Fresh Watermelon Juice",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"·ÀÀÖ»Â ³ö¶ÚÀ´ ¿¥±Æ³­ ··ºç Áê²µ.",
				"^000088Recovery HP & SP + 5%^000000.",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12602: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"Æ¯µ¿ÇÑ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù»Â ´óÀÚ. ³ýÀÚ¿¡ ¼ôÀ´ ³ö¸Ï ÁÁÀµ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù¿í ÇÑ»Ù.",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"Æ¯µ¿ÇÑ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù»Â ´óÀÚ. ³ýÀÚ¿¡ ¼ôÀ´ ³ö¸Ï ÁÁÀµ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù¿í ÇÑ»Ù.",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12603: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"Æ¯µ¿ÇÑ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù»Â ´óÀÚ. ³ýÀÚ¿¡ ¼ôÀ´ ³ö¸Ï ÁÁÀµ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù¿í ÇÑ»Ù.",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"Æ¯µ¿ÇÑ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù»Â ´óÀÚ. ³ýÀÚ¿¡ ¼ôÀ´ ³ö¸Ï ÁÁÀµ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù¿í ÇÑ»Ù.",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12604: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"Æ¯µ¿ÇÑ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù»Â ´óÀÚ. ³ýÀÚ¿¡ ¼ôÀ´ ³ö¸Ï ÁÁÀµ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù¿í ÇÑ»Ù.",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"Æ¯µ¿ÇÑ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù»Â ´óÀÚ. ³ýÀÚ¿¡ ¼ôÀ´ ³ö¸Ï ÁÁÀµ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù¿í ÇÑ»Ù.",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12605: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"Æ¯µ¿ÇÑ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù»Â ´óÀÚ. ³ýÀÚ¿¡ ¼ôÀ´ ³ö¸Ï ÁÁÀµ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù¿í ÇÑ»Ù.",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"Æ¯µ¿ÇÑ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù»Â ´óÀÚ. ³ýÀÚ¿¡ ¼ôÀ´ ³ö¸Ï ÁÁÀµ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù¿í ÇÑ»Ù.",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12606: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			unidentifiedDescriptionName: [
				"Æ¯µ¿ÇÑ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù»Â ´óÀÚ. ³ýÀÚ¿¡ ¼ôÀ´ ³ö¸Ï ÁÁÀµ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù¿í ÇÑ»Ù.",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			identifiedDescriptionName: [
				"Æ¯µ¿ÇÑ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù»Â ´óÀÚ. ³ýÀÚ¿¡ ¼ôÀ´ ³ö¸Ï ÁÁÀµ ±ÆÀÌÅÛÀÌ ¼ª°Â»Ù¿í ÇÑ»Ù.",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12607: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"·ÀÀÖ»Â ¸Ñ·®ÆË 1¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ. 3ÀÏ¿£ ´ç°ë ¿¡»ÉÇÏ»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"·ÀÀÖ»Â ¸Ñ·®ÆË 1¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ. 3ÀÏ¿£ ´ç°ë ¿¡»ÉÇÏ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12608: {
			unidentifiedDisplayName: "Splendid Box2",
			unidentifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"È­¸ÁÇÑ ³ö¿øÀÌ ºÇ±îÀÖ»Â ¾Ý³Ó ÀçÁúÀÇ ´óÀÚ.",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "Splendid Box2",
			identifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"È­¸ÁÇÑ ³ö¿øÀÌ ºÇ±îÀÖ»Â ¾Ý³Ó ÀçÁúÀÇ ´óÀÚ.",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12609: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¼¿¿í ÁöÀúµÐÇÑ ¾¤³® ´óÀÚ. ³Ò·®·¦ ºé±îµ·»Ï °©¸¯Á±¸ùÀÇ ¾¤³®ÀÌ ºé±îÀÖ»Â ¿Í ¿¿»Ù.",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"¼¿¿í ÁöÀúµÐÇÑ ¾¤³® ´óÀÚ. ³Ò·®·¦ ºé±îµ·»Ï °©¸¯Á±¸ùÀÇ ¾¤³®ÀÌ ºé±îÀÖ»Â ¿Í ¿¿»Ù.",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12610: {
			unidentifiedDisplayName: "Mysterious Egg",
			unidentifiedResourceName: "\xb1\xf4\xc2\xa6\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Á¤Ã¼¸¦ ¾Ë ¼ö ¾ø´Â ÀÛÀº ¾Ë. °Ñ²®Áú¿¡ »ý±ä ±Õ¿­ »çÀÌ·Î È­·ÁÇÑ »öÀÇ ²®ÁúÀÌ ÇÑ °ã ´õ º¸ÀÎ´Ù!",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Mysterious Egg",
			identifiedResourceName: "\xb1\xf4\xc2\xa6\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Á¤Ã¼¸¦ ¾Ë ¼ö ¾ø´Â ÀÛÀº ¾Ë. °Ñ²®Áú¿¡ »ý±ä ±Õ¿­ »çÀÌ·Î È­·ÁÇÑ »öÀÇ ²®ÁúÀÌ ÇÑ °ã ´õ º¸ÀÎ´Ù!",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12612: {
			unidentifiedDisplayName: "³°Àº ÄÚÀÎÁÖ¸Ó´Ï",
			unidentifiedResourceName: "\xc7\xe3\xb8\xa7\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"Àß±×¶ô ¼Ò¸®°¡ ³ª´Â ³°°í È¦ÂßÇÑ ÄÚÀÎ ÁÖ¸Ó´Ï. ¾î¶² ÄÚÀÎÀÌ µé¾î ÀÖÀ» Áö´Â ¾Ë ¼ö ¾ø´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Old Coin Bag",
			identifiedResourceName: "\xc7\xe3\xb8\xa7\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"Àß¾×¹ô ³Ò·®¿¡ ¼ª»Â ¼¿¿í È¦ÂßÇÑ ÄÚÀÎ ÁÖ·Ó»Ï. ±î¹½ ÄÚÀÎÀÌ ºé±î ÀÖÀ´ Áö»Â ±Ë ³ö ±ø»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12613: {
			unidentifiedDisplayName: "»ó±Þ ÄÚÀÎÁÖ¸Ó´Ï",
			unidentifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"Àß±×¶ô ¼Ò¸®°¡ ³ª´Â ÀÛÀº ÁÖ¸Ó´Ï. ²Ï ÁÁÀº ÄÚÀÎÀÌ µé¾îÀÖ´Â °æ¿ì°¡ ÀÖ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Improved Coin Bag",
			identifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"Àß¾×¹ô ³Ò·®¿¡ ¼ª»Â ÀÛÀµ ÁÖ·Ó»Ï. ½Ï ÁÁÀµ ÄÚÀÎÀÌ ºé±îÀÖ»Â ¿æ°ì¿¡ ÀÖ»Ù¿í ÇÑ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12614: {
			unidentifiedDisplayName: "Áß±Þ ÄÚÀÎÁÖ¸Ó´Ï",
			unidentifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"Àß±×¶ô ¼Ò¸®°¡ ³ª´Â ÀÛÀº ÁÖ¸Ó´Ï. Á¶±Ý ÁÁÀº ÄÚÀÎÀÌ µé¾îÀÖ´Â °æ¿ì°¡ ÀÖ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Intermediate Coin Bag",
			identifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"Àß¾×¹ô ³Ò·®¿¡ ¼ª»Â ÀÛÀµ ÁÖ·Ó»Ï. Á¹¾Ý ÁÁÀµ ÄÚÀÎÀÌ ºé±îÀÖ»Â ¿æ°ì¿¡ ÀÖ»Ù¿í ÇÑ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12615: {
			unidentifiedDisplayName: "ÇÏ±Þ ÄÚÀÎÁÖ¸Ó´Ï",
			unidentifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"Àß±×¶ô ¼Ò¸®°¡ ³ª´Â ÀÛÀº ÁÖ¸Ó´Ï.",
				"Å« ±â´ë´Â ÇÒ ¼ö ¾ø´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Minor Coin Bag",
			identifiedResourceName: "\xb9\xab\xc7\xd1\xb0\xa1\xc1\xd7\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"Àß¾×¹ô ³Ò·®¿¡ ¼ª»Â ÀÛÀµ ÁÖ·Ó»Ï.",
				"Å« ¾â»ë»Â ÇÒ ³ö ±ø»Ù¿í ÇÑ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12616: {
			unidentifiedDisplayName: "S±Þ ÄÚÀÎÁÖ¸Ó´Ï",
			unidentifiedResourceName: "\xb0\xed\xb1\xde\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"AÄÚÀÎ, BÄÚÀÎ°ú ÇÔ²² ÀÌ°ÍÀú°Í µé¾îÀÖ´Â ÁÖ¸Ó´Ï. ¿îÀÌ ÁÁÀ¸¸é ¹Ù´Ù½ÅÀÇ ºÐ³ëµµ ¹ß°ßµÈ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "S Grade Coin Bag",
			identifiedResourceName: "\xb0\xed\xb1\xde\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"ZÄÚÀÎ, YÄÚÀÎ¿ú ÇÔ½½ ÀÌ¿ÍÀú¿Í ºé±îÀÖ»Â ÁÖ·Ó»Ï. °îÀÌ ÁÁÀ··é ¶Ù»Ù²ÅÀÇ µÐ¼ëºº ¶ß¿ßºÈ»Ù¿í ÇÑ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12617: {
			unidentifiedDisplayName: "A±Þ ÄÚÀÎÁÖ¸Ó´Ï",
			unidentifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"AÄÚÀÎ, BÄÚÀÎ, CÄÚÀÎÀÌ ´ã±ä ÁÖ¸Ó´Ï·Î, ¿îÀÌ ÁÁÀ¸¸é ÅëÁ¶¸²ÀÌ³ª ÄÚÀÎÀ» ´õ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "A Grade Coin Bag",
			identifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"ZÄÚÀÎ, YÄÚÀÎ, XÄÚÀÎÀÌ »ã¾ä ÁÖ·Ó»Ï¸Î, °îÀÌ ÁÁÀ··é ÅëÁ¹·½ÀÌ¼ª ÄÚÀÎÀ´ »õ ±òÀ´ ³ö ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12618: {
			unidentifiedDisplayName: "B±Þ ÄÚÀÎÁÖ¸Ó´Ï",
			unidentifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"BÄÚÀÎ, CÄÚÀÎ, DÄÚÀÎÀÌ ´ã±ä ÁÖ¸Ó´Ï·Î, ¿îÀÌ ÁÁÀ¸¸é ÅëÁ¶¸²ÀÌ³ª ÄÚÀÎÀ» ´õ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "B Grade Coin Bag",
			identifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"YÄÚÀÎ, XÄÚÀÎ, WÄÚÀÎÀÌ »ã¾ä ÁÖ·Ó»Ï¸Î, °îÀÌ ÁÁÀ··é ÅëÁ¹·½ÀÌ¼ª ÄÚÀÎÀ´ »õ ±òÀ´ ³ö ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12619: {
			unidentifiedDisplayName: "C±Þ ÄÚÀÎÁÖ¸Ó´Ï",
			unidentifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"CÄÚÀÎ, DÄÚÀÎ, EÄÚÀÎÀÌ ´ã±ä ÁÖ¸Ó´Ï·Î, ¿îÀÌ ÁÁÀ¸¸é ÅëÁ¶¸²ÀÌ³ª ÄÚÀÎÀ» ´õ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "C Grade Coin Bag",
			identifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"XÄÚÀÎ, WÄÚÀÎ, VÄÚÀÎÀÌ »ã¾ä ÁÖ·Ó»Ï¸Î, °îÀÌ ÁÁÀ··é ÅëÁ¹·½ÀÌ¼ª ÄÚÀÎÀ´ »õ ±òÀ´ ³ö ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12620: {
			unidentifiedDisplayName: "D±Þ ÄÚÀÎÁÖ¸Ó´Ï",
			unidentifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"DÄÚÀÎ, EÄÚÀÎÀÌ ´ã±ä ÁÖ¸Ó´Ï·Î, ¿îÀÌ ÁÁÀ¸¸é ÅëÁ¶¸²ÀÌ³ª ÄÚÀÎÀ» ´õ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "D Grade Coin Bag",
			identifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"WÄÚÀÎ, VÄÚÀÎÀÌ »ã¾ä ÁÖ·Ó»Ï¸Î, °îÀÌ ÁÁÀ··é ÅëÁ¹·½ÀÌ¼ª ÄÚÀÎÀ´ »õ ±òÀ´ ³ö ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12621: {
			unidentifiedDisplayName: "E±Þ ÄÚÀÎÁÖ¸Ó´Ï",
			unidentifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"EÄÚÀÎÀÌ ´ã±ä ÁÖ¸Ó´Ï·Î, ¿îÀÌ ÁÁÀ¸¸é ÅëÁ¶¸²ÀÌ³ª ÄÚÀÎÀ» Ãß°¡·Î ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "E Grade Coin Bag",
			identifiedResourceName: "\xc6\xf2\xb9\xfc\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"VÄÚÀÎÀÌ »ã¾ä ÁÖ·Ó»Ï¸Î, °îÀÌ ÁÁÀ··é ÅëÁ¹·½ÀÌ¼ª ÄÚÀÎÀ´ Ãß¿¡¸Î ±òÀ´ ³ö ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12622: {
			unidentifiedDisplayName: "Boarding Halter",
			unidentifiedResourceName: "\xc5\xbe\xbd\xc2\xbf\xeb\xb0\xed\xbb\xdf",
			unidentifiedDescriptionName: [
				"A mysterious halter that summon creature to ride on. ",
				"^ff0000Cannot be traded with others.^000000",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Halter Lead",
			identifiedResourceName: "\xc5\xbe\xbd\xc2\xbf\xeb\xb0\xed\xbb\xdf",
			identifiedDescriptionName: [
				"A mysterious halter that summon creature to ride on.",
				"^ff0000Cannot be traded with others.^000000",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12623: {
			unidentifiedDisplayName: "High Weapon Box",
			unidentifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"È­·ÁÇÑ ¼¼°øÀÌ µ¸º¸ÀÌ´Â ´Ü´ÜÇÑ »óÀÚ. ¿©·¯°¡Áö °í±Þ Àåºñ°¡ µé¾îÀÖ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "High Weapon Box",
			identifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"È­¸ÁÇÑ ³³¿øÀÌ º·µ·ÀÌ»Â »Ü»ÜÇÑ ´óÀÚ. °©¸¯¿¡Áö ¿í¾Þ Àåµñ¿¡ ºé±îÀÖ»Ù¿í ÇÑ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12624: {
			unidentifiedDisplayName: "Delicious Jelly",
			unidentifiedResourceName: "\xb8\xc0\xc0\xd6\xb4\xc2\xc1\xa9\xb8\xae",
			unidentifiedDescriptionName: [
				"»ó´çÈ÷ ¸ÀÀÖ´Â °¥»öÀÇ Á©¸®. ¸ÔÀ¸¸é ±âºÐÀÌ ³¯¾Æ°¥ °Í¸¸ °°´Ù. ³ìÀ» ¼öµµ ÀÖÀ¸´Ï ¶ß°Å¿î °÷¿¡ º¸°üÇÏÁö ¾Êµµ·Ï ÇÏÀÚ.",
				"HP, SP 3% È¸º¹.",
				"¹«°Ô : ^7777775^000000",
			],
			identifiedDisplayName: "Delicious Jelly",
			identifiedResourceName: "\xb8\xc0\xc0\xd6\xb4\xc2\xc1\xa9\xb8\xae",
			identifiedDescriptionName: [
				"´ó»çÈ÷ ·ÀÀÖ»Â ¿¥´öÀÇ Á©·®. ·ÔÀ··é ¾âµÐÀÌ ¼¯±Æ¿¥ ¿Í·· ¿¿»Ù. ¼ìÀ´ ³öºº ÀÖÀ·»Ï ¹ß¿Å°î ¿÷°¡ µ·¿üÇÏÁö ±Êºº¸Ï ÇÏÀÚ.",
				"^000088Recovery HP & SP + 3%^000000.",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12625: {
			unidentifiedDisplayName: "»çÆÄ °øÈÆÁõ ²Ù·¯¹Ì",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xb2\xd9\xb7\xaf\xb9\xcc",
			unidentifiedDescriptionName: [
				"»çÆÄ °øÈÆÁõÀÌ °¡µæ µé¾îÀÖ´Â ÁÖ¸Ó´Ï.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "»çÆÄ °øÈÆÁõ ²Ù·¯¹Ì",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xb2\xd9\xb7\xaf\xb9\xcc",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»çÆÄ °øÈÆÁõÀÌ °¡µæ µé¾îÀÖ´Â ÁÖ¸Ó´Ï.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12633: {
			unidentifiedDisplayName: "¸»¶ûµµ °í¾çÀÌ Äµ",
			unidentifiedResourceName: "\xbd\xc5\xb9\xa6\x5f\xc5\xeb\xc1\xb6\xb8\xb2",
			unidentifiedDescriptionName: [
				"¸»¶ûµµ Æ¯»êÇ°, ÀúÀåÀÌ ¿ëÀÌÇÏ°Ô ÄµÀ¸·Î Æ÷ÀåµÇ¾î ÀÖ´Ù. ÀÌ»óÇÏ°Ôµµ »ç¶÷ÀÌ ¸ÔÀ¸¸é È°·Â°ú ±â¿îÀÌ ³ÑÄ¡°Ô µÈ´Ù°í ÇÑ´Ù.",
				"20ºÐ°£ °æÇèÄ¡, Àâ°æÇèÄ¡ 10% Áõ°¡. (¿©Å¸ÀÇ °æÇèÄ¡ Áõ°¡ ¾ÆÀÌÅÛ°ú ÁßÃ¸°¡´É)",
				"20ºÐ°£ ¾ÆÀÌÅÛ µå·Ó·ü 20% Áõ°¡.",
				"¹«°Ô : ^7777775^000000",
			],
			identifiedDisplayName: "¸»¶ûµµ °í¾çÀÌ Äµ",
			identifiedResourceName: "\xbd\xc5\xb9\xa6\x5f\xc5\xeb\xc1\xb6\xb8\xb2",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸»¶ûµµ Æ¯»êÇ°, ÀúÀåÀÌ ¿ëÀÌÇÏ°Ô ÄµÀ¸·Î Æ÷ÀåµÇ¾î ÀÖ´Ù. ÀÌ»óÇÏ°Ôµµ »ç¶÷ÀÌ ¸ÔÀ¸¸é È°·Â°ú ±â¿îÀÌ ³ÑÄ¡°Ô µÈ´Ù°í ÇÑ´Ù.",
				"20ºÐ°£ °æÇèÄ¡, Àâ°æÇèÄ¡ 10% Áõ°¡. (¿©Å¸ÀÇ °æÇèÄ¡ Áõ°¡ ¾ÆÀÌÅÛ°ú ÁßÃ¸°¡´É)",
				"20ºÐ°£ ¾ÆÀÌÅÛ µå·Ó·ü 20% Áõ°¡.",
				"¹«°Ô : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12636: {
			unidentifiedDisplayName: "¸»¶ûµµ Æ¯»ê ÅëÁ¶¸²",
			unidentifiedResourceName: "\xb8\xbb\xb6\xfb\xb5\xb5\xc6\xaf\xbb\xea\xc5\xeb\xc1\xb6\xb8\xb2",
			unidentifiedDescriptionName: [
				"¸»¶ûµµ¿¡¼­¸¸ »ý»êµÇ´Â °¨Ä¥¸À°ú ¸ÀÀÖ´Â Çâ±â°¡ °¡µæÇÑ ÅëÁ¶¸².",
				"½ÅºñÇÏ°Ôµµ ¸Ô´Ùº¸¸é °­·ÄÇÏ°Ô ¹Ð·Á¿À´Â ¹Ù´Ù³»À½°ú ¸»¶ûµµÀÇ Á¤°æÀÌ ¶°¿À¸£´õ´Ï.... Á¤½ÅÀ» Â÷·Áº¸¸é ¸»¶ûµµ¿¡ µµÂøÇØ¹ö¸®´Â È¿°úµµ ÀÖ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Malangdo Canned Specialties",
			identifiedResourceName: "\xb8\xbb\xb6\xfb\xb5\xb5\xc6\xaf\xbb\xea\xc5\xeb\xc1\xb6\xb8\xb2",
			identifiedDescriptionName: [
				"·´¹ûºº°¡³­·· ´ý´êºÇ»Â ¿¨Ä¥·À¿ú ·ÀÀÖ»Â Çâ¾â¿¡ ¿¡ºæÇÑ ÅëÁ¹·½.",
				"²ÅµñÇÏ¿Ôºº ·Ô»Ùµ··é ¿­¸ÄÇÏ¿Ô ¶Ð¸Á°À»Â ¶Ù»Ù¼´À²¿ú ·´¹ûººÀÇ Á¤¿æÀÌ ¹¿°À·£»õ»Ï.... Á¤²ÅÀ´ Â÷¸Áµ··é ·´¹ûºº°¡ ººÂøÇØ¶ö·®»Â È°¿úºº ÀÖ»Ù¿í ÀüÇØÁø»Ù.",
				"¶«¿Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12637: {
			unidentifiedDisplayName: "°ø¹ú·¹ ÁÖ¸Ó´Ï",
			unidentifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"°ø¹ú·¹°¡ 200°³ µé¾î ÀÖ´Â ÁÖ¸Ó´Ï.",
				"ÁÖ¸Ó´Ï ¾ÈÂÊ¿¡¼­ ±âºÐÀÌ ½â ÁÁÁö ¾ÊÀº ¿òÁ÷ÀÓÀÌ ´À²¸Áø´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			identifiedDisplayName: "°ø¹ú·¹ ÁÖ¸Ó´Ï",
			identifiedResourceName: "\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°ø¹ú·¹°¡ 200°³ µé¾î ÀÖ´Â ÁÖ¸Ó´Ï.",
				"ÁÖ¸Ó´Ï ¾ÈÂÊ¿¡¼­ ±âºÐÀÌ ½â ÁÁÁö ¾ÊÀº ¿òÁ÷ÀÓÀÌ ´À²¸Áø´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12638: {
			unidentifiedDisplayName: "¸¶¸¥ ¿ÀÂ¡¾î »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"¸¶¸¥ ¿ÀÂ¡¾î°¡ 200°³ µé¾î ÀÖ´Â »óÀÚ.",
				"±²ÀåÈ÷ ÀÛÀº »óÀÚ¾È¿¡ ¾ÐÃàµÇ¾î µé¾îÀÖÀ¸´Ï Æ÷ÀåÀ» Ç® ¶© ÁÖÀÇÇÏÀÚ.",
				"¹«°Ô : ^777777200^000000",
			],
			identifiedDisplayName: "¸¶¸¥ ¿ÀÂ¡¾î »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶¸¥ ¿ÀÂ¡¾î°¡ 200°³ µé¾î ÀÖ´Â »óÀÚ.",
				"±²ÀåÈ÷ ÀÛÀº »óÀÚ¾È¿¡ ¾ÐÃàµÇ¾î µé¾îÀÖÀ¸´Ï Æ÷ÀåÀ» Ç® ¶© ÁÖÀÇÇÏÀÚ.",
				"¹«°Ô : ^777777200^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12639: {
			unidentifiedDisplayName: "³¯Ä¡ »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			unidentifiedDescriptionName: [
				"³¯Ä¡°¡ 200°³³ª µé¾î ÀÖ´Â »óÀÚ.",
				"³¯Ä¡°¡ ÀÛ´Ù°ï ÇØµµ ³î¶ó¿î ¾ÐÃà·ü·Î ´ã°ÜÁ® ÀÖ´Â µí ÇÏ´Ù.",
				"¹«°Ô : ^777777200^000000",
			],
			identifiedDisplayName: "³¯Ä¡ »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³¯Ä¡°¡ 200°³³ª µé¾î ÀÖ´Â »óÀÚ.",
				"³¯Ä¡°¡ ÀÛ´Ù°ï ÇØµµ ³î¶ó¿î ¾ÐÃà·ü·Î ´ã°ÜÁ® ÀÖ´Â µí ÇÏ´Ù.",
				"¹«°Ô : ^777777200^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12640: {
			unidentifiedDisplayName: "º° ºÒ°¡»ç¸® »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"º° ºÒ°¡»ç¸®°¡ 200°³³ª µé¾î ÀÖ´Â »óÀÚ.",
				"Æ´ÀÌ º¸ÀÌÁö ¾ÊÀ» Á¤µµ·Î ¿Ïº®ÇÏ°Ô Á¤¸®, Æ÷Àå µÇ¾îÀÖ´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			identifiedDisplayName: "º° ºÒ°¡»ç¸® »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º° ºÒ°¡»ç¸®°¡ 200°³³ª µé¾î ÀÖ´Â »óÀÚ.",
				"Æ´ÀÌ º¸ÀÌÁö ¾ÊÀ» Á¤µµ·Î ¿Ïº®ÇÏ°Ô Á¤¸®, Æ÷Àå µÇ¾îÀÖ´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12641: {
			unidentifiedDisplayName: "Fortune Egg¥·",
			unidentifiedResourceName: "\xb5\xa5\xba\xf4\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"±â°£ ÇÑÁ¤ ¾Ç¸¶ ¸ð¾çÀÇ ²Ù·¯¹Ì. ¿­¾îº¸¸é ¹«¾ð°¡ ³ª¿Ã °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "New Recruit Pack",
			identifiedResourceName: "\xb5\xa5\xba\xf4\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ ¾Ç¸¶ ¸ð¾çÀÇ ²Ù·¯¹Ì. ¿­¾îº¸¸é ¹«¾ð°¡ ³ª¿Ã °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12642: {
			unidentifiedDisplayName: "¸¶½ºÅ×¶óÀÇ ¿­¸Å 100°³ »óÀÚ",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸¶½ºÅ×¶óÀÇ ¿­¸Å 100°³°¡ ¾ÐÃàµÇ¾î µé¾îÀÖ´Â »óÀÚ. °³ºÀ ½Ã ÁÖÀÇ.",
				"¹«°Ô : ^7777770^000000",
				"\"^ff0000ÁÖÀÇ - »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000\"",
			],
			identifiedDisplayName: "¸¶½ºÅ×¶óÀÇ ¿­¸Å 100°³ »óÀÚ",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶½ºÅ×¶óÀÇ ¿­¸Å 100°³°¡ ¾ÐÃàµÇ¾î µé¾îÀÖ´Â »óÀÚ. °³ºÀ ½Ã ÁÖÀÇ.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000ÁÖÀÇ - »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12643: {
			unidentifiedDisplayName: "E±ÞÄÚÀÎ 50°³ ²Ù·¯¹Ì",
			unidentifiedResourceName: "\xc7\xe3\xb8\xa7\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			unidentifiedDescriptionName: [
				"Àß±×¶ô ¼Ò¸®°¡ ³ª´Â ³°°í È¦ÂßÇÑ ÄÚÀÎ ÁÖ¸Ó´Ï. E±ÞÄÚÀÎÀÌ 50°³ ´ã°ÜÁ® ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "E±ÞÄÚÀÎ 50°³ ²Ù·¯¹Ì",
			identifiedResourceName: "\xc7\xe3\xb8\xa7\xc7\xd1\xc1\xd6\xb8\xd3\xb4\xcf",
			identifiedDescriptionName: [
				"Àß±×¶ô ¼Ò¸®°¡ ³ª´Â ³°°í È¦ÂßÇÑ ÄÚÀÎ ÁÖ¸Ó´Ï. E±ÞÄÚÀÎÀÌ 50°³ ´ã°ÜÁ® ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12644: {
			unidentifiedDisplayName: "PC¹æ ÄíÆù »óÀÚ¥³",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"Àß Æ÷ÀåµÈ ¼±¹°»óÀÚ. ¹«¾ùÀÌ µé¾îÀÖ´ÂÁö´Â ¾Ë ¼ö ¾ø´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "PC¹æ ÄíÆù »óÀÚ¥³",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Àß Æ÷ÀåµÈ ¼±¹°»óÀÚ. ¹«¾ùÀÌ µé¾îÀÖ´ÂÁö´Â ¾Ë ¼ö ¾ø´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12645: {
			unidentifiedDisplayName: "¼º½º·¯¿î ½ºÅ©·Ñ",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"¼º¼ö·Î ¼¼·Ê¹ÞÀº ½ºÅ©·Ñ. ¼º¼ö ¾øÀÌ ¾Æ½ºÆä¸£½Ã¿À 5Lv »ç¿ë°¡´É.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¼º½º·¯¿î ½ºÅ©·Ñ",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼º¼ö·Î ¼¼·Ê¹ÞÀº ½ºÅ©·Ñ. ¼º¼ö ¾øÀÌ ¾Æ½ºÆä¸£½Ã¿À 5Lv »ç¿ë°¡´É.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12646: {
			unidentifiedDisplayName: "Èæ·æÀÇ Á÷È­ ¹®¾î±¸ÀÌ",
			unidentifiedResourceName: "\xb9\xae\xbe\xee\xb1\xb8\xc0\xcc",
			unidentifiedDescriptionName: [
				"Á÷È­ ¹®¾î±¸ÀÌ¸¦ ºí·¢ µå·¡°ïÀÌ ºê·¹½º¸¦ »Õ¾î ¾Õ µÚ·Î »ìÂ¦»ìÂ¦ µÎ¹ø ±¸¿ö ¸ÀÀÌ ´õ¿í ÁÁ¾ÆÁ³´Ù.",
				"10ºÐ°£ LUK + 10, ATK + 20, MATK + 20.",
				"^ff0000´õ ³ôÀº ¿É¼ÇÀÇ ¹öÇÁ¸¦ ¹ÞÀ» ½Ã ÇØ´ç ¿É¼ÇÀÌ »ç¶óÁú ¼ö ÀÖ½À´Ï´Ù. ÀÌº¥Æ® Á¾·á½Ã »èÁ¦µÇ´Â ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«°Ô : ^7777773^000000",
			],
			identifiedDisplayName: "Èæ·æÀÇ Á÷È­ ¹®¾î±¸ÀÌ",
			identifiedResourceName: "\xb9\xae\xbe\xee\xb1\xb8\xc0\xcc",
			identifiedDescriptionName: [
				"Á÷È­ ¹®¾î±¸ÀÌ¸¦ ºí·¢ µå·¡°ïÀÌ ºê·¹½º¸¦ »Õ¾î ¾Õ µÚ·Î »ìÂ¦»ìÂ¦ µÎ¹ø ±¸¿ö ¸ÀÀÌ ´õ¿í ÁÁ¾ÆÁ³´Ù.",
				"10ºÐ°£ LUK + 10, ATK + 20, MATK + 20.",
				"^ff0000´õ ³ôÀº ¿É¼ÇÀÇ ¹öÇÁ¸¦ ¹ÞÀ» ½Ã ÇØ´ç ¿É¼ÇÀÌ »ç¶óÁú ¼ö ÀÖ½À´Ï´Ù. ÀÌº¥Æ® Á¾·á½Ã »èÁ¦µÇ´Â ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«°Ô : ^7777773^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12647: {
			unidentifiedDisplayName: "¸Ô¹°º¼",
			unidentifiedResourceName: "\xb8\xd4\xb9\xb0\xba\xbc",
			unidentifiedDescriptionName: [
				"¸Ô¹°ÀÌ ÁøµæÇÏ°Ô ¹¶ÃÄÀÖ´Â ÀÛÀº ±¸Ã¼.",
				"¸Ô¹°À» Àß ´Û¾Æ³»¸é ¹«¾ùÀÎÁö ¾Ë ¼ö ÀÖÀ» °Í °°´Ù.",
				"^ff0000ÀÌº¥Æ® Á¾·á½Ã »èÁ¦µÇ´Â ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«°Ô : ^7777773^000000",
			],
			identifiedDisplayName: "¸Ô¹°º¼",
			identifiedResourceName: "\xb8\xd4\xb9\xb0\xba\xbc",
			identifiedDescriptionName: [
				"¸Ô¹°ÀÌ ÁøµæÇÏ°Ô ¹¶ÃÄÀÖ´Â ÀÛÀº ±¸Ã¼.",
				"¸Ô¹°À» Àß ´Û¾Æ³»¸é ¹«¾ùÀÎÁö ¾Ë ¼ö ÀÖÀ» °Í °°´Ù.",
				"^ff0000ÀÌº¥Æ® Á¾·á½Ã »èÁ¦µÇ´Â ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«°Ô : ^7777773^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12648: {
			unidentifiedDisplayName: "Æ÷¼Ç Á¾ÇÕ¼¼Æ®",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Æ÷¼Ç Á¾ÇÕ¼±¹°¼¼Æ®.",
				"»¡°£Æ÷¼Ç, ÁÖÈ«Æ÷¼Ç, ³ë¶õÆ÷¼Ç, ÇÏ¾áÆ÷¼Ç, ÆÄ¶õÆ÷¼ÇÀÌ °¢°¢ 10°³¾¿ µé¾îÀÖ´Â »óÀÚ.",
				"¹«°Ô : ^77777710^000000",
			],
			identifiedDisplayName: "Æ÷¼Ç Á¾ÇÕ¼¼Æ®",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Æ÷¼Ç Á¾ÇÕ¼±¹°¼¼Æ®.",
				"»¡°£Æ÷¼Ç, ÁÖÈ«Æ÷¼Ç, ³ë¶õÆ÷¼Ç, ÇÏ¾áÆ÷¼Ç, ÆÄ¶õÆ÷¼ÇÀÌ °¢°¢ 10°³¾¿ µé¾îÀÖ´Â »óÀÚ.",
				"¹«°Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12649: {
			unidentifiedDisplayName: "70·¹º§ ÇÏ»çÇ°",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"70·¹º§À» ´Þ¼ºÇÑ ÀÚ¿¡°Ô ¼ö¿©µÇ´Â ÇÏ»çÇ°.",
				"\"^ff0000ÁÖÀÇ - »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000\"",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "70·¹º§ ÇÏ»çÇ°",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"70·¹º§À» ´Þ¼ºÇÑ ÀÚ¿¡°Ô ¼ö¿©µÇ´Â ÇÏ»çÇ°.",
				"\"^ff0000ÁÖÀÇ - »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000\"",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12650: {
			unidentifiedDisplayName: "90·¹º§ ÇÏ»çÇ°",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"90·¹º§À» ´Þ¼ºÇÑ ÀÚ¿¡°Ô ¼ö¿©µÇ´Â ÇÏ»çÇ°.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "90·¹º§ ÇÏ»çÇ°",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"90·¹º§À» ´Þ¼ºÇÑ ÀÚ¿¡°Ô ¼ö¿©µÇ´Â ÇÏ»çÇ°.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12651: {
			unidentifiedDisplayName: "110·¹º§ ÇÏ»çÇ°",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"110·¹º§À» ´Þ¼ºÇÑ ÀÚ¿¡°Ô ¼ö¿©µÇ´Â ÇÏ»çÇ°.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "110·¹º§ ÇÏ»çÇ°",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"110·¹º§À» ´Þ¼ºÇÑ ÀÚ¿¡°Ô ¼ö¿©µÇ´Â ÇÏ»çÇ°.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12652: {
			unidentifiedDisplayName: "130·¹º§ ÇÏ»çÇ°",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"130·¹º§À» ´Þ¼ºÇÑ ÀÚ¿¡°Ô ¼ö¿©µÇ´Â ÇÏ»çÇ°.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "130·¹º§ ÇÏ»çÇ°",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"130·¹º§À» ´Þ¼ºÇÑ ÀÚ¿¡°Ô ¼ö¿©µÇ´Â ÇÏ»çÇ°.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12653: {
			unidentifiedDisplayName: "150·¹º§ ÇÏ»çÇ°",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"150·¹º§À» ´Þ¼ºÇÑ ÀÚ¿¡°Ô ¼ö¿©µÇ´Â ÇÏ»çÇ°.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "150·¹º§ ÇÏ»çÇ°",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"150·¹º§À» ´Þ¼ºÇÑ ÀÚ¿¡°Ô ¼ö¿©µÇ´Â ÇÏ»çÇ°.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12654: {
			unidentifiedDisplayName: "Fortune Egg¥¸",
			unidentifiedResourceName: "\xbf\xa3\xc1\xa9\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"±â°£ ÇÑÁ¤ Ãµ»ç ¸ð¾çÀÇ ²Ù·¯¹Ì. ¿­¾îº¸¸é ¹«¾ð°¡ ³ª¿Ã °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Recruit's Mount Gift",
			identifiedResourceName: "\xbf\xa3\xc1\xa9\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A box given to friends of new recruits that contains 1 Halter Lead. Once opened, the item inside expires after 30 days.",
				"^ff0000This item is account bound.^000000",
				"An animal halter lead that summons a creature to ride on.",
				"Mount creatures increase movement speed by 25%.",
				"Cannot attack while on a mount.",
				"^ff0000When this item expires, so does the mount.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12658: {
			unidentifiedDisplayName: "Transformation Scroll(Deviruchi)",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"µ¥ºñ·çÄ¡\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"µ¥ºñ·çÄ¡·Î º¯½ÅÇÑ ½Ã°£ µ¿¾È ASPD + 1, HIT + 5.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Transformation Scroll(Deviruchi)",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"µ¥ºñ·çÄ¡\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"µ¥ºñ·çÄ¡·Î º¯½ÅÇÑ ½Ã°£ µ¿¾È ASPD + 1, HIT + 5.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12659: {
			unidentifiedDisplayName: "Transformation Scroll(Raydric)",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"·¹ÀÌµå¸¯ ¾ÆÃÄ\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È È° °ø°Ý·Â 25% Áõ°¡.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Transformation Scroll(Raydric)",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"·¹ÀÌµå¸¯ ¾ÆÃÄ\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È È° °ø°Ý·Â 25% Áõ°¡.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12660: {
			unidentifiedDisplayName: "Transformation Scroll(Mavka)",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"¸¶ºêÄ«\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ. ",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È È° °ø°Ý·Â 25% Áõ°¡.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Transformation Scroll(Mavka)",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"¸¶ºêÄ«\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È È° °ø°Ý·Â 25% Áõ°¡.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12661: {
			unidentifiedDisplayName: "Transformation Scroll(Marduk)",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"¸¶¸£µÎÅ©\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È MATK + 25 Áõ°¡.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Transformation Scroll(Marduk)",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"¸¶¸£µÎÅ©\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È MATK + 25 Áõ°¡.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12662: {
			unidentifiedDisplayName: "Transformation Scroll(Banshee)",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"¹ê½Ã\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ. ",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È MATK + 25 Áõ°¡.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Transformation Scroll(Banshee)",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"¹ê½Ã\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È MATK + 25 Áõ°¡.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12663: {
			unidentifiedDisplayName: "Transformation Scroll(Poring)",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"Æ÷¸µ\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ. ",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 5% Áõ°¡.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Transformation Scroll(Poring)",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"Æ÷¸µ\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 5% Áõ°¡.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12664: {
			unidentifiedDisplayName: "Transformation Scroll(Golem)",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"°í·½\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ. ",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È ¹°¸®°ø°ÝÀ» ¹ÞÀ» ½Ã ÀÏÁ¤È®·ü·Î ÀÎµà¾î 5Lv¹ßµ¿, ¹«¼Ó¼º ³»¼º 2% Áõ°¡.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Transformation Scroll(Golem)",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xb8\xb6\xb9\xfd\xc1\xf8",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"°í·½\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È ¹°¸®°ø°ÝÀ» ¹ÞÀ» ½Ã ÀÏÁ¤È®·ü·Î ÀÎµà¾î 5Lv¹ßµ¿, ¹«¼Ó¼º ³»¼º 2% Áõ°¡.",
				"^ff0000ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12672: {
			unidentifiedDisplayName: "»õÃâ¹ß »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¹±ÍÀ¯Àú¿Í ½Å±ÔÀ¯Àú¿¡°Ô Áö±ÞµÇ´Â ¼±¹°»óÀÚ.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "»õÃâ¹ß »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¹±ÍÀ¯Àú¿Í ½Å±ÔÀ¯Àú¿¡°Ô Áö±ÞµÇ´Â ¼±¹°»óÀÚ.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12673: {
			unidentifiedDisplayName: "Safe to 7 Chance Box",
			unidentifiedResourceName: "\xc5\xe4\xb3\xa2\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ Åä³¢ ¸ð¾çÀÇ ²Ù·¯¹Ì. ¿­¾îº¸¸é ¹«¾ð°¡ ³ª¿Ã °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Safe to 7 Chance Box",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ Åä³¢ ¸ð¾çÀÇ ²Ù·¯¹Ì. ¿­¾îº¸¸é ¹«¾ð°¡ ³ª¿Ã °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12674: {
			unidentifiedDisplayName: "½Å±Þ Àç·á »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"°ËÀº ¿ÌÄ¥ÀÌ µÈ ÀÛ°í ´Ü´ÜÇÑ »óÀÚ. ½Å±Þ¾ÆÀÌÅÛÀ» ¸¸µé ¼ö ÀÖ´Â Àç·áµé Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			identifiedDisplayName: "½Å±Þ Àç·á »óÀÚ",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"°ËÀº ¿ÌÄ¥ÀÌ µÈ ÀÛ°í ´Ü´ÜÇÑ »óÀÚ. ½Å±Þ¾ÆÀÌÅÛÀ» ¸¸µé ¼ö ÀÖ´Â Àç·áµé Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12675: {
			unidentifiedDisplayName: "°ø¼º ¹«±âº¸±Þ »óÀÚ",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¾î´À ±æµåÀÇ ÀÎÀåÀÌ ÂïÈù ¹«±â º¸±ÞÇ° »óÀÚ. ²Ï °í°¡ÀÇ ¹«±â°¡ µé¾î ÀÖÀ»Áöµµ ¸ð¸¥´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			identifiedDisplayName: "°ø¼º ¹«±âº¸±Þ »óÀÚ",
			identifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"¾î´À ±æµåÀÇ ÀÎÀåÀÌ ÂïÈù ¹«±â º¸±ÞÇ° »óÀÚ. ²Ï °í°¡ÀÇ ¹«±â°¡ µé¾î ÀÖÀ»Áöµµ ¸ð¸¥´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12676: {
			unidentifiedDisplayName: "°ø¼º¿ë º¸¶óÆ÷¼Ç »óÀÚ",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"°ø¼º¿ë º¸¶óÆ÷¼Ç 50°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"(*ÁÖÀÇ*°ø¼ºÀü Áö¿ªÀÌ³ª, PVPÁö¿ª, ¸¶À»ÀÌ ¾Æ´Ñ °÷¿¡¼­´Â ¸Ô¾îµµ ¾Æ¹«·± È¿°ú°¡ ¾ø´Ù.)",
				"¹«°Ô : ^77777720^000000",
			],
			identifiedDisplayName: "°ø¼º¿ë º¸¶óÆ÷¼Ç »óÀÚ",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"°ø¼º¿ë º¸¶óÆ÷¼Ç 50°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"(*ÁÖÀÇ*°ø¼ºÀü Áö¿ªÀÌ³ª, PVPÁö¿ª, ¸¶À»ÀÌ ¾Æ´Ñ °÷¿¡¼­´Â ¸Ô¾îµµ ¾Æ¹«·± È¿°ú°¡ ¾ø´Ù.)",
				"¹«°Ô : ^77777720^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12677: {
			unidentifiedDisplayName: "°ø¼º¿ë È­»ìÅëS",
			unidentifiedResourceName: "\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"°ø¼º º¸±Þ¿ë È­»ìS°¡ 200°³ ´ã°ÜÁø È­»ìÅë.",
				"·¹º§Á¦ÇÑ : ^777777130^000000",
				"¹«°Ô : ^77777710^000000",
			],
			identifiedDisplayName: "°ø¼º¿ë È­»ìÅëS",
			identifiedResourceName: "\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"°ø¼º º¸±Þ¿ë È­»ìS°¡ 200°³ ´ã°ÜÁø È­»ìÅë.",
				"·¹º§Á¦ÇÑ : ^777777130^000000",
				"¹«°Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12678: {
			unidentifiedDisplayName: "°ø¼º¿ë È­»ìÅëA",
			unidentifiedResourceName: "\xc8\xad\xbb\xec\xc5\xeb",
			unidentifiedDescriptionName: [
				"°ø¼º º¸±Þ¿ë È­»ìA°¡ 200°³ ´ã°ÜÁø È­»ìÅë.",
				"·¹º§Á¦ÇÑ : ^77777795^000000",
				"¹«°Ô : ^77777710^000000",
			],
			identifiedDisplayName: "°ø¼º¿ë È­»ìÅëA",
			identifiedResourceName: "\xc8\xad\xbb\xec\xc5\xeb",
			identifiedDescriptionName: [
				"°ø¼º º¸±Þ¿ë È­»ìA°¡ 200°³ ´ã°ÜÁø È­»ìÅë.",
				"·¹º§Á¦ÇÑ : ^77777795^000000",
				"¹«°Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12679: {
			unidentifiedDisplayName: "°ø¼º¿ë ÇÏ¾áÆ÷¼Ç »óÀÚ",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"°ø¼º¿ë ÇÏ¾áÆ÷¼Ç 30°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"(*ÁÖÀÇ*°ø¼ºÀü Áö¿ªÀÌ³ª, PVPÁö¿ª, ¸¶À»ÀÌ ¾Æ´Ñ °÷¿¡¼­´Â ¸Ô¾îµµ ¾Æ¹«·± È¿°ú°¡ ¾ø´Ù.)",
				"¹«°Ô : ^77777720^000000",
			],
			identifiedDisplayName: "°ø¼º¿ë ÇÏ¾áÆ÷¼Ç »óÀÚ",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"°ø¼º¿ë ÇÏ¾áÆ÷¼Ç 30°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"(*ÁÖÀÇ*°ø¼ºÀü Áö¿ªÀÌ³ª, PVPÁö¿ª, ¸¶À»ÀÌ ¾Æ´Ñ °÷¿¡¼­´Â ¸Ô¾îµµ ¾Æ¹«·± È¿°ú°¡ ¾ø´Ù.)",
				"¹«°Ô : ^77777720^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12680: {
			unidentifiedDisplayName: "°ø¼º¿ë ÆÄ¶õÆ÷¼Ç »óÀÚ",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"°ø¼º¿ë ÆÄ¶õÆ÷¼Ç 10°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"(*ÁÖÀÇ*°ø¼ºÀü Áö¿ªÀÌ³ª, PVPÁö¿ª, ¸¶À»ÀÌ ¾Æ´Ñ °÷¿¡¼­´Â ¸Ô¾îµµ ¾Æ¹«·± È¿°ú°¡ ¾ø´Ù.)",
				"¹«°Ô : ^77777720^000000",
			],
			identifiedDisplayName: "°ø¼º¿ë ÆÄ¶õÆ÷¼Ç »óÀÚ",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"°ø¼º¿ë ÆÄ¶õÆ÷¼Ç 10°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"(*ÁÖÀÇ*°ø¼ºÀü Áö¿ªÀÌ³ª, PVPÁö¿ª, ¸¶À»ÀÌ ¾Æ´Ñ °÷¿¡¼­´Â ¸Ô¾îµµ ¾Æ¹«·± È¿°ú°¡ ¾ø´Ù.)",
				"¹«°Ô : ^77777720^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12683: {
			unidentifiedDisplayName: "°ø¼º¿ë º¸¶óÆ÷¼Ç 200°³ »óÀÚ",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"°ø¼º¿ë º¸¶óÆ÷¼Ç 200°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"(*ÁÖÀÇ*°ø¼ºÀü Áö¿ªÀÌ³ª, PVPÁö¿ª, ¸¶À»ÀÌ ¾Æ´Ñ °÷¿¡¼­´Â ¸Ô¾îµµ ¾Æ¹«·± È¿°ú°¡ ¾ø´Ù.)",
				"¹«°Ô : ^77777720^000000",
			],
			identifiedDisplayName: "°ø¼º¿ë º¸¶óÆ÷¼Ç 200°³ »óÀÚ",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"°ø¼º¿ë º¸¶óÆ÷¼Ç 200°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"(*ÁÖÀÇ*°ø¼ºÀü Áö¿ªÀÌ³ª, PVPÁö¿ª, ¸¶À»ÀÌ ¾Æ´Ñ °÷¿¡¼­´Â ¸Ô¾îµµ ¾Æ¹«·± È¿°ú°¡ ¾ø´Ù.)",
				"¹«°Ô : ^77777720^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12684: {
			unidentifiedDisplayName: "ASPD °­È­ Æ÷¼Ç",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xc7\xe2\xbc\xf6\x41\x53\x50\x44",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.",
				"±âÁ¸ °ø°Ý¼Óµµ Æ÷¼Ç°ú µ¿ÀÏÇÏ°Ô Àû¿ëµÇ¸ç AGI¿¡ µû¶ó °ø¼Ó Áõ°¡·®ÀÌ ´Þ¶óÁú ¼ö ÀÖ½À´Ï´Ù.^000000",
				"¿©Å¸ÀÇ °ø°Ý¼Óµµ Çâ»ó Æ÷¼Ç°ú ÇÔ²² »ç¿ë ½Ã ´õ Å« È¿°ú°¡ ³ªÅ¸³ª´Â °­È­ Æ÷¼Ç.",
				"º¹¿ëÇÏ¸é 15ºÐ°£ °ø°Ý¼Óµµ°¡ Á¶±Ý ´õ »ó½ÂÇÑ´Ù. ÀüÁ÷¾÷ÀÌ »ç¿ëÇÒ ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ASPD °­È­ Æ÷¼Ç",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xc7\xe2\xbc\xf6\x41\x53\x50\x44",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.",
				"±âÁ¸ °ø°Ý¼Óµµ Æ÷¼Ç°ú µ¿ÀÏÇÏ°Ô Àû¿ëµÇ¸ç AGI¿¡ µû¶ó °ø¼Ó Áõ°¡·®ÀÌ ´Þ¶óÁú ¼ö ÀÖ½À´Ï´Ù.^000000",
				"¿©Å¸ÀÇ °ø°Ý¼Óµµ Çâ»ó Æ÷¼Ç°ú ÇÔ²² »ç¿ë ½Ã ´õ Å« È¿°ú°¡ ³ªÅ¸³ª´Â °­È­ Æ÷¼Ç.",
				"º¹¿ëÇÏ¸é 15ºÐ°£ °ø°Ý¼Óµµ°¡ Á¶±Ý ´õ »ó½ÂÇÑ´Ù. ÀüÁ÷¾÷ÀÌ »ç¿ëÇÒ ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12685: {
			unidentifiedDisplayName: "±×¸®ÆùÀÇ ¾Ë",
			unidentifiedResourceName: "\xbf\xeb\xb8\xcd\xc7\xd1\xc0\xc7\xc1\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ ±×¸®ÆùÀÇ ¾Ë.",
				"±×¸®Æù ¸ðÀÚ, ¹«±â 9Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 9Á¦·Ã º¸Àå±Ç, ÀÎÃ¦Æ® ¼Ò°³Àå, ÇÇ¹¯Àº ³ª¹µ°¡Áö, ¸¶·Â ±êµç Ä«µåÃ¸ µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "±×¸®ÆùÀÇ ¾Ë",
			identifiedResourceName: "\xbf\xeb\xb8\xcd\xc7\xd1\xc0\xc7\xc1\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ ±×¸®ÆùÀÇ ¾Ë.",
				"±×¸®Æù ¸ðÀÚ, ¹«±â 9Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 9Á¦·Ã º¸Àå±Ç, ÀÎÃ¦Æ® ¼Ò°³Àå, ÇÇ¹¯Àº ³ª¹µ°¡Áö, ¸¶·Â ±êµç Ä«µåÃ¸ µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12690: {
			unidentifiedDisplayName: "Headgear Card Album",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"An album which has only headgear class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			identifiedDisplayName: "Headgear Card Album",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"An album which has only headgear class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12691: {
			unidentifiedDisplayName: "Armor Card Album",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xb1\xee\xb8\xc1",
			unidentifiedDescriptionName: [
				"An album which has only Armor class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			identifiedDisplayName: "Armor Card Album",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xb1\xee\xb8\xc1",
			identifiedDescriptionName: [
				"An album which has only Armor class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12692: {
			unidentifiedDisplayName: "Shield Card Album",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xb0\xa5\xbb\xf6",
			unidentifiedDescriptionName: [
				"An album which has only Shield class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			identifiedDisplayName: "Shield Card Album",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xb0\xa5\xbb\xf6",
			identifiedDescriptionName: [
				"An album which has only Shield class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12693: {
			unidentifiedDisplayName: "Garment Card Album",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xc6\xc4\xb6\xfb",
			unidentifiedDescriptionName: [
				"An album which has only Robe class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			identifiedDisplayName: "Garment Card Album",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xc6\xc4\xb6\xfb",
			identifiedDescriptionName: [
				"An album which has only Robe class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12694: {
			unidentifiedDisplayName: "Shoes Card Album",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xc3\xca\xb7\xcf",
			unidentifiedDescriptionName: [
				"An album which has only Shoes class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			identifiedDisplayName: "Shoes Card Album",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xc3\xca\xb7\xcf",
			identifiedDescriptionName: [
				"An album which has only Shoes class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12695: {
			unidentifiedDisplayName: "Accessory Card Album",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"An album which has only Accessory class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			identifiedDisplayName: "Accessory Card Album",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"An album which has only Accessory class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12696: {
			unidentifiedDisplayName: "RWC Celebration Firecracker",
			unidentifiedResourceName: "\xc6\xf8\xc1\xd7",
			unidentifiedDescriptionName: [
				"a firework to celebrate 2011 RWC event. when you fire it, you will feel exited for 10 sec!",
				"Weight : ^7777772^000000",
			],
			identifiedDisplayName: "RWC Celebration Firecracker",
			identifiedResourceName: "\xc6\xf8\xc1\xd7",
			identifiedDescriptionName: [
				"a firework to celebrate 2011 RWC event. when you fire it, you will feel exited for 10 sec!",
				"Weight : ^7777772^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12697: {
			unidentifiedDisplayName: "RWC Celebration Firecracker",
			unidentifiedResourceName: "\xc6\xf8\xc1\xd7",
			unidentifiedDescriptionName: [
				"a firework to celebrate 2011 RWC event. when you fire it, you will feel exited for 10 sec!",
				"Weight : ^7777772^000000",
			],
			identifiedDisplayName: "RWC Celebration Firecracker",
			identifiedResourceName: "\xc6\xf8\xc1\xd7",
			identifiedDescriptionName: [
				"a firework to celebrate 2011 RWC event. when you fire it, you will feel exited for 10 sec!",
				"Weight : ^7777772^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12698: {
			unidentifiedDisplayName: "Weapon Card Album",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"An album which has only Weapon class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			identifiedDisplayName: "Weapon Card Album",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"An album which has only Weapon class card on it. this old card album seems to have mysterious power.",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12699: {
			unidentifiedDisplayName: "Tikbalang Harness",
			unidentifiedResourceName: "\xba\xa7\xc6\xae",
			unidentifiedDescriptionName: [
				"Special belt made to control Tikbalang as a servant. Be careful since Tikbalang will struggle violently when used.",
				"Type : ^777777Taming Item^000000",
				"Weight : ^7777775^000000",
			],
			identifiedDisplayName: "Tikbalang Harness",
			identifiedResourceName: "\xba\xa7\xc6\xae",
			identifiedDescriptionName: [
				"Special belt made to control Tikbalang as a servant. Be careful since Tikbalang will struggle violently when used.",
				"Type : ^777777Taming Item^000000",
				"Weight : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12700: {
			unidentifiedDisplayName: "Inside-out Shirt",
			unidentifiedResourceName: "\xb5\xda\xc1\xfd\xbe\xee\xc1\xf8\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Common shirt turned inside out. Used to break Tikbalang's curse that makes people get lost.",
				"Can warp back to the 'Port Malaya' village when used directly.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Inside-out Shirt",
			identifiedResourceName: "\xb5\xda\xc1\xfd\xbe\xee\xc1\xf8\xbc\xc5\xc3\xf7",
			identifiedDescriptionName: [
				"Common shirt turned inside out. Used to break Tikbalang's curse that makes people get lost.",
				"Can warp back to the 'Port Malaya' village when used directly.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12701: {
			unidentifiedDisplayName: "Old Blue Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A mysterious blue box that seems to hold something inside, but you'll have to open it to find out.",
				"It contains Wii Raffle Ticket,Divx Player Raffle Ticket,iPod Nano Raffle Ticket.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Old Blue Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A mysterious blue box that seems to hold something inside, but you'll have to open it to find out.",
				"It contains Wii Raffle Ticket,Divx Player Raffle Ticket,iPod Nano Raffle Ticket.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12702: {
			unidentifiedDisplayName: "Old Navy Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A mysterious blue box that seems to hold something inside, but you'll have to open it to find out.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Old Navy Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A mysterious blue box that seems to hold something inside, but you'll have to open it to find out.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12703: {
			unidentifiedDisplayName: "Holy Egg",
			unidentifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xbe\xcb",
			unidentifiedDescriptionName: [
				"The egg of sanctity. There is something important with it if the egg hatches.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Holy Egg",
			identifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xbe\xcb",
			identifiedDescriptionName: [
				"The egg of sanctity. There is something important with it if the egg hatches.",
				"^ffffff_^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12704: {
			unidentifiedDisplayName: "Elixir of Life",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				"A pill made from precious herbs and it was believed to be able to prolong the life of the user.",
				"^0000ffRecover full HP^000000",
				"Required Level :^777777 85^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elixir of Life",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				"A pill made from precious herbs and it was believed to be able to prolong the life of the user.",
				"^0000ffRecover full HP^000000",
				"Required Level :^777777 85^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12705: {
			unidentifiedDisplayName: "Noble Nameplate",
			unidentifiedResourceName: "\xb1\xdd\xb8\xf1\xb0\xc9\xc0\xcc",
			unidentifiedDescriptionName: [
				"An emblem given by the Emperor. Use it; your battle experience rate will increase for a certain period.",
				"You will gain double experience for 30 minutes by using it.",
				"Required Level :^777777 90^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Noble Nameplate",
			identifiedResourceName: "\xb1\xdd\xb8\xf1\xb0\xc9\xc0\xcc",
			identifiedDescriptionName: [
				"An emblem given by the Emperor. Use it; your battle experience rate will increase for a certain period.",
				"You will gain double experience for 30 minutes by using it.",
				"Required Level :^777777 90^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12706: {
			unidentifiedDisplayName: "Fortune Cookie",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"Cookie that contains a note of fortune. It is said that the note is used to tell your fortune.",
				"Provied effect of Cast ^008800Level 5 Gloria^000000 when used.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fortune Cookie",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"Cookie that contains a note of fortune. It is said that the note is used to tell your fortune.",
				"Provied effect of Cast ^008800Level 5 Gloria^000000 when used.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12707: {
			unidentifiedDisplayName: "Fortune Cookie",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"Cookie that contains a note of fortune. It is said that the note is used to tell your fortune.",
				"Provide effect of Cast ^008800Level 1 Magnificat^000000 when used.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fortune Cookie",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"Cookie that contains a note of fortune. It is said that the note is used to tell your fortune.",
				"Provide effect of Cast ^008800Level 1 Magnificat^000000 when used.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12708: {
			unidentifiedDisplayName: "Fortune Cookie",
			unidentifiedResourceName: "\xbf\xf9\xba\xb4",
			unidentifiedDescriptionName: [
				"Cookie that contains a note of fortune. It is said that the note is used to tell your fortune.",
				"Provide effect of Cast ^008800Level 3 Impositio Manus^000000 when used.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Fortune Cookie",
			identifiedResourceName: "\xbf\xf9\xba\xb4",
			identifiedDescriptionName: [
				"Cookie that contains a note of fortune. It is said that the note is used to tell your fortune.",
				"Provide effect of Cast ^008800Level 3 Impositio Manus^000000 when used.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12709: {
			unidentifiedDisplayName: "Guyak Candy",
			unidentifiedResourceName: "\xb1\xb8\xbe\xe0\xbb\xe7\xc5\xc1",
			unidentifiedDescriptionName: [
				"Candy that made from Guyak. Tasty candy that is sweet and sour.",
				"^000088Recover HP and SP by 30%^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			identifiedDisplayName: "Guyak Candy",
			identifiedResourceName: "\xb1\xb8\xbe\xe0\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"Candy that made from Guyak. Tasty candy that is sweet and sour.",
				"^000088Recover HP and SP by 30%^000000.",
				"^ffffff_^000000",
				"Weight :^777777 15^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12710: {
			unidentifiedDisplayName: "Guyak Pudding",
			unidentifiedResourceName: "\xb1\xb8\xbe\xe0\xc7\xaa\xb5\xf9",
			unidentifiedDescriptionName: [
				"Once eat the pudding while it's cold, it soothes summer heat for a while.",
				"Increases Movement Speed 5 minutes for 2 period of the character.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Guyak Pudding",
			identifiedResourceName: "\xb1\xb8\xbe\xe0\xc7\xaa\xb5\xf9",
			identifiedDescriptionName: [
				"Once eat the pudding while it's cold, it soothes summer heat for a while.",
				"Increases Movement Speed 5 minutes for 2 period of the character.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12711: {
			unidentifiedDisplayName: "Pretzel",
			unidentifiedResourceName: "\xba\xea\xb8\xae\xc1\xa9\x5f",
			unidentifiedDescriptionName: [
				"A special snack which you can have in Midgard party.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Pretzel",
			identifiedResourceName: "\xba\xea\xb8\xae\xc1\xa9\x5f",
			identifiedDescriptionName: [
				"A special snack which you can have in Midgard party.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12712: {
			unidentifiedDisplayName: "Green Beer",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbf\xa1\xc0\xcf",
			unidentifiedDescriptionName: [
				"Cool green beer brewed in Hugel Moutainous area. It will freezes your soul.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Green Beer",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbf\xa1\xc0\xcf",
			identifiedDescriptionName: [
				"Cool green beer brewed in Hugel Moutainous area. It will freezes your soul.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12713: {
			unidentifiedDisplayName: "Monster Extract",
			unidentifiedResourceName: "\xbe\xee\xb8\xd3\xb4\xcf\xc0\xc7\xbe\xc7\xb8\xf9",
			unidentifiedDescriptionName: [
				"A crystal that glares fearfully. If the one has a courage to break it, it shall grant the power of monster to the one.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Monster Extract",
			identifiedResourceName: "\xbe\xee\xb8\xd3\xb4\xcf\xc0\xc7\xbe\xc7\xb8\xf9",
			identifiedDescriptionName: [
				"A crystal that glares fearfully. If the one has a courage to break it, it shall grant the power of monster to the one.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12714: {
			unidentifiedDisplayName: "Easter Scroll",
			unidentifiedResourceName: "\xc2\xf5\xbe\xee\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"A scroll which has the secrets on Bonguns Ability.",
				"If you're able to read it, you will be able to get back Bonguns Item.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Easter Scroll",
			identifiedResourceName: "\xc2\xf5\xbe\xee\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll which has the secrets on Bonguns Ability.",
				"If you're able to read it, you will be able to get back Bonguns Item.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12715: {
			unidentifiedDisplayName: "Black Treasure Chest",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"A chest that seems to contains something extremely valuable.",
				"Certainly the owner of such a prize would do anything to retain it.",
				"This chest will disappear on March 18,2008 as the Leprechaun's magic leaves the world.",
				"^ffffff_^000000",
				"Weight : ^777777 0^000000",
			],
			identifiedDisplayName: "Black Treasure Chest",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"A chest that seems to contains something extremely valuable.",
				"Certainly the owner of such a prize would do anything to retain it.",
				"This chest will disappear on March 18,2008 as the Leprechaun's magic leaves the world.",
				"^ffffff_^000000",
				"Weight : ^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12716: {
			unidentifiedDisplayName: "Indian Rice Cake",
			unidentifiedResourceName: "\xbc\xdb\xc6\xed",
			unidentifiedDescriptionName: [
				"Rice cake that made by Indian rice you will be impressed by its taste.",
				"Recovery HP/SP by 15%.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Indian Rice Cake",
			identifiedResourceName: "\xbc\xdb\xc6\xed",
			identifiedDescriptionName: [
				"Rice cake that made by Indian rice you will be impressed by its taste.",
				"Recovery HP/SP by 15%.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12717: {
			unidentifiedDisplayName: "Paralysis",
			unidentifiedResourceName: "\xb5\xb6\x5f\xb0\xa8\xb0\xa2\xb8\xb6\xba\xf1",
			unidentifiedDescriptionName: [
				"A paralyzing poison.",
				"For 300 seconds, decreases attack speed by -10%, evasion -10%, and movement speed by 1/2.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Paralysis",
			identifiedResourceName: "\xb5\xb6\x5f\xb0\xa8\xb0\xa2\xb8\xb6\xba\xf1",
			identifiedDescriptionName: [
				"A paralyzing poison.",
				"For 300 seconds, decreases attack speed by -10%, evasion -10%, and movement speed by 1/2.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12718: {
			unidentifiedDisplayName: "Leech End",
			unidentifiedResourceName: "\xb5\xb6\x5f\xb0\xc5\xb8\xd3\xb8\xae",
			unidentifiedDescriptionName: [
				"A poison created with leeches.",
				"For 300 seconds, drains HP every second.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Leech End",
			identifiedResourceName: "\xb5\xb6\x5f\xb0\xc5\xb8\xd3\xb8\xae",
			identifiedDescriptionName: [
				"A poison created with leeches.",
				"For 300 seconds, drains HP every second.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12719: {
			unidentifiedDisplayName: "Oblivion Curse",
			unidentifiedResourceName: "\xb5\xb6\x5f\xb8\xc1\xb0\xa2\xc0\xc7\xc0\xe7",
			unidentifiedDescriptionName: [
				"A poison that causes loss of memory.",
				"For 300 seconds causes the target to suffer from amnesia. While in amnesia it blocks natural SP recovery, and cannot be canceled via lex divinia or green potion.",
				"While in this status you cannot use any skills.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Oblivion Curse",
			identifiedResourceName: "\xb5\xb6\x5f\xb8\xc1\xb0\xa2\xc0\xc7\xc0\xe7",
			identifiedDescriptionName: [
				"A poison that causes loss of memory.",
				"For 300 seconds causes the target to suffer from amnesia. While in amnesia it blocks natural SP recovery, and cannot be canceled via lex divinia or green potion.",
				"While in this status you cannot use any skills.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12720: {
			unidentifiedDisplayName: "Death Hurt",
			unidentifiedResourceName: "\xb5\xb6\x5f\xbb\xf3\xc3\xb3\xbf\xc0\xbf\xb0",
			unidentifiedDescriptionName: [
				"A poison that slows healing.",
				"For 300 seconds, drops the effectiveness of recovery on the target by 20%.",
				"This effect stacks with critical wounds.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Death Hurt",
			identifiedResourceName: "\xb5\xb6\x5f\xbb\xf3\xc3\xb3\xbf\xc0\xbf\xb0",
			identifiedDescriptionName: [
				"A poison that slows healing.",
				"For 300 seconds, drops the effectiveness of recovery on the target by 20%.",
				"This effect stacks with critical wounds.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12721: {
			unidentifiedDisplayName: "Toxin",
			unidentifiedResourceName: "\xb5\xb6\x5f\xbd\xc5\xb0\xe6\xb8\xb6\xba\xf1",
			unidentifiedDescriptionName: [
				"A nerve paralyzing poison.",
				"For 300 seconds, every 3 seconds it causes the damage motion on your character, interrupting any skills. Skills not interrupted do not receive the effects of your weapon or cards.",
				"Every 10 seconds will lose 3% of the SP.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Toxin",
			identifiedResourceName: "\xb5\xb6\x5f\xbd\xc5\xb0\xe6\xb8\xb6\xba\xf1",
			identifiedDescriptionName: [
				"A nerve paralyzing poison.",
				"For 300 seconds, every 3 seconds it causes the damage motion on your character, interrupting any skills. Skills not interrupted do not receive the effects of your weapon or cards.",
				"Every 10 seconds will lose 3% of the SP.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12722: {
			unidentifiedDisplayName: "Pyrexia",
			unidentifiedResourceName: "\xb5\xb6\x5f\xbf\xad\xba\xb4",
			unidentifiedDescriptionName: [
				"A poison that causes a high fever.",
				"For 300 seconds, causes incurable blindness and causes the player to see illusions. Sometimes causes 100 damage which can interupt casting of skills.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Pyrexia",
			identifiedResourceName: "\xb5\xb6\x5f\xbf\xad\xba\xb4",
			identifiedDescriptionName: [
				"A poison that causes a high fever.",
				"For 300 seconds, causes incurable blindness and causes the player to see illusions. Sometimes causes 100 damage which can interupt casting of skills.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12723: {
			unidentifiedDisplayName: "Magic Mushroom",
			unidentifiedResourceName: "\xb5\xb6\x5f\xbf\xf4\xc0\xbd\xb9\xf6\xbc\xb8",
			unidentifiedDescriptionName: [
				"A poison made with the dillusional effects of magic mushrooms.",
				"For 300 seconds, every 4 seconds you lose 3% of your HP and involuntarially cast a random skill.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Magic Mushroom",
			identifiedResourceName: "\xb5\xb6\x5f\xbf\xf4\xc0\xbd\xb9\xf6\xbc\xb8",
			identifiedDescriptionName: [
				"A poison made with the dillusional effects of magic mushrooms.",
				"For 300 seconds, every 4 seconds you lose 3% of your HP and involuntarially cast a random skill.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12724: {
			unidentifiedDisplayName: "Venom Bleed",
			unidentifiedResourceName: "\xb5\xb6\x5f\xc3\xbc\xb7\xc2\xc0\xfa\xc7\xcf",
			unidentifiedDescriptionName: [
				"A poison that lowers the strength of a person.",
				"For 15 seconds, reduces MaxHP by 15%.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Venom Bleed",
			identifiedResourceName: "\xb5\xb6\x5f\xc3\xbc\xb7\xc2\xc0\xfa\xc7\xcf",
			identifiedDescriptionName: [
				"A poison that lowers the strength of a person.",
				"For 15 seconds, reduces MaxHP by 15%.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12725: {
			unidentifiedDisplayName: "Nosiege Runestone",
			unidentifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xb3\xeb\xbe\xbe\xc1\xee",
			unidentifiedDescriptionName: [
				"When used, automatically cured of all debuffs and recover 25% of max HP.",
				"Then, for the next 10 seconds you will be immune to all debuff and status ailments. ",
				"There are two exceptions,you can still be inflicted with ^880000Stun, Freezing^000000 status.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Nosiege Runestone",
			identifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xb3\xeb\xbe\xbe\xc1\xee",
			identifiedDescriptionName: [
				"When used, automatically cured of all debuffs and recover 25% of max HP.",
				"Then, for the next 10 seconds you will be immune to all debuff and status ailments.",
				"There are two exceptions,you can still be inflicted with ^880000Stun, Freezing^000000 status.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12726: {
			unidentifiedDisplayName: "Rhydo Runestone",
			unidentifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xb6\xf3\xc0\xcc\xb5\xb5",
			unidentifiedDescriptionName: [
				"You use the entire power of a weapon to strike a target with full force.",
				"When used, it will break your weapon.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Rhydo Runestone",
			identifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xb6\xf3\xc0\xcc\xb5\xb5",
			identifiedDescriptionName: [
				"You use the entire power of a weapon to strike a target with full force.",
				"When used, it will break your weapon.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12727: {
			unidentifiedDisplayName: "Verkana Runestone",
			unidentifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xba\xa3\xb8\xa3\xc4\xab\xb3\xaa",
			unidentifiedDescriptionName: [
				"Summons randomly 2-4 magic shields. These shields can absorb physical and magical attacks and have 1000HP each.",
				"Millennium Shields can block hits regardless of their remaining HP.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Verkana Runestone",
			identifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xba\xa3\xb8\xa3\xc4\xab\xb3\xaa",
			identifiedDescriptionName: [
				"Summons randomly 2-4 magic shields. These shields can absorb physical and magical attacks and have 1000HP each.",
				"Millennium Shields can block hits regardless of their remaining HP.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12728: {
			unidentifiedDisplayName: "Isia Runestone",
			unidentifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xbe\xc6\xc0\xcc\xbb\xfe",
			unidentifiedDescriptionName: [
				"Increases 1.5 times HP recovery from potion for 1 minute.",
				"Your natural SP recovery is stopped and SP recovery from potion is reduced by 50%.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Isia Runestone",
			identifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xbe\xc6\xc0\xcc\xbb\xfe",
			identifiedDescriptionName: [
				"Increases 1.5 times HP recovery from potion for 1 minute.",
				"Your natural SP recovery is stopped and SP recovery from potion is reduced by 50%.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12729: {
			unidentifiedDisplayName: "Asir Runestone",
			unidentifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xbf\xa1\xc0\xcc\xbd\xc3\xb8\xa3",
			unidentifiedDescriptionName: [
				"Increases ATK youself and your party members for 3 minutes.",
				"When used, you gain an amount of attack power equal to 7 times the number of players in your party,",
				"and each of your party members receives 1/4 of the total bonus.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Asir Runestone",
			identifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xbf\xa1\xc0\xcc\xbd\xc3\xb8\xa3",
			identifiedDescriptionName: [
				"Increases ATK youself and your party members for 3 minutes.",
				"When used, you gain an amount of attack power equal to 7 times the number of players in your party,",
				"and each of your party members receives 1/4 of the total bonus.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12730: {
			unidentifiedDisplayName: "Urj Runestone",
			unidentifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xbf\xec\xb8\xa3\xc1\xee",
			unidentifiedDescriptionName: [
				"Recover 60 SP every 10 seconds for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Urj Runestone",
			identifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xbf\xec\xb8\xa3\xc1\xee",
			identifiedDescriptionName: [
				"Recover 60 SP every 10 seconds for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12731: {
			unidentifiedDisplayName: "Turisus Runestone",
			unidentifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xc6\xa9\xb8\xae\xbc\xad\xbd\xba",
			unidentifiedDescriptionName: [
				"STR + 30 for 4 minutes.",
				"Adds a chance 3 times damage with your blow when dealing non skill short range physical damage.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Turisus Runestone",
			identifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xc6\xa9\xb8\xae\xbc\xad\xbd\xba",
			identifiedDescriptionName: [
				"STR + 30 for 4 minutes.",
				"Adds a chance 3 times damage with your blow when dealing non skill short range physical damage.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12732: {
			unidentifiedDisplayName: "Pertz Runestone",
			unidentifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xc6\xe4\xb8\xa3\xbe\xb2",
			unidentifiedDescriptionName: [
				"Strike all targets in a 7x7 area around yourself for physical damage, and knock them away from yourself.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Pertz Runestone",
			identifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xc6\xe4\xb8\xa3\xbe\xb2",
			identifiedDescriptionName: [
				"Strike all targets in a 7x7 area around yourself for physical damage, and knock them away from yourself.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12733: {
			unidentifiedDisplayName: "Hagalas Runestone",
			unidentifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xc7\xcf\xb0\xa5\xb6\xf3\xc1\xee",
			unidentifiedDescriptionName: [
				"For 3 minutes, your skin is hardened and you gain a chance to break the weapons of targets that strike you.",
				"When you cast this skill it will consume 25% of your HP, and this value will become the endurance of the skill.",
				"When this value reaches zero, the skill ends. When the effect is used against a monster, they will receive ATK -25% for 10 seconds.",
				"The effect does not work on boss monsters.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Hagalas Runestone",
			identifiedResourceName: "\xb7\xe9\xbd\xba\xc5\xe6\x5f\xc7\xcf\xb0\xa5\xb6\xf3\xc1\xee",
			identifiedDescriptionName: [
				"For 3 minutes, your skin is hardened and you gain a chance to break the weapons of targets that strike you.",
				"When you cast this skill it will consume 25% of your HP, and this value will become the endurance of the skill.",
				"When this value reaches zero, the skill ends. When the effect is used against a monster, they will receive ATK -25% for 10 seconds.",
				"The effect does not work on boss monsters.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12734: {
			unidentifiedDisplayName: "Quality Rough Runestone",
			unidentifiedResourceName: "\xb7\xe9\xc0\xc7\xbf\xf8\xbc\xae\x5f\xb0\xed\xb1\xde",
			unidentifiedDescriptionName: [
				"A rune gemstone of high class color.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Quality Rough Runestone",
			identifiedResourceName: "\xb7\xe9\xc0\xc7\xbf\xf8\xbc\xae\x5f\xb0\xed\xb1\xde",
			identifiedDescriptionName: [
				"A rune gemstone of high class color.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12735: {
			unidentifiedDisplayName: "Ancient Rough Runestone",
			unidentifiedResourceName: "\xb7\xe9\xc0\xc7\xbf\xf8\xbc\xae\x5f\xb0\xed\xb4\xeb",
			unidentifiedDescriptionName: [
				"A rune gemstone which the work in ancient times.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Ancient Rough Runestone",
			identifiedResourceName: "\xb7\xe9\xc0\xc7\xbf\xf8\xbc\xae\x5f\xb0\xed\xb4\xeb",
			identifiedDescriptionName: [
				"A rune gemstone which the work in ancient times.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12736: {
			unidentifiedDisplayName: "Mystic Rough Runestone",
			unidentifiedResourceName: "\xb7\xe9\xc0\xc7\xbf\xf8\xbc\xae\x5f\xbd\xc5\xba\xf1",
			unidentifiedDescriptionName: [
				"A rune gemstone which has the impression color.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Mystic Rough Runestone",
			identifiedResourceName: "\xb7\xe9\xc0\xc7\xbf\xf8\xbc\xae\x5f\xbd\xc5\xba\xf1",
			identifiedDescriptionName: [
				"A rune gemstone which has the impression color.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12737: {
			unidentifiedDisplayName: "General Rough Runestone",
			unidentifiedResourceName: "\xb7\xe9\xc0\xc7\xbf\xf8\xbc\xae\x5f\xc0\xcf\xb9\xdd",
			unidentifiedDescriptionName: [
				"A rune gemstone which is used generally.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "General Rough Runestone",
			identifiedResourceName: "\xb7\xe9\xc0\xc7\xbf\xf8\xbc\xae\x5f\xc0\xcf\xb9\xdd",
			identifiedDescriptionName: [
				"A rune gemstone which is used generally.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12738: {
			unidentifiedDisplayName: "Rare Rough Runestone",
			unidentifiedResourceName: "\xb7\xe9\xc0\xc7\xbf\xf8\xbc\xae\x5f\xc8\xf1\xb1\xcd",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Rare Rough Runestone",
			identifiedResourceName: "\xb7\xe9\xc0\xc7\xbf\xf8\xbc\xae\x5f\xc8\xf1\xb1\xcd",
			identifiedDescriptionName: [
				"A rune stone that is very rare.",
				"^ffffff_^000000",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12739: {
			unidentifiedDisplayName: "Snow Flower",
			unidentifiedResourceName: "\xb4\xab\xc0\xc7\xb0\xe1\xc1\xa4",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Snow Flower",
			identifiedResourceName: "\xb4\xab\xc0\xc7\xb0\xe1\xc1\xa4",
			identifiedDescriptionName: [
				"The rare flower only available around Christmas. Although it look cool, but it can recover HP/SP.",
				"^ffffff_^000000",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12740: {
			unidentifiedDisplayName: "Amplification Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Amplification Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12741: {
			unidentifiedDisplayName: "Intellect Amplification Scroll",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Intellect Amplification Scroll",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12742: {
			unidentifiedDisplayName: "Valentine Gift Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box containing a ring which is an exchanging gift for Valentine's Day.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Valentine Gift Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box containing a ring which is an exchanging gift for Valentine's Day.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12743: {
			unidentifiedDisplayName: "Valentine Gift Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box containing a ring which is an exchanging gift for Valentine's Day.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Valentine Gift Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box containing a ring which is an exchanging gift for Valentine's Day.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12744: {
			unidentifiedDisplayName: "Chocolate Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			unidentifiedDescriptionName: [
				"A sweet chocolate box that is tastefully decorated.",
				"Surely all the best wishes are in it.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Chocolate Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			identifiedDescriptionName: [
				"A sweet chocolate box that is tastefully decorated.",
				"Surely all the best wishes are in it.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12745: {
			unidentifiedDisplayName: "Vivid Notation",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A prize that is given to the hottest character who is the winner of the Valentine's Day event.",
				"^ffffff_^000000",
				"A box that contains 1 \"Valentine's Emblem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Vivid Notation",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A prize that is given to the hottest character who is the winner of the Valentine's Day event.",
				"^ffffff_^000000",
				"A box that contains 1 \"Valentine's Emblem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12746: {
			unidentifiedDisplayName: "Buster Scroll",
			unidentifiedResourceName: "\xb4\xab\xc0\xc7\xb0\xe1\xc1\xa4",
			unidentifiedDescriptionName: [
				"When consumed, you have the choice of receiving moderate HP & SP restoration, Lv. 10 Endure, Restore all SP or returning to your save point.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Buster Scroll",
			identifiedResourceName: "\xb4\xab\xc0\xc7\xb0\xe1\xc1\xa4",
			identifiedDescriptionName: [
				"Use this item to increase your physical damage against Angel, Holy, and Boss monsters by 5% for 30 minutes. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12747: {
			unidentifiedDisplayName: "Royal Scroll",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			unidentifiedDescriptionName: [
				"Use this item to reduce Boss monsters damage by 5% for 30 minutes. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Royal Scroll",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			identifiedDescriptionName: [
				"Use this item to reduce Boss monsters damage by 5% for 30 minutes. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12748: {
			unidentifiedDisplayName: "Immune Scroll",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			unidentifiedDescriptionName: [
				"Use this item to reduce Neutral damage by 5% for 30 minutes. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Immune Scroll",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			identifiedDescriptionName: [
				"Use this item to reduce Neutral damage by 5% for 30 minutes. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12749: {
			unidentifiedDisplayName: "Mystic Scroll",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			unidentifiedDescriptionName: [
				"Use this item to increase your magical damage by 5% and decrease casting time by 5%. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Mystic Scroll",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			identifiedDescriptionName: [
				"Use this item to increase your magical damage by 5% and decrease casting time by 5%. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12750: {
			unidentifiedDisplayName: "Battle Scroll",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			unidentifiedDescriptionName: [
				"Use this item to increase your physical damage by 5% and increase ASPD by 5% for 30 minutes. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Battle Scroll",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			identifiedDescriptionName: [
				"Use this item to increase your physical damage by 5% and increase ASPD by 5% for 30 minutes. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12751: {
			unidentifiedDisplayName: "Armor Scroll",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			unidentifiedDescriptionName: [
				"Use this item to increase your Def by 5 and Flee by 10 for 30 minutes. This effect persists through death. ",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Armor Scroll",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			identifiedDescriptionName: [
				"Use this item to increase your Def by 5 and Flee by 10 for 30 minutes. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12752: {
			unidentifiedDisplayName: "Prayer Scroll",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			unidentifiedDescriptionName: [
				"Use this item to increase your MDef by 5 and Perfect Dodge by 10 for 30 minutes. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Prayer Scroll",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			identifiedDescriptionName: [
				"Use this item to increase your MDef by 5 and Perfect Dodge by 10 for 30 minutes. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12753: {
			unidentifiedDisplayName: "Soul Scroll",
			unidentifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			unidentifiedDescriptionName: [
				"Use this item to increase your MaxHP by 5% and MaxSP by 5% for 30 minutes. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Soul Scroll",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xb8\xe0\xc5\xbb\x5f\xc1\xf6",
			identifiedDescriptionName: [
				"Use this item to increase your MaxHP by 5% and MaxSP by 5% for 30 minutes. This effect persists through death.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12754: {
			unidentifiedDisplayName: "Chinese Pastel",
			unidentifiedResourceName: "\xb8\xb8\xb5\xce",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Pastel",
			identifiedResourceName: "\xb8\xb8\xb5\xce",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12755: {
			unidentifiedDisplayName: "Chinese Fireworks",
			unidentifiedResourceName: "\xb4\xeb\xb8\xb8\xc6\xf8\xc1\xd7",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese Fireworks",
			identifiedResourceName: "\xb4\xeb\xb8\xb8\xc6\xf8\xc1\xd7",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12756: {
			unidentifiedDisplayName: "Chinese New Year Envelope",
			unidentifiedResourceName: "\xbd\xc5\xb3\xe2\xbc\xb1\xb9\xb0\xba\xc0\xc5\xf5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chinese New Year Envelope",
			identifiedResourceName: "\xbd\xc5\xb3\xe2\xbc\xb1\xb9\xb0\xba\xc0\xc5\xf5",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		12760: {
			unidentifiedDisplayName: "Buzzy Bol Mint",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xb9\xf6\xba\xed\xb2\xad",
			unidentifiedDescriptionName: [
				"¼Ê¶« ·ÀÀÖ»Ù. ·ÀÀ´ µ·¿í ÀÖ»Â º°±È »õ ¿­ÇØÁö»Â »À¼¦ÀÌ ºç»Ù. [20µÐ º°±È HGI 10 Áõ¿¡]",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Buzzy Bol Mint",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xb9\xf6\xba\xed\xb2\xad",
			identifiedDescriptionName: [
				"¼Ê¶« ·ÀÀÖ»Ù. ·ÀÀ´ µ·¿í ÀÖ»Â º°±È »õ ¿­ÇØÁö»Â »À¼¦ÀÌ ºç»Ù. [20µÐ º°±È HGI 10 Áõ¿¡]",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12761: {
			unidentifiedDisplayName: "Buzzy Bol Lemon",
			unidentifiedResourceName: "\xb3\xeb\xb6\xf5\xb9\xf6\xba\xed\xb2\xad",
			unidentifiedDescriptionName: [
				"¼Ê¶« ·ÀÀÖ»Ù. ·ÀÀ´ µ·¿í ÀÖ»Â º°±È »õ ¿­ÇØÁö»Â »À¼¦ÀÌ ºç»Ù. [20µÐ º°±È RMG 10 Áõ¿¡]",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Buzzy Bol Lemon",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xb9\xf6\xba\xed\xb2\xad",
			identifiedDescriptionName: [
				"¼Ê¶« ·ÀÀÖ»Ù. ·ÀÀ´ µ·¿í ÀÖ»Â º°±È »õ ¿­ÇØÁö»Â »À¼¦ÀÌ ºç»Ù. [20µÐ º°±È RMG 10 Áõ¿¡]",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12762: {
			unidentifiedDisplayName: "Buzzy Bol Orange",
			unidentifiedResourceName: "\xc1\xd6\xc8\xab\xb9\xf6\xba\xed\xb2\xad",
			unidentifiedDescriptionName: [
				"¼Ê¶« ·ÀÀÖ»Ù. ·ÀÀ´ µ·¿í ÀÖ»Â º°±È »õ ¿­ÇØÁö»Â »À¼¦ÀÌ ºç»Ù. [20µÐ º°±È WVC 10 Áõ¿¡]",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Buzzy Bol Orange",
			identifiedResourceName: "\xc1\xd6\xc8\xab\xb9\xf6\xba\xed\xb2\xad",
			identifiedDescriptionName: [
				"¼Ê¶« ·ÀÀÖ»Ù. ·ÀÀ´ µ·¿í ÀÖ»Â º°±È »õ ¿­ÇØÁö»Â »À¼¦ÀÌ ºç»Ù. [20µÐ º°±È WVC 10 Áõ¿¡]",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12763: {
			unidentifiedDisplayName: "Buzzy Bol Strawberry",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xb9\xf6\xba\xed\xb2\xad",
			unidentifiedDescriptionName: [
				"¼Ê¶« ·ÀÀÖ»Ù. ·ÀÀ´ µ·¿í ÀÖ»Â º°±È »õ ¿­ÇØÁö»Â »À¼¦ÀÌ ºç»Ù. [20µÐ º°±È ZTR 10 Áõ¿¡]",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Buzzy Bol Strawberry",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xb9\xf6\xba\xed\xb2\xad",
			identifiedDescriptionName: [
				"¼Ê¶« ·ÀÀÖ»Ù. ·ÀÀ´ µ·¿í ÀÖ»Â º°±È »õ ¿­ÇØÁö»Â »À¼¦ÀÌ ºç»Ù. [20µÐ º°±È ZTR 10 Áõ¿¡]",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12764: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Æ¯µ¿ÇÑ ¼¯°¡·· ±òÀ´ ³ö ÀÖ»Â ´óÀÚ.",
				"´óÀÚ·¦ ¿¼µÀÇÏ·é ¹æÇÏÁö ±ÊÀµ ¼î¹ó°òÀÌ Ã£±Æ°Â»Ù.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Æ¯µ¿ÇÑ ¼¯°¡·· ±òÀ´ ³ö ÀÖ»Â ´óÀÚ.",
				"´óÀÚ·¦ ¿¼µÀÇÏ·é ¹æÇÏÁö ±ÊÀµ ¼î¹ó°òÀÌ Ã£±Æ°Â»Ù.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12765: {
			unidentifiedDisplayName: "Helm Of Summer Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"°©·§ÀÇ ¾â´ç¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"30ÀÏ¿£ ´ç°ë ¿¡»É.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Helm Of Summer Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box contains 1 Helm Of Summer in it.",
				"30 days Rental Item.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12766: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			unidentifiedDescriptionName: [
				"´ç°ëÇÏ·é 30µÐ¿£ Àâ ¿æÇèÄ¡¿¡ 25% Áõ¿¡ÇÏ»Â ÀüÅõ¾¼¶ü. ÀüÅõ¾¼¶üÀÇ ´õ¸Î°î ÁöÆòÀ´ °­±ú»Ù»Â ÆòÀ´ ¶Þ¿í ÀÖ»Ù.",
				"ÀüÅõ¾¼¶ü¿ú Áßµ¶ ´ç°ë ¿¡»É",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			identifiedDescriptionName: [
				"´ç°ëÇÏ·é 30µÐ¿£ Àâ ¿æÇèÄ¡¿¡ 25% Áõ¿¡ÇÏ»Â ÀüÅõ¾¼¶ü. ÀüÅõ¾¼¶üÀÇ ´õ¸Î°î ÁöÆòÀ´ °­±ú»Ù»Â ÆòÀ´ ¶Þ¿í ÀÖ»Ù.",
				"ÀüÅõ¾¼¶ü¿ú Áßµ¶ ´ç°ë ¿¡»É",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12767: {
			unidentifiedDisplayName: "Worldcup Hat of Passion Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Passion.",
				"1 hour duration.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Worldcup Hat of Passion Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Passion.",
				"1 hour duration.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12768: {
			unidentifiedDisplayName: "Worldcup Hat of Fight Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			unidentifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Fight.",
				"1 hour duration.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Worldcup Hat of Fight Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			identifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Fight.",
				"1 hour duration.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12769: {
			unidentifiedDisplayName: "Worldcup Hat of Victory Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Victory.",
				"1 hour duration.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Worldcup Hat of Victory Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Victory.",
				"1 hour duration.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12770: {
			unidentifiedDisplayName: "Worldcup Hat of Honor Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Honor.",
				"24 hours duration.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Worldcup Hat of Honor Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Honor.",
				"24 hours duration.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12771: {
			unidentifiedDisplayName: "Worldcup Hat of Passion Box¥±",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Passion.",
				"6 hours duration.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Worldcup Hat of Passion Box¥±",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Passion.",
				"6 hours duration.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12772: {
			unidentifiedDisplayName: "Worldcup Hat of Fight Box¥±",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			unidentifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Fight.",
				"6 hours duration.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Worldcup Hat of Fight Box¥±",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			identifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Fight.",
				"6 hours duration.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12773: {
			unidentifiedDisplayName: "Worldcup Hat of Victory Box¥±",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Victory.",
				"6 hours duration.",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Worldcup Hat of Victory Box¥±",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box contains 1 Worldcup Hat of Victory.",
				"6 hours duration.",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12774: {
			unidentifiedDisplayName: "Empty Vial",
			unidentifiedResourceName: "\xba\xf3\xc6\xf7\xbc\xc7\xba\xb4",
			unidentifiedDescriptionName: [
				"A empty bottle looks like perfect for capturing monster 'Shining Plant'.",
				"Weight: ^7777770^000000",
			],
			identifiedDisplayName: "Empty Vial",
			identifiedResourceName: "\xba\xf3\xc6\xf7\xbc\xc7\xba\xb4",
			identifiedDescriptionName: [
				"A empty bottle looks like perfect for capturing monster 'Shining Plant'.",
				"Weight: ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12775: {
			unidentifiedDisplayName: "Greater Agimat of Ancient Spirit",
			unidentifiedResourceName: "\xb0\xed\xb4\xeb\xc1\xa4\xb7\xc9\xc0\xc7\xb4\xeb\xba\xce\xc0\xfb",
			unidentifiedDescriptionName: [
				"Totem with powerful abilities to aggressively fight against demons. Emits powerful, holy energy.",
				"10% increase of physical and magic damage to demon monsters for 20 min.",
				"^ffffff_^000000",
				"Weight : ^77777760^000000",
			],
			identifiedDisplayName: "Greater Agimat of Ancient Spirit",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xc1\xa4\xb7\xc9\xc0\xc7\xb4\xeb\xba\xce\xc0\xfb",
			identifiedDescriptionName: [
				"Totem with powerful abilities to aggressively fight against demons. Emits powerful, holy energy.",
				"10% increase of physical and magic damage to demon monsters for 20 min.",
				"^ffffff_^000000",
				"Weight : ^77777760^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12778: {
			unidentifiedDisplayName: "Bapho Jr Scroll",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"a scroll that can summon moster baphomet junior as mercenary ",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Baphomet Jr Ally Scroll",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"a scroll that can summon moster baphomet junior as mercenary",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12779: {
			unidentifiedDisplayName: "Galapago Scroll",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"a scroll that can sommon monster galapago as mercenary .",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Galapago Scroll",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"a scroll that can sommon monster galapago as mercenary .",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12785: {
			unidentifiedDisplayName: "µå·¡°ïÀÇ ¾Ë",
			unidentifiedResourceName: "\xb1\xba\xbf\xeb\xc1\xf6\xbc\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ µå·¡°ïÀÇ ¾Ë.",
				"µå·¡±º Çï¸§, ¹«±â 9Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 9Á¦·Ã º¸Àå±Ç, ÀÎÃ¦Æ® ¼Ò°³Àå, ÇÇ¹¯Àº ³ª¹µ°¡Áö, ¸¶·Â ±êµç Ä«µåÃ¸, µå·¡°ï °ü·Ã ¿©·¯°¡Áö ¹«±â, Àåºñ µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "µå·¡°ïÀÇ ¾Ë",
			identifiedResourceName: "\xb1\xba\xbf\xeb\xc1\xf6\xbc\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ µå·¡°ïÀÇ ¾Ë.",
				"µå·¡±º Çï¸§, ¹«±â 9Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 9Á¦·Ã º¸Àå±Ç, ÀÎÃ¦Æ® ¼Ò°³Àå, ÇÇ¹¯Àº ³ª¹µ°¡Áö, ¸¶·Â ±êµç Ä«µåÃ¸, µå·¡°ï °ü·Ã ¿©·¯°¡Áö ¹«±â, Àåºñ µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12786: {
			unidentifiedDisplayName: "½½·Ô ÀÌµ¿ Ä«µå",
			unidentifiedResourceName: "\xc1\xb6\xc1\xf7\xbf\xf8\xc0\xc7\xc1\xf5\xc7\xa5",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä³¸¯ÅÍÀÇ ½½·Ô À§Ä¡¸¦ ÀÌµ¿½ÃÅ³ ¼ö ÀÖ´Â Ä«µå. ÀÌ°ÍÀ» »ç¿ëÇÑ Ä³¸¯ÅÍ¿¡ ÇÑÇØ À§Ä¡°¡ º¯°æµÇ´Ï »ç¿ë¿¡ À¯ÀÇÇÏÀÚ.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "½½·Ô ÀÌµ¿ Ä«µå",
			identifiedResourceName: "\xc1\xb6\xc1\xf7\xbf\xf8\xc0\xc7\xc1\xf5\xc7\xa5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä³¸¯ÅÍÀÇ ½½·Ô À§Ä¡¸¦ ÀÌµ¿½ÃÅ³ ¼ö ÀÖ´Â Ä«µå. ÀÌ°ÍÀ» »ç¿ëÇÑ Ä³¸¯ÅÍ¿¡ ÇÑÇØ À§Ä¡°¡ º¯°æµÇ´Ï »ç¿ë¿¡ À¯ÀÇÇÏÀÚ.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12790: {
			unidentifiedDisplayName: "ÀÌ¸§ º¯°æ Ä«µå",
			unidentifiedResourceName: "\xc1\xb6\xc1\xf7\xbf\xf8\xc0\xc7\xc1\xf5\xc7\xa5",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä³¸¯ÅÍÀÇ ÀÌ¸§À» º¯°æÇÒ ¼ö ÀÖ´Â Ä«µå. ÀÌ°ÍÀ» »ç¿ëÇÑ Ä³¸¯ÅÍ¿¡ ÇÑÇØ ÀÌ¸§ÀÌ º¯°æµÇ´Ï »ç¿ë¿¡ À¯ÀÇÇÏÀÚ.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "ÀÌ¸§ º¯°æ Ä«µå",
			identifiedResourceName: "\xc1\xb6\xc1\xf7\xbf\xf8\xc0\xc7\xc1\xf5\xc7\xa5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä³¸¯ÅÍÀÇ ÀÌ¸§À» º¯°æÇÒ ¼ö ÀÖ´Â Ä«µå. ÀÌ°ÍÀ» »ç¿ëÇÑ Ä³¸¯ÅÍ¿¡ ÇÑÇØ ÀÌ¸§ÀÌ º¯°æµÇ´Ï »ç¿ë¿¡ À¯ÀÇÇÏÀÚ.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12795: {
			unidentifiedDisplayName: "2011 RWC ½ºÅ©·Ñ",
			unidentifiedResourceName: "\x52\x57\x43\xc6\xaf\xbc\xf6\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ 2011 RWC ±â³ä ½ºÅ©·Ñ.",
				"°í¾çÀÌ ±Í º£·¹¸ð, »¡°£ »§ ¸ðÀÚ, ¹«±â 8Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 8Á¦·Ã º¸Àå±Ç, ÀÎÃ¦Æ® ¼Ò°³Àå, ÇÇ¹¯Àº ³ª¹µ°¡Áö, ¸¶·Â ±êµç Ä«µåÃ¸ µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "2011 RWC ½ºÅ©·Ñ",
			identifiedResourceName: "\x52\x57\x43\xc6\xaf\xbc\xf6\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ 2011 RWC ±â³ä ½ºÅ©·Ñ.",
				"°í¾çÀÌ ±Í º£·¹¸ð, »¡°£ »§ ¸ðÀÚ, ¹«±â 8Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 8Á¦·Ã º¸Àå±Ç, ÀÎÃ¦Æ® ¼Ò°³Àå, ÇÇ¹¯Àº ³ª¹µ°¡Áö, ¸¶·Â ±êµç Ä«µåÃ¸ µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12796: {
			unidentifiedDisplayName: "·¹µå ºÎ½ºÅÍ",
			unidentifiedResourceName: "\xc5\xc2\xb1\xb9\xc7\xe2\xbc\xf6\x41\x54\x4b",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ã¼³» ¿¡³ÊÁö¸¦ È°¼ºÈ­ ÇÏ¿©, ÀüÅõ¸¦ º¸Á¶ÇØÁÖ´Â ·¹µå ºÎ½ºÅÍ. Ã¼·Â¿¡ ´Ù¼Ò ºÎ´ãÀÌ °¡´Ï ÁÖÀÇ ÇÏÀÚ.",
				"10ºÐ°£ ATK, MATK + 30, °ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄ µô·¹ÀÌ°¨¼Ò 5%), º¯µ¿ Ä³½ºÆÃ 5% °¨¼Ò, MHP, MSP - 10%.",
				"¹°¸®, ¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ÁýÁß·ÂÇâ»ó 3Lv ¹ßµ¿.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "·¹µå ºÎ½ºÅÍ",
			identifiedResourceName: "\xc5\xc2\xb1\xb9\xc7\xe2\xbc\xf6\x41\x54\x4b",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ã¼³» ¿¡³ÊÁö¸¦ È°¼ºÈ­ ÇÏ¿©, ÀüÅõ¸¦ º¸Á¶ÇØÁÖ´Â ·¹µå ºÎ½ºÅÍ. Ã¼·Â¿¡ ´Ù¼Ò ºÎ´ãÀÌ °¡´Ï ÁÖÀÇ ÇÏÀÚ.",
				"10ºÐ°£ ATK, MATK + 30, °ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄ µô·¹ÀÌ°¨¼Ò 5%), º¯µ¿ Ä³½ºÆÃ 5% °¨¼Ò, MaxHP, MaxSP - 10%.",
				"¹°¸®, ¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ÁýÁß·ÂÇâ»ó 3Lv ¹ßµ¿.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12799: {
			unidentifiedDisplayName: "PC¹æ ÄíÆù »óÀÚ¥´",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Àß Æ÷ÀåµÈ ¼±¹°»óÀÚ. ¹«¾ùÀÌ µé¾îÀÖ´ÂÁö´Â ¾Ë ¼ö ¾ø´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "PC¹æ ÄíÆù »óÀÚ¥´",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Àß Æ÷ÀåµÈ ¼±¹°»óÀÚ. ¹«¾ùÀÌ µé¾îÀÖ´ÂÁö´Â ¾Ë ¼ö ¾ø´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12802: {
			unidentifiedDisplayName: "½Ã°£ÀÇ ¼öÈ£ÀÚ »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀüÅõ±³¹ü 5°³, Ç³¼±²­ 5°³, »ý¸íº¸ÇèÁõ¼­ 5°³¿Í ½Ã°£ÀÇ ¼öÈ£ÀÚ½¯µå, ºÎÃ÷, ¸ÁÅä, ¸ðÀÚ, ·Îºê °¢ 1°³ ¾¿°ú, ¸ÞÅ» Ä«Å¸¸£, ÅõÇÚµå¾×½º, ·£½º, ºÏ, ½ºÅÂÇÁ, ´ë°Å, ¸ÞÀÌ½º, º¸¿ì, ÅõÇÚµå¼Òµå °¢ 1°³ ¾¿ÀÌ µé¾îÀÖ´Â »óÀÚ.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "½Ã°£ÀÇ ¼öÈ£ÀÚ »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀüÅõ±³¹ü 5°³, Ç³¼±²­ 5°³, »ý¸íº¸ÇèÁõ¼­ 5°³¿Í ½Ã°£ÀÇ ¼öÈ£ÀÚ½¯µå, ºÎÃ÷, ¸ÁÅä, ¸ðÀÚ, ·Îºê °¢ 1°³ ¾¿°ú, ¸ÞÅ» Ä«Å¸¸£, ÅõÇÚµå¾×½º, ·£½º, ºÏ, ½ºÅÂÇÁ, ´ë°Å, ¸ÞÀÌ½º, º¸¿ì, ÅõÇÚµå¼Òµå °¢ 1°³ ¾¿ÀÌ µé¾îÀÖ´Â »óÀÚ.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12803: {
			unidentifiedDisplayName: "ÃÊº¸ÀÚ Áö¿ø »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÃÊº¸ÀÚ¿ë Æ÷¼Ç 300°³, ÃÊº¸ÀÚ¿ë ÆÄ¸®ÀÇ ³¯°³ 100°³, ÃÊº¸ÀÚ¿ë ³ªºñÀÇ ³¯°³ 20°³, ÃÊº¸ÀÚ¿ë µ¸º¸±â 10°³¿Í ÃÊº¸ÀÚ Áö¿ø¿ë ¹«±âµéÀÌ ´ã°ÜÀÖ´Â »óÀÚ.",
				"¹èÆ²¾×½º, ¸ÞÀÌ½º, ·Ôµå, ÄÄÆ÷ÁöÆ®º¸¿ì, ¸Á°í½´, ÆúÃÅÀÌ °¢ 1°³¾¿ µé¾îÀÖ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "ÃÊº¸ÀÚ Áö¿ø »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÃÊº¸ÀÚ¿ë Æ÷¼Ç 300°³, ÃÊº¸ÀÚ¿ë ÆÄ¸®ÀÇ ³¯°³ 100°³, ÃÊº¸ÀÚ¿ë ³ªºñÀÇ ³¯°³ 20°³, ÃÊº¸ÀÚ¿ë µ¸º¸±â 10°³¿Í ÃÊº¸ÀÚ Áö¿ø¿ë ¹«±âµéÀÌ ´ã°ÜÀÖ´Â »óÀÚ.",
				"¹èÆ²¾×½º, ¸ÞÀÌ½º, ·Ôµå, ÄÄÆ÷ÁöÆ®º¸¿ì, ¸Á°í½´, ÆúÃÅÀÌ °¢ 1°³¾¿ µé¾îÀÖ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12804: {
			unidentifiedDisplayName: "Å©·ç ½ºÅ©·Ñ",
			unidentifiedResourceName: "\xc5\xa9\xb7\xe7\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ Å©·çÀÇ ¾Ë.",
				"´Ã¾îÁø °í¾çÀÌ Å©·ç, ¸µ ¿Àºê ÇÃ·¹ÀÓ·Îµå, ¹«±â 11Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 11Á¦·Ã º¸Àå±Ç, ¹«±â 9Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 9Á¦·Ã º¸Àå±Ç, ÀÎÃ¦Æ® ¼Ò°³Àå, ÇÇ¹¯Àº ³ª¹µ°¡Áö, ¸¶·Â ±êµç Ä«µåÃ¸ µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Å©·ç ½ºÅ©·Ñ",
			identifiedResourceName: "\xc5\xa9\xb7\xe7\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ Å©·çÀÇ ¾Ë.",
				"´Ã¾îÁø °í¾çÀÌ Å©·ç, ¸µ ¿Àºê ÇÃ·¹ÀÓ·Îµå, ¹«±â 11Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 11Á¦·Ã º¸Àå±Ç, ¹«±â 9Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 9Á¦·Ã º¸Àå±Ç, ÀÎÃ¦Æ® ¼Ò°³Àå, ÇÇ¹¯Àº ³ª¹µ°¡Áö, ¸¶·Â ±êµç Ä«µåÃ¸ µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12805: {
			unidentifiedDisplayName: "¹Ì½ºÆ½ ÆÄ¿ì´õ",
			unidentifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb8\xb6\xb9\xfd\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»Ñ¸®¸é Àá½Ãµ¿¾È ¸öÀÌ ¸Å¿ì °¡º­¿öÁö´Â ½ÅºñÇÑ ÆÄ¿ì´õ.",
				"5ºÐ°£ FLEE + 20, LUK + 10.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹Ì½ºÆ½ ÆÄ¿ì´õ",
			identifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb8\xb6\xb9\xfd\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»Ñ¸®¸é Àá½Ãµ¿¾È ¸öÀÌ ¸Å¿ì °¡º­¿öÁö´Â ½ÅºñÇÑ ÆÄ¿ì´õ.",
				"5ºÐ°£ FLEE + 20, LUK + 10.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12806: {
			unidentifiedDisplayName: "½ºÄ«¶ó¹Ù ¼ÒÈ¯¼­",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"¸ó½ºÅÍ  ½ºÄ«¶ó¹Ù¸¦ ¿ëº´À¸·Î ¼ÒÈ¯ °¡´ÉÇÑ ½ºÅ©·Ñ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½ºÄ«¶ó¹Ù ¼ÒÈ¯¼­",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"¸ó½ºÅÍ ½ºÄ«¶ó¹Ù¸¦ ¿ëº´À¸·Î ¼ÒÈ¯ °¡´ÉÇÑ ½ºÅ©·Ñ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12807: {
			unidentifiedDisplayName: "¿ëº´ ¼ÒÈ¯¹¶Ä¡",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"8Lv °Ë¿ëº´, 8Lv Ã¢¿ëº´, 8Lv È°¿ëº´ ¼ÒÈ¯ÇÒ ¼ö ÀÖ´Â ¼ÒÈ¯¼­¸¦ °¢°¢ 5Àå ¾¿ ¸ð¾Æ¼­ Àß ¸»¾ÆµÐ ¹¶Ä¡. ¾î¸Ó´ÏÀÇ ¸¶À½ »óÀÚµµ 1°³ µé¾îÀÖ´Ù.",
				"¿ä±¸ ·¹º§ : ^77777720^000000",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "¿ëº´ ¼ÒÈ¯¹¶Ä¡",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"8Lv °Ë¿ëº´, 8Lv Ã¢¿ëº´, 8Lv È°¿ëº´ ¼ÒÈ¯ÇÒ ¼ö ÀÖ´Â ¼ÒÈ¯¼­¸¦ °¢°¢ 5Àå ¾¿ ¸ð¾Æ¼­ Àß ¸»¾ÆµÐ ¹¶Ä¡. ¾î¸Ó´ÏÀÇ ¸¶À½ »óÀÚµµ 1°³ µé¾îÀÖ´Ù.",
				"¿ä±¸ ·¹º§ : ^77777720^000000",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12808: {
			unidentifiedDisplayName: "¾î¸Ó´ÏÀÇ ¸¶À½ »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾î¸Ó´ÏÀÇ ¸¶À½ÀÌ 1°³¿Í ³°Àº ±¤¼® »óÀÚ°¡ µé¾îÀÖ´Ù. 7ÀÏ°£ »ç¿ë°¡´É.",
				"^ffffff_^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÀÌÁ¦ ¸· ¸ðÇèÀ» ½ÃÀÛÇÏ´Â ÃÊº¸ ¸ðÇè°¡µéÀ» ÀÀ¿øÇÏ´Â ¸¶À½ÀÌ ´ã±ä µû¶æÇÑ ¹ÝÁö.",
				"¸ó½ºÅÍ »ç³É½Ã È¹µæ °æÇèÄ¡ 15% Áõ°¡.",
				"ATK, MATK + 15.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"Á¦ÇÑ ·¹º§ : ^77777760^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ffffff_^000000",
				"¿ä±¸ ·¹º§ : ^77777740^000000",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "¾î¸Ó´ÏÀÇ ¸¶À½ »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾î¸Ó´ÏÀÇ ¸¶À½ÀÌ 1°³¿Í ³°Àº ±¤¼® »óÀÚ°¡ µé¾îÀÖ´Ù. 7ÀÏ°£ »ç¿ë°¡´É.",
				"^ffffff_^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÀÌÁ¦ ¸· ¸ðÇèÀ» ½ÃÀÛÇÏ´Â ÃÊº¸ ¸ðÇè°¡µéÀ» ÀÀ¿øÇÏ´Â ¸¶À½ÀÌ ´ã±ä µû¶æÇÑ ¹ÝÁö.",
				"¸ó½ºÅÍ »ç³É½Ã È¹µæ °æÇèÄ¡ 15% Áõ°¡.",
				"ATK, MATK + 15.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"Á¦ÇÑ ·¹º§ : ^77777760^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ffffff_^000000",
				"¿ä±¸ ·¹º§ : ^77777740^000000",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12809: {
			unidentifiedDisplayName: "·¹º§¾÷ »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x35",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½Å¼ÓÇÑ ·¹º§¾÷À» À§ÇØ ²À ÇÊ¿äÇÑ ÁØºñ¹° »óÀÚ.",
				"ÀüÅõ±³¹ü 5°³, Ç³¼±²­ 5°³, »ý¸íº¸ÇèÁõ¼­ 5°³, Àâ±³¹ü 5°³°¡ ´ã°Ü ÀÖ´Ù.",
				"Áö±Ý °³ºÀÇÏ¸é Áö¸£Å¸½º ±³È¯ Æ¼ÄÏ »óÀÚµµ 1°³ È¹µæ °¡´É!",
				"¿ä±¸ ·¹º§ : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "·¹º§¾÷ »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x35",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½Å¼ÓÇÑ ·¹º§¾÷À» À§ÇØ ²À ÇÊ¿äÇÑ ÁØºñ¹° »óÀÚ.",
				"ÀüÅõ±³¹ü 5°³, Ç³¼±²­ 5°³, »ý¸íº¸ÇèÁõ¼­ 5°³, Àâ±³¹ü 5°³°¡ ´ã°Ü ÀÖ´Ù.",
				"Áö±Ý °³ºÀÇÏ¸é Áö¸£Å¸½º ±³È¯ Æ¼ÄÏ »óÀÚµµ 1°³ È¹µæ °¡´É!",
				"¿ä±¸ ·¹º§ : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12810: {
			unidentifiedDisplayName: "ÀÌº¥Æ® ¼±¹°»óÀÚ",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÌ±×µå¶ó½ÇÀÇ ¿­¸Å°¡ 3°³ µé¾îÀÖ´Â »óÀÚ. °Å±â¿¡ ´ýÀ¸·Î °í±Þ ÇìµåÆù ±³È¯±Ç, ±³È¯Æ¼ÄÏ °íºí¸°¸®´õ, ¸¶·Â±êµç Ä«µåÃ¸, ¹«±â 9Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 9Á¦·Ãº¸Àå±Ç µîµî ¿©·¯°¡Áö °æÇ°¾ÆÀÌÅÛµé Áß ÇÏ³ª°¡ ·£´ý µîÀå!",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀÌº¥Æ® ¼±¹°»óÀÚ",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÌ±×µå¶ó½ÇÀÇ ¿­¸Å°¡ 3°³ µé¾îÀÖ´Â »óÀÚ. °Å±â¿¡ ´ýÀ¸·Î °í±Þ ÇìµåÆù ±³È¯±Ç, ±³È¯Æ¼ÄÏ °íºí¸°¸®´õ, ¸¶·Â±êµç Ä«µåÃ¸, ¹«±â 9Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 9Á¦·Ãº¸Àå±Ç µîµî ¿©·¯°¡Áö °æÇ°¾ÆÀÌÅÛµé Áß ÇÏ³ª°¡ ·£´ý µîÀå!",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12811: {
			unidentifiedDisplayName: "ÀÌº¥Æ® ¼±¹°»óÀÚ",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÌ±×µå¶ó½ÇÀÇ ¿­¸Å°¡ 3°³ µé¾îÀÖ´Â »óÀÚ. °Å±â¿¡ ´ýÀ¸·Î °í±Þ ÇìµåÆù ±³È¯±Ç, ±³È¯Æ¼ÄÏ °íºí¸°¸®´õ, ¸¶·Â±êµç Ä«µåÃ¸, ¹«±â 9Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 9Á¦·Ãº¸Àå±Ç µîµî ¿©·¯°¡Áö °æÇ°¾ÆÀÌÅÛµé Áß ÇÏ³ª°¡ ·£´ý µîÀå!",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀÌº¥Æ® ¼±¹°»óÀÚ",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÌ±×µå¶ó½ÇÀÇ ¿­¸Å°¡ 3°³ µé¾îÀÖ´Â »óÀÚ. °Å±â¿¡ ´ýÀ¸·Î °í±Þ ÇìµåÆù ±³È¯±Ç, ±³È¯Æ¼ÄÏ °íºí¸°¸®´õ, ¸¶·Â±êµç Ä«µåÃ¸, ¹«±â 9Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 9Á¦·Ãº¸Àå±Ç µîµî ¿©·¯°¡Áö °æÇ°¾ÆÀÌÅÛµé Áß ÇÏ³ª°¡ ·£´ý µîÀå!",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12812: {
			unidentifiedDisplayName: "½º³ë¿ì ÇÃ¸³",
			unidentifiedResourceName: "\xbd\xba\xb3\xeb\xbf\xec\xc7\xc3\xb8\xb3",
			unidentifiedDescriptionName: [
				"´«¼ÛÀÌ °°ÀÌ »õÇÏ¾áµ¥´Ù, ¸¸Áö¸é Â÷°©±â±îÁö ÇÑ ½Å±âÇÑ ²ÉÀÙ. ´«º¸´Ù Â÷°©´Ù°í ¾Ë·ÁÁ® ÀÖÀ¸´Ï »ç¿ë¿¡ ÁÖÀÇ. ´Ù¸¥ »ç¶÷ÀÇ ¿Ê ¼Ó¿¡ ³Ö´Â Àå³­Àº ±× µ¿·áÀÇ ½ÉÀå¿¡ ¸Å¿ì ÁÁÁö ¾Ê´Ù.",
				"^000088¹ßÈ­, ÃâÇ÷, ±íÀº Àá, ¼ö¸é^000000À» Ä¡·áÇÑ´Ù.",
				"Àç»ç¿ë ´ë±â ½Ã°£ 5ÃÊ.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½º³ë¿ì ÇÃ¸³",
			identifiedResourceName: "\xbd\xba\xb3\xeb\xbf\xec\xc7\xc3\xb8\xb3",
			identifiedDescriptionName: [
				"´«¼ÛÀÌ °°ÀÌ »õÇÏ¾áµ¥´Ù, ¸¸Áö¸é Â÷°©±â±îÁö ÇÑ ½Å±âÇÑ ²ÉÀÙ. ´«º¸´Ù Â÷°©´Ù°í ¾Ë·ÁÁ® ÀÖÀ¸´Ï »ç¿ë¿¡ ÁÖÀÇ. ´Ù¸¥ »ç¶÷ÀÇ ¿Ê ¼Ó¿¡ ³Ö´Â Àå³­Àº ±× µ¿·áÀÇ ½ÉÀå¿¡ ¸Å¿ì ÁÁÁö ¾Ê´Ù.",
				"^000088¹ßÈ­, ÃâÇ÷, ±íÀº Àá, ¼ö¸é^000000À» Ä¡·áÇÑ´Ù.",
				"Àç»ç¿ë ´ë±â ½Ã°£ 5ÃÊ.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12813: {
			unidentifiedDisplayName: "Æä¿À´Ï ¸¶¹Ì",
			unidentifiedResourceName: "\xc6\xe4\xbf\xc0\xb4\xcf\xb8\xb6\xb9\xcc",
			unidentifiedDescriptionName: [
				"½Å±âÇÏ°Ôµµ µû²öµû²öÇÑ ¿Âµµ¸¦ Áö´Ñ ºÐÈ«ºû ²ÉÀÙ. ¾î¸± ¶§ ¾ö¸¶ Ç°ÀÌ Àý·Î ¶°¿À¸£´Â ¿Âµµ¶ó´Â ÆòÀÌ´Ù. °¨¼ö¼º ¿¹¹ÎÇÑ »ç¶÷¿¡°Ô »ç¿ë ½Ã ´«¹°ÀÌ ¿ÐÄ¬ ÇÒ ¼ö µµ ÀÖ´Ù.",
				"^000088µ¿ºù, ³Ãµ¿, ºù°á^000000À» Ä¡·áÇÑ´Ù.",
				"Àç»ç¿ë ´ë±â ½Ã°£ 5ÃÊ.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Æä¿À´Ï ¸¶¹Ì",
			identifiedResourceName: "\xc6\xe4\xbf\xc0\xb4\xcf\xb8\xb6\xb9\xcc",
			identifiedDescriptionName: [
				"½Å±âÇÏ°Ôµµ µû²öµû²öÇÑ ¿Âµµ¸¦ Áö´Ñ ºÐÈ«ºû ²ÉÀÙ. ¾î¸± ¶§ ¾ö¸¶ Ç°ÀÌ Àý·Î ¶°¿À¸£´Â ¿Âµµ¶ó´Â ÆòÀÌ´Ù. °¨¼ö¼º ¿¹¹ÎÇÑ »ç¶÷¿¡°Ô »ç¿ë ½Ã ´«¹°ÀÌ ¿ÐÄ¬ ÇÒ ¼ö µµ ÀÖ´Ù.",
				"^000088µ¿ºù, ³Ãµ¿, ºù°á^000000À» Ä¡·áÇÑ´Ù.",
				"Àç»ç¿ë ´ë±â ½Ã°£ 5ÃÊ.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12814: {
			unidentifiedDisplayName: "»ç´Ù±Í",
			unidentifiedResourceName: "\xbb\xe7\xb4\xd9\xb1\xcd",
			unidentifiedDescriptionName: [
				"¼¼Â÷°Ô »´À» ÈÄ·Á¸ÂÀº µíÇÑ ´À³¦ÀÌ µé Á¤µµ·Î °­·ÄÇÑ Çâ±â¸¦ °¡Áø Çãºê. ÀÇ¿Ü·Î »óÄèÇÏ´Ù°í ´À³¥ ¼ö ÀÖÀ¸³ª ¸»ÇÏÁø ¸»ÀÚ. ÁÖº¯ ½Ã¼±À» º¸Àå ÇÒ ¼ö ¾ø´Ù.",
				"^000088½ºÅÏ, °øÆ÷, È¥¶õ, È¯°¢^000000À» Ä¡·áÇÑ´Ù.",
				"Àç»ç¿ë ´ë±â ½Ã°£ 5ÃÊ.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "»ç´Ù±Í",
			identifiedResourceName: "\xbb\xe7\xb4\xd9\xb1\xcd",
			identifiedDescriptionName: [
				"¼¼Â÷°Ô »´À» ÈÄ·Á¸ÂÀº µíÇÑ ´À³¦ÀÌ µé Á¤µµ·Î °­·ÄÇÑ Çâ±â¸¦ °¡Áø Çãºê. ÀÇ¿Ü·Î »óÄèÇÏ´Ù°í ´À³¥ ¼ö ÀÖÀ¸³ª ¸»ÇÏÁø ¸»ÀÚ. ÁÖº¯ ½Ã¼±À» º¸Àå ÇÒ ¼ö ¾ø´Ù.",
				"^000088½ºÅÏ, °øÆ÷, È¥¶õ, È¯°¢^000000À» Ä¡·áÇÑ´Ù.",
				"Àç»ç¿ë ´ë±â ½Ã°£ 5ÃÊ.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12815: {
			unidentifiedDisplayName: "¼¼°è¼öÀÇ ¸ÕÁö",
			unidentifiedResourceName: "\xbc\xbc\xb0\xe8\xbc\xf6\xc0\xc7\xb8\xd5\xc1\xf6",
			unidentifiedDescriptionName: [
				"ÀÏ¸í »ý¸í¼ö, ½Å¼ºÇÑ ³ª¹«·Î ºÒ¸®´Â ÀÌ±×µå¶ó½Ç¿¡ ÁÙ±â, ÀÙ µî¿¡ ¾ñÇôÁ® ÀÖ´ø ±× ¸ÕÁö. ºñ·Ï ¸ÕÁöÀÌ³ª, ¿À·£¼¼¿ù »ý¸í¼öÀÇ ±â¿îÀ» ¹Þ¾Æ Á¤È­´É·ÂÀÌ ¶Ù¾î³­ °Í °°´Ù.",
				"^000088¼®È­, ¾ÏÈæ, ÀúÁÖ, µ¶, ¹ÎÃ¸¼º°¨¼Ò, ¸®¹ö½º ¿ÀÅ°½¬^000000¸¦ Ä¡·áÇÑ´Ù.",
				"Àç»ç¿ë ´ë±â ½Ã°£ 5ÃÊ.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¼¼°è¼öÀÇ ¸ÕÁö",
			identifiedResourceName: "\xbc\xbc\xb0\xe8\xbc\xf6\xc0\xc7\xb8\xd5\xc1\xf6",
			identifiedDescriptionName: [
				"ÀÏ¸í »ý¸í¼ö, ½Å¼ºÇÑ ³ª¹«·Î ºÒ¸®´Â ÀÌ±×µå¶ó½Ç¿¡ ÁÙ±â, ÀÙ µî¿¡ ¾ñÇôÁ® ÀÖ´ø ±× ¸ÕÁö. ºñ·Ï ¸ÕÁöÀÌ³ª, ¿À·£¼¼¿ù »ý¸í¼öÀÇ ±â¿îÀ» ¹Þ¾Æ Á¤È­´É·ÂÀÌ ¶Ù¾î³­ °Í °°´Ù.",
				"^000088¼®È­, ¾ÏÈæ, ÀúÁÖ, µ¶, ¹ÎÃ¸¼º°¨¼Ò, ¸®¹ö½º ¿ÀÅ°½¬^000000¸¦ Ä¡·áÇÑ´Ù.",
				"Àç»ç¿ë ´ë±â ½Ã°£ 5ÃÊ.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12816: {
			unidentifiedDisplayName: "³°Àº ±¤¼® »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³°°í ÁöÀúºÐÇÑ ±¤¼® »óÀÚ. ¼Ò¸®¸¦ µé¾îº¸´Ï ¿©·¯Á¾·ùÀÇ ±¤¼®ÀÌ µé¾îÀÖ´Â °Í °°´Ù.",
				"Áö±Ý °³ºÀÇÏ¸é ³°Àº Ä«µåÃ¸µµ 1°³ È¹µæ °¡´É!",
				"¿ä±¸ ·¹º§ : ^77777760^000000",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "³°Àº ±¤¼® »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³°°í ÁöÀúºÐÇÑ ±¤¼® »óÀÚ. ¼Ò¸®¸¦ µé¾îº¸´Ï ¿©·¯Á¾·ùÀÇ ±¤¼®ÀÌ µé¾îÀÖ´Â °Í °°´Ù.",
				"Áö±Ý °³ºÀÇÏ¸é ³°Àº Ä«µåÃ¸µµ 1°³ È¹µæ °¡´É!",
				"¿ä±¸ ·¹º§ : ^77777760^000000",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12817: {
			unidentifiedDisplayName: "³°Àº Ä«µåÃ¸",
			unidentifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä«µå°¡ ´ã°Ü ÀÖÀ» ¹ýÇÑ ¼öÃ¸. ¸Å¿ì ³°¾Æ ¾Ë ¼ö ¾ø´Â ÈûÀÌ ´À²¸Áø´Ù.",
				"Áö±Ý °³ºÀÇÏ¸é °í±Þ ¹«±â »óÀÚµµ 1°³ È¹µæ °¡´É!",
				"¿ä±¸ ·¹º§ : ^77777780^000000",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "³°Àº Ä«µåÃ¸",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc4\xab\xb5\xe5\xc3\xb8",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä«µå°¡ ´ã°Ü ÀÖÀ» ¹ýÇÑ ¼öÃ¸. ¸Å¿ì ³°¾Æ ¾Ë ¼ö ¾ø´Â ÈûÀÌ ´À²¸Áø´Ù.",
				"Áö±Ý °³ºÀÇÏ¸é °í±Þ ¹«±â »óÀÚµµ 1°³ È¹µæ °¡´É!",
				"¿ä±¸ ·¹º§ : ^77777780^000000",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12818: {
			unidentifiedDisplayName: "°í±Þ ¹«±â»óÀÚ",
			unidentifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È­·ÁÇÑ ¼¼°øÀÌ µ¸º¸ÀÌ´Â ´Ü´ÜÇÑ »óÀÚ. ¿©·¯°¡Áö °í±Þ Àåºñ°¡ µé¾îÀÖ´Ù°í ÇÑ´Ù.",
				"Áö±Ý °³ºÀÇÏ¸é ·¹º§¾÷ »óÀÚµµ 1°³ È¹µæ °¡´É!",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "°í±Þ ¹«±â»óÀÚ",
			identifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È­·ÁÇÑ ¼¼°øÀÌ µ¸º¸ÀÌ´Â ´Ü´ÜÇÑ »óÀÚ. ¿©·¯°¡Áö °í±Þ Àåºñ°¡ µé¾îÀÖ´Ù°í ÇÑ´Ù.",
				"Áö±Ý °³ºÀÇÏ¸é ·¹º§¾÷ »óÀÚµµ 1°³ È¹µæ °¡´É!",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12819: {
			unidentifiedDisplayName: "Áö¸£Å¸½º ±³È¯ Æ¼ÄÏ »óÀÚ",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Áö¸£Å¸½º ±³È¯ Æ¼ÄÏÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ä±¸ ·¹º§ : ^777777150^000000",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "Áö¸£Å¸½º ±³È¯ Æ¼ÄÏ »óÀÚ",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Áö¸£Å¸½º ±³È¯ Æ¼ÄÏÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ä±¸ ·¹º§ : ^777777150^000000",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12822: {
			unidentifiedDisplayName: "Songpyun Box50",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box has 50 pcs of rice cake.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Songpyun Box50",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box has 50 pcs of rice cake.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12825: {
			unidentifiedDisplayName: "ÇÃ¸³ÀÇ ¾¾¾Ë",
			unidentifiedResourceName: "\xb9\xdf\xbe\xc6\xbb\xf5\xbd\xcf",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¶ó±×2ÀÇ ±Í¿©¿î ²ÉÀÙ ¸ó½ºÅÍ¸¦ º»µý ÇÃ¸³¸ðÀÚ, ¸¶·Â ±êµç Ä«µåÃ¸, Æ÷ÀåµÈ °¡¸é, º¸¼®ÇÔ, ÇÇ¹¯Àº ³ª¹µ°¡Áö µîµî ¿©·¯°¡Áö ¾ÆÀÌÅÛ Áß 1Á¾ÀÌ µé¾îÀÖ´Ù°í ÇÑ´Ù. ¹«¾ùÀÌ ³ª¿ÃÁø ¾Ë ¼ö ¾ø´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÇÃ¸³ÀÇ ¾¾¾Ë",
			identifiedResourceName: "\xb9\xdf\xbe\xc6\xbb\xf5\xbd\xcf",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¶ó±×2ÀÇ ±Í¿©¿î ²ÉÀÙ ¸ó½ºÅÍ¸¦ º»µý ÇÃ¸³¸ðÀÚ, ¸¶·Â ±êµç Ä«µåÃ¸, Æ÷ÀåµÈ °¡¸é, º¸¼®ÇÔ, ÇÇ¹¯Àº ³ª¹µ°¡Áö µîµî ¿©·¯°¡Áö ¾ÆÀÌÅÛ Áß 1Á¾ÀÌ µé¾îÀÖ´Ù°í ÇÑ´Ù. ¹«¾ùÀÌ ³ª¿ÃÁø ¾Ë ¼ö ¾ø´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12826: {
			unidentifiedDisplayName: "Wind Type Scroll",
			unidentifiedResourceName: "\xc7\xb3\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"The scroll in Wind Type zodiac.",
				"Can obtain either Garm Card, Sunglasses Baseball Hat, Hankie In Mouth, Gemini Crown/Diadem, Libra Crown/Diadem, Neutralizer and etc randomly.",
				"Weight : ^7777771^0000",
			],
			identifiedDisplayName: "Wind Type Scroll",
			identifiedResourceName: "\xc7\xb3\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A Wind-Type Zodiac scroll",
				"Contains new items such as [Sunglasses] [Baseball Hat] and [Hankie in Mouth]",
				"You might also obtain a [Garm Card]",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12827: {
			unidentifiedDisplayName: "Sofiel Aqua Scroll",
			unidentifiedResourceName: "\xbc\xf6\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Water...soft and yielding, formless and flowing.",
				"Rise up, storm the heavens and rain down upon us!\" - Sofiel",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sofiel Aqua Scroll",
			identifiedResourceName: "\xbc\xf6\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"Water...soft and yielding, formless and flowing.",
				"Rise up, storm the heavens and rain down upon us!\" - Sofiel",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12828: {
			unidentifiedDisplayName: "Aeon Firesong Scroll",
			unidentifiedResourceName: "\xc8\xad\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"\"I am what was, what is, what will be : the Chaos-Bringer! I AM POWER!\"",
				"-The Phoenix Aeon",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Aeon Firesong Scroll",
			identifiedResourceName: "\xc8\xad\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"\"I am what was, what is, what will be : the Chaos-Bringer! I AM POWER!\"",
				"-The Phoenix Aeon",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12829: {
			unidentifiedDisplayName: "Geheimnis Terra Scroll",
			unidentifiedResourceName: "\xc5\xe4\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"You know this day is going to be epic! *wink wink* - Geheimnis",
				"Weight : ^77777720^000000",
			],
			identifiedDisplayName: "Geheimnis Terra Scroll",
			identifiedResourceName: "\xc5\xe4\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"You know this day is going to be epic! *wink wink* - Geheimnis",
				"Weight : ^77777720^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12830: {
			unidentifiedDisplayName: "°í¸ñ³ª¹« »óÀÚ",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í¸ñ³ª¹«°¡Áö 50°³, ÇÇ¹¯Àº °í¸ñ³ª¹«°¡Áö 2°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"\"^ff0000ÁÖÀÇ - »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000\"",
				"¹«°Ô : ^7777775^000000",
			],
			identifiedDisplayName: "°í¸ñ³ª¹« »óÀÚ",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í¸ñ³ª¹«°¡Áö 50°³, ÇÇ¹¯Àº °í¸ñ³ª¹«°¡Áö 2°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"\"^ff0000ÁÖÀÇ - »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000\"",
				"¹«°Ô : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12831: {
			unidentifiedDisplayName: "Æ÷¼Ç »óÀÚ",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·¹µå ½½¸² Æ÷¼Ç 100°³, ¿»·Î¿ì ½½¸² Æ÷¼Ç 100°³, È­ÀÌÆ® ½½¸² Æ÷¼Ç 100°³¿Í ÆÄ¶õÆ÷¼Ç 100°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"\"^ff0000ÁÖÀÇ - »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000\"",
				"¹«°Ô : ^7777775^000000",
			],
			identifiedDisplayName: "Æ÷¼Ç »óÀÚ",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·¹µå ½½¸² Æ÷¼Ç 100°³, ¿»·Î¿ì ½½¸² Æ÷¼Ç 100°³, È­ÀÌÆ® ½½¸² Æ÷¼Ç 100°³¿Í ÆÄ¶õÆ÷¼Ç 100°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"\"^ff0000ÁÖÀÇ - »óÀÚ¸¦ °³ºÀÇÒ ¶§ ¹«°Ô³ª ¼ÒÁöÇÑ°è ¼ö·®À» ÃÊ°úÇÑ »óÅÂÀÎ °æ¿ì, ¾ÆÀÌÅÛÀÌ ¼Ò½Ç µÉ ¼ö ÀÖ½À´Ï´Ù!^000000\"",
				"¹«°Ô : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12832: {
			unidentifiedDisplayName: "½Å¹¦ÇÑ »ý¸í¼ö",
			unidentifiedResourceName: "\xbf\xec\xba\xa3\xc0\xeb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½ÃÁß¿¡ ÆÛÁø ÀÌ·±Àú·± È¸º¹Æ÷¼ÇÀ» ³óÃàÇÏ¿© ¸¸µç »ý¸í¼ö. ÁßÇü°ú ¼ÒÇüÀÇ Áß°£ÀûÀÎ ¸ÀÀÌ ³­´Ù.",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 3ÃÊ¸¶´Ù MHPÀÇ 4%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½Å¹¦ÇÑ »ý¸í¼ö",
			identifiedResourceName: "\xbf\xec\xba\xa3\xc0\xeb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½ÃÁß¿¡ ÆÛÁø ÀÌ·±Àú·± È¸º¹Æ÷¼ÇÀ» ³óÃàÇÏ¿© ¸¸µç »ý¸í¼ö. ÁßÇü°ú ¼ÒÇüÀÇ Áß°£ÀûÀÎ ¸ÀÀÌ ³­´Ù.",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 3ÃÊ¸¶´Ù MaxHPÀÇ 4%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12833: {
			unidentifiedDisplayName: "Á¶Á÷ÀÇ´Ü°á·Â",
			unidentifiedResourceName: "\xc1\xb6\xc1\xf7\xc0\xc7\xb4\xdc\xb0\xe1\xb7\xc2",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇÏ³ªÀÇ Áý´ÜÀÇ °á¼Ó·ÂÀ» °­È­ÇÏ´Â µíÇÑ ÀÌ¹ÌÁö¸¦ °®°í ÀÖ´Ù.  ½ÇÁ¦·Î ÀÌ Á¶°¢»óÀ» º» »ç¶÷µéÀº °á¼Ó·ÂÀÌ Æ°Æ°ÇØÁö´Â °ÍÀ» ´À³¤´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			identifiedDisplayName: "Á¶Á÷ÀÇ´Ü°á·Â",
			identifiedResourceName: "\xc1\xb6\xc1\xf7\xc0\xc7\xb4\xdc\xb0\xe1\xb7\xc2",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇÏ³ªÀÇ Áý´ÜÀÇ °á¼Ó·ÂÀ» °­È­ÇÏ´Â µíÇÑ ÀÌ¹ÌÁö¸¦ °®°í ÀÖ´Ù. ½ÇÁ¦·Î ÀÌ Á¶°¢»óÀ» º» »ç¶÷µéÀº °á¼Ó·ÂÀÌ Æ°Æ°ÇØÁö´Â °ÍÀ» ´À³¤´Ù°í ÇÑ´Ù.",
				"¹«°Ô : ^77777750^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12834: {
			unidentifiedDisplayName: "¾ðµ¥µåÀÇ ÇÙ",
			unidentifiedResourceName: "\xbe\xcf\xc8\xe6\xc0\xc7\xc0\xc7\xc1\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ ¾ðµ¥µåÀÇ ÇÙ.",
				"Á×Àº ÀÚÀÇ Åõ±¸, ¹«±â 11Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 11Á¦·Ã º¸Àå±Ç, ³°Àº Ä«µåÃ¸(Åõ±¸), ÇÇ¹¯Àº ³ª¹µ°¡Áö, Åä³¢±Í¸¶°³, Àç½ºÆÛ Å©·¹½ºÆ® µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¾ðµ¥µåÀÇ ÇÙ",
			identifiedResourceName: "\xbe\xcf\xc8\xe6\xc0\xc7\xc0\xc7\xc1\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ ¾ðµ¥µåÀÇ ÇÙ.",
				"Á×Àº ÀÚÀÇ Åõ±¸, ¹«±â 11Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 11Á¦·Ã º¸Àå±Ç, ³°Àº Ä«µåÃ¸(Åõ±¸), ÇÇ¹¯Àº ³ª¹µ°¡Áö, Åä³¢±Í¸¶°³, Àç½ºÆÛ Å©·¹½ºÆ® µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12835: {
			unidentifiedDisplayName: "¼Ò³àÀÇ ¸¶À½",
			unidentifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xbe\xcb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ ¼Ò³àÀÇ ¸¶À½.",
				"ÇÏÆ®³¯°³ Çì¾î¹êµå, ³°Àº Ä«µåÃ¸(°ÉÄ¥°Í), Ãµ»çÀÇ ³¯°³±Í, ¸ÀÀÖ´Â ºù¼ö, ¸ÂÃã °ü, ¼Ò³àÀÇ ¼øÁ¤, Åä³¢ ±Í¸¶°³, Àç½ºÆÛ Å©·¹½ºÆ® µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¼Ò³àÀÇ ¸¶À½",
			identifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xbe\xcb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ ¼Ò³àÀÇ ¸¶À½.",
				"ÇÏÆ®³¯°³ Çì¾î¹êµå, ³°Àº Ä«µåÃ¸(°ÉÄ¥°Í), Ãµ»çÀÇ ³¯°³±Í, ¸ÀÀÖ´Â ºù¼ö, ¸ÂÃã °ü, ¼Ò³àÀÇ ¼øÁ¤, Åä³¢ ±Í¸¶°³, Àç½ºÆÛ Å©·¹½ºÆ® µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12845: {
			unidentifiedDisplayName: "¾Æ¸¶Âê ±ÍÈ¯ÀÇ ³¯°³",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±æÀ» ÀÒ¾î ¹ö¸± °Í °°Àº °¡·ÃÇÑ ÃÊº¸ ´ÑÀÚ ÈÄº¸µéÀ» À§ÇØ Æ¯¼ö Á¦ÀÛµÈ ³ªºñÀÇ ³¯°³.",
				"¾Æ¸¶Âê ¸¶À»ÀÇ ´ÑÀÚ ÀüÁ÷¼Ò·Î µ¹¾Æ°¥ ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "¾Æ¸¶Âê ±ÍÈ¯ÀÇ ³¯°³",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±æÀ» ÀÒ¾î ¹ö¸± °Í °°Àº °¡·ÃÇÑ ÃÊº¸ ´ÑÀÚ ÈÄº¸µéÀ» À§ÇØ Æ¯¼ö Á¦ÀÛµÈ ³ªºñÀÇ ³¯°³.",
				"¾Æ¸¶Âê ¸¶À»ÀÇ ´ÑÀÚ ÀüÁ÷¼Ò·Î µ¹¾Æ°¥ ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12846: {
			unidentifiedDisplayName: "Ç²»ç°ú",
			unidentifiedResourceName: "\xc7\xb2\xbb\xe7\xb0\xfa",
			unidentifiedDescriptionName: [
				"Ç²³»±â Æ÷¸µÀÌ ÁÁ¾ÆÇÏ´Â »ç°ú.",
				"Ç²Ç²ÇÑ ÀþÀ½ÀÇ ¸ÀÀÌ ´À²¸Áø´Ù°í ÇÑ´Ù.",
				"Á¾·ù : ^777777Å×ÀÌ¹Ö ¾ÆÀÌÅÛ^000000",
				"¹«°Ô : ^7777775^000000",
			],
			identifiedDisplayName: "Ç²»ç°ú",
			identifiedResourceName: "\xc7\xb2\xbb\xe7\xb0\xfa",
			identifiedDescriptionName: [
				"Ç²³»±â Æ÷¸µÀÌ ÁÁ¾ÆÇÏ´Â »ç°ú.",
				"Ç²Ç²ÇÑ ÀþÀ½ÀÇ ¸ÀÀÌ ´À²¸Áø´Ù°í ÇÑ´Ù.",
				"Á¾·ù : ^777777Å×ÀÌ¹Ö ¾ÆÀÌÅÛ^000000",
				"¹«°Ô : ^7777775^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12847: {
			unidentifiedDisplayName: "ºÒ·® ÀåºñÇ° »óÀÚ",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°ú°Å¿¡ »çÀºÇ°À¸·Î »óÀÎ Áö¸Á»ýµé¿¡°Ô Áö±ÞµÇ¾ú´ø ±âº» ÀåºñÇ° »óÀÚ.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ºÒ·® ÀåºñÇ° »óÀÚ",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°ú°Å¿¡ »çÀºÇ°À¸·Î »óÀÎ Áö¸Á»ýµé¿¡°Ô Áö±ÞµÇ¾ú´ø ±âº» ÀåºñÇ° »óÀÚ.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12848: {
			unidentifiedDisplayName: "ÆÈÄÜ ÇÇ¸®",
			unidentifiedResourceName: "\xb4\xc1\xb4\xeb\xc7\xc7\xb8\xae",
			unidentifiedDescriptionName: [
				"¼÷´ÞµÈ »ç³É²ÛÀÌ ±æµéÀÎ ÆÈÄÜµé¸¸ µéÀ» ¼ö ÀÖ´Â Æ¯¼öÇÑ ¼Ò¸®¸¦ °¡Áø ÇÇ¸®.",
				"¹«°Ô : ^7777770^000000",
			],
			identifiedDisplayName: "ÆÈÄÜ ÇÇ¸®",
			identifiedResourceName: "\xb4\xc1\xb4\xeb\xc7\xc7\xb8\xae",
			identifiedDescriptionName: [
				"¼÷´ÞµÈ »ç³É²ÛÀÌ ±æµéÀÎ ÆÈÄÜµé¸¸ µéÀ» ¼ö ÀÖ´Â Æ¯¼öÇÑ ¼Ò¸®¸¦ °¡Áø ÇÇ¸®.",
				"¹«°Ô : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12849: {
			unidentifiedDisplayName: "Á¶ÇÕ¿ë Å°Æ®",
			unidentifiedResourceName: "\xbc\xf6\xb8\xae\xbf\xeb\xc5\xb0\xc6\xae",
			unidentifiedDescriptionName: [
				"¿©·¯°¡Áö ¾ÆÀÌÅÛµéÀ» ÀÌ·¸°Ô Àú·¸°Ô ±×·¸°Ô Á¶ÇÕÇÏ°Å³ª º¯È¯ÇÒ ¼ö ÀÖµµ·Ï °¢Á¾ µµ±¸µéÀ» ¸ð¾ÆµÐ Å°Æ®. ¾îÂ°¼­ÀÎÁö Á¶¸®µµ±¸±îÁö ¸ð¾ÆµÐ °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Á¶ÇÕ¿ë Å°Æ®",
			identifiedResourceName: "\xbc\xf6\xb8\xae\xbf\xeb\xc5\xb0\xc6\xae",
			identifiedDescriptionName: [
				"¿©·¯°¡Áö ¾ÆÀÌÅÛµéÀ» ÀÌ·¸°Ô Àú·¸°Ô ±×·¸°Ô Á¶ÇÕÇÏ°Å³ª º¯È¯ÇÒ ¼ö ÀÖµµ·Ï °¢Á¾ µµ±¸µéÀ» ¸ð¾ÆµÐ Å°Æ®. ¾îÂ°¼­ÀÎÁö Á¶¸®µµ±¸±îÁö ¸ð¾ÆµÐ °Í °°´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12854: {
			unidentifiedDisplayName: "Ç³¼ºÇÑ ²É°¡Áö",
			unidentifiedResourceName: "\xc4\xbf\xb4\xd9\xb6\xf5\xb2\xc9\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"²É°¡Áö ¿©·¯°³¸¦ ÀåÀÎÀÌ ÇÑ¶¡ÇÑ¶¡ Á¤¼º½º·´°Ô µ¡ºÙ¿© ¾ÆÁÖ Ç³¼ºÇÏ°Ô ¸¸µé¾ú´Ù.",
				"60ºÐ°£ Flee 10, ¿ÏÀüÈ¸ÇÇ + 1 »ó½Â.",
				"^ffffff_^000000",
				"¹«°Ô : ^77777710^000000",
			],
			identifiedDisplayName: "Ç³¼ºÇÑ ²É°¡Áö",
			identifiedResourceName: "\xc4\xbf\xb4\xd9\xb6\xf5\xb2\xc9\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"²É°¡Áö ¿©·¯°³¸¦ ÀåÀÎÀÌ ÇÑ¶¡ÇÑ¶¡ Á¤¼º½º·´°Ô µ¡ºÙ¿© ¾ÆÁÖ Ç³¼ºÇÏ°Ô ¸¸µé¾ú´Ù.",
				"60ºÐ°£ Flee 10, ¿ÏÀüÈ¸ÇÇ + 1 »ó½Â.",
				"^ffffff_^000000",
				"¹«°Ô : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12855: {
			unidentifiedDisplayName: "±³È²½ºÅ©·Ñ",
			unidentifiedResourceName: "\xb1\xb3\xc8\xb2\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ ¾Æ·ç³ªÆçÃ÷ ±³±¹ ½ºÅ©·Ñ.",
				"´Ã¾îÁø ±³È²¸ðÀÚ, ¹«±â 11Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 11Á¦·Ã º¸Àå±Ç, ¼öÈ£ÀÇ ¹ÝÁö, ¸¶·Â ±êµç Ä«µåÃ¸ µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "±³È²½ºÅ©·Ñ",
			identifiedResourceName: "\xb1\xb3\xc8\xb2\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±â°£ ÇÑÁ¤ ¾Æ·ç³ªÆçÃ÷ ±³±¹ ½ºÅ©·Ñ.",
				"´Ã¾îÁø ±³È²¸ðÀÚ, ¹«±â 11Á¦·Ã º¸Àå±Ç, ¹æ¾î±¸ 11Á¦·Ã º¸Àå±Ç, ¼öÈ£ÀÇ ¹ÝÁö, ¸¶·Â ±êµç Ä«µåÃ¸ µîµî ¿©·¯°¡Áö Èñ±ÍÇÑ ¾ÆÀÌÅÛ Áß ÇÏ³ª¸¦ ¾òÀ» ¼ö ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12859: {
			unidentifiedDisplayName: "Spring Lucky Pack",
			unidentifiedResourceName: "\x73\x75\x6d\x6d\x65\x72\x5f\x70\x61\x63\x6b",
			unidentifiedDescriptionName: [
				"The Spring Lucky Box contains many items of pure win.  It is advised to use with caution.",
				"Spring Lucky Box is not meant to be consumed internally.",
				"^FFFFFF_^000000",
				"Opening this randomly give you one of the following item sets",
				"- 1x Heroic Desocketing Book",
				"- 1x Slotting Advertisement",
				"- 1x Party Hard Pack",
				"- 1x +20 Basic Food Pack",
				"- 1x Party Buff Scroll Pack",
				"- 1x Class Set Card Album",
				"- 2x Battle Manual X3",
				"- 10x Fencer Scroll",
				"- 30x KVM Badge",
				"- 1500x Prize Medal",
				"- 1x Archangel Wing",
				"- 1x Blue Tiger Mask",
				"- 1x Mini Glasses [1]",
				"- 1x Red Wing Hat [1]",
				"- 1x Taurus Crown",
				"- 1x Taurus Diadem",
				"- 1x Aries Crown",
				"- 1x Aries Diadem",
				"^FFFFFF_^000000",
				"^FF0000This item cannot be traded, but may be stored.^000000",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Spring Lucky Pack",
			identifiedResourceName: "\x73\x75\x6d\x6d\x65\x72\x5f\x70\x61\x63\x6b",
			identifiedDescriptionName: [
				"Available ^ff0000April 11 - April 24th 2012^000000. The Spring Lucky Pack also can be bought at a slight discount via the Spring Lucky Crate which also contains 1 Safe to 10 Certificate.",
				"Grandma Boxter is in and surely she would love some of these items too!",
				"^FFFFFF_^000000",
				"Opening this randomly give you one of the following item sets",
				"- 1x Heroic Desocketing Book",
				"- 1x Slotting Advertisement",
				"- 1x Party Hard Pack",
				"- 1x +20 Basic Food Pack",
				"- 1x Party Buff Scroll Pack",
				"- 1x Class Set Card Album",
				"- 2x Battle Manual X3",
				"- 10x Fencer Scroll",
				"- 30x KVM Badge",
				"- 1500x Prize Medal",
				"- 1x Archangel Wing",
				"- 1x Blue Tiger Mask",
				"- 1x Mini Glasses [1]",
				"- 1x Red Wing Hat [1]",
				"- 1x Taurus Crown",
				"- 1x Taurus Diadem",
				"- 1x Aries Crown",
				"- 1x Aries Diadem",
				"^FFFFFF_^000000",
				"^FF0000This item cannot be traded, but may be stored.^000000",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12900: {
			unidentifiedDisplayName: "Battle Manual Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Field Manual books inside.",
				"^ffffff_^000000",
				"Field Manual - EXP rate is increased to 50% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Battle Manual Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Field Manual books inside.",
				"^ffffff_^000000",
				"Field Manual - EXP rate is increased to 50% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12901: {
			unidentifiedDisplayName: "Insurance Package",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Life Insurances inside.",
				"^ffffff_^000000",
				"Life insurance - Within the active duration of 30 minutes, player will not lose any experience the first time he is KO'ed. Valid for just once.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Insurance Package",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Life Insurances inside.",
				"^ffffff_^000000",
				"Life insurance - Within the active duration of 30 minutes, player will not lose any experience the first time he is KO'ed. Valid for just once.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12902: {
			unidentifiedDisplayName: "Bubble Gum Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 tasty Bubble Gums.",
				"^ffffff_^000000",
				"Bubble gum - Item drop rate increase by 100% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bubble Gum Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 tasty Bubble Gums.",
				"^ffffff_^000000",
				"Bubble gum - Item drop rate increase by 100% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12903: {
			unidentifiedDisplayName: "Steamed Tongue Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Tongue Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12904: {
			unidentifiedDisplayName: "Steamed Scorpion Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Scorpion Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12905: {
			unidentifiedDisplayName: "Dragon Breath Cocktail Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Breath Cocktail Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12906: {
			unidentifiedDisplayName: "Hwergelmir's Tonic Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hwergelmir's Tonic Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12907: {
			unidentifiedDisplayName: "Nine Tail Dish Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nine Tail Dish Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12908: {
			unidentifiedDisplayName: "Stew Of Immortality Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stew Of Immortality Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12909: {
			unidentifiedDisplayName: "Kafra Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Kafra Cards.",
				"^ffffff_^000000",
				"Kafra Card - Kafra will be in service when used.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kafra Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Kafra Cards.",
				"^ffffff_^000000",
				"Kafra Card - Kafra will be in service when used.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12910: {
			unidentifiedDisplayName: "Giant Fly Wing Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A light box containing 10 Giant Fly Wings.",
				"^ffffff_^000000",
				"Giant Fly Wing - Allows to teleport many people at once to random areas when used by party master.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Fly Wing Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A light box containing 10 Giant Fly Wings.",
				"^ffffff_^000000",
				"Giant Fly Wing - Allows to teleport many people at once to random areas when used by party master.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12911: {
			unidentifiedDisplayName: "Neuralizer Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Neuralizer inside. Please take a care because is fragile.",
				"^ffffff_^000000",
				"Neuralizer - Resets the skill tree and gives corresponding points.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neuralizer Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Neuralizer inside. Please take a care because is fragile.",
				"^ffffff_^000000",
				"Neuralizer - Resets the skill tree and gives corresponding points.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12912: {
			unidentifiedDisplayName: "Convex Mirror Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Convex Mirrors. Please take a care because is fragile.",
				"^ffffff_^000000",
				"Convex Mirror - The person in possession of the mirror can detect the appearance of the boss monsters.",
				"It has 10 minutes duration and the effect is removed when the player goes out of the map after using the item or quit the game.",
				"Some of the MVP monsters can not be detected.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Convex Mirror Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Convex Mirrors. Please take a care because is fragile.",
				"^ffffff_^000000",
				"Convex Mirror - The person in possession of the mirror can detect the appearance of the boss monsters.",
				"It has 10 minutes duration and the effect is removed when the player goes out of the map after using the item or quit the game.",
				"Some of the MVP monsters can not be detected.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12913: {
			unidentifiedDisplayName: "Blessing 10 Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blessing 10 Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12914: {
			unidentifiedDisplayName: "Increase AGI 10 scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Increase AGI 10 scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12915: {
			unidentifiedDisplayName: "Aspersio 5 Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Aspersio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aspersio 5 Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Aspersio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12916: {
			unidentifiedDisplayName: "Assumptio 5 Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Assumptio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Assumptio 5 Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Assumptio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12917: {
			unidentifiedDisplayName: "Wind Walk 10 Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wind Walk 10 Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12918: {
			unidentifiedDisplayName: "Adrenaline 5 Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Adrenaline 5 Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12919: {
			unidentifiedDisplayName: "Megaphone Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Megaphones.",
				"^ffffff_^000000",
				"Megaphone - Allows server-wide broadcasting.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Megaphone Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Megaphones.",
				"^ffffff_^000000",
				"Megaphone - Allows server-wide broadcasting.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12920: {
			unidentifiedDisplayName: "Enriched Elunium Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Enriched Eluniums.",
				"^ffffff_^000000",
				"Enriched Elunium - Rate of refining an armor, without breaking it, will increase.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Enriched Elunium Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Enriched Eluniums.",
				"^ffffff_^000000",
				"Enriched Elunium - Rate of refining an armor, without breaking it, will increase.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12921: {
			unidentifiedDisplayName: "Enriched Oridecon Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Enriched Oridecon.",
				"^ffffff_^000000",
				"Enriched Oridecon - Rate of refining a weapon, without breaking it, will increase.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Enriched Oridecon Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Enriched Oridecon.",
				"^ffffff_^000000",
				"Enriched Oridecon - Rate of refining a weapon, without breaking it, will increase.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12922: {
			unidentifiedDisplayName: "Token of Siegfried Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Tokens of Ziegfried.",
				"^ffffff_^000000",
				"Token of Ziegfried - Revives the dead character when player is KO'ed.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Token of Siegfried Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Tokens of Ziegfried.",
				"^ffffff_^000000",
				"Token of Ziegfried - Revives the dead character when player is KO'ed.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12923: {
			unidentifiedDisplayName: "December Lucky Box",
			unidentifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x31",
			unidentifiedDescriptionName: [
				"A box containing 1 Elegant Shaped Pet Egg Scroll.",
				"(All transfer methods except Trade, Cart, and Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "December Lucky Box",
			identifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x31",
			identifiedDescriptionName: [
				"A box containing 1 Elegant Shaped Pet Egg Scroll.",
				"(All transfer methods except Trade, Cart, and Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12924: {
			unidentifiedDisplayName: "Pet Egg Box 2",
			unidentifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x32",
			unidentifiedDescriptionName: [
				"A box containing 1 Transparent Pet Egg Scroll.",
				"(All transfer methods except Trade, Cart, and Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Anniversary Destiny Crate",
			identifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x32",
			identifiedDescriptionName: [
				"A box containing 1 Transparent Pet Egg Scroll.",
				"(All transfer methods except Trade, Cart, and Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12925: {
			unidentifiedDisplayName: "Kafra Item Mall Prize Package",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"Elegant Shaped Pet Egg Scroll. User will receive various interesting items.",
				"(All transfer methods except Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kafra Item Mall Prize Package",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"Elegant Shaped Pet Egg Scroll. User will receive various interesting items.",
				"(All transfer methods except Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12926: {
			unidentifiedDisplayName: "December Lucky Box",
			unidentifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"Transparent Pet Egg Scroll. User will receive various interesting items.",
				"(All transfer methods except Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Anniversary Destiny Box",
			identifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"Transparent Pet Egg Scroll. User will receive various interesting items.",
				"(All transfer methods except Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12927: {
			unidentifiedDisplayName: "Aspersio Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Aspersio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aspersio Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Aspersio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12928: {
			unidentifiedDisplayName: "Sacred Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Aspersio^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sacred Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Aspersio^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12929: {
			unidentifiedDisplayName: "Pet Egg Box 3",
			unidentifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x33",
			unidentifiedDescriptionName: [
				"A box containing 1 Sturdy Pet Egg Scroll.",
				"(All transfer methods except Trade, Cart, and Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pet Egg Box 3",
			identifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x33",
			identifiedDescriptionName: [
				"A box containing 1 Sturdy Pet Egg Scroll.",
				"(All transfer methods except Trade, Cart, and Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12930: {
			unidentifiedDisplayName: "Pet Egg Box 4",
			unidentifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x34",
			unidentifiedDescriptionName: [
				"A box containing 1 Plain Pet Egg Scroll.",
				"(All transfer methods except Trade, Cart, and Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pet Egg Box 4",
			identifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x34",
			identifiedDescriptionName: [
				"A box containing 1 Plain Pet Egg Scroll.",
				"(All transfer methods except Trade, Cart, and Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12931: {
			unidentifiedDisplayName: "Pet Egg Box 5",
			unidentifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x35",
			unidentifiedDescriptionName: [
				"A box containing 1 Odd Shaped Pet Egg Scroll.",
				"(All transfer methods except Trade, Cart, and Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Playspan 5x Easter Lucky Pack",
			identifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x35",
			identifiedDescriptionName: [
				"A box containing 1 Odd Shaped Pet Egg Scroll.",
				"(All transfer methods except Trade, Cart, and Kafra Storage are locked)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12932: {
			unidentifiedDisplayName: "Episode 13.2 Key Package",
			unidentifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A solid looking Pet Egg Scroll that might produce a Pink Dropping Kitty.",
				"Can not be traded or dropped.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Episode 13.2 Key Package",
			identifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A solid looking Pet Egg Scroll that might produce a Pink Dropping Kitty.",
				"Can not be traded or dropped.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12933: {
			unidentifiedDisplayName: "Pet Egg 4",
			unidentifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A regular looking Pet Egg Scroll that might produce a Pink Fur Hat.",
				"Can not be traded or dropped.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Summer Hat Pack",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A regular looking Pet Egg Scroll that might produce a Pink Fur Hat.",
				"Can not be traded or dropped.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12934: {
			unidentifiedDisplayName: "Pet Egg 5",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A strange looking Pet Egg Scroll that might produce a Mini Propper or White Wizardry Hat.",
				"Can not be traded or dropped.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Easter Lucky Pack",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A strange looking Pet Egg Scroll that might produce a Mini Propper or White Wizardry Hat.",
				"Can not be traded or dropped.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12935: {
			unidentifiedDisplayName: "Infiltrator Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Infiltrator. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Infiltrator Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Infiltrator. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12936: {
			unidentifiedDisplayName: "Muramasa Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Muramasa. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Muramasa Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Muramasa. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12937: {
			unidentifiedDisplayName: "Excalibur Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Excalibur. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Excalibur Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Excalibur. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12938: {
			unidentifiedDisplayName: "Combat Knife Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Combat Knife. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Combat Knife Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Combat Knife. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12939: {
			unidentifiedDisplayName: "Dagger of Counter Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Dagger of Counter. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dagger of Counter Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Dagger of Counter. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12940: {
			unidentifiedDisplayName: "Kaiser Knuckle Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Kaiser Knuckle. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kaiser Knuckle Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Kaiser Knuckle. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12941: {
			unidentifiedDisplayName: "Poll Axe Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Pole Axe. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poll Axe Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Pole Axe. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12942: {
			unidentifiedDisplayName: "Mighty Staff Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Mighty Staff. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mighty Staff Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Mighty Staff. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12943: {
			unidentifiedDisplayName: "Light Epsilon Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Light Epsilon. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Epsilon Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Light Epsilon. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12944: {
			unidentifiedDisplayName: "Ballista Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Ballista. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ballista Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Ballista. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12945: {
			unidentifiedDisplayName: "Sage's Diary Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Sage's Diary. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sage's Diary Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Sage's Diary. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12946: {
			unidentifiedDisplayName: "Asura Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Ashura. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Asura Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Ashura. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12947: {
			unidentifiedDisplayName: "Apple of Archer Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Apple of Archer. Please take a care because is fragile.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Apple of Archer Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Apple of Archer. Please take a care because is fragile.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12948: {
			unidentifiedDisplayName: "Bunny Band Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Bunny Band. Please take a care because is fragile.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bunny Band Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Bunny Band. Please take a care because is fragile.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12949: {
			unidentifiedDisplayName: "Sakkat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Sakkat. Please take a care because is fragile.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sakkat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Sakkat. Please take a care because is fragile.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12950: {
			unidentifiedDisplayName: "Grand Circlet Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Grand Circlet. Please take a care because is fragile.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Grand Circlet Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Grand Circlet. Please take a care because is fragile.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12951: {
			unidentifiedDisplayName: "Elven Ears Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Elven Ears. Please take a care because is fragile.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elven Ears Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Elven Ears. Please take a care because is fragile.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12952: {
			unidentifiedDisplayName: "Steel Flower Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Romantic Flower. Please take a care because is fragile.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steel Flower Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Romantic Flower. Please take a care because is fragile.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12953: {
			unidentifiedDisplayName: "Critical Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Critical Ring. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Critical Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Critical Ring. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12954: {
			unidentifiedDisplayName: "Earring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Earring. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Earring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Earring. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12955: {
			unidentifiedDisplayName: "Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Ring. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Ring. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12956: {
			unidentifiedDisplayName: "Necklace Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Necklace. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Necklace Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Necklace. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12957: {
			unidentifiedDisplayName: "Glove Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Glove. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glove Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Glove. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12958: {
			unidentifiedDisplayName: "Brooch Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Brooch. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Brooch Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Brooch. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12959: {
			unidentifiedDisplayName: "Rosary Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Rosary. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rosary Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Rosary. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12960: {
			unidentifiedDisplayName: "Safety Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Safety Ring. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Safety Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Safety Ring. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12961: {
			unidentifiedDisplayName: "Vesper Core 01 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 01. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vesper Core 01 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 01. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12962: {
			unidentifiedDisplayName: "Vesper Core 02 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 02. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vesper Core 02 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 02. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12963: {
			unidentifiedDisplayName: "Vesper Core 03 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 03. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vesper Core 03 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 03. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12964: {
			unidentifiedDisplayName: "Vesper Core 04 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 04. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vesper Core 04 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 04. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12965: {
			unidentifiedDisplayName: "Emergency Call  Scroll Lv.1 Box",
			unidentifiedResourceName: "\xc0\xcc\xb8\xd3\xc0\xfc\xbd\xc3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing Level 1 Emergency Call Scroll.",
				"Able to summon 7 online Guild Member. Only applicable for Guild Leader.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Emergency Call  Scroll Lv.1 Box",
			identifiedResourceName: "\xc0\xcc\xb8\xd3\xc0\xfc\xbd\xc3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing Level 1 Emergency Call Scroll.",
				"Able to summon 7 online Guild Member. Only applicable for Guild Leader.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12966: {
			unidentifiedDisplayName: "Emergency Call  Scroll Lv.2 Box",
			unidentifiedResourceName: "\xc0\xcc\xb8\xd3\xc0\xfc\xbd\xc3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing Level 2 Emergency Call Scroll.",
				"Able to summon 12 online Guild Member. Only applicable for Guild Leader.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Emergency Call  Scroll Lv.2 Box",
			identifiedResourceName: "\xc0\xcc\xb8\xd3\xc0\xfc\xbd\xc3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing Level 2 Emergency Call Scroll.",
				"Able to summon 12 online Guild Member. Only applicable for Guild Leader.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12967: {
			unidentifiedDisplayName: "Emergency Call  Scroll Lv.3 Box",
			unidentifiedResourceName: "\xc0\xcc\xb8\xd3\xc0\xfc\xbd\xc3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing Level 3 Emergency Call Scroll.",
				"Able to summon 20 online Guild Member. Only applicable for Guild Leader.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Emergency Call  Scroll Lv.3 Box",
			identifiedResourceName: "\xc0\xcc\xb8\xd3\xc0\xfc\xbd\xc3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing Level 3 Emergency Call Scroll.",
				"Able to summon 20 online Guild Member. Only applicable for Guild Leader.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12968: {
			unidentifiedDisplayName: "Emergency Call  Scroll Lv.1",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"An Emergency skill Level 1 Scroll.",
				"Able to summon 7 online Guild Member. Only applicable for Guild Leader.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Emergency Call  Scroll Lv.1",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"An Emergency skill Level 1 Scroll.",
				"Able to summon 7 online Guild Member. Only applicable for Guild Leader.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12969: {
			unidentifiedDisplayName: "Emergency Call  Scroll Lv.2",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"An Emergency skill Level 2 Scroll.",
				"Able to summon 12 online Guild Member. Only applicable for Guild Leader.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Emergency Call  Scroll Lv.2",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"An Emergency skill Level 2 Scroll.",
				"Able to summon 12 online Guild Member. Only applicable for Guild Leader.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12970: {
			unidentifiedDisplayName: "Emergency Call  Scroll Lv.3",
			unidentifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			unidentifiedDescriptionName: [
				"An Emergency skill Level 3 Scroll.",
				"Able to summon 20 online Guild Member. Only applicable for Guild Leader.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Emergency Call  Scroll Lv.3",
			identifiedResourceName: "\xc1\xd6\xb9\xae\xbc\xad\xb4\xd9\xb9\xdf",
			identifiedDescriptionName: [
				"An Emergency skill Level 3 Scroll.",
				"Able to summon 20 online Guild Member. Only applicable for Guild Leader.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12971: {
			unidentifiedDisplayName: "Warp Scroll Box",
			unidentifiedResourceName: "\xb0\xf8\xb0\xa3\xc0\xcc\xb5\xbf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Teleport Scroll.",
				"Allow character to teleport to the save point, Prontera, Geffen, Al De Baran and Izlude.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Warp Scroll Box",
			identifiedResourceName: "\xb0\xf8\xb0\xa3\xc0\xcc\xb5\xbf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Teleport Scroll.",
				"Allow character to teleport to the save point, Prontera, Geffen, Al De Baran and Izlude.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12972: {
			unidentifiedDisplayName: "Warp Scroll Box",
			unidentifiedResourceName: "\xb0\xf8\xb0\xa3\xc0\xcc\xb5\xbf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Teleport Scroll.",
				"Allow character to teleport to the save point, Payon, Alberta, Morocc and Comodo Island.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Warp Scroll Box",
			identifiedResourceName: "\xb0\xf8\xb0\xa3\xc0\xcc\xb5\xbf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Teleport Scroll.",
				"Allow character to teleport to the save point, Payon, Alberta, Morocc and Comodo Island.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12973: {
			unidentifiedDisplayName: "Warp Scroll Box",
			unidentifiedResourceName: "\xb0\xf8\xb0\xa3\xc0\xcc\xb5\xbf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Teleport Scroll.",
				"Allow character to teleport to the save point, Dragon City, Gonryun, Amatsu and Ayothaya.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Warp Scroll Box",
			identifiedResourceName: "\xb0\xf8\xb0\xa3\xc0\xcc\xb5\xbf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Teleport Scroll.",
				"Allow character to teleport to the save point, Dragon City, Gonryun, Amatsu and Ayothaya.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12974: {
			unidentifiedDisplayName: "Warp Scroll Box",
			unidentifiedResourceName: "\xb0\xf8\xb0\xa3\xc0\xcc\xb5\xbf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Teleport Scroll.",
				"Allow character to teleport to the save point, Lutie, Umbala and Niflheim.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Warp Scroll Box",
			identifiedResourceName: "\xb0\xf8\xb0\xa3\xc0\xcc\xb5\xbf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Teleport Scroll.",
				"Allow character to teleport to the save point, Lutie, Umbala and Niflheim.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12975: {
			unidentifiedDisplayName: "Warp Scroll Box",
			unidentifiedResourceName: "\xb0\xf8\xb0\xa3\xc0\xcc\xb5\xbf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Teleport Scroll.",
				"Allow character to teleport to the save point, Juno, Einbroch, Lighthalzen and Hugel.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Warp Scroll Box",
			identifiedResourceName: "\xb0\xf8\xb0\xa3\xc0\xcc\xb5\xbf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Teleport Scroll.",
				"Allow character to teleport to the save point, Juno, Einbroch, Lighthalzen and Hugel.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12976: {
			unidentifiedDisplayName: "Warp Scroll Box",
			unidentifiedResourceName: "\xb0\xf8\xb0\xa3\xc0\xcc\xb5\xbf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Teleport Scroll.",
				"Allow character to teleport to the save point, Rachel,Veins.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Warp Scroll Box",
			identifiedResourceName: "\xb0\xf8\xb0\xa3\xc0\xcc\xb5\xbf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Teleport Scroll.",
				"Allow character to teleport to the save point, Rachel,Veins.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12977: {
			unidentifiedDisplayName: "Warp Scroll",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that contains the skill of ^008800Teleportation^000000. The word written on it can not be identified.",
				"Allow character to teleport to the save point, Prontera, Geffen, Al De Baran and Izlude.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Warp Scroll",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that contains the skill of ^008800Teleportation^000000. The word written on it can not be identified.",
				"Allow character to teleport to the save point, Prontera, Geffen, Al De Baran and Izlude.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12978: {
			unidentifiedDisplayName: "Warp Scroll",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that contains the skill of ^008800Teleportation^000000. The word written on it can not be identified.",
				"Allow character to teleport to the save point, Payon, Alberta, Morocc and Comodo Island.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Warp Scroll",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that contains the skill of ^008800Teleportation^000000. The word written on it can not be identified.",
				"Allow character to teleport to the save point, Payon, Alberta, Morocc and Comodo Island.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12979: {
			unidentifiedDisplayName: "Warp Scroll",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that contains the skill of ^008800Teleportation^000000. The word written on it can not be identified.",
				"Allow character to teleport to the save point, Dragon City, Gonryun, Amatsu and Ayothaya.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Warp Scroll",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that contains the skill of ^008800Teleportation^000000. The word written on it can not be identified.",
				"Allow character to teleport to the save point, Dragon City, Gonryun, Amatsu and Ayothaya.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12980: {
			unidentifiedDisplayName: "Warp Scroll",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that contains the skill of ^008800Teleportation^000000. The word written on it can not be identified.",
				"Allow character to teleport to the save point, Lutie, Umbala and Niflheim.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Warp Scroll",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that contains the skill of ^008800Teleportation^000000. The word written on it can not be identified.",
				"Allow character to teleport to the save point, Lutie, Umbala and Niflheim.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12981: {
			unidentifiedDisplayName: "Warp Scroll",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that contains the skill of ^008800Teleportation^000000. The word written on it can not be identified.",
				"Allow character to teleport to the save point, Juno, Einbroch, Lighthalzen and Hugel.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Warp Scroll",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that contains the skill of ^008800Teleportation^000000. The word written on it can not be identified.",
				"Allow character to teleport to the save point, Juno, Einbroch, Lighthalzen and Hugel.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12982: {
			unidentifiedDisplayName: "Warp Scroll",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that contains the skill of ^008800Teleportation^000000. The word written on it can not be identified.",
				"Allow character to teleport to the save point, Rachel,Veins.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Warp Scroll",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that contains the skill of ^008800Teleportation^000000. The word written on it can not be identified.",
				"Allow character to teleport to the save point, Rachel,Veins.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12983: {
			unidentifiedDisplayName: "Christmas Holiday Crate",
			unidentifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x36",
			unidentifiedDescriptionName: [
				"A mysterious box containing 1 Pet Egg Scroll with the chance of obtaining",
				"Evolved Orc Hero Helm or other Evolved Headgear.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Christmas Holiday Crate",
			identifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x36",
			identifiedDescriptionName: [
				"A mysterious box containing 1 Pet Egg Scroll with the chance of obtaining",
				"Evolved Orc Hero Helm or other Evolved Headgear.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12984: {
			unidentifiedDisplayName: "Pet Egg Scroll Box 7",
			unidentifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x37",
			unidentifiedDescriptionName: [
				"A mysterious box containing 1 Pet Egg Scroll with the chance of obtaining",
				"Succubus Card, Incubus Card or Evolved Headgear.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Halloween Spooky Crate",
			identifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x37",
			identifiedDescriptionName: [
				"A mysterious box containing 1 Pet Egg Scroll with the chance of obtaining",
				"Succubus Card, Incubus Card or Evolved Headgear.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12985: {
			unidentifiedDisplayName: "Pet Egg Scroll Box 8",
			unidentifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x38",
			unidentifiedDescriptionName: [
				"A mysterious box containing 1 Pet Egg Scroll with the chance of obtaining",
				"Silver Tiara, Neuralizer or Evolved Headgear.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Summer Lucky Crate",
			identifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x38",
			identifiedDescriptionName: [
				"A mysterious box containing 1 Pet Egg Scroll with the chance of obtaining",
				"Silver Tiara, Neuralizer or Evolved Headgear.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12986: {
			unidentifiedDisplayName: "Adventurer Pack Box",
			unidentifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x39",
			unidentifiedDescriptionName: [
				"A mysterious box containing 1 Pet Egg Scroll with the chance of obtaining",
				"Dark Illusion Card,Dark Lord Card or Neuralizer.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Adventurer Pack Box",
			identifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x39",
			identifiedDescriptionName: [
				"A mysterious box containing 1 Pet Egg Scroll with the chance of obtaining",
				"Dark Illusion Card,Dark Lord Card or Neuralizer.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12987: {
			unidentifiedDisplayName: "Pet Egg Scroll Box 10",
			unidentifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x31\x30",
			unidentifiedDescriptionName: [
				"A mysterious box containing 1 Pet Egg Scroll with the chance of obtaining",
				"An Injustice Card,Zherlthsh Card,or Evolved Headgear.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pet Egg Scroll Box 10",
			identifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x31\x30",
			identifiedDescriptionName: [
				"A mysterious box containing 1 Pet Egg Scroll with the chance of obtaining",
				"An Injustice Card,Zherlthsh Card,or Evolved Headgear.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12988: {
			unidentifiedDisplayName: "Pet Egg Scroll Box 11",
			unidentifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x31\x31",
			unidentifiedDescriptionName: [
				"A mysterious box containing 1 Pet Egg Scroll with the chance of obtaining",
				"Slippers,an Owl Baron Card,or an Owl Duke Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pet Egg Scroll Box 11",
			identifiedResourceName: "\xc6\xea\xbe\xcb\xbd\xba\xc5\xa9\xb7\xd1\xbb\xf3\xc0\xda\x31\x31",
			identifiedDescriptionName: [
				"A mysterious box containing 1 Pet Egg Scroll with the chance of obtaining",
				"Slippers,an Owl Baron Card,or an Owl Duke Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12989: {
			unidentifiedDisplayName: "Christmas Holiday Box",
			unidentifiedResourceName: "\xb5\xb6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A Pet Egg Scroll that seems to contain some dangerous items.",
				"You might get something fairly nice if you use it.",
				"Can not be traded or dropped,but can be placed in Kafra Storage.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Christmas Holiday Box",
			identifiedResourceName: "\xb5\xb6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A Pet Egg Scroll that seems to contain some dangerous items.",
				"You might get something fairly nice if you use it.",
				"Can not be traded or dropped,but can be placed in Kafra Storage.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12990: {
			unidentifiedDisplayName: "Pet Egg Scroll 7",
			unidentifiedResourceName: "\xbc\xba\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A Pet Egg Scroll that to contain holy items.",
				"You might get something fairly nice if you use it.",
				"Can not be traded or dropped,but can be placed in Kafra Storage.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Halloween Spooky Pack",
			identifiedResourceName: "\xbc\xba\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A Pet Egg Scroll that to contain holy items.",
				"You might get something fairly nice if you use it.",
				"Can not be traded or dropped,but can be placed in Kafra Storage.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12991: {
			unidentifiedDisplayName: "Party Hard Pack",
			unidentifiedResourceName: "\xbe\xf0\xb5\xa5\xb5\xe5\xbe\xcb",
			unidentifiedDescriptionName: [
				"A Pet Egg Scroll that seems to contain items that look special, but are a bit broken.",
				"You might get something fairly nice if you use it.",
				"Can not be traded or dropped,but can be placed in Kafra Storage.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Party Hard Pack",
			identifiedResourceName: "\xbe\xf0\xb5\xa5\xb5\xe5\xbe\xcb",
			identifiedDescriptionName: [
				"A Pet Egg Scroll that seems to contain items that look special, but are a bit broken.",
				"You might get something fairly nice if you use it.",
				"Can not be traded or dropped,but can be placed in Kafra Storage.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12992: {
			unidentifiedDisplayName: "Adventurer Pack",
			unidentifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A Pet Egg Scroll that seems to contain some mysterious items.",
				"You might get something fairly nice if you use it.",
				"Can not be traded or dropped,but can be placed in Kafra Storage.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Adventurer Pack",
			identifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A Pet Egg Scroll that seems to contain some mysterious items.",
				"You might get something fairly nice if you use it.",
				"Can not be traded or dropped,but can be placed in Kafra Storage.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12993: {
			unidentifiedDisplayName: "Pet Egg Scroll 10",
			unidentifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A Pet Egg Scroll that seems to contain elegant items.",
				"You might get something fairly nice if you use it.",
				"Can not be traded or dropped,but can be placed in Kafra Storage.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Party Buff Scroll Pack",
			identifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A Pet Egg Scroll that seems to contain elegant items.",
				"You might get something fairly nice if you use it.",
				"Can not be traded or dropped,but can be placed in Kafra Storage.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12994: {
			unidentifiedDisplayName: "HD Elunium 10 Box",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A Pet Egg Scroll that seems to contain some beautiful items.",
				"You might get something fairly nice if you use it.",
				"Can not be traded or dropped,but can be placed in Kafra Storage.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Elunium 10 Box",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A Pet Egg Scroll that seems to contain some beautiful items.",
				"You might get something fairly nice if you use it.",
				"Can not be traded or dropped,but can be placed in Kafra Storage.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12995: {
			unidentifiedDisplayName: "White Herb Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box designed to preserve its contents,15 White Herbs.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "White Herb Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box designed to preserve its contents,15 White Herbs.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12996: {
			unidentifiedDisplayName: "Blue Herb Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box designed to preserve its contents,15 Blue Herbs.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Herb Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box designed to preserve its contents,15 Blue Herbs.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12997: {
			unidentifiedDisplayName: "Elunium Box",
			unidentifiedResourceName: "\xba\xad\xb6\xf4\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box designed to retain the sterling condition of the 5 Elunium that is contained inside it.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elunium Box",
			identifiedResourceName: "\xba\xad\xb6\xf4\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box designed to retain the sterling condition of the 5 Elunium that is contained inside it.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12998: {
			unidentifiedDisplayName: "Oridecon Box",
			unidentifiedResourceName: "\xba\xad\xb6\xf4\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box designed to retain the sterling condition of the 5 Oridecons that are contained inside it.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Oridecon Box",
			identifiedResourceName: "\xba\xad\xb6\xf4\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box designed to retain the sterling condition of the 5 Oridecons that are contained inside it.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		12999: {
			unidentifiedDisplayName: "Dead Branch Box",
			unidentifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 3 Dead Branches that evokes an impending sense of danger.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dead Branch Box",
			identifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 3 Dead Branches that evokes an impending sense of danger.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13000: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jujube Dagger",
			identifiedResourceName: "\xb4\xeb\xc3\xdf\xb3\xaa\xb9\xab\xb4\xdc\xb0\xcb",
			identifiedDescriptionName: [
				"A dagger whose hilt was made when lightning struck the Jujube tree. You can still feel the power of the thunder in it.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 39^000000",
				"Weight :^777777 60^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13001: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dragon Killer",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc5\xb3\xb7\xaf",
			identifiedDescriptionName: [
				"A dagger made from a dragon fang that can slash a dragon's tough skin without any difficulty.",
				"Pierces Defense of Dragon monster.",
				"Receive 10% more Experience Points from Dragon monsters.",
				"[^000088Dragon Killer & Dragon's Breath Equip Set^000000]",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 90^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13002: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ginnungagap",
			identifiedResourceName: "\xb0\xa3\xb4\xb1\xb0\xa1\xb0\xa1\xc7\xc1",
			identifiedDescriptionName: [
				"A dagger with an unnaturally dark colored blade. Those who hold it instinctively sense the danger and risk of wielding this weapon.",
				"^880000Blind^000000 an enemy when you attack (Success Chance 5%).",
				"^880000Blind^000000 yourself when attacking (Success Chance 0.5%).",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 148^000000",
				"Weight :^777777 70^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13003: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cowardice Blade",
			identifiedResourceName: "\xc4\xda\xbf\xf6\xb5\xe5",
			identifiedDescriptionName: [
				"This dagger is made by one cowardly assassin, that always had a problem with not being able to carry a shield.",
				"Out of sheer desperation in wanting to live, he made this dagger.",
				"DEF + 5",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 70^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Thief Class, Ninja^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13004: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cowardice Blade",
			identifiedResourceName: "\xc4\xda\xbf\xf6\xb5\xe5",
			identifiedDescriptionName: [
				"This dagger is made by one cowardly assassin, that always had a problem with not being able to carry a shield.",
				"Out of sheer desperation in wanting to live, he made this dagger.",
				"DEF + 5",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 70^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Thief Class, Ninja^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		13005: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Not much is known about the mysterious Angelic Wing Dagger.",
				"Weight :^777777 60^000000",
			],
			identifiedDisplayName: "Angelic Wing Dagger",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xb4\xdc\xb0\xcb",
			identifiedDescriptionName: [
				"Not much is known about the mysterious Angelic Wing Dagger.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Novice^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13006: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Khukri",
			identifiedResourceName: "\xb0\xed\xc4\xed\xb8\xb0",
			identifiedDescriptionName: [
				"A dagger whose hilt is crafted from black dragon scale, a material rumored to possess the power of darkness.",
				"^880000Curse^000000 an enemy when you attack (Success Chance 10%).",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 60^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13007: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jitte",
			identifiedResourceName: "\xc1\xfe\xc5\xd7",
			identifiedDescriptionName: [
				"A practical mace topped with a hook that can be used to wrench a weapon out of an enemy's hands.",
				"Each short range Physical attack has a low chance of destroying the target's weapon.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 35^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13008: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jitte",
			identifiedResourceName: "\xc1\xfe\xc5\xd7",
			identifiedDescriptionName: [
				"A practical mace topped with a hook that can be used to wrench a weapon out of an enemy's hands.",
				"Each short range Physical attack has a low chance of destroying the target's weapon.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 35^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13009: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kamaitachi",
			identifiedResourceName: "\xc4\xab\xb8\xb6\xc0\xcc\xc5\xb8\xc4\xa1",
			identifiedDescriptionName: [
				"A legendary weapon with extremely sharp blades.",
				"Critical Rate + 3, Attack Speed + 3%",
				"Weapon Range + 1",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 125^000000",
				"Weight :^777777 90^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13010: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Asura",
			identifiedResourceName: "\xbe\xc6\xbd\xb4\xb6\xf3",
			identifiedDescriptionName: [
				"A legendary dagger that is said to have been given to mankind by the gods.",
				"MATK + 50",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		13011: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Asura",
			identifiedResourceName: "\xbe\xc6\xbd\xb4\xb6\xf3",
			identifiedDescriptionName: [
				"A legendary dagger that is said to have been given to mankind by the gods.",
				"MATK + 50",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		13012: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Murasame",
			identifiedResourceName: "\xb9\xab\xb6\xf3\xbb\xe7\xb8\xde",
			identifiedDescriptionName: [
				"A famous sword that is said to be sharp enough to divide oceans or cut through the air to make it bleed water.",
				"Critical Rate + 10 on DemiHuman monster.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 95^000000",
				"Weight :^777777 70^000000",
				"Property :^0000FF Water^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13013: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Murasame",
			identifiedResourceName: "\xb9\xab\xb6\xf3\xbb\xe7\xb8\xde",
			identifiedDescriptionName: [
				"A famous sword that is said to be sharp enough to divide oceans or cut through the air to make it bleed water.",
				"Critical Rate + 10 on DemiHuman monster.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 95^000000",
				"Weight :^777777 70^000000",
				"Property :^0000FF Water^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		13014: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hakujin",
			identifiedResourceName: "\xc7\xcf\xc4\xed\xc1\xf8",
			identifiedDescriptionName: [
				"A dagger that has a shining white blade crafted of bone, and is designed for stabbing, rather than slashing.",
				"Add a 1% chance of auto casting ^008800Level 1 Heal^000000 on the user when attacking.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 42^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13015: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hakujin",
			identifiedResourceName: "\xc7\xcf\xc4\xed\xc1\xf8",
			identifiedDescriptionName: [
				"A dagger that has a shining white blade crafted of bone, and is designed for stabbing, rather than slashing.",
				"Add a 1% chance of auto casting ^008800Level 1 Heal^000000 on the user when attacking.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 42^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13016: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Poison Knife",
			identifiedResourceName: "\xc6\xf7\xc0\xcc\xc1\xf0\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"A dreadful dagger whose blade has been soaked in toxin.",
				"Enable a high chance of inflicting the ^880000Poison^000000 status with each attack.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 64^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		13017: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ice Pick",
			identifiedResourceName: "\xbc\xdb\xb0\xf7",
			identifiedDescriptionName: [
				"An ice pick that's usually used for piercing solid ice or wood.",
				"Deals more damage depending on the target's Defense.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13018: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sucsamad",
			identifiedResourceName: "\xbc\xf6\xc5\xa9\xbb\xe7\xb8\xb6\xb5\xe5",
			identifiedDescriptionName: [
				"A specialty dagger made by a small, mysterious, desert dwelling tribe.",
				"Increases damage inflicted on ^996600Earth^000000 Property by 10%.",
				"Increases damage inflicted on ^009900Wind^000000 Property by 10%.",
				"Indestructible (except in upgrade attempts).",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 80^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13019: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ginnungagap",
			identifiedResourceName: "\xb0\xa3\xb4\xb1\xb0\xa1\xb0\xa1\xc7\xc1",
			identifiedDescriptionName: [
				"A dagger with an unnaturally dark colored blade. Those who hold it instinctively sense the danger and risk of wielding this weapon.",
				"^880000Blind^000000 an enemy when you attack (Success Chance 5%).",
				"^880000Blind^000000 yourself when attacking (Success Chance 0.5%).",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 148^000000",
				"Weight :^777777 70^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13020: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Warrior's Balmung",
			identifiedResourceName: "\xb9\xdf\xb9\xb6",
			identifiedDescriptionName: [
				"Any man holding the Warrior's Balmung will gather new inner strength.",
				"All Stats + 5",
				"Class :^777777 Sword^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 48^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13021: {
			unidentifiedDisplayName: "Combat Knife",
			unidentifiedResourceName: "\xc4\xc4\xb9\xee\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Combat Knife",
			identifiedResourceName: "\xc4\xc4\xb9\xee\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"Military combat knife made for battles against DemiHuman monster.",
				"Reduces damage from DemiHuman monster by 10%, but increases damage received from Demon monster by 10%.",
				"Pierces Defense of DemiHuman monster.",
				"Drain SP 3%, Maximum SP + 10%",
				"Impossible to refine this item.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 129^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13022: {
			unidentifiedDisplayName: "Dagger of Counter",
			unidentifiedResourceName: "\xc4\xab\xbf\xee\xc5\xcd\xb4\xdc\xb0\xcb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Dagger of Counter",
			identifiedResourceName: "\xc4\xab\xbf\xee\xc5\xcd\xb4\xdc\xb0\xcb",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A dagger that has a high chance to do critical damage to a target.",
				"Increases Critical Rate +90%.",
				"Impossible to refine this item.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 209^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Mage Class, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13023: {
			unidentifiedDisplayName: "Asura",
			unidentifiedResourceName: "\xbe\xc6\xbd\xb4\xb6\xf3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Asura",
			identifiedResourceName: "\xbe\xc6\xbd\xb4\xb6\xf3",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A legendary dagger that is said to have been given to mankind by the gods.",
				"MATK + 98",
				"Impossible to refine this item.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13024: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5\xba\xea\xb7\xb9\xc0\xcc\xc4\xbf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Swordbreaker",
			identifiedResourceName: "\xbc\xd2\xb5\xe5\xba\xea\xb7\xb9\xc0\xcc\xc4\xbf",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A powerful dagger that is specially constructed to destroy the enemy's weapon by a low chance.",
				"Impossible to refine this item.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13025: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb8\xde\xc0\xcf\xba\xea\xb7\xb9\xc0\xcc\xc4\xbf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Mailbreaker",
			identifiedResourceName: "\xb8\xde\xc0\xcf\xba\xea\xb7\xb9\xc0\xcc\xc4\xbf",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An incredibly sharp dagger built to puncture and destroy an enemy's armor by a low chance.",
				"Impossible to refine this item.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13026: {
			unidentifiedDisplayName: "Moonlight Dagger",
			unidentifiedResourceName: "\xbf\xf9\xb1\xa4\xb0\xcb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Moonlight Dagger",
			identifiedResourceName: "\xbf\xf9\xb1\xa4\xb0\xcb",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A dagger imbued with lunar spirit and the power to drain an enemy's soul.",
				"Regain 3 SP with each attack.",
				"Maximum SP + 10%",
				"Impossible to refine this item.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 85^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13027: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Scalpel",
			identifiedResourceName: "\xb8\xde\xbd\xba",
			identifiedDescriptionName: [
				"Small, light, and with a blade that is very sharp. Specifically designed to cut the skin off the human beings.",
				"Every time you attack, small chance to cause ^880000External Bleeding^000000 status ailment.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 50^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Trans Swordman, Trans Mage Class, Trans Archer Class, Trans Merchant Class, Trans Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		13028: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tooth Blade",
			identifiedResourceName: "\xc5\xf5\xbd\xba\xba\xed\xb7\xb9\xc0\xcc\xb5\xe5",
			identifiedDescriptionName: [
				"This sword was once used in dentistry to heal tooth. If you get attacked by this sword, you seem to have difficulty in speaking.",
				"Whenever you attack, small chance to cause all enemies within 5 x 5 (PBAoE) cells around you to delay their casting time by 20%.",
				"[^333399Refine Rate 9~10^000000]",
				"The chance of the effect is increased immensely, as well as increasing PBAoE cell effects to 11 x 11, and delays casting time of all enemies within 11 x 11 by 40%.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 70^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Trans Swordman, Trans Mage Class, Trans Archer Class, Trans Merchant Class, Trans Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13029: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Prinsense Knife",
			identifiedResourceName: "\xc7\xc1\xb8\xb0\xbc\xbc\xbd\xba\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"Increases damage by 50%.",
				"Impossible to refine this item.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13030: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dragon Killer",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc5\xb3\xb7\xaf",
			identifiedDescriptionName: [
				"A dagger made from a dragon fang that can slash a dragon's tough skin without any difficulty.",
				"Pierces Defense of Dragon monster.",
				"Receive 10% more Experience Points from Dragon monsters.",
				"[^000088Dragon Killer & Dragon's Breath Equip Set^000000]",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 90^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		13031: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Swordbreaker",
			identifiedResourceName: "\xbc\xd2\xb5\xe5\xba\xea\xb7\xb9\xc0\xcc\xc4\xbf",
			identifiedDescriptionName: [
				"A powerful dagger that is specially constructed to destroy the enemy's weapon by a low chance.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		13032: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mailbreaker",
			identifiedResourceName: "\xb8\xde\xc0\xcf\xba\xea\xb7\xb9\xc0\xcc\xc4\xbf",
			identifiedDescriptionName: [
				"An incredibly sharp dagger built to puncture and destroy an enemy's armor by a low chance.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		13033: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Assassin Dagger",
			identifiedResourceName: "\xbe\xee\xbb\xf5\xbd\xc5\xb4\xeb\xb0\xc5",
			identifiedDescriptionName: [
				"A dagger commonly used by Assassins.",
				"Slightly increases Attack Speed.",
				"Maximum SP + 15%",
				"Maximum HP + 20%",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 60^000000",
				"Property :^777777 Shadow^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 36^000000",
				"Applicable Job :^777777 Assassin^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13034: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb8\xc1\xb0\xed\xbd\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Desert Twilight",
			identifiedResourceName: "\xbb\xe7\xb8\xb7\xc0\xc7\xc8\xb2\xc8\xa5",
			identifiedDescriptionName: [
				"One of a pair of daggers made for the Assassin's Guild.",
				"[^000088+ Desert Wind^000000]",
				"Increases damage against large size monsters by 30%.",
				"SP + 20, Maximum HP + 5%, HIT + 10, and a small chance of activate 190 ASPD for 7 seconds.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 60^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Assassin Cross^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		13035: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb8\xc1\xb0\xed\xbd\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sandstorm",
			identifiedResourceName: "\xb8\xf0\xb7\xa1\xc6\xf8\xc7\xb3",
			identifiedDescriptionName: [
				"One of a pair of daggers made for the Assassin's Guild.",
				"[^000088+ Desert Twilight^000000]",
				"Increases damage against large size monsters by 30%.",
				"SP + 20, Maximum HP + 5%, HIT + 10, and a small chance of activate 190 ASPD for 7 seconds.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 60^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Assassin Cross^000000",
			],
			slotCount: 4,
			ClassNum: 1
		},

		13036: {
			unidentifiedDisplayName: "Brave  Assassin's Damascus",
			unidentifiedResourceName: "\xb4\xd9\xb8\xb6\xbd\xba\xc4\xbf\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brave  Assassin's Damascus",
			identifiedResourceName: "\xb4\xd9\xb8\xb6\xbd\xba\xc4\xbf\xbd\xba",
			identifiedDescriptionName: [
				"A dagger especially used for assassinations such as killing Demihumans.",
				"Str + 1, Agi + 1",
				"Increases Physical Attack Strength towards Demihuman monsters by 75%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"If worn by Ninja, Rogue, or Stalker Class characters, it adds MATK + 90.",
				"Indestructible.",
				"Class : ^777777Dagger^000000",
				"Attack Strength: ^777777120^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13037: {
			unidentifiedDisplayName: "Valorous Assassin's Damascus",
			unidentifiedResourceName: "\xb4\xd9\xb8\xb6\xbd\xba\xc4\xbf\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valorous Assassin's Damascus",
			identifiedResourceName: "\xb4\xd9\xb8\xb6\xbd\xba\xc4\xbf\xbd\xba",
			identifiedDescriptionName: [
				"A dagger especially used for assassinations such as killing Demihumans.",
				"STR + 1, AGI + 1",
				"Increases Physical Attack Strength towards Demihuman monsters by 75%.",
				"Has a chance of enchanting compounded weapons with the Occult Impaction skill effect for 6 sec. when attacking.",
				"If worn by Ninja, Rogue, Stalker Class characters, it adds MATK + 90.",
				"Indestructible.",
				"Class : ^777777Dagger^000000",
				"Attack Strength: ^777777120^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13038: {
			unidentifiedDisplayName: "Dagger of Hunter",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dagger of Hunter",
			identifiedResourceName: "\xc3\xdf\xc0\xfb\xc0\xda\xc0\xc7\xb4\xdc\xb0\xcb",
			identifiedDescriptionName: [
				"A dagger that was refined by someones excellence.",
				"STR + 1, AGI + 2, DEX + 1",
				"Back Stab skill + 20%.",
				"Add a small chance ^008800Level 10 Bash^000000 when using Back Stab skill.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Stalker^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		13039: {
			unidentifiedDisplayName: "Ivory Knife",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ivory Knife",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xba\xb8\xb8\xae\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"A Dagger made from the fangs of a Manmmoth.",
				"AGI + 2, ASPD + 3%",
				"Adds 3% chance on yourself the ^880000Bleeding^000000 or ^008800Level 1 Joint Beat^000000 when attacking.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Swordman Class, Trans Magician Class, Trans Archer Class, Trans Merchant Class, Trans Thief Class^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		13040: {
			unidentifiedDisplayName: "Novice Cutter",
			unidentifiedResourceName: "\xc4\xbf\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Cutter",
			identifiedResourceName: "\xc4\xbf\xc5\xcd",
			identifiedDescriptionName: [
				"A knife used for cutting enemies.",
				"Impossible to refine this item.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		13041: {
			unidentifiedDisplayName: "Novice Main Gauche",
			unidentifiedResourceName: "\xb8\xc1\xb0\xed\xbd\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Main Gauche",
			identifiedResourceName: "\xb8\xc1\xb0\xed\xbd\xb4",
			identifiedDescriptionName: [
				"A French dagger that is usually held in the left hand to parry attacks.",
				"Impossible to refine this item.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 63^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		13042: {
			unidentifiedDisplayName: "Glorious Gladius",
			unidentifiedResourceName: "\xc4\xab\xb8\xb6\xc0\xcc\xc5\xb8\xc4\xa1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Gladius",
			identifiedResourceName: "\xc4\xab\xb8\xb6\xc0\xcc\xc5\xb8\xc4\xa1",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 75%.",
				"Pierces Defense of DemiHuman monster by 20%.",
				"Add a chance of auto casting ^008800Level 1 Lex Devina^000000 on an enemy when attacking.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Pierces Defense of DemiHuman monster by 5%.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"When using the skill backstab, there's a high chance to cause bleeding to everyone in a 5x5 area.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Novice Class, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Ninja, Soul Linker^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13043: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Fortune Sword",
			identifiedResourceName: "\xc6\xf7\xc3\xf3\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A strong dagger with a gold handle that is said to bring great fortune to whoever holds it.",
				"Perfect Dodge + 20 , LUK + 5",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13044: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ice Pick",
			identifiedResourceName: "\xbc\xdb\xb0\xf7",
			identifiedDescriptionName: [
				"An ice pick that's usually used for piercing solid ice or wood.",
				"Deals more damage depending on the target's Defense.",
				"Adds FLEE + 20 for 10 minutes on the enemy when attacking.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13045: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Kamaitachi",
			identifiedResourceName: "\xc5\xb0\xb8\xb6\xc0\xcc\xc5\xb8\xc4\xa1",
			identifiedDescriptionName: [
				"A legendary weapon with extremely sharp blades.",
				"Critical Rate + 10, Attack Speed + 5%.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 155^000000",
				"Weight :^777777 0^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13046: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Krieg",
			identifiedResourceName: "\xc5\xa9\xb8\xae\xb1\xd7",
			identifiedDescriptionName: [
				"A thorny dagger that causes agony beyond normal wounds.",
				"Adds a high chance to ^880000Bleeding^000000 status after using ^008800Back Stab^000000 on enemy.",
				"Increases damage of ^008800Back Stab^000000 by 15%.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 1
		},

		13047: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Weihna",
			identifiedResourceName: "\xb9\xd9\xc0\xcc\xb3\xaa",
			identifiedDescriptionName: [
				"A dagger designed for war. Its saw-like edge is dipped in poison.",
				"Adds a high chance to ^880000Poison^000000 status after using ^008800Sightless Raid^000000 on enemy.",
				"Increase phyical damage by 10% for 5 seconds when doing non ranged physical attack.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 135^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Thief Class^000000",
			],
			slotCount: 2,
			ClassNum: 1
		},

		13048: {
			unidentifiedDisplayName: "Damascus",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Damascus",
			identifiedResourceName: "\xb4\xd9\xb8\xb6\xbd\xba\xc4\xbf\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A lethal knife made of a special metal that can easily cut straight into the heart of an enemy.",
				"Indestructible (except in upgrade attempts).",
				"Increases damage against small, medium, large size monsters by 40%.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 153^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13049: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb6\xf3\xc5\xa9\xb8\xb6",
			identifiedDescriptionName: [
				"...",
				"Adds low probability of inflicting stun effect when received physical & magical attack.",
				"Reduced SP consumption of all skills by 5%.",
				"MATK + 5%.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 65^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13050: {
			unidentifiedDisplayName: "P.Dagger¥°",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Dagger I",
			identifiedResourceName: "\xc0\xa7\xb4\xf5\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"A dagger created by the Paradise Group. Suitable for beginners.",
				"MATK + 60",
				"Impossible to refine this item.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 124^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 26^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13051: {
			unidentifiedDisplayName: "P.Dagger¥±",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Dagger II",
			identifiedResourceName: "\xc4\xda\xbf\xf6\xb5\xe5",
			identifiedDescriptionName: [
				"A dagger crated by the Paradise Group. Suitable for intermediate handlers.",
				"MATK + 70",
				"Impossible to refine this item.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 158^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13052: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Traveler's Dagger",
			identifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"...",
				"AGI + 2",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 51^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13053: {
			unidentifiedDisplayName: "Moonlight Sword",
			unidentifiedResourceName: "\xbf\xf9\xb1\xa4\xb0\xcb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Moonlight Sword",
			identifiedResourceName: "\xbf\xf9\xb1\xa4\xb0\xcb",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A dagger imbued with",
				"lunar spirit and the power to drain an enemy's soul.",
				"Regain 3 SP",
				"with each attack.",
				"Max SP +10%",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Dagger^000000",
				"Attack: ^77777785^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Swordman, Mage, Archer, Merchant,",
				"Thief Classes, Soul Linker, and Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13054: {
			unidentifiedDisplayName: "Combat Knife",
			unidentifiedResourceName: "\xc4\xc4\xb9\xee\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Combat Knife",
			identifiedResourceName: "\xc4\xc4\xb9\xee\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A military combat",
				"knife designed for",
				"killing humanoids.",
				"Reduces damage from and increases tolerance to",
				"Demihuman monsters",
				"by 10%, but increases",
				"damage inflicted by",
				"Devil monsters by 10%.",
				"Restores 3 SP when",
				"hitting a monster.",
				"Max SP +10%.",
				"Class : ^777777Dagger^000000",
				"Attack: ^777777129^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Swordman, Merchant, Thief Classes; Soul",
				"Linker and Ninja Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13055: {
			unidentifiedDisplayName: "Asura",
			unidentifiedResourceName: "\xbe\xc6\xbd\xb4\xb6\xf3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Asura",
			identifiedResourceName: "\xbe\xc6\xbd\xb4\xb6\xf3",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A legendary dagger",
				"that is said to have",
				"been given to mankind by the gods.",
				"MATK + 15%.",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Dagger^000000",
				"Attack: ^777777120^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777771^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13056: {
			unidentifiedDisplayName: "Counter Dagger",
			unidentifiedResourceName: "\xc4\xab\xbf\xee\xc5\xcd\xb4\xdc\xb0\xcb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Counter Dagger",
			identifiedResourceName: "\xc4\xab\xbf\xee\xc5\xcd\xb4\xdc\xb0\xcb",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A dagger that has",
				"a high chance of",
				"inflicting critical",
				"damage to its target.",
				"Critical + 90%",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Dagger^000000",
				"Attack: ^777777209^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Mage Class,",
				"Soul Linker Job^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13061: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Wing",
			identifiedResourceName: "\xba\xed\xb7\xa2\xc0\xae",
			identifiedDescriptionName: [
				"A black serated dagger crafted by the rogue guild.",
				"Increases the damage of ^008800Fatal Menace^000000 by 30%. Each refine increases the skill damage by 2% and MATK by 3%.",
				"[^000088+ Black Cat^000000]",
				"HIT + 5, MATK + 5, reduces the SP cost of ^008800Masquerade, Enervation and Gloomy^000000 by 20.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 142^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 102^000000",
				"Applicable Job :^777777 Shadow Chaser Only^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13062: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ancient Dagger",
			identifiedResourceName: "\xbf\xa1\xc0\xce\xbc\xc7\xc6\xae\xb4\xeb\xb0\xc5",
			identifiedDescriptionName: [
				"A dagger used in ancient rituals, it feels as though it holds a mysterious power.",
				"MATK + 120, MaxSP + 100, SP Recovery Rate + 5%.",
				"When dealing physical or magical damage there's a low chance to receive the ^880000Curse^000000 status.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 107^000000",
				"Weight :^777777 60^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 120^000000",
				"Applicable Job :^777777 Trans Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13066: {
			unidentifiedDisplayName: "Eden Group Dagger III",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Dagger III",
			identifiedResourceName: "\xc8\xe6\xbf\xe4\xbc\xae\xb4\xdc\xb0\xcb",
			identifiedDescriptionName: [
				"...",
				"MATK + 80",
				"Impossible to refine this item.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 165^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class, Soul Linker, Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13067: {
			unidentifiedDisplayName: "Dagger",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Keris",
			identifiedResourceName: "\xc4\xc9\xb7\xb9\xbd\xba",
			identifiedDescriptionName: [
				"...",
				"MATK + 70, Enable a 5% chance of gaining 10% of the damage inflicted on an enemy as HP with each attack.",
				"Class :^777777 Dagger^000000",
				"Attack :^777777 107^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 30^000000",
				"Applicable Job :^777777 Trans Swordman Class, Mage Class, Archer Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13068: {
			unidentifiedDisplayName: "´Ü°Ë",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Àü°»ÀÌ",
			identifiedResourceName: "\xc0\xfc\xb0\xbb\xc0\xcc",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"³ó¾î¸ñ Àü°»ÀÌ°úÀÇ ¹Ù´å¹°°í±â. ¿©·¯°¡Áö·Î ¿ä¸®ÇÒ ¼ö ÀÖ´Ù°í ÇÑ´Ù. ¾ÆÁÖ µüµüÇÏ°Ô ¾ó·ÁÁ® ÀÖ´Ù.",
				"MATK + 100.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 7ÃÊ°£ ATK + 30.",
				"¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 7ÃÊ°£ MATK + 20.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 10, MATK + 10 Ãß°¡.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777160^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13069: {
			unidentifiedDisplayName: "´Ü°Ë",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¾ÆÁîÅä³×ÀÏ",
			identifiedResourceName: "\xbe\xc6\xc1\xee\xc5\xe4\xb3\xd7\xc0\xcf",
			identifiedDescriptionName: [
				"»ó¹ÝµÈ ¸¶¹ýÀÇ ÈûÀ» ´ã°í ÀÖ´Â Çª¸¥ ºûÀÇ ´Ü°Ë.",
				"MATK + 80.",
				"±ÙÁ¢¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ¸ñÇ¥¿¡°Ô µ¿ºùÀ» °Ç´Ù. Á¦·Ãµµ¿¡ µû¶ó µ¿ºùÈ®·ü Áõ°¡.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777160^000000",
				"¹«°Ô : ^77777750^000000 ¼Ó¼º : ^777777Ç³^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777110^000000",
				"ÀåÂø : ^777777Àü½Â °Ë»ç/»óÀÎ/µµµÏ °è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13070: {
			unidentifiedDisplayName: "´Ü°Ë",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "½ºÄ®·¿Åä³×ÀÏ",
			identifiedResourceName: "\xbd\xba\xc4\xae\xb7\xbf\xc5\xe4\xb3\xd7\xc0\xcf",
			identifiedDescriptionName: [
				"»ó¹ÝµÈ ¸¶¹ýÀÇ ÈûÀ» ´ã°í ÀÖ´Â ºÓÀº ºûÀÇ ´Ü°Ë.",
				"MATK + 80.",
				"±ÙÁ¢¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ¸ñÇ¥¿¡°Ô ¼®È­¸¦ °Ç´Ù. Á¦·Ãµµ¿¡ µû¶ó ¼®È­È®·ü Áõ°¡.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777160^000000",
				"¹«°Ô : ^77777750^000000 ¼Ó¼º : ^777777È­^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777110^000000",
				"ÀåÂø : ^777777Àü½Â °Ë»ç/»óÀÎ/µµµÏ °è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13071: {
			unidentifiedDisplayName: "´Ü°Ë",
			unidentifiedResourceName: "\xc4\xab\xbf\xee\xc5\xcd\xb4\xdc\xb0\xcb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°­È­ ´ë°Å",
			identifiedResourceName: "\xb0\xad\xc8\xad\xb4\xeb\xb0\xc5",
			identifiedDescriptionName: [
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ´Ü°Ë.",
				"Á¦·Ãµµ 1´ç ATK + 10 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^77777755^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13072: {
			unidentifiedDisplayName: "´Ü°Ë",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë ´Ù¸¶½ºÄ¿½º",
			identifiedResourceName: "\xb4\xd9\xb8\xb6\xbd\xba\xc4\xbf\xbd\xba",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÀÏ¹Ý ¹°¸® Å¸°Ý ¸íÁß ½Ã ÇÃ·¹ÀÌ¾îÀÇ DEF/MDEFÀ» 5ÃÊ°£ 1·Î °íÁ¤½ÃÅ²´Ù. ½ºÅ³ °ø°Ý¿¡´Â ¿µÇâÀ» ¹ÌÄ¡Áö ¾Ê´Â´Ù.",
				"Á¦·Ãµµ¿¡ µû¶ó °ø°Ý¼Óµµ Áõ°¡.(°ø°Ý ÈÄ µô·¹ÀÌ °¨¼Ò)",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777180^000000",
				"¹«°Ô : ^777777100^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13074: {
			unidentifiedDisplayName: "´Ü°Ë",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "´ÑÀÚ ´Ü°Ë ½ÃÁ¦Ç°",
			identifiedResourceName: "\xc4\xed\xb3\xaa\xc0\xcc\x5f\xc5\xe4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´ÑÀÚ ÇùÈ¸¿¡¼­ ¾ß½ÉÂ÷°Ô ÁØºñÁßÀÎ ´ÑÀÚ ´Ü°Ë ½ÃÁ¦Ç°.",
				"¾ÆÁ÷ °³¹ß ÃÊ±â ´Ü°è¶ó ½ÃÁß ÆÇ¸Å±îÁö´Â Á¶±Ý ±â´Ù·Á¾ß ÇÒ °Í ÀÌ´Ù.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^7777770^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777799^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13075: {
			unidentifiedDisplayName: "´Ü°Ë",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Äí·¹³ªÀÌ",
			identifiedResourceName: "\xbe\xc6\xbd\xb4\xb6\xf3",
			identifiedDescriptionName: [
				"´ÑÀÚ ÇùÈ¸¿¡¼­ »õ·Ó°Ô ¼±º¸ÀÌ´Â ºÓÀº ´Ü°Ë. ±Í±â°¡ ¼­¸± Á¤µµ·Î ¾Æ¸§´Ù¿î »öÀÌ¶ó¸ç ºÙ¿©Áø ÀÌ¸§ÀÌ´Ù.",
				"INT + 3.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777130^000000",
				"¹«°Ô : ^77777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^77777799^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13076: {
			unidentifiedDisplayName: "´Ü°Ë",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "³ªÂû°Ë",
			identifiedResourceName: "\xb3\xaa\xc2\xfb\xb0\xcb",
			identifiedDescriptionName: [
				"ÀÏºÎÀÇ ¼÷·ÃµÈ »ó±Þ ´ÑÀÚµé ¸¸ÀÌ Àß ´Ù·ê ¼ö ÀÖ´Ù´Â ´Ü°Ë. ¾Æ½´¶óº¸´Ù ¼º´ÉÀÌ ¶Ù¾î³ª±â ¶§¹®¿¡, ³ôÀº ·¹º§ÀÇ ´ÑÀÚµéÀÌ ÁÖ·Î »ç¿ëÇÑ´Ù.",
				"INT + 3, MATK + 100.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^777777110^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13078: {
			unidentifiedDisplayName: "´Ü°Ë",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¹ÌÄ«Ã÷Å°",
			identifiedResourceName: "\xb9\xcc\xc4\xab\xc3\xf7\xc5\xb0",
			identifiedDescriptionName: [
				"ÃÊ½Â´Þ ÀÌ¶ó´Â ÀÇ¹ÌÀÇ °î¼±ÀÇ ³¯À» °¡Áø ´Ü°Ë. ÃÊ½Â´ÞÀÇ ±â¿îÀ» ¹Þ¾Æ »ó´çÇÑ ¸¶·ÂÀÌ ´À²¸Áø´Ù.",
				"MATK + 120.",
				"½ºÅ³ »ç¿ë ½Ã ¼Ò¸ð SP¿Í º¯µ¿ Ä³½ºÆÃÀÌ 5%¾¿ °¨¼ÒÇÑ´Ù.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13079: {
			unidentifiedDisplayName: "´Ü°Ë",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¸ÞÅ» ´ë°Å",
			identifiedResourceName: "\xb8\xde\xc5\xbb\xb4\xeb\xb0\xc5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­Ã¶¿¡ ÇÁ¶óÄÜ°ú ¿¥º£¸£Å¸ÄÜÀ» Ã·°¡ÇÏ¿© ´É·ÂÀ» °­È­½ÃÅ² ±Ý¼ÓÀ¸·Î Á¦ÀÛÇÑ ´ë°Å",
				"Á¦·Ãµµ 1´ç ATK + 5 / MATK + 2 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 20ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"(Áõ°¡·®Àº BaseLv 120±îÁö Àû¿ë)",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^77777755^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 1
		},

		13083: {
			unidentifiedDisplayName: "´Ü°Ë",
			unidentifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ³ªÀÌÇÁ",
			identifiedResourceName: "\xb3\xaa\xc0\xcc\xc7\xc1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MATK + 100.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î Ä§¹¬.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ^000000",
			],
			slotCount: 0,
			ClassNum: 1
		},

		13100: {
			unidentifiedDisplayName: "Pistol",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Six Shooter",
			identifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			identifiedDescriptionName: [
				"A six chambered revolver that is the most basic weapon for Gunslingers.",
				"HIT - 10",
				"Class :^777777 Revolver^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 17
		},

		13101: {
			unidentifiedDisplayName: "Pistol",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Six Shooter",
			identifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			identifiedDescriptionName: [
				"A six chambered revolver that is the most basic weapon for Gunslingers.",
				"HIT - 10",
				"Class :^777777 Revolver^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 40^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 10^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 2,
			ClassNum: 17
		},

		13102: {
			unidentifiedDisplayName: "Pistol",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crimson Bolt",
			identifiedResourceName: "\xc5\xa9\xb8\xb2\xc1\xf0\xba\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A bloody red revolver that is rumored to be cursed.",
				"HIT - 10",
				"Class :^777777 Revolver^000000",
				"Attack :^777777 45^000000",
				"Weight :^777777 45^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 35^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 17
		},

		13103: {
			unidentifiedDisplayName: "Pistol",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Crimson Bolt",
			identifiedResourceName: "\xc5\xa9\xb8\xb2\xc1\xf0\xba\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A bloody red revolver that is rumored to be cursed.",
				"HIT - 10",
				"Class :^777777 Revolver^000000",
				"Attack :^777777 45^000000",
				"Weight :^777777 45^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 35^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 2,
			ClassNum: 17
		},

		13104: {
			unidentifiedDisplayName: "Pistol",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Garrison",
			identifiedResourceName: "\xb4\xf5\xb0\xb3\xb8\xae\xbd\xbc",
			identifiedDescriptionName: [
				"A rare revolver that is only produced when it is specially ordered.",
				"The engraving of its creator's name can be used by experts to authenticate this gun.",
				"HIT - 10",
				"Class :^777777 Revolver^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 17
		},

		13105: {
			unidentifiedDisplayName: "Pistol",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Garrison",
			identifiedResourceName: "\xb4\xf5\xb0\xb3\xb8\xae\xbd\xbc",
			identifiedDescriptionName: [
				"A rare revolver that is only produced when it is specially ordered.",
				"The engraving of its creator's name can be used by experts to authenticate this gun.",
				"HIT - 10",
				"Class :^777777 Revolver^000000",
				"Attack :^777777 70^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 2,
			ClassNum: 17
		},

		13106: {
			unidentifiedDisplayName: "Pistol",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gold Lux",
			identifiedResourceName: "\xb0\xf1\xb5\xe5\xb7\xe8\xbd\xba",
			identifiedDescriptionName: [
				"A decorative, beautiful golden revolver that commands attention.",
				"Add a 10% chance of auto casting ^008800Flip Coin^000000 when the user receives Physical Damage.",
				"Autocast ^008800Coin Flip^000000 will be equal to the ^008800Coin Flip^000000 skill level that the user has learned.",
				"HIT - 10",
				"Class :^777777 Revolver^000000",
				"Attack :^777777 20^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 17
		},

		13107: {
			unidentifiedDisplayName: "Pistol",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wasteland's Outlaw",
			identifiedResourceName: "\xc8\xb2\xbe\xdf\xc0\xc7\xb9\xab\xb9\xfd\xc0\xda",
			identifiedDescriptionName: [
				"A handgun known for high accuracy and firing rate, it is known to be made for the lawless one who have gone through many difficult situations with nothing but his trusty gun.",
				"Increases HIT and Attack Speed depending on the AGI of the player.",
				"Class :^777777 Revolver^000000",
				"Attack :^777777 68^000000",
				"Weight :^777777 58^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 2,
			ClassNum: 17
		},

		13108: {
			unidentifiedDisplayName: "Soldier Revolver",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Soldier Revolver",
			identifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			identifiedDescriptionName: [
				"A Pistol made for short and medium ranged battles against Demihumans.",
				"It seems to be capable of doing damage even through a bulletproof vest.",
				"DEX +2, HIT -10",
				"Increases Physical Attack Strength towards Demihuman monsters by 55%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"When attacking, and weapon awakening in consistent probability, Has a chance of Increasing Attack Speed by 100% for 3 seconds.",
				"Indestructible.",
				"Class : ^777777Pistol^000000",
				"Attack Strength: ^77777770^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 17
		},

		13109: {
			unidentifiedDisplayName: "Western Outlaw",
			unidentifiedResourceName: "\xc8\xb2\xbe\xdf\xc0\xc7\xb9\xab\xb9\xfd\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Western Outlaw",
			identifiedResourceName: "\xc8\xb2\xbe\xdf\xc0\xc7\xb9\xab\xb9\xfd\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A handgun known for high accuracy and firing rate, it is known to be made for the lawless one who have gone through many difficult situations with nothing but his trusty gun.",
				"Increases HIT and Attack Speed depending on the AGI of the player. Adds 40% damage to the monster.",
				"Class :^777777 Revolver^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 17
		},

		13110: {
			unidentifiedDisplayName: "Glorious Pistol",
			unidentifiedResourceName: "\xb0\xf1\xb5\xe5\xb7\xe8\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Pistol",
			identifiedResourceName: "\xb0\xf1\xb5\xe5\xb7\xe8\xbd\xba",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 55%.",
				"Adds 20% defense bypassing on Demi-human monster.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Adds 5% defense bypassing on Demi-human monster.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"Add a chance of auto casting ^008800Level 1 Flip the Coin^000000 when using skill Rapid Shower.",
				"Increases damage skill Rapid shower by 2% of refining weapons.",
				"Class :^777777 Revolver^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 17
		},

		13111: {
			unidentifiedDisplayName: "Revolver",
			unidentifiedResourceName: "\xc5\xa9\xb8\xb2\xc1\xf0\xba\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sharpshooter Revolver",
			identifiedResourceName: "\xc5\xa9\xb8\xb2\xc1\xf0\xba\xbc\xc6\xae",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"Sharpshooter Revolver.",
				"Increases 25% damage with Desperado skill.",
				"DEX + 2.",
				"Class :^777777 Revolver^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 17
		},

		13112: {
			unidentifiedDisplayName: "P.Revolver¥°",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Revolver I",
			identifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			identifiedDescriptionName: [
				"A handgun created by the Paradise Group. Easily usable by gunslingers.",
				"HIT - 5.",
				"Impossible to refine this item.",
				"Class :^777777 Revolver^000000",
				"Attack :^777777 44^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 26^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 17
		},

		13113: {
			unidentifiedDisplayName: "P.Revolver¥±",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Revolver II",
			identifiedResourceName: "\xc5\xa9\xb8\xb2\xc1\xf0\xba\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A handgun created by the Paradise Group. Suitable for intermediate slingers.",
				"HIT - 5.",
				"Impossible to refine this item.",
				"Class :^777777 Revolver^000000",
				"Attack :^777777 60^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 17
		},

		13114: {
			unidentifiedDisplayName: "Eden Group Revolver III",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Revolver III",
			identifiedResourceName: "\xb4\xf5\xb0\xb3\xb8\xae\xbd\xbc",
			identifiedDescriptionName: [
				"...",
				"HIT - 5.",
				"Impossible to refine this item.",
				"Class :^777777 Revolver^000000",
				"Attack :^7777777 6^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 17
		},

		13115: {
			unidentifiedDisplayName: "±ÇÃÑ",
			unidentifiedResourceName: "\xb0\xf1\xb5\xe5\xb7\xe8\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°­È­ ¸®º¼¹ö",
			identifiedResourceName: "\xb0\xad\xc8\xad\xb8\xae\xba\xbc\xb9\xf6",
			identifiedDescriptionName: [
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¸®º¼¹ö.",
				"Á¦·Ãµµ 1´ç ATK + 5 / ¿ø°Å¸® ¹°¸® °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777±ÇÃÑ^000000 °ø°Ý : ^77777735^000000",
				"¹«°Ô : ^77777750^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
			],
			slotCount: 1,
			ClassNum: 17
		},

		13116: {
			unidentifiedDisplayName: "±ÇÃÑ",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÃÊº¸ÀÚ¿ë ¸®º¼¹ö",
			identifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			identifiedDescriptionName: [
				"ÃÑÀÇ ¹Ýµ¿À» ÁÙ¿© ÃÊº¸ÀÚµµ »ç¿ëÇÏ±â ½±°Ô ¸¸µç ¹«±â. ÇÏÁö¸¸ ¹Ýµ¿À» ÁÙÀÎ ¸¸Å­ °ø°Ý·Âµµ ÇüÆí¾ø´Ù.",
				"HIT - 5.",
				"°è¿­ : ^777777±ÇÃÑ^000000 °ø°Ý : ^77777720^000000",
				"¹«°Ô : ^77777750^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
			],
			slotCount: 0,
			ClassNum: 17
		},

		13117: {
			unidentifiedDisplayName: "±ÇÃÑ",
			unidentifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ±ÇÃÑ",
			identifiedResourceName: "\xbd\xc4\xbd\xba\xbd\xb4\xc5\xcd",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ÀúÁÖ.",
				"°è¿­ : ^777777±ÇÃÑ^000000 °ø°Ý : ^77777760^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
			],
			slotCount: 0,
			ClassNum: 17
		},

		13150: {
			unidentifiedDisplayName: "Rifle",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xc7\xc3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Branch",
			identifiedResourceName: "\xb6\xf3\xc0\xcc\xc7\xc3",
			identifiedDescriptionName: [
				"A practical firearm with a long gun barrel which increases its range and accuracy.",
				"Class :^777777 Rifle^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 3,
			ClassNum: 18
		},

		13151: {
			unidentifiedDisplayName: "Rifle",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xc7\xc3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cyclone",
			identifiedResourceName: "\xb4\xf5\xbb\xe7\xc0\xcc\xc5\xac\xb7\xd0",
			identifiedDescriptionName: [
				"A high performance rifle whose shots have long range and great power.",
				"HIT + 10, Critical Rate + 10%",
				"Class :^777777 Rifle^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 18
		},

		13152: {
			unidentifiedDisplayName: "Rifle",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xc7\xc3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cyclone",
			identifiedResourceName: "\xb4\xf5\xbb\xe7\xc0\xcc\xc5\xac\xb7\xd0",
			identifiedDescriptionName: [
				"A high performance rifle whose shots have long range and great power.",
				"HIT + 10, Critical Rate + 10%",
				"Class :^777777 Rifle^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 2,
			ClassNum: 18
		},

		13153: {
			unidentifiedDisplayName: "Rifle",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xc7\xc3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Dusk",
			identifiedResourceName: "\xb4\xf5\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"An advanced rifle with reinforced explosive power. Just as the dusk marks the day's end, this gun also draws life to a close.",
				"HIT + 10, Critical Rate + 10%",
				"Class :^777777 Rifle^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 75^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 56^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 18
		},

		13154: {
			unidentifiedDisplayName: "Shotgun",
			unidentifiedResourceName: "\xbd\xcc\xb1\xdb\xbc\xa6\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rolling Stone",
			identifiedResourceName: "\xbd\xcc\xb1\xdb\xbc\xa6\xb0\xc7",
			identifiedDescriptionName: [
				"A heavy shotgun whose shots sound like flint striking against steel.",
				"Inflicts Splashed damage.",
				"Class :^777777 Shotgun^000000",
				"Attack :^777777 135^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 14^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 20
		},

		13155: {
			unidentifiedDisplayName: "Shotgun",
			unidentifiedResourceName: "\xbd\xcc\xb1\xdb\xbc\xa6\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Rose",
			identifiedResourceName: "\xb4\xf5\xba\xed\xbc\xa6\xb0\xc7",
			identifiedDescriptionName: [
				"A dark, stylish shotgun that has been modified so that it rapidly fires bullets from two muzzles to maximize it power.",
				"Inflicts Splashed damage.",
				"Class :^777777 Shotgun^000000",
				"Attack :^777777 180^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 35^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 20
		},

		13156: {
			unidentifiedDisplayName: "Shotgun",
			unidentifiedResourceName: "\xbd\xcc\xb1\xdb\xbc\xa6\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gate Keeper",
			identifiedResourceName: "\xb0\xd4\xc0\xcc\xc6\xae\xc5\xb0\xc6\xdb",
			identifiedDescriptionName: [
				"As the most powerful, readily available shotgun, this weapon has been nicknamed, \"A Gunslinger's best friend\".",
				"Add a 5% chance of auto casting ^008800Level 6 Spread Attack^000000 on the enemy when attacking.",
				"Inflicts Splashed damage.",
				"Class :^777777 Shotgun^000000",
				"Attack :^777777 210^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 24^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 20
		},

		13157: {
			unidentifiedDisplayName: "Gatling Gun",
			unidentifiedResourceName: "\xb5\xe5\xb8\xae\xc7\xc1\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Drifter",
			identifiedResourceName: "\xb5\xe5\xb8\xae\xc7\xc1\xc5\xcd",
			identifiedDescriptionName: [
				"A Gatling Gun whose name evokes the image of a lonely traveler.",
				"Class :^777777 Gatling Gun^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 230^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 19
		},

		13158: {
			unidentifiedDisplayName: "Gatling Gun",
			unidentifiedResourceName: "\xb5\xe5\xb8\xae\xc7\xc1\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Butcher",
			identifiedResourceName: "\xba\xd7\xc3\xc4",
			identifiedDescriptionName: [
				"A Gatling Gun imbued with enormous destructive power.",
				"Critical Rate + 10 on Brute monster.",
				"Class :^777777 Gatling Gun^000000",
				"Attack :^777777 75^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 68^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 19
		},

		13159: {
			unidentifiedDisplayName: "Gatling Gun",
			unidentifiedResourceName: "\xb5\xe5\xb8\xae\xc7\xc1\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Butcher",
			identifiedResourceName: "\xba\xd7\xc3\xc4",
			identifiedDescriptionName: [
				"A Gatling Gun imbued with enormous destructive power.",
				"Critical Rate + 10 on Brute monster.",
				"Class :^777777 Gatling Gun^000000",
				"Attack :^777777 75^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 68^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 19
		},

		13160: {
			unidentifiedDisplayName: "Grenade Launcher",
			unidentifiedResourceName: "\xb5\xf0\xbd\xba\xc6\xae\xb7\xce\xc0\xcc\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Destroyer",
			identifiedResourceName: "\xb5\xf0\xbd\xba\xc6\xae\xb7\xce\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A top of the line, high performance grenade launcher.",
				"Each short ranged Physical attack has a low chance of destroying an enemy's armor.",
				"Class :^777777 Grenade Launcher^000000",
				"Attack :^777777 220^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 52^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 21
		},

		13161: {
			unidentifiedDisplayName: "Grenade Launcher",
			unidentifiedResourceName: "\xb5\xf0\xbd\xba\xc6\xae\xb7\xce\xc0\xcc\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Destroyer",
			identifiedResourceName: "\xb5\xf0\xbd\xba\xc6\xae\xb7\xce\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A top of the line, high performance grenade launcher.",
				"Each short ranged Physical attack has a low chance of destroying an enemy's armor.",
				"Class :^777777 Grenade Launcher^000000",
				"Attack :^777777 220^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 52^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 21
		},

		13162: {
			unidentifiedDisplayName: "Grenade Launcher",
			unidentifiedResourceName: "\xb5\xf0\xbd\xba\xc6\xae\xb7\xce\xc0\xcc\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Inferno",
			identifiedResourceName: "\xc0\xce\xc6\xe4\xb8\xa3\xb3\xeb",
			identifiedDescriptionName: [
				"A grenade launcher that propels bullets with blazing hellfire.",
				"Class :^777777 Grenade Launcher^000000",
				"Attack :^777777 280^000000",
				"Weight :^777777 125^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 21
		},

		13163: {
			unidentifiedDisplayName: "Rifle",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xc7\xc3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Long Barrel",
			identifiedResourceName: "\xb7\xd5\xb9\xd9\xb7\xbc",
			identifiedDescriptionName: [
				"A sniping rifle with a lengthened barrel for improved accuracy.",
				"Critical Rate + 20, Decreases Attack Speed by 3%.",
				"Add a 2% chance of auto casting ^008800Level 5 Tracking^000000 on the enemy when attacking.",
				"Class :^777777 Rifle^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 18
		},

		13164: {
			unidentifiedDisplayName: "Rifle",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xc7\xc3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Long Barrel",
			identifiedResourceName: "\xb7\xd5\xb9\xd9\xb7\xbc",
			identifiedDescriptionName: [
				"A sniping rifle with a lengthened barrel for improved accuracy.",
				"Critical Rate + 20, Decreases Attack Speed by 3%.",
				"Add a 2% chance of auto casting ^008800Level 5 Tracking^000000 on the enemy when attacking.",
				"Class :^777777 Rifle^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 18
		},

		13165: {
			unidentifiedDisplayName: "Rifle",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xc7\xc3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jungle Carbine",
			identifiedResourceName: "\xc1\xa4\xb1\xdb\xc4\xab\xba\xf3",
			identifiedDescriptionName: [
				"A rifle with a shorter barrel to better suit it for close quarter battles such as in the jungle or indoors.",
				"Critical Rate + 4, Increases Attack Speed by 10%.",
				"Every 3 Base DEX, you lose 1 HIT.",
				"Class :^777777 Rifle^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 18
		},

		13166: {
			unidentifiedDisplayName: "Rifle",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xc7\xc3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jungle Carbine",
			identifiedResourceName: "\xc1\xa4\xb1\xdb\xc4\xab\xba\xf3",
			identifiedDescriptionName: [
				"A rifle with a shorter barrel to better suit it for close quarter battles such as in the jungle or indoors.",
				"Critical Rate + 4, Increases Attack Speed by 10%.",
				"Every 3 Base DEX, you lose 1 HIT.",
				"Class :^777777 Rifle^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 18
		},

		13167: {
			unidentifiedDisplayName: "Shotgun",
			unidentifiedResourceName: "\xbd\xcc\xb1\xdb\xbc\xa6\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gate Keeper-DD",
			identifiedResourceName: "\xb0\xd4\xc0\xcc\xc6\xae\xc5\xb0\xc6\xdb\x44\x44",
			identifiedDescriptionName: [
				"The barrel of the original Gate Keeper is made out of pure Oridecon, making it very durable.",
				"Add a 3% chance of auto casting ^008800Level 6 Spread Attack^000000 on the enemy when attacking.",
				"DEF increases by Refine Rate.",
				"DEX + 1",
				"Inflicts Splashed damage.",
				"Class :^777777 Shotgun^000000",
				"Attack :^777777 200^000000",
				"Weight :^777777 130^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 20
		},

		13168: {
			unidentifiedDisplayName: "Shotgun",
			unidentifiedResourceName: "\xbd\xcc\xb1\xdb\xbc\xa6\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Thunder P",
			identifiedResourceName: "\xbd\xe3\xb4\xf5\x50",
			identifiedDescriptionName: [
				"A sawed off shotgun that fires shots more rapidly like a pistol at the cost of reduced accuracy.",
				"HIT - 5, Increases Attack Speed by 20%.",
				"Splash Damage.",
				"Class :^777777 Shotgun^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 1,
			ClassNum: 20
		},

		13169: {
			unidentifiedDisplayName: "Shotgun",
			unidentifiedResourceName: "\xbd\xcc\xb1\xdb\xbc\xa6\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Thunder P",
			identifiedResourceName: "\xbd\xe3\xb4\xf5\x50",
			identifiedDescriptionName: [
				"A sawed off shotgun that fires shots more rapidly like a pistol at the cost of reduced accuracy.",
				"HIT - 5, Increases Attack Speed by 20%.",
				"Splash Damage.",
				"Class :^777777 Shotgun^000000",
				"Attack :^777777 80^000000",
				"Weight :^777777 70^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 2,
			ClassNum: 20
		},

		13170: {
			unidentifiedDisplayName: "Rifle",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xc7\xc3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lever Action Rifle",
			identifiedResourceName: "\xb7\xb9\xb9\xf6\xbe\xd7\xbc\xc7\xb6\xf3\xc0\xcc\xc7\xc3",
			identifiedDescriptionName: [
				"A masterpiece that brings the power of the Rifles to the max. This beautiful gun steals the heart of the Gunslingers, and its high performance will put a hole through the heart of the enemy. Only downside is that, due to the fact it is lever-action oriented, the Attack Speed is somewhat poor.",
				"HIT + 20, Critical Rate + 50, Attack Speed - 5%.",
				"Class :^777777 Rifle^000000",
				"Attack :^777777 138^000000",
				"Weight :^777777 77^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 2,
			ClassNum: 18
		},

		13171: {
			unidentifiedDisplayName: "Soldier Rifle",
			unidentifiedResourceName: "\xb4\xf5\xbb\xe7\xc0\xcc\xc5\xac\xb7\xd0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Soldier Rifle",
			identifiedResourceName: "\xb4\xf5\xbb\xe7\xc0\xcc\xc5\xac\xb7\xd0",
			identifiedDescriptionName: [
				"A Rifle made for short and medium ranged battles against Demihumans, that enables a reduction to the targeting delay;",
				"as it is designed to limit the trembling of the shooter's hands.",
				"DEX +2, HIT +10, CRI +10",
				"Increases Physical Attack Strength towards Demihuman monsters by 75%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"Reduce Tracking skill Variable Casting Time by 25%.",
				"Indestructible.",
				"Class : ^777777Rifle^000000",
				"Attack Strength: ^77777750^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 18
		},

		13172: {
			unidentifiedDisplayName: "Soldier GatlingGun",
			unidentifiedResourceName: "\xb5\xe5\xb8\xae\xc7\xc1\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Soldier GatlingGun",
			identifiedResourceName: "\xb5\xe5\xb8\xae\xc7\xc1\xc5\xcd",
			identifiedDescriptionName: [
				"A specialized Gatling Gun made for battles against Demihumans; occasionally, it shoots high-powered bullets.",
				"DEX + 2",
				"Increases Physical Attack Strength towards Demihuman monsters by 35%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"Has a chance of adding 80 ATK for 6 seconds,",
				"but due to the recoil will drain 120 HP every second.",
				"Indestructible.",
				"Class : ^777777Gatling Gun^000000",
				"Attack Strength: ^77777780^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 19
		},

		13173: {
			unidentifiedDisplayName: "Soldier Shotgun",
			unidentifiedResourceName: "\xb0\xd4\xc0\xcc\xc6\xae\xc5\xb0\xc6\xdb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Soldier Shotgun",
			identifiedResourceName: "\xb0\xd4\xc0\xcc\xc6\xae\xc5\xb0\xc6\xdb",
			identifiedDescriptionName: [
				"A Shotgun that has a great attack in short ranged battles against Demihumans.",
				"It shows a wide variety of strength between each attack.",
				"DEX + 2, Inflicts splash attack.",
				"Increases Physical Attack Strength towards Demihuman monsters by 55%.",
				"Ignores Physical Defense from Demihuman monster by 20%.",
				"Has a chance of adding 80 ATK for 6 seconds,",
				"but drains 100 HP every second.",
				"Indestructible.",
				"Class : ^777777Shotgun^000000",
				"Attack Strength: ^777777100^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 20
		},

		13174: {
			unidentifiedDisplayName: "Soldier Grenade Launcher",
			unidentifiedResourceName: "\xb5\xf0\xbd\xba\xc6\xae\xb7\xce\xc0\xcc\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Soldier Grenade Launcher",
			identifiedResourceName: "\xb5\xf0\xbd\xba\xc6\xae\xb7\xce\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"A Grenade Launcher that shows great fire-power in battles against Demihumans.",
				"DEX + 2",
				"Increases Physical Attack Strength towards Demihuman monsters by 35%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"Has a chance of adding 300 ATK for 9 seconds,",
				"but drains 120 HP every second.",
				"Indestructible.",
				"Class : ^777777Grenade Launcher^000000",
				"Attack Strength: ^777777300^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 21
		},

		13175: {
			unidentifiedDisplayName: "Lever Action Rifle",
			unidentifiedResourceName: "\xb7\xb9\xb9\xf6\xbe\xd7\xbc\xc7\xb6\xf3\xc0\xcc\xc7\xc3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lever Action Rifle",
			identifiedResourceName: "\xb7\xb9\xb9\xf6\xbe\xd7\xbc\xc7\xb6\xf3\xc0\xcc\xc7\xc3",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A masterpiece that brings the power of the Rifles to the max. This beautiful gun steals the heart of the Gunslingers, and its high performance will put a hole through the heart of the enemy. Only downside is that, due to the fact it is lever-action oriented, the Attack Speed is somewhat poor.",
				"HIT+ 20, Cri+ 50, Adds 40% damage to the monster.",
				"Class :^777777 Rifle^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 18
		},

		13176: {
			unidentifiedDisplayName: "Glorious Rifle",
			unidentifiedResourceName: "\xb7\xd5\xb9\xd9\xb7\xbc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Rifle",
			identifiedResourceName: "\xb7\xd5\xb9\xd9\xb7\xbc",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 75%.",
				"Adds 20% defense bypassing on Demi-human monster.",
				"Increases 30% damage of skill Triple Action.",
				"[^333399Refine Rate 6~10^000000]",
				"Adds 5% defense bypassing on Demi-human monster.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"Decreases casting time of skill Tracking by 25%",
				"Increases the damage of skill Tracking by 3% times the refine of the weapon.",
				"Class :^777777 Rifle^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 18
		},

		13177: {
			unidentifiedDisplayName: "Glorious Gatling gun",
			unidentifiedResourceName: "\xb5\xe5\xb8\xae\xc7\xc1\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Gatling gun",
			identifiedResourceName: "\xb5\xe5\xb8\xae\xc7\xc1\xc5\xcd",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 35%.",
				"Adds 20% defense bypassing on Demi-human monster.",
				"Increases 30% damage of skill Triple Action.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Adds 5% defense bypassing on Demi-human monster.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"Increases physical damage by 1% times the refine of the weapon.",
				"Class :^777777 Gatling Gun^000000",
				"Attack :^777777 90^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 19
		},

		13178: {
			unidentifiedDisplayName: "Glorious Shotgun",
			unidentifiedResourceName: "\xb4\xf5\xba\xed\xbc\xa6\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Shotgun",
			identifiedResourceName: "\xb4\xf5\xba\xed\xbc\xa6\xb0\xc7",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 55%.",
				"Adds 20% defense bypassing on Demi-human monster.",
				"Splash Attack.",
				"Increases 30% damage of skill Triple Action.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Adds 5% defense bypassing on Demi-human monster.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"Increases the damage of Crowd Control Shot by 2% times the refine of the weapon.",
				"Gives Crowd Control Shot a chance to ^880000Stun^000000 the opponent.",
				"Class :^777777 Shotgun^000000",
				"Attack :^777777 110^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 20
		},

		13179: {
			unidentifiedDisplayName: "Glorious Grenade Launcher",
			unidentifiedResourceName: "\xc0\xce\xc6\xe4\xb8\xa3\xb3\xeb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Grenade Launcher",
			identifiedResourceName: "\xc0\xce\xc6\xe4\xb8\xa3\xb3\xeb",
			identifiedDescriptionName: [
				"Increases physical attack against Demi human monster by 35%.",
				"Adds 20% defense to the Demi human monster.",
				"Increases 30% damage of Triple Action skill.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Adds a 5% defense bypassing.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 9~10^000000]",
				"Increases the damage of Gunslinger Mine by 2% times the refine of the weapon.",
				"When attacking there's a chance the weapon will awaken and increase attack speed by 20% for 20 seconds.",
				"Class :^777777 Grenade Launcher^000000",
				"Attack :^777777 330^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Gunslinger^000000",
			],
			slotCount: 0,
			ClassNum: 21
		},

		13180: {
			unidentifiedDisplayName: "¶óÀÌÇÃ",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xc7\xc3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÃÊº¸ÀÚ¿ë ¶óÀÌÇÃ",
			identifiedResourceName: "\xb6\xf3\xc0\xcc\xc7\xc3",
			identifiedDescriptionName: [
				"ÃÑ½ÅÀ» ±æ°ÔÇÏ¿© »çÁ¤°Å¸®¿Í ¸íÁß·üÀÇ Çâ»óÀ» ²ÒÇÑ ¼ÒÇüÈ­±â. º¸±â¿Í´Â ´Þ¸® ±ÇÃÑº¸´Ù ´õ »ç¿ëÀÌ °£ÆíÇÏ´Ù.",
				"°è¿­ : ^777777¶óÀÌÇÃ^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^77777750^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
			],
			slotCount: 3,
			ClassNum: 18
		},

		13181: {
			unidentifiedDisplayName: "¼¦°Ç",
			unidentifiedResourceName: "\xbd\xcc\xb1\xdb\xbc\xa6\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÃÊº¸ÀÚ¿ë ¼¦°Ç",
			identifiedResourceName: "\xbd\xcc\xb1\xdb\xbc\xa6\xb0\xc7",
			identifiedDescriptionName: [
				"ÃÊº¸ÀÚµµ ¼Õ½±°Ô »ç¿ëÇÒ ¼ö ÀÖµµ·Ï °³Á¶µÈ ¼¦°Ç. ÇÏÁö¸¸ ÃÑÀÇ ¹«°Ô°¡ ÁÖ´Â ¹Ýµ¿Àº ¹«½ÃÇÒ ¼ö ¾ø´Ù.",
				"°è¿­ : ^777777¼¦°Ç^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^777777100^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
			],
			slotCount: 0,
			ClassNum: 20
		},

		13182: {
			unidentifiedDisplayName: "°ÔÆ²¸µ°Ç",
			unidentifiedResourceName: "\xb5\xe5\xb8\xae\xc7\xc1\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÃÊº¸ÀÚ¿ë °³Æ²¸µ°Ç",
			identifiedResourceName: "\xb5\xe5\xb8\xae\xc7\xc1\xc5\xcd",
			identifiedDescriptionName: [
				"ÃÊº¸ÀÚ¿ë Àüµ¿È¸Àü½Ä ´Ù¿¬¹ßÈ­±â. ´Ù·ç±â´Â ½±Áö¸¸ ¹«°Ô°¡ ¸¸¸¸Ä¡ ¾Ê´Ù.",
				"°è¿­ : ^777777°ÔÆ²¸µ°Ç^000000 °ø°Ý : ^77777740^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
			],
			slotCount: 0,
			ClassNum: 19
		},

		13183: {
			unidentifiedDisplayName: "±×·¹³×ÀÌµå·±Ã³",
			unidentifiedResourceName: "\xb5\xf0\xbd\xba\xc6\xae\xb7\xce\xc0\xcc\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÃÊº¸ÀÚ¿ë ±×·¹³×ÀÌµå·±Ã³",
			identifiedResourceName: "\xb5\xf0\xbd\xba\xc6\xae\xb7\xce\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"ÃÊº¸ÀÚ¿ëÀ¸·Î Æ¯¼ö Á¦ÀÛÇÑ À¯Åº¹ß»ç±â. ÃÊº¸ÀÚ¿ëÀº ÃÊº¸ÀÚ¿ëÀÏ »ÓÀÌ´Ù.",
				"°è¿­ : ^777777±×·¹³×ÀÌµå·±Ã³^000000 °ø°Ý : ^77777740^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
			],
			slotCount: 0,
			ClassNum: 21
		},

		13184: {
			unidentifiedDisplayName: "¶óÀÌÇÃ",
			unidentifiedResourceName: "\xb7\xd5\xb9\xd9\xb7\xbc",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¶óÀÌÇÃ",
			identifiedResourceName: "\xb7\xd5\xb9\xd9\xb7\xbc",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î Ä§¹¬.",
				"°è¿­ : ^777777¶óÀÌÇÃ^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
			],
			slotCount: 0,
			ClassNum: 18
		},

		13185: {
			unidentifiedDisplayName: "°³Æ²¸µ°Ç",
			unidentifiedResourceName: "\xb5\xe5\xb8\xae\xc7\xc1\xc5\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º °³Æ²¸µ°Ç",
			identifiedResourceName: "\xb5\xe5\xb8\xae\xc7\xc1\xc5\xcd",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ½ºÅÏ.",
				"°è¿­ : ^777777°ÔÆ²¸µ°Ç^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
			],
			slotCount: 0,
			ClassNum: 19
		},

		13186: {
			unidentifiedDisplayName: "¼¦°Ç",
			unidentifiedResourceName: "\xb0\xd4\xc0\xcc\xc6\xae\xc5\xb0\xc6\xdb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¼¦°Ç",
			identifiedResourceName: "\xb0\xd4\xc0\xcc\xc6\xae\xc5\xb0\xc6\xdb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î Áßµ¶.",
				"°è¿­ : ^777777¼¦°Ç^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
			],
			slotCount: 0,
			ClassNum: 20
		},

		13187: {
			unidentifiedDisplayName: "±×·¹³×ÀÌµå·±Ã³",
			unidentifiedResourceName: "\xb5\xf0\xbd\xba\xc6\xae\xb7\xce\xc0\xcc\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ±×·¹³×ÀÌµå °Ç",
			identifiedResourceName: "\xb5\xf0\xbd\xba\xc6\xae\xb7\xce\xc0\xcc\xbe\xee",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ¾ÏÈæ.",
				"°è¿­ : ^777777±×·¹³×ÀÌµå·±Ã³^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
			],
			slotCount: 0,
			ClassNum: 21
		},

		13200: {
			unidentifiedDisplayName: "Bullet",
			unidentifiedResourceName: "\xba\xed\xb8\xb4",
			unidentifiedDescriptionName: [
				"A small metal bullet that can be fired from a gun to damage enemies.",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 10^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Bullet",
			identifiedResourceName: "\xba\xed\xb8\xb4",
			identifiedDescriptionName: [
				"A small metal bullet that can be fired from a gun to damage enemies.",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 10^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13201: {
			unidentifiedDisplayName: "Silver Bullet",
			unidentifiedResourceName: "\xbd\xc7\xb9\xf6\xba\xed\xb8\xb4",
			unidentifiedDescriptionName: [
				"A small silver bullet imbued with holy power.",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 15^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Holy^000000",
			],
			identifiedDisplayName: "Silver Bullet",
			identifiedResourceName: "\xbd\xc7\xb9\xf6\xba\xed\xb8\xb4",
			identifiedDescriptionName: [
				"A small silver bullet imbued with holy power.",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 15^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Holy^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13202: {
			unidentifiedDisplayName: "Bloody Shell",
			unidentifiedResourceName: "\xba\xed\xb7\xaf\xb5\xf0\xbc\xbf",
			unidentifiedDescriptionName: [
				"A bloody red bullet which radiates a red light.",
				"^880000External Bleeding^000000 an enemy when you attack (Success Chance 5%).",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Bloody Shell",
			identifiedResourceName: "\xba\xed\xb7\xaf\xb5\xf0\xbc\xbf",
			identifiedDescriptionName: [
				"A bloody red bullet which radiates a red light.",
				"^880000External Bleeding^000000 an enemy when you attack (Success Chance 5%).",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 0.2^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13203: {
			unidentifiedDisplayName: "Flare Sphere",
			unidentifiedResourceName: "\xc7\xc3\xb7\xb9\xbe\xee\xbd\xba\xc7\xc7\xbe\xee",
			unidentifiedDescriptionName: [
				"A grenade launcher bullet imbued with the ^FF0000Fire^000000 Property.",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.5^000000",
				"Property :^FF0000 Fire^000000",
			],
			identifiedDisplayName: "Flare Sphere",
			identifiedResourceName: "\xc7\xc3\xb7\xb9\xbe\xee\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A grenade launcher bullet imbued with the ^FF0000Fire^000000 Property.",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.5^000000",
				"Property :^FF0000 Fire^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13204: {
			unidentifiedDisplayName: "Lightning Sphere",
			unidentifiedResourceName: "\xb6\xf3\xc0\xcc\xc6\xae\xb4\xd7\xbd\xba\xc7\xc7\xbe\xee",
			unidentifiedDescriptionName: [
				"A grenade launcher bullet imbued with the ^009900Wind^000000 Property.",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.5^000000",
				"Property :^009900 Wind^000000",
			],
			identifiedDisplayName: "Lightning Sphere",
			identifiedResourceName: "\xb6\xf3\xc0\xcc\xc6\xae\xb4\xd7\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A grenade launcher bullet imbued with the ^009900Wind^000000 Property.",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.5^000000",
				"Property :^009900 Wind^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13205: {
			unidentifiedDisplayName: "Poison Sphere",
			unidentifiedResourceName: "\xc6\xf7\xc0\xcc\xc1\xf0\xbd\xba\xc7\xc7\xbe\xee",
			unidentifiedDescriptionName: [
				"A grenade launcher bullet that contains deadly poison.",
				"^880000Poison^000000 an enemy when you attack (Success Chance 5%).",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Poison^000000",
			],
			identifiedDisplayName: "Poison Sphere",
			identifiedResourceName: "\xc6\xf7\xc0\xcc\xc1\xf0\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A grenade launcher bullet that contains deadly poison.",
				"^880000Poison^000000 an enemy when you attack (Success Chance 5%).",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Poison^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13206: {
			unidentifiedDisplayName: "Blind Sphere",
			unidentifiedResourceName: "\xba\xed\xb6\xf3\xc0\xce\xb5\xe5\xbd\xba\xc7\xc7\xbe\xee",
			unidentifiedDescriptionName: [
				"A grenade launcher bullet imbued with the ^777777Shadow^000000 Property.",
				"^880000Blind^000000 an enemy when you attack (Success Chance 5%).",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Shadow^000000",
			],
			identifiedDisplayName: "Blind Sphere",
			identifiedResourceName: "\xba\xed\xb6\xf3\xc0\xce\xb5\xe5\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A grenade launcher bullet imbued with the ^777777Shadow^000000 Property.",
				"^880000Blind^000000 an enemy when you attack (Success Chance 5%).",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Shadow^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13207: {
			unidentifiedDisplayName: "Freezing Sphere",
			unidentifiedResourceName: "\xc7\xc1\xb8\xae\xc2\xa1\xbd\xba\xc7\xc7\xbe\xee",
			unidentifiedDescriptionName: [
				"A grenade launcher bullet imbued with the ^0000FFWater^000000 Property.",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.5^000000",
				"Property :^0000FF Water^000000",
			],
			identifiedDisplayName: "Freezing Sphere",
			identifiedResourceName: "\xc7\xc1\xb8\xae\xc2\xa1\xbd\xba\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A grenade launcher bullet imbued with the ^0000FFWater^000000 Property.",
				"Class :^777777 Bullet^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 0.5^000000",
				"Property :^0000FF Water^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13208: {
			unidentifiedDisplayName: "°ø¹ú·¹",
			unidentifiedResourceName: "\xb0\xf8\xb9\xfa\xb7\xb9",
			unidentifiedDescriptionName: [
				"ÀýÁöµ¿¹° µî°¢¸ñ Áã¸ç´À¸®°úÀÇ °©°¢·ù. ¸Å¿ì ³î¶ó¸é ¸öÀ» µÕ±Û°Ô ¸»¾Æ¹ö¸°´Ù°í ÇÑ´Ù. ÀÇ¿Ü·Î ´Ü´ÜÇÏ´Ù.",
				"°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ½ºÅÏÀ» °Ç´Ù.",
				"°è¿­ : ^777777ÅºÈ¯^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^7777770.5^000000 ¼Ó¼º : ^777777¹«¼Ó¼º^000000",
			],
			identifiedDisplayName: "°ø¹ú·¹",
			identifiedResourceName: "\xb0\xf8\xb9\xfa\xb7\xb9",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀýÁöµ¿¹° µî°¢¸ñ Áã¸ç´À¸®°úÀÇ °©°¢·ù. ¸Å¿ì ³î¶ó¸é ¸öÀ» µÕ±Û°Ô ¸»¾Æ¹ö¸°´Ù°í ÇÑ´Ù. ÀÇ¿Ü·Î ´Ü´ÜÇÏ´Ù.",
				"°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ½ºÅÏÀ» °Ç´Ù.",
				"°è¿­ : ^777777ÅºÈ¯^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^7777770.5^000000 ¼Ó¼º : ^777777¹«¼Ó¼º^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13250: {
			unidentifiedDisplayName: "Shuriken",
			unidentifiedResourceName: "\xbc\xf6\xb8\xae\xb0\xcb",
			unidentifiedDescriptionName: [
				"A cross shaped dagger that is small enough to conceal in your hand.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 10^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Shuriken",
			identifiedResourceName: "\xbc\xf6\xb8\xae\xb0\xcb",
			identifiedDescriptionName: [
				"A cross shaped dagger that is small enough to conceal in your hand.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 10^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13251: {
			unidentifiedDisplayName: "Nimbus Shuriken",
			unidentifiedResourceName: "\xbc\xf6\xb8\xae\xb0\xcb\x5f\xc5\xeb\xbf\xee",
			unidentifiedDescriptionName: [
				"A shuriken that is rumored to show its true power during a rainstorm.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 30^000000",
				"Required Level :^777777 20^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Nimbus Shuriken",
			identifiedResourceName: "\xbc\xf6\xb8\xae\xb0\xcb\x5f\xc5\xeb\xbf\xee",
			identifiedDescriptionName: [
				"A shuriken that is rumored to show its true power during a rainstorm.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 30^000000",
				"Required Level :^777777 20^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13252: {
			unidentifiedDisplayName: "Flash Shuriken",
			unidentifiedResourceName: "\xbc\xf6\xb8\xae\xb0\xcb\x5f\xba\xf1\xc8\xaf",
			unidentifiedDescriptionName: [
				"A shuriken that can be thrown at the speed of light.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 45^000000",
				"Required Level :^777777 40^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Flash Shuriken",
			identifiedResourceName: "\xbc\xf6\xb8\xae\xb0\xcb\x5f\xba\xf1\xc8\xaf",
			identifiedDescriptionName: [
				"A shuriken that can be thrown at the speed of light.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 45^000000",
				"Required Level :^777777 40^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13253: {
			unidentifiedDisplayName: "Sharp Leaf Shuriken",
			unidentifiedResourceName: "\xbc\xf6\xb8\xae\xb0\xcb\x5f\xbc\xb1\xbf\xb1",
			unidentifiedDescriptionName: [
				"A sharp shuriken that is surprisingly as thin as a leaf.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 70^000000",
				"Required Level :^777777 60^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Sharp Leaf Shuriken",
			identifiedResourceName: "\xbc\xf6\xb8\xae\xb0\xcb\x5f\xbc\xb1\xbf\xb1",
			identifiedDescriptionName: [
				"A sharp shuriken that is surprisingly as thin as a leaf.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 70^000000",
				"Required Level :^777777 60^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13254: {
			unidentifiedDisplayName: "Thorn Needle Shuriken",
			unidentifiedResourceName: "\xbc\xf6\xb8\xae\xb0\xcb\x5f\xc4\xa7\xbc\xad",
			unidentifiedDescriptionName: [
				"A dreadful shuriken with thorn like barbs that hook into its target, making them painful to pull out.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 100^000000",
				"Required Level :^777777 80^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Thorn Needle Shuriken",
			identifiedResourceName: "\xbc\xf6\xb8\xae\xb0\xcb\x5f\xc4\xa7\xbc\xad",
			identifiedDescriptionName: [
				"A dreadful shuriken with thorn like barbs that hook into its target, making them painful to pull out.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 100^000000",
				"Required Level :^777777 80^000000",
				"Weight :^777777 0.5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13255: {
			unidentifiedDisplayName: "Icicle Kunai",
			unidentifiedResourceName: "\xc4\xed\xb3\xaa\xc0\xcc\x5f\xbc\xf6",
			unidentifiedDescriptionName: [
				"A kunai imbued with freezing cold.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 2^000000",
				"Property :^0000FF Water^000000",
			],
			identifiedDisplayName: "Icicle Kunai",
			identifiedResourceName: "\xc4\xed\xb3\xaa\xc0\xcc\x5f\xbc\xf6",
			identifiedDescriptionName: [
				"A kunai imbued with freezing cold.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 2^000000",
				"Property :^0000FF Water^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13256: {
			unidentifiedDisplayName: "Black Earth Kunai",
			unidentifiedResourceName: "\xc4\xed\xb3\xaa\xc0\xcc\x5f\xc5\xe4",
			unidentifiedDescriptionName: [
				"An ^996600Earth^000000 Property kunai that inflicts blunt trauma upon targeted enemies.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 2^000000",
				"Property :^996600 Earth^000000",
			],
			identifiedDisplayName: "Black Earth Kunai",
			identifiedResourceName: "\xc4\xed\xb3\xaa\xc0\xcc\x5f\xc5\xe4",
			identifiedDescriptionName: [
				"An ^996600Earth^000000 Property kunai that inflicts blunt trauma upon targeted enemies.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 2^000000",
				"Property :^996600 Earth^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13257: {
			unidentifiedDisplayName: "High Wind Kunai",
			unidentifiedResourceName: "\xc4\xed\xb3\xaa\xc0\xcc\x5f\xc7\xb3",
			unidentifiedDescriptionName: [
				"A ^009900Wind^000000 Property kunai that is especially sharp.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 2^000000",
				"Property :^009900 Wind^000000",
			],
			identifiedDisplayName: "High Wind Kunai",
			identifiedResourceName: "\xc4\xed\xb3\xaa\xc0\xcc\x5f\xc7\xb3",
			identifiedDescriptionName: [
				"A ^009900Wind^000000 Property kunai that is especially sharp.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 2^000000",
				"Property :^009900 Wind^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13258: {
			unidentifiedDisplayName: "Heat Wave Kunai",
			unidentifiedResourceName: "\xc4\xed\xb3\xaa\xc0\xcc\x5f\xc8\xad",
			unidentifiedDescriptionName: [
				"An explosive kunai that will inflict splashed damage around its target.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 2^000000",
				"Property :^FF0000 Fire^000000",
			],
			identifiedDisplayName: "Heat Wave Kunai",
			identifiedResourceName: "\xc4\xed\xb3\xaa\xc0\xcc\x5f\xc8\xad",
			identifiedDescriptionName: [
				"An explosive kunai that will inflict splashed damage around its target.",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 2^000000",
				"Property :^FF0000 Fire^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13259: {
			unidentifiedDisplayName: "Fell Poison Kunai",
			unidentifiedResourceName: "\xc4\xed\xb3\xaa\xc0\xcc\x5f\xb5\xb6",
			unidentifiedDescriptionName: [
				"A kunai coated with deadly poison.",
				"^880000Poison^000000 an enemy when you attack (Success Chance 5%).",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 2^000000",
				"Property :^777777 Poison^000000",
			],
			identifiedDisplayName: "Fell Poison Kunai",
			identifiedResourceName: "\xc4\xed\xb3\xaa\xc0\xcc\x5f\xb5\xb6",
			identifiedDescriptionName: [
				"A kunai coated with deadly poison.",
				"^880000Poison^000000 an enemy when you attack (Success Chance 5%).",
				"Class :^777777 Throwing Weapon^000000",
				"Attack :^777777 30^000000",
				"Weight :^777777 2^000000",
				"Property :^777777 Poison^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13260: {
			unidentifiedDisplayName: "Apple Bomb",
			unidentifiedResourceName: "\xbb\xe7\xb0\xfa\xc6\xf8\xc5\xba",
			unidentifiedDescriptionName: [
				"A small apple loaded with explosive powder. ",
				"It doesn't patck much punch but you can get good range.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Apple Bomb",
			identifiedResourceName: "\xbb\xe7\xb0\xfa\xc6\xf8\xc5\xba",
			identifiedDescriptionName: [
				"A small apple loaded with explosive powder.",
				"It doesn't patck much punch but you can get good range.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13261: {
			unidentifiedDisplayName: "Coconut Bomb",
			unidentifiedResourceName: "\xbe\xdf\xc0\xda\xbf\xad\xb8\xc5\xc6\xf8\xc5\xba",
			unidentifiedDescriptionName: [
				"An explosive crafted with the hard shell of a coconut.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Coconut Bomb",
			identifiedResourceName: "\xbe\xdf\xc0\xda\xbf\xad\xb8\xc5\xc6\xf8\xc5\xba",
			identifiedDescriptionName: [
				"An explosive crafted with the hard shell of a coconut.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13262: {
			unidentifiedDisplayName: "Melon Bomb",
			unidentifiedResourceName: "\xb8\xe1\xb7\xd0\xc6\xf8\xc5\xba",
			unidentifiedDescriptionName: [
				"A bomb created with a melon's sweet sticky juice.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Melon Bomb",
			identifiedResourceName: "\xb8\xe1\xb7\xd0\xc6\xf8\xc5\xba",
			identifiedDescriptionName: [
				"A bomb created with a melon's sweet sticky juice.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13263: {
			unidentifiedDisplayName: "Pineapple Bomb",
			unidentifiedResourceName: "\xc6\xc4\xc0\xce\xbe\xd6\xc7\xc3\xc6\xf8\xc5\xba",
			unidentifiedDescriptionName: [
				"A bomb created with a pineapples hard skin that will fragment when it explodes.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Pineapple Bomb",
			identifiedResourceName: "\xc6\xc4\xc0\xce\xbe\xd6\xc7\xc3\xc6\xf8\xc5\xba",
			identifiedDescriptionName: [
				"A bomb created with a pineapples hard skin that will fragment when it explodes.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13264: {
			unidentifiedDisplayName: "Banana Bomb",
			unidentifiedResourceName: "\xb9\xd9\xb3\xaa\xb3\xaa\xc6\xf8\xc5\xba",
			unidentifiedDescriptionName: [
				"...",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Banana Bomb",
			identifiedResourceName: "\xb9\xd9\xb3\xaa\xb3\xaa\xc6\xf8\xc5\xba",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 0.1^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13265: {
			unidentifiedDisplayName: "Black Lump",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xb5\xa2\xbe\xee\xb8\xae",
			unidentifiedDescriptionName: [
				"A hard black lump. It would hurt a bit if you threw it at someone.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Black Lump",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb5\xa2\xbe\xee\xb8\xae",
			identifiedDescriptionName: [
				"A hard black lump. It would hurt a bit if you threw it at someone.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13266: {
			unidentifiedDisplayName: "Black Hard Lump",
			unidentifiedResourceName: "\xb0\xcb\xb0\xed\xb5\xfc\xb5\xfc\xc7\xd1\xb5\xa2\xbe\xee\xb8\xae",
			unidentifiedDescriptionName: [
				"A more concentrated black lump. It would hurt considerably.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Black Hard Lump",
			identifiedResourceName: "\xb0\xcb\xb0\xed\xb5\xfc\xb5\xfc\xc7\xd1\xb5\xa2\xbe\xee\xb8\xae",
			identifiedDescriptionName: [
				"A more concentrated black lump. It would hurt considerably.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13267: {
			unidentifiedDisplayName: "Very Hard Lump",
			unidentifiedResourceName: "\xb9\xab\xc1\xf6\xb5\xfc\xb5\xfc\xc7\xd1\xb5\xa2\xbe\xee\xb8\xae",
			unidentifiedDescriptionName: [
				"An extremely hard black lump. It would be really bad to be hit by this.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Very Hard Lump",
			identifiedResourceName: "\xb9\xab\xc1\xf6\xb5\xfc\xb5\xfc\xc7\xd1\xb5\xa2\xbe\xee\xb8\xae",
			identifiedDescriptionName: [
				"An extremely hard black lump. It would be really bad to be hit by this.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13268: {
			unidentifiedDisplayName: "Mysterious Powder",
			unidentifiedResourceName: "\xbe\xcb\xbc\xf6\xbe\xf8\xb4\xc2\xb0\xa1\xb7\xe7",
			unidentifiedDescriptionName: [
				"A strange powder. You're not sure what will happen.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Mysterious Powder",
			identifiedResourceName: "\xbe\xcb\xbc\xf6\xbe\xf8\xb4\xc2\xb0\xa1\xb7\xe7",
			identifiedDescriptionName: [
				"A strange powder. You're not sure what will happen.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13269: {
			unidentifiedDisplayName: "Throwing Boost500",
			unidentifiedResourceName: "\xba\xce\xbd\xba\xc6\xae\x35\x30\x30",
			unidentifiedDescriptionName: [
				"A refined Boost500 for throwing. Increases attack speed.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Throwing Boost500",
			identifiedResourceName: "\xba\xce\xbd\xba\xc6\xae\x35\x30\x30",
			identifiedDescriptionName: [
				"A refined Boost500 for throwing. Increases attack speed.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13270: {
			unidentifiedDisplayName: "Full SwingK Throw",
			unidentifiedResourceName: "\xc7\xae\xbd\xba\xc0\xae\x4b",
			unidentifiedDescriptionName: [
				"A refined Full Swing K for throwing. Increases attack power.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Full SwingK Throw",
			identifiedResourceName: "\xc7\xae\xbd\xba\xc0\xae\x4b",
			identifiedDescriptionName: [
				"A refined Full Swing K for throwing. Increases attack power.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13271: {
			unidentifiedDisplayName: "Mana + Throw",
			unidentifiedResourceName: "\xb8\xb6\xb3\xaa\xc7\xc3\xb7\xaf\xbd\xba",
			unidentifiedDescriptionName: [
				"A refined Manaplus for throwing. Increases magic attack power.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Mana + Throw",
			identifiedResourceName: "\xb8\xb6\xb3\xaa\xc7\xc3\xb7\xaf\xbd\xba",
			identifiedDescriptionName: [
				"A refined Manaplus for throwing. Increases magic attack power.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13272: {
			unidentifiedDisplayName: "Cure Free Throw",
			unidentifiedResourceName: "\xc5\xa5\xbe\xee\xc7\xc1\xb8\xae",
			unidentifiedDescriptionName: [
				"A remodeled cure free for throwing. Recovers a large amount.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Cure Free Throw",
			identifiedResourceName: "\xc5\xa5\xbe\xee\xc7\xc1\xb8\xae",
			identifiedDescriptionName: [
				"A remodeled cure free for throwing. Recovers a large amount.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13273: {
			unidentifiedDisplayName: "Throwing Muramura(M)",
			unidentifiedResourceName: "\xba\xd2\xb2\xf6\xba\xd2\xb2\xf6\x4d",
			unidentifiedDescriptionName: [
				"A remodeled Muramura M for throwing. Increases max HP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Throwing Muramura(M)",
			identifiedResourceName: "\xba\xd2\xb2\xf6\xba\xd2\xb2\xf6\x4d",
			identifiedDescriptionName: [
				"A remodeled Muramura M for throwing. Increases max HP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13274: {
			unidentifiedDisplayName: "Throwing Falmons(F)",
			unidentifiedResourceName: "\xc8\xb0\xb8\xe9\xbc\xf6\x46",
			unidentifiedDescriptionName: [
				"A remodeled Falmons F for throwing. Increases max SP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Throwing Falmons(F)",
			identifiedResourceName: "\xc8\xb0\xb8\xe9\xbc\xf6\x46",
			identifiedDescriptionName: [
				"A remodeled Falmons F for throwing. Increases max SP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13275: {
			unidentifiedDisplayName: "HP Increase Potion(Small) Throw",
			unidentifiedResourceName: "\x48\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xbc\xd2",
			unidentifiedDescriptionName: [
				"A remodeled HP increase potion for throwing. Increases Max HP, recovers 2% HP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 2^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "HP Increase Potion(Small) Throw",
			identifiedResourceName: "\x48\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xbc\xd2",
			identifiedDescriptionName: [
				"A remodeled HP increase potion for throwing. Increases Max HP, recovers 2% HP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 2^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13276: {
			unidentifiedDisplayName: "HP Increase Potion(Mid) Throw",
			unidentifiedResourceName: "\x48\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xc1\xdf",
			unidentifiedDescriptionName: [
				"A remodeled HP increase potion for throwing. Increases Max HP, recovers 3% HP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 4^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "HP Increase Potion(Mid) Throw",
			identifiedResourceName: "\x48\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xc1\xdf",
			identifiedDescriptionName: [
				"A remodeled HP increase potion for throwing. Increases Max HP, recovers 3% HP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 4^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13277: {
			unidentifiedDisplayName: "HP Increase Potion(Large) Throw",
			unidentifiedResourceName: "\x48\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xb4\xeb",
			unidentifiedDescriptionName: [
				"A remodeled HP increase potion for throwing. Increases Max HP, recovers 5% HP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 8^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "HP Increase Potion(Large) Throw",
			identifiedResourceName: "\x48\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xb4\xeb",
			identifiedDescriptionName: [
				"A remodeled HP increase potion for throwing. Increases Max HP, recovers 5% HP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 8^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13278: {
			unidentifiedDisplayName: "HP Increase Potion(Small) Throw",
			unidentifiedResourceName: "\x53\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xbc\xd2",
			unidentifiedDescriptionName: [
				"A remodeled SP increase potion for throwing. Increases Max SP, recovers 2% SP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 2^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "HP Increase Potion(Small) Throw",
			identifiedResourceName: "\x53\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xbc\xd2",
			identifiedDescriptionName: [
				"A remodeled SP increase potion for throwing. Increases Max SP, recovers 2% SP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 2^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13279: {
			unidentifiedDisplayName: "SP Increase Potion(Mid) Throw",
			unidentifiedResourceName: "\x53\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xc1\xdf",
			unidentifiedDescriptionName: [
				"A remodeled SP increase potion for throwing. Increases Max SP, recovers 4% SP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 4^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "SP Increase Potion(Mid) Throw",
			identifiedResourceName: "\x53\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xc1\xdf",
			identifiedDescriptionName: [
				"A remodeled SP increase potion for throwing. Increases Max SP, recovers 4% SP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 4^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13280: {
			unidentifiedDisplayName: "SP Increase Potion(Large) Throw",
			unidentifiedResourceName: "\x53\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xb4\xeb",
			unidentifiedDescriptionName: [
				"A remodeled SP increase potion for throwing. Increases Max SP, recovers 8% SP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 8^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "SP Increase Potion(Large) Throw",
			identifiedResourceName: "\x53\x50\xc1\xf5\xb0\xa1\xc6\xf7\xbc\xc7\x5f\xb4\xeb",
			identifiedDescriptionName: [
				"A remodeled SP increase potion for throwing. Increases Max SP, recovers 8% SP.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 8^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13281: {
			unidentifiedDisplayName: "Enriched White PotionZ Throw",
			unidentifiedResourceName: "\xb3\xf3\xc3\xe0\xc8\xad\xc0\xcc\xc6\xae\xc6\xf7\xbc\xc7\x5a",
			unidentifiedDescriptionName: [
				"A remodeled Concentrated White Potion Z for throwing. Recovers a large amount of HP and boosts natural HP regen.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 7^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Enriched White PotionZ Throw",
			identifiedResourceName: "\xb3\xf3\xc3\xe0\xc8\xad\xc0\xcc\xc6\xae\xc6\xf7\xbc\xc7\x5a",
			identifiedDescriptionName: [
				"A remodeled Concentrated White Potion Z for throwing. Recovers a large amount of HP and boosts natural HP regen.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 7^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13282: {
			unidentifiedDisplayName: "Vitata50 Throw0",
			unidentifiedResourceName: "\xba\xf1\xc5\xb8\xc5\xb8\x35\x30\x30",
			unidentifiedDescriptionName: [
				"A remodeled Vitata500 for throwing. Recovers a large amount of SP and boosts natural SP regen.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Vitata50 Throw0",
			identifiedResourceName: "\xba\xf1\xc5\xb8\xc5\xb8\x35\x30\x30",
			identifiedDescriptionName: [
				"A remodeled Vitata500 for throwing. Recovers a large amount of SP and boosts natural SP regen.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13283: {
			unidentifiedDisplayName: "Enrich Celermine Juice Throw",
			unidentifiedResourceName: "\xb3\xf3\xc3\xe0\xbb\xf8\xb7\xaf\xb8\xb6\xc0\xce\xc1\xf3",
			unidentifiedDescriptionName: [
				"A remodeled Ceromain Soup for throwing. Recovers a large amount of HP and boosts attack speed.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Enrich Celermine Juice Throw",
			identifiedResourceName: "\xb3\xf3\xc3\xe0\xbb\xf8\xb7\xaf\xb8\xb6\xc0\xce\xc1\xf3",
			identifiedDescriptionName: [
				"A remodeled Ceromain Soup for throwing. Recovers a large amount of HP and boosts attack speed.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13284: {
			unidentifiedDisplayName: "Savage BBQ Throw",
			unidentifiedResourceName: "\xbc\xbc\xba\xf1\xc1\xf6\xc5\xeb\xb1\xb8\xc0\xcc",
			unidentifiedDescriptionName: [
				"A remodeled Savage Full Roast for throwing. Increases STR.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Savage BBQ Throw",
			identifiedResourceName: "\xbc\xbc\xba\xf1\xc1\xf6\xc5\xeb\xb1\xb8\xc0\xcc",
			identifiedDescriptionName: [
				"A remodeled Savage Full Roast for throwing. Increases STR.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13285: {
			unidentifiedDisplayName: "Wug Cocktail To Throw",
			unidentifiedResourceName: "\xc4\xac\xc5\xd7\xc0\xcf\xbf\xf6\xb1\xd7\xba\xed\xb7\xaf\xb5\xe5",
			unidentifiedDescriptionName: [
				"A Cocktail Warg Blood refined for throwing. Increases INT.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Warg Cocktail To Throw",
			identifiedResourceName: "\xc4\xac\xc5\xd7\xc0\xcf\xbf\xf6\xb1\xd7\xba\xed\xb7\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A Cocktail Warg Blood refined for throwing. Increases INT.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13286: {
			unidentifiedDisplayName: "M Brisket To Throw",
			unidentifiedResourceName: "\xb8\xb6\xc0\xcc\xb3\xca\xbe\xe7\xc1\xf6\xb8\xd3\xb8\xae",
			unidentifiedDescriptionName: [
				"A remodeled Minor Stew for throwing. Increases VIT.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "M Brisket To Throw",
			identifiedResourceName: "\xb8\xb6\xc0\xcc\xb3\xca\xbe\xe7\xc1\xf6\xb8\xd3\xb8\xae",
			identifiedDescriptionName: [
				"A remodeled Minor Stew for throwing. Increases VIT.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13287: {
			unidentifiedDisplayName: "Siroma Icetea To Throw",
			unidentifiedResourceName: "\xbd\xc3\xb7\xce\xb8\xb6\xbe\xc6\xc0\xcc\xbd\xba\xc6\xbc",
			unidentifiedDescriptionName: [
				"A remodeled Siroma Iced Tea for throwing. Increases DEX.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Siroma Icetea To Throw",
			identifiedResourceName: "\xbd\xc3\xb7\xce\xb8\xb6\xbe\xc6\xc0\xcc\xbd\xba\xc6\xbc",
			identifiedDescriptionName: [
				"A remodeled Siroma Iced Tea for throwing. Increases DEX.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13288: {
			unidentifiedDisplayName: "Drocera Stew To Throw",
			unidentifiedResourceName: "\xb5\xe5\xb7\xce\xbc\xbc\xb6\xf3\xc7\xe3\xba\xea\xc2\xf2",
			unidentifiedDescriptionName: [
				"A remodeled Drosera Herb Salad for throwing. Increases AGI.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Drosera Stew To Throw",
			identifiedResourceName: "\xb5\xe5\xb7\xce\xbc\xbc\xb6\xf3\xc7\xe3\xba\xea\xc2\xf2",
			identifiedDescriptionName: [
				"A remodeled Drosera Herb Salad for throwing. Increases AGI.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13289: {
			unidentifiedDisplayName: "Petti Noodle To Throw",
			unidentifiedResourceName: "\xbb\xda\xb6\xec\xb2\xbf\xb8\xae\xb1\xb9\xbc\xf6",
			unidentifiedDescriptionName: [
				"A remodeled Petite Tail Soup for Throwing. Increases LUK.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Petite Noodle To Throw",
			identifiedResourceName: "\xbb\xda\xb6\xec\xb2\xbf\xb8\xae\xb1\xb9\xbc\xf6",
			identifiedDescriptionName: [
				"A remodeled Petite Tail Soup for Throwing. Increases LUK.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13290: {
			unidentifiedDisplayName: "Black Thing To Throw",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xb9\xb0\xc3\xbc",
			unidentifiedDescriptionName: [
				"A remodeled Black Mass for throwing. Lowers all stats.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Black Thing To Throw",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb9\xb0\xc3\xbc",
			identifiedDescriptionName: [
				"A remodeled Black Mass for throwing. Lowers all stats.",
				"Class :^777777 Shell^000000",
				"Attack :^777777 0^000000",
				"Weight :^777777 5^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13291: {
			unidentifiedDisplayName: "º° ºÒ°¡»ç¸®",
			unidentifiedResourceName: "\xba\xb0\xba\xd2\xb0\xa1\xbb\xe7\xb8\xae",
			unidentifiedDescriptionName: [
				"±ØÇÇµ¿¹° º°ºÒ°¡»ç¸®°ú ºÒ°¡»ç¸®. ¿À°¢ÇüÀÇ ÅëÅëÇÑ ¸öÀ» °¡Áø À°½Ä¼º µ¿¹°. µüµüÇÏ°Ô ±»¾î ÀÖ¾î ¼ö¸®°ËÀ¸·Î »ç¿ë °¡´ÉÇÒ µí ÇÏ´Ù.",
				"°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ½ºÅÏÀ» °Ç´Ù.",
				"°è¿­ : ^777777´øÁö´Â ¹«±â^000000",
				"°ø°Ý : ^777777110^000000",
				"¿ä±¸·¹º§ : ^77777750^000000",
				"¹«°Ô : ^7777770.5^000000      ¼Ó¼º : ^777777¹«^000000",
			],
			identifiedDisplayName: "º° ºÒ°¡»ç¸®",
			identifiedResourceName: "\xba\xb0\xba\xd2\xb0\xa1\xbb\xe7\xb8\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±ØÇÇµ¿¹° º°ºÒ°¡»ç¸®°ú ºÒ°¡»ç¸®. ¿À°¢ÇüÀÇ ÅëÅëÇÑ ¸öÀ» °¡Áø À°½Ä¼º µ¿¹°. µüµüÇÏ°Ô ±»¾î ÀÖ¾î ¼ö¸®°ËÀ¸·Î »ç¿ë °¡´ÉÇÒ µí ÇÏ´Ù.",
				"°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ½ºÅÏÀ» °Ç´Ù.",
				"°è¿­ : ^777777´øÁö´Â ¹«±â^000000",
				"°ø°Ý : ^777777110^000000",
				"¿ä±¸·¹º§ : ^77777750^000000",
				"¹«°Ô : ^7777770.5^000000 ¼Ó¼º : ^777777¹«^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13292: {
			unidentifiedDisplayName: "¸¶¸¥ ¿ÀÂ¡¾î",
			unidentifiedResourceName: "\xb8\xb6\xb8\xa5\xbf\xc0\xc2\xa1\xbe\xee",
			unidentifiedDescriptionName: [
				"³Ê¹« ¿À·§µ¿¾È ¸»·Á¼­ ³¿»õÁ¶Â÷ ¾ø¾îÁø µüµüÇÑ ¿ÀÂ¡¾î. Äí³ªÀÌ·Î »ç¿ë °¡´ÉÇÒ Á¤µµ´Ù.",
				"ÀÏÁ¤ È®·ü·Î ¾ÏÈæÀ» °Ç´Ù.",
				"°è¿­ : ^777777´øÁö´Â ¹«±â^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^7777772^000000 ¼Ó¼º : ^777777¹«¼Ó¼º^000000",
			],
			identifiedDisplayName: "¸¶¸¥ ¿ÀÂ¡¾î",
			identifiedResourceName: "\xb8\xb6\xb8\xa5\xbf\xc0\xc2\xa1\xbe\xee",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³Ê¹« ¿À·§µ¿¾È ¸»·Á¼­ ³¿»õÁ¶Â÷ ¾ø¾îÁø µüµüÇÑ ¿ÀÂ¡¾î. Äí³ªÀÌ·Î »ç¿ë °¡´ÉÇÒ Á¤µµ´Ù.",
				"ÀÏÁ¤ È®·ü·Î ¾ÏÈæÀ» °Ç´Ù.",
				"°è¿­ : ^777777´øÁö´Â ¹«±â^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^7777772^000000 ¼Ó¼º : ^777777¹«¼Ó¼º^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13293: {
			unidentifiedDisplayName: "³¯Ä¡",
			unidentifiedResourceName: "\xb3\xaf\xc4\xa1",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"µ¿°¥Ä¡¸ñ ³¯Ä¡°ú »ý¼±. Å« °¡½¿Áö´À·¯¹Ì·Î ºñÇàÇÑ´Ù´Â ¼Ò¹®ÀÌ ÀÖ´Ù. ¾ó·ÁÁ® ÀÖ¾î Äí³ªÀÌ·Î »ç¿ë °¡´ÉÇÒ Á¤µµ.",
				"ÀÏÁ¤ È®·ü·Î Àû¿¡°Ô ÃâÇ÷À» °Ç´Ù.",
				"°è¿­ : ^777777´øÁö´Â ¹«±â^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^7777772^000000 ¼Ó¼º : ^777777¹«¼Ó¼º^000000",
			],
			identifiedDisplayName: "³¯Ä¡",
			identifiedResourceName: "\xb3\xaf\xc4\xa1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"µ¿°¥Ä¡¸ñ ³¯Ä¡°ú »ý¼±. Å« °¡½¿Áö´À·¯¹Ì·Î ºñÇàÇÑ´Ù´Â ¼Ò¹®ÀÌ ÀÖ´Ù. ¾ó·ÁÁ® ÀÖ¾î Äí³ªÀÌ·Î »ç¿ë °¡´ÉÇÒ Á¤µµ.",
				"ÀÏÁ¤ È®·ü·Î Àû¿¡°Ô ÃâÇ÷À» °Ç´Ù.",
				"°è¿­ : ^777777´øÁö´Â ¹«±â^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^7777772^000000 ¼Ó¼º : ^777777¹«¼Ó¼º^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13294: {
			unidentifiedDisplayName: "Æø¹ß Äí³ªÀÌ",
			unidentifiedResourceName: "\xc6\xf8\xb9\xdf\xc4\xed\xb3\xaa\xc0\xcc",
			unidentifiedDescriptionName: [
				"Äí³ªÀÌÀÇ ÀÚ·ç ¼Ó¿¡ È­¾àÀ» Ã¤¿ö ¸íÁß ½Ã Æø¹ßÇÏ¿© ±× ÁÖº¯±îÁö ÇÇÇØ¸¦ ÀÔÈú ¼ö ÀÖµµ·Ï °³¹ßµÈ Æ¯¼öÇÑ Äí³ªÀÌ. ´Ù·ç´Â µ¥¿¡ ¼¼½ÉÇÑ ÁÖÀÇ ÇÊ¿ä!",
				"°è¿­ : ^777777´øÁö´Â ¹«±â^000000",
				"°ø°Ý : ^77777750^000000",
				"¹«°Ô : ^7777773^000000      ¼Ó¼º : ^777777¹«^000000",
				"Á¦ÇÑ ·¹º§ : ^777777100^000000",
			],
			identifiedDisplayName: "Æø¹ß Äí³ªÀÌ",
			identifiedResourceName: "\xc6\xf8\xb9\xdf\xc4\xed\xb3\xaa\xc0\xcc",
			identifiedDescriptionName: [
				"Äí³ªÀÌÀÇ ÀÚ·ç ¼Ó¿¡ È­¾àÀ» Ã¤¿ö ¸íÁß ½Ã Æø¹ßÇÏ¿© ±× ÁÖº¯±îÁö ÇÇÇØ¸¦ ÀÔÈú ¼ö ÀÖµµ·Ï °³¹ßµÈ Æ¯¼öÇÑ Äí³ªÀÌ. ´Ù·ç´Â µ¥¿¡ ¼¼½ÉÇÑ ÁÖÀÇ ÇÊ¿ä!",
				"°è¿­ : ^777777´øÁö´Â ¹«±â^000000",
				"°ø°Ý : ^77777750^000000",
				"¹«°Ô : ^7777773^000000 ¼Ó¼º : ^777777¹«^000000",
				"Á¦ÇÑ ·¹º§ : ^777777100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13295: {
			unidentifiedDisplayName: "°¡º­¿î ¼ö¸®°Ë",
			unidentifiedResourceName: "\xbc\xf6\xb8\xae\xb0\xcb",
			unidentifiedDescriptionName: [
				"ÃÊº¸ÀÚ¸¦ À§ÇØ Æ¯º°È÷ ´õ °¡º±°í ´Ù·ç±â ½±°Ô Á¦ÀÛµÈ ¼ö¸®°Ë.",
				"°è¿­ : ^777777´øÁö´Â ¹«±â^000000",
				"°ø°Ý : ^7777775^000000",
				"¹«°Ô : ^7777770.5^000000      ¼Ó¼º : ^777777¹«^000000",
			],
			identifiedDisplayName: "°¡º­¿î ¼ö¸®°Ë",
			identifiedResourceName: "\xbc\xf6\xb8\xae\xb0\xcb",
			identifiedDescriptionName: [
				"ÃÊº¸ÀÚ¸¦ À§ÇØ Æ¯º°È÷ ´õ °¡º±°í ´Ù·ç±â ½±°Ô Á¦ÀÛµÈ ¼ö¸®°Ë.",
				"°è¿­ : ^777777´øÁö´Â ¹«±â^000000",
				"°ø°Ý : ^7777775^000000",
				"¹«°Ô : ^7777770.5^000000 ¼Ó¼º : ^777777¹«^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13300: {
			unidentifiedDisplayName: "Huuma Shuriken",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Huuma Wing Shuriken",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			identifiedDescriptionName: [
				"A famous Huuma Ninja weapon that is shaped like a wing.",
				"AGI - 1, DEX - 2",
				"Class :^777777 Huuma^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 300^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 65^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		13301: {
			unidentifiedDisplayName: "Huuma Shuriken",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Huuma Giant Wheel Shuriken",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb4\xeb\xc2\xf7\xb7\xfb",
			identifiedDescriptionName: [
				"A heavy, giant shuriken shaped like a bladed wheel.",
				"^880000External Bleeding^000000 an enemy when you attack (Success Chance ?%).",
				"Class :^777777 Huuma^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 42^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 3,
			ClassNum: 22
		},

		13302: {
			unidentifiedDisplayName: "Huuma Shuriken",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Huuma Giant Wheel Shuriken",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb4\xeb\xc2\xf7\xb7\xfb",
			identifiedDescriptionName: [
				"A heavy, giant shuriken shaped like a bladed wheel.",
				"^880000External Bleeding^000000 an enemy when you attack (Success Chance ?%).",
				"Class :^777777 Huuma^000000",
				"Attack :^777777 50^000000",
				"Weight :^777777 250^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 42^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 4,
			ClassNum: 22
		},

		13303: {
			unidentifiedDisplayName: "Huuma Shuriken",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Huuma Blaze Shuriken",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xbf\xad\xc8\xad",
			identifiedDescriptionName: [
				"A ^FF0000Fire^000000 Property Huuma shuriken that sparks like a firecracker when it strikes enemies.",
				"Add a 3% chance of auto casting ^008800Level 5 Fireball^000000 on the enemy when attacking.",
				"DEX - 2",
				"Class :^777777 Huuma^000000",
				"Attack :^777777 185^000000",
				"Weight :^777777 230^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		13304: {
			unidentifiedDisplayName: "Humma",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Huuma Calm Mind",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb8\xed\xc1\xa4",
			identifiedDescriptionName: [
				"Huuma calm mind helps the owner to keep his/her calm state of mind in any tense situation. It helps greatly in battles.",
				"Increases damage of ^008800Throw Huuma Shuriken^000000 skill by 30%.",
				"Casting can not be interrupted.",
				"Class :^777777 Huuma^000000",
				"Attack :^777777 112^000000",
				"Weight :^777777 155^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 2,
			ClassNum: 22
		},

		13305: {
			unidentifiedDisplayName: "Brave Huuma Front Shuriken",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb4\xeb\xc2\xf7\xb7\xfb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brave Huuma Front Shuriken",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb4\xeb\xc2\xf7\xb7\xfb",
			identifiedDescriptionName: [
				"Huuma Shuriken that holds great strength and brings extraordinary power in battles against Demihumans.",
				"STR + 2, DEX + 1",
				"Increases Physical Attack Strength towards Demihuman monsters by 95%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"Indestructible.",
				"Class : ^777777Huuma^000000",
				"Attack Strength: ^77777755^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		13306: {
			unidentifiedDisplayName: "Valorous Huuma Front Shuriken",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb4\xeb\xc2\xf7\xb7\xfb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valorous Huuma Front Shuriken",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb4\xeb\xc2\xf7\xb7\xfb",
			identifiedDescriptionName: [
				"Huuma Shuriken that holds great strength and brings extraordinary power in battles against Demihumans.",
				"STR + 2, DEX + 1",
				"Increases Physical Attack Strength towards Demihuman monsters by 95%.",
				"Has a chance of increasing Attack Strength to ^FF0000Throw Huuma Shuriken^000000 and ^FF0000Killing Stroke^000000 by 100% for 10 seconds.",
				"Indestructible.",
				"Class : ^777777Huuma^000000",
				"Attack Strength: ^77777755^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		13307: {
			unidentifiedDisplayName: "Glorious Shuriken",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb8\xed\xc1\xa4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Shuriken",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb8\xed\xc1\xa4",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 95%.",
				"Adds 20% defense bypassing on Demi-human monster.",
				"MATK + 90",
				"Adds a 5% chance double damage for 10 seconds the skills",
				"^008800Level 1 Final Strike and Level 1 Throw Huuma Shuriken ^000000 When dealing physical damage.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Pierces Defense of DemiHuman monster by 5%.",
				"^ff0000[Slaughter]^000000 Lv 2",
				"[^333399Refine Rate 9~10^000000]",
				"Add 100% chance of auto casting ^008800Level 10 Heal^000000 when using skill Final Strike.",
				"Add a chance of auto casting ^008800Level 2 Critical Wound^000000 on the monster when using skill Throw Huuma Shuriken.",
				"Class :^777777 Huuma^000000",
				"Attack :^777777 55^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		13308: {
			unidentifiedDisplayName: "Huuma Blaze Shuriken",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Huuma Blaze Shuriken",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xbf\xad\xc8\xad",
			identifiedDescriptionName: [
				"A ^FF0000Fire^000000 Property Huuma shuriken that sparks like a firecracker when it strikes enemies.",
				"Add a 3% chance of auto casting ^008800Level 5 Fireball^000000 on the enemy when attacking.",
				"DEX + 2.",
				"Class :^777777 Huuma^000000",
				"Attack :^777777 230^000000",
				"Weight :^777777 0^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		13309: {
			unidentifiedDisplayName: "Huuma Giant Wheel Shuriken",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Huuma Giant Wheel Shuriken",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb4\xeb\xc2\xf7\xb7\xfb",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A heavy, giant shuriken shaped like a bladed wheel.",
				"^880000External Bleeding^000000 an enemy when you attack (Success Chance ?%).",
				"Increases damage against small, medium, large size monsters by 80%.",
				"Class :^777777 Huuma^000000",
				"Attack :^777777 99^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		13310: {
			unidentifiedDisplayName: "Eden Group Huuma Shuriken I",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Huuma Shuriken I",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb8\xed\xc1\xa4",
			identifiedDescriptionName: [
				"...",
				"MATK + 50",
				"Impossible to refine this item.",
				"Class :^777777 Huuma^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		13311: {
			unidentifiedDisplayName: "Ç³¸¶¼ö¸®°Ë",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ç³¸¶¼ö¸®°Ë ¿µ",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb4\xeb\xc2\xf7\xb7\xfb",
			identifiedDescriptionName: [
				"´ÑÀÚ ÇùÈ¸¿¡¼­ »õ·Ó°Ô ¼±º¸ÀÌ´Â Ç³¸¶ ¼ö¸®°Ë. ´Þºû¿¡ ¹Ý»çµÇÁö ¾Ê´Â Æ¯¼öÇÑ ÀçÁúÀÇ ±Ý¼ÓÀ» »ç¿ëÇß±â ¶§¹®¿¡ ±×¸²ÀÚ(ç¯)¶ó´Â º°ÄªÀÌ ÀÖ´Ù.",
				"STR+ 3.",
				"°è¿­ : ^777777Ç³¸¶ ¼ö¸®°Ë^000000 °ø°Ý : ^777777170^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^77777799^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		13312: {
			unidentifiedDisplayName: "Ç³¸¶¼ö¸®°Ë",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb8\xed\xc1\xa4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ç³¸¶¼ö¸®°Ë ½ÃÁ¦Ç°",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb8\xed\xc1\xa4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´ÑÀÚ ÇùÈ¸¿¡¼­ ¾ß½ÉÂ÷°Ô ÁØºñÁßÀÎ Ç³¸¶ ¼ö¸®°Ë ½ÃÁ¦Ç°.",
				"¾ÆÁ÷ °³¹ß ÃÊ±â ´Ü°è¶ó ½ÃÁß ÆÇ¸Å±îÁö´Â Á¶±Ý ±â´Ù·Á¾ß ÇÒ °Í ÀÌ´Ù.",
				"°è¿­ : ^777777Ç³¸¶ ¼ö¸®°Ë^000000 °ø°Ý : ^7777770^000000",
				"¹«°Ô : ^777777300^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777799^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		13313: {
			unidentifiedDisplayName: "Ç³¸¶¼ö¸®°Ë",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ç³¸¶¼ö¸®°Ë ³­È­",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb3\xad\xc8\xad",
			identifiedDescriptionName: [
				"\"ÈÖ³¯¸®´Â ²ÉÀÙ\" ÀÌ¶ó´Â ÀÌ¸§À» °¡Áø Ç³¸¶¼ö¸®°Ë. ÀÌ ¹«±â¸¦ »ç¿ëÇßÀ» ¶§ ¸¶Ä¡ ¼ö¸¹Àº ²ÉÀÙ¿¡ µÑ·¯½ÎÀÌ´Â °Í °°Àº ´À³¦À» ¹Þ´Â´Ù°í ÇÑ´Ù.",
				"MATK + 50.",
				"Ç³¸¶¼ö¸®°Ë ³­È­ ½ºÅ³ÀÇ µ¥¹ÌÁö 20% Áõ°¡.",
				"°è¿­ : ^777777Ç³¸¶ ¼ö¸®°Ë^000000 °ø°Ý : ^777777150^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^777777110^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 2,
			ClassNum: 22
		},

		13314: {
			unidentifiedDisplayName: "Ç³¸¶¼ö¸®°Ë",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ç³¸¶¼ö¸®°Ë ³­¼³",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb3\xad\xbc\xb3",
			identifiedDescriptionName: [
				"¹°ÀÇ ¼Ó¼ºÀ» °¡Áö´Â Ç³¸¶¼ö¸®°Ë, ÈÖµÎ¸£¸é ´«º¸¶ó°¡ ÈÖ³¯¸°´Ù.",
				"MATK + 50.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã, ³·Àº È®·ü·Î ¿ÀÅä½ºÆç ºùÁ¤¶ô 1Lv ¹ßµ¿.(ÀÚ½ÅÀÌ ¹è¿î ·¹º§·Î ¹ßµ¿)",
				"°è¿­ : ^777777Ç³¸¶ ¼ö¸®°Ë^000000 °ø°Ý : ^777777200^000000",
				"¹«°Ô : ^777777150^000000 ¼Ó¼º : ^777777¼ö^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777110^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		13315: {
			unidentifiedDisplayName: "Ç³¸¶¼ö¸®°Ë",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ç³¸¶¼ö¸®°Ë ³ú¿ì",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb3\xfa\xbf\xec",
			identifiedDescriptionName: [
				"¹Ù¶÷ÀÇ ¼Ó¼ºÀ» °¡Áö´Â Ç³¸¶¼ö¸®°Ë, ÈÖµÎ¸£¸é ºñ¹Ù¶÷ÀÌ ¸ô¾ÆÃÄ ½Ã¾ß¸¦ °¡¸°´Ù°í ÇÑ´Ù.",
				"MATK + 50.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã, ³·Àº È®·ü·Î ¾ÏÈæ ¹× ¿ÀÅä½ºÆç ³ú°Ý¼â 1Lv ¹ßµ¿.(ÀÚ½ÅÀÌ ¹è¿î ·¹º§·Î ¹ßµ¿)",
				"°è¿­ : ^777777Ç³¸¶ ¼ö¸®°Ë^000000 °ø°Ý : ^777777200^000000",
				"¹«°Ô : ^777777150^000000 ¼Ó¼º : ^777777Ç³^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777110^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		13316: {
			unidentifiedDisplayName: "Ç³¸¶¼ö¸®°Ë",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°­È­ Ç³¸¶¼ö¸®°Ë",
			identifiedResourceName: "\xb0\xad\xc8\xad\xc7\xb3\xb8\xb6\xbc\xf6\xb8\xae\xb0\xcb",
			identifiedDescriptionName: [
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Ç³¸¶¼ö¸®°Ë.",
				"ÆÄ±«ºÒ°¡.",
				"Á¦·Ãµµ 1´ç ATK + 10 / MATK + 5, ¿ø°Å¸® ¹°¸® °ø°Ý·Â 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ç³¸¶ ¼ö¸®°Ë^000000 °ø°Ý : ^77777755^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 22
		},

		13317: {
			unidentifiedDisplayName: "Ç³¸¶¼ö¸®°Ë",
			unidentifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xc6\xed\xc0\xcd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º Ç³¸¶ ¼ö¸®°Ë",
			identifiedResourceName: "\xc7\xb3\xb8\xb6\x5f\xb8\xed\xc1\xa4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MATK + 100.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ÃâÇ÷.",
				"°è¿­ : ^777777Ç³¸¶ ¼ö¸®°Ë^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777´ÑÀÚ^000000",
			],
			slotCount: 0,
			ClassNum: 22
		},

		13400: {
			unidentifiedDisplayName: "One-handed Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cutlus",
			identifiedResourceName: "\xc4\xbf\xc6\xb2\xb7\xaf\xbd\xba",
			identifiedDescriptionName: [
				"An one-handed sword popularized by its use by sea adventurers.",
				"Enables use of ^008800Level 5 Bash^000000.",
				"STR + 2",
				"DEF + 1",
				"Class :^777777 Sword^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 90^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		13401: {
			unidentifiedDisplayName: "Excalibur",
			unidentifiedResourceName: "\xbf\xa2\xbd\xba\xc4\xae\xb8\xae\xb9\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Excalibur",
			identifiedResourceName: "\xbf\xa2\xbd\xba\xc4\xae\xb8\xae\xb9\xf6",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"The one-handed sword of Arthurian legend, it supposedly selects its owner by its own will to wield its holy powers.",
				"INT + 10",
				"LUK + 10",
				"Impossible to refine this item.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 199^000000",
				"Weight :^777777 0^000000",
				"Property :^777777 Holy^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13402: {
			unidentifiedDisplayName: "Cutlas",
			unidentifiedResourceName: "\xc4\xbf\xc6\xb2\xb7\xaf\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cutlas",
			identifiedResourceName: "\xc4\xbf\xc6\xb2\xb7\xaf\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An one-handed sword popularized by its use by sea adventurers.",
				"Enables use of ^008800Level 5 Bash^000000.",
				"STR + 2",
				"DEF + 1",
				"Impossible to refine this item.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 185^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13403: {
			unidentifiedDisplayName: "Solar Sword",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xb0\xcb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Solar Sword",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xb0\xcb",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An one-handed sword adorned with an engraving of the sun, symbolizing battle spirit and vigor.",
				"Regains 1% of the damage inflicted on its target as HP with each attack.",
				"Drains 15 SP from its owner every 10 seconds.",
				"Impossible to refine this item.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13404: {
			unidentifiedDisplayName: "One-Handed Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Platinum Shotel",
			identifiedResourceName: "\xb9\xe9\xb1\xdd\xc0\xc7\xbc\xee\xc5\xda",
			identifiedDescriptionName: [
				"A sword whose blade is curved, designed to attack by bypassing the armor of the enemy.",
				"Critical Rate + 50%",
				"Class :^777777 Sword^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 150^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		13405: {
			unidentifiedDisplayName: "One-Handed Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Curved Sword",
			identifiedResourceName: "\xbf\xac\xb0\xcb",
			identifiedDescriptionName: [
				"A thin sword designed to be easily bent, light, and very elastic.",
				"Attack Speed + 10%",
				"Every time you attack, small chance to cause ^880000Curse^000000 on the enemy.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 125^000000",
				"Weight :^777777 80^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 55^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 2,
			ClassNum: 2
		},

		13406: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Edger",
			identifiedResourceName: "\xbf\xa7\xc1\xf6",
			identifiedDescriptionName: [
				"The adventurers who are brave the item which is provided from the hazard adventurer guild.",
				"Increases damage by 50%.",
				"Impossible to refine this item.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13407: {
			unidentifiedDisplayName: "Nagan",
			unidentifiedResourceName: "\xb3\xd7\xc0\xcc\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Nagan",
			identifiedResourceName: "\xb3\xd7\xc0\xcc\xb0\xc7",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An one-handed sword topped with several extra edges for making wounds deeper and more unsightly.",
				"Increases damage against DemiHuman monster by 40%",
				"...",
				"Impossible to refine this item.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 148^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13408: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xc8\xad\xc0\xcc\xbe\xee\xba\xea\xb7\xa3\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Fireblend",
			identifiedResourceName: "\xc8\xad\xc0\xcc\xbe\xee\xba\xea\xb7\xa3\xb5\xe5",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An one-handed, formal dress sword imbued with the ^FF0000Fire^000000 Property.",
				"Enables use of ^008800Level 5 Fire Bolt^000000.",
				"INT + 2, Add a 10% chance of auto casting ^008800Level 5 Fire Bolt^000000 on the enemy when attacking.",
				"Impossible to refine this item.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 0^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13409: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xb9\xab\xc7\xfc\xb0\xcb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Refined Immaterial Sword",
			identifiedResourceName: "\xb9\xab\xc7\xfc\xb0\xcb",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"An one-handed, formless sword imbued with the ^777777Ghost^000000 Property that can derange the enemy's mind.",
				"Drains 45% of target's SP by a low chance.",
				"...",
				"Impossible to refine this item.",
				"Indestructible.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 0^000000",
				"Property :^777777 Ghost^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13410: {
			unidentifiedDisplayName: "Valorous Gladiator Blade",
			unidentifiedResourceName: "\xbd\xba\xc5\xb8\xba\xed\xb7\xb9\xc0\xcc\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Valorous Gladiator Blade",
			identifiedResourceName: "\xbd\xba\xc5\xb8\xba\xed\xb7\xb9\xc0\xcc\xb5\xe5",
			identifiedDescriptionName: [
				"A sword favored by gladiators, it is especially designed for battles against Demihumans.",
				"STR + 1, DEX + 1",
				"Increases Physical Attack Strength towards Demihuman monsters by 75%.",
				"Ignores Physical Defense from Demihuman monsters by 20%.",
				"Indestructible.",
				"Class : ^777777One Handed Sword^000000",
				"Attack Strength: ^777777115^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13411: {
			unidentifiedDisplayName: "Brave Gladiator Blade",
			unidentifiedResourceName: "\xbd\xba\xc5\xb8\xba\xed\xb7\xb9\xc0\xcc\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Brave Gladiator Blade",
			identifiedResourceName: "\xbd\xba\xc5\xb8\xba\xed\xb7\xb9\xc0\xcc\xb5\xe5",
			identifiedDescriptionName: [
				"A sword favored by gladiators, it is especially designed for battles against Demihumans.",
				"STR + 1, DEX + 1",
				"MATK + 74",
				"Increases Physical Attack Strength towards Demihuman monsters by 75%.",
				"Indestructible.",
				"Class : ^777777One Handed Sword^000000",
				"Attack Strength: ^777777115^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^77777780^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13412: {
			unidentifiedDisplayName: "Twin Edge of Naght Sieger",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Twin Edge of Naght Sieger",
			identifiedResourceName: "\xc6\xae\xc0\xa9\xbf\xa7\xc1\xf6\x42",
			identifiedDescriptionName: [
				"One of the twin blades wielded by the demon Naght Seiger. The blueish color blade is unimaginably sharp.",
				"When dealing physical damage there is a chance that for 5 seconds, you will completely bypass enemy defense.",
				"Enables use of ^008800Level 5 Frost Diver^000000.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 150^000000",
				"Weight :^777777 150^000000",
				"Property :^0000FF Water^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Trans Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 2
		},

		13413: {
			unidentifiedDisplayName: "Twin Edge of Naght Sieger",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Twin Edge of Naght Sieger",
			identifiedResourceName: "\xc6\xae\xc0\xa9\xbf\xa7\xc1\xf6\x52",
			identifiedDescriptionName: [
				"One of the twin blades wielded by the demon Naght Seiger. The reddish color blade is unimaginably sharp.",
				"When dealing physical damage there is a chance that for 5 seconds, you will completely bypass enemy defense.",
				"Enables use of ^008800Level 3 Meteor Storm^000000.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 150^000000",
				"Property :^FF0000 Fire^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 75^000000",
				"Applicable Job :^777777 Trans Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 2
		},

		13414: {
			unidentifiedDisplayName: "Elemental Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elemental Sword",
			identifiedResourceName: "\xbf\xa4\xb7\xb9\xb8\xe0\xc5\xbb\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A magical sword that has the 4 Great Elements within. Enables you to unleash great effects on enemies that are not Water/Wind/Earth or Fire property.",
				"STR + 2, INT + 4, DEX + 1, MATK + 95",
				"Increases damage inflicted on ^777777Neutral^000000 Property by 10%",
				"While doing physical or a certain attack, there is a small chance to auto cast bolt spells.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 105^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Trans Swordman Class, Trans Merchant Class, Trans Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 2
		},

		13415: {
			unidentifiedDisplayName: "Novice Falchion",
			unidentifiedResourceName: "\xc6\xfa\xc3\xc5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Novice Falchion",
			identifiedResourceName: "\xc6\xfa\xc3\xc5",
			identifiedDescriptionName: [
				"An one-handed sword with a rounded blade.",
				"Impossible to refine this item.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 59^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 2^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 3,
			ClassNum: 2
		},

		13416: {
			unidentifiedDisplayName: "Glorious Flamberge",
			unidentifiedResourceName: "\xc7\xc1\xb6\xf7\xba\xa3\xb8\xa3\xb1\xd7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Flamberge",
			identifiedResourceName: "\xc7\xc1\xb6\xf7\xba\xa3\xb8\xa3\xb1\xd7",
			identifiedDescriptionName: [
				"Increases physical attack against DemiHuman monster by 75%.",
				"Pierces Defense of DemiHuman monster by 20%.",
				"Add a chance of auto casting ^008800Level 1 Lex Devina^000000 on an enemy when attacking.",
				"Indestructible (except in upgrade attempts).",
				"[^333399Refine Rate 6~10^000000]",
				"Pierces Defense of DemiHuman monster by 5%.",
				"^ff0000[Slaughter]^000000 Lv 1",
				"[^333399Refine Rate 7~10^000000]",
				"Attack Speed + 10%.",
				"[^333399Refine Rate 9~10^000000]",
				"Add a chance of auto casting ^008800Level 2 Critical Wound^000000 when using skill Bash.",
				"Class :^777777 One-Hand Sword^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13417: {
			unidentifiedDisplayName: "Glorious Rapier",
			unidentifiedResourceName: "\xb7\xb9\xc0\xcc\xc7\xc7\xbe\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Rapier",
			identifiedResourceName: "\xb7\xb9\xc0\xcc\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"INT + 6",
				"MATK + 80",
				"Indestructible (except in upgrade attempts).",
				"Adds Refine Level -5 INT.",
				"[^333399Refine Rate 6~10^000000]",
				"Reduces SP consumption of skill by 10%.",
				"[^333399Refine Rate 9~10^000000]",
				"INT + 5",
				"Class :^777777 One-Hand Sword^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13418: {
			unidentifiedDisplayName: "Glorious Holy Avenger",
			unidentifiedResourceName: "\xc8\xa6\xb8\xae\xbe\xee\xba\xa5\xc1\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Glorious Holy Avenger",
			identifiedResourceName: "\xc8\xa6\xb8\xae\xbe\xee\xba\xa5\xc1\xae",
			identifiedDescriptionName: [
				"INT + 6",
				"MATK + 80",
				"Indestructible (except in upgrade attempts).",
				"Adds Refine Level -5 INT.",
				"[^333399Refine Rate 6~10^000000]",
				"Reduces SP consumption of skill by 10%.",
				"[^333399Refine Rate 9~10^000000]",
				"Add a chance of auto casting ^008800Level 1 Lex Devina^000000 when using skill Gloria.",
				"[^333399Refine Rate 10^000000]",
				"INT + 5",
				"Class :^777777 One-Hand Sword^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 80^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13419: {
			unidentifiedDisplayName: "One-Hand Sword",
			unidentifiedResourceName: "\xbc\xbc\xc0\xcc\xb9\xf6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Holy Saber",
			identifiedResourceName: "\xbc\xbc\xc0\xcc\xb9\xf6",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"Saber Sacred.",
				"Increases damage against Undead monster by 40%.",
				"Class :^777777 One-Hand Sword^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Rogue Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13420: {
			unidentifiedDisplayName: "One-handed Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Honglyun's Sword",
			identifiedResourceName: "\xc8\xab\xb7\xc3\xc0\xc7\xb0\xcb",
			identifiedDescriptionName: [
				"A sword used at rite for the heavenly god.",
				"STR + 2, INT + 2.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 160^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 70^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		13421: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ruber",
			identifiedResourceName: "\xb7\xe7\xba\xa3\xb8\xa3",
			identifiedDescriptionName: [
				"A slightly shortened sword designed to be easy to use. The hilt is decorated with a ruby.",
				"Adds a low chance damage with ^008800Bash^000000 and ^008800Bowling Bash^000000 by 20% for 15 seconds",
				"when performing a physical melee attack.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 150^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Trans Swordman Class, Trans Merchant Class^000000",
			],
			slotCount: 1,
			ClassNum: 2
		},

		13422: {
			unidentifiedDisplayName: "Flamberge",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flamberge",
			identifiedResourceName: "\xc7\xc1\xb6\xf7\xba\xa3\xb8\xa3\xb1\xd7",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A powerful one-handed sword with a decoratively wavy, flame-like blade.",
				"Increases damage against small, medium, large size monsters by 40%.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 185^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Knight, Crusader^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13423: {
			unidentifiedDisplayName: "P.Sabre¥°",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Sabre I",
			identifiedResourceName: "\xbd\xba\xc5\xb8\xba\xed\xb7\xb9\xc0\xcc\xb5\xe5",
			identifiedDescriptionName: [
				"A one handed sword created by the Paradise Group.",
				"Its simple enough that anyone could use it.",
				"Impossible to refine this item.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 147^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 26^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13424: {
			unidentifiedDisplayName: "P.Sabre¥±",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Sabre II",
			identifiedResourceName: "\xb7\xb9\xc0\xcc\xc7\xc7\xbe\xee",
			identifiedDescriptionName: [
				"A one handed sword created by the Paradise Group. It's suitable for intermediate users.",
				"Impossible to refine this item.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 170^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13425: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Traveler's Sword",
			identifiedResourceName: "\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"...",
				"STR + 1, DEX + 1.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 61^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13426: {
			unidentifiedDisplayName: "Cutlas",
			unidentifiedResourceName: "\xc4\xbf\xc6\xb2\xb7\xaf\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Cutlas",
			identifiedResourceName: "\xc4\xbf\xc6\xb2\xb7\xaf\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A one-handed sword",
				"popularized by its use",
				"by sea adventurers.",
				"Enables use of",
				"^008800Level 5 Bash^000000.",
				"STR + 2",
				"DEF + 1",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Sword^000000",
				"Attack: ^777777185^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Swordman,",
				"Merchant, and",
				"Thief Classes^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13427: {
			unidentifiedDisplayName: "Solar Sword",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xb0\xcb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Solar Sword",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xb0\xcb",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A one-handed sword",
				"adorned with an engraving of the sun, symbolizing battle spirit and vigor.",
				"Regains 1% of the damage inflicted on its target as HP with each attack.",
				"Drains 15 SP from its",
				"owner every 10 seconds.",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777One-handed Sword^000000",
				"Attack: ^777777120^000000",
				"Weight : ^7777770^000000",
				"Property: ^777777Fire^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Swordman,",
				"Merchant, and",
				"Thief Classes^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13428: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Frist Sword",
			identifiedResourceName: "\xc7\xc1\xb8\xae\xbd\xba\xc6\xae\xc0\xc7\xb0\xcb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 3,
			ClassNum: 2
		},

		13431: {
			unidentifiedDisplayName: "Sword",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Chrome Metal Sword",
			identifiedResourceName: "\xc5\xa9\xb7\xd2\xb8\xde\xc5\xbb\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"A cold blue dagger crafted from the other world mineral Bradium.",
				"Indestructible (except in upgrade attempts).",
				"AGI + 1, MaxHP - 5%.",
				"Class :^777777 Sword^000000",
				"Attack :^777777 180^000000",
				"Weight :^777777 220^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 110^000000",
				"Applicable Job :^777777 Trans Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13434: {
			unidentifiedDisplayName: "Eden Group Saber III",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Saber III",
			identifiedResourceName: "\xba\xed\xb7\xb9\xc0\xcc\xb5\xe5",
			identifiedDescriptionName: [
				"...",
				"Impossible to refine this item.",
				"Class :^777777 Sword^000000",
				"Attack : ^777777 185^000000",
				"Weight : ^777777 0^000000",
				"Weapon Level : ^777777 3^000000",
				"Required Level : ^777777 60^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13439: {
			unidentifiedDisplayName: "°Ë",
			unidentifiedResourceName: "\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¼Òµå",
			identifiedResourceName: "\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MATK + 100.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î Áßµ¶.",
				"°è¿­ : ^777777°Ë^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 2
		},

		13500: {
			unidentifiedDisplayName: "Life Insurrance Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Life Insurance Certificate for 1 hours.",
				"^ffffff_^000000",
				"Life insurance - Within the active duration of 60 minutes, player will not lose any experience the first time he is KO'ed. Valid for just once.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Life Insurrance Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Life Insurance Certificate for 1 hours.",
				"^ffffff_^000000",
				"Life insurance - Within the active duration of 60 minutes, player will not lose any experience the first time he is KO'ed. Valid for just once.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13501: {
			unidentifiedDisplayName: "Experience Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Experience Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Experience Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Experience Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13502: {
			unidentifiedDisplayName: "Refined Drooping Cat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Drooping Cat. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Drooping Cat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Drooping Cat. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13503: {
			unidentifiedDisplayName: "Baphomet Horns Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Majestic Goat. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Baphomet Horns Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Majestic Goat. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13504: {
			unidentifiedDisplayName: "Refined Deviruchi Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Deviruchi Hat. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Deviruchi Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Deviruchi Hat. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13505: {
			unidentifiedDisplayName: "Executioner Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Executioner. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Executioner Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Executioner. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13506: {
			unidentifiedDisplayName: "Refined Bloody Axe Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Bloody Axe. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Bloody Axe Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Bloody Axe. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13507: {
			unidentifiedDisplayName: "Tomahawk Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Tomahawk. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tomahawk Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Tomahawk. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13508: {
			unidentifiedDisplayName: "Rudra Bow Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Rudra Bow. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rudra Bow Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Rudra Bow. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13509: {
			unidentifiedDisplayName: "Cutlas Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Cutlus. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cutlas Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Cutlus. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13510: {
			unidentifiedDisplayName: "Solar Sword Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Solar Sword. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Solar Sword Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Solar Sword. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13511: {
			unidentifiedDisplayName: "Refined Swordbreaker Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Swordbreaker. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Swordbreaker Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Swordbreaker. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13512: {
			unidentifiedDisplayName: "Refined Mailbreaker Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Mailbreaker. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Mailbreaker Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Mailbreaker. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13513: {
			unidentifiedDisplayName: "Moonlight Dagger Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Moonlight Dagger. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Moonlight Dagger Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Moonlight Dagger. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13514: {
			unidentifiedDisplayName: "Wrench Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Wrench. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wrench Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Wrench. Please take a care because is fragile.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13515: {
			unidentifiedDisplayName: "Grape Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Grapes. It's good for your skin.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Grape Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Grapes. It's good for your skin.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13516: {
			unidentifiedDisplayName: "Royal Jelly Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Royal Jelly. It's good for your health.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Royal Jelly Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Royal Jelly. It's good for your health.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13517: {
			unidentifiedDisplayName: "Yggdrasilberry Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 3 Yggdrasil Berry, a fruit that is well-known for longevity.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yggdrasilberry Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 3 Yggdrasil Berry, a fruit that is well-known for longevity.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13518: {
			unidentifiedDisplayName: "Weapon Card Pet Egg Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Weapon Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Weapon Card Pet Egg Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Weapon Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13519: {
			unidentifiedDisplayName: "Armor Card Pet Egg Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Armor Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Armor Card Pet Egg Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Armor Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13520: {
			unidentifiedDisplayName: "Helmet Card Pet Egg Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Helmet Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Helmet Card Pet Egg Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Helmet Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13521: {
			unidentifiedDisplayName: "Garment Card Pet Egg Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Garment Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Garment Card Pet Egg Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Garment Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13522: {
			unidentifiedDisplayName: "Shield Card Pet Egg Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Shield Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shield Card Pet Egg Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Shield Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13523: {
			unidentifiedDisplayName: "Shoes Card Pet Egg Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Shoes Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shoes Card Pet Egg Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Shoes Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13524: {
			unidentifiedDisplayName: "Accessory Card Pet Egg Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Accessory Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Accessory Card Pet Egg Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Accessory Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13525: {
			unidentifiedDisplayName: "Zeny Pet Egg Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Zeny Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zeny Pet Egg Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Zeny Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13526: {
			unidentifiedDisplayName: "Pet Egg Scroll Box 12",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Pet Egg Scroll.There's a chance of obtaining a Red Deviruchi Hat or other item when opening this box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pet Egg Scroll Box 12",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Pet Egg Scroll.There's a chance of obtaining a Red Deviruchi Hat or other item when opening this box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13527: {
			unidentifiedDisplayName: "Pet Egg Scroll Box 13",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Pet Egg Scroll.There's a chance of obtaining a Red Wizardry Hat or other item when opening this box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pet Egg Scroll Box 13",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Pet Egg Scroll.There's a chance of obtaining a Red Wizardry Hat or other item when opening this box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13528: {
			unidentifiedDisplayName: "Pet Egg Scroll Box 14",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Pet Egg Scroll.There's a chance of obtaining a Pink Drooping Kitty or other item when opening this box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pet Egg Scroll Box 14",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Pet Egg Scroll.There's a chance of obtaining a Pink Drooping Kitty or other item when opening this box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13529: {
			unidentifiedDisplayName: "Pet Egg Scroll Box 15",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Pet Egg Scroll.There's a chance of obtaining a Pink Beanie or other item when opening this box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pet Egg Scroll Box 15",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Pet Egg Scroll.There's a chance of obtaining a Pink Beanie or other item when opening this box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13530: {
			unidentifiedDisplayName: "Pet Egg Scroll Box 16",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Pet Egg Scroll.There's a chance of obtaining an Advanced Mini Propeller and White Wizardry Hat or others item when opening this box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pet Egg Scroll Box 16",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Pet Egg Scroll.There's a chance of obtaining an Advanced Mini Propeller and White Wizardry Hat or others item when opening this box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13531: {
			unidentifiedDisplayName: "Light Red Potion Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Light Red Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Red Potion Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Light Red Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13532: {
			unidentifiedDisplayName: "Light Orange Potion Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Light Orange Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Orange Potion Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Light Orange Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13533: {
			unidentifiedDisplayName: "Light Yellow Potion Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Light Yellow Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Yellow Potion Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Light Yellow Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13534: {
			unidentifiedDisplayName: "Light White Potion Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Light White Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light White Potion Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Light White Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13535: {
			unidentifiedDisplayName: "Light Concentration Potion Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 20 Light Concentration Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Center Potion Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 20 Light Concentration Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13536: {
			unidentifiedDisplayName: "Light Awakening Potion Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 20 Light Awakening Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Awakening Potion Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 20 Light Awakening Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13537: {
			unidentifiedDisplayName: "Light Berserk Potion Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 20 Light Berserk Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Berserk Potion Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 20 Light Berserk Potion. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13538: {
			unidentifiedDisplayName: "Meteor Storm Scroll Box",
			unidentifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Meteor Storm Scroll. Feel powerful magic in the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Meteor Storm Scroll Box",
			identifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Meteor Storm Scroll. Feel powerful magic in the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13539: {
			unidentifiedDisplayName: "Storm Gust Scroll Box",
			unidentifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Storm Gust Scroll. Feel powerful magic in the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Storm Gust Scroll Box",
			identifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Storm Gust Scroll. Feel powerful magic in the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13540: {
			unidentifiedDisplayName: "Lord of Vermilion Scroll Box",
			unidentifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Lord of Vermilion Scroll. Feel powerful magic in the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lord of Vermilion Scroll Box",
			identifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Lord of Vermilion Scroll. Feel powerful magic in the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13541: {
			unidentifiedDisplayName: "Lex Aeterna Scroll Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 1 Lex Aeterna Scroll. Feel holy magic in the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lex Aeterna Scroll Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 1 Lex Aeterna Scroll. Feel holy magic in the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13542: {
			unidentifiedDisplayName: "Magnificat Scroll Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Magnificat Scroll. Feel holy magic in the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Magnificat Scroll Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Magnificat Scroll. Feel holy magic in the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13543: {
			unidentifiedDisplayName: "Chemical Protection Helm Scroll Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Chemical Protection Helm Scroll. Obtain 1 Coating Bottle.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chemical Protection Helm Scroll Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Chemical Protection Helm Scroll. Obtain 1 Coating Bottle.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13544: {
			unidentifiedDisplayName: "Chemical Protection Shield Scroll Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Chemical Protection Shield Scroll. Obtain 1 Coating Bottle.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chemical Protection Shield Scroll Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Chemical Protection Shield Scroll. Obtain 1 Coating Bottle.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13545: {
			unidentifiedDisplayName: "Chemical Protection Armor Scroll Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Chemical Protection Armor Scroll. Obtain 1 Coating Bottle.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chemical Protection Armor Scroll Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Chemical Protection Armor Scroll. Obtain 1 Coating Bottle.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13546: {
			unidentifiedDisplayName: "Chemical Protection Weapon Scroll Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Chemical Protection Weapon Scroll. Obtain 1 Coating Bottle.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chemical Protection Weapon Scroll Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Chemical Protection Weapon Scroll. Obtain 1 Coating Bottle.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13547: {
			unidentifiedDisplayName: "Repair Weapon Scroll Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 1 Repair Weapon Scroll. Obtain Ore for repair.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Repair Weapon Scroll Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 1 Repair Weapon Scroll. Obtain Ore for repair.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13548: {
			unidentifiedDisplayName: "Big Bun Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Big Bun. Restores Maximum HP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Bun Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Big Bun. Restores Maximum HP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13549: {
			unidentifiedDisplayName: "Pill Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Pill. Restores Maximum SP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pill Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Pill. Restores Maximum SP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13550: {
			unidentifiedDisplayName: "Fish Slice Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Fish Slice. Restores Maximum HP & SP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fish Slice Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Fish Slice. Restores Maximum HP & SP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13551: {
			unidentifiedDisplayName: "Chewy Ricecake Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Chewy Ricecake. Increase ATK 10 for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chewy Ricecake Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Chewy Ricecake. Increase ATK 10 for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13552: {
			unidentifiedDisplayName: "Pastry Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Pastry. Increase MATK 10 for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pastry Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Pastry. Increase MATK 10 for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13553: {
			unidentifiedDisplayName: "Dungeon Teleport Scroll 5 Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Dungeon Teleport Scroll. When used allows you to teleport to a specific dungeon from the following list:",
				"Nogg Road Dungeon (Magma Dungeon), Mjolnir Dead Pit (Coal Mines), Umbala Dungeon, Payon Caves, Toy Factory,",
				"Glast Heim Prison, Louyang Dungeon, Kunlun Dungeon, Izlude Undersea Tunnel (Byalan), Turtle Island, Clocktower 3F,",
				"Clocktower B3F, Glast Heim Sewers 2F, Sphinx Dungeon 4F, Pyramid Dungeon 4F, Prontera Culverts 3F, Amatsu Dungeon 1F,",
				"Somatology Laboratory 1F, Ayotaya Dungeon 2F.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dungeon Teleport Scroll 5 Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Dungeon Teleport Scroll. When used allows you to teleport to a specific dungeon from the following list:",
				"Nogg Road Dungeon (Magma Dungeon), Mjolnir Dead Pit (Coal Mines), Umbala Dungeon, Payon Caves, Toy Factory,",
				"Glast Heim Prison, Louyang Dungeon, Kunlun Dungeon, Izlude Undersea Tunnel (Byalan), Turtle Island, Clocktower 3F,",
				"Clocktower B3F, Glast Heim Sewers 2F, Sphinx Dungeon 4F, Pyramid Dungeon 4F, Prontera Culverts 3F, Amatsu Dungeon 1F,",
				"Somatology Laboratory 1F, Ayotaya Dungeon 2F.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13554: {
			unidentifiedDisplayName: "Weapon Card Pet Egg Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Weapon Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Weapon Card Pet Egg Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Weapon Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13555: {
			unidentifiedDisplayName: "Weapon Card Pet Egg Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Weapon Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Weapon Card Pet Egg Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Weapon Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13556: {
			unidentifiedDisplayName: "Armor Card Pet Egg Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Armor Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Armor Card Pet Egg Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Armor Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13557: {
			unidentifiedDisplayName: "Accessory Card Pet Egg Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Accessory Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Accessory Card Pet Egg Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Accessory Card Pet Egg Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13558: {
			unidentifiedDisplayName: "Weapon Card Pet Egg Scroll",
			unidentifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll which gives you a random of Weapon Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Weapon Card Pet Egg Scroll",
			identifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll which gives you a random of Weapon Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13559: {
			unidentifiedDisplayName: "Armor Card Pet Egg Scroll",
			unidentifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll which gives you a random of Armor Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Armor Card Pet Egg Scroll",
			identifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll which gives you a random of Armor Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13560: {
			unidentifiedDisplayName: "Helmet Card Pet Egg Scroll",
			unidentifiedResourceName: "\xb5\xb6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll which gives you a random of Helmet Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Helmet Card Pet Egg Scroll",
			identifiedResourceName: "\xb5\xb6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll which gives you a random of Helmet Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13561: {
			unidentifiedDisplayName: "Garment Card Pet Egg Scroll",
			unidentifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll which gives you a random of Garment Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Garment Card Pet Egg Scroll",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll which gives you a random of Garment Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13562: {
			unidentifiedDisplayName: "Shield Card Pet Egg Scroll",
			unidentifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll which gives you a random of Shield Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shield Card Pet Egg Scroll",
			identifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll which gives you a random of Shield Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13563: {
			unidentifiedDisplayName: "Shoes Card Pet Egg Scroll",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll which gives you a random of Shoes Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shoes Card Pet Egg Scroll",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll which gives you a random of Shoes Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13564: {
			unidentifiedDisplayName: "Accessory Card Pet Egg Scroll",
			unidentifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll which gives you a random of Accessory Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Accessory Card Pet Egg Scroll",
			identifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll which gives you a random of Accessory Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13565: {
			unidentifiedDisplayName: "Weapon Card Pet Egg Scroll",
			unidentifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll which gives you a random of Weapon Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Weapon Card Pet Egg Scroll",
			identifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll which gives you a random of Weapon Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13566: {
			unidentifiedDisplayName: "Weapon Card Pet Egg Scroll",
			unidentifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll which gives you a random of Weapon Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Weapon Card Pet Egg Scroll",
			identifiedResourceName: "\xbc\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll which gives you a random of Weapon Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13567: {
			unidentifiedDisplayName: "Armor Card Pet Egg Scroll",
			unidentifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll which gives you a random of Armor Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Armor Card Pet Egg Scroll",
			identifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll which gives you a random of Armor Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13568: {
			unidentifiedDisplayName: "Accessory Card Pet Egg Scroll",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll which gives you a random of Accessory Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Accessory Card Pet Egg Scroll",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll which gives you a random of Accessory Card.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13569: {
			unidentifiedDisplayName: "PVP Teleport Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 PVP Teleport Scroll.",
				"Allow character to teleport to the PVP Room.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "PVP Teleport Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 PVP Teleport Scroll.",
				"Allow character to teleport to the PVP Room.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13570: {
			unidentifiedDisplayName: "Giant Fly Wing Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A light box containing 50 Giant Fly Wings.",
				"^ffffff_^000000",
				"Giant Fly Wing - Allows to teleport many people at once to random areas when used by party master.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Fly Wing Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A light box containing 50 Giant Fly Wings.",
				"^ffffff_^000000",
				"Giant Fly Wing - Allows to teleport many people at once to random areas when used by party master.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13571: {
			unidentifiedDisplayName: "Giant Fly Wing Box(100)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A light box containing 100 Giant Fly Wings.",
				"^ffffff_^000000",
				"Giant Fly Wing - Allows to teleport many people at once to random areas when used by party master.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Fly Wing Box(100)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A light box containing 100 Giant Fly Wings.",
				"^ffffff_^000000",
				"Giant Fly Wing - Allows to teleport many people at once to random areas when used by party master.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13572: {
			unidentifiedDisplayName: "Hwergelmir's Tonic Box 30",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hwergelmir's Tonic 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13573: {
			unidentifiedDisplayName: "Hwergelmir's Tonic Box 50",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hwergelmir's Tonic 50 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13574: {
			unidentifiedDisplayName: "Nine Tail Dish Box 30",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"LUK + 10",
				"A box containing 30 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nine Tail Dish 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"LUK + 10",
				"A box containing 30 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13575: {
			unidentifiedDisplayName: "Nine Tail Dish Box 50",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"LUK + 10",
				"A box containing 50 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nine Tail Dish 50 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"LUK + 10",
				"A box containing 50 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13576: {
			unidentifiedDisplayName: "Increase Agility Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Increase Agility Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13577: {
			unidentifiedDisplayName: "Increase Agility Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Increase Agility Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13578: {
			unidentifiedDisplayName: "Stew of Immortality Box 30",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stew of Immortality 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13579: {
			unidentifiedDisplayName: "Stew of Immortality Box 50",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stew of Immortality 50 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13580: {
			unidentifiedDisplayName: "Life Insurance 30 Package",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Life Insurances inside.",
				"^ffffff_^000000",
				"Life insurance - Within the active duration of 30 minutes, player will not lose any experience the first time he is KO'ed. Valid for just once.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Life Insurance 30 Package",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Life Insurances inside.",
				"^ffffff_^000000",
				"Life insurance - Within the active duration of 30 minutes, player will not lose any experience the first time he is KO'ed. Valid for just once.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13581: {
			unidentifiedDisplayName: "Life Insurrance Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Life Insurances inside.",
				"^ffffff_^000000",
				"Life insurance - Within the active duration of 30 minutes, player will not lose any experience the first time he is KO'ed. Valid for just once.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Life Insurrance Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Life Insurances inside.",
				"^ffffff_^000000",
				"Life insurance - Within the active duration of 30 minutes, player will not lose any experience the first time he is KO'ed. Valid for just once.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13582: {
			unidentifiedDisplayName: "Convex Mirror Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Convex Mirrors. Please take a care because is fragile.",
				"^ffffff_^000000",
				"Convex Mirror - The person in possession of the mirror can detect the appearance of the boss monsters.",
				"It has 10 minutes duration and the effect is removed when the player goes out of the map after using the item or quit the game.",
				"Some of the MVP monsters can not be detected.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Convex Mirror Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Convex Mirrors. Please take a care because is fragile.",
				"^ffffff_^000000",
				"Convex Mirror - The person in possession of the mirror can detect the appearance of the boss monsters.",
				"It has 10 minutes duration and the effect is removed when the player goes out of the map after using the item or quit the game.",
				"Some of the MVP monsters can not be detected.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13583: {
			unidentifiedDisplayName: "Convex Mirror Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Convex Mirrors. Please take a care because is fragile.",
				"^ffffff_^000000",
				"Convex Mirror - The person in possession of the mirror can detect the appearance of the boss monsters.",
				"It has 10 minutes duration and the effect is removed when the player goes out of the map after using the item or quit the game.",
				"Some of the MVP monsters can not be detected.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Convex Mirror Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Convex Mirrors. Please take a care because is fragile.",
				"^ffffff_^000000",
				"Convex Mirror - The person in possession of the mirror can detect the appearance of the boss monsters.",
				"It has 10 minutes duration and the effect is removed when the player goes out of the map after using the item or quit the game.",
				"Some of the MVP monsters can not be detected.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13584: {
			unidentifiedDisplayName: "Blessing Scroll 30 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Level 10 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blessing Scroll 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Level 10 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13585: {
			unidentifiedDisplayName: "Blessing Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Level 10 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blessing Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Level 10 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13586: {
			unidentifiedDisplayName: "Adrenaline Rush Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Adrenaline Rush Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13587: {
			unidentifiedDisplayName: "Adrenaline Rush Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Adrenaline Rush Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13588: {
			unidentifiedDisplayName: "Assumptio Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Level 5 Assumptio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Assumptio Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Level 5 Assumptio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13589: {
			unidentifiedDisplayName: "Assumptio Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Level 5 Assumptio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Assumptio Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Level 5 Assumptio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13590: {
			unidentifiedDisplayName: "Aspersio Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Level 5 Aspersio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aspersio Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Level 5 Aspersio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13591: {
			unidentifiedDisplayName: "Aspersio Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Level 5 Aspersio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aspersio Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Level 5 Aspersio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13592: {
			unidentifiedDisplayName: "Steamed Scorpion Box 30",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"AGI + 10",
				"A box containing 30 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Scorpion 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"AGI + 10",
				"A box containing 30 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13593: {
			unidentifiedDisplayName: "Steamed Scorpion Box 50",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"AGI + 10",
				"A box containing 50 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Scorpion 50 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"AGI + 10",
				"A box containing 50 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13594: {
			unidentifiedDisplayName: "Wind Walk Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wind Walk Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13595: {
			unidentifiedDisplayName: "Wind Walk Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wind Walk Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13596: {
			unidentifiedDisplayName: "Dragon Breath Cocktail Box 30",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"INT + 10",
				"A box containing 30 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Breath Cocktail 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"INT + 10",
				"A box containing 30 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13597: {
			unidentifiedDisplayName: "Dragon Breath Cocktail Box 50",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"INT + 10",
				"A box containing 50 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Breath Cocktail 50 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"INT + 10",
				"A box containing 50 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13598: {
			unidentifiedDisplayName: "Field Manual Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Field Manual books inside.",
				"^ffffff_^000000",
				"Field Manual - EXP rate is increased to 50% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Field Manual Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Field Manual books inside.",
				"^ffffff_^000000",
				"Field Manual - EXP rate is increased to 50% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13599: {
			unidentifiedDisplayName: "Field Manual Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Field Manual books inside.",
				"^ffffff_^000000",
				"Field Manual - EXP rate is increased to 50% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Field Manual Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Field Manual books inside.",
				"^ffffff_^000000",
				"Field Manual - EXP rate is increased to 50% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13600: {
			unidentifiedDisplayName: "Token of Ziegfried Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Tokens of Ziegfried.",
				"^ffffff_^000000",
				"Token of Ziegfried - Revives the dead character when player is KO'ed.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Token of Ziegfried Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Tokens of Ziegfried.",
				"^ffffff_^000000",
				"Token of Ziegfried - Revives the dead character when player is KO'ed.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13601: {
			unidentifiedDisplayName: "Token Of Siegfried 20 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 20 Tokens of Ziegfried.",
				"^ffffff_^000000",
				"Token of Ziegfried - Revives the dead character when player is KO'ed.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Token Of Siegfried 20 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 20 Tokens of Ziegfried.",
				"^ffffff_^000000",
				"Token of Ziegfried - Revives the dead character when player is KO'ed.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13602: {
			unidentifiedDisplayName: "Kafra Card Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Kafra Cards.",
				"^ffffff_^000000",
				"Kafra Card - Kafra will be in service when used.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kafra Card Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Kafra Cards.",
				"^ffffff_^000000",
				"Kafra Card - Kafra will be in service when used.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13603: {
			unidentifiedDisplayName: "Kafra Card Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Kafra Cards.",
				"^ffffff_^000000",
				"Kafra Card - Kafra will be in service when used.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kafra Card Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Kafra Cards.",
				"^ffffff_^000000",
				"Kafra Card - Kafra will be in service when used.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13604: {
			unidentifiedDisplayName: "Steamed Tongue Box 30",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"STR + 10",
				"A box containing 30 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Tongue 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"STR + 10",
				"A box containing 30 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13605: {
			unidentifiedDisplayName: "Steamed Tongue Box 50",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"STR + 10",
				"A box containing 50 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Tongue 50 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"STR + 10",
				"A box containing 50 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13606: {
			unidentifiedDisplayName: "Bubble Gum Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 tasty Bubble Gums.",
				"^ffffff_^000000",
				"Bubble gum - Item drop rate increase by 100% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bubble Gum Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 tasty Bubble Gums.",
				"^ffffff_^000000",
				"Bubble gum - Item drop rate increase by 100% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13607: {
			unidentifiedDisplayName: "Bubble Gum Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 tasty Bubble Gums.",
				"^ffffff_^000000",
				"Bubble gum - Item drop rate increase by 100% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bubble Gum Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 tasty Bubble Gums.",
				"^ffffff_^000000",
				"Bubble gum - Item drop rate increase by 100% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13608: {
			unidentifiedDisplayName: "Megaphone Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Megaphones.",
				"^ffffff_^000000",
				"Megaphone - Allows server-wide broadcasting.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Megaphone Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Megaphones.",
				"^ffffff_^000000",
				"Megaphone - Allows server-wide broadcasting.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13609: {
			unidentifiedDisplayName: "Megaphone Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Megaphones.",
				"^ffffff_^000000",
				"Megaphone - Allows server-wide broadcasting.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Megaphone Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Megaphones.",
				"^ffffff_^000000",
				"Megaphone - Allows server-wide broadcasting.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13610: {
			unidentifiedDisplayName: "Enriched Elunium 5 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Enriched Eluniums.",
				"^ffffff_^000000",
				"Enriched Elunium - Rate of refining an armor, without breaking it, will increase.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Enriched Elunium 5 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Enriched Eluniums.",
				"^ffffff_^000000",
				"Enriched Elunium - Rate of refining an armor, without breaking it, will increase.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13611: {
			unidentifiedDisplayName: "Enriched Oridecon 5 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Enriched Oridecon.",
				"^ffffff_^000000",
				"Enriched Oridecon - Rate of refining a weapon, without breaking it, will increase.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Enriched Oridecon 5 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Enriched Oridecon.",
				"^ffffff_^000000",
				"Enriched Oridecon - Rate of refining a weapon, without breaking it, will increase.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13612: {
			unidentifiedDisplayName: "Arrest Handcuffs Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Arrest Handcuffs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Arrest Handcuffs Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Arrest Handcuffs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13613: {
			unidentifiedDisplayName: "Super Pet Egg Box 1",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing a black color Pet Egg Scroll, there are chances to obtain Ghostring card, Angeling card, Dark Lord card,",
				"Flying Angel and others items from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Pet Egg Box 1",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing a black color Pet Egg Scroll, there are chances to obtain Ghostring card, Angeling card, Dark Lord card,",
				"Flying Angel and others items from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13614: {
			unidentifiedDisplayName: "Super Pet Egg Box 2",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing a Cat Eye like Pet Egg Scroll, there are chances to obtain Archangeling card,",
				"Pharaoh card and others items from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Pet Egg Box 2",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing a Cat Eye like Pet Egg Scroll, there are chances to obtain Archangeling card,",
				"Pharaoh card and others items from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13615: {
			unidentifiedDisplayName: "Super Pet Egg Box 3",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 red color Pet Egg Scroll, there are chances to obtain House Auger, Drake card,",
				"Maya card and others items from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Pet Egg Box 3",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 red color Pet Egg Scroll, there are chances to obtain House Auger, Drake card,",
				"Maya card and others items from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13616: {
			unidentifiedDisplayName: "Super Pet Egg Box 4",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing golden color Pet Egg Scroll, there are chances to obtain Pheeroni card, Doppelganger card,",
				"Osiris Card and others cards from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Pet Egg Box 4",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing golden color Pet Egg Scroll, there are chances to obtain Pheeroni card, Doppelganger card,",
				"Osiris Card and others cards from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13617: {
			unidentifiedDisplayName: "Super Pet Egg 1",
			unidentifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb7\xe9",
			unidentifiedDescriptionName: [
				"A black color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Pet Egg 1",
			identifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb7\xe9",
			identifiedDescriptionName: [
				"A black color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13618: {
			unidentifiedDisplayName: "Super Pet Egg 2",
			unidentifiedResourceName: "\xbe\xc6\xc0\xcc\xbf\xc0\xba\xea\xc7\xef\xb8\xae\xbf\xc2",
			unidentifiedDescriptionName: [
				"A cat eye like Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Pet Egg 2",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbf\xc0\xba\xea\xc7\xef\xb8\xae\xbf\xc2",
			identifiedDescriptionName: [
				"A cat eye like Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13619: {
			unidentifiedDisplayName: "Super Pet Egg 3",
			unidentifiedResourceName: "\xb7\xb9\xb5\xe5\xba\xed\xb7\xaf\xb5\xe5",
			unidentifiedDescriptionName: [
				"A red color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Pet Egg 3",
			identifiedResourceName: "\xb7\xb9\xb5\xe5\xba\xed\xb7\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A red color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13620: {
			unidentifiedDisplayName: "Super Pet Egg 4",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				"A golden color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Pet Egg 4",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				"A golden color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13621: {
			unidentifiedDisplayName: "Greed Scroll 30 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Greed Scroll Box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Greed Scroll 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Greed Scroll Box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13622: {
			unidentifiedDisplayName: "Greed Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Greed Scroll Box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Greed Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Greed Scroll Box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13623: {
			unidentifiedDisplayName: "Greed Scroll Box(100)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 100 Greed Scroll Box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Greed Scroll Box(100)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 100 Greed Scroll Box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13624: {
			unidentifiedDisplayName: "Evasion Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box scroll that contains Evasion Scroll.",
				"Evasion Scroll - Increases Dodge for 30 minutes.",
				"Effect disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Evasion Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box scroll that contains Evasion Scroll.",
				"Evasion Scroll - Increases Dodge for 30 minutes.",
				"Effect disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13625: {
			unidentifiedDisplayName: "Concentration Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box scroll that contains Concentration Scroll.",
				"Concentration Scroll - Increases Accuracy for 30 minutes.",
				"Effect disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Concentration Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box scroll that contains Concentration Scroll.",
				"Concentration Scroll - Increases Accuracy for 30 minutes.",
				"Effect disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13626: {
			unidentifiedDisplayName: "Super Card Pet Egg Box 1",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"A box containing 1 yellow color Pet Egg Scroll, there are chances to obtain Baphomet card,",
				"Marc card and others cards from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Card Pet Egg Box 1",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"A box containing 1 yellow color Pet Egg Scroll, there are chances to obtain Baphomet card,",
				"Marc card and others cards from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13627: {
			unidentifiedDisplayName: "Super Card Pet Egg Box 2",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"A box containing 1 red color Pet Egg Scroll, there are chances to obtain Orc Lord card,",
				"And others cards from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Card Pet Egg Box 2",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"A box containing 1 red color Pet Egg Scroll, there are chances to obtain Orc Lord card,",
				"And others cards from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13628: {
			unidentifiedDisplayName: "Super Card Pet Egg Box 3",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"A box containing 1 blue color Pet Egg Scroll, there are chances to obtain Baphomet card, Pharoah card,",
				"Whisper Boss card and others cards from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Card Pet Egg Box 3",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"A box containing 1 blue color Pet Egg Scroll, there are chances to obtain Baphomet card, Pharoah card,",
				"Whisper Boss card and others cards from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13629: {
			unidentifiedDisplayName: "Super Card Pet Egg Box 4",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"A box containing 1 green color Pet Egg Scroll, there are chances to obtain Moonlight card,",
				"Phen card and others cards from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Card Pet Egg Box 4",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"A box containing 1 green color Pet Egg Scroll, there are chances to obtain Moonlight card,",
				"Phen card and others cards from this pet egg scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13630: {
			unidentifiedDisplayName: "Super Card Pet Egg 1",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			unidentifiedDescriptionName: [
				"A yellow color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Card Pet Egg 1",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xb2",
			identifiedDescriptionName: [
				"A yellow color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13631: {
			unidentifiedDisplayName: "Super Card Pet Egg 2",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			unidentifiedDescriptionName: [
				"A red color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Card Pet Egg 2",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc8\xab",
			identifiedDescriptionName: [
				"A red color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13632: {
			unidentifiedDisplayName: "Super Card Pet Egg 3",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			unidentifiedDescriptionName: [
				"A blue color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Card Pet Egg 3",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xc3\xbb",
			identifiedDescriptionName: [
				"A blue color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13633: {
			unidentifiedDisplayName: "Super Card Pet Egg 4",
			unidentifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			unidentifiedDescriptionName: [
				"A green color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Super Card Pet Egg 4",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xba\xb8\xc1\xd6\x5f\xb3\xec",
			identifiedDescriptionName: [
				"A green color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13634: {
			unidentifiedDisplayName: "Vigorgra Package Vol 1",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Steamed Tongue, 2 Steamed Desert Scorpions, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Package Vol 1",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Steamed Tongue, 2 Steamed Desert Scorpions, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13635: {
			unidentifiedDisplayName: "Vigorgra Package Vol 2",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Steamed Tongue, 2 Immortal Stew, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Package Vol 2",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Steamed Tongue, 2 Immortal Stew, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13636: {
			unidentifiedDisplayName: "Vigorgra Package Vol 3",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Dragon Breath Cocktail, 2 Hwergelmir's Tonic, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Package Vol 3",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Dragon Breath Cocktail, 2 Hwergelmir's Tonic, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13637: {
			unidentifiedDisplayName: "Vigorgra Package Vol 4",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Dragon Breath Cocktail, 2 Immortal Stew, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Package Vol 4",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Dragon Breath Cocktail, 2 Immortal Stew, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13638: {
			unidentifiedDisplayName: "Vigorgra Package Vol 5",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Dragon Breath Cocktail, 2 Steamed Tongue, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Package Vol 5",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Dragon Breath Cocktail, 2 Steamed Tongue, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13639: {
			unidentifiedDisplayName: "Vigorgra Package Vol 6",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Steamed Tongue, 2 Steamed Desert Scorpions, 2 Field Manual, 24 Level 5 Adrenaline Rush Scroll,",
				"20 Level 5 Aspersio Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Package Vol 6",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Steamed Tongue, 2 Steamed Desert Scorpions, 2 Field Manual, 24 Level 5 Adrenaline Rush Scroll,",
				"20 Level 5 Aspersio Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13640: {
			unidentifiedDisplayName: "Vigorgra Package Vol 7",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 Steamed Tongue, 4 Steamed Desert Scorpions, 4 Field Manual, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Package Vol 7",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 Steamed Tongue, 4 Steamed Desert Scorpions, 4 Field Manual, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13641: {
			unidentifiedDisplayName: "Vigorgra Package Vol 8",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 Steamed Tongue, 4 Immortal Stew, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Package Vol 8",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 Steamed Tongue, 4 Immortal Stew, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13642: {
			unidentifiedDisplayName: "Vigorgra Package Vol 9",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 Dragon Breath Cocktail, 4 Hwergelmir's Tonic, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Package Vol 9",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 Dragon Breath Cocktail, 4 Hwergelmir's Tonic, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13643: {
			unidentifiedDisplayName: "Vigorgra Package Vol 10",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 Dragon Breath Cocktail, 4 Immortal Stew, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Package Vol 10",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 Dragon Breath Cocktail, 4 Immortal Stew, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13644: {
			unidentifiedDisplayName: "Vigorgra Package Vol 11",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 Dragon Breath Cocktail, 4 Steamed Tongue, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Package Vol 11",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 Dragon Breath Cocktail, 4 Steamed Tongue, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13645: {
			unidentifiedDisplayName: "Vigorgra Package Vol 12",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 Steamed Tongue, 4 Steamed Desert Scorpions, 4 Field Manual, ",
				"48 Level 5 Adrenaline Rush Scroll, 40 Level 5 Aspersio Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Package Vol 12",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 Steamed Tongue, 4 Steamed Desert Scorpions, 4 Field Manual,",
				"48 Level 5 Adrenaline Rush Scroll, 40 Level 5 Aspersio Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13646: {
			unidentifiedDisplayName: "Refined Infiltrator Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Infiltrator. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Infiltrator Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Infiltrator. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13647: {
			unidentifiedDisplayName: "Refined Muramasa Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Muramasa. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Muramasa Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Muramasa. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13648: {
			unidentifiedDisplayName: "Refined Excalibur Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Excalibur. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Excalibur Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Excalibur. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13649: {
			unidentifiedDisplayName: "Refined Combat Knife Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Combat Knife. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Combat Knife Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Combat Knife. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13650: {
			unidentifiedDisplayName: "Refined Dagger of Counter Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Dagger of Counter. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Dagger of Counter Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Dagger of Counter. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13651: {
			unidentifiedDisplayName: "Refined Kaiser Knuckle Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Kaiser Knuckle. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Kaiser Knuckle Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Kaiser Knuckle. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13652: {
			unidentifiedDisplayName: "Refined Pole Axe Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Pole Axe. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Pole Axe Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Pole Axe. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13653: {
			unidentifiedDisplayName: "Refined Mighty Staff Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Mighty Staff. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Mighty Staff Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Mighty Staff. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13654: {
			unidentifiedDisplayName: "Refined Light Epsilon Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Light Epsilon. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Light Epsilon Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Light Epsilon. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13655: {
			unidentifiedDisplayName: "Refined Ballista Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Ballista. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Ballista Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Ballista. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13656: {
			unidentifiedDisplayName: "Refined Sage's Diary Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Sage's Diary. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Sage's Diary Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Sage's Diary. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13657: {
			unidentifiedDisplayName: "Refined Ashura Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Ashura. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Ashura Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Ashura. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13658: {
			unidentifiedDisplayName: "Refined Apple of Archer Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Apple of Archer. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Apple of Archer Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Apple of Archer. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13659: {
			unidentifiedDisplayName: "Refined Bunny Band Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Bunny Band. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Bunny Band Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Bunny Band. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13660: {
			unidentifiedDisplayName: "Refined Sakkat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Sakkat. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Sakkat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Sakkat. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13661: {
			unidentifiedDisplayName: "Refined Grand Circlet Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Grand Circlet. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Grand Circlet Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Grand Circlet. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13662: {
			unidentifiedDisplayName: "Refined Elven Ears Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Elven Ears. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Elven Ears Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Elven Ears. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13663: {
			unidentifiedDisplayName: "Refined Romantic Flower Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Romantic Flower. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Romantic Flower Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Romantic Flower. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13664: {
			unidentifiedDisplayName: "Refined Critical Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Rental period for 1 day.",
				"A box containing 1 Refined Critical Ring. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Critical Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Rental period for 1 day.",
				"A box containing 1 Refined Critical Ring. Please take a care because is fragile.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13665: {
			unidentifiedDisplayName: "Refined Earring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Earring. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Earring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Earring. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13666: {
			unidentifiedDisplayName: "Refined Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Ring. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Ring. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13667: {
			unidentifiedDisplayName: "Refined Necklace Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Necklace. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Necklace Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Necklace. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13668: {
			unidentifiedDisplayName: "Refined Glove Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Glove. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Glove Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Glove. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13669: {
			unidentifiedDisplayName: "Refined Brooch Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Brooch. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Brooch Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Brooch. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13670: {
			unidentifiedDisplayName: "Refined Rosary Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Rosary. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Rosary Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Rosary. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13671: {
			unidentifiedDisplayName: "Refined Safety Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Safety Ring. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Safety Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Safety Ring. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13672: {
			unidentifiedDisplayName: "Refined Vesper Core 01 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 01. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Vesper Core 01 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 01. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13673: {
			unidentifiedDisplayName: "Refined Vesper Core 02 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 02. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Vesper Core 02 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 02. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13674: {
			unidentifiedDisplayName: "Refined Vesper Core 03 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 03. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Vesper Core 03 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 03. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13675: {
			unidentifiedDisplayName: "Refined Vesper Core 04 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 04. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Vesper Core 04 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 04. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13676: {
			unidentifiedDisplayName: "Refined Drooping Cat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Drooping Cat. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Drooping Cat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Drooping Cat. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13677: {
			unidentifiedDisplayName: "Refined Majestic Goat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Majestic Goat. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Majestic Goat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Majestic Goat. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13678: {
			unidentifiedDisplayName: "Refined Deviruchi Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Deviruchi Hat. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Deviruchi Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Deviruchi Hat. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13679: {
			unidentifiedDisplayName: "Refined Executioner Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Executioner. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Executioner Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Executioner. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13680: {
			unidentifiedDisplayName: "Refined Bloody Axe Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Bloody Axe. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Bloody Axe Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Bloody Axe. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13681: {
			unidentifiedDisplayName: "Refined Tomahawk Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Tomahawk. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Tomahawk Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Tomahawk. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13682: {
			unidentifiedDisplayName: "Refined Rudra Bow Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Rudra Bow. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Rudra Bow Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Rudra Bow. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13683: {
			unidentifiedDisplayName: "Refined Cutlus Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Cutlus. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Cutlus Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Cutlus. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13684: {
			unidentifiedDisplayName: "Refined Solar Sword Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Solar Sword. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Solar Sword Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Solar Sword. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13685: {
			unidentifiedDisplayName: "Refined Swordbreaker Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Swordbreaker. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Swordbreaker Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Swordbreaker. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13686: {
			unidentifiedDisplayName: "Refined Mailbreaker Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Mailbreaker. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Mailbreaker Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Mailbreaker. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13687: {
			unidentifiedDisplayName: "Refined Moonlight Dagger Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Moonlight Dagger. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Moonlight Dagger Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Moonlight Dagger. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13688: {
			unidentifiedDisplayName: "Refined Wrench Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Wrench. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Wrench Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Wrench. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13689: {
			unidentifiedDisplayName: "Bok Choy Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 \"Bok Choy\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bok Choy Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 \"Bok Choy\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13690: {
			unidentifiedDisplayName: "Chung E Cake Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 \"Chung E Cake\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chung E Cake Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 \"Chung E Cake\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13691: {
			unidentifiedDisplayName: "Freya's Clothes Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Freya's Clothes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Clothes Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Freya's Clothes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13692: {
			unidentifiedDisplayName: "Freya's Boots Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Freya's Boots.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Boots Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Freya's Boots.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13693: {
			unidentifiedDisplayName: "Freya's Manteau Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Freya's Manteau.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Manteau Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Freya's Manteau.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13694: {
			unidentifiedDisplayName: "Freyja Crown Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Freya's Crown.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freyja Crown Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Freya's Crown.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13695: {
			unidentifiedDisplayName: "Basic Field Manual Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 25 Field Manual 25% books inside.",
				"^ffffff_^000000",
				"^000088Exp rate is increased to 25% for 30 minutes^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Basic Field Manual Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 25 Field Manual 25% books inside.",
				"^ffffff_^000000",
				"^000088Exp rate is increased to 25% for 30 minutes^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13696: {
			unidentifiedDisplayName: "Advanced Field Manual Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 100 Field Manual 100% books inside.",
				"^ffffff_^000000",
				"^000088Exp rate is increased to 100% for 30 minutes^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Advanced Field Manual Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 100 Field Manual 100% books inside.",
				"^ffffff_^000000",
				"^000088Exp rate is increased to 100% for 30 minutes^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13697: {
			unidentifiedDisplayName: "Blessing Scroll Box(10)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blessing Scroll Box(10)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13698: {
			unidentifiedDisplayName: "Increase Agility Scroll Box(10)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Increase Agility Scroll Box(10)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13699: {
			unidentifiedDisplayName: "Wind Walk Scroll Box(10)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wind Walk Scroll Box(10)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13700: {
			unidentifiedDisplayName: "Adrenaline Rush Scroll Box(10)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Adrenaline Rush Scroll Box(10)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13701: {
			unidentifiedDisplayName: "HD Oridecon 10 Box",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A box containing 1 egg scroll with the chance of obtaining",
				"An Flying Angel, Elven Ears, Zeny Egg Scroll and others.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Oridecon 10 Box",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A box containing 1 egg scroll with the chance of obtaining",
				"An Flying Angel, Elven Ears, Zeny Egg Scroll and others.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13702: {
			unidentifiedDisplayName: "Heavy Lifter Box",
			unidentifiedResourceName: "\xbe\xf0\xb5\xa5\xb5\xe5\xbe\xcb",
			unidentifiedDescriptionName: [
				"A box containing 1 egg scroll with the chance of obtaining",
				"An Elephant Hat, Happy Wig, Zeny Scroll and others.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Heavy Lifter Box",
			identifiedResourceName: "\xbe\xf0\xb5\xa5\xb5\xe5\xbe\xcb",
			identifiedDescriptionName: [
				"A box containing 1 egg scroll with the chance of obtaining",
				"An Elephant Hat, Happy Wig, Zeny Scroll and others.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13703: {
			unidentifiedDisplayName: "Pet Egg Scroll 14",
			unidentifiedResourceName: "\xb5\xb6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A box containing 1 egg scroll with the chance of obtaining",
				"An Kawaii Ribbon, Lotus, Zeny Scroll and others.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pet Egg Scroll 14",
			identifiedResourceName: "\xb5\xb6\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A box containing 1 egg scroll with the chance of obtaining",
				"An Kawaii Ribbon, Lotus, Zeny Scroll and others.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13704: {
			unidentifiedDisplayName: "Dark Pet Egg Scroll",
			unidentifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb7\xe9",
			unidentifiedDescriptionName: [
				"A black color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dark Pet Egg Scroll",
			identifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb7\xe9",
			identifiedDescriptionName: [
				"A black color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13705: {
			unidentifiedDisplayName: "Cat's Eye Scroll",
			unidentifiedResourceName: "\xbe\xc6\xc0\xcc\xbf\xc0\xba\xea\xc7\xef\xb8\xae\xbf\xc2",
			unidentifiedDescriptionName: [
				"A cat eye like Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cat's Eye Scroll",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbf\xc0\xba\xea\xc7\xef\xb8\xae\xbf\xc2",
			identifiedDescriptionName: [
				"A cat eye like Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13706: {
			unidentifiedDisplayName: "Red Pet Egg Scroll",
			unidentifiedResourceName: "\xb7\xb9\xb5\xe5\xba\xed\xb7\xaf\xb5\xe5",
			unidentifiedDescriptionName: [
				"A red color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Pet Egg Scroll",
			identifiedResourceName: "\xb7\xb9\xb5\xe5\xba\xed\xb7\xaf\xb5\xe5",
			identifiedDescriptionName: [
				"A red color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13707: {
			unidentifiedDisplayName: "Gold Pet Egg Scroll",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				"A golden color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gold Pet Egg Scroll",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				"A golden color Pet Egg Scroll which is said to have chances to give a Super Pet Egg.",
				"(Non-tradable and non-discardable).",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13708: {
			unidentifiedDisplayName: "Pet Egg Scroll E",
			unidentifiedResourceName: "\xbc\xba\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A holy, pet egg shaped scroll.",
				"Able to Obtain Chong E egg, Spring Rabbit egg exchange ticket, Pet food and other items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pet Egg Scroll E",
			identifiedResourceName: "\xbc\xba\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A holy, pet egg shaped scroll.",
				"Able to Obtain Chong E egg, Spring Rabbit egg exchange ticket, Pet food and other items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13709: {
			unidentifiedDisplayName: "BRO Package Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"A package box that contains 20 Blessing Scroll, 20 Increase Agility Scroll,",
				"20 Wind Walk Scroll, and 20 Adrenaline Rush Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "BRO Package Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"A package box that contains 20 Blessing Scroll, 20 Increase Agility Scroll,",
				"20 Wind Walk Scroll, and 20 Adrenaline Rush Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13710: {
			unidentifiedDisplayName: "Gym Pass Box",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Gym Membership Cards.",
				"A membership card at a training facility that helps you increase your strength.",
				"This card will grant you an one time access to training, just show it to the trainer NPC.",
				"A visit will increase your skill level by 1 boosting your weight capacity by 200 per level,",
				"To a maximum of level 10. Increase Carrying Weight skill has 10 levels, and once learned,",
				"It is permanent. However, it is reset once you transcend. After you transcend,",
				"Re-visit the NPC that teaches this ability to learn this back for free at the level you had",
				"Before you transcended. You can level this one at a time.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gym Pass Box",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Gym Membership Cards.",
				"A membership card at a training facility that helps you increase your strength.",
				"This card will grant you an one time access to training, just show it to the trainer NPC.",
				"A visit will increase your skill level by 1 boosting your weight capacity by 200 per level,",
				"To a maximum of level 10. Increase Carrying Weight skill has 10 levels, and once learned,",
				"It is permanent. However, it is reset once you transcend. After you transcend,",
				"Re-visit the NPC that teaches this ability to learn this back for free at the level you had",
				"Before you transcended. You can level this one at a time.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13711: {
			unidentifiedDisplayName: "Small Life Potion 10 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Small Life Potion.",
				"For 10 minutes, you regenerate 5% of your Maximum HP every 5 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Life Potion 10 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Small Life Potion.",
				"For 10 minutes, you regenerate 5% of your Maximum HP every 5 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13712: {
			unidentifiedDisplayName: "Small Life Potion 30 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Small Life Potion.",
				"For 10 minutes, you regenerate 5% of your Maximum HP every 5 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Life Potion 30 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Small Life Potion.",
				"For 10 minutes, you regenerate 5% of your Maximum HP every 5 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13713: {
			unidentifiedDisplayName: "Small Life Potion 50 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Small Life Potion.",
				"For 10 minutes, you regenerate 5% of your Maximum HP every 5 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Life Potion 50 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Small Life Potion.",
				"For 10 minutes, you regenerate 5% of your Maximum HP every 5 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13714: {
			unidentifiedDisplayName: "Medium Life Potion 10 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Large Life Potion.",
				"For 10 minutes, you regenerate 7% of your Maximum HP every 4 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Medium Life Potion 10 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Large Life Potion.",
				"For 10 minutes, you regenerate 7% of your Maximum HP every 4 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13715: {
			unidentifiedDisplayName: "Medium Life Potion 30 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Large Life Potion.",
				"For 10 minutes, you regenerate 7% of your Maximum HP every 4 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Medium Life Potion 30 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Large Life Potion.",
				"For 10 minutes, you regenerate 7% of your Maximum HP every 4 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13716: {
			unidentifiedDisplayName: "Medium Life Potion 50 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Large Life Potion.",
				"For 10 minutes, you regenerate 7% of your Maximum HP every 4 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Medium Life Potion 50 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Large Life Potion.",
				"For 10 minutes, you regenerate 7% of your Maximum HP every 4 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13717: {
			unidentifiedDisplayName: "Abrasive 5 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Abrasive.",
				"For 5 minutes, the player will recieve +30 Critical Rate. This rate is doubled by Katar weapons.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Abrasive 5 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Abrasive.",
				"For 5 minutes, the player will recieve +30 Critical Rate. This rate is doubled by Katar weapons.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13718: {
			unidentifiedDisplayName: "Abrasive 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Abrasive.",
				"For 5 minutes, the player will recieve +30 Critical Rate. This rate is doubled by Katar weapons.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Abrasive 10 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Abrasive.",
				"For 5 minutes, the player will recieve +30 Critical Rate. This rate is doubled by Katar weapons.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13719: {
			unidentifiedDisplayName: "Regeneration Potion 5 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Regeneration Potion.",
				"For 30 minutes, the recovery amount from all heal, recovery items, and ^008800Sanctuary^000000 is increased by 20% on your character.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Regeneration Potion 5 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Regeneration Potion.",
				"For 30 minutes, the recovery amount from all heal, recovery items, and ^008800Sanctuary^000000 is increased by 20% on your character.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13720: {
			unidentifiedDisplayName: "Regeneration 10 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Regeneration Potion.",
				"For 30 minutes, the recovery amount from all heal, recovery items, and ^008800Sanctuary^000000 is increased by 20% on your character.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Regeneration 10 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Regeneration Potion.",
				"For 30 minutes, the recovery amount from all heal, recovery items, and ^008800Sanctuary^000000 is increased by 20% on your character.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13721: {
			unidentifiedDisplayName: "Dungeon Teleport Scroll 10 Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Dungeon Teleport Scroll. When used allows you to teleport to a specific dungeon from the following list:",
				"Nogg Road Dungeon (Magma Dungeon), Mjolnir Dead Pit (Coal Mines), Umbala Dungeon, Payon Caves, Toy Factory,",
				"Glast Heim Prison, Louyang Dungeon, Kunlun Dungeon, Izlude Undersea Tunnel (Byalan), Turtle Island, Clocktower 3F,",
				"Clocktower B3F, Glast Heim Sewers 2F, Sphinx Dungeon 4F, Pyramid Dungeon 4F, Prontera Culverts 3F, Amatsu Dungeon 1F,",
				"Somatology Laboratory 1F, Ayotaya Dungeon 2F.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dungeon Teleport Scroll 10 Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Dungeon Teleport Scroll. When used allows you to teleport to a specific dungeon from the following list:",
				"Nogg Road Dungeon (Magma Dungeon), Mjolnir Dead Pit (Coal Mines), Umbala Dungeon, Payon Caves, Toy Factory,",
				"Glast Heim Prison, Louyang Dungeon, Kunlun Dungeon, Izlude Undersea Tunnel (Byalan), Turtle Island, Clocktower 3F,",
				"Clocktower B3F, Glast Heim Sewers 2F, Sphinx Dungeon 4F, Pyramid Dungeon 4F, Prontera Culverts 3F, Amatsu Dungeon 1F,",
				"Somatology Laboratory 1F, Ayotaya Dungeon 2F.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13722: {
			unidentifiedDisplayName: "Pecopeco Hairband Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Peco Peco Hairband.",
				"Headgear with Pecopeco's wings on it. It makes wearer to move as fas as Pecopeco.",
				"Increases movement speed by 5% when equipped.",
				"Decreases Attack Speed by 10%. Reduce Casting Time by 5%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pecopeco Hairband Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Peco Peco Hairband.",
				"Headgear with Pecopeco's wings on it. It makes wearer to move as fas as Pecopeco.",
				"Increases movement speed by 5% when equipped.",
				"Decreases Attack Speed by 10%. Reduce Casting Time by 5%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13723: {
			unidentifiedDisplayName: "Red Glasses Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Red Glasses.",
				"Must-have item for the pretty. Can make users 3 times more beautiful.",
				"INT + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Glasses Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Red Glasses.",
				"Must-have item for the pretty. Can make users 3 times more beautiful.",
				"INT + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13724: {
			unidentifiedDisplayName: "Whisper Mask Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Whisper Mask.",
				"Shaped like a whisper. It feels like massaged on a face. No sure that it is good for skin.",
				"AGI + 3, Increase damage from ^777777Ghost^000000 Property attacks by 10%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Whisper Mask Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Whisper Mask.",
				"Shaped like a whisper. It feels like massaged on a face. No sure that it is good for skin.",
				"AGI + 3, Increase damage from ^777777Ghost^000000 Property attacks by 10%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13725: {
			unidentifiedDisplayName: "Ramen Hat Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Ramen Hat.",
				"Noodles put on a head. When hungry, this is portable ration. Be careful not to spoil it.",
				"DEX + 4",
				"Chance of auto casting ^008800Level 1 Concentration^000000 on the enemy when attacking.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ramen Hat Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Ramen Hat.",
				"Noodles put on a head. When hungry, this is portable ration. Be careful not to spoil it.",
				"DEX + 4",
				"Chance of auto casting ^008800Level 1 Concentration^000000 on the enemy when attacking.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13726: {
			unidentifiedDisplayName: "Golden Box",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A beautiful box decorated with gold pieces. If you open it, a chance to get rare items.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golden Box",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A beautiful box decorated with gold pieces. If you open it, a chance to get rare items.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13727: {
			unidentifiedDisplayName: "Silver Box",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A beautiful box decorated with silver pieces. If you open it, a chance to get rare items.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Silver Box",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A beautiful box decorated with silver pieces. If you open it, a chance to get rare items.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13728: {
			unidentifiedDisplayName: "Golden Key Box(1)",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Golden Key.",
				"Golden Key - A Golden key to open the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golden Key Box(1)",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Golden Key.",
				"Golden Key - A Golden key to open the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13729: {
			unidentifiedDisplayName: "Golden Key Box(5)",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Golden Keys.",
				"Golden Key - A Golden key to open the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golden Key Box(5)",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Golden Keys.",
				"Golden Key - A Golden key to open the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13730: {
			unidentifiedDisplayName: "Silver Key Box(1)",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Silver Key.",
				"Silver Key - A Silver key to open the box. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Silver Key Box(1)",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Silver Key.",
				"Silver Key - A Silver key to open the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13731: {
			unidentifiedDisplayName: "Silver Key Box(5)",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Silver Keys.",
				"Silver Key - A Silver key to open the box. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Silver Key Box(5)",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Silver Keys.",
				"Silver Key - A Silver key to open the box.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13734: {
			unidentifiedDisplayName: "Peco Peco Hairband Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Peco Peco Hairband.",
				"Headgear with Pecopeco's wings on it. It makes wearer to move as fas as Pecopeco.",
				"Increases movement speed by 5% when equipped.",
				"Decreases Attack Speed by 10%. Reduce Casting Time by 5%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Peco Peco Hairband Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Peco Peco Hairband.",
				"Headgear with Pecopeco's wings on it. It makes wearer to move as fas as Pecopeco.",
				"Increases movement speed by 5% when equipped.",
				"Decreases Attack Speed by 10%. Reduce Casting Time by 5%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13735: {
			unidentifiedDisplayName: "Red Glasses Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Red Glasses.",
				"Must-have item for the pretty. Can make users 3 times more beautiful.",
				"INT + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Glasses Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Red Glasses.",
				"Must-have item for the pretty. Can make users 3 times more beautiful.",
				"INT + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13736: {
			unidentifiedDisplayName: "Whisper Mask Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Whisper Mask.",
				"Shaped like a whisper. It feels like massaged on a face. No sure that it is good for skin.",
				"AGI + 3, Increase damage from ^777777Ghost^000000 Property attacks by 10%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Whisper Mask Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Whisper Mask.",
				"Shaped like a whisper. It feels like massaged on a face. No sure that it is good for skin.",
				"AGI + 3, Increase damage from ^777777Ghost^000000 Property attacks by 10%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13737: {
			unidentifiedDisplayName: "Ramen Hat Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Ramen Hat.",
				"Noodles put on a head. When hungry, this is portable ration. Be careful not to spoil it.",
				"DEX + 4",
				"Chance of auto casting ^008800Level 1 Concentration^000000 on the enemy when attacking.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ramen Hat Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Ramen Hat.",
				"Noodles put on a head. When hungry, this is portable ration. Be careful not to spoil it.",
				"DEX + 4",
				"Chance of auto casting ^008800Level 1 Concentration^000000 on the enemy when attacking.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13738: {
			unidentifiedDisplayName: "Glass of Illusion 5 Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Wine Glass Of Illusion.",
				"Wine Glass Of Illusion - Provides +20 Perfect Dodge for 1 minute. Cooldown for 5 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glass of Illusion 5 Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Wine Glass Of Illusion.",
				"Wine Glass Of Illusion - Provides +20 Perfect Dodge for 1 minute. Cooldown for 5 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13739: {
			unidentifiedDisplayName: "Glass of Illusion 10 Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Wine Glass Of Illusion.",
				"Wine Glass Of Illusion - Provides +20 Perfect Dodge for 1 minute. Cooldown for 5 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glass of Illusion 10 Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Wine Glass Of Illusion.",
				"Wine Glass Of Illusion - Provides +20 Perfect Dodge for 1 minute. Cooldown for 5 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13740: {
			unidentifiedDisplayName: "Shadow Armor Scroll 5 Box",
			unidentifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Scroll Of Shadow Armor.",
				"Scroll Of Shadow Armor - Turns your body element into ^777777Shadow^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shadow Armor Scroll 5 Box",
			identifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Scroll Of Shadow Armor.",
				"Scroll Of Shadow Armor - Turns your body element into ^777777Shadow^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13741: {
			unidentifiedDisplayName: "Shadow Armor Scroll 10 Box",
			unidentifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Scroll Of Shadow Armor.",
				"Scroll Of Shadow Armor - Turns your body element into ^777777Shadow^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shadow Armor Scroll 10 Box",
			identifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Scroll Of Shadow Armor.",
				"Scroll Of Shadow Armor - Turns your body element into ^777777Shadow^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13742: {
			unidentifiedDisplayName: "Shadow Armor Scroll 30 Box",
			unidentifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Scroll Of Shadow Armor.",
				"Scroll Of Shadow Armor - Turns your body element into ^777777Shadow^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shadow Armor Scroll 30 Box",
			identifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Scroll Of Shadow Armor.",
				"Scroll Of Shadow Armor - Turns your body element into ^777777Shadow^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13743: {
			unidentifiedDisplayName: "Holy Armor Scroll 5 Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Scroll Of Holy Armor.",
				"Scroll Of Holy Armor - Turns your body element into ^777777Holy^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Holy Armor Scroll 5 Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Scroll Of Holy Armor.",
				"Scroll Of Holy Armor - Turns your body element into ^777777Holy^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13744: {
			unidentifiedDisplayName: "Holy Armor Scroll 10 Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Scroll Of Holy Armor.",
				"Scroll Of Holy Armor - Turns your body element into ^777777Holy^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Holy Armor Scroll 10 Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Scroll Of Holy Armor.",
				"Scroll Of Holy Armor - Turns your body element into ^777777Holy^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13745: {
			unidentifiedDisplayName: "Holy Armor Scroll 30 Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Scroll Of Holy Armor.",
				"Scroll Of Holy Armor - Turns your body element into ^777777Holy^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Holy Armor Scroll 30 Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Scroll Of Holy Armor.",
				"Scroll Of Holy Armor - Turns your body element into ^777777Holy^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13746: {
			unidentifiedDisplayName: "Small Defense Potion 10 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Small Physical Defense Potion.",
				"Small Physical Defense Potion - Add a 3% resistance to the Physical attack for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Defense Potion 10 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Small Physical Defense Potion.",
				"Small Physical Defense Potion - Add a 3% resistance to the Physical attack for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13747: {
			unidentifiedDisplayName: "Small Defense Potion 30 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Small Physical Defense Potion.",
				"Small Physical Defense Potion - Add a 3% resistance to the Physical attack for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Defense Potion 30 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Small Physical Defense Potion.",
				"Small Physical Defense Potion - Add a 3% resistance to the Physical attack for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13748: {
			unidentifiedDisplayName: "Small Defense Potion 50 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Small Physical Defense Potion.",
				"Small Physical Defense Potion - Add a 3% resistance to the Physical attack for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Defense Potion 50 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Small Physical Defense Potion.",
				"Small Physical Defense Potion - Add a 3% resistance to the Physical attack for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13749: {
			unidentifiedDisplayName: "Big Defense Potion 10 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Large Physical Defense Potion.",
				"Large Physical Defense Potion - Add a 3% resistance to the Physical attack for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Defense Potion 10 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Large Physical Defense Potion.",
				"Large Physical Defense Potion - Add a 3% resistance to the Physical attack for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13750: {
			unidentifiedDisplayName: "Big Defense Potion 30 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Large Physical Defense Potion.",
				"Large Physical Defense Potion - Add a 3% resistance to the Physical attack for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Defense Potion 30 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Large Physical Defense Potion.",
				"Large Physical Defense Potion - Add a 3% resistance to the Physical attack for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13751: {
			unidentifiedDisplayName: "Big Defense Potion 50 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Large Physical Defense Potion.",
				"Large Physical Defense Potion - Add a 3% resistance to the Physical attack for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Defense Potion 50 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Large Physical Defense Potion.",
				"Large Physical Defense Potion - Add a 3% resistance to the Physical attack for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13752: {
			unidentifiedDisplayName: "Small Magic Defense Potion 10 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Small Magical Defense Potion.",
				"Small Magical Defense Potion - Add a 3% resistance to the Magical attack for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Magic Defense Potion 10 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Small Magical Defense Potion.",
				"Small Magical Defense Potion - Add a 3% resistance to the Magical attack for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13753: {
			unidentifiedDisplayName: "Small Magic Defense Potion 30 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Small Magical Defense Potion.",
				"Small Magical Defense Potion - Add a 3% resistance to the Magical attack for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Magic Defense Potion 30 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Small Magical Defense Potion.",
				"Small Magical Defense Potion - Add a 3% resistance to the Magical attack for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13754: {
			unidentifiedDisplayName: "Small Magic Defense Potion 50 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Small Magical Defense Potion.",
				"Small Magical Defense Potion - Add a 3% resistance to the Magical attack for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Magic Defense Potion 50 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Small Magical Defense Potion.",
				"Small Magical Defense Potion - Add a 3% resistance to the Magical attack for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13755: {
			unidentifiedDisplayName: "Big Magic Defense Potion 10 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Large Magical Defense Potion.",
				"Large Magical Defense Potion - Add a 3% resistance to the Magical attack for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Magic Defense Potion 10 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Large Magical Defense Potion.",
				"Large Magical Defense Potion - Add a 3% resistance to the Magical attack for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13756: {
			unidentifiedDisplayName: "Big Magic Defense Potion 30 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Large Magical Defense Potion.",
				"Large Magical Defense Potion - Add a 3% resistance to the Magical attack for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Magic Defense Potion 30 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Large Magical Defense Potion.",
				"Large Magical Defense Potion - Add a 3% resistance to the Magical attack for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13757: {
			unidentifiedDisplayName: "Big Magic Defense Potion 50 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Large Magical Defense Potion.",
				"Large Magical Defense Potion - Add a 3% resistance to the Magical attack for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Magic Defense Potion 50 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Large Magical Defense Potion.",
				"Large Magical Defense Potion - Add a 3% resistance to the Magical attack for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13758: {
			unidentifiedDisplayName: "300% Battle Manual  Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 20 Field Manual 300%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "300% Battle Manual Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 20 Field Manual 300%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13759: {
			unidentifiedDisplayName: "Blue Herb Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Blue Herb.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Herb Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Blue Herb.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13760: {
			unidentifiedDisplayName: "Honey Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 100 Honey.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Honey Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 100 Honey.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13761: {
			unidentifiedDisplayName: "Empty Bottle Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 500 Empty Bottles.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Empty Bottle Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 500 Empty Bottles.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13762: {
			unidentifiedDisplayName: "Royal Jelly Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 70 Royal Jelly.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Royal Jelly Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 70 Royal Jelly.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13763: {
			unidentifiedDisplayName: "Premium Anniversary Coin Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"A box containing coin 6th Anniversary PC-Cafe Items.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Premium Anniversary Coin Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"A box containing coin 6th Anniversary PC-Cafe Items.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13764: {
			unidentifiedDisplayName: "Novice Battle Manual Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Beginner's Field Manual.",
				"Only usable by a character level 40 or below. For 30 minutes, grants 3x exp for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Novice Battle Manual Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Beginner's Field Manual.",
				"Only usable by a character level 40 or below. For 30 minutes, grants 3x exp for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13765: {
			unidentifiedDisplayName: "Certificate TW Box",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"The quest accomplishment bookshelf the envelope which is enclosed.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Certificate TW Box",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"The quest accomplishment bookshelf the envelope which is enclosed.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13766: {
			unidentifiedDisplayName: "Nagan Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Nagan. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nagan Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Nagan. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13767: {
			unidentifiedDisplayName: "Refined Brocca Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Brocca. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Brocca Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Brocca. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13768: {
			unidentifiedDisplayName: "Refined Survivor's Rod Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Survivor's Rod. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Survivor's Rod Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Survivor's Rod. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13769: {
			unidentifiedDisplayName: "Refined Quadrille Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Quadrille. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Quadrille Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Quadrille. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13770: {
			unidentifiedDisplayName: "Refined Great Axe Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Great Axe. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Great Axe Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Great Axe. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13771: {
			unidentifiedDisplayName: "Bloody Roar Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Bloody Roar. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bloody Roar Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Bloody Roar. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13772: {
			unidentifiedDisplayName: "Refined Hardcover Book Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Hardcover Book. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Hardcover Book Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Hardcover Book. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13773: {
			unidentifiedDisplayName: "Refined Fireblend Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Fireblend. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Fireblend Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Fireblend. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13774: {
			unidentifiedDisplayName: "Refined Immaterial Sword Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Immaterial Sword. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Immaterial Sword Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Immaterial Sword. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13775: {
			unidentifiedDisplayName: "Refined Unholy Touch Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Unholy Touch. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Unholy Touch Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Unholy Touch. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13776: {
			unidentifiedDisplayName: "Refined Survivor's Manteau Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Survivor's Manteau. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Survivor's Manteau Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Survivor's Manteau. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13777: {
			unidentifiedDisplayName: "Refined Masquerade Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Masquerade. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Masquerade Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Masquerade. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13778: {
			unidentifiedDisplayName: "Refined Helmet of Orc Hero Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Helmet of Orc Hero. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Helmet of Orc Hero Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Helmet of Orc Hero. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13779: {
			unidentifiedDisplayName: "Evil Wing Ears Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Wing of Diablo. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Evil Wing Ears Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Wing of Diablo. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13780: {
			unidentifiedDisplayName: "Refined Dark Blinder Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Dark Blinder. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Dark Blinder Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Dark Blinder. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13781: {
			unidentifiedDisplayName: "Refined Drooping Cat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Drooping Cat. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Drooping Cat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Drooping Cat. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13782: {
			unidentifiedDisplayName: "Corsair Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Corsair. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Corsair Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Corsair. Please take a care because is fragile.",
				"Duration : 2 Weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13783: {
			unidentifiedDisplayName: "Bloody Iron Ball Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Bloodied Shackle Ball. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bloody Iron Ball Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Bloodied Shackle Ball. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13784: {
			unidentifiedDisplayName: "Refined Spiritual Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Spiritual Ring. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Spiritual Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Spiritual Ring. Please take a care because is fragile.",
				"Duration : 1 Week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13785: {
			unidentifiedDisplayName: "Refined Nagan Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Nagan. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Nagan Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Nagan. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13786: {
			unidentifiedDisplayName: "Refined Brocca Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Brocca. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Brocca Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Brocca. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13787: {
			unidentifiedDisplayName: "Refined Survivor's Rod Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Survivor's Rod. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Survivor's Rod Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Survivor's Rod. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13788: {
			unidentifiedDisplayName: "Refined Quadrille Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Quadrille. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Quadrille Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Quadrille. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13789: {
			unidentifiedDisplayName: "Refined Great Axe Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Great Axe. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Great Axe Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Great Axe. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13790: {
			unidentifiedDisplayName: "Refined Bloody Roar Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Bloody Roar. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Bloody Roar Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Bloody Roar. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13791: {
			unidentifiedDisplayName: "Refined Hardcover Book Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Hardcover Book. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Hardcover Book Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Hardcover Book. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13792: {
			unidentifiedDisplayName: "Refined Fireblend Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Fireblend. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Fireblend Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Fireblend. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13793: {
			unidentifiedDisplayName: "Refined Immaterial Sword Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Immaterial Sword. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Immaterial Sword Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Immaterial Sword. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13794: {
			unidentifiedDisplayName: "Refined Unholy Touch Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Unholy Touch. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Unholy Touch Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Unholy Touch. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13795: {
			unidentifiedDisplayName: "Refined Survivor's Manteau Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Survivor's Manteau. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Survivor's Manteau Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Survivor's Manteau. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13796: {
			unidentifiedDisplayName: "Refined Masquerade Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Masquerade. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Masquerade Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Masquerade. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13797: {
			unidentifiedDisplayName: "Refined Helmet of Orc Hero Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Helmet of Orc Hero. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Helmet of Orc Hero Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Helmet of Orc Hero. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13798: {
			unidentifiedDisplayName: "Refined Wing of Diablo Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Wing of Diablo. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Wing of Diablo Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Wing of Diablo. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13799: {
			unidentifiedDisplayName: "Refined Dark Blinder Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Dark Blinder. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Dark Blinder Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Dark Blinder. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13800: {
			unidentifiedDisplayName: "Refined Drooping Cat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Drooping Cat. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Drooping Cat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Drooping Cat. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13801: {
			unidentifiedDisplayName: "Refined Corsair Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Corsair. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Corsair Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Corsair. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13802: {
			unidentifiedDisplayName: "Refined Bloodied Shackle Ball Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Bloodied Shackle Ball. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Bloodied Shackle Ball Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Bloodied Shackle Ball. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13803: {
			unidentifiedDisplayName: "Refined Spiritual Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Spiritual Ring. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Spiritual Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Spiritual Ring. Please take a care because is fragile.",
				"Duration : 1 Day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13804: {
			unidentifiedDisplayName: "I Love You Firecracker Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box containing 10 Love You Firecracker.",
				"^ffffff_^000000",
				"Phrase 'I LOVE YOU!' pops out with Fire cracker.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "I Love You Firecracker Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box containing 10 Love You Firecracker.",
				"^ffffff_^000000",
				"Phrase 'I LOVE YOU!' pops out with Fire cracker.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13805: {
			unidentifiedDisplayName: "Whiteday Firecracker Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box containing 10 White Day Firecracker.",
				"^ffffff_^000000",
				"Phrase 'HAPPY WHITEDAY!' pops out with Fire cracker.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Whiteday Firecracker Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box containing 10 White Day Firecracker.",
				"^ffffff_^000000",
				"Phrase 'HAPPY WHITEDAY!' pops out with Fire cracker.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13806: {
			unidentifiedDisplayName: "Valentine's Day Firecracker Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box containing 10 Valentine Firecracker.",
				"^ffffff_^000000",
				"Phrase 'HAPPY VALENTINE's DAY!' pops out with Fire cracker.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Valentine's Day Firecracker Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box containing 10 Valentine Firecracker.",
				"^ffffff_^000000",
				"Phrase 'HAPPY VALENTINE's DAY!' pops out with Fire cracker.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13807: {
			unidentifiedDisplayName: "Birthday Firecracker Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box containing 10 Birthday Firecracker.",
				"^ffffff_^000000",
				"Phrase 'HAPPY BIRTHDAY!' pops out with Fire cracker.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Birthday Firecracker Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box containing 10 Birthday Firecracker.",
				"^ffffff_^000000",
				"Phrase 'HAPPY BIRTHDAY!' pops out with Fire cracker.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13808: {
			unidentifiedDisplayName: "Xmas Firecracker Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box containing 10 Christmas Firecracker.",
				"^ffffff_^000000",
				"Phrase 'MERRY CHRISTMAS!' pops out with Fire cracker.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Xmas Firecracker Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box containing 10 Christmas Firecracker.",
				"^ffffff_^000000",
				"Phrase 'MERRY CHRISTMAS!' pops out with Fire cracker.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13809: {
			unidentifiedDisplayName: "Blue Gemstone Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 100 Blue Gemstone.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Gemstone Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 100 Blue Gemstone.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13810: {
			unidentifiedDisplayName: "Blue Potion Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 25 Blue Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Blue Potion Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 25 Blue Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13811: {
			unidentifiedDisplayName: "Food Box Vol 1",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 6 kinds of Level 1 Dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "+20 Basic Food Pack",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 6 kinds of Level 1 Dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13812: {
			unidentifiedDisplayName: "Food Box Vol 2",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 6 kinds of Level 2 Dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Food Box Vol 2",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 6 kinds of Level 2 Dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13813: {
			unidentifiedDisplayName: "Food Box Vol 3",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 6 kinds of Level 3 Dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Food Box Vol 3",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 6 kinds of Level 3 Dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13814: {
			unidentifiedDisplayName: "Healing Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing healing potion and speed potion to avoid from the monster. A box that contains 100 Yellow Potion, 10 Speed Potion, 5 Yggdrasil Berry.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Healing Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing healing potion and speed potion to avoid from the monster. A box that contains 100 Yellow Potion, 10 Speed Potion, 5 Yggdrasil Berry.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13815: {
			unidentifiedDisplayName: "Knife Goblin Taming Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box with 10 rings inside.",
				"Taming item for 'Knife Goblin'.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Knife Goblin Taming Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box with 10 rings inside.",
				"Taming item for 'Knife Goblin'.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13816: {
			unidentifiedDisplayName: "Flail Goblin Taming Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box with 10 rings inside.",
				"Taming item for 'Flail Goblin'.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flail Goblin Taming Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box with 10 rings inside.",
				"Taming item for 'Flail Goblin'.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13817: {
			unidentifiedDisplayName: "Hammer Goblin Taming Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box with 10 rings inside.",
				"Taming item for 'Hammer Goblin'.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hammer Goblin Taming Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box with 10 rings inside.",
				"Taming item for 'Hammer Goblin'.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13818: {
			unidentifiedDisplayName: "Red Deleter Taming Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"A box with 10 holy marbles inside.",
				"Taming item for 'Red Deleter'.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Deleter Taming Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"A box with 10 holy marbles inside.",
				"Taming item for 'Red Deleter'.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13819: {
			unidentifiedDisplayName: "Diabolic Taming Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			unidentifiedDescriptionName: [
				"A box with 10 burning stones inside.",
				"Taming item for 'Diabolic'.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Diabolic Taming Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			identifiedDescriptionName: [
				"A box with 10 burning stones inside.",
				"Taming item for 'Diabolic'.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13820: {
			unidentifiedDisplayName: "Wanderer Taming Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box with 10 skulls inside.",
				"Taming item for 'Wanderer'.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wanderer Taming Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box with 10 skulls inside.",
				"Taming item for 'Wanderer'.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13821: {
			unidentifiedDisplayName: "Green Apple Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box that contains 10 Green Apple.",
				"Green Apple - A tasty green apple. Great food for Goblin.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Apple Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box that contains 10 Green Apple.",
				"Green Apple - A tasty green apple. Great food for Goblin.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13822: {
			unidentifiedDisplayName: "Barbeque Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"A box with 10 Barbeques inside.",
				"Barbeque - A wildly barbecued meat. Great food for Deleter.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Barbeque Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"A box with 10 Barbeques inside.",
				"Barbeque - A wildly barbecued meat. Great food for Deleter.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13823: {
			unidentifiedDisplayName: "Meat Skewer Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			unidentifiedDescriptionName: [
				"A box with 10 Meat Skewer inside.",
				"Meat Skewer - Well grilled meat skewer. It's looking delicious. Great food for Diabolic.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Meat Skewer Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			identifiedDescriptionName: [
				"A box with 10 Meat Skewer inside.",
				"Meat Skewer - Well grilled meat skewer. It's looking delicious. Great food for Diabolic.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13824: {
			unidentifiedDisplayName: "Spirit Liquor Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box with 10 Spirit Liquors inside.",
				"Spirit Liquor - A drink for the departed soul to outlive in human world. Great drink for Wanderer.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirit Liquor Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box with 10 Spirit Liquors inside.",
				"Spirit Liquor - A drink for the departed soul to outlive in human world. Great drink for Wanderer.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13825: {
			unidentifiedDisplayName: "Old Green Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that glows with a mysterious, green color. If you open it, something good may be inside.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Old Green Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that glows with a mysterious, green color. If you open it, something good may be inside.",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13826: {
			unidentifiedDisplayName: "Power Box 1",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"RIC booster Power Up, A box consist of each 3 kinds those are ^000088Realgar Wine, Sesame Pastry, Honey Pastry^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Power Box 1",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"RIC booster Power Up, A box consist of each 3 kinds those are ^000088Realgar Wine, Sesame Pastry, Honey Pastry^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13827: {
			unidentifiedDisplayName: "Power Box 2",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"RIC booster Power Up, A box consist of each 3 kinds those are ^000088Exorcize Herb, Sesame Pastry, Honey Pastry^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Power Box 2",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"RIC booster Power Up, A box consist of each 3 kinds those are ^000088Exorcize Herb, Sesame Pastry, Honey Pastry^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13828: {
			unidentifiedDisplayName: "Resist Box 1",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"RIC booster Resist Pack, A box consist of each 3 kinds those are ^000088Resist Fire and Resist Water^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Resist Box 1",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"RIC booster Resist Pack, A box consist of each 3 kinds those are ^000088Resist Fire and Resist Water^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13829: {
			unidentifiedDisplayName: "Resist Box 2",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"RIC booster Resist Pack, A box consist of each 3 kinds those are ^000088'Resist Earth and Resist Wind^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Resist Box 2",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"RIC booster Resist Pack, A box consist of each 3 kinds those are ^000088'Resist Earth and Resist Wind^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13830: {
			unidentifiedDisplayName: "Stat Boost 1",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"RIC booster Stat, A box consist of each 3 kinds those are ^000088STR + 5, AGI + 5, VIT + 5^000000",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stat Boost 1",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"RIC booster Stat, A box consist of each 3 kinds those are ^000088STR + 5, AGI + 5, VIT + 5^000000",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13831: {
			unidentifiedDisplayName: "Stat Boost 2",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"RIC booster Stat, A box consist of each 3 kinds those are ^000088INT + 5, LUK + 5, DEX + 5^000000",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stat Boost 2",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"RIC booster Stat, A box consist of each 3 kinds those are ^000088INT + 5, LUK + 5, DEX + 5^000000",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13832: {
			unidentifiedDisplayName: "Stat Boost 3",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"RIC booster Stat, A box consist of each 3 kinds those are ^000088AGI + 5, VIT + 5, DEX + 5^000000",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stat Boost 3",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"RIC booster Stat, A box consist of each 3 kinds those are ^000088AGI + 5, VIT + 5, DEX + 5^000000",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13833: {
			unidentifiedDisplayName: "Stat Boost 4",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"RIC booster Stat, A box consist of each 3 kinds those are ^000088INT + 5, VIT + 5, DEX + 5^000000",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stat Boost 4",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"RIC booster Stat, A box consist of each 3 kinds those are ^000088INT + 5, VIT + 5, DEX + 5^000000",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13834: {
			unidentifiedDisplayName: "Dungeon Teleport Scroll II Box(5)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Dungeon Teleport Scroll II.",
				"When used allows you to teleport to a specific dungeon from the following list:",
				"Thor's Volcano Dungeon F2 \"Ice Dungeon Entrance\" \"...\" \"Niflheim\" \"Labyrinth\" \"Juperos\"",
				"\"...\" \"Kiel Hyre's School Entrance\" \"Thanatos Tower Entrance\" \"The Abyss Lakes Entrance\"",
				"\"Rachel Temple Entrance\" \"Odin Temple Entrance\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dungeon Teleport Scroll II Box(5)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Dungeon Teleport Scroll II.",
				"When used allows you to teleport to a specific dungeon from the following list:",
				"Thor's Volcano Dungeon F2 \"Ice Dungeon Entrance\" \"...\" \"Niflheim\" \"Labyrinth\" \"Juperos\"",
				"\"...\" \"Kiel Hyre's School Entrance\" \"Thanatos Tower Entrance\" \"The Abyss Lakes Entrance\"",
				"\"Rachel Temple Entrance\" \"Odin Temple Entrance\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13835: {
			unidentifiedDisplayName: "Dungeon Teleport Scroll II Box(10)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Dungeon Teleport Scroll II.",
				"When used allows you to teleport to a specific dungeon from the following list:",
				"Thor's Volcano Dungeon F2 \"Ice Dungeon Entrance\" \"...\" \"Niflheim\" \"Labyrinth\" \"Juperos\"",
				"\"...\" \"Kiel Hyre's School Entrance\" \"Thanatos Tower Entrance\" \"The Abyss Lakes Entrance\"",
				"\"Rachel Temple Entrance\" \"Odin Temple Entrance\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dungeon Teleport Scroll II Box(10)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Dungeon Teleport Scroll II.",
				"When used allows you to teleport to a specific dungeon from the following list:",
				"Thor's Volcano Dungeon F2 \"Ice Dungeon Entrance\" \"...\" \"Niflheim\" \"Labyrinth\" \"Juperos\"",
				"\"...\" \"Kiel Hyre's School Entrance\" \"Thanatos Tower Entrance\" \"The Abyss Lakes Entrance\"",
				"\"Rachel Temple Entrance\" \"Odin Temple Entrance\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13836: {
			unidentifiedDisplayName: "Steamed Tongue Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Steamed Tongue.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Tongue Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Steamed Tongue.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13837: {
			unidentifiedDisplayName: "Steamed Desert Scorpions Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Steamed Desert Scorpions.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Desert Scorpions Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Steamed Desert Scorpions.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13838: {
			unidentifiedDisplayName: "Dragon Breath Cocktail Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Dragon Breath Cocktail.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Breath Cocktail Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Dragon Breath Cocktail.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13839: {
			unidentifiedDisplayName: "Hwergelmir's Tonic Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Hwergelmir's Tonic.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hwergelmir's Tonic Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Hwergelmir's Tonic.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13840: {
			unidentifiedDisplayName: "Cooked Nine Tail Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Cooked Nine Tail.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cooked Nine Tail Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Cooked Nine Tail.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13841: {
			unidentifiedDisplayName: "Immortal Stew Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Immortal Stew.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Immortal Stew Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Immortal Stew.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13842: {
			unidentifiedDisplayName: "Payment Statement for Kafra Employee Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Payment Statement for Kafra Employee.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Payment Statement for Kafra Employee Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Payment Statement for Kafra Employee.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13843: {
			unidentifiedDisplayName: "Field Manual Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Field Manual.",
				"^000088Exp rate is increased to 25% for 30 minutes^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Field Manual Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Field Manual.",
				"^000088Exp rate is increased to 25% for 30 minutes^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13844: {
			unidentifiedDisplayName: "Heroic Stone Box",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Heroic Stone.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Heroic Stone Box",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Heroic Stone.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13845: {
			unidentifiedDisplayName: "Mystery Travel Sack A",
			unidentifiedResourceName: "\xc8\xfc\xbb\xf6",
			unidentifiedDescriptionName: [
				"A mystery travel sack left behind by a legendary adventurer. It seems to contain valuable items in it. Let's check out.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystery Travel Sack A",
			identifiedResourceName: "\xc8\xfc\xbb\xf6",
			identifiedDescriptionName: [
				"A mystery travel sack left behind by a legendary adventurer. It seems to contain valuable items in it. Let's check out.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13846: {
			unidentifiedDisplayName: "Mystery Travel Sack B",
			unidentifiedResourceName: "\xc8\xfc\xbb\xf6",
			unidentifiedDescriptionName: [
				"A mystery travel sack left behind by a legendary adventurer. It seems to contain valuable items in it. Let's check out.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystery Travel Sack B",
			identifiedResourceName: "\xc8\xfc\xbb\xf6",
			identifiedDescriptionName: [
				"A mystery travel sack left behind by a legendary adventurer. It seems to contain valuable items in it. Let's check out.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13847: {
			unidentifiedDisplayName: "Mystery Travel Sack C",
			unidentifiedResourceName: "\xc8\xfc\xbb\xf6",
			unidentifiedDescriptionName: [
				"A mystery travel sack left behind by a legendary adventurer. It seems to contain valuable items in it. Let's check out.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystery Travel Sack C",
			identifiedResourceName: "\xc8\xfc\xbb\xf6",
			identifiedDescriptionName: [
				"A mystery travel sack left behind by a legendary adventurer. It seems to contain valuable items in it. Let's check out.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13848: {
			unidentifiedDisplayName: "Mystery Travel Sack D",
			unidentifiedResourceName: "\xc8\xfc\xbb\xf6",
			unidentifiedDescriptionName: [
				"A mystery travel sack left behind by a legendary adventurer. It seems to contain valuable items in it. Let's check out.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystery Travel Sack D",
			identifiedResourceName: "\xc8\xfc\xbb\xf6",
			identifiedDescriptionName: [
				"A mystery travel sack left behind by a legendary adventurer. It seems to contain valuable items in it. Let's check out.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13849: {
			unidentifiedDisplayName: "Yellow Butterfly Wing Box5",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Yellow Butterfly Wing. ",
				"Allows teleportation to any Rune-Midgarts city.",
				"Available cities are Prontera, Geffen, Payon, Morroc, Aldebaran, and Alberta.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yellow Butterfly Wing Box5",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Yellow Butterfly Wing.",
				"Allows teleportation to any Rune-Midgarts city.",
				"Available cities are Prontera, Geffen, Payon, Morroc, Aldebaran, and Alberta.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13850: {
			unidentifiedDisplayName: "Yellow Butterfly Wing Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Yellow Butterfly Wing. ",
				"Allows teleportation to any Rune-Midgarts city.",
				"Available cities are Prontera, Geffen, Payon, Morroc, Aldebaran, and Alberta.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yellow Butterfly Wing Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Yellow Butterfly Wing.",
				"Allows teleportation to any Rune-Midgarts city.",
				"Available cities are Prontera, Geffen, Payon, Morroc, Aldebaran, and Alberta.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13851: {
			unidentifiedDisplayName: "Green Butterfly Wing Box5",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Green Butterfly Wing. ",
				"Allows teleportation to any Schwartzvalt city.",
				"Available cities are Juno, Lighthalzen, Einbroch, and Hugel.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Butterfly Wing Box5",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Green Butterfly Wing.",
				"Allows teleportation to any Schwartzvalt city.",
				"Available cities are Juno, Lighthalzen, Einbroch, and Hugel.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13852: {
			unidentifiedDisplayName: "Green Butterfly Wing Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Green Butterfly Wing. ",
				"Allows teleportation to any Schwartzvalt city.",
				"Available cities are Juno, Lighthalzen, Einbroch, and Hugel.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Butterfly Wing Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Green Butterfly Wing.",
				"Allows teleportation to any Schwartzvalt city.",
				"Available cities are Juno, Lighthalzen, Einbroch, and Hugel.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13853: {
			unidentifiedDisplayName: "Red Butterfly Wing Box5",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Red Butterfly Wing. ",
				"Allows teleportation to any Arunafeltz city.",
				"Available cities are Rachel, and Veins.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Butterfly Wing Box5",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Red Butterfly Wing.",
				"Allows teleportation to any Arunafeltz city.",
				"Available cities are Rachel, and Veins.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13854: {
			unidentifiedDisplayName: "Red Butterfly Wing Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Red Butterfly Wing. ",
				"Allows teleportation to any Arunafeltz city.",
				"Available cities are Rachel, and Veins.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Butterfly Wing Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Red Butterfly Wing.",
				"Allows teleportation to any Arunafeltz city.",
				"Available cities are Rachel, and Veins.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13855: {
			unidentifiedDisplayName: "Blue Butterfly Wing Box5",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Blue Butterfly Wing. ",
				"Allows teleportation to any off continent localized city.",
				"Available cities are Ayothaya, Amatsu, Louyang, and Kunlun.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Butterfly Wing Box5",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Blue Butterfly Wing.",
				"Allows teleportation to any off continent localized city.",
				"Available cities are Ayothaya, Amatsu, Louyang, and Kunlun.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13856: {
			unidentifiedDisplayName: "Blue Butterfly Wing Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Blue Butterfly Wing. ",
				"Allows teleportation to any off continent localized city.",
				"Available cities are Ayothaya, Amatsu, Louyang, and Kunlun.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Butterfly Wing Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Blue Butterfly Wing.",
				"Allows teleportation to any off continent localized city.",
				"Available cities are Ayothaya, Amatsu, Louyang, and Kunlun.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13857: {
			unidentifiedDisplayName: "Sparkling Candy Box5",
			unidentifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Candy which are marvelous bounces.",
				"1 minute increase ATK + 20, Attack Speed + 25%, and permanent endure.",
				"Decreases 100HP per 10 seconds. Cooldown for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sparkling Candy Box5",
			identifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Candy which are marvelous bounces.",
				"1 minute increase ATK + 20, Attack Speed + 25%, and permanent endure.",
				"Decreases 100HP per 10 seconds. Cooldown for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13858: {
			unidentifiedDisplayName: "Sparkling Candy Box10",
			unidentifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Candy which are marvelous bounces.",
				"1 minute increase ATK + 20, Attack Speed + 25%, and permanent endure.",
				"Decreases 100HP per 10 seconds. Cooldown for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sparkling Candy Box10",
			identifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Candy which are marvelous bounces.",
				"1 minute increase ATK + 20, Attack Speed + 25%, and permanent endure.",
				"Decreases 100HP per 10 seconds. Cooldown for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13859: {
			unidentifiedDisplayName: "Directive Envelope A",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"A sealed paper envelope. It seems to be contained important message in it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Directive Envelope A",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xb8\xb8\xbc\xf6\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"A sealed paper envelope. It seems to be contained important message in it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13860: {
			unidentifiedDisplayName: "Directive Envelope B",
			unidentifiedResourceName: "\xbe\xc8\xba\xce\xc6\xed\xc1\xf6",
			unidentifiedDescriptionName: [
				"A sealed paper envelope. It seems to be contained important message in it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Directive Envelope B",
			identifiedResourceName: "\xbe\xc8\xba\xce\xc6\xed\xc1\xf6",
			identifiedDescriptionName: [
				"A sealed paper envelope. It seems to be contained important message in it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13861: {
			unidentifiedDisplayName: "Small Battle Manual Box",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 Field Manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Battle Manual Box",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 Field Manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13862: {
			unidentifiedDisplayName: "Welcome to Midgard Pack",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Field Manual,15 Level 10 Blessing Scroll,15 Level 10 Increase Agility Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Welcome to Midgard Pack",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Field Manual,15 Level 10 Blessing Scroll,15 Level 10 Increase Agility Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13863: {
			unidentifiedDisplayName: "Repair Weapon Scroll Box(10)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 Repair Weapon Scroll. Several ore needed to be repaired offers together.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Repair Weapon Scroll Box(10)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 Repair Weapon Scroll. Several ore needed to be repaired offers together.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13864: {
			unidentifiedDisplayName: "Headgear Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains a Hockey mask available during a week.",
				"^ffffff_^000000",
				"A mask for playing Hockey when wear it and then feel like hold weapon.",
				"Increase damage on DemiHuman monster by 5%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Hockey Mask Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains a Hockey mask available during a week.",
				"^ffffff_^000000",
				"A mask for playing Hockey when wear it and then feel like hold weapon.",
				"Increase damage on DemiHuman monster by 5%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13865: {
			unidentifiedDisplayName: "Observer Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains Observer available during a week.",
				"^ffffff_^000000",
				"An equipment can check energy. Look like where come from another world.",
				"Enables use of ^008800Level 1 Estimation^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Observer Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains Observer available during a week.",
				"^ffffff_^000000",
				"An equipment can check energy. Look like where come from another world.",
				"Enables use of ^008800Level 1 Estimation^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13866: {
			unidentifiedDisplayName: "Flapping Angel Wing Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Flying Angel.",
				"^ffffff_^000000",
				"A headgear which looks like an angel flapping its wing.",
				"It make you feel dizzy when you wear it, but also makes your body feel light.",
				"Increases Attack Speed by 3%. Reduce Casting Time by 3%.",
				"Int + 1, Agi + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flapping Angel Wing Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Flying Angel.",
				"^ffffff_^000000",
				"A headgear which looks like an angel flapping its wing.",
				"It make you feel dizzy when you wear it, but also makes your body feel light.",
				"Increases Attack Speed by 3%. Reduce Casting Time by 3%.",
				"INT + 1, AGI + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13867: {
			unidentifiedDisplayName: "Neko Mimi Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Nekomimi.",
				"^ffffff_^000000",
				"A cute cat-looking hat which enhances its wearer's look.",
				"Has a cat tail which emphasizes the appearance.",
				"LUK + 2",
				"MDEF + 10",
				"Reduce 5% of damage taken from Brute monster.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neko Mimi Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Nekomimi.",
				"^ffffff_^000000",
				"A cute cat-looking hat which enhances its wearer's look.",
				"Has a cat tail which emphasizes the appearance.",
				"LUK + 2",
				"MDEF + 10",
				"Reduce 5% of damage taken from Brute monster.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13868: {
			unidentifiedDisplayName: "Moonlight Flower Hat Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Moonowl Cap.",
				"^ffffff_^000000",
				"A hat created with the monster Moonlight Flower in mind.",
				"It is said that it uses 30% of Moonlight Flower's fur, and 70% of Nine Tails fur.",
				"Note that you should only use hand washing to clean it.",
				"Wear this with your Nine Tails scarf for the perfect winter fashion!",
				"Automatically cast ^008800Level 1 Increase Agility^000000 by chance when struck by Physical attack.",
				"Dex + 2",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Moonlight Flower Hat Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Moonowl Cap.",
				"^ffffff_^000000",
				"A hat created with the monster Moonlight Flower in mind.",
				"It is said that it uses 30% of Moonlight Flower's fur, and 70% of Nine Tails fur.",
				"Note that you should only use hand washing to clean it.",
				"Wear this with your Nine Tails scarf for the perfect winter fashion!",
				"Automatically cast ^008800Level 1 Increase Agility^000000 by chance when struck by Physical attack.",
				"DEX + 2",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13869: {
			unidentifiedDisplayName: "Chick Hat Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Baby Chick.",
				"^ffffff_^000000",
				"A hat with cute little chick on it. It's hopping action is so cute.",
				"Allows usage ^008800Level 2 Double Attack^000000, and if you already know higher than ^008800Level 2 Double Attack^000000, then the appropriate level will be used instead.",
				"Reduce damage from DemiHuman monster by 3%.",
				"Impossible to refine this item.",
				"MHP, MSP + 50, Luk + 2.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chick Hat Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Baby Chick.",
				"^ffffff_^000000",
				"A hat with cute little chick on it. It's hopping action is so cute.",
				"Allows usage ^008800Level 2 Double Attack^000000, and if you already know higher than ^008800Level 2 Double Attack^000000, then the appropriate level will be used instead.",
				"Reduce damage from DemiHuman monster by 3%.",
				"Impossible to refine this item.",
				"MaxHP, MaxSP + 50, LUK + 2.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13870: {
			unidentifiedDisplayName: "New Style Coupon Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains Beauty Gift Certificates.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "New Style Coupon Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains Beauty Gift Certificates.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13871: {
			unidentifiedDisplayName: "Mage Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A 'Powerful Wizard' card package. Contains 'Bloody Butterfly', 'Parasite', 'Harpy', 'Miyabi Doll', 'Evil Numph' and 'Loli Ruri' card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Mage Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A 'Powerful Wizard' card package. Contains 'Bloody Butterfly', 'Parasite', 'Harpy', 'Miyabi Doll', 'Evil Numph' and 'Loli Ruri' card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13872: {
			unidentifiedDisplayName: "Acolyte Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A 'Great Priest' card package. Contains 'Rideword', 'Fur Seal', 'Enchanted Peach Tree', 'Geographer' and 'Cookie' card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Acolyte Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A 'Great Priest' card package. Contains 'Rideword', 'Fur Seal', 'Enchanted Peach Tree', 'Geographer' and 'Cookie' card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13873: {
			unidentifiedDisplayName: "Archer Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A 'Sharp Shooter' card package. Contains 'Cruiser', 'Anolian', 'Merman', 'Dragon Tail' and 'Alligator' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Archer Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A 'Sharp Shooter' card package. Contains 'Cruiser', 'Anolian', 'Merman', 'Dragon Tail' and 'Alligator' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13874: {
			unidentifiedDisplayName: "Swordman Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A 'Brave Warrior' card package. Contains 'Freezer', 'Heater', 'Solider', 'Permeter' and 'Assaulter' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Swordman Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A 'Brave Warrior' card package. Contains 'Freezer', 'Heater', 'Solider', 'Permeter' and 'Assaulter' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13875: {
			unidentifiedDisplayName: "Thief Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A 'Big-Hand Thief' card package. Contains 'Sinobi', 'Wander Man', 'Wild Rose', 'The Paper' and 'Dancing Dragon' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Thief Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A 'Big-Hand Thief' card package. Contains 'Sinobi', 'Wander Man', 'Wild Rose', 'The Paper' and 'Dancing Dragon' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13876: {
			unidentifiedDisplayName: "Merchant Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A 'Center of Market' card package. Contains 'Mystcase', 'Zipper Bear', 'Raggler', 'Baby Leopard', 'Hydro' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Merchant Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A 'Center of Market' card package. Contains 'Mystcase', 'Zipper Bear', 'Raggler', 'Baby Leopard', 'Hydro' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13877: {
			unidentifiedDisplayName: "Clock Tower Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A 'Divinity of Clock tower' card package. Contains 'Alarm', 'Clock', 'Punk', 'Tower Keeper' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Clock Tower Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A 'Divinity of Clock tower' card package. Contains 'Alarm', 'Clock', 'Punk', 'Tower Keeper' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13878: {
			unidentifiedDisplayName: "Geffenia Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A 'Majority of Geffenia' card package. Contains 'Incubus' and 'Succubus' card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Geffenia Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A 'Majority of Geffenia' card package. Contains 'Incubus' and 'Succubus' card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13879: {
			unidentifiedDisplayName: "Owl Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A card package containing 'Owl Baron' and 'Owl Duke' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Owl Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A card package containing 'Owl Baron' and 'Owl Duke' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13880: {
			unidentifiedDisplayName: "Ghost Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A ghost card package. Contains 'Lude' and 'Quve' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Ghost Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A ghost card package. Contains 'Lude' and 'Quve' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13881: {
			unidentifiedDisplayName: "Nightmare Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A nightmare card package. Contains 'Nightmare' and 'Nightmare Terror' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Nightmare Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A nightmare card package. Contains 'Nightmare' and 'Nightmare Terror' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13882: {
			unidentifiedDisplayName: "Curse Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Magnolia Cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Curse Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Magnolia Cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13883: {
			unidentifiedDisplayName: "Sleep Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Plankton cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Sleep Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Plankton cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13884: {
			unidentifiedDisplayName: "Freeze Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Marina cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Freeze Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Marina cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13885: {
			unidentifiedDisplayName: "Stun Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Savage Bebe cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Stun Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Savage Bebe cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13886: {
			unidentifiedDisplayName: "Silence Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Metaller cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Silence Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Metaller cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13887: {
			unidentifiedDisplayName: "Blind Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Familiar cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Blind Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Familiar cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13888: {
			unidentifiedDisplayName: "Chaos Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Requiem cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Chaos Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"An abnormal status card package. Contains 4 Requiem cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13889: {
			unidentifiedDisplayName: "Elunium Box",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Eluminium.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Elunium Box",
			identifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Eluminium.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13890: {
			unidentifiedDisplayName: "Oridecon Box",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Oridecon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Oridecon Box",
			identifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Oridecon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13891: {
			unidentifiedDisplayName: "Fire Converter Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Fire Elemental Converters for your weapon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Fire Converter Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Fire Elemental Converters for your weapon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13892: {
			unidentifiedDisplayName: "Water Converter Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Water Elemental Converters for your weapon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Water Converter Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Water Elemental Converters for your weapon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13893: {
			unidentifiedDisplayName: "Wind Converter Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Wind Elemental Converters for your weapon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Wind Converter Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Wind Elemental Converters for your weapon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13894: {
			unidentifiedDisplayName: "Earth Converter Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Earth Elemental Converters for your weapon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Earth Converter Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Earth Elemental Converters for your weapon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13895: {
			unidentifiedDisplayName: "Starter Pack",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Beginning packages for the people. To help determine which items are identified for the first fight. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Starter Pack",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Beginning packages for the people. To help determine which items are identified for the first fight.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13896: {
			unidentifiedDisplayName: "Mimic Summon Box5",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 5 mercenary monster mimic cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Mimic Summon Box5",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 5 mercenary monster mimic cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13897: {
			unidentifiedDisplayName: "Disguise Summon Box5",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 5 mercenary monster disguise cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Disguise Summon Box5",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 5 mercenary monster disguise cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13898: {
			unidentifiedDisplayName: "Alice Summon Box5",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 5 mercenary monster alice cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Alice Summon Box5",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 5 mercenary monster alice cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13899: {
			unidentifiedDisplayName: "Mimic Summon Box10",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 mercenary monster mimic cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Mimic Summon Box10",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 mercenary monster mimic cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13900: {
			unidentifiedDisplayName: "Disguise Summon Box10",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 mercenary monster disguise cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Disguise Summon Box10",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 mercenary monster disguise cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13901: {
			unidentifiedDisplayName: "Alice Summon Box10",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 mercenary monster alice cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Alice Summon Box10",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 mercenary monster alice cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13902: {
			unidentifiedDisplayName: "Fish Head Hat Box",
			unidentifiedResourceName: "\xc6\xf8\xbf\xec\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains Fish Head Hat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			identifiedDisplayName: "Fish Head Hat Box",
			identifiedResourceName: "\xc6\xf8\xbf\xec\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains Fish Head Hat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 40^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13903: {
			unidentifiedDisplayName: "Santa Poring Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains Santa Poring Cap.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Santa Poring Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains Santa Poring Cap.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13904: {
			unidentifiedDisplayName: "Bell Ribbon Box",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains Bell Ribbon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			identifiedDisplayName: "Bell Ribbon Box",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains Bell Ribbon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 20^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13905: {
			unidentifiedDisplayName: "Hardcore Set Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 10 Battle Manual,10 Life Insurance,10 Bubble Gum.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hardcore Set Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 10 Battle Manual,10 Life Insurance,10 Bubble Gum.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13906: {
			unidentifiedDisplayName: "Kitty Set Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 White Drooping Cat,Gray Drooping Cat,Pink Drooping Cat,Blue Drooping Cat,Yellow Drooping Cat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kitty Set Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 White Drooping Cat,Gray Drooping Cat,Pink Drooping Cat,Blue Drooping Cat,Yellow Drooping Cat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13907: {
			unidentifiedDisplayName: "Softcore Set Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 5 Battle Manual,5 Life Insurance,5 Bubble Gum.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Softcore Set Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 5 Battle Manual,5 Life Insurance,5 Bubble Gum.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13908: {
			unidentifiedDisplayName: "Class Set Card Album",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Red Deviruchi Hat,White Deviruchi Hat,Gray Deviruchi Hat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Class Set Card Album",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Red Deviruchi Hat,White Deviruchi Hat,Gray Deviruchi Hat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13909: {
			unidentifiedDisplayName: "MVP Hunting Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains Token of Ziegfried,Bubble Gum,Megaphone,3 Convex Mirror.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "MVP Hunting Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains Token of Ziegfried,Bubble Gum,Megaphone,3 Convex Mirror.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13910: {
			unidentifiedDisplayName: "Brewing Set Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 Dragon Breath Cocktail,10 Hwergelmir's Tonic,10 Cooked Nine Tail.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Brewing Set Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 Dragon Breath Cocktail,10 Hwergelmir's Tonic,10 Cooked Nine Tail.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13911: {
			unidentifiedDisplayName: "Sweet Pet Scroll",
			unidentifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xbe\xcb",
			unidentifiedDescriptionName: [
				"A sweet and lovely scroll that has something good for you.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sweet Pet Scroll",
			identifiedResourceName: "\xbc\xba\xbd\xba\xb7\xaf\xbf\xee\xbe\xcb",
			identifiedDescriptionName: [
				"A sweet and lovely scroll that has something good for you.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13912: {
			unidentifiedDisplayName: "Party Blessing Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Blessing Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Party Blessing 10 Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Blessing Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13913: {
			unidentifiedDisplayName: "Party Increase Agi 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Increases Agility Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Party Increase Agi 10 Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Increases Agility Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13914: {
			unidentifiedDisplayName: "Party Assumptio 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Assumptio Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Party Assumptio 5 Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Assumptio Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13915: {
			unidentifiedDisplayName: "Love Angel Magic Powder Box",
			unidentifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Love Angel Magic Powder. Can be used for 1 week.",
				"An item which when you breathe in this powder, your font becomes cute. ",
				"To make the best use of it, its best used when you want to express your love, or when you want to say that you're sorry after making a big mistake. ",
				"When double clicked, your font changes, and when used again, your font goes back to normal",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Love Angel Magic Powder Box",
			identifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Love Angel Magic Powder. Can be used for 1 week.",
				"An item which when you breathe in this powder, your font becomes cute.",
				"To make the best use of it, its best used when you want to express your love, or when you want to say that you're sorry after making a big mistake.",
				"When double clicked, your font changes, and when used again, your font goes back to normal",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13916: {
			unidentifiedDisplayName: "Squirrel Magic Powder Box",
			unidentifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Squirrel Magic Powder. Can be used for 1 week.",
				"An item which when you breathe in this powder, your font becomes a bit evil. ",
				"To make the best use of it, its best used when you have something you want to complain about, or when you want to do something awful. ",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Squirrel Magic Powder Box",
			identifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Squirrel Magic Powder. Can be used for 1 week.",
				"An item which when you breathe in this powder, your font becomes a bit evil.",
				"To make the best use of it, its best used when you have something you want to complain about, or when you want to do something awful.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13917: {
			unidentifiedDisplayName: "Gogo Magic Powder Box",
			unidentifiedResourceName: "\xb0\xed\xb0\xed\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Gogo Magic Powder. Can be used for 1 week.",
				"An item which when you breathe in this powder, your font becomes humorous. ",
				"To make the best use of it, its best used when you have something you want to talk about thats funny. ",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gogo Magic Powder Box",
			identifiedResourceName: "\xb0\xed\xb0\xed\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Gogo Magic Powder. Can be used for 1 week.",
				"An item which when you breathe in this powder, your font becomes humorous.",
				"To make the best use of it, its best used when you have something you want to talk about thats funny.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13918: {
			unidentifiedDisplayName: "Old Purple Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 'Koneko Hat' in it.",
				"A magical kitty hat which shows various expressions in its face.",
				"INT + 1. MATK + 3%. Reduces after-cast skill delay by 3%. Maximum HP + 3%. MDEF + 3",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Koneko Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 'Koneko Hat' in it.",
				"A magical kitty hat which shows various expressions in its face.",
				"INT + 1. MATK + 3%. Reduces after-cast skill delay by 3%. Maximum HP + 3%. MDEF + 3",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13919: {
			unidentifiedDisplayName: "Old Purple Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 'Baphomet Horns' in it.",
				"A headgear made from the horns of Baphomet.",
				"Increases physical damage to the Demi Human monster by 12%.",
				"As your JOB Level increases,the helm grants additional ATK.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Baphomet Horns Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 'Baphomet Horns' in it.",
				"A headgear made from the horns of Baphomet.",
				"Increases physical damage to the Demi Human monster by 12%.",
				"As your JOB Level increases,the helm grants additional ATK.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13920: {
			unidentifiedDisplayName: "Old Purple Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 'Flying Evil Wing' in it.",
				"An unholy Satanic Chain forged with an incantation.",
				"SP + 120. ^880000Curse^000000 yourself when attacking.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flying Evil Wing Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 'Flying Evil Wing' in it.",
				"An unholy Satanic Chain forged with an incantation.",
				"SP + 120. ^880000Curse^000000 yourself when attacking.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13921: {
			unidentifiedDisplayName: "Old Purple Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 'Gentleman's Pipe' in it.",
				"A long smoking pipe used by gentlemen and nobility.",
				"Decreases damage from Demi Human monster by 2%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gentleman's Pipe Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 'Gentleman's Pipe' in it.",
				"A long smoking pipe used by gentlemen and nobility.",
				"Decreases damage from Demi Human monster by 2%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13922: {
			unidentifiedDisplayName: "Old Purple Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 'Bunny Top Hat' in it.",
				"An energetic Bunny Band perfect for a magic show.",
				"AGI + 3, Add chance of auto casting ^008800Level 5 Increase Agility^000000 when attacking.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bunny Top Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 'Bunny Top Hat' in it.",
				"An energetic Bunny Band perfect for a magic show.",
				"AGI + 3, Add chance of auto casting ^008800Level 5 Increase Agility^000000 when attacking.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13923: {
			unidentifiedDisplayName: "Old Purple Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 'Dark Randgris Helm' in it.",
				"A helm laced with the power of Valkyrie Randgris. It helps its wearer to concentrate better.",
				"Dex + 3, Mdef + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dark Randgris Helm Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 'Dark Randgris Helm' in it.",
				"A helm laced with the power of Valkyrie Randgris. It helps its wearer to concentrate better.",
				"DEX + 3, MDEF + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13924: {
			unidentifiedDisplayName: "Old Purple Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 'Orc Hero Headdress' in it.",
				"A true Orc Hero's headgear. It's so big and heavy that it might hurt your neck.",
				"STR + 3",
				"Add chance of auto casting ^008800Level 3 Over Thrust^000000 when attacking.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Hero Headdress Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 'Orc Hero Headdress' in it.",
				"A true Orc Hero's headgear. It's so big and heavy that it might hurt your neck.",
				"STR + 3",
				"Add chance of auto casting ^008800Level 3 Over Thrust^000000 when attacking.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13925: {
			unidentifiedDisplayName: "Mouse Scroll",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A mouse scroll that captured mouse's nimbleness.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Mouse Scroll",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A mouse scroll that captured mouse's nimbleness.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13926: {
			unidentifiedDisplayName: "Crusader Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A gift box with cards only for Crusaders.",
				"Contains 'Archdam', 'Permeter', 'Freezer' and 'Heater' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Crusader Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A gift box with cards only for Crusaders.",
				"Contains 'Archdam', 'Permeter', 'Freezer' and 'Heater' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13927: {
			unidentifiedDisplayName: "Alchemist Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A gift box with cards only for Alchemist.",
				"Contains 'Zipper Bear', 'Baby Leopard', 'Holden', 'Raggler' and 'Muka' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Alchemist Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A gift box with cards only for Alchemist.",
				"Contains 'Zipper Bear', 'Baby Leopard', 'Holden', 'Raggler' and 'Muka' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13928: {
			unidentifiedDisplayName: "Rogue Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A gift box with cards only for Rogue.",
				"Contains 'Stainer', 'Wanderer', 'Wild Rose', Shinobi' and 'Wickebine Tres' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight: ^777777 1^000000",
			],
			identifiedDisplayName: "Rogue Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A gift box with cards only for Rogue.",
				"Contains 'Stainer', 'Wanderer', 'Wild Rose', Shinobi' and 'Wickebine Tres' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight: ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13929: {
			unidentifiedDisplayName: "BardDancer Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A gift box with cards only for Bard and Dancer.",
				"Contains 'Cruiser', 'Anolian', 'Dragon Tail', 'Green Ferus' and 'Alligator' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "BardDancer Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A gift box with cards only for Bard and Dancer.",
				"Contains 'Cruiser', 'Anolian', 'Dragon Tail', 'Green Ferus' and 'Alligator' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13930: {
			unidentifiedDisplayName: "Sage Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A gift box with cards only for Sage.",
				"Contains 'Yellow Novus', 'Evil Nymph', 'Harpy', 'Miyabi Doll' and 'Bloody Butterfly' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Sage Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A gift box with cards only for Sage.",
				"Contains 'Yellow Novus', 'Evil Nymph', 'Harpy', 'Miyabi Doll' and 'Bloody Butterfly' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13931: {
			unidentifiedDisplayName: "Monk Card Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A gift box with cards only for Monk.",
				"Contains 'Fur Seal', 'Waste Stove', 'Rideword' and 'Cookie' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Monk Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A gift box with cards only for Monk.",
				"Contains 'Fur Seal', 'Waste Stove', 'Rideword' and 'Cookie' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13932: {
			unidentifiedDisplayName: "Sylph Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 'Hill Wind' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Sylph Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 'Hill Wind' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13933: {
			unidentifiedDisplayName: "Undine Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 'Laurell Weinder' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Undine Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 'Laurell Weinder' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13934: {
			unidentifiedDisplayName: "Salamander Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 'Red Ferus' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Salamander Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 'Red Ferus' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13935: {
			unidentifiedDisplayName: "Soul Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 'Deathword' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Soul Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 'Deathword' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13936: {
			unidentifiedDisplayName: "Gnome Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 'Pitman' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Gnome Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 'Pitman' Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13937: {
			unidentifiedDisplayName: "Robo Eye Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box containing 1 Robo Eye.",
				"^ffffff_^000000",
				"An unidentified object look like eye. It comes from space and can give out light.",
				"ATK, MATK + 2%, Dex + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Robo Eye Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box containing 1 Robo Eye.",
				"^ffffff_^000000",
				"An unidentified object look like eye. It comes from space and can give out light.",
				"ATK, MATK + 2%, DEX + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13938: {
			unidentifiedDisplayName: "Maiden's Twin Ribbon Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box containing 1 Maiden's Twin Ribbon.",
				"^ffffff_^000000",
				"An unidentified object look like eye. It comes from space and can give out light.",
				"Maximum SP + 30, MDEF + 3. Slot [1]",
				"Increases physical damage to the monster by 20% for 2 seconds when the user Received physical attack.",
				"Reduces MDEF by 20% for 2 seconds.",
				"Increases magical damage to the monster by 20% for 2 seconds when the user Received magical attack.",
				"Reduces DEF by 20% for 2 seconds.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Maiden's Twin Ribbon Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box containing 1 Maiden's Twin Ribbon.",
				"^ffffff_^000000",
				"An unidentified object look like eye. It comes from space and can give out light.",
				"Maximum SP + 30, MDEF + 3. Slot [1]",
				"Increases physical damage to the monster by 20% for 2 seconds when the user Received physical attack.",
				"Reduces MDEF by 20% for 2 seconds.",
				"Increases magical damage to the monster by 20% for 2 seconds when the user Received magical attack.",
				"Reduces DEF by 20% for 2 seconds.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13939: {
			unidentifiedDisplayName: "Diadem Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box containing 1 Diadem.",
				"^ffffff_^000000",
				"A crown decorate with jewel of love. Rumor who wear it will meet real love.",
				"INT + 1, MATK + 3%, Reduce Casting Time by 3%.",
				"A chance uses skill Heal and Sanctuary.",
				"Increases the effectiveness HP using potion pitcher by 3%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Diadem Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box containing 1 Diadem.",
				"^ffffff_^000000",
				"A crown decorate with jewel of love. Rumor who wear it will meet real love.",
				"INT + 1, MATK + 3%. Reduce Casting Time by 3%.",
				"A chance uses skill Heal and Sanctuary.",
				"Increases the effectiveness HP using potion pitcher by 3%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13940: {
			unidentifiedDisplayName: "WoE Teleport Scroll 100 Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Siege Map Teleport Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "WoE Teleport Scroll 100 Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 10 \"Siege Map Teleport Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13941: {
			unidentifiedDisplayName: "Valentine Scroll",
			unidentifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"Random item from the scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Valentine Scroll",
			identifiedResourceName: "\xb9\xab\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"Random item from the scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13942: {
			unidentifiedDisplayName: "Love Angel Magic Powder Box 30 Days",
			unidentifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Love Angel Magic Powder. Can be used for 30 days.",
				"An item which when you breathe in this powder, your font becomes cute. ",
				"To make the best use of it, its best used when you want to express your love, or when you want to say that you're sorry after making a big mistake. ",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Love Angel Magic Powder Box 30 Days",
			identifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Love Angel Magic Powder. Can be used for 30 days.",
				"An item which when you breathe in this powder, your font becomes cute.",
				"To make the best use of it, its best used when you want to express your love, or when you want to say that you're sorry after making a big mistake.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13943: {
			unidentifiedDisplayName: "Squirrel Magic Powder Box 30 Days",
			unidentifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Squirrel Magic Powder. Can be used for 30 Days.",
				"An item which when you breathe in this powder, your font becomes a bit evil. ",
				"To make the best use of it, its best used when you have something you want to complain about, or when you want to do something awful. ",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Squirrel Magic Powder Box 30 Days",
			identifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Squirrel Magic Powder. Can be used for 30 Days.",
				"An item which when you breathe in this powder, your font becomes a bit evil.",
				"To make the best use of it, its best used when you have something you want to complain about, or when you want to do something awful.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13944: {
			unidentifiedDisplayName: "Gogo Magic Powder Box 30 Days",
			unidentifiedResourceName: "\xb0\xed\xb0\xed\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Gogo Magic Powder. Can be used for 30 Days.",
				"An item which when you breathe in this powder, your font becomes humorous. ",
				"To make the best use of it, its best used when you have something you want to talk about thats funny. ",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gogo Magic Powder Box 30 Days",
			identifiedResourceName: "\xb0\xed\xb0\xed\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Gogo Magic Powder. Can be used for 30 Days.",
				"An item which when you breathe in this powder, your font becomes humorous.",
				"To make the best use of it, its best used when you have something you want to talk about thats funny.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13945: {
			unidentifiedDisplayName: "Sword Package",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A gift box contains essential equipment for Swordman.",
				"Contains \"Full Plate [1],Shield [1],Boots [1],Manteau [1],a Pupa Card,a Raydric Card,2 Clips,Helm [1],a Iron Cane\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sword Package",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A gift box contains essential equipment for Swordman.",
				"Contains \"Full Plate [1],Shield [1],Boots [1],Manteau [1],a Pupa Card,a Raydric Card,2 Clips,Helm [1],a Iron Cane\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13946: {
			unidentifiedDisplayName: "Mage Package",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"A gift box contains essential equipment for Magician.",
				"Contains \"Silk Robe [1],Guard [1],Shoes [1],Muffler [1],a Pupa Card,a Phen Card,2 Clips, a Magician Hat\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mage Package",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"A gift box contains essential equipment for Magician.",
				"Contains \"Silk Robe [1],Guard [1],Shoes [1],Muffler [1],a Pupa Card,a Phen Card,2 Clips, a Magician Hat\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13947: {
			unidentifiedDisplayName: "Acolyte Package",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			unidentifiedDescriptionName: [
				"A gift box contains essential equipment for Acolyte.",
				"Contains \"Saint's Robe [1],Buckler [1],Shoes [1],Muffler [1],a Pupa Card,a Sohee card,2 Clips,Biretta [1]\". ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Acolyte Package",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			identifiedDescriptionName: [
				"A gift box contains essential equipment for Acolyte.",
				"Contains \"Saint's Robe [1],Buckler [1],Shoes [1],Muffler [1],a Pupa Card,a Sohee card,2 Clips,Biretta [1]\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13948: {
			unidentifiedDisplayName: "Archer Package",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A gift box contains essential equipment for Archer.",
				"Contains \"Tight [1],Gakkung Bow [2],Boots [1],Muffler [1],a Zerom Card,a Whisper Card,2 Clips, a Apple Of Archer\". ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Archer Package",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A gift box contains essential equipment for Archer.",
				"Contains \"Tight [1],Gakkung Bow [2],Boots [1],Muffler [1],a Zerom Card,a Whisper Card,2 Clips, a Apple Of Archer\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13949: {
			unidentifiedDisplayName: "Merchant Package",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A gift box contains essential equipment for Merchant.",
				"Contains \" Chain Mail [1],Buckler [1],Boots [1],Manteau [1],a Pupa Card,a Raydric Card,2 Clips,a Grief for Greed\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Merchant Package",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A gift box contains essential equipment for Merchant.",
				"Contains \" Chain Mail [1],Buckler [1],Boots [1],Manteau [1],a Pupa Card,a Raydric Card,2 Clips,a Grief for Greed\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13950: {
			unidentifiedDisplayName: "Thief Package",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"A gift box contains essential equipment for Thief.",
				"Contains \"Thief Clothes,Buckler [1],Boots [1],Manteau [1],a Matyr Card,a Whisper Card,2 Clips,a Ghost Bandana\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Thief Package",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"A gift box contains essential equipment for Thief.",
				"Contains \"Thief Clothes,Buckler [1],Boots [1],Manteau [1],a Matyr Card,a Whisper Card,2 Clips,a Ghost Bandana\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13951: {
			unidentifiedDisplayName: "Western Outlaw Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Western Outlaw. Rental period for a week.",
				"A handgun known for high accuracy and firing rate, it is known to be made for the lawless one who have gone through many difficult situations with nothing but his trusty gun.",
				"Increases HIT and Attack Speed depending on the AGI of the player. Adds 40% damage to the monster.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Western Outlaw Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Western Outlaw. Rental period for a week.",
				"A handgun known for high accuracy and firing rate, it is known to be made for the lawless one who have gone through many difficult situations with nothing but his trusty gun.",
				"Increases HIT and Attack Speed depending on the AGI of the player. Adds 40% damage to the monster.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13952: {
			unidentifiedDisplayName: "Lever Action Rifle Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Level Action Rifle. Rental period for a week.",
				"A masterpiece that brings the power of the Rifles to the max. This beautiful gun steals the heart of the Gunslingers, and its high performance will put a hole through the heart of the enemy. Only downside is that, due to the fact it is lever-action oriented, the Attack Speed is somewhat poor.",
				"HIT+ 20, Cri+ 50, Adds 40% damage to the monster.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lever Action Rifle Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Level Action Rifle. Rental period for a week.",
				"A masterpiece that brings the power of the Rifles to the max. This beautiful gun steals the heart of the Gunslingers, and its high performance will put a hole through the heart of the enemy. Only downside is that, due to the fact it is lever-action oriented, the Attack Speed is somewhat poor.",
				"HIT+ 20, Cri+ 50, Adds 40% damage to the monster.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13953: {
			unidentifiedDisplayName: "All In One Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 All In One Ring. Rental period for a week.",
				"A Jewelry Ring that contains a 3 Seal Magic Spell.",
				"Enables use of ^008800Level 1 Heal^000000 and ^008800Level 1 Teleport^000000.",
				"Casting cannot be interrupted.",
				"ALL STATUS + 1. Increases casting time by 10%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "All In One Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 All In One Ring. Rental period for a week.",
				"A Jewelry Ring that contains a 3 Seal Magic Spell.",
				"Enables use of ^008800Level 1 Heal^000000 and ^008800Level 1 Teleport^000000.",
				"Casting cannot be interrupted.",
				"ALL STATUS + 1. Increases casting time by 10%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13954: {
			unidentifiedDisplayName: "Spiritual Tunic Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Spiritual Tunic. Rental period for a week.",
				"A Tunic that has been granted additional tolerance against certain properties.",
				"Decreases 20% damage from ^777777Neutral^000000 and ^777777Water^000000 property.",
				"MDEF + 5. MHP + 800. Cannot be Frozen.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spiritual Tunic Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Spiritual Tunic. Rental period for a week.",
				"A Tunic that has been granted additional tolerance against certain properties.",
				"Decreases 20% damage from ^777777Neutral^000000 and ^777777Water^000000 property.",
				"MDEF + 5. MaxHP + 800. Cannot be Frozen.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13955: {
			unidentifiedDisplayName: "Recuvative Armor Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Recuvative Armor. Rental period for a week.",
				"An armor that allows the master to regain his life by taking the enemies",
				"HP, SP Natural Recovery is Disabled.",
				"When unequipped, you lose 100 SP.",
				"When a monster is defeated from Physical or Magical Attacks, it recover 60 HP and 6 SP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Recuvative Armor Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Recuvative Armor. Rental period for a week.",
				"An armor that allows the master to regain his life by taking the enemies",
				"HP, SP Natural Recovery is Disabled.",
				"When unequipped, you lose 100 SP.",
				"When a monster is defeated from Physical or Magical Attacks, it recover 60 HP and 6 SP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13956: {
			unidentifiedDisplayName: "Shell Of Resistance Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Shell Of Resistance. Rental period for a week.",
				"A Magical Shield that has a strong resistance against every attack that an opponent tries to deal you.",
				"Reduced 20% damage from the monster.",
				"Reflects 1% of Physical Attack.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shell Of Resistance Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Shell Of Resistance. Rental period for a week.",
				"A Magical Shield that has a strong resistance against every attack that an opponent tries to deal you.",
				"Reduced 20% damage from the monster.",
				"Reflects 1% of Physical Attack.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13957: {
			unidentifiedDisplayName: "Silf Manteau Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Silf Manteau. Rental period for a week.",
				"A Soft Manteau that has been blessed by a Wind Fairy. ",
				"It is said to allow the wearer to be protected from danger.",
				"FLEE + 13, Reduce 13% of ^777777Neutral^000000 Property damage.",
				"Perfect Dodge + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Silf Manteau Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Silf Manteau. Rental period for a week.",
				"A Soft Manteau that has been blessed by a Wind Fairy.",
				"It is said to allow the wearer to be protected from danger.",
				"FLEE + 13, Reduce 13% of ^777777Neutral^000000 Property damage.",
				"Perfect Dodge + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13958: {
			unidentifiedDisplayName: "Refresh Shoes Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Refresh Shoes. Rental period for a week.",
				"Shoes that were made with complex design and very soft skin to show how fun your legs could be with these.",
				"MHP + 17% , MSP + 8%.",
				"Every 10 seconds, your HP goes up by 20, SP goes up by 3.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refresh Shoes Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Refresh Shoes. Rental period for a week.",
				"Shoes that were made with complex design and very soft skin to show how fun your legs could be with these.",
				"MaxHP + 17% , MaxSP + 8%.",
				"Every 10 seconds, your HP goes up by 20, SP goes up by 3.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13959: {
			unidentifiedDisplayName: "Crunch Toast Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Crunch Toast. Rental period for a week.",
				"For a busy morning, it its the best heartwarming friend. ",
				"When you hold it in your mouth, you feel like you have to quickly rush out.",
				"MHP + 100.",
				"When you defeat a monster, there is a small chance that it drops a \"Old Purple Box\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crunch Toast Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Crunch Toast. Rental period for a week.",
				"For a busy morning, it its the best heartwarming friend.",
				"When you hold it in your mouth, you feel like you have to quickly rush out.",
				"MaxHP + 100.",
				"When you defeat a monster, there is a small chance that it drops a \"Old Purple Box\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13960: {
			unidentifiedDisplayName: "Identification Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Ticket Of Identification\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Identification Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Ticket Of Identification\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13961: {
			unidentifiedDisplayName: "Mochi Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box which contains 5 mochi.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mochi Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box which contains 5 mochi.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13962: {
			unidentifiedDisplayName: "Defolty Doll Hat Box",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Deporte Doll Hat.",
				"^ffffff_^000000",
				"So hot! A headgear with the figure of Kafra Defolty! Numerous users are using Kafra storage more than 20 times a day, fascinated by her smiling face.",
				"Reduces damage from Demihuman monster by 5%.",
				"Add a chance of auto casting ^008800Level 10 Angelus^000000 on the user when the user receives Physical Damage.",
				"Impossible to refine this item. Slot [1]",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Defolty Doll Hat Box",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Deporte Doll Hat.",
				"^ffffff_^000000",
				"So hot! A headgear with the figure of Kafra Defolty! Numerous users are using Kafra storage more than 20 times a day, fascinated by her smiling face.",
				"Reduces damage from Demihuman monster by 5%.",
				"Add a chance of auto casting ^008800Level 10 Angelus^000000 on the user when the user receives Physical Damage.",
				"Impossible to refine this item. Slot [1]",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13963: {
			unidentifiedDisplayName: "Glaris Doll Hat Box",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Glarice Doll Hat.",
				"^ffffff_^000000",
				"So hot! A headgear with the figure of Kafra Glaris! Fascinated by her mature appearance, her advocates call her a teacher.",
				"Reduces damage from Demihuman monster by 5%.",
				"Recover +50 HP when defeating a monster with a magical attack.",
				"Impossible to refine this item. Slot [1]",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glaris Doll Hat Box",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Glarice Doll Hat.",
				"^ffffff_^000000",
				"So hot! A headgear with the figure of Kafra Glaris! Fascinated by her mature appearance, her advocates call her a teacher.",
				"Reduces damage from Demihuman monster by 5%.",
				"Recover +50 HP when defeating a monster with a magical attack.",
				"Impossible to refine this item. Slot [1]",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13964: {
			unidentifiedDisplayName: "Sorin Doll Hat Box",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Sorin Doll Hat.",
				"^ffffff_^000000",
				"So hot! A headgear with the figure of Kafra Sorin! Her cute appearance made the price of this hat rise at the auction place.",
				"Reduces damage from Demihuman monster by 5%.",
				"When physically attacking there is a chance that for 10 seconds you'll receive ATK +50.",
				"Impossible to refine this item. Slot [1]",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sorin Doll Hat Box",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Sorin Doll Hat.",
				"^ffffff_^000000",
				"So hot! A headgear with the figure of Kafra Sorin! Her cute appearance made the price of this hat rise at the auction place.",
				"Reduces damage from Demihuman monster by 5%.",
				"When physically attacking there is a chance that for 10 seconds you'll receive ATK +50.",
				"Impossible to refine this item. Slot [1]",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13965: {
			unidentifiedDisplayName: "Telling Doll Hat Box",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Tailring Doll Hat.",
				"^ffffff_^000000",
				"So hot! A headgear with the figure of Kafra Telling! She is such an active and hard-working lady. So she became the most favorite Kafra among users.",
				"Reduces damage from Demihuman monster by 5%.",
				"Increases the effectiveness HP using potion pitcher by 10%.",
				"Impossible to refine this item. Slot [1]",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Telling Doll Hat Box",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Tailring Doll Hat.",
				"^ffffff_^000000",
				"So hot! A headgear with the figure of Kafra Telling! She is such an active and hard-working lady. So she became the most favorite Kafra among users.",
				"Reduces damage from Demihuman monster by 5%.",
				"Increases the effectiveness HP using potion pitcher by 10%.",
				"Impossible to refine this item. Slot [1]",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13966: {
			unidentifiedDisplayName: "Vinit Doll Hat Box",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Vinit Doll Hat.",
				"^ffffff_^000000",
				"So hot! A headgear with the figure of Kafra Bennit! She has a boyish look, but her hobby is knitting and reading romance novels. She is fully supported by male users who like the short-cut style.",
				"Reduces damage from Demihuman monster by 5%.",
				"When physically attacking there is a chance that for 30 seconds you'll gain ASPD +5%.",
				"Impossible to refine this item. Slot [1]",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vinit Doll Hat Box",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Vinit Doll Hat.",
				"^ffffff_^000000",
				"So hot! A headgear with the figure of Kafra Bennit! She has a boyish look, but her hobby is knitting and reading romance novels. She is fully supported by male users who like the short-cut style.",
				"Reduces damage from Demihuman monster by 5%.",
				"When physically attacking there is a chance that for 30 seconds you'll gain ASPD +5%.",
				"Impossible to refine this item. Slot [1]",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13967: {
			unidentifiedDisplayName: "W Doll Hat Box",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 W Doll Hat.",
				"^ffffff_^000000",
				"So hot! A headgear with the figure of Kafra W! There is a rumor that an assassin association wants to scout her, because there are so many guys who become frightened and faint when she calls them.",
				"Reduces damage from Demihuman monster by 5%.",
				"Increases physical and magical damage to the undead monster by 5%.",
				"Impossible to refine this item. Slot [1]",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "W Doll Hat Box",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 W Doll Hat.",
				"^ffffff_^000000",
				"So hot! A headgear with the figure of Kafra W! There is a rumor that an assassin association wants to scout her, because there are so many guys who become frightened and faint when she calls them.",
				"Reduces damage from Demihuman monster by 5%.",
				"Increases physical and magical damage to the undead monster by 5%.",
				"Impossible to refine this item. Slot [1]",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13968: {
			unidentifiedDisplayName: "Bubble Gum Low Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A box which contains 1 Bubble Gum Low. Rental period for 1 day.",
				"^ffffff_^000000",
				"...",
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bubble Gum Low Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A box which contains 1 Bubble Gum Low. Rental period for 1 day.",
				"^ffffff_^000000",
				"...",
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13969: {
			unidentifiedDisplayName: "Lucky Clip Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A box which contains 1 Lucky clip. Rental period for 1 day.",
				"^ffffff_^000000",
				"A great opportunity to bring their wearers a legendary clip.",
				"Increases 50% drop item from the monster.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lucky Clip Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A box which contains 1 Lucky clip. Rental period for 1 day.",
				"^ffffff_^000000",
				"A great opportunity to bring their wearers a legendary clip.",
				"Increases 50% drop item from the monster.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13970: {
			unidentifiedDisplayName: "Iron Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 iron.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Iron Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 iron.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13971: {
			unidentifiedDisplayName: "Steel Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 Steel.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steel Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 Steel.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13972: {
			unidentifiedDisplayName: "Coal Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 Coal.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Coal Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 Coal.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13973: {
			unidentifiedDisplayName: "Poison Bottle Box(30)",
			unidentifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 30 bottles of poison. Let's treat attention.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poison Bottle Box(30)",
			identifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 30 bottles of poison. Let's treat attention.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13974: {
			unidentifiedDisplayName: "Fisherman Scroll",
			unidentifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"When you cut the seal off this seal with a friend, ",
				"you get an unimaginable amount of fun coming to you!",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fisherman Scroll",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"When you cut the seal off this seal with a friend,",
				"you get an unimaginable amount of fun coming to you!",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13975: {
			unidentifiedDisplayName: "Diary Magic Powder Box",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Diary Magic Powder. Available for one week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000 ",
			],
			identifiedDisplayName: "Diary Magic Powder Box",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Diary Magic Powder. Available for one week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13976: {
			unidentifiedDisplayName: "Mini Heart Magic Powder Box",
			unidentifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Mini Heart Magic Powder. Available for one week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mini Heart Magic Powder Box",
			identifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Mini Heart Magic Powder. Available for one week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13977: {
			unidentifiedDisplayName: "Freshman Magic Powder Box",
			unidentifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Freshman Magic Powder. Available for one week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freshman Magic Powder Box",
			identifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Freshman Magic Powder. Available for one week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13978: {
			unidentifiedDisplayName: "Kid Magic Powder Box",
			unidentifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Kid Magic Powder. Available for one week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kid Magic Powder Box",
			identifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Kid Magic Powder. Available for one week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13979: {
			unidentifiedDisplayName: "Magic Magic Powder Box",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Magic Magic Powder. Available for one week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Magic Magic Powder Box",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Magic Magic Powder. Available for one week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13980: {
			unidentifiedDisplayName: "Jangu Magic Powder Box",
			unidentifiedResourceName: "\xc2\xaf\xb1\xb8\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 JJangu Magic Powder. Available for one week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jangu Magic Powder Box",
			identifiedResourceName: "\xc2\xaf\xb1\xb8\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 JJangu Magic Powder. Available for one week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13981: {
			unidentifiedDisplayName: "Diary Magic Powder Box 30 Days",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Diary Magic Powder. Available for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Diary Magic Powder Box 30 Days",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Diary Magic Powder. Available for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13982: {
			unidentifiedDisplayName: "Mini Heart Magic Powder Box 30 Days",
			unidentifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Mini Heart Magic Powder. Available for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mini Heart Magic Powder Box 30 Days",
			identifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Mini Heart Magic Powder. Available for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13983: {
			unidentifiedDisplayName: "Freshman Magic Powder Box 30 Days",
			unidentifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Freshman Magic Powder. Available for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freshman Magic Powder Box 30 Days",
			identifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Freshman Magic Powder. Available for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13984: {
			unidentifiedDisplayName: "Kid Magic Powder Box 30 Days",
			unidentifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Kid Magic Powder. Available for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kid Magic Powder Box 30 Days",
			identifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Kid Magic Powder. Available for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13985: {
			unidentifiedDisplayName: "Magic Magic Powder Box 30 Days",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Magic Magic Powder. Available for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Magic Magic Powder Box 30 Days",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Magic Magic Powder. Available for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13986: {
			unidentifiedDisplayName: "JJangu Magic Powder Box 30 Days",
			unidentifiedResourceName: "\xc2\xaf\xb1\xb8\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 JJangu Magic Powder. Available for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "JJangu Magic Powder Box 30 Days",
			identifiedResourceName: "\xc2\xaf\xb1\xb8\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 JJangu Magic Powder. Available for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13987: {
			unidentifiedDisplayName: "Rough Oridecon Box(5)",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box with 5 Rough Oridecons inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rough Oridecon Box(5)",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box with 5 Rough Oridecons inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13988: {
			unidentifiedDisplayName: "Rough Oridecon Box(50)",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box with 50 Rough Oridecons inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rough Oridecon Box(50)",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box with 50 Rough Oridecons inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13989: {
			unidentifiedDisplayName: "Acid Bomb Box(10)",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box with 10 Fire Bottles and 10 Acid Bottles inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Acid Bomb Box(10)",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box with 10 Fire Bottles and 10 Acid Bottles inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13990: {
			unidentifiedDisplayName: "Job Battle Manual 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 Thick Battle Manual. When it used, Exp rate is increased to 50% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Job Battle Manual 10 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 Thick Battle Manual. When it used, Exp rate is increased to 50% for 30 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13991: {
			unidentifiedDisplayName: "Tiger Mask Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Tiger Mask.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tiger Mask Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Tiger Mask.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13992: {
			unidentifiedDisplayName: "Neko Mimi Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Pussy Cat Bell.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neko Mimi Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Pussy Cat Bell.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13993: {
			unidentifiedDisplayName: "Alice Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Alice Hat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Alice Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Alice Hat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13994: {
			unidentifiedDisplayName: "Old Blue Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Speed Potions.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Speed Potion Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Speed Potions.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13995: {
			unidentifiedDisplayName: "Old Blue Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Speed Potions.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Speed Potion Box(10)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Speed Potions.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13996: {
			unidentifiedDisplayName: "Big Bun Box(100)",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box contains 100 Big Bun.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Bun Box(100)",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box contains 100 Big Bun.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13997: {
			unidentifiedDisplayName: "Big Bun Box(500)",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box contains 500 Big Bun.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Bun Box(500)",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box contains 500 Big Bun.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13998: {
			unidentifiedDisplayName: "Giant Fly Wing Box 500",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 500 Giant Fly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Fly Wing Box 500",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 500 Giant Fly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		13999: {
			unidentifiedDisplayName: "Pill Box(100)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 100 Pill.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pill Box(100)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 100 Pill.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14000: {
			unidentifiedDisplayName: "Pill Box(500)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 500 Pill.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pill Box(500)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 500 Pill.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14001: {
			unidentifiedDisplayName: "Recruit Siege Supply Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 25 Siege White Potions and 10 Siege Blue Potions.",
				"Siege White Potion - Heals 400~500 Hit Point. HP Affected by Regeneration Potion.",
				"Siege Blue Potion - Restores 50-70 SP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Recruit Siege Supply Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 25 Siege White Potions and 10 Siege Blue Potions.",
				"Siege White Potion - Heals 400~500 Hit Point. HP Affected by Regeneration Potion.",
				"Siege Blue Potion - Restores 50-70 SP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14002: {
			unidentifiedDisplayName: "Advanced WoE Supply Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Siege White Potions and 20 Siege Blue Potions.",
				"Siege White Potion - Heals 400~500 Hit Point. HP Affected by Regeneration Potion.",
				"Siege Blue Potion - Restores 50-70 SP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Advanced WoE Supply Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Siege White Potions and 20 Siege Blue Potions.",
				"Siege White Potion - Heals 400~500 Hit Point. HP Affected by Regeneration Potion.",
				"Siege Blue Potion - Restores 50-70 SP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14003: {
			unidentifiedDisplayName: "Elite Siege Supply Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 100 Siege White Potions and 50 Siege Blue Potions.",
				"Siege White Potion - Heals 400~500 Hit Point. HP Affected by Regeneration Potion.",
				"Siege Blue Potion - Restores 50-70 SP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elite Siege Supply Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 100 Siege White Potions and 50 Siege Blue Potions.",
				"Siege White Potion - Heals 400~500 Hit Point. HP Affected by Regeneration Potion.",
				"Siege Blue Potion - Restores 50-70 SP.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14004: {
			unidentifiedDisplayName: "Poison Bottle Box(10)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 Poison Bottle.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poison Bottle Box(10)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 Poison Bottle.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14005: {
			unidentifiedDisplayName: "Poison Bottle Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 5 Poison Bottle.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poison Bottle Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 5 Poison Bottle.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14006: {
			unidentifiedDisplayName: "Evolved Drooping Cat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Evolved Drooping Cat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Evolved Drooping Cat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Evolved Drooping Cat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14007: {
			unidentifiedDisplayName: "Evolved Rabbits Headband Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Evolved Rabbits Headband.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Evolved Rabbits Headband Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Evolved Rabbits Headband.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14008: {
			unidentifiedDisplayName: "Evolved Helmet Of Orc Hero Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Evolved Helmet Of Orc Hero. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Evolved Helmet Of Orc Hero Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Evolved Helmet Of Orc Hero.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14009: {
			unidentifiedDisplayName: "Love Angel Magic Powder Box",
			unidentifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Love Angel Magic Powder. Can be used for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Love Angel Magic Powder Box",
			identifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Love Angel Magic Powder. Can be used for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14010: {
			unidentifiedDisplayName: "Squillroll Magic Powder Box",
			unidentifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Squillroll Magic Powder. Can be used for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Squillroll Magic Powder Box",
			identifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Squillroll Magic Powder. Can be used for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14011: {
			unidentifiedDisplayName: "Gogo Magic Powder Box",
			unidentifiedResourceName: "\xb0\xed\xb0\xed\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Gogo Magic Powder. Can be used for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gogo Magic Powder Box",
			identifiedResourceName: "\xb0\xed\xb0\xed\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Gogo Magic Powder. Can be used for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14012: {
			unidentifiedDisplayName: "Love Angel Magic Powder Box 30 Days",
			unidentifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Love Angel Magic Powder. Can be used for 30 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Love Angel Magic Powder Box 30 Days",
			identifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Love Angel Magic Powder. Can be used for 30 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14013: {
			unidentifiedDisplayName: "Squillroll Magic Powder Box 30 Days",
			unidentifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Squillroll Magic Powder. Can be used for 30 Days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Squillroll Magic Powder Box 30 Days",
			identifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Squillroll Magic Powder. Can be used for 30 Days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14014: {
			unidentifiedDisplayName: "Gogo Magic Powder Box 30 Days",
			unidentifiedResourceName: "\xb0\xed\xb0\xed\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Gogo Magic Powder. Can be used for 30 Days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gogo Magic Powder Box 30 Days",
			identifiedResourceName: "\xb0\xed\xb0\xed\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Gogo Magic Powder. Can be used for 30 Days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14015: {
			unidentifiedDisplayName: "Western Outlaw Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Western Outlaw. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Western Outlaw Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Western Outlaw. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14016: {
			unidentifiedDisplayName: "Lever Action Rifle Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Level Action Rifle. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lever Action Rifle Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Level Action Rifle. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14017: {
			unidentifiedDisplayName: "All In One Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 All In One Ring. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "All In One Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 All In One Ring. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14018: {
			unidentifiedDisplayName: "Spiritual Tunic Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Spiritual Tunic. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spiritual Tunic Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Spiritual Tunic. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14019: {
			unidentifiedDisplayName: "Recuvative Armor Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Recuvative Armor. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Recuvative Armor Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Recuvative Armor. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14020: {
			unidentifiedDisplayName: "Shell Of Resistance Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Shell Of Resistance. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shell Of Resistance Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Shell Of Resistance. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14021: {
			unidentifiedDisplayName: "Silf Manteau Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Silf Manteau. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Silf Manteau Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Silf Manteau. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14022: {
			unidentifiedDisplayName: "Refresh Shoes Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Refresh Shoes. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refresh Shoes Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Refresh Shoes. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14023: {
			unidentifiedDisplayName: "Crunch Toast Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box which contains 1 Crunch Toast. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crunch Toast Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box which contains 1 Crunch Toast. Rental period for a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14024: {
			unidentifiedDisplayName: "Robo Eye Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box containing 1 Robo Eye.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Robo Eye Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box containing 1 Robo Eye.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14025: {
			unidentifiedDisplayName: "Maiden's Twin Ribbon Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box containing 1 Maiden's Twin Ribbon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Maiden's Twin Ribbon Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box containing 1 Maiden's Twin Ribbon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14026: {
			unidentifiedDisplayName: "Diadem Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box containing 1 Diadem.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Diadem Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box containing 1 Diadem.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14027: {
			unidentifiedDisplayName: "Fish Head Hat Box",
			unidentifiedResourceName: "\xc6\xf8\xbf\xec\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Fish Head Hat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Fish Head Hat Box",
			identifiedResourceName: "\xc6\xf8\xbf\xec\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Fish Head Hat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14028: {
			unidentifiedDisplayName: "SantaPoring Cap Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Santa Poring Cap.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "SantaPoring Cap Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Santa Poring Cap.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14029: {
			unidentifiedDisplayName: "Bell Ribbon Box",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Bell Ribbon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bell Ribbon Box",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Bell Ribbon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14030: {
			unidentifiedDisplayName: "Mimic Summoning Box(5)",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 5 mercenary monster Mimic cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mimic Summoning Box(5)",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 5 mercenary monster Mimic cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14031: {
			unidentifiedDisplayName: "Disguise Summoning Box(5)",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 5 mercenary monster Disguise cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Disguise Summoning Box(5)",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 5 mercenary monster Disguise cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14032: {
			unidentifiedDisplayName: "Alice Summoning Box(5)",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 5 mercenary monster Alice cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Alice Summoning Box(5)",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 5 mercenary monster Alice cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14033: {
			unidentifiedDisplayName: "Mimic Summoning Box(10)",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 mercenary monster Mimic cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mimic Summoning Box(10)",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 mercenary monster Mimic cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14034: {
			unidentifiedDisplayName: "Disguise Summoning Box(10)",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 mercenary monster Disguise cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Disguise Summoning Box(10)",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 mercenary monster Disguise cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14035: {
			unidentifiedDisplayName: "Alice Summoning Box(10)",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 mercenary monster Alice cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Alice Summoning Box(10)",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 mercenary monster Alice cash items.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14036: {
			unidentifiedDisplayName: "New Style Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains Beauty Gift Certificates.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "New Style Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains Beauty Gift Certificates.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14037: {
			unidentifiedDisplayName: "Repair Weapon Scroll Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Level 1 Repair Weapon Scroll. Obtain Ore for repair.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Safe to All Pack",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Level 1 Repair Weapon Scroll. Obtain Ore for repair.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14038: {
			unidentifiedDisplayName: "Repair Weapon Scroll Box(10)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 10 Repair Weapon Scroll. Several ore needed to be repaired offers together.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Repair Weapon Scroll Box(10)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 10 Repair Weapon Scroll. Several ore needed to be repaired offers together.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14039: {
			unidentifiedDisplayName: "Hockey Mask Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains a Hockey mask available during a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hockey Mask Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains a Hockey mask available during a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14040: {
			unidentifiedDisplayName: "Observer Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains Observer available during a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Observer Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains Observer available during a week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14041: {
			unidentifiedDisplayName: "Yellow Butterfly Wing Box(5)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Yellow Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yellow Butterfly Wing Box(5)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Yellow Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14042: {
			unidentifiedDisplayName: "Yellow Butterfly Wing 10 Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Yellow Butterfly Wing. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yellow Butterfly Wing Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Yellow Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14043: {
			unidentifiedDisplayName: "Green Butterfly Wing Box(5)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Green Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Butterfly Wing Box(5)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Green Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14044: {
			unidentifiedDisplayName: "Green Butterfly Wing 10 Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Green Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Butterfly Wing Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Green Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14045: {
			unidentifiedDisplayName: "Red Butterfly Wing Box(5)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Red Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Butterfly Wing Box(5)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Red Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14046: {
			unidentifiedDisplayName: "Red Butterfly Wing 10 Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Red Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Butterfly Wing Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Red Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14047: {
			unidentifiedDisplayName: "Blue Butterfly Wing Box(5)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Blue Butterfly Wing. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Butterfly Wing Box(5)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Blue Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14048: {
			unidentifiedDisplayName: "Blue Butterfly Wing 10 Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Blue Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Butterfly Wing Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Blue Butterfly Wing.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14049: {
			unidentifiedDisplayName: "Candy Box(5)",
			unidentifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Candy which are marvelous bounces.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Candy Box(5)",
			identifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Candy which are marvelous bounces.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14050: {
			unidentifiedDisplayName: "Candy Box(10)",
			unidentifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Candy which are marvelous bounces.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Candy Box(10)",
			identifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Candy which are marvelous bounces.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14051: {
			unidentifiedDisplayName: "Dungeon Teleport Scroll II Box(5)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Dungeon Teleport Scroll II.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dungeon Teleport Scroll II Box(5)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Dungeon Teleport Scroll II.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14052: {
			unidentifiedDisplayName: "Dungeon Teleport Scroll II Box(10)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Dungeon Teleport Scroll II.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dungeon Teleport Scroll II Box(10)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Dungeon Teleport Scroll II.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14053: {
			unidentifiedDisplayName: "Little Angel Doll Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Little Angel Dolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Little Angel Doll Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Little Angel Dolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14054: {
			unidentifiedDisplayName: "Poring 3 Hats Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Poring 3 Hats.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Poring 3 Hats Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Poring 3 Hats.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14055: {
			unidentifiedDisplayName: "Refined Nagan Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Nagan.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Nagan Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Nagan.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14056: {
			unidentifiedDisplayName: "Refined Brocca Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Brocca.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Brocca Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Brocca.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14057: {
			unidentifiedDisplayName: "Refined Survivor's Rod Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Survivor's Rod.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Survivor's Rod Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Survivor's Rod.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14058: {
			unidentifiedDisplayName: "Refined Quadrille Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Quadrille.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Quadrille Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Quadrille.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14059: {
			unidentifiedDisplayName: "Refined Great Axe Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Great Axe.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Great Axe Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Great Axe.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14060: {
			unidentifiedDisplayName: "Refined Bloody Roar Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Bloody Roar.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Bloody Roar Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Bloody Roar.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14061: {
			unidentifiedDisplayName: "Refined Hardcover Book Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Hardcover Book.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Hardcover Book Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Hardcover Book.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14062: {
			unidentifiedDisplayName: "Refined Fireblend Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Fireblend.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Fireblend Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Fireblend.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14063: {
			unidentifiedDisplayName: "Refined Immaterial Sword Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Immaterial Sword.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Immaterial Sword Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Immaterial Sword.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14064: {
			unidentifiedDisplayName: "Refined Unholy Touch Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Unholy Touch.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Unholy Touch Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Unholy Touch.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14065: {
			unidentifiedDisplayName: "Refined Survivor's Manteau Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Survivor's Manteau.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Survivor's Manteau Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Survivor's Manteau.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14066: {
			unidentifiedDisplayName: "Refined Masquerade Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Masquerade.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Masquerade Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Masquerade.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14067: {
			unidentifiedDisplayName: "Refined Helmet of Orc Hero Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Helmet of Orc Hero.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Helmet of Orc Hero Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Helmet of Orc Hero.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14068: {
			unidentifiedDisplayName: "Refined Wing of Diablo Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Wing of Diablo.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Wing of Diablo Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Wing of Diablo.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14069: {
			unidentifiedDisplayName: "Refined Dark Blinder Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Dark Blinder.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Dark Blinder Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Dark Blinder.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14070: {
			unidentifiedDisplayName: "Refined Drooping Cat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Drooping Cat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Drooping Cat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Drooping Cat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14071: {
			unidentifiedDisplayName: "Refined Corsair Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Corsair.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Corsair Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Corsair.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14072: {
			unidentifiedDisplayName: "Refined Bloodied Shackle Ball Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Bloodied Shackle Ball.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Bloodied Shackle Ball Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Bloodied Shackle Ball.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14073: {
			unidentifiedDisplayName: "Refined Spiritual Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Spiritual Ring.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Spiritual Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Spiritual Ring.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14074: {
			unidentifiedDisplayName: "Wine Glass of Illusion Box(5)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Wine Glass Of Illusion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wine Glass of Illusion Box(5)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Wine Glass Of Illusion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14075: {
			unidentifiedDisplayName: "Glass Of Illusion 10 Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Wine Glass Of Illusion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glass Of Illusion 10 Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Wine Glass Of Illusion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14076: {
			unidentifiedDisplayName: "Scroll of Shadow Armor Box(5)",
			unidentifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Scroll Of Shadow Armor.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scroll of Shadow Armor Box(5)",
			identifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Scroll Of Shadow Armor.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14077: {
			unidentifiedDisplayName: "Scroll of Shadow Armor Box(10)",
			unidentifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Scroll Of Shadow Armor.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scroll of Shadow Armor Box(10)",
			identifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Scroll Of Shadow Armor.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14078: {
			unidentifiedDisplayName: "Scroll of Shadow Armor Box(30)",
			unidentifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Scroll Of Shadow Armor.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scroll of Shadow Armor Box(30)",
			identifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Scroll Of Shadow Armor.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14079: {
			unidentifiedDisplayName: "Scroll of Holy Armor Box(5)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Scroll Of Holy Armor.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scroll of Holy Armor Box(5)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Scroll Of Holy Armor.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14080: {
			unidentifiedDisplayName: "Scroll of Holy Armor Box(10)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Scroll Of Holy Armor.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scroll of Holy Armor Box(10)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Scroll Of Holy Armor.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14081: {
			unidentifiedDisplayName: "Scroll of Holy Armor Box(30)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Scroll Of Holy Armor.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scroll of Holy Armor Box(30)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Scroll Of Holy Armor.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14082: {
			unidentifiedDisplayName: "Small Defense Potion 10 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Small Physical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Defense Potion 10 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Small Physical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14083: {
			unidentifiedDisplayName: "Small Physical Defense Potion Box(30)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Small Physical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Physical Defense Potion Box(30)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Small Physical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14084: {
			unidentifiedDisplayName: "Small Physical Defense Potion Box(50)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Small Physical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Physical Defense Potion Box(50)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Small Physical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14085: {
			unidentifiedDisplayName: "Big Defense Potion 10 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Large Physical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Defense Potion 10 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Large Physical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14086: {
			unidentifiedDisplayName: "Large Physical Defense Potion Box(30)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Large Physical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Large Physical Defense Potion Box(30)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Large Physical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14087: {
			unidentifiedDisplayName: "Large Physical Defense Potion Box(50)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Large Physical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Large Physical Defense Potion Box(50)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Large Physical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14088: {
			unidentifiedDisplayName: "Small Magic Defense Potion 10 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Small Magical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Magic Defense Potion 10 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Small Magical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14089: {
			unidentifiedDisplayName: "Small Magical Defense Potion Box(30)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Small Magical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Magical Defense Potion Box(30)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Small Magical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14090: {
			unidentifiedDisplayName: "Small Magical Defense Potion Box(50)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Small Magical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Magical Defense Potion Box(50)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Small Magical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14091: {
			unidentifiedDisplayName: "Big Magic Defense Potion 10 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Large Magical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Magic Defense Potion 10 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Large Magical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14092: {
			unidentifiedDisplayName: "Large Magical Defense Potion Box(30)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Large Magical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Large Magical Defense Potion Box(30)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Large Magical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14093: {
			unidentifiedDisplayName: "Large Magical Defense Potion Box(50)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Large Magical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Large Magical Defense Potion Box(50)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Large Magical Defense Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14094: {
			unidentifiedDisplayName: "Flapping Angel Wing Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Flying Angel.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flapping Angel Wing Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Flying Angel.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14095: {
			unidentifiedDisplayName: "Neko Mimi Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Nekomimi.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neko Mimi Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Nekomimi.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14096: {
			unidentifiedDisplayName: "Moonlight Flower Hat Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Moonowl Cap.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Moonlight Flower Hat Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Moonowl Cap.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14097: {
			unidentifiedDisplayName: "Chick Hat Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Baby Chick.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chick Hat Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Baby Chick.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14098: {
			unidentifiedDisplayName: "Pecopeco Hairband Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Peco Peco Hairband.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pecopeco Hairband Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Peco Peco Hairband.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14099: {
			unidentifiedDisplayName: "Red Glasses Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Red Glasses.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Glasses Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Red Glasses.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14100: {
			unidentifiedDisplayName: "Whisper Mask Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Whisper Mask.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Whisper Mask Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Whisper Mask.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14101: {
			unidentifiedDisplayName: "Ramen Hat Box",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Ramen Hat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ramen Hat Box",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Ramen Hat.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14102: {
			unidentifiedDisplayName: "Dungeon Teleport Scroll Box(5)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Dungeon Teleport Scroll. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dungeon Teleport Scroll Box(5)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Dungeon Teleport Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14103: {
			unidentifiedDisplayName: "Gym Membership Card Box",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Gym Membership Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gym Membership Card Box",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Gym Membership Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14104: {
			unidentifiedDisplayName: "Small Life Potion 10 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Small Life Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Life Potion 10 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Small Life Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14105: {
			unidentifiedDisplayName: "Small Life Potion Box(30)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Small Life Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Life Potion Box(30)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Small Life Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14106: {
			unidentifiedDisplayName: "Small Life Potion Box(50)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Small Life Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Life Potion Box(50)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Small Life Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14107: {
			unidentifiedDisplayName: "Medium Life Potion 10 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Large Life Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Medium Life Potion 10 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Large Life Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14108: {
			unidentifiedDisplayName: "Large Life Potion Box(30)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Large Life Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Large Life Potion Box(30)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Large Life Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14109: {
			unidentifiedDisplayName: "Large Life Potion Box(50)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Large Life Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Large Life Potion Box(50)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Large Life Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14110: {
			unidentifiedDisplayName: "Abrasive Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Abrasive.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Abrasive Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Abrasive.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14111: {
			unidentifiedDisplayName: "Abrasive 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Abrasive.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Abrasive 10 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Abrasive.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14112: {
			unidentifiedDisplayName: "Regeneration Potion 5 Box",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Regeneration Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Regeneration Potion 5 Box",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Regeneration Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14113: {
			unidentifiedDisplayName: "Regeneration Potion Box(10)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Regeneration Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Regeneration Potion Box(10)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Regeneration Potion.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14114: {
			unidentifiedDisplayName: "Dungeon Teleport Scroll 10 Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Dungeon Teleport Scroll. When used allows you to teleport to a specific dungeon from the following list:",
				"Nogg Road Dungeon (Magma Dungeon), Mjolnir Dead Pit (Coal Mines), Umbala Dungeon, Payon Caves, Toy Factory,",
				"Glast Heim Prison, Louyang Dungeon, Kunlun Dungeon, Izlude Undersea Tunnel (Byalan), Turtle Island, Clocktower 3F,",
				"Clocktower B3F, Glast Heim Sewers 2F, Sphinx Dungeon 4F, Pyramid Dungeon 4F, Prontera Culverts 3F, Amatsu Dungeon 1F,",
				"Somatology Laboratory 1F, Ayotaya Dungeon 2F.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dungeon Teleport Scroll 10 Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Dungeon Teleport Scroll. When used allows you to teleport to a specific dungeon from the following list:",
				"Nogg Road Dungeon (Magma Dungeon), Mjolnir Dead Pit (Coal Mines), Umbala Dungeon, Payon Caves, Toy Factory,",
				"Glast Heim Prison, Louyang Dungeon, Kunlun Dungeon, Izlude Undersea Tunnel (Byalan), Turtle Island, Clocktower 3F,",
				"Clocktower B3F, Glast Heim Sewers 2F, Sphinx Dungeon 4F, Pyramid Dungeon 4F, Prontera Culverts 3F, Amatsu Dungeon 1F,",
				"Somatology Laboratory 1F, Ayotaya Dungeon 2F.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14115: {
			unidentifiedDisplayName: "Refined Infiltrator Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Infiltrator.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Infiltrator Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Infiltrator.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14116: {
			unidentifiedDisplayName: "Refined Muramasa Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Muramasa.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Muramasa Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Muramasa.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14117: {
			unidentifiedDisplayName: "Refined Excalibur Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Excalibur.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Excalibur Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Excalibur.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14118: {
			unidentifiedDisplayName: "Combat Knife Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Combat Knife.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Combat Knife Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Combat Knife.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14119: {
			unidentifiedDisplayName: "Counter Dagger Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Dagger of Counter.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Counter Dagger Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Dagger of Counter.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14120: {
			unidentifiedDisplayName: "Refined Kaiser Knuckle Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Kaiser Knuckle.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Kaiser Knuckle Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Kaiser Knuckle.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14121: {
			unidentifiedDisplayName: "Refined Mighty Staff Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Mighty Staff.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Mighty Staff Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Mighty Staff.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14122: {
			unidentifiedDisplayName: "Right Epsilon Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Light Epsilon.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Light Epsilon Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Light Epsilon.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14123: {
			unidentifiedDisplayName: "Refined Ballista Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Ballista.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Ballista Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Ballista.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14124: {
			unidentifiedDisplayName: "Diary Of Great Sage",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Sage's Diary.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sage's Diary Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Sage's Diary.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14125: {
			unidentifiedDisplayName: "Asura Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Ashura.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Asura Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Ashura.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14126: {
			unidentifiedDisplayName: "Apple Of Archer Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Apple of Archer.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Apple of Archer Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Apple of Archer.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14127: {
			unidentifiedDisplayName: "Bunny Band Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Bunny Band.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bunny Band Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Bunny Band.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14128: {
			unidentifiedDisplayName: "Refined Sakkat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Sakkat.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Sakkat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Sakkat.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14129: {
			unidentifiedDisplayName: "Refined Grand Circlet Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Grand Circlet.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Grand Circlet Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Grand Circlet.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14130: {
			unidentifiedDisplayName: "Elven Ears Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Elven Ears.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Elven Ears Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Elven Ears.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14131: {
			unidentifiedDisplayName: "Steel Flower Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Romantic Flower.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steel Flower Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Romantic Flower.",
				"Rental period for 14 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14132: {
			unidentifiedDisplayName: "Critical Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Critical Ring.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Critical Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Critical Ring.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14133: {
			unidentifiedDisplayName: "Earring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Earring.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Earring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Earring.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14134: {
			unidentifiedDisplayName: "Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Ring.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Ring.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14135: {
			unidentifiedDisplayName: "Necklace Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Necklace.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Necklace Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Necklace.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14136: {
			unidentifiedDisplayName: "Glove Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Glove.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glove Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Glove.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14137: {
			unidentifiedDisplayName: "Brooch Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Brooch.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Brooch Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Brooch.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14138: {
			unidentifiedDisplayName: "Rosary Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Rosary.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rosary Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Rosary.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14139: {
			unidentifiedDisplayName: "Safety Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Safety Ring.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Safety Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Safety Ring.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14140: {
			unidentifiedDisplayName: "Refined Vesper Core 01 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 01.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Vesper Core 01 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 01.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14141: {
			unidentifiedDisplayName: "Refined Vesper Core 02 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 02.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Vesper Core 02 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 02.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14142: {
			unidentifiedDisplayName: "Refined Vesper Core 03 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 03.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Vesper Core 03 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 03.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14143: {
			unidentifiedDisplayName: "Refined Vesper Core 04 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 04.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refined Vesper Core 04 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Refined Vesper Core 04.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14144: {
			unidentifiedDisplayName: "Vigorgra Box1",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Steamed Tongue, 2 Steamed Desert Scorpions, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Box1",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Steamed Tongue, 2 Steamed Desert Scorpions, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14145: {
			unidentifiedDisplayName: "Vigorgra Box2",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Steamed Tongue, 2 Immortal Stew, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Box2",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Steamed Tongue, 2 Immortal Stew, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14146: {
			unidentifiedDisplayName: "Vigorgra Box3",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Dragon Breath Cocktail, 2 Hwergelmir's Tonic, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Box3",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Dragon Breath Cocktail, 2 Hwergelmir's Tonic, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14147: {
			unidentifiedDisplayName: "Vigorgra Box4",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Dragon Breath Cocktail, 2 Immortal Stew, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Box4",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Dragon Breath Cocktail, 2 Immortal Stew, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14148: {
			unidentifiedDisplayName: "Vigorgra Box5",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Dragon Breath Cocktail, 2 Steamed Tongue, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Box5",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Dragon Breath Cocktail, 2 Steamed Tongue, 2 Field Manual, 15 Level 10 Blessing Scroll,",
				"15 Level 10 Increase Agility Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14149: {
			unidentifiedDisplayName: "Vigorgra Box6",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 2 Steamed Tongue, 2 Steamed Desert Scorpions, 2 Field Manual, 24 Level 5 Adrenaline Rush Scroll,",
				"20 Level 5 Aspersio Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Box6",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 2 Steamed Tongue, 2 Steamed Desert Scorpions, 2 Field Manual, 24 Level 5 Adrenaline Rush Scroll,",
				"20 Level 5 Aspersio Scroll, 1 Kafra Card, 1 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14150: {
			unidentifiedDisplayName: "Vigorgra Box7",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 Steamed Tongue, 4 Steamed Desert Scorpions, 4 Field Manual, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Box7",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 Steamed Tongue, 4 Steamed Desert Scorpions, 4 Field Manual, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14151: {
			unidentifiedDisplayName: "Vigorgra Box8",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 Steamed Tongue, 4 Immortal Stew, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Vigorgra Box8",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 Steamed Tongue, 4 Immortal Stew, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14152: {
			unidentifiedDisplayName: "Vigorgra Box9",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 Dragon Breath Cocktail, 4 Hwergelmir's Tonic, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Start your Journey Pack",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 Dragon Breath Cocktail, 4 Hwergelmir's Tonic, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14153: {
			unidentifiedDisplayName: "Siege Mode Pack",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 Dragon Breath Cocktail, 4 Immortal Stew, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Siege Mode Pack",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 Dragon Breath Cocktail, 4 Immortal Stew, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14154: {
			unidentifiedDisplayName: "1 Hour Survival Pack",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 Dragon Breath Cocktail, 4 Steamed Tongue, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "1 Hour Survival Pack",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 Dragon Breath Cocktail, 4 Steamed Tongue, 30 Level 10 Blessing Scroll,",
				"30 Level 10 Increase Agility Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14155: {
			unidentifiedDisplayName: "Weekend Hunting Pack",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 4 Steamed Tongue, 4 Steamed Desert Scorpions, 4 Field Manual, ",
				"48 Level 5 Adrenaline Rush Scroll, 40 Level 5 Aspersio Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Weekend Hunting Pack",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 4 Steamed Tongue, 4 Steamed Desert Scorpions, 4 Field Manual,",
				"48 Level 5 Adrenaline Rush Scroll, 40 Level 5 Aspersio Scroll, 2 Kafra Card, 2 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14156: {
			unidentifiedDisplayName: "Battle Manual Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Field Manual books inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Battle Manual Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Field Manual books inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14157: {
			unidentifiedDisplayName: "Insurance Package",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Life Insurances inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Insurance Package",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Life Insurances inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14158: {
			unidentifiedDisplayName: "Bubble Gum Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 tasty Bubble Gums.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bubble Gum Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 tasty Bubble Gums.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14159: {
			unidentifiedDisplayName: "Steamed Tongue 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Tongue Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14160: {
			unidentifiedDisplayName: "Steamed Scorpion 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Scorpion Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14161: {
			unidentifiedDisplayName: "Dragon Breath Cocktail 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Breath Cocktail Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14162: {
			unidentifiedDisplayName: "Hwergelmir's Tonic 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hwergelmir's Tonic Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14163: {
			unidentifiedDisplayName: "Nine Tail Dish 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nine Tail Dish Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14164: {
			unidentifiedDisplayName: "Stew Of Immortality 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stew Of Immortality Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14165: {
			unidentifiedDisplayName: "Kafra Card 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Kafra Cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kafra Card Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Kafra Cards.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14166: {
			unidentifiedDisplayName: "Giant Fly Wing Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A light box containing 10 Giant Fly Wings.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Fly Wing Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A light box containing 10 Giant Fly Wings.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14167: {
			unidentifiedDisplayName: "Neuralizer Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Neuralizer inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neuralizer Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Neuralizer inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14168: {
			unidentifiedDisplayName: "Convex Mirror Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Convex Mirrors.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Convex Mirror Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Convex Mirrors.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14169: {
			unidentifiedDisplayName: "Blessing 10 Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blessing 10 Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14170: {
			unidentifiedDisplayName: "Increase AGI 10 scroll  Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Increase AGI 10 scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14171: {
			unidentifiedDisplayName: "Aspersio 10 Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Aspersio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aspersio 5 Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Aspersio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14172: {
			unidentifiedDisplayName: "Assumptio 10 Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Assumptio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Assumptio 5 Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Assumptio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14173: {
			unidentifiedDisplayName: "Wind Walk 10 Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wind Walk 10 Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14174: {
			unidentifiedDisplayName: "Adrenaline 10 Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Adrenaline 5 Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14175: {
			unidentifiedDisplayName: "Megaphone 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Megaphones.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Megaphone 10 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Megaphones.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14176: {
			unidentifiedDisplayName: "Enriched Elunium 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Enriched Eluniums.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Enriched Elunium Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Enriched Eluniums.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14177: {
			unidentifiedDisplayName: "Enriched Oridecon 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Enriched Oridecon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Enriched Oridecon Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Enriched Oridecon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14178: {
			unidentifiedDisplayName: "Token of Siegfried 10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Tokens of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Token of Siegfried Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Tokens of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14179: {
			unidentifiedDisplayName: "Giant Fly Wing Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A light box containing 50 Giant Fly Wings.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Fly Wing Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A light box containing 50 Giant Fly Wings.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14180: {
			unidentifiedDisplayName: "Giant Fly Wing Box(100)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A light box containing 100 Giant Fly Wings.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Fly Wing Box(100)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A light box containing 100 Giant Fly Wings.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14181: {
			unidentifiedDisplayName: "Hwergelmir's Tonic 30 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"DEX + 10",
				"A box containing 30 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hwergelmir's Tonic 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"DEX + 10",
				"A box containing 30 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14182: {
			unidentifiedDisplayName: "Hwergelmir's Tonic 50 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"DEX + 10",
				"A box containing 50 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hwergelmir's Tonic 50 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"DEX + 10",
				"A box containing 50 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14183: {
			unidentifiedDisplayName: "Nine Tail Dish 30 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"LUK + 10",
				"A box containing 30 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nine Tail Dish 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"LUK + 10",
				"A box containing 30 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14184: {
			unidentifiedDisplayName: "Nine Tail Dish 50 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"LUK + 10",
				"A box containing 50 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nine Tail Dish 50 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"LUK + 10",
				"A box containing 50 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14185: {
			unidentifiedDisplayName: "Increase Agility Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Increase Agility Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14186: {
			unidentifiedDisplayName: "Increase Agility Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Increase Agility Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Level 10 Increase Agility Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14187: {
			unidentifiedDisplayName: "Stew of Immortality 30 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"VIT + 10",
				"A box containing 30 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stew of Immortality 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"VIT + 10",
				"A box containing 30 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14188: {
			unidentifiedDisplayName: "Stew of Immortality 50 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"VIT + 10",
				"A box containing 50 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stew of Immortality 50 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"VIT + 10",
				"A box containing 50 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14189: {
			unidentifiedDisplayName: "Life Insurance 30 Package",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Life Insurances inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Life Insurance 30 Package",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Life Insurances inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14190: {
			unidentifiedDisplayName: "Life Insurrance Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Life Insurances inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Life Insurrance Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Life Insurances inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14191: {
			unidentifiedDisplayName: "Convex Mirror Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Convex Mirrors.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Convex Mirror Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Convex Mirrors.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14192: {
			unidentifiedDisplayName: "Convex Mirror Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Convex Mirrors.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Convex Mirror Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Convex Mirrors.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14193: {
			unidentifiedDisplayName: "Blessing Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Level 10 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blessing Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Level 10 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14194: {
			unidentifiedDisplayName: "Lv10 Blessing Scroll Box 50",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Level 50 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lv10 Blessing Scroll Box 50",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Level 50 Blessing Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14195: {
			unidentifiedDisplayName: "Adrenaline Rush Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Adrenaline Rush Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14196: {
			unidentifiedDisplayName: "Adrenaline Rush Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Adrenaline Rush Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Level 5 Adrenaline Rush Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14197: {
			unidentifiedDisplayName: "Assumptio Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Level 5 Assumptio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Assumptio Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Level 5 Assumptio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14198: {
			unidentifiedDisplayName: "Lv5 Assumptio Scroll Box 50",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Level 5 Assumptio Scrolls..",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lv5 Assumptio Scroll Box 50",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Level 5 Assumptio Scrolls..",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14199: {
			unidentifiedDisplayName: "Aspersio Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Level 5 Aspersio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aspersio Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Level 5 Aspersio Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14200: {
			unidentifiedDisplayName: "Aspersio Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Level 5 Aspersio Scrolls..",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aspersio Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Level 5 Aspersio Scrolls..",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14201: {
			unidentifiedDisplayName: "Steamed Scorpion 30 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"AGI + 10",
				"A box containing 30 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Scorpion 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"AGI + 10",
				"A box containing 30 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14202: {
			unidentifiedDisplayName: "Steamed Scorpion 50 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"AGI + 10",
				"A box containing 50 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Scorpion 50 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"AGI + 10",
				"A box containing 50 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14203: {
			unidentifiedDisplayName: "Wind Walk Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wind Walk Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14204: {
			unidentifiedDisplayName: "Wind Walk Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wind Walk Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Level 10 Wind Walk Scrolls.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14205: {
			unidentifiedDisplayName: "Dragon Breath Cocktail 30 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"INT + 10",
				"A box containing 30 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Breath Cocktail 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"INT + 10",
				"A box containing 30 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14206: {
			unidentifiedDisplayName: "Dragon Breath Cocktail 50 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"INT + 10",
				"A box containing 50 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Breath Cocktail 50 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"INT + 10",
				"A box containing 50 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14207: {
			unidentifiedDisplayName: "Field Manual Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Field Manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Field Manual Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Field Manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14208: {
			unidentifiedDisplayName: "Battle Manual 5 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Field Manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Battle Manual 5 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Field Manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14209: {
			unidentifiedDisplayName: "Token of Ziegfried Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Token of Ziegfried Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14210: {
			unidentifiedDisplayName: "Token Of Siegfried 20 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 20 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Token Of Siegfried 20 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 20 Token of Ziegfried.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14211: {
			unidentifiedDisplayName: "Kafra Card Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Kafra Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kafra Card Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Kafra Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14212: {
			unidentifiedDisplayName: "Kafra Card Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Kafra Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kafra Card Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Kafra Card.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14213: {
			unidentifiedDisplayName: "Steamed Tongue 30 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"STR + 10",
				"A box containing 30 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Tongue 30 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"STR + 10",
				"A box containing 30 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14214: {
			unidentifiedDisplayName: "Steamed Tongue 50 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"STR + 10",
				"A box containing 50 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Tongue 50 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"STR + 10",
				"A box containing 50 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14215: {
			unidentifiedDisplayName: "Bubble Gum Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Bubble Gum.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bubble Gum Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Bubble Gum.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14216: {
			unidentifiedDisplayName: "Bubble Gum Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 5 Bubble Gum.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bubble Gum Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 5 Bubble Gum.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14217: {
			unidentifiedDisplayName: "Megaphone Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Megaphone.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Megaphone Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Megaphone.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14218: {
			unidentifiedDisplayName: "Megaphone Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Megaphone.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Megaphone Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Megaphone.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14219: {
			unidentifiedDisplayName: "Enriched Elunium 5 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Enriched Elunium.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Enriched Elunium 5 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Enriched Elunium.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14220: {
			unidentifiedDisplayName: "Enriched Oridecon 5 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 Enriched Oridecon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Enriched Oridecon 5 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 Enriched Oridecon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14221: {
			unidentifiedDisplayName: "Mystical Amplification Scroll(10)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Mystical Amplification scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystical Amplification Scroll(10)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Mystical Amplification scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14222: {
			unidentifiedDisplayName: "Mystical Amplification Scroll(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Mystical Amplification scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystical Amplification Scroll(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Mystical Amplification scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14223: {
			unidentifiedDisplayName: "Mystical Amplification 50 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Mystical Amplification scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystical Amplification 50 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Mystical Amplification scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14224: {
			unidentifiedDisplayName: "Quagmire Scroll Box(10)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Quagmire Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Quagmire Scroll Box(10)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Quagmire Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14225: {
			unidentifiedDisplayName: "Quagmire Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Quagmire Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Quagmire Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Quagmire Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14226: {
			unidentifiedDisplayName: "Quagmire Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Quagmire Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Quagmire Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Quagmire Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14227: {
			unidentifiedDisplayName: "Staff of Healing Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Staff of Healing.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Staff of Healing Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Staff of Healing.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14228: {
			unidentifiedDisplayName: "Praccsinos Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Praccsinos.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Praccsinos Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Praccsinos.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14229: {
			unidentifiedDisplayName: "Cherry Blossom Scroll",
			unidentifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"A special promo Scroll that will be selling just during lovely spring!",
				"It will bring you a sweet smell of good luck!",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cherry Blossom Scroll",
			identifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A special promo Scroll that will be selling just during lovely spring!",
				"It will bring you a sweet smell of good luck!",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14230: {
			unidentifiedDisplayName: "Note Headphones Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Note Headphones.",
				"A cool looking set of headphones that have earmuffs designed to resemble music notes.",
				"You can listen to your favorite Ragnarok Online music everywhere!",
				"Increase resistance to ^880000Stun^000000 and ^880000Freeze^000000 by 10%.",
				"MDEF + 3. Slot [1].",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Note Headphones Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Note Headphones.",
				"A cool looking set of headphones that have earmuffs designed to resemble music notes.",
				"You can listen to your favorite Ragnarok Online music everywhere!",
				"Increase resistance to ^880000Stun^000000 and ^880000Freeze^000000 by 10%.",
				"MDEF + 3. Slot [1].",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14231: {
			unidentifiedDisplayName: "Novice Breastplate Boxes",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"The full set equipment for Novice!",
				"That are Helm, Shield, Armor, Shoes.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Novice Breastplate Boxes",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"The full set equipment for Novice!",
				"That are Helm, Shield, Armor, Shoes.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14232: {
			unidentifiedDisplayName: "Yggdrasilberry10 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Yggdrasil Berry, a fruit that is well-known for longevity.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yggdrasilberry10 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Yggdrasil Berry, a fruit that is well-known for longevity.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14233: {
			unidentifiedDisplayName: "Dead Branch Box(10)",
			unidentifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Dead Branches that evokes an impending sense of danger.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dead Branch Box(10)",
			identifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Dead Branches that evokes an impending sense of danger.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14234: {
			unidentifiedDisplayName: "Dead Branch25 Box",
			unidentifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 25 Dead Branches that evokes an impending sense of danger.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dead Branch25 Box",
			identifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 25 Dead Branches that evokes an impending sense of danger.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14235: {
			unidentifiedDisplayName: "Field Manual Box(2)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 2 Field Manual.",
				"Field Manual : ^000088Exp rate is increased to 1.5% for 30 minutes^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Field Manual Box(2)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 2 Field Manual.",
				"Field Manual : ^000088Exp rate is increased to 1.5% for 30 minutes^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14236: {
			unidentifiedDisplayName: "Steamed Tongue 60 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 20 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Tongue 60 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 20 STR + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14237: {
			unidentifiedDisplayName: "Steamed Scorpion 60 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 20 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Scorpion 60 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 20 AGI + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14238: {
			unidentifiedDisplayName: "Stew Of Immortality 60 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 20 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stew Of Immortality 60 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 20 VIT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14239: {
			unidentifiedDisplayName: "Dragon Breath Cocktail 60 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 20 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Breath Cocktail 60 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 20 INT + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14240: {
			unidentifiedDisplayName: "Hwergelmir's Tonic 60 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 20 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hwergelmir's Tonic 60 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 20 DEX + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14241: {
			unidentifiedDisplayName: "Nine Tail Dish 60 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 20 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nine Tail Dish 60 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 20 LUK + 10 dishes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14242: {
			unidentifiedDisplayName: "Neutral Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Beholder Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Neutral Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neutral Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Beholder Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Neutral Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14243: {
			unidentifiedDisplayName: "Hallow Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Hallow Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Undead Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hallow Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Hallow Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Undead Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14244: {
			unidentifiedDisplayName: "Clamorous Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Clamorous Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Brute Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Clamorous Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Clamorous Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Brute Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14245: {
			unidentifiedDisplayName: "Chemical Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Chemical Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Plant Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chemical Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Chemical Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Plant Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14246: {
			unidentifiedDisplayName: "Insecticide Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Insecticide Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Insect Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Insecticide Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Insecticide Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Insect Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14247: {
			unidentifiedDisplayName: "Fisher Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Fisher Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Fish Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fisher Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Fisher Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Fish Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14248: {
			unidentifiedDisplayName: "Decussate Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Decussate Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Demon Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Decussate Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Decussate Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Demon Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14249: {
			unidentifiedDisplayName: "Bloody Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Bloody Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088DemiHuman Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bloody Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Bloody Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088DemiHuman Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14250: {
			unidentifiedDisplayName: "Satanic Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Satanic Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Angel Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Satanic Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Satanic Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Angel Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14251: {
			unidentifiedDisplayName: "Dragon Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Dragon Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Dragon Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 7 days^000000",
				"A box contains 1 \"Dragon Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Dragon Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14252: {
			unidentifiedDisplayName: "Neutral Ring Box2",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Beholder Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Neutral Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neutral Ring Box2",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Beholder Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Neutral Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14253: {
			unidentifiedDisplayName: "Hallow Ring Box2",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Hallow Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Undead Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hallow Ring Box2",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Hallow Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Undead Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14254: {
			unidentifiedDisplayName: "Clamorous Ring Box2",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Clamorous Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Brute Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Clamorous Ring Box2",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Clamorous Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Brute Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14255: {
			unidentifiedDisplayName: "Chemical Ring Box2",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Chemical Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Plant Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chemical Ring Box2",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Chemical Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Plant Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14256: {
			unidentifiedDisplayName: "Insecticide Ring Box2",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Insecticide Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Insect Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Insecticide Ring Box2",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Insecticide Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Insect Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14257: {
			unidentifiedDisplayName: "Fisher Ring Box2",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Fisher Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Fish Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fisher Ring Box2",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Fisher Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Fish Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14258: {
			unidentifiedDisplayName: "Decussate Ring Box2",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Decussate Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Demon Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Decussate Ring Box2",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Decussate Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Demon Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14259: {
			unidentifiedDisplayName: "Bloody Ring Box2",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Bloody Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088DemiHuman Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bloody Ring Box2",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Bloody Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088DemiHuman Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14260: {
			unidentifiedDisplayName: "Satanic Ring Box2",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Satanic Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Angel Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Satanic Ring Box2",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Satanic Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Angel Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14261: {
			unidentifiedDisplayName: "Dragon Ring Box2",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Dragon Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Dragon Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Ring Box2",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items for 15 days^000000",
				"A box contains 1 \"Dragon Ring\". Please take a care because is fragile!",
				"A ring that has special power in each shape.",
				"Increases 15% experience from ^000088Dragon Monster^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14262: {
			unidentifiedDisplayName: "Diary Magic Powder Box",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Diary Magic Powder. Can be used for 1 week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Diary Magic Powder Box",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Diary Magic Powder. Can be used for 1 week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14263: {
			unidentifiedDisplayName: "Mini Heart Magic Powder Box",
			unidentifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Mini Heart Magic Powder. Can be used for 1 week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mini Heart Magic Powder Box",
			identifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Mini Heart Magic Powder. Can be used for 1 week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14264: {
			unidentifiedDisplayName: "Freshman Magic Powder Box",
			unidentifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Freshman Magic Powder. Can be used for 1 week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freshman Magic Powder Box",
			identifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Freshman Magic Powder. Can be used for 1 week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14265: {
			unidentifiedDisplayName: "Kid Magic Powder Box",
			unidentifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Kid Magic Powder. Can be used for 1 week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kid Magic Powder Box",
			identifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Kid Magic Powder. Can be used for 1 week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14266: {
			unidentifiedDisplayName: "Magic Magic Powder Box",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Magic Magic Powder. Can be used for 1 week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Magic Magic Powder Box",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Magic Magic Powder. Can be used for 1 week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14267: {
			unidentifiedDisplayName: "JJangu Magic Powder Box",
			unidentifiedResourceName: "\xc2\xaf\xb1\xb8\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 JJangu Magic Powder. Can be used for 1 week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "JJangu Magic Powder Box",
			identifiedResourceName: "\xc2\xaf\xb1\xb8\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 JJangu Magic Powder. Can be used for 1 week.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14268: {
			unidentifiedDisplayName: "Diary Magic Powder Box(1 month)",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Diary Magic Powder. Can be used for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Diary Magic Powder Box(1 month)",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Diary Magic Powder. Can be used for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14269: {
			unidentifiedDisplayName: "Mini Heart Magic Powder Box(1 month)",
			unidentifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Diary Magic Powder. Can be used for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mini Heart Magic Powder Box(1 month)",
			identifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Diary Magic Powder. Can be used for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14270: {
			unidentifiedDisplayName: "Freshman Magic Powder Box(1 month)",
			unidentifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Diary Magic Powder. Can be used for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freshman Magic Powder Box(1 month)",
			identifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Diary Magic Powder. Can be used for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14271: {
			unidentifiedDisplayName: "Kid Magic Powder Box(1 month)",
			unidentifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Kid Magic Powder. Can be used for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kid Magic Powder Box(1 month)",
			identifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Kid Magic Powder. Can be used for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14272: {
			unidentifiedDisplayName: "Magic Magic Powder Box(1 month)",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Magic Magic Powder. Can be used for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Magic Magic Powder Box(1 month)",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Magic Magic Powder. Can be used for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14273: {
			unidentifiedDisplayName: "JJangu Magic Powder Box(1 month)",
			unidentifiedResourceName: "\xc2\xaf\xb1\xb8\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 JJangu Magic Powder. Can be used for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "JJangu Magic Powder Box(1 month)",
			identifiedResourceName: "\xc2\xaf\xb1\xb8\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 JJangu Magic Powder. Can be used for 30 days.",
				"When double clicked, your font changes, and when used again, your font goes back to normal.",
				"Works only for chats said above your head and for vend names.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14274: {
			unidentifiedDisplayName: "Mystical Amplification Scroll Box(10)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Mystical Amplification scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystical Amplification Scroll Box(10)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Mystical Amplification scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14275: {
			unidentifiedDisplayName: "Mystical Amplification Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Mystical Amplification scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystical Amplification Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Mystical Amplification scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14276: {
			unidentifiedDisplayName: "Mystical Amplification Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Mystical Amplification scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystical Amplification Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Mystical Amplification scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14277: {
			unidentifiedDisplayName: "Quagmire Scroll Box(10)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 Quagmire Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Quagmire Scroll Box(10)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 Quagmire Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14278: {
			unidentifiedDisplayName: "Quagmire Scroll Box(30)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Quagmire Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Quagmire Scroll Box(30)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 30 Quagmire Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14279: {
			unidentifiedDisplayName: "Quagmire Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 50 Quagmire Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Quagmire Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 50 Quagmire Scroll.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14280: {
			unidentifiedDisplayName: "Staff of Healing Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Staff of Healing.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Staff of Healing Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Staff of Healing.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14281: {
			unidentifiedDisplayName: "Praccsinos Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Praccsinos.",
				"ATK + 5%, MATK + 5%.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Praccsinos Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Praccsinos.",
				"ATK + 5%, MATK + 5%.",
				"Rental period for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14282: {
			unidentifiedDisplayName: "Emperium Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Emperium.",
				"Merely owning this gloriously resplendent gem is said to be a sign of being chosen by fate to wield great power.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Emperium Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Emperium.",
				"Merely owning this gloriously resplendent gem is said to be a sign of being chosen by fate to wield great power.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14283: {
			unidentifiedDisplayName: "Written Oath Of Marriage Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Marriage Certificate.",
				"This written oath professes undying love, loyalty, and union.",
				"Forever in life, and eternally beyond death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Written Oath Of Marriage Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Marriage Certificate.",
				"This written oath professes undying love, loyalty, and union.",
				"Forever in life, and eternally beyond death.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14284: {
			unidentifiedDisplayName: "Neo Muffler Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Neo Muffler\". Available for one week.",
				"A warm scarf that is worn around the neck and shoulders.",
				"Add a 10% resistance against DemiHuman monster.",
				"MaxHP + 10%",
				"Resistance against ^0000FFWater^000000, ^FF0000Fire^000000, ^777777Holy^000000, ^777777Shadow^000000 Property by 5%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neo Muffler Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Neo Muffler\". Available for one week.",
				"A warm scarf that is worn around the neck and shoulders.",
				"Add a 10% resistance against DemiHuman monster.",
				"MaxHP + 10%",
				"Resistance against ^0000FFWater^000000, ^FF0000Fire^000000, ^777777Holy^000000, ^777777Shadow^000000 Property by 5%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14285: {
			unidentifiedDisplayName: "Neo Valkyrja's Shield Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Neo Valkyrja's Shield\". Available for one week.",
				"A shield used by Gna, the messanger of Freyja while she served as a Valkyrie.",
				"Add a 30% resistance against DemiHuman monster.",
				"MaxHP + 5%",
				"Add a 20% resistance against ^FF0000Fire^000000 and ^0000FFWater^000000 Property attacks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neo Valkyrja's Shield Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Neo Valkyrja's Shield\". Available for one week.",
				"A shield used by Gna, the messanger of Freyja while she served as a Valkyrie.",
				"Add a 30% resistance against DemiHuman monster.",
				"MaxHP + 5%",
				"Add a 20% resistance against ^FF0000Fire^000000 and ^0000FFWater^000000 Property attacks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14286: {
			unidentifiedDisplayName: "Neo Skull Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Neo Skull Ring\". Available for one week.",
				"A weird ring adorned with a skull in which the words, \"^990000Forever, until death...^000000\" are engraved.",
				"ATK + 5%, MATK + 5%",
				"MaxHP + 5%, Reduces after-cast skill delay by 5%.",
				"Enables use of ^008800Level 1 Sight^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neo Skull Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Neo Skull Ring\". Available for one week.",
				"A weird ring adorned with a skull in which the words, \"^990000Forever, until death...^000000\" are engraved.",
				"ATK + 5%, MATK + 5%",
				"MaxHP + 5%, Reduces after-cast skill delay by 5%.",
				"Enables use of ^008800Level 1 Sight^000000.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14287: {
			unidentifiedDisplayName: "Barricade Repair Kit",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains the necessary items to repaired demolished Fortress Gates.",
				"It contains 30 Trunks, 10 Steel, 10 Envertacon, 5 Oridecon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Barricade Repair Kit",
			identifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains the necessary items to repaired demolished Fortress Gates.",
				"It contains 30 Trunks, 10 Steel, 10 Envertacon, 5 Oridecon.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14288: {
			unidentifiedDisplayName: "Guardian Stone Repair Kit",
			unidentifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains the necessary items to rebuild a destroyed Guardian Stone. ",
				"It contains 1 Oridecon, 1 Elunium, 30 Stones, 5 Blue Gemstones, 5 Yellow Gemstones, 5 Red Gemstones.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Guardian Stone Repair Kit",
			identifiedResourceName: "\xc3\xb6\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains the necessary items to rebuild a destroyed Guardian Stone.",
				"It contains 1 Oridecon, 1 Elunium, 30 Stones, 5 Blue Gemstones, 5 Yellow Gemstones, 5 Red Gemstones.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14289: {
			unidentifiedDisplayName: "New Clothing Dye Coupon Box",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Clothing Dye Coupon.",
				"(Caution : When change jobs, you will lose the effect of the clothing dye and return to your original color.)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "New Clothing Dye Coupon Box",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Clothing Dye Coupon.",
				"(Caution : When change jobs, you will lose the effect of the clothing dye and return to your original color.)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14290: {
			unidentifiedDisplayName: "Original Clothing Dye Coupon Box",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Clothing Dye Coupon with original color.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Original Clothing Dye Coupon Box",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Clothing Dye Coupon with original color.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14291: {
			unidentifiedDisplayName: "Clothing Dye Coupon Box",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Clothing Dye Coupon.",
				"(Caution : When change jobs, you will lose the effect of the clothing dye and return to your original color.)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Clothing Dye Coupon Box",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Clothing Dye Coupon.",
				"(Caution : When change jobs, you will lose the effect of the clothing dye and return to your original color.)",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14292: {
			unidentifiedDisplayName: "Clothing Dye Coupon Box II",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 Clothing Dye Coupon with original color.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Clothing Dye Coupon Box II",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 Clothing Dye Coupon with original color.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14293: {
			unidentifiedDisplayName: "Mercenary Contract Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"The box including a document verifying the contract with mercenary.",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Mercenary Contract Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"The box including a document verifying the contract with mercenary.",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14294: {
			unidentifiedDisplayName: "Mercenary Contract Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"The box including 5 documents verifying the contract with mercenary.",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Mercenary Contract Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"The box including 5 documents verifying the contract with mercenary.",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14295: {
			unidentifiedDisplayName: "Mercenary Contract Box(10)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"The box including 10 documents verifying the contract with mercenary.",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Mercenary Contract Box(10)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"The box including 10 documents verifying the contract with mercenary.",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14296: {
			unidentifiedDisplayName: "Angel Scroll",
			unidentifiedResourceName: "\xbf\xa3\xc1\xa9\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"A happiness from an angel. You will find full of happiness once you open it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Angel Scroll",
			identifiedResourceName: "\xbf\xa3\xc1\xa9\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A happiness from an angel. You will find full of happiness once you open it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14297: {
			unidentifiedDisplayName: "Devil Scroll",
			unidentifiedResourceName: "\xb5\xa5\xba\xf4\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"A darkness gift from an evil. Handle with care in opening it. Don't provoke the evil.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Devil Scroll",
			identifiedResourceName: "\xb5\xa5\xba\xf4\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A darkness gift from an evil. Handle with care in opening it. Don't provoke the evil.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14298: {
			unidentifiedDisplayName: "Surprise Scroll",
			unidentifiedResourceName: "\xb1\xf4\xc2\xa6\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Everyone likes surprises. You might be surprised once you open it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Surprise Scroll",
			identifiedResourceName: "\xb1\xf4\xc2\xa6\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"Everyone likes surprises. You might be surprised once you open it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14299: {
			unidentifiedDisplayName: "Leaves Of Grass Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 Leaves Of Grass.",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leaves Of Grass Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Leaves Of Grass.",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14300: {
			unidentifiedDisplayName: "Mask Of Ifrit Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Mask Of Ifrit\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Mask Of Ifrit Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box contains 1 \"Mask Of Ifrit\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14301: {
			unidentifiedDisplayName: "Ear Of Ifrit Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Ear Of Ifrit\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Ear Of Ifrit Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"A box contains 1 \"Ear Of Ifrit\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14302: {
			unidentifiedDisplayName: "Filir Hat Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Filir Hat\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Filir Hat Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Filir Hat\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14303: {
			unidentifiedDisplayName: "Angel Spirit Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Angel Of Ghost\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Angel Spirit Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Angel Of Ghost\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14304: {
			unidentifiedDisplayName: "Scuba Mask Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Scuba Mask\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scuba Mask Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Scuba Mask\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14305: {
			unidentifiedDisplayName: "Neko Mimi Kafra Band Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Nekomimi Kafra Headband\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Neko Mimi Kafra Band Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Nekomimi Kafra Headband\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14306: {
			unidentifiedDisplayName: "RWC Special Scroll",
			unidentifiedResourceName: "\x52\x57\x43\xc6\xaf\xbc\xf6\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"RWC special scroll, it is quite collectable.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "RWC Special Scroll",
			identifiedResourceName: "\x52\x57\x43\xc6\xaf\xbc\xf6\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"RWC special scroll, it is quite collectable.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14307: {
			unidentifiedDisplayName: "RWC Limited Scroll",
			unidentifiedResourceName: "\x52\x57\x43\xc7\xd1\xc1\xa4\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"RWC special edition Scroll. It is worth having to remember all honors of RWC each year.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "RWC Limited Scroll",
			identifiedResourceName: "\x52\x57\x43\xc7\xd1\xc1\xa4\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"RWC special edition Scroll. It is worth having to remember all honors of RWC each year.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14308: {
			unidentifiedDisplayName: "Ardor Scroll",
			unidentifiedResourceName: "\xbf\xad\xc7\xf7\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"An Ardor Scroll that inspires you to be brave and have a passion.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ardor Scroll",
			identifiedResourceName: "\xbf\xad\xc7\xf7\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"An Ardor Scroll that inspires you to be brave and have a passion.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14309: {
			unidentifiedDisplayName: "Gangster Scarf Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Gangster Scarf\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gangster Scarf Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Gangster Scarf\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14310: {
			unidentifiedDisplayName: "Ninja's Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Ninja's Scroll\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ninja's Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Ninja's Scroll\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14311: {
			unidentifiedDisplayName: "Angel Of Ghost Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Angel Of Ghost\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Angel Of Ghost Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Angel Of Ghost\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14312: {
			unidentifiedDisplayName: "Gangster Scarf Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Gangster Scarf\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gangster Scarf Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Gangster Scarf\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14313: {
			unidentifiedDisplayName: "Ninja's Scroll Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Ninja's Scroll\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ninja's Scroll Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Ninja's Scroll\".",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14314: {
			unidentifiedDisplayName: "Phreeoni Scroll Box",
			unidentifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Phreeoni Scroll\".",
				"Phreeoni Scroll - A Scroll that imbued with great force of Monster Phreeoni.",
				"HIT + 100 for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Phreeoni Scroll Box",
			identifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 \"Phreeoni Scroll\".",
				"Phreeoni Scroll - A Scroll that imbued with great force of Monster Phreeoni.",
				"HIT + 100 for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14315: {
			unidentifiedDisplayName: "Ghostring Scroll Box",
			unidentifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Ghostring Scroll\".",
				"Ghostring Scroll - A Scroll that imbued with great force of Monster Ghostring.",
				"Gives Ghost property to a character for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ghostring Scroll Box",
			identifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 \"Ghostring Scroll\".",
				"Ghostring Scroll - A Scroll that imbued with great force of Monster Ghostring.",
				"Gives Ghost property to a character for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14316: {
			unidentifiedDisplayName: "Love Scroll",
			unidentifiedResourceName: "\xb4\xeb\xb8\xb8\x37\xbf\xf9\x37\xbc\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Love Scroll. If you are waiting for love, you definitely need this scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Love Scroll",
			identifiedResourceName: "\xb4\xeb\xb8\xb8\x37\xbf\xf9\x37\xbc\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"Love Scroll. If you are waiting for love, you definitely need this scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14317: {
			unidentifiedDisplayName: "White Lady Scroll",
			unidentifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Taiwan Bacsojin scroll. If you are lucky, you will be suprised once you open it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "White Lady Scroll",
			identifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"Taiwan Bacsojin scroll. If you are lucky, you will be suprised once you open it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14318: {
			unidentifiedDisplayName: "Antenna Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Antenna\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Antenna Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Antenna\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14319: {
			unidentifiedDisplayName: "Tiraya Bonnet Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Tiraya Bonnet\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tiraya Bonnet Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Tiraya Bonnet\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14320: {
			unidentifiedDisplayName: "Balloon Hat Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Balloon Hat\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Balloon Hat Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Balloon Hat\".",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14321: {
			unidentifiedDisplayName: "Holy Sabre Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Holy Sabre\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Holy Sabre Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Holy Sabre\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14322: {
			unidentifiedDisplayName: "Book Of Prayer Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Book Of Prayer\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Book Of Prayer Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Book Of Prayer\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14323: {
			unidentifiedDisplayName: "Phenomena Whip Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Phenomena Whip\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Phenomena Whip Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Phenomena Whip\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14324: {
			unidentifiedDisplayName: "Staff Of Darkness Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Staff Of Darkness\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Staff Of Darkness Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Staff Of Darkness\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14325: {
			unidentifiedDisplayName: "Monk Knuckle Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Monk Knuckle\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Monk Knuckle Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Monk Knuckle\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14326: {
			unidentifiedDisplayName: "Mace Of Madness Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Mace Of Madness\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mace Of Madness Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Mace Of Madness\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14327: {
			unidentifiedDisplayName: "Spear Of Excellent Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Spear Of Excellent\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spear Of Excellent Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Spear Of Excellent\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14328: {
			unidentifiedDisplayName: "Bow Of Evil Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Bow Of Evil\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bow Of Evil Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Bow Of Evil\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14329: {
			unidentifiedDisplayName: "Katar Of Speed Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Katar Of Speed\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Katar Of Speed Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Katar Of Speed\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14330: {
			unidentifiedDisplayName: "Sharpshooter Revolver Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Sharpshooter Revolver\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sharpshooter Revolver Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Sharpshooter Revolver\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14331: {
			unidentifiedDisplayName: "Guild Member Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Guild Member Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Guild Member Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Guild Member Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14332: {
			unidentifiedDisplayName: "Party Member Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Party Member Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Party Member Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Party Member Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14333: {
			unidentifiedDisplayName: "Boyfriend Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Boyfriend Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Boyfriend Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Boyfriend Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14334: {
			unidentifiedDisplayName: "Friend Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Friend Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Friend Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Friend Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14335: {
			unidentifiedDisplayName: "Girlfriend Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Girlfriend Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Girlfriend Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Girlfriend Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14336: {
			unidentifiedDisplayName: "Holy Marcher Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Holy Marcher Hat\" inside. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Holy Marcher Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Holy Marcher Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14337: {
			unidentifiedDisplayName: "Guild Member Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Guild Member Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Guild Member Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Guild Member Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14338: {
			unidentifiedDisplayName: "Party Member Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Party Member Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Party Member Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Party Member Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14339: {
			unidentifiedDisplayName: "Boyfriend Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Boyfriend Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Boyfriend Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Boyfriend Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14340: {
			unidentifiedDisplayName: "Friend Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Friend Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Friend Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Friend Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14341: {
			unidentifiedDisplayName: "Girlfriend Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Girlfriend Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Girlfriend Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Girlfriend Hat\" inside. Rental periods for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14342: {
			unidentifiedDisplayName: "Holy Marcher Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Holy Marcher Hat\" inside. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Holy Marcher Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Holy Marcher Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14343: {
			unidentifiedDisplayName: "Spiked Scarf Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Spiked Scarf\" inside. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spiked Scarf Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Spiked Scarf\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14344: {
			unidentifiedDisplayName: "Rainbow Scarf Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Rainbow Scarf\" inside. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rainbow Scarf Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Rainbow Scarf\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14345: {
			unidentifiedDisplayName: "Animal Scroll",
			unidentifiedResourceName: "\xbe\xd6\xb4\xcf\xb8\xd6\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Various animals are inside of it! Please handle with care, you might get bit!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Animal Scroll",
			identifiedResourceName: "\xbe\xd6\xb4\xcf\xb8\xd6\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"Various animals are inside of it! Please handle with care, you might get bit!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14346: {
			unidentifiedDisplayName: "Brazilian Flag Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Brazilian Flag Hat\" inside. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Brazilian Flag Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Brazilian Flag Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14347: {
			unidentifiedDisplayName: "Greed Scroll Box(20)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 20 \"Greed Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Greed Scroll Box(20)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 20 \"Greed Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14348: {
			unidentifiedDisplayName: "Greed Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 50 \"Greed Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Greed Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 50 \"Greed Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14349: {
			unidentifiedDisplayName: "Mental Potion Box(20)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 20 \"Mental Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mental Potion Box(20)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 20 \"Mental Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14350: {
			unidentifiedDisplayName: "Mental Potion Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 50 \"Mental Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mental Potion Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 50 \"Mental Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14351: {
			unidentifiedDisplayName: "Tyr's Blessing Box(20)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 20 \"Tyr's Blessing\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tyr's Blessing Box(20)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 20 \"Tyr's Blessing\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14352: {
			unidentifiedDisplayName: "Tyr's Blessing Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 50 \"Tyr's Blessing\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tyr's Blessing Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 50 \"Tyr's Blessing\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14353: {
			unidentifiedDisplayName: "Greed Scroll Box(20)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 20 \"Greed Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Greed Scroll Box(20)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 20 \"Greed Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14354: {
			unidentifiedDisplayName: "Greed Scroll Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 50 \"Greed Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Greed Scroll Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 50 \"Greed Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14355: {
			unidentifiedDisplayName: "Mental Potion Box(20)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 20 \"Mental Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mental Potion Box(20)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 20 \"Mental Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14356: {
			unidentifiedDisplayName: "Mental Potion Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 50 \"Mental Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mental Potion Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 50 \"Mental Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14357: {
			unidentifiedDisplayName: "Tyr's Blessing Box(20)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 20 \"Tyr's Blessing\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tyr's Blessing Box(20)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 20 \"Tyr's Blessing\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14358: {
			unidentifiedDisplayName: "Tyr's Blessing Box(50)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 50 \"Tyr's Blessing\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tyr's Blessing Box(50)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 50 \"Tyr's Blessing\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14359: {
			unidentifiedDisplayName: "Tao Gunka Scroll Box",
			unidentifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 'Tao Gunka Scroll' in it.",
				"A Scroll that imbued with great force of Monster Tao Gunka.",
				"For 3 minutes MaxHP + 100%, DEF -50, MDEF -50.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tao Gunka Scroll Box",
			identifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 'Tao Gunka Scroll' in it.",
				"A Scroll that imbued with great force of Monster Tao Gunka.",
				"For 3 minutes MaxHP + 100%, DEF -50, MDEF -50.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14360: {
			unidentifiedDisplayName: "Mistress Scroll Box",
			unidentifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 'Mistress Scroll' in it.",
				"A Scroll that imbued with great force of Monster Mistress.",
				"Enables of casting certain spells without gemstones for 3 minutes.",
				"Increases SP Consumption of skills by 25%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mistress Scroll Box",
			identifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 'Mistress Scroll' in it.",
				"A Scroll that imbued with great force of Monster Mistress.",
				"Enables of casting certain spells without gemstones for 3 minutes.",
				"Increases SP Consumption of skills by 25%.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14361: {
			unidentifiedDisplayName: "Orc Hero Scroll Box",
			unidentifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 'Orc Hero Scroll' in it.",
				"A Scroll that imbued with great force of Monster Orc Hero.",
				"Immunity to ^880000Stun^000000 for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Hero Scroll Box",
			identifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 'Orc Hero Scroll' in it.",
				"A Scroll that imbued with great force of Monster Orc Hero.",
				"Immunity to ^880000Stun^000000 for 1 minute.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14362: {
			unidentifiedDisplayName: "Orc Lord Scroll Box",
			unidentifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 'Orc Lord Scroll' in it.",
				"A Scroll that imbued with great force of Monster Orc Lord.",
				"Reflects 30% of all physical damage taken for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Lord Scroll Box",
			identifiedResourceName: "\xbf\xf8\xc7\xd1\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 'Orc Lord Scroll' in it.",
				"A Scroll that imbued with great force of Monster Orc Lord.",
				"Reflects 30% of all physical damage taken for 3 minutes.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14363: {
			unidentifiedDisplayName: "Heart Scroll",
			unidentifiedResourceName: "\xc7\xcf\xc6\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"A heart shaped scroll. You will feel warm heart once you open it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Heart Scroll",
			identifiedResourceName: "\xc7\xcf\xc6\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A heart shaped scroll. You will feel warm heart once you open it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14364: {
			unidentifiedDisplayName: "JOB Battle Manual Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "JOB Battle Manual Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14365: {
			unidentifiedDisplayName: "JOB Battle Manual Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "JOB Battle Manual Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14366: {
			unidentifiedDisplayName: "JOB Battle Manual Box(10)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "JOB Battle Manual Box(10)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14367: {
			unidentifiedDisplayName: "JOB Battle Manual Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "JOB Battle Manual Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14368: {
			unidentifiedDisplayName: "JOB Battle Manual Box(5)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 5 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "JOB Battle Manual Box(5)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 5 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14369: {
			unidentifiedDisplayName: "JOB Battle Manual Box(10)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 10 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "JOB Battle Manual Box(10)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 10 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14370: {
			unidentifiedDisplayName: "Goddess Of Blessing Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Goddess Of Blessing\" inside.",
				"You have the blessings of the goddess!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Goddess Of Blessing Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Goddess Of Blessing\" inside.",
				"You have the blessings of the goddess!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14371: {
			unidentifiedDisplayName: "Angel Of Blessing Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Angel Of Blessing\" inside.",
				"The angel's blessing be with you!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Angel Of Blessing Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Angel Of Blessing\" inside.",
				"The angel's blessing be with you!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14372: {
			unidentifiedDisplayName: "Snow Powder Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Snow Powder\" inside.",
				"During the winter atmosphere I'd like to look good items!",
				"Warning: You can not turn off the lights!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Snow Powder Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Snow Powder\" inside.",
				"During the winter atmosphere I'd like to look good items!",
				"Warning: You can not turn off the lights!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14373: {
			unidentifiedDisplayName: "Small Hearts Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Small Hearts\" inside.",
				"This item is expected to create an atmosphere of love, please!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Hearts Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Small Hearts\" inside.",
				"This item is expected to create an atmosphere of love, please!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14374: {
			unidentifiedDisplayName: "Extravagant Firework Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Extravagant Firework\" inside.",
				"Gorgeous and beautiful fireworks. When used in a summer night seems to be romantic.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Extravagant Firework Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Extravagant Firework\" inside.",
				"Gorgeous and beautiful fireworks. When used in a summer night seems to be romantic.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14375: {
			unidentifiedDisplayName: "Celestial Axe Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Celestial Axe\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Celestial Axe Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Celestial Axe\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14376: {
			unidentifiedDisplayName: "Angeling Potion Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Angeling Potion\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Angeling Potion Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Angeling Potion\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14377: {
			unidentifiedDisplayName: "Shout Megaphone Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Scream Megaphone\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shout Megaphone Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Scream Megaphone\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14378: {
			unidentifiedDisplayName: "Dungeon Teleport Scroll 3 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Dungeon Teleport Scroll 3\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dungeon Teleport Scroll 3 Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Dungeon Teleport Scroll 3\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14379: {
			unidentifiedDisplayName: "Love Daddy Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Love Daddy Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Love Daddy Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Love Daddy Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14380: {
			unidentifiedDisplayName: "Anubis Headgear Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Anubis Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Anubis Headgear Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Anubis Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14381: {
			unidentifiedDisplayName: "Staff of Piercing Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Staff Of Piercing\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Staff of Piercing Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Staff Of Piercing\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14382: {
			unidentifiedDisplayName: "Lich's Bone Wand Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Lich's Bone Wand\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lich's Bone Wand Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Lich's Bone Wand\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14383: {
			unidentifiedDisplayName: "Long Horn Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Long Horn\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Long Horn Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Long Horn\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14384: {
			unidentifiedDisplayName: "Hunting Spear Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Hunting Spear\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hunting Spear Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Hunting Spear\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14385: {
			unidentifiedDisplayName: "Book of the Dead Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Book of the Dead\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Book of the Dead Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Book of the Dead\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14386: {
			unidentifiedDisplayName: "Staff of Destruction Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Staff of Destruction\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Staff of Destruction Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Staff of Destruction\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14387: {
			unidentifiedDisplayName: "Crest of the Rider Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Crest of the Rider\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crest of the Rider Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Crest of the Rider\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14388: {
			unidentifiedDisplayName: "Mithril Magic Manteau Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Mithril Magic Manteau\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mithril Magic Manteau Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Mithril Magic Manteau\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14389: {
			unidentifiedDisplayName: "Sniping Suit Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Sniping Suit\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sniping Suit Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Sniping Suit\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14390: {
			unidentifiedDisplayName: "Orlean's Gloves Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Orlean's Gloves\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orlean's Gloves Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Orlean's Gloves\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14391: {
			unidentifiedDisplayName: "Spiritual Ring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Spiritual Ring\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spiritual Ring Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Spiritual Ring\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14392: {
			unidentifiedDisplayName: "Variant Shoes Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Variant Shoes\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Variant Shoes Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Variant Shoes\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14393: {
			unidentifiedDisplayName: "Universal Amulet Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Universal Amulet Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14394: {
			unidentifiedDisplayName: "Cute Santa Hat Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Twin Pompom By JB\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cute Santa Hat Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Twin Pompom By JB\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14395: {
			unidentifiedDisplayName: "Captain Hat Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Ship Captain Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Master's Hat Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Ship Captain Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14396: {
			unidentifiedDisplayName: "Red Minstrel Hat Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Red Minstrel Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Minstrel Hat Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Red Minstrel Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14397: {
			unidentifiedDisplayName: "Bonus Box 01",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Bubble Gum\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 01",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Bubble Gum\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14398: {
			unidentifiedDisplayName: "Bonus Box 02",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Small Magical Defense Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 02",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Small Magical Defense Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14399: {
			unidentifiedDisplayName: "Bonus Box 03",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Small Physical Defense Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 03",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Small Physical Defense Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14400: {
			unidentifiedDisplayName: "Bonus Box 04",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Tyr's Blessing\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 04",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Tyr's Blessing\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14401: {
			unidentifiedDisplayName: "Bonus Box 05",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Mental Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 05",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Mental Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14402: {
			unidentifiedDisplayName: "Bonus Box 06",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Scroll of Holy Armor\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 06",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Scroll of Holy Armor\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14403: {
			unidentifiedDisplayName: "Bonus Box 07",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Scroll of Shadow Armor\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 07",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Scroll of Shadow Armor\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14404: {
			unidentifiedDisplayName: "Bonus Box 08",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 2 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 08",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 2 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14405: {
			unidentifiedDisplayName: "Bonus Box 09",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Gym Membership Card\", 5 \"Regeneration Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 09",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Gym Membership Card\", 5 \"Regeneration Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14406: {
			unidentifiedDisplayName: "Bonus Box 10",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Gym Membership Card\", 20 \"Greed Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 10",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Gym Membership Card\", 20 \"Greed Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14407: {
			unidentifiedDisplayName: "Xmas Scroll",
			unidentifiedResourceName: "\xc5\xa9\xb8\xae\xbd\xba\xb8\xb6\xbd\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"Fancy, beautiful decorated scroll. We can feel Christmas is coming!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Xmas Scroll",
			identifiedResourceName: "\xc5\xa9\xb8\xae\xbd\xba\xb8\xb6\xbd\xba\xbe\xcb",
			identifiedDescriptionName: [
				"Fancy, beautiful decorated scroll. We can feel Christmas is coming!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14408: {
			unidentifiedDisplayName: "Solar Scroll",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbe\xcb",
			unidentifiedDescriptionName: [
				"Solar Scroll that symbolized the glaring sun.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Solar Scroll",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbe\xcb",
			identifiedDescriptionName: [
				"Solar Scroll that symbolized the glaring sun.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14409: {
			unidentifiedDisplayName: "Twin Pompom By JB Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Twin Pompom By JB\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Twin Pompom By JB Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Twin Pompom By JB\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14410: {
			unidentifiedDisplayName: "Ship Captain Hat Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Ship Captain Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ship Captain Hat Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Ship Captain Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14411: {
			unidentifiedDisplayName: "Red Minstrel Hat Box",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 1 \"Red Minstrel Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Minstrel Hat Box",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box containing 1 \"Red Minstrel Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14412: {
			unidentifiedDisplayName: "Bonus Box 01",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Bubble Gum\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 01",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Bubble Gum\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14413: {
			unidentifiedDisplayName: "Bonus Box 02",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Small Magical Defense Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 02",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Small Magical Defense Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14414: {
			unidentifiedDisplayName: "Bonus Box 03",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Small Physical Defense Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 03",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Small Physical Defense Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14415: {
			unidentifiedDisplayName: "Bonus Box 04",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Tyr's Blessing\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 04",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Tyr's Blessing\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14416: {
			unidentifiedDisplayName: "Bonus Box 05",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Mental Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 05",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Mental Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14417: {
			unidentifiedDisplayName: "Bonus Box 06",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Scroll of Holy Armor\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 06",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Scroll of Holy Armor\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14418: {
			unidentifiedDisplayName: "Bonus Box 07",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Scroll of Shadow Armor\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 07",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 5 \"Scroll of Shadow Armor\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14419: {
			unidentifiedDisplayName: "Bonus Box 08",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 2 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 08",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Field Manual\", 2 \"JOB Battle Manual\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14420: {
			unidentifiedDisplayName: "Bonus Box 09",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Gym Membership Card\", 5 \"Regeneration Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 09",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Gym Membership Card\", 5 \"Regeneration Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14421: {
			unidentifiedDisplayName: "Bonus Box 10",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Gym Membership Card\", 20 \"Greed Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bonus Box 10",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 5 \"Gym Membership Card\", 20 \"Greed Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14422: {
			unidentifiedDisplayName: "Shaman's Document Box",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Ancient Scroll Of Shaman\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shaman's Document Box",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Ancient Scroll Of Shaman\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14423: {
			unidentifiedDisplayName: "Broken Sword Box",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Broken Sword\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Broken Sword Box",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Broken Sword\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14424: {
			unidentifiedDisplayName: "Bijofnil Feather Box",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Feather Of Bizofnil\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bijofnil Feather Box",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Feather Of Bizofnil\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14425: {
			unidentifiedDisplayName: "Pagdayaw Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 New Pagdayaw in it.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Pagdayaw Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 New Pagdayaw in it.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14426: {
			unidentifiedDisplayName: "Fortune Sword Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Fortune Sword\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fortune Sword Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Fortune Sword\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14427: {
			unidentifiedDisplayName: "Ice Pick Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Ice Pick\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ice Pick Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Ice Pick\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14428: {
			unidentifiedDisplayName: "Kamaitachi Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Kamaitachi\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Kamaitachi Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Kamaitachi\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14429: {
			unidentifiedDisplayName: "Spirited Guitar Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Spirited Guitar\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spirited Guitar Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Spirited Guitar\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14430: {
			unidentifiedDisplayName: "Doom Slayer Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Doom Slayer\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Doom Slayer Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Doom Slayer\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14431: {
			unidentifiedDisplayName: "Huuma Blaze Shuriken Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Huuma Blaze Shuriken\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Huuma Blaze Shuriken Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Huuma Blaze Shuriken\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14432: {
			unidentifiedDisplayName: "Odin's Blessing Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Odin's Blessing\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Odin's Blessing Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Odin's Blessing\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14433: {
			unidentifiedDisplayName: "Ring of Flame Lord Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Ring of Flame Lord\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ring of Flame Lord Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Ring of Flame Lord\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14434: {
			unidentifiedDisplayName: "Ring of Resonance Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Ring of Resonance\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ring of Resonance Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Ring of Resonance\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14435: {
			unidentifiedDisplayName: "Student Cap Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Student Cap\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Student Cap Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Student Cap\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14436: {
			unidentifiedDisplayName: "Ulle's Cap Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Ulle's Cap\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ulle's Cap Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Ulle's Cap\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14437: {
			unidentifiedDisplayName: "Sphinx Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Sphinx Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sphinx Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Sphinx Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14438: {
			unidentifiedDisplayName: "Honglyun's Sword Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Honglyun's Sword\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Honglyun's Sword Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Honglyun's Sword\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14439: {
			unidentifiedDisplayName: "Power Of Thor Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Power Of Thor\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Power Of Thor Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Power Of Thor\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14440: {
			unidentifiedDisplayName: "Dice Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Dice Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dice Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Dice Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14441: {
			unidentifiedDisplayName: "King Tiger Doll Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"King Tiger Doll Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "King Tiger Doll Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"King Tiger Doll Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14442: {
			unidentifiedDisplayName: "Wolf King Helm Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Wandering Wolf Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wolf King Helm Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Wandering Wolf Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14443: {
			unidentifiedDisplayName: "Pizza Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Pizza Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pizza Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Pizza Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14444: {
			unidentifiedDisplayName: "Ice Cream Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Ice Cream Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ice Cream Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 \"Ice Cream Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14447: {
			unidentifiedDisplayName: "Scallywag's Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Pirate's Pride\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scallywag's Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Pirate's Pride\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14448: {
			unidentifiedDisplayName: "Necromancer's Hood Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Necromancer Hood\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Necromancer's Hood Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Necromancer Hood\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14449: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb1\xf4\xc2\xa6\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb1\xf4\xc2\xa6\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14450: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb1\xf4\xc2\xa6\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb1\xf4\xc2\xa6\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14451: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14452: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14453: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14454: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14455: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14456: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14457: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14458: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"...",
				"^ffffff_^000000",
				"Weight :^777777 100^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14459: {
			unidentifiedDisplayName: "Rabbit Magic Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Magic Rabbit Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rabbit Magic Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Magic Rabbit Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14460: {
			unidentifiedDisplayName: "Chinese Wedding Veil Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"RO 5th Wedding Anniversary\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chinese Wedding Veil Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"RO 5th Wedding Anniversary\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14461: {
			unidentifiedDisplayName: "Asara Fairy Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Ashura Fairy Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Asara Fairy Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Ashura Fairy Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14462: {
			unidentifiedDisplayName: "Dark Randgris Helm Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Dark Randgris Helm\" inside.",
				"^ffffff_^000000",
				"A helm laced with the power of Valkyrie Randgris. It helps its wearer to concentrate better.",
				"Dex + 3, Mdef + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dark Randgris Helm Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Dark Randgris Helm\" inside.",
				"^ffffff_^000000",
				"A helm laced with the power of Valkyrie Randgris. It helps its wearer to concentrate better.",
				"DEX + 3, MDEF + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14463: {
			unidentifiedDisplayName: "Purple Cowboy Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Purple Cowboy Hat\" inside.",
				"^ffffff_^000000",
				"A hat, symbolizing western frontiers, made to celebrate the festival.",
				"INT + 2 , VIT + 2 , SP + 50",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Purple Cowboy Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Purple Cowboy Hat\" inside.",
				"^ffffff_^000000",
				"A hat, symbolizing western frontiers, made to celebrate the festival.",
				"INT + 2 , VIT + 2 , SP + 50",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14464: {
			unidentifiedDisplayName: "Dark Randgris Helm Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Dark Randgris Helm\" inside.",
				"^ffffff_^000000",
				"A helm laced with the power of Valkyrie Randgris. It helps its wearer to concentrate better.",
				"Dex + 3, Mdef + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dark Randgris Helm Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Dark Randgris Helm\" inside.",
				"^ffffff_^000000",
				"A helm laced with the power of Valkyrie Randgris. It helps its wearer to concentrate better.",
				"DEX + 3, MDEF + 1",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14465: {
			unidentifiedDisplayName: "Purple Cowboy Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Purple Cowboy Hat\" inside.",
				"^ffffff_^000000",
				"A hat, symbolizing western frontiers, made to celebrate the festival.",
				"INT + 2 , VIT + 2 , SP + 50",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Purple Cowboy Hat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Purple Cowboy Hat\" inside.",
				"^ffffff_^000000",
				"A hat, symbolizing western frontiers, made to celebrate the festival.",
				"INT + 2 , VIT + 2 , SP + 50",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14466: {
			unidentifiedDisplayName: "Valentine's Emblem Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A prize that is given to the hottest character who is the winner of the Valentine's Hottest Contest.",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Valentine's Emblem Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A prize that is given to the hottest character who is the winner of the Valentine's Day event.",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14467: {
			unidentifiedDisplayName: "Carnival Hat Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Carnival Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Carnival Hat Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			identifiedDescriptionName: [
				"A box that contains 1 \"Carnival Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14468: {
			unidentifiedDisplayName: "Carnival Circlet Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Carnival Circlet\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Carnival Circlet Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			identifiedDescriptionName: [
				"A box that contains 1 \"Carnival Circlet\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14469: {
			unidentifiedDisplayName: "Cow Tail Scroll",
			unidentifiedResourceName: "\xb4\xeb\xb8\xb8\xbc\xd2\xb2\xbf\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"A scroll to celebrate the 'Year of Cattle'.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cow Tail Scroll",
			identifiedResourceName: "\xb4\xeb\xb8\xb8\xbc\xd2\xb2\xbf\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll to celebrate the 'Year of Cattle'.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14470: {
			unidentifiedDisplayName: "Nightmare Terror Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Nightmare Terror Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Nightmare Terror Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Nightmare Terror Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14471: {
			unidentifiedDisplayName: "Loli Ruri Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Loli Ruri Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Loli Ruri Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Loli Ruri Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14472: {
			unidentifiedDisplayName: "Goblin Leader Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Goblin Leader Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Goblin Leader Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Goblin Leader Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14473: {
			unidentifiedDisplayName: "Incubus Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Incubus Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Incubus Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Incubus Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14474: {
			unidentifiedDisplayName: "Miyabi Ningyo Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Miyabi Ningyo Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Miyabi Ningyo Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Miyabi Ningyo Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14475: {
			unidentifiedDisplayName: "Giant Whisper Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Giant Whisper Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Whisper Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Giant Whisper Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14476: {
			unidentifiedDisplayName: "Evil Nymph Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Evil Nymph Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Evil Nymph Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Evil Nymph Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14477: {
			unidentifiedDisplayName: "Medusa Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Medusa Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Medusa Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Medusa Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14478: {
			unidentifiedDisplayName: "Stone Shooter Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Stone Shooter Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stone Shooter Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Stone Shooter Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14479: {
			unidentifiedDisplayName: "Marionette Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Marionette Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marionette Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Marionette Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14480: {
			unidentifiedDisplayName: "Leaf Cat Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Leaf Cat Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leaf Cat Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Leaf Cat Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14481: {
			unidentifiedDisplayName: "Dullahan Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Dullahan Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dullahan Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Dullahan Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14482: {
			unidentifiedDisplayName: "Shinobi Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Shinobi Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shinobi Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Shinobi Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14483: {
			unidentifiedDisplayName: "Golem Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Golem Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Golem Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Golem Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14484: {
			unidentifiedDisplayName: "Civil Servant Exchange Coupon Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Civil Servant Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Civil Servant Exchange Coupon Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Civil Servant Exchange Coupon\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14485: {
			unidentifiedDisplayName: "Academy Badge Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Academy Of Badge\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Academy Badge Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			identifiedDescriptionName: [
				"A box that contains 1 \"Academy Of Badge\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14486: {
			unidentifiedDisplayName: "Clergyman Grad Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Academy Freshman Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Clergyman Grad Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Academy Freshman Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14487: {
			unidentifiedDisplayName: "Magician Grad Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Academy Completion Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Magician Grad Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			identifiedDescriptionName: [
				"A box that contains 1 \"Academy Completion Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14488: {
			unidentifiedDisplayName: "Blue Pajamas Hat Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Blue Pajamas Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Blue Pajamas Hat Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Blue Pajamas Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14489: {
			unidentifiedDisplayName: "Pink Pajamas Hat Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Pink Pajamas Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Pink Pajamas Hat Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Pink Pajamas Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14490: {
			unidentifiedDisplayName: "Shark Hat Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Shark Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shark Hat Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Shark Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14491: {
			unidentifiedDisplayName: "Sting Hat Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Sting Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sting Hat Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Sting Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14492: {
			unidentifiedDisplayName: "Shark Hat Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Shark Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shark Hat Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Shark Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14493: {
			unidentifiedDisplayName: "Sting Hat Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Sting Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sting Hat Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Sting Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14494: {
			unidentifiedDisplayName: "Samambaia Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Tiara Samambaia\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Samambaia Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Tiara Samambaia\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14495: {
			unidentifiedDisplayName: "Aquarius Diadem Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Aquarius Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aquarius Diadem Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Aquarius Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14496: {
			unidentifiedDisplayName: "Aquarius Crown Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Aquarius Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aquarius Crown Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Aquarius Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14497: {
			unidentifiedDisplayName: "Pisces Diadem Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Pisces Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pisces Diadem Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Pisces Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14498: {
			unidentifiedDisplayName: "Pisces Crown Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Pisces Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pisces Crown Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Pisces Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14499: {
			unidentifiedDisplayName: "Peacock Feather Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Peacock Feather\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Peacock Feather Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Peacock Feather\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14500: {
			unidentifiedDisplayName: "Life Insurrance Certificate",
			unidentifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			unidentifiedDescriptionName: [
				"A life insurance certificate issued by Kafra Center.",
				"Once the player receives the benefit from this certificate, the item will lose its effect.",
				"If the character dies within the 60 minutes duration, no loss of EXP will be made.",
				"Corrected display suppose to be will not lose any experience the first time you ko'ed.",
				"The effect will disappear after your first KO'.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Life Insurrance Certificate",
			identifiedResourceName: "\xbb\xfd\xb8\xed\xba\xb8\xc7\xe8\xc1\xf5\xbc\xad",
			identifiedDescriptionName: [
				"A life insurance certificate issued by Kafra Center.",
				"Once the player receives the benefit from this certificate, the item will lose its effect.",
				"If the character dies within the 60 minutes duration, no loss of EXP will be made.",
				"Corrected display suppose to be will not lose any experience the first time you ko'ed.",
				"The effect will disappear after your first KO'.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14508: {
			unidentifiedDisplayName: "Zeny Pet Egg Scroll",
			unidentifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll which gives you a random of amount zeny.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Zeny Pet Egg Scroll",
			identifiedResourceName: "\xbe\xcf\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll which gives you a random of amount zeny.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14509: {
			unidentifiedDisplayName: "Light Concentration Potion",
			unidentifiedResourceName: "\xc1\xfd\xc1\xdf\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potent medicine that stimulates concentration.",
				"Temporarily increases Attack Speed.",
				"Weight :^777777 2^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			identifiedDisplayName: "Light Concentration Potion",
			identifiedResourceName: "\xc1\xfd\xc1\xdf\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potent medicine that stimulates concentration.",
				"Temporarily increases Attack Speed.",
				"Weight :^777777 2^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14510: {
			unidentifiedDisplayName: "Light Awakening Potion",
			unidentifiedResourceName: "\xb0\xa2\xbc\xba\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A special tonic that combats the effects of drowsiness.",
				"Temporarily increases Attack Speed.",
				"Weight :^777777 2^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 All except Acolyte, Priest, Bard and Dancer^000000",
			],
			identifiedDisplayName: "Light Awakening Potion",
			identifiedResourceName: "\xb0\xa2\xbc\xba\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A special tonic that combats the effects of drowsiness.",
				"Temporarily increases Attack Speed.",
				"Weight :^777777 2^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 All except Acolyte, Priest, Bard and Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14511: {
			unidentifiedDisplayName: "Light Berserk Potion",
			unidentifiedResourceName: "\xb9\xf6\xbc\xad\xc5\xa9\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"Remarkably powerful medicine that stimulates circulation and amplifies quickness.",
				"Temporarily increases Attack Speed.",
				"Weight :^777777 2^000000",
				"Required Level :^777777 85^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, TaeKwon Class, Mage, Wizard, Rogue^000000",
			],
			identifiedDisplayName: "Light Berserk Potion",
			identifiedResourceName: "\xb9\xf6\xbc\xad\xc5\xa9\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"Remarkably powerful medicine that stimulates circulation and amplifies quickness.",
				"Temporarily increases Attack Speed.",
				"Weight :^777777 2^000000",
				"Required Level :^777777 85^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, TaeKwon Class, Mage, Wizard, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14512: {
			unidentifiedDisplayName: "Meteor Storm Scroll",
			unidentifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Meteor Storm^000000. You can feel the great magical power from it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Meteor Storm Scroll",
			identifiedResourceName: "\xba\xd2\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Meteor Storm^000000. You can feel the great magical power from it.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14513: {
			unidentifiedDisplayName: "Storm Gust Scroll",
			unidentifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Storm Gust^000000. You can feel the cold magical force from the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Storm Gust Scroll",
			identifiedResourceName: "\xb9\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Storm Gust^000000. You can feel the cold magical force from the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14514: {
			unidentifiedDisplayName: "Lord of Vermilion Scroll",
			unidentifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Lord of Vermilion^000000. You can feel the great magical force from the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lord of Vermilion Scroll",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Lord of Vermilion^000000. You can feel the great magical force from the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14515: {
			unidentifiedDisplayName: "Lex Aeterna Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 1 Lex Aeterna^000000. You can feel the power of holy spell from the box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lex Aeterna Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 1 Lex Aeterna^000000. You can feel the power of holy spell from the box.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14516: {
			unidentifiedDisplayName: "Magnificat Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Magnificat^000000. It has beautiful letters written on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Magnificat Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Magnificat^000000. It has beautiful letters written on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14517: {
			unidentifiedDisplayName: "Chemical Protection Helm Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Chemical Protection Helm^000000. It has some mysterious letters written on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chemical Protection Helm Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Chemical Protection Helm^000000. It has some mysterious letters written on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14518: {
			unidentifiedDisplayName: "Chemical Protection Shield Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Chemical Protection Shield^000000. It has some mysterious letters written on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chemical Protection Shield Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Chemical Protection Shield^000000. It has some mysterious letters written on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14519: {
			unidentifiedDisplayName: "Chemical Protection Armor Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Chemical Protection Armor^000000. It has some mysterious letters written on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chemical Protection Armor Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Chemical Protection Armor^000000. It has some mysterious letters written on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14520: {
			unidentifiedDisplayName: "Chemical Protection Weapon Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Chemical Protection Weapon^000000. It has some mysterious letters written on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chemical Protection Weapon Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Chemical Protection Weapon^000000. It has some mysterious letters written on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14521: {
			unidentifiedDisplayName: "Repair Weapon Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 1 Repair Weapon^000000. It has some mysterious letters written on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Repair Weapon Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 1 Repair Weapon^000000. It has some mysterious letters written on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14522: {
			unidentifiedDisplayName: "Big Bun",
			unidentifiedResourceName: "\xb8\xb8\xb5\xce",
			unidentifiedDescriptionName: [
				"A delicious looking bun which is big enough for two person to eat together. ^000088It recovers your HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Bun",
			identifiedResourceName: "\xb8\xb8\xb5\xce",
			identifiedDescriptionName: [
				"A delicious looking bun which is big enough for two person to eat together. ^000088It recovers your HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14523: {
			unidentifiedDisplayName: "Pill",
			unidentifiedResourceName: "\xb1\xdd\xc8\xaf\xbe\xe0",
			unidentifiedDescriptionName: [
				"A very bitter pill. It is made with traditional recipe which has been handed down from the family of who have 5000 years of tradition in pharmacy.",
				"Don't swallow it once. ^000088You should chew it slowly in order to recover your SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pill",
			identifiedResourceName: "\xb1\xdd\xc8\xaf\xbe\xe0",
			identifiedDescriptionName: [
				"A very bitter pill. It is made with traditional recipe which has been handed down from the family of who have 5000 years of tradition in pharmacy.",
				"Don't swallow it once. ^000088You should chew it slowly in order to recover your SP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14524: {
			unidentifiedDisplayName: "Superb Fish Slice",
			unidentifiedResourceName: "\xc8\xb8",
			unidentifiedDescriptionName: [
				"A slice of a very rare fish that can barely be caught once a year. It has the scent of blue sea.",
				"^000088It recovers your SP and HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Superb Fish Slice",
			identifiedResourceName: "\xc8\xb8",
			identifiedDescriptionName: [
				"A slice of a very rare fish that can barely be caught once a year. It has the scent of blue sea.",
				"^000088It recovers your SP and HP^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14525: {
			unidentifiedDisplayName: "Chewy Ricecake",
			unidentifiedResourceName: "\xb4\xd9\xbd\xc4",
			unidentifiedDescriptionName: [
				"A chewy delicious rice cake. It gives you +10 ATK for 30 min.",
				"No one knows why the rice cake has this special function.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chewy Ricecake",
			identifiedResourceName: "\xb4\xd9\xbd\xc4",
			identifiedDescriptionName: [
				"A chewy delicious rice cake. It gives you +10 ATK for 30 min.",
				"No one knows why the rice cake has this special function.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14526: {
			unidentifiedDisplayName: "Pastry",
			unidentifiedResourceName: "\xc0\xaf\xb0\xfa",
			unidentifiedDescriptionName: [
				"A traditional pastry which is made of liquors and grains. It gives you +10 MATK for 30 min.",
				"No one knows why the pastry has this special function.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pastry",
			identifiedResourceName: "\xc0\xaf\xb0\xfa",
			identifiedDescriptionName: [
				"A traditional pastry which is made of liquors and grains. It gives you +10 MATK for 30 min.",
				"No one knows why the pastry has this special function.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14527: {
			unidentifiedDisplayName: "Dungeon Teleport Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll with lots of dungeon coordination written on it. You can go to the place you want by tearing the paper into pieces.",
				"When used allows you to teleport to a specific dungeon from the following list:",
				"Nogg Road Dungeon (Magma Dungeon), Mjolnir Dead Pit (Coal Mines), Umbala Dungeon, Payon Caves, Toy Factory,",
				"Glast Heim Prison, Louyang Dungeon, Kunlun Dungeon, Izlude Undersea Tunnel (Byalan), Turtle Island, Clocktower 3F,",
				"Clocktower B3F, Glast Heim Sewers 2F, Sphinx Dungeon 4F, Pyramid Dungeon 4F, Prontera Culverts 3F, Amatsu Dungeon 1F,",
				"Somatology Laboratory 1F, Ayotaya Dungeon 2F.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dungeon Teleport Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll with lots of dungeon coordination written on it. You can go to the place you want by tearing the paper into pieces.",
				"When used allows you to teleport to a specific dungeon from the following list:",
				"Nogg Road Dungeon (Magma Dungeon), Mjolnir Dead Pit (Coal Mines), Umbala Dungeon, Payon Caves, Toy Factory,",
				"Glast Heim Prison, Louyang Dungeon, Kunlun Dungeon, Izlude Undersea Tunnel (Byalan), Turtle Island, Clocktower 3F,",
				"Clocktower B3F, Glast Heim Sewers 2F, Sphinx Dungeon 4F, Pyramid Dungeon 4F, Prontera Culverts 3F, Amatsu Dungeon 1F,",
				"Somatology Laboratory 1F, Ayotaya Dungeon 2F.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14528: {
			unidentifiedDisplayName: "PVP Teleport Scroll",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that contains the incantation of ^008800Teleportation^000000 to PVP Room. The word written on it can not be identified.",
				"Allow character to teleport to the PVP Room.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "PVP Teleport Scroll",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that contains the incantation of ^008800Teleportation^000000 to PVP Room. The word written on it can not be identified.",
				"Allow character to teleport to the PVP Room.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14529: {
			unidentifiedDisplayName: "Greed Scroll",
			unidentifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Greed scroll that can be used as scroll.",
				"Warning! - Not available in town. When used, it causes damage on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Greed Scroll",
			identifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Greed scroll that can be used as scroll.",
				"Warning! - Not available in town. When used, it causes damage on the scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14530: {
			unidentifiedDisplayName: "Evasion Scroll",
			unidentifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Evasion_Scroll - Increases Dodge for 30 minutes.",
				"Effect disappear upon death.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Evasion Scroll",
			identifiedResourceName: "\xb9\xd9\xb6\xf7\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Evasion_Scroll - Increases Dodge for 30 minutes.",
				"Effect disappear upon death.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14531: {
			unidentifiedDisplayName: "Concentration Scroll",
			unidentifiedResourceName: "\xbf\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Concentration Scroll - Increases Accuracy for 30 minutes.",
				"Effect disappear upon death.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Concentration Scroll",
			identifiedResourceName: "\xbf\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Concentration Scroll - Increases Accuracy for 30 minutes.",
				"Effect disappear upon death.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14532: {
			unidentifiedDisplayName: "Basic Field Manual",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			unidentifiedDescriptionName: [
				"A manual that explains the effective way of the battle. It is a very detailed and well composed manual.",
				"^000088Exp rate is increased to 25% for 30 minutes^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Basic Field Manual",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			identifiedDescriptionName: [
				"A manual that explains the effective way of the battle. It is a very detailed and well composed manual.",
				"^000088Exp rate is increased to 25% for 30 minutes^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14533: {
			unidentifiedDisplayName: "Advanced Field Manual",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			unidentifiedDescriptionName: [
				"A manual that explains the effective way of the battle. It is a very detailed and well composed manual.",
				"^000088Exp rate is increased to 100% for 30 minutes^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Advanced Field Manual",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			identifiedDescriptionName: [
				"A manual that explains the effective way of the battle. It is a very detailed and well composed manual.",
				"^000088Exp rate is increased to 100% for 30 minutes^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14534: {
			unidentifiedDisplayName: "Small Life Potion",
			unidentifiedResourceName: "\xb1\xbc\xb6\xf3\xb8\xb8",
			unidentifiedDescriptionName: [
				"A small bottle of Yggdrasil Tree Sap that is effective in healing wounds.",
				"For 10 minutes, you regenerate 5% of your Maximum HP every 5 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Life Potion",
			identifiedResourceName: "\xb1\xbc\xb6\xf3\xb8\xb8",
			identifiedDescriptionName: [
				"A small bottle of Yggdrasil Tree Sap that is effective in healing wounds.",
				"For 10 minutes, you regenerate 5% of your Maximum HP every 5 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14535: {
			unidentifiedDisplayName: "Medium Life Potion",
			unidentifiedResourceName: "\xbd\xce\xb0\xed",
			unidentifiedDescriptionName: [
				"A small bottle of Yggdrasil Tree Sap that is effective in healing wounds.",
				"For 10 minutes, you regenerate 7% of your Maximum HP every 4 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Medium Life Potion",
			identifiedResourceName: "\xbd\xce\xb0\xed",
			identifiedDescriptionName: [
				"A small bottle of Yggdrasil Tree Sap that is effective in healing wounds.",
				"For 10 minutes, you regenerate 7% of your Maximum HP every 4 seconds. Can not be used while in Frenzy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14536: {
			unidentifiedDisplayName: "Abrasive",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb0\xbf\xa1\xc0\xcf",
			unidentifiedDescriptionName: [
				"An abrasive that adds sharpness to a weapon.",
				"For 5 minutes, the player will recieve +30 Critical Rate. This rate is doubled by Katar weapons.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Abrasive",
			identifiedResourceName: "\xb1\xd7\xb8\xb0\xbf\xa1\xc0\xcf",
			identifiedDescriptionName: [
				"An abrasive that adds sharpness to a weapon.",
				"For 5 minutes, the player will recieve +30 Critical Rate. This rate is doubled by Katar weapons.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14537: {
			unidentifiedDisplayName: "Regeneration Potion",
			unidentifiedResourceName: "\xc3\xca\xb7\xcf\xbf\xa1\xc0\xcf",
			unidentifiedDescriptionName: [
				"A magic potion made with alchemy and magic. A Rosary is rumored to be one of the secret ingredients in making this potion. ",
				"For 30 minutes, the recovery amount from all heal, recovery items,",
				"And ^008800Sanctuary^000000 is increased by 20% on your character.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Regeneration Potion",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbf\xa1\xc0\xcf",
			identifiedDescriptionName: [
				"A magic potion made with alchemy and magic. A Rosary is rumored to be one of the secret ingredients in making this potion.",
				"For 30 minutes, the recovery amount from all heal, recovery items,",
				"And ^008800Sanctuary^000000 is increased by 20% on your character.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14538: {
			unidentifiedDisplayName: "Glass of Illusion",
			unidentifiedResourceName: "\xbc\xba\xbc\xf6",
			unidentifiedDescriptionName: [
				"A glass containing Wine Glass of Illusion who have drunk its, will be create illusion.",
				"Provides +20 Perfect Dodge for 1 minute. Cooldown for 5 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Glass of Illusion",
			identifiedResourceName: "\xbc\xba\xbc\xf6",
			identifiedDescriptionName: [
				"A glass containing Wine Glass of Illusion who have drunk its, will be create illusion.",
				"Provides +20 Perfect Dodge for 1 minute. Cooldown for 5 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14539: {
			unidentifiedDisplayName: "Shadow Armor Scroll",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll containing Scroll of Shadow Armor. This scroll will build shadow armor for protection.",
				"Turns your body element into ^777777Shadow^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shadow Armor Scroll",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll containing Scroll of Shadow Armor. This scroll will build shadow armor for protection.",
				"Turns your body element into ^777777Shadow^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14540: {
			unidentifiedDisplayName: "Holy Armor Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll containing Scroll of Holy Armor. This scroll will build holy armor for protection.",
				"Turns your body element into ^777777Holy^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Holy Armor Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll containing Scroll of Holy Armor. This scroll will build holy armor for protection.",
				"Turns your body element into ^777777Holy^000000 Property for 30 minutes. Effect does not disappear upon death.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14541: {
			unidentifiedDisplayName: "Small Defense Potion",
			unidentifiedResourceName: "\xb6\xfb\xc4\xab",
			unidentifiedDescriptionName: [
				"A liquid make with skin of dragon.",
				"Add a 3% resistance to the Physical attack for 1 minute.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Defense Potion",
			identifiedResourceName: "\xb6\xfb\xc4\xab",
			identifiedDescriptionName: [
				"A liquid make with skin of dragon.",
				"Add a 3% resistance to the Physical attack for 1 minute.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14542: {
			unidentifiedDisplayName: "Big Defense Potion",
			unidentifiedResourceName: "\xb6\xfb\xc4\xab",
			unidentifiedDescriptionName: [
				"A liquid make with skin of dragon.",
				"Add a 3% resistance to the Physical attack for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Defense Potion",
			identifiedResourceName: "\xb6\xfb\xc4\xab",
			identifiedDescriptionName: [
				"A liquid make with skin of dragon.",
				"Add a 3% resistance to the Physical attack for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14543: {
			unidentifiedDisplayName: "Small Magic Defense Potion",
			unidentifiedResourceName: "\xb8\xb6\xc4\xab\xc7\xaa\xb3\xeb",
			unidentifiedDescriptionName: [
				"A liquid make with moustache of elf.",
				"Add a 3% resistance to the Magical attack for 1 minute.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Magic Defense Potion",
			identifiedResourceName: "\xb8\xb6\xc4\xab\xc7\xaa\xb3\xeb",
			identifiedDescriptionName: [
				"A liquid make with moustache of elf.",
				"Add a 3% resistance to the Magical attack for 1 minute.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14544: {
			unidentifiedDisplayName: "Big Magic Defense Potion",
			unidentifiedResourceName: "\xb8\xb6\xc4\xab\xc7\xaa\xb3\xeb",
			unidentifiedDescriptionName: [
				"A liquid make with moustache of elf.",
				"Add a 3% resistance to the Magical attack for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Big Magic Defense Potion",
			identifiedResourceName: "\xb8\xb6\xc4\xab\xc7\xaa\xb3\xeb",
			identifiedDescriptionName: [
				"A liquid make with moustache of elf.",
				"Add a 3% resistance to the Magical attack for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14545: {
			unidentifiedDisplayName: "Battle Manual X3",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			unidentifiedDescriptionName: [
				"A manual that explains the effective way of the battle. It is a very detailed and well composed manual.",
				"^000088Exp rate is increased to 300% for 30 minutes^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Battle Manual X3",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			identifiedDescriptionName: [
				"A manual that explains the effective way of the battle. It is a very detailed and well composed manual.",
				"^000088Exp rate is increased to 300% for 30 minutes^000000.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14546: {
			unidentifiedDisplayName: "I Love You Firecracker",
			unidentifiedResourceName: "\xc6\xf8\xc1\xd7",
			unidentifiedDescriptionName: [
				"Phrase 'I LOVE YOU!' pops out with Fire cracker.",
				"Flammable. Keep out of reach of children.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "I Love You Firecracker",
			identifiedResourceName: "\xc6\xf8\xc1\xd7",
			identifiedDescriptionName: [
				"Phrase 'I LOVE YOU!' pops out with Fire cracker.",
				"Flammable. Keep out of reach of children.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14547: {
			unidentifiedDisplayName: "Whiteday Firecracker",
			unidentifiedResourceName: "\xc6\xf8\xc1\xd7",
			unidentifiedDescriptionName: [
				"Phrase 'HAPPY WHITEDAY!' pops out with Fire cracker.",
				"Flammable. Keep out of reach of children.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Whiteday Firecracker",
			identifiedResourceName: "\xc6\xf8\xc1\xd7",
			identifiedDescriptionName: [
				"Phrase 'HAPPY WHITEDAY!' pops out with Fire cracker.",
				"Flammable. Keep out of reach of children.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14548: {
			unidentifiedDisplayName: "Valentine's Day Firecracker",
			unidentifiedResourceName: "\xc6\xf8\xc1\xd7",
			unidentifiedDescriptionName: [
				"Phrase 'HAPPY VALENTINE's DAY!' pops out with Fire cracker.",
				"Flammable. Keep out of reach of children.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Valentine's Day Firecracker",
			identifiedResourceName: "\xc6\xf8\xc1\xd7",
			identifiedDescriptionName: [
				"Phrase 'HAPPY VALENTINE's DAY!' pops out with Fire cracker.",
				"Flammable. Keep out of reach of children.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14549: {
			unidentifiedDisplayName: "Birthday Firecracker",
			unidentifiedResourceName: "\xc6\xf8\xc1\xd7",
			unidentifiedDescriptionName: [
				"Phrase 'HAPPY BIRTHDAY!' pops out with Fire cracker.",
				"Flammable. Keep out of reach of children.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Birthday Firecracker",
			identifiedResourceName: "\xc6\xf8\xc1\xd7",
			identifiedDescriptionName: [
				"Phrase 'HAPPY BIRTHDAY!' pops out with Fire cracker.",
				"Flammable. Keep out of reach of children.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14550: {
			unidentifiedDisplayName: "Xmas Firecracker",
			unidentifiedResourceName: "\xc6\xf8\xc1\xd7",
			unidentifiedDescriptionName: [
				"Phrase 'MERRY CHRISTMAS!' pops out with Fire cracker.",
				"Flammable. Keep out of reach of children.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			identifiedDisplayName: "Xmas Firecracker",
			identifiedResourceName: "\xc6\xf8\xc1\xd7",
			identifiedDescriptionName: [
				"Phrase 'MERRY CHRISTMAS!' pops out with Fire cracker.",
				"Flammable. Keep out of reach of children.",
				"^ffffff_^000000",
				"Weight :^777777 2^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14551: {
			unidentifiedDisplayName: "Fried Grasshopper Legs",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x31",
			unidentifiedDescriptionName: [
				"A dish that is easy and convenient for beginner chefs; it has a fresh, grassy taste, strangely enough.",
				"STR + 1",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fried Grasshopper Legs",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x31",
			identifiedDescriptionName: [
				"A dish that is easy and convenient for beginner chefs; it has a fresh, grassy taste, strangely enough.",
				"STR + 1",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14552: {
			unidentifiedDisplayName: "Seasoned Sticky Webfoot",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"A dish that looks slightly unappetizing, but its taste and scent are quite pleasant.",
				"STR + 2",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Seasoned Sticky Webfoot",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"A dish that looks slightly unappetizing, but its taste and scent are quite pleasant.",
				"STR + 2",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14553: {
			unidentifiedDisplayName: "Bomber Steak",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"It looks like an ordinary steak, but it is explosively flavorful and juicy.",
				"STR + 3",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bomber Steak",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"It looks like an ordinary steak, but it is explosively flavorful and juicy.",
				"STR + 3",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14554: {
			unidentifiedDisplayName: "Grape Juice Herbal Tea",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x31",
			unidentifiedDescriptionName: [
				"A sweetly scented tea made by mixing herbs and grape juice.",
				"INT + 1",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Grape Juice Herbal Tea",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x31",
			identifiedDescriptionName: [
				"A sweetly scented tea made by mixing herbs and grape juice.",
				"INT + 1",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14555: {
			unidentifiedDisplayName: "Autumn Red Tea",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"A tea made with 3 different herbs that give it a refreshingly strong scent, but also a bland flavor.",
				"INT + 2",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Autumn Red Tea",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"A tea made with 3 different herbs that give it a refreshingly strong scent, but also a bland flavor.",
				"INT + 2",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14556: {
			unidentifiedDisplayName: "Honey Herbal Tea",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"An invigoratingly hot herbal whose flavor is enhanced with the sweetness of honey.",
				"INT + 3",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Honey Herbal Tea",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"An invigoratingly hot herbal whose flavor is enhanced with the sweetness of honey.",
				"INT + 3",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14557: {
			unidentifiedDisplayName: "Steamed Crab Nippers",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x31",
			unidentifiedDescriptionName: [
				"A simple dish made from steamed crab nippers and herbs.",
				"VIT + 1",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Crab Nippers",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x31",
			identifiedDescriptionName: [
				"A simple dish made from steamed crab nippers and herbs.",
				"VIT + 1",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14558: {
			unidentifiedDisplayName: "Assorted Seafood",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"Assorted seafood that makes people that live near the sea feel very homesick. Unless, of course, they're eating this food at home.",
				"VIT + 2",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Assorted Seafood",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"Assorted seafood that makes people that live near the sea feel very homesick. Unless, of course, they're eating this food at home.",
				"VIT + 2",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14559: {
			unidentifiedDisplayName: "Clam Soup",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"Fresh ocean clams boiled in water make for an excellent tender clam meat soup.",
				"VIT + 3",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Clam Soup",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"Fresh ocean clams boiled in water make for an excellent tender clam meat soup.",
				"VIT + 3",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14560: {
			unidentifiedDisplayName: "Frog Egg Squid Ink Soup",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x31",
			unidentifiedDescriptionName: [
				"A soup made with squid ink broth and frog eggs that most people can't eat until they close their eyes.",
				"AGI + 1",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Frog Egg Squid Ink Soup",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x31",
			identifiedDescriptionName: [
				"A soup made with squid ink broth and frog eggs that most people can't eat until they close their eyes.",
				"AGI + 1",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14561: {
			unidentifiedDisplayName: "Smooth Noodle",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"Incredibly smooth, slick, and slippery noodles that are very difficult to eat.",
				"AGI + 2",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Smooth Noodle",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"Incredibly smooth, slick, and slippery noodles that are very difficult to eat.",
				"AGI + 2",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14562: {
			unidentifiedDisplayName: "Tentacle Cheese Gratin",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"Cheese gratin with steamed tentacles mixed into it for an unique flavor.",
				"AGI + 3",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tentacle Cheese Gratin",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"Cheese gratin with steamed tentacles mixed into it for an unique flavor.",
				"AGI + 3",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14563: {
			unidentifiedDisplayName: "Honey Grape Juice",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x31",
			unidentifiedDescriptionName: [
				"A special mixed drink of grape juice and honey that has a sweet and sour taste.",
				"DEX + 1",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Honey Grape Juice",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x31",
			identifiedDescriptionName: [
				"A special mixed drink of grape juice and honey that has a sweet and sour taste.",
				"DEX + 1",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14564: {
			unidentifiedDisplayName: "Chocolate Mousse Cake",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"A special chocolate mousse cake with a smooth luxurious flavor that even Charles Orleans would be proud of.",
				"DEX + 2",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chocolate Mousse Cake",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"A special chocolate mousse cake with a smooth luxurious flavor that even Charles Orleans would be proud of.",
				"DEX + 2",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14565: {
			unidentifiedDisplayName: "Fruit Mix",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"A mix of various, crisp fruit flavored with light, sweet syrup.",
				"DEX + 3",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fruit Mix",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"A mix of various, crisp fruit flavored with light, sweet syrup.",
				"DEX + 3",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14566: {
			unidentifiedDisplayName: "Fried Monkey Tails",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x31",
			unidentifiedDescriptionName: [
				"Lightly spiced monkey tails deep fried in oil that are popular as a side dish for drinking.",
				"LUK + 1",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fried Monkey Tails",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x31",
			identifiedDescriptionName: [
				"Lightly spiced monkey tails deep fried in oil that are popular as a side dish for drinking.",
				"LUK + 1",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14567: {
			unidentifiedDisplayName: "Mixed Juice",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x32",
			unidentifiedDescriptionName: [
				"A cocktail mixed from various fruit juices. If improperly prepared, it will lack that certain taste.",
				"LUK + 2",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mixed Juice",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x32",
			identifiedDescriptionName: [
				"A cocktail mixed from various fruit juices. If improperly prepared, it will lack that certain taste.",
				"LUK + 2",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14568: {
			unidentifiedDisplayName: "Fried Sweet Potato",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x33",
			unidentifiedDescriptionName: [
				"Crunchy, fried sweet potatoes topped with light syrup. Taste very sweet and are perfect if eaten between meals.",
				"LUK + 3",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fried Sweet Potato",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x33",
			identifiedDescriptionName: [
				"Crunchy, fried sweet potatoes topped with light syrup. Taste very sweet and are perfect if eaten between meals.",
				"LUK + 3",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14569: {
			unidentifiedDisplayName: "Knife Goblin Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"A shinning ring. Goblin(Knife) finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Knife Goblin Ring",
			identifiedResourceName: "\xb8\xb5",
			identifiedDescriptionName: [
				"A shinning ring. Goblin(Knife) finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14570: {
			unidentifiedDisplayName: "Flail Goblin Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"A shinning ring. Goblin(Flail) finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Flail Goblin Ring",
			identifiedResourceName: "\xb8\xb5",
			identifiedDescriptionName: [
				"A shinning ring. Goblin(Flail) finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14571: {
			unidentifiedDisplayName: "Hammer Goblin Ring",
			unidentifiedResourceName: "\xb8\xb5",
			unidentifiedDescriptionName: [
				"A shinning ring. Goblin(Hammer) finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Hammer Goblin Ring",
			identifiedResourceName: "\xb8\xb5",
			identifiedDescriptionName: [
				"A shinning ring. Goblin(Hammer) finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14572: {
			unidentifiedDisplayName: "Holy Marble",
			unidentifiedResourceName: "\xb7\xb9\xb5\xe5\xc1\xaa\xbd\xba\xc5\xe6",
			unidentifiedDescriptionName: [
				"A rounded shaped red stone. Red Deleter finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Holy Marble",
			identifiedResourceName: "\xb7\xb9\xb5\xe5\xc1\xaa\xbd\xba\xc5\xe6",
			identifiedDescriptionName: [
				"A rounded shaped red stone. Red Deleter finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14573: {
			unidentifiedDisplayName: "Red Burning Stone",
			unidentifiedResourceName: "\xc1\xf8\xc8\xab\xbb\xf6\xba\xb8\xbc\xae",
			unidentifiedDescriptionName: [
				"A red stone which has the feeling of warmth when touched. Diabolic finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Red Burning Stone",
			identifiedResourceName: "\xc1\xf8\xc8\xab\xbb\xf6\xba\xb8\xbc\xae",
			identifiedDescriptionName: [
				"A red stone which has the feeling of warmth when touched. Diabolic finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14574: {
			unidentifiedDisplayName: "Skull Of Vagabond",
			unidentifiedResourceName: "\xc7\xd8\xb0\xf1\xb9\xd9\xb0\xa1\xc1\xf6",
			unidentifiedDescriptionName: [
				"A remains of someone. Wanderer finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			identifiedDisplayName: "Vagabond's Skull",
			identifiedResourceName: "\xc7\xd8\xb0\xf1\xb9\xd9\xb0\xa1\xc1\xf6",
			identifiedDescriptionName: [
				"A remains of someone. Wanderer finds it to be very tasty.",
				"Class :^777777 Taming Item^000000",
				"Weight :^777777 5^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14575: {
			unidentifiedDisplayName: "Lutie Lady's Pancake",
			unidentifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"A special cake which made by Thachentze, a cookery from Lutie.",
				"STR + 5",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lutie Lady's Pancake",
			identifiedResourceName: "\xc8\xfb\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"A special cake which made by Thachentze, a cookery from Lutie.",
				"STR + 5",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14576: {
			unidentifiedDisplayName: "Mastela Fruit Wine",
			unidentifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"Wine distilled from Mastela fruit that helps the drinker to maintain clarity of thought.",
				"INT + 5",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mastela Fruit Wine",
			identifiedResourceName: "\xc0\xce\xc6\xae\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"Wine distilled from Mastela fruit that helps the drinker to maintain clarity of thought.",
				"INT + 5",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14577: {
			unidentifiedDisplayName: "Spicy Fried Bao",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"A bao that is fried and seasoned with spicy sauce. If you're not used to spicy food, it's not a good idea to eat too many.",
				"VIT + 5",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spicy Fried Bao",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"A bao that is fried and seasoned with spicy sauce. If you're not used to spicy food, it's not a good idea to eat too many.",
				"VIT + 5",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14578: {
			unidentifiedDisplayName: "Steamed Bat Wing in Pumpkin",
			unidentifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"Steamed pumpkin and Red Bat wings wrapped in a Hinale leaflet that have a combined flavor that is indescribable.",
				"AGI + 5",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Steamed Bat Wing in Pumpkin",
			identifiedResourceName: "\xbe\xee\xc1\xfa\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"Steamed pumpkin and Red Bat wings wrapped in a Hinale leaflet that have a combined flavor that is indescribable.",
				"AGI + 5",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14579: {
			unidentifiedDisplayName: "Green Salad",
			unidentifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"A trendy green salad that is topped with sweet dressing add passion eat.",
				"DEX + 5",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Salad",
			identifiedResourceName: "\xb5\xa6\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"A trendy green salad that is topped with sweet dressing add passion eat.",
				"DEX + 5",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14580: {
			unidentifiedDisplayName: "Fried Scorpion Tails",
			unidentifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x35",
			unidentifiedDescriptionName: [
				"A fried scorpion tail, which is said very dangerous if over eaten.",
				"LUK + 5",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fried Scorpion Tails",
			identifiedResourceName: "\xb7\xb0\xbf\xe4\xb8\xae\x30\x35",
			identifiedDescriptionName: [
				"A fried scorpion tail, which is said very dangerous if over eaten.",
				"LUK + 5",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14581: {
			unidentifiedDisplayName: "Dungeon Teleport Scroll II",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"...",
				"When used allows you to teleport to a specific dungeon from the following list:",
				"Thor's Volcano Dungeon F2 \"Ice Dungeon Entrance\" \"...\" \"Niflheim\" \"Labyrinth\" \"Juperos\"",
				"\"...\" \"Kiel Hyre's School Entrance\" \"Thanatos Tower Entrance\" \"The Abyss Lakes Entrance\"",
				"\"Rachel Temple Entrance\" \"Odin Temple Entrance\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dungeon Teleport Scroll II",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"...",
				"When used allows you to teleport to a specific dungeon from the following list:",
				"Thor's Volcano Dungeon F2 \"Ice Dungeon Entrance\" \"...\" \"Niflheim\" \"Labyrinth\" \"Juperos\"",
				"\"...\" \"Kiel Hyre's School Entrance\" \"Thanatos Tower Entrance\" \"The Abyss Lakes Entrance\"",
				"\"Rachel Temple Entrance\" \"Odin Temple Entrance\".",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14582: {
			unidentifiedDisplayName: "Yellow Butterfly Wing",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"Allows teleportation to any Rune-Midgarts city.",
				"Available cities are Prontera, Geffen, Payon, Morroc, Aldebaran, and Alberta.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Yellow Butterfly Wing",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"Allows teleportation to any Rune-Midgarts city.",
				"Available cities are Prontera, Geffen, Payon, Morroc, Aldebaran, and Alberta.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14583: {
			unidentifiedDisplayName: "Green Butterfly Wing",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"Allows teleportation to any Schwartzvalt city.",
				"Available cities are Juno, Lighthalzen, Einbroch, and Hugel.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Butterfly Wing",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"Allows teleportation to any Schwartzvalt city.",
				"Available cities are Juno, Lighthalzen, Einbroch, and Hugel.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14584: {
			unidentifiedDisplayName: "Red Butterfly Wing",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"Allows teleportation to any Arunafeltz city.",
				"Available cities are Rachel, and Veins.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Butterfly Wing",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"Allows teleportation to any Arunafeltz city.",
				"Available cities are Rachel, and Veins.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14585: {
			unidentifiedDisplayName: "Blue Butterfly Wing",
			unidentifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			unidentifiedDescriptionName: [
				"Allows teleportation to any off continent localized city.",
				"Available cities are Ayothaya, Amatsu, Louyang, and Kunlun.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blue Butterfly Wing",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"Allows teleportation to any off continent localized city.",
				"Available cities are Ayothaya, Amatsu, Louyang, and Kunlun.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14586: {
			unidentifiedDisplayName: "Sparkling Candy",
			unidentifiedResourceName: "\xbb\xe7\xc5\xc1",
			unidentifiedDescriptionName: [
				"A hard candy that feels like its jumping in your mouth when you eat it.",
				"You'll need to remember to brush your teeth after!",
				"1 minute increase ATK + 20, Attack Speed + 25%, and permanent endure.",
				"Decreases 100HP per 10 seconds. Cooldown for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sparkling Candy",
			identifiedResourceName: "\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"A hard candy that feels like its jumping in your mouth when you eat it.",
				"You'll need to remember to brush your teeth after!",
				"1 minute increase ATK + 20, Attack Speed + 25%, and permanent endure.",
				"Decreases 100HP per 10 seconds. Cooldown for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14587: {
			unidentifiedDisplayName: "Repair Weapon Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Weapon Repair Level 1 is usable with this Scroll. Unknown Writings are Engraved.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Repair Weapon Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Weapon Repair Level 1 is usable with this Scroll. Unknown Writings are Engraved.",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14588: {
			unidentifiedDisplayName: "Party Blessing Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll in which a single use of Level 10 Party Blessing has been recorded.",
				"Will cast on all party members within a certain range.",
				"Caution - This item won't work while your character is casting a spell or skill.",
				"This item can only be placed in Kafra storage.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Party Blessing 10 Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll in which a single use of Level 10 Party Blessing has been recorded.",
				"Will cast on all party members within a certain range.",
				"Caution - This item won't work while your character is casting a spell or skill.",
				"This item can only be placed in Kafra storage.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14589: {
			unidentifiedDisplayName: "Party Increase Agi Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll in which a single use of Level 10 Party Increase AGI has been recorded.",
				"Will cast on all party members within a certain range.",
				"Caution - This item won't work while your character is casting a spell or skill.",
				"This item can only be placed in Kafra storage.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Party Increase Agi 10 Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll in which a single use of Level 10 Party Increase AGI has been recorded.",
				"Will cast on all party members within a certain range.",
				"Caution - This item won't work while your character is casting a spell or skill.",
				"This item can only be placed in Kafra storage.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14590: {
			unidentifiedDisplayName: "Party Assumptio Scroll",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll in which a single use of Level 5 Party Assumptio has been recorded.",
				"Will cast on all party members within a certain range.",
				"Caution - This item won't work while your character is casting a spell or skill.",
				"This item can only be placed in Kafra storage.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Party Assumptio 5 Scroll",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll in which a single use of Level 5 Party Assumptio has been recorded.",
				"Will cast on all party members within a certain range.",
				"Caution - This item won't work while your character is casting a spell or skill.",
				"This item can only be placed in Kafra storage.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14591: {
			unidentifiedDisplayName: "WoE Teleport Scroll",
			unidentifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A scroll with guild castles coordinates. You will be warped to the choosen guild castle if use the scroll.",
				"If you last more than 1 minute to make a choise, the scroll will be consumed but the options will be cancelled.",
				"You can choose Neuschwanstein (aldeg_cas01), Hohenschwangau (aldeg_cas02), Nuenberg (aldeg_cas03), Wuerzburg (aldeg_cas04), Rothenburg (aldeg_cas05), Repherion (gefg_cas01), Eeyolbriggar (gefg_cas02 ), Yesnelph (gefg_cas03), Bergel (gefg_cas04), Mersetzdeitz (gefg_cas05), Bright Arbor (payg_cas01), Scarlet Palace (payg_cas02), Holy Shadow (payg_cas03), Sacred Altar (payg_cas04), Bamboo Grove Hill (payg_cas05), Kriemhild (prtg_cas01), Swanhild (prtg_cas02), Fadhgridh (prtg_cas03), Skoegul (prtg_cas04), Gondul (prtg_cas05).",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "WoE Teleport Scroll",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A scroll with guild castles coordinates. You will be warped to the choosen guild castle if use the scroll.",
				"If you last more than 1 minute to make a choise, the scroll will be consumed but the options will be cancelled.",
				"You can choose Neuschwanstein (aldeg_cas01), Hohenschwangau (aldeg_cas02), Nuenberg (aldeg_cas03), Wuerzburg (aldeg_cas04), Rothenburg (aldeg_cas05), Repherion (gefg_cas01), Eeyolbriggar (gefg_cas02 ), Yesnelph (gefg_cas03), Bergel (gefg_cas04), Mersetzdeitz (gefg_cas05), Bright Arbor (payg_cas01), Scarlet Palace (payg_cas02), Holy Shadow (payg_cas03), Sacred Altar (payg_cas04), Bamboo Grove Hill (payg_cas05), Kriemhild (prtg_cas01), Swanhild (prtg_cas02), Fadhgridh (prtg_cas03), Skoegul (prtg_cas04), Gondul (prtg_cas05).",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14592: {
			unidentifiedDisplayName: "Job Battle Manual",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			unidentifiedDescriptionName: [
				"When it used, Exp rate is increased to 50% for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Job Battle Manual",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			identifiedDescriptionName: [
				"When it used, Exp rate is increased to 50% for 30 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14593: {
			unidentifiedDisplayName: "Mystical Amplification Scroll",
			unidentifiedResourceName: "\xbf\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Mystical Amplification^000000.",
				"Caution - This item won't work while your character is casting a spell or skill.",
				"It can be traded or put in storage. It cannot be dropped.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mystical Amplification Scroll",
			identifiedResourceName: "\xbf\xb0\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 10 Mystical Amplification^000000.",
				"Caution - This item won't work while your character is casting a spell or skill.",
				"It can be traded or put in storage. It cannot be dropped.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14594: {
			unidentifiedDisplayName: "Quagmire scroll",
			unidentifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Quagmire^000000.",
				"Attention! This items won't work while above of 4X4 areas.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Quagmire scroll",
			identifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Scroll that has the record of using ^008800Level 5 Quagmire^000000.",
				"Attention! This items won't work while above of 4X4 areas.",
				"Caution-- This item won't work while your character is casting a spell or skill.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14595: {
			unidentifiedDisplayName: "Unsealed Magic Spell",
			unidentifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"Unsealed paper full of magic spell related to transferring. ",
				"By using the spell, the user can be transferred to a certain place.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Unsealed Magic Spell",
			identifiedResourceName: "\xba\xfb\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"Unsealed paper full of magic spell related to transferring.",
				"By using the spell, the user can be transferred to a certain place.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14596: {
			unidentifiedDisplayName: "Pierre's Treasurebox",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box full of something heavy.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			identifiedDisplayName: "Pierre's Treasurebox",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box full of something heavy.",
				"^ffffff_^000000",
				"Weight :^777777 10^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14597: {
			unidentifiedDisplayName: "Phreeoni Scroll",
			unidentifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			unidentifiedDescriptionName: [
				"A Scroll that imbued with great force of Monster Phreeoni.",
				"HIT + 100 for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Phreeoni Scroll",
			identifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			identifiedDescriptionName: [
				"A Scroll that imbued with great force of Monster Phreeoni.",
				"HIT + 100 for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14598: {
			unidentifiedDisplayName: "Ghostring Scroll",
			unidentifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			unidentifiedDescriptionName: [
				"A Scroll that imbued with great force of Monster Ghostring.",
				"Gives Ghost property to a character for 1 minute.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ghostring Scroll",
			identifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			identifiedDescriptionName: [
				"A Scroll that imbued with great force of Monster Ghostring.",
				"Gives Ghost property to a character for 1 minute.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14599: {
			unidentifiedDisplayName: "Greed Scroll",
			unidentifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			unidentifiedDescriptionName: [
				"A greed scroll which can be used. It's kind of just have to be greedy people to feel Why?",
				"Warning! Does not invoke in the city. When you use the scroll is the only consumer.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Greed Scroll",
			identifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad",
			identifiedDescriptionName: [
				"A greed scroll which can be used. It's kind of just have to be greedy people to feel Why?",
				"Warning! Does not invoke in the city. When you use the scroll is the only consumer.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14600: {
			unidentifiedDisplayName: "Mental Potion",
			unidentifiedResourceName: "\xc6\xc4\xb6\xf5\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion that will make you full of spirit.",
				"Increases 10% MaxSP for 30 minutes. SP consumption - 10%.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mental Potion",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion that will make you full of spirit.",
				"Increases 10% MaxSP for 30 minutes. SP consumption - 10%.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14601: {
			unidentifiedDisplayName: "Blessing Of Tyr",
			unidentifiedResourceName: "\xbf\xeb\xba\xb4\xbf\xeb\xbb\xa1\xb0\xa3\xc6\xf7\xbc\xc7",
			unidentifiedDescriptionName: [
				"A potion that possesses the spirit of Tyr, the god of battle.",
				"Increases ATK & 20 MATK for 5 minutes. HIT + 30, Flee Rate + 30 ",
				"Caution!- Item's active duration and ability will not work properly when it is being used with Honey Pastry, Sesame Pastry and Rainbow Cake.",
				"Item option disappears when its owner has drained all energy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Blessing Of Tyr",
			identifiedResourceName: "\xbf\xeb\xba\xb4\xbf\xeb\xbb\xa1\xb0\xa3\xc6\xf7\xbc\xc7",
			identifiedDescriptionName: [
				"A potion that possesses the spirit of Tyr, the god of battle.",
				"Increases ATK & 20 MATK for 5 minutes. HIT + 30, Flee Rate + 30",
				"Caution!- Item's active duration and ability will not work properly when it is being used with Honey Pastry, Sesame Pastry and Rainbow Cake.",
				"Item option disappears when its owner has drained all energy.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14602: {
			unidentifiedDisplayName: "Tao Gunka Scroll",
			unidentifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			unidentifiedDescriptionName: [
				"A Scroll that imbued with great force of Monster Tao Gunka.",
				"For 3 minutes MaxHP + 100%, DEF -50, MDEF -50.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tao Gunka Scroll",
			identifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			identifiedDescriptionName: [
				"A Scroll that imbued with great force of Monster Tao Gunka.",
				"For 3 minutes MaxHP + 100%, DEF -50, MDEF -50.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14603: {
			unidentifiedDisplayName: "Mistress Scroll",
			unidentifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			unidentifiedDescriptionName: [
				"A Scroll that imbued with great force of Monster Mistress.",
				"Enables of casting certain spells without gemstones for 3 minutes.",
				"Increases SP Consumption of skills by 25%.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mistress Scroll",
			identifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			identifiedDescriptionName: [
				"A Scroll that imbued with great force of Monster Mistress.",
				"Enables of casting certain spells without gemstones for 3 minutes.",
				"Increases SP Consumption of skills by 25%.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14604: {
			unidentifiedDisplayName: "Orc Hero Scroll",
			unidentifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			unidentifiedDescriptionName: [
				"A Scroll that imbued with great force of Monster Orc Hero.",
				"Immunity to ^880000Stun^000000 for 1 minute.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Hero Scroll",
			identifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			identifiedDescriptionName: [
				"A Scroll that imbued with great force of Monster Orc Hero.",
				"Immunity to ^880000Stun^000000 for 1 minute.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14605: {
			unidentifiedDisplayName: "Orc Lord Scroll",
			unidentifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			unidentifiedDescriptionName: [
				"A Scroll that imbued with great force of Monster Orc Lord.",
				"Reflects 30% of all physical damage taken for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orc Lord Scroll",
			identifiedResourceName: "\xbe\xee\xb5\xd2\xc0\xc7\xb0\xe8\xbe\xe0\xbc\xad",
			identifiedDescriptionName: [
				"A Scroll that imbued with great force of Monster Orc Lord.",
				"Reflects 30% of all physical damage taken for 3 minutes.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14606: {
			unidentifiedDisplayName: "JOB Battle Manual",
			unidentifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			unidentifiedDescriptionName: [
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "JOB Battle Manual",
			identifiedResourceName: "\xc0\xfc\xc5\xf5\xb1\xb3\xb9\xfc",
			identifiedDescriptionName: [
				"Job Battle Manual - Improves Job exp rate by 25% for 30 minutes. Works in combination with the normal battle manual.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14607: {
			unidentifiedDisplayName: "Luxurious Western Food",
			unidentifiedResourceName: "\xc8\xa3\xc8\xad\xb7\xce\xbf\xee\xbe\xe7\xbd\xc4",
			unidentifiedDescriptionName: [
				"Sumptuous western food.",
				"ALL STATUS + 3 for 1 hour.",
				"^ffffff_^000000",
				"Weight :^777777 60^000000",
			],
			identifiedDisplayName: "Luxurious Western Food",
			identifiedResourceName: "\xc8\xa3\xc8\xad\xb7\xce\xbf\xee\xbe\xe7\xbd\xc4",
			identifiedDescriptionName: [
				"Sumptuous western food.",
				"ALL STATUS + 3 for 1 hour.",
				"^ffffff_^000000",
				"Weight :^777777 60^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14608: {
			unidentifiedDisplayName: "Manchu-Han Imperial Feast",
			unidentifiedResourceName: "\xb8\xb8\xc7\xd1\xc0\xfc\xbc\xae",
			unidentifiedDescriptionName: [
				"Grand and sumptuous Manchu-Han Imperial Feast.",
				"ALL STATUS + 6 for 1 hour.",
				"^ffffff_^000000",
				"Weight :^777777 120^000000",
			],
			identifiedDisplayName: "Manchu-Han Imperial Feast",
			identifiedResourceName: "\xb8\xb8\xc7\xd1\xc0\xfc\xbc\xae",
			identifiedDescriptionName: [
				"Grand and sumptuous Manchu-Han Imperial Feast.",
				"ALL STATUS + 6 for 1 hour.",
				"^ffffff_^000000",
				"Weight :^777777 120^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		14609: {
			unidentifiedDisplayName: "Spoiled Cuisine",
			unidentifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x31\x30",
			unidentifiedDescriptionName: [
				"Process (dishes failed).",
				"^000088Recovery HP & SP + 10%^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			identifiedDisplayName: "Spoiled Cuisine",
			identifiedResourceName: "\xb9\xd9\xc5\xbb\xbf\xe4\xb8\xae\x31\x30",
			identifiedDescriptionName: [
				"Process (dishes failed).",
				"^000088Recovery HP & SP + 10%^000000.",
				"^ffffff_^000000",
				"Weight :^777777 30^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15000: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bone Plate",
			identifiedResourceName: "\xba\xbb\xc7\xc3\xb7\xb9\xc0\xcc\xc6\xae",
			identifiedDescriptionName: [
				"A dark armor covered in sharp bones.",
				"STR + 1, MDEF + 3",
				"Adds a 1% chance to cause ^880000External Bleeding^000000 status ailment all players in a 5x5 area around you.",
				"When dealing physical damage, bypasses 10% defense on demihuman and brute type monsters.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 60^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Thief Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15001: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Odin's Blessing",
			identifiedResourceName: "\xbf\xc0\xb5\xf2\xc0\xc7\xc3\xe0\xba\xb9",
			identifiedDescriptionName: [
				"The main component of the Hermod Armor set.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 0^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15002: {
			unidentifiedDisplayName: "Rune Plate",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rune Plate",
			identifiedResourceName: "\xb8\xde\xc5\xd7\xbf\xc0\xc7\xc3\xb7\xb9\xc0\xcc\xc6\xae",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Armor^000000",
				"Defense :^777777 95^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 99^000000",
				"Applicable Job :^777777 Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15003: {
			unidentifiedDisplayName: "Freya's Spiritual Robe",
			unidentifiedResourceName: "\xb5\xf0\xb9\xd9\xc0\xce\xc5\xac\xb7\xce\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Robe",
			identifiedResourceName: "\xb5\xf0\xb9\xd9\xc0\xce\xc5\xac\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual robe granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"MaxHP + 700.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 7^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15004: {
			unidentifiedDisplayName: "Freya's Spiritual Robe",
			unidentifiedResourceName: "\xb5\xf0\xb9\xd9\xc0\xce\xc5\xac\xb7\xce\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Robe",
			identifiedResourceName: "\xb5\xf0\xb9\xd9\xc0\xce\xc5\xac\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual robe granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"MaxHP + 700.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 7^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15005: {
			unidentifiedDisplayName: "Freya's Spiritual Robe",
			unidentifiedResourceName: "\xb5\xf0\xb9\xd9\xc0\xce\xc5\xac\xb7\xce\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Robe",
			identifiedResourceName: "\xb5\xf0\xb9\xd9\xc0\xce\xc5\xac\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual robe granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"MaxHP + 700.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 7^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15006: {
			unidentifiedDisplayName: "Freya's Spiritual Robe",
			unidentifiedResourceName: "\xb5\xf0\xb9\xd9\xc0\xce\xc5\xac\xb7\xce\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Freya's Spiritual Robe",
			identifiedResourceName: "\xb5\xf0\xb9\xd9\xc0\xce\xc5\xac\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A spiritual robe granted by Freya. It appears very sturdy,",
				"but it will eventually disappear and return to Freya's realm, Folkvangr.",
				"MaxHP + 700.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 7^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 20^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15007: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Guardian Robe",
			identifiedResourceName: "\xc7\xc1\xb7\xb9\xc0\xcc\xbe\xdf\xc0\xc7\xbf\xdc\xc5\xf5",
			identifiedDescriptionName: [
				"...",
				"STR + 2, HP + 200, MDEF + 1.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 62^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15008: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbe\xc6\xb8\xd3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Flame Armor",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"...",
				"MDEF + 1.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 100^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15009: {
			unidentifiedDisplayName: "Paradise TeamUniform¥°",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Uniform I",
			identifiedResourceName: "\xc0\xba\xc7\xfd\xc0\xc7\xbc\xba\xc0\xc7",
			identifiedDescriptionName: [
				"A uniform for use by Paradise Group Members.",
				"It comes in all kinds of sizes so even tall people are ok.",
				"MaxHP + 100, MaxSP + 10.",
				"Impossible to refine this item.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 35^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 12^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15010: {
			unidentifiedDisplayName: "Paradise TeamUniform¥±",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Uniform II",
			identifiedResourceName: "\xc0\xba\xc7\xfd\xc0\xc7\xbc\xba\xc0\xc7",
			identifiedDescriptionName: [
				"A uniform for use by Paradise Group Members.",
				"It comes in all kinds of sizes so even tall people are ok.",
				"MaxHP + 200, MaxSP + 20.",
				"Impossible to refine this item.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 46^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 26^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15011: {
			unidentifiedDisplayName: "Paradise TeamUniform¥²",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Uniform III",
			identifiedResourceName: "\xc0\xba\xc7\xfd\xc0\xc7\xbc\xba\xc0\xc7",
			identifiedDescriptionName: [
				"A uniform for use by Paradise Group Members.",
				"It comes in all kinds of sizes so even tall people are ok.",
				"MaxHP + 300, MaxSP + 30, MDEF + 5.",
				"Impossible to refine this item.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 58^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15012: {
			unidentifiedDisplayName: "Puente Robe",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Puente Robe",
			identifiedResourceName: "\xc7\xbb\xbf\xa3\xc5\xd7\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A radiant pure white robe embroidered with spells.",
				"Fixed casting time - 3% (does not stack with other fixed cast time effects).",
				"Increase effectiveness of healing skills by 5%.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 42^000000",
				"Weight :^777777 40^000000",
				"Required Level :^777777 22^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15013: {
			unidentifiedDisplayName: "Claire Suits",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Claire Suits",
			identifiedResourceName: "\xc5\xac\xb7\xb9\xb8\xa3\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"An adventurer suit refined for maximum defense.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 58^000000",
				"Weight :^777777 280^000000",
				"Required Level :^777777 22^000000",
				"Applicable Job :^777777 Every Trans Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15014: {
			unidentifiedDisplayName: "Ebone Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ebone Armor",
			identifiedResourceName: "\xc4\xa5\xc8\xe6\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"A jet black armor crafted from obsidian ore, decorated with crystal fragments.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 93^000000",
				"Weight :^777777 450^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 3rd Swordman Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15015: {
			unidentifiedDisplayName: "Upgrade Adventure Suit",
			unidentifiedResourceName: "\xbe\xee\xb5\xe5\xb9\xea\xc3\xc4\xbd\xb4\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Adventure Suit",
			identifiedResourceName: "\xb0\xad\xc8\xad\xbe\xee\xb5\xe5\xba\xa5\xc3\xc4\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Adventure Suit\" inside.",
				"MaxHP + 3%",
				"Class :^777777 Armor^000000",
				"Defense :^777777 25^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15016: {
			unidentifiedDisplayName: "Upgrade Coat",
			unidentifiedResourceName: "\xb7\xd5\xc4\xda\xc6\xae",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Coat",
			identifiedResourceName: "\xb0\xad\xc8\xad\xb7\xd5\xc4\xda\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Coat\" inside.",
				"MaxHP + 3%",
				"Class :^777777 Armor^000000",
				"Defense :^777777 47^000000",
				"Weight :^777777 60^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15017: {
			unidentifiedDisplayName: "Upgrade Saint Robe",
			unidentifiedResourceName: "\xbc\xbc\xc0\xce\xc6\xae\xb7\xce\xba\xea",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Saint Robe",
			identifiedResourceName: "\xb0\xad\xc8\xad\xbc\xbc\xc0\xce\xc6\xae\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Saint Robe\" inside.",
				"MaxHP + 3%, MDEF + 5.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 55^000000",
				"Weight :^777777 30^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Merchant Class, Acolyte Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15018: {
			unidentifiedDisplayName: "Upgrade Tights",
			unidentifiedResourceName: "\xc5\xb8\xc0\xcc\xc1\xee",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Tights",
			identifiedResourceName: "\xb0\xad\xc8\xad\xc5\xb8\xc0\xcc\xc1\xee",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Tight\" inside.",
				"MaxHP + 3%, DEX + 1.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 32^000000",
				"Weight :^777777 25^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Archer Class^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15019: {
			unidentifiedDisplayName: "Upgrade Thief Cloth",
			unidentifiedResourceName: "\xbe\xbe\xc7\xc1\xc5\xac\xb7\xce\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Thief Cloth",
			identifiedResourceName: "\xb0\xad\xc8\xad\xbe\xbe\xc7\xc1\xc5\xac\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Thief Clothes\" inside.",
				"MaxHP + 3%, AGI + 1.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 45^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Thief Class, Ninja^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15020: {
			unidentifiedDisplayName: "Upgrade Mail",
			unidentifiedResourceName: "\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Mail",
			identifiedResourceName: "\xb0\xad\xc8\xad\xb8\xde\xc0\xcf",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Mail\" inside.",
				"MaxHP + 3%",
				"Class :^777777 Armor^000000",
				"Defense :^777777 60^000000",
				"Weight :^777777 165^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Knight, Crusader^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15021: {
			unidentifiedDisplayName: "Upgrade Formal Dress",
			unidentifiedResourceName: "\xc6\xf7\xb8\xd6\xb5\xe5\xb7\xb9\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Upgrade Formal Dress",
			identifiedResourceName: "\xb0\xad\xc8\xad\xc6\xf7\xb8\xd6\xb5\xe5\xb7\xb9\xbd\xba",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Formal Suit\" inside.",
				"MaxHP + 3%",
				"Class :^777777 Armor^000000",
				"Defense :^777777 45^000000",
				"Weight :^777777 15^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15022: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"You can identify it with magnifier.",
			],
			identifiedDisplayName: "Swimming Suit",
			identifiedResourceName: "\xba\xea\xb6\xf3\xc1\xfa\xbc\xf6\xbf\xb5\xba\xb9",
			identifiedDescriptionName: [
				"Made for the best surfer.",
				"STR + 4, INT + 4, MDEF + 3.",
				"Increase 20% the resistance to water property atk.",
				"Class : ^777777Armor^000000 Defense : ^7777771^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15023: {
			unidentifiedDisplayName: "Clothing",
			unidentifiedResourceName: "\xbe\xc6\xb8\xd3",
			unidentifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"°ë·ÍÇß»ø ¶ßÅ¿·® Áß ÇÏ¼ªÀÎ µê¸ôÈúÆ®, '²Î°ì»Â ÀÚÀÇ ¿©°Ê'ÀÌ¹ó»Â ÀÇ¶Ì·¦ ¿¡Áö¿í ÀÖ»Ù.",
				"Yzhv Oe 20¶è ··Å­ÀÇ NSKÁõ¿¡. Yzhv Oe 5¶è ··Å­ÀÇ NHKÁõ¿¡.",
				"¶¿·®¿ø¿Ý¸Â 5%, ·¹¶ý¿ø¿Ý¸Â 5% Áõ¿¡.",
				"NWVU  5.",
				"¼Ë¶éµÒ¿¡. Á¦¸ÃµÒ¿¡. ÆÄ¾«µÒ¿¡.",
				"¿è°­ : ^777777¿©°Ê^000000    ¶æ±î : ^77777760^000000",
				"Weight : ^7777770^000000",
				"°ä¾·¸¶µ§ : ^77777747^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xba\xea\xb7\xf4\xc8\xfa\xc6\xae",
			identifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"°ë·ÍÇß»ø ¶ßÅ¿·® Áß ÇÏ¼ªÀÎ µê¸ôÈúÆ®, '²Î°ì»Â ÀÚÀÇ ¿©°Ê'ÀÌ¹ó»Â ÀÇ¶Ì·¦ ¿¡Áö¿í ÀÖ»Ù.",
				"Yzhv Oe 20¶è ··Å­ÀÇ NSKÁõ¿¡. Yzhv Oe 5¶è ··Å­ÀÇ NHKÁõ¿¡.",
				"¶¿·®¿ø¿Ý¸Â 5%, ·¹¶ý¿ø¿Ý¸Â 5% Áõ¿¡.",
				"NWVU 5.",
				"¼Ë¶éµÒ¿¡. Á¦¸ÃµÒ¿¡. ÆÄ¾«µÒ¿¡.",
				"¿è°­ : ^777777¿©°Ê^000000 ¶æ±î : ^77777760^000000",
				"Weight : ^7777770^000000",
				"°ä¾·¸¶µ§ : ^77777747^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15024: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"°ÜÅõ ±ÈÂÊ°¡ ±È¿¨À·¸Î ÀÔ»Â °Ê. ·ð¹ó·¹À´°¡³­»Â ¾ò¾òÀÌ¹ó¿í µÎ·£»Â ¿Í ¿¿»Ù.",
				"¿è°­ : ^777777¿©°Ê^000000 ¶æ±î : ^77777710^000000",
				"Weight : ^7777771^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
			],
			identifiedDisplayName: "Army Padding",
			identifiedResourceName: "\xb1\xf2\xb1\xf2\xc0\xcc",
			identifiedDescriptionName: [
				"...",
				"Class :^777777 Armor^000000",
				"Defense :^777777 10^000000",
				"Weight :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15025: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"A flashy gold colored robe embued with the power of wind.",
				"INT + 1, MDEF + 10.",
				"Decreases Lord of Vermillion variable cast time by 3 seconds.",
				"If you have 120 base int, adds an additional INT + 1.",
				"Class : ^777777 Armor^000000",
				"Defense : ^777777 40^000000",
				"Weight : ^777777 50^000000",
				"Property : ^777777 Wind^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Warlock^000000",
			],
			identifiedDisplayName: "Golden Rod Robe",
			identifiedResourceName: "\xb0\xf1\xb5\xe7\xb7\xce\xb5\xe5\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A flashy gold colored robe embued with the power of wind.",
				"INT + 1, MDEF + 10.",
				"Decreases ^008800Lord of Vermillion^000000 variable cast time by 3 seconds.",
				"If you have 120 base INT, adds an additional INT + 1.",
				"Class : ^777777 Armor^000000",
				"Defense : ^777777 40^000000",
				"Weight : ^777777 50^000000",
				"Property : ^777777 Wind^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Warlock^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15026: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"A loose fitting blue colored robe embued with the power of water.",
				"INT + 1, MDEF + 10.",
				"Decreases Storm Gust variable cast time by 3 seconds.",
				"If you have 120 base int, adds an additional INT + 1.",
				"Class : ^777777 Armor^000000",
				"Defense : ^777777 40^000000",
				"Weight : ^777777 50^000000",
				"Property : ^777777 Water^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Warlock^000000",
			],
			identifiedDisplayName: "Aqua Robe",
			identifiedResourceName: "\xbe\xc6\xc4\xed\xbe\xc6\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A loose fitting blue colored robe embued with the power of water.",
				"INT + 1, MDEF + 10.",
				"Decreases ^008800Storm Gust^000000 variable cast time by 3 seconds.",
				"If you have 120 base INT, adds an additional INT + 1.",
				"Class : ^777777 Armor^000000",
				"Defense : ^777777 40^000000",
				"Weight : ^777777 50^000000",
				"Property : ^777777 Water^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Warlock^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15027: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"A fine crafted crimson colored robe embued with the power of fire.",
				"INT + 1, MDEF + 10.",
				"Decreases Meteor Storm variable cast time by 3 seconds.",
				"If you have 120 base int, adds an additional INT + 1.",
				"Class : ^777777 Armor^000000",
				"Defense : ^777777 40^000000",
				"Weight : ^777777 50^000000",
				"Property : ^777777 Fire^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Warlock^000000",
			],
			identifiedDisplayName: "Crimson Robe",
			identifiedResourceName: "\xc5\xa9\xb8\xb2\xc1\xf0\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A fine crafted crimson colored robe embued with the power of fire.",
				"INT + 1, MDEF + 10.",
				"Decreases ^008800Meteor Storm^000000 variable cast time by 3 seconds.",
				"If you have 120 base INT, adds an additional INT + 1.",
				"Class : ^777777 Armor^000000",
				"Defense : ^777777 40^000000",
				"Weight : ^777777 50^000000",
				"Property : ^777777 Fire^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Warlock^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15028: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"A conservative blue green colored robe embued with the power of earth.",
				"INT + 1, MDEF + 10.",
				"Decreases Heaven's Drive variable cast time by 1 second.",
				"If you have 120 base int, adds an additional INT + 1.",
				"Class : ^777777 Armor^000000",
				"Defense : ^777777 40^000000",
				"Weight : ^777777 50^000000",
				"Property : ^777777 Earth^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Warlock^000000",
			],
			identifiedDisplayName: "Forest Robe",
			identifiedResourceName: "\xc6\xf7\xb7\xb9\xbd\xba\xc6\xae\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"A conservative blue green colored robe embued with the power of earth.",
				"INT + 1, MDEF + 10.",
				"Decreases ^008800Heaven's Drive^000000 variable cast time by 1 second.",
				"If you have 120 base INT, adds an additional INT + 1.",
				"Class : ^777777 Armor^000000",
				"Defense : ^777777 40^000000",
				"Weight : ^777777 50^000000",
				"Property : ^777777 Earth^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Warlock^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15029: {
			unidentifiedDisplayName: "Robe Of Affection",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"An item said to be worn by a priest who in ancient times saved countless lives on the battlefield.",
				"INT + 1, MDEF + 10.",
				"Decreases SP cost of ^008800Clementia^000000 by 50.",
				"Class : ^777777 Armor^000000",
				"Defense : ^777777 22^000000",
				"Weight : ^777777 30^000000",
				"Property : ^777777 Holy^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Arch Bishop^000000",
			],
			identifiedDisplayName: "Robe Of Affection",
			identifiedResourceName: "\xc0\xda\xbe\xd6\xc0\xc7\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"An item said to be worn by a priest who in ancient times saved countless lives on the battlefield.",
				"INT + 1, MDEF + 10.",
				"Decreases SP cost of ^008800Clementia^000000 by 50.",
				"Class : ^777777 Armor^000000",
				"Defense : ^777777 22^000000",
				"Weight : ^777777 30^000000",
				"Property : ^777777 Holy^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Arch Bishop^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15030: {
			unidentifiedDisplayName: "Robe Of Judgement",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"An item said to be used by a priest who in ancient times fought against the hordes of demons.",
				"STR + 2, MDEF + 10.",
				"Increases damage of ^008800Judex^000000 by 30%, but increases SP cost by 40.",
				"Class : ^777777 Armor^000000",
				"Defense : ^777777 22^000000",
				"Weight : ^777777 30^000000",
				"Property : ^777777 Shadow^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Arch Bishop^000000",
			],
			identifiedDisplayName: "Robe Of Judgement",
			identifiedResourceName: "\xbd\xc9\xc6\xc7\xc0\xc7\xb7\xce\xba\xea",
			identifiedDescriptionName: [
				"An item said to be used by a priest who in ancient times fought against the hordes of demons.",
				"STR + 1, INT + 1, MDEF + 10.",
				"Increases damage of ^008800Judex^000000 by 30%, but increases SP cost by 40.",
				"Class : ^777777 Armor^000000",
				"Defense : ^777777 22^000000",
				"Weight : ^777777 30^000000",
				"Property : ^777777 Shadow^000000",
				"Required Level : ^777777 100^000000",
				"Applicable Job : ^777777 Arch Bishop^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15031: {
			unidentifiedDisplayName: "Eden Group Armor",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Armor",
			identifiedResourceName: "\xc0\xce\xc5\xa9\xb7\xb9\xb5\xf0\xba\xed\xbf\xdc\xc5\xf5",
			identifiedDescriptionName: [
				"...",
				"STR + 1, INT + 1, DEX + 1.",
				"MaxHP + 500, MaxSP + 50, MDEF + 5.",
				"Impossible to refine this item.",
				"Class : ^777777 Armor^000000",
				"Defense : ^777777 58^000000",
				"Weight : ^777777 0^000000",
				"Required Level : ^777777 40^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15032: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tidung",
			identifiedResourceName: "\xc6\xbc\xb5\xa2",
			identifiedDescriptionName: [
				"...",
				"MDEF + 10. Decreases damage from all monsters by 5%.",
				"Add a 15% resistance to the ^880000Stun^000000 and ^880000Freeze^000000 status.",
				"Class :^777777 Armor^000000",
				"Defense :^777777 72^000000",
				"Weight :^777777 50^000000",
				"Required Level :^777777 71^000000",
				"Applicable Job :^777777 Every Job Except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15033: {
			unidentifiedDisplayName: "Tutorial Mantle",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tutorial Mantle",
			identifiedResourceName: "\xb8\xc7\xc6\xb2",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼Ò¸Å¾ø´Â ±æ°í ¸Úµé¾îÁø ¿ÜÅõ. ¾îÂîµÈ ÀÏÀÎÁö ÀÔÀ» ¼ø ¾ø´Ù.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777737^000000",
				"¹«°Ô : ^77777760^000000",
				"ÀåÂø : ^777777±³À°¿ë(ºñ¸ÅÇ°)^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15034: {
			unidentifiedDisplayName: "Tutorial Mantle",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tutorial Mantle",
			identifiedResourceName: "\xb8\xc7\xc6\xb2",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼Ò¸Å¾ø´Â ±æ°í ¸Úµé¾îÁø ¿ÜÅõ. ¾îÂîµÈ ÀÏÀÎÁö ÀÔÀ» ¼ø ¾ø´Ù.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777737^000000",
				"¹«°Ô : ^77777760^000000",
				"ÀåÂø : ^777777±³À°¿ë(ºñ¸ÅÇ°)^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15036: {
			unidentifiedDisplayName: "Ur's Plate",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ur's Plate",
			identifiedResourceName: "\xbf\xec\xb8\xa3\xc0\xc7\xc7\xc3\xb7\xb9\xc0\xcc\xc6\xae",
			identifiedDescriptionName: [
				"¿ì¸£ÀÇ ·éÀ» Á¤Á¦ÇÏ¿© ¸¸µç ÇÃ·¹ÀÌÆ®.",
				"MDEF + 10.",
				"Á¦·Ãµµ¿¡ µû¶ó MaxHP°¡ % Áõ°¡, ¹«Çü, ÀÎ°£Çü Àû¿¡°Ô¼­ µ¥¹ÌÁö 5% °¨¼Ò.",
				"¿ì¸£ÀÇ ¸ÁÅä, ±×¸®ºê, ÀÎÀåÀ» ¸ðµÎ ÀåÂø ½Ã MaxHP + 14%, ¹«¼Ó¼º °ø°Ý¿¡ ´ëÇÑ ³»¼º 10% Áõ°¡. Çåµå·¹µå ½ºÇÇ¾îÀÇ °ø°Ý·Â 50% »ó½Â. ¿ÀÅä °¡µå 1Lv »ç¿ë °¡´É. ¸ðµç ½ºÅ³ »ç¿ë ½Ã ¼Ò¸ð SP 10% »ó½Â.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^777777110^000000",
				"¹«°Ô : ^777777300^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·é³ªÀÌÆ®^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15037: {
			unidentifiedDisplayName: "Peuz's Plate",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Peuz's Plate",
			identifiedResourceName: "\xc6\xe4\xbf\xc0\xc1\xee\xc0\xc7\xc7\xc3\xb7\xb9\xc0\xcc\xc6\xae",
			identifiedDescriptionName: [
				"Æä¿ÀÁîÀÇ ·éÀ» Á¤Á¦ÇÏ¿© ¸¸µç ÇÃ·¹ÀÌÆ®.",
				"MDEF + 10.",
				"ATK + 20, FLEE + 17.",
				"Æä¿ÀÁîÀÇ ¸ÁÅä, ±×¸®ºê, ÀÎÀåÀ» ¸ðµÎ ÀåÂø ½Ã ATK + 10%. ¼Ò´Ð ¿þÀÌºê, À©µå Ä¿ÅÍÀÇ µ¥¹ÌÁö 100% Áõ°¡. ¹°¸® °ø°Ý ½Ã ³·ÀºÈ®·ü·Î ½ºÅè ºí·¹½ºÆ® ¹ßµ¿.",
				"ÄÁ¼¾Æ®·¹ÀÌ¼Ç »ç¿ë ½Ã 10ÃÊ°£ ASPD + 2.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^777777110^000000",
				"¹«°Ô : ^777777300^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·é³ªÀÌÆ®^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15038: {
			unidentifiedDisplayName: "Sapha's Cloth",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sapha's Cloth",
			identifiedResourceName: "\xbb\xe7\xb9\xd9\xc8\xe5\xc0\xc7\xc5\xac\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"¿À·¡Àü ¾îµÒÀÇ ¼¼°è¿¡¼­ À¯¸íÇß´ø ¾î½Ø½ÅÀÇ À¯¹°ÀÌ¶ó°í ÇÑ´Ù.",
				"LUK + 3, ¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ¸ÞÅ×¿À¾îÀýÆ® 1Lv¹ßµ¿.(¹è¿ü´Ù¸é ¹è¿î Lv´ë·Î ¹ßµ¿)",
				"»ç¹ÙÈåÀÇ Å¬·Î½º, ÈÄµå, ½´Áî, ¸µÀ» ¸ðµÎ ÀåÂø ½Ã CRI + 15, FLEE + 10.",
				"Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 40% »ó½Â, Å©·Î½ºÀÓÆÑÆ® µ¥¹ÌÁö 20% »ó½Â.",
				"½ºÅ³ »ç¿ë ½Ã SP ¼Ò¸ð·® 10% Áõ°¡.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777745^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777±æ·ÎÆ¾Å©·Î½º^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15039: {
			unidentifiedDisplayName: "Nab's Cloth",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Nab's Cloth",
			identifiedResourceName: "\xb3\xaa\xba\xea\xc0\xc7\xc5\xac\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"°ú°Å ÀÌµµ·ù·Î À¯¸íÇß´ø ¾î½Ø½ÅÀÇ À¯¹°ÀÌ¶ó°í ÇÑ´Ù.",
				"STR + 2, INT + 2.",
				"³ªºêÀÇ Å¬·Î½º, ÈÄµå, ½´Áî, ¸µÀ» ¸ðµÎ ÀåÂø ½Ã ATK + 10%, MATK + 10%. STRÀÌ 120ÀÌ»ó ÀÏ °æ¿ì ATK + 30 Ãß°¡.",
				"¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ±â°øÆ÷ 1Lv¹ßµ¿.(¹è¿ü´Ù¸é ¹è¿î Lv´ë·Î ¹ßµ¿)",
				"CRI - 20.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777745^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777±æ·ÎÆ¾Å©·Î½º^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15040: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Prison Uniform",
			identifiedResourceName: "\xb3\xb0\xc0\xba\xc1\xcb\xbc\xf6\xba\xb9",
			identifiedDescriptionName: [
				"Every prosioner wears this stripe uniform.",
				"According to uniform refined level,increase HIT, FLEE.",
				"Once having with cuffs, can get ATK + 5.",
				"Class : ^777777armor^000000",
				"Defense : ^7777775^000000",
				"Weight : ^777777150^000000",
				"Required Level : ^77777750^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15041: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"spectacles¡¦¡¦¡¦.",
			],
			identifiedDisplayName: "Boitata Armor",
			identifiedResourceName: "\xb5\xe5\xb7\xa1\xb0\xef\xc0\xc7\xbc\xfb\xb0\xe1",
			identifiedDescriptionName: [
				"The armor that made by power of mythic creature, Boitata",
				"FLEE + 5, MaxHP + 5%, MDEF + 3.",
				"Resist for attribute \"NOTHING\" bonus 7%",
				"Class : ^777777Armor^000000 Defense : ^7777775^000000",
				"Weight : ^77777760^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15042: {
			unidentifiedDisplayName: "White Wing Suits",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "White Wing Suits",
			identifiedResourceName: "\xc8\xf2\xb3\xaf\xb0\xb3\xc0\xc7\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"°ú°Å Èñ´ëÀÇ ¸í±ÃµéÀÌ ¸¹ÀÌ ¹èÃâµÇ¾ú´Ù°í ÇÏ´Â 'ÀÌÄ«·ç½º ±æµå'ÀÇ À¯¹°.",
				"1Á¦·Ã ´ç ¿ø°Å¸® ¹°¸®°ø°Ý·Â 2%, FLEE + 1¾¿ Áõ°¡.",
				"Èò³¯°³ÀÇ ¸ÁÅä, ºÎÃ÷, ºê·ÎÄ¡¸¦ ¸ðµÎ ÀåÂø ½Ã ASPD + 2, ¿ø°Å¸® ¹°¸® °ø°Ý·Â 30% Áõ°¡, ¾Ö·Î¿ì ½ºÅèÀÇ °ø°Ý·Â 50% Áõ°¡, ¿ø°Å¸® ¹°¸® °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ´õºí ½ºÆ®·¹ÀÌÇÎ 3Lv¹ßµ¿.(¹è¿ü´Ù¸é ¹è¿îLv´ë·Î ¹ßµ¿)",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777745^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·¹ÀÎÀú^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15043: {
			unidentifiedDisplayName: "Black Wing Suits",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Wing Suits",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb3\xaf\xb0\xb3\xc0\xc7\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"ÁýÁß·Â°ú Á¤½Å·ÂÀ» ¸¼°Ô À¯Áö ½ÃÄÑÁÖµµ·Ï Æ¯È­µÈ °ËÀº³¯°³ ¸¶Å©ÀÇ À¯¹°.",
				"INT + 2, 1Á¦·Ã ´ç ATK + 3¾¿ Áõ°¡.",
				"°ËÀº³¯°³ÀÇ ½´Ã÷, ¸ÁÅä, ºÎÃ÷, ºê·ÎÄ¡¸¦ ¸ðµÎ ÀåÂø ½Ã MaxHP + 15%, ¿ÏÀüÈ¸ÇÇ + 20, Å¬·¯½ºÆ® º½ÀÇ °ø°Ý·Â 20% Áõ°¡.",
				"¿ø°Å¸® ¹°¸® °ø°Ý·Â 30% °¨¼Ò, ASPD - 7.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777745^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777·¹ÀÎÀú^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15044: {
			unidentifiedDisplayName: "¿Ê",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÃÊ·Ï¼ö¼úº¹",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xbc\xf6\xbc\xfa\xba\xb9",
			identifiedDescriptionName: [
				"¿À·£¼¼¿ù È£¹®Å¬·ç½º¿¡ ´ëÇÑ ¿¬±¸¿¡ ÀÏ»ýÀ» ¹ÙÄ¡´Ù ¹ÌÃÄ¹ö¸° ¾î¶² ÇÐÀÚÀÇ °¡¿î.",
				"DEX + 1, MaxSP + 30.",
				"¸Þ½º¿Í ÇÔ²² ÀåÂø ÈÄ ÀÎ°£Çü, µ¿¹°Çü ÀûÀ» ¾²·¯Æ®¸± ½Ã ÀÏÁ¤È®·ü·Î '¸ØÃßÁö ¾Ê´Â ½ÉÀå', '¾ËÄÚ¿Ã' µå¶ø. ÃÊ·Ï ¼ö¼úº¹ÀÇ Á¦·Ãµµ¿¡ µû¶ó µå¶øÈ®·ü Ãß°¡.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777766^000000",
				"¹«°Ô : ^77777766^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777Á¦³×¸¯^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15046: {
			unidentifiedDisplayName: "½ÃÁî ÇÃ·¹ÀÌÆ®",
			unidentifiedResourceName: "\xc4\xa5\xc8\xe6\xc0\xc7\xb0\xa9\xbf\xca",
			unidentifiedDescriptionName: [
				"MDEF + 5.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 2% °¨¼Ò.",
				"6Á¦·Ã ÀÌ»óÀÏ °æ¿ì, ¹Þ´Â Èú°ú ÀÏºÎ È¸º¹¾ÆÀÌÅÛ ¼º´É 12% Áõ°¡.",
				"9Á¦·Ã ÀÌ»óÀÏ °æ¿ì, MHP + 25% Áõ°¡.",
				"½ÃÁî ±×¸®ºê, ½ÃÁî ¸ÁÅä¿Í ÇÔ²² ÀåÂø ½Ã VIT + 5, ÇÃ·¹ÀÌ¾î¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 15% Ãß°¡ °¨¼Ò.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777785^000000",
				"¹«°Ô : ^777777330^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/ÅÂ±Ç/±Ç¼º^000000",
			],
			identifiedDisplayName: "½ÃÁî ÇÃ·¹ÀÌÆ®",
			identifiedResourceName: "\xc4\xa5\xc8\xe6\xc0\xc7\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"MDEF + 5.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 2% °¨¼Ò.",
				"6Á¦·Ã ÀÌ»óÀÏ °æ¿ì, ¹Þ´Â Èú°ú ÀÏºÎ È¸º¹¾ÆÀÌÅÛ ¼º´É 12% Áõ°¡.",
				"9Á¦·Ã ÀÌ»óÀÏ °æ¿ì, MaxHP + 25% Áõ°¡.",
				"½ÃÁî ±×¸®ºê, ½ÃÁî ¸ÁÅä¿Í ÇÔ²² ÀåÂø ½Ã VIT + 5, ÇÃ·¹ÀÌ¾î¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 15% Ãß°¡ °¨¼Ò.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777785^000000",
				"¹«°Ô : ^777777330^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/ÅÂ±Ç/±Ç¼º^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15047: {
			unidentifiedDisplayName: "½ÃÁî ½´Ã÷",
			unidentifiedResourceName: "\xc5\xac\xb7\xb9\xb8\xa3\xbd\xb4\xc3\xf7",
			unidentifiedDescriptionName: [
				"MDEF + 10.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 2% °¨¼Ò.",
				"6Á¦·Ã ÀÌ»óÀÏ °æ¿ì, ¿ÏÀüÈ¸ÇÇ + 5, ¹Þ´Â ¿ø°Å¸® µ¥¹ÌÁö 20% °¨¼Ò.",
				"9Á¦·Ã ÀÌ»óÀÏ °æ¿ì, MHP + 15% Áõ°¡.",
				"½ÃÁî ºÎÃ÷, ½ÃÁî ¸ÁÅä¿Í ÇÔ²² ÀåÂø ½Ã DEX + 5, ÇÃ·¹ÀÌ¾î¿¡°Ô ¹Þ´Â µ¥¹ÌÁö  15% Ãß°¡ °¨¼Ò.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777750^000000",
				"¹«°Ô : ^77777775^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/±Ã¼ö°è¿­/ÅÂ±Ç/±Ç¼º/°Ç³Ê/´ÑÀÚ^000000",
			],
			identifiedDisplayName: "½ÃÁî ½´Ã÷",
			identifiedResourceName: "\xc5\xac\xb7\xb9\xb8\xa3\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"MDEF + 10.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 2% °¨¼Ò.",
				"6Á¦·Ã ÀÌ»óÀÏ °æ¿ì, ¿ÏÀüÈ¸ÇÇ + 5, ¹Þ´Â ¿ø°Å¸® µ¥¹ÌÁö 20% °¨¼Ò.",
				"9Á¦·Ã ÀÌ»óÀÏ °æ¿ì, MaxHP + 15% Áõ°¡.",
				"½ÃÁî ºÎÃ÷, ½ÃÁî ¸ÁÅä¿Í ÇÔ²² ÀåÂø ½Ã DEX + 5, ÇÃ·¹ÀÌ¾î¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 15% Ãß°¡ °¨¼Ò.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777750^000000",
				"¹«°Ô : ^77777775^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/±Ã¼ö°è¿­/ÅÂ±Ç/±Ç¼º/°Ç³Ê/´ÑÀÚ^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15048: {
			unidentifiedDisplayName: "½ÃÁî ·Îºê",
			unidentifiedResourceName: "\xbf\xc0\xb5\xf2\xc0\xc7\xc3\xe0\xba\xb9",
			unidentifiedDescriptionName: [
				"MDEF + 20.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 2% °¨¼Ò.",
				"6Á¦·Ã ÀÌ»óÀÏ °æ¿ì, FLEE + 5, ¹Þ´Â ¿ø°Å¸® µ¥¹ÌÁö 15% °¨¼Ò.",
				"9Á¦·Ã ÀÌ»óÀÏ °æ¿ì, MHP + 1000, MSP + 100 Áõ°¡.",
				"½ÃÁî ½´Áî, ½ÃÁî ¸ÓÇÃ·¯¿Í ÇÔ²² ÀåÂø ½Ã INT + 5, MDEF + 10, ÇÃ·¹ÀÌ¾î¿¡°Ô ¹Þ´Â µ¥¹ÌÁö  15% Ãß°¡ °¨¼Ò.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777740^000000",
				"¹«°Ô : ^77777750^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­/¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			identifiedDisplayName: "½ÃÁî ·Îºê",
			identifiedResourceName: "\xbf\xc0\xb5\xf2\xc0\xc7\xc3\xe0\xba\xb9",
			identifiedDescriptionName: [
				"MDEF + 20.",
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 2% °¨¼Ò.",
				"6Á¦·Ã ÀÌ»óÀÏ °æ¿ì, FLEE + 5, ¹Þ´Â ¿ø°Å¸® µ¥¹ÌÁö 15% °¨¼Ò.",
				"9Á¦·Ã ÀÌ»óÀÏ °æ¿ì, MaxHP + 1000, MaxSP + 100 Áõ°¡.",
				"½ÃÁî ½´Áî, ½ÃÁî ¸ÓÇÃ·¯¿Í ÇÔ²² ÀåÂø ½Ã INT + 5, MDEF + 10, ÇÃ·¹ÀÌ¾î¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 15% Ãß°¡ °¨¼Ò.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777740^000000",
				"¹«°Ô : ^77777750^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­/¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15051: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bakonawa Scale Armor",
			identifiedResourceName: "\xb9\xf6\xc4\xda\xb3\xca\xbf\xf6\xba\xf1\xb4\xc3\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"Armor made from Bakonawa Scale. Lets off a mysterious moonlight effect.",
				"1% damage decrease from boss monsters per 2 refinement.",
				"All stance gains +1.",
				"Class : ^777777Armor^000000",
				"Defense : ^77777755^000000",
				"Weight : ^77777750^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15052: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bakonawa Scale Armor(Bayani)",
			identifiedResourceName: "\xb9\xd9\xbe\xdf\xb4\xcf\xb9\xf6\xc4\xda\xb3\xca\xbf\xf6\xba\xf1\xb4\xc3\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"Armor made from Bakonawa Scale. Lets off a mysterious moonlight effect.",
				"1% damage decrease from boss monsters per 2 refinement.",
				"All stance gains +2.",
				"Class : ^777777Armor^000000",
				"Defense : ^77777755^000000",
				"Weight : ^77777750^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15053: {
			unidentifiedDisplayName: "¿Ê",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Æ¯¼ö ´ÑÀÚ ½´Ã÷",
			identifiedResourceName: "\xc6\xaf\xbc\xf6\xb4\xd1\xc0\xda\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"½ÇÀü °æÇèÀÌ ¸¹Àº ´ÑÀÚµéÀÇ ÀÇ°ßÀ» ¸ð¾Æ ±âÁ¸ÀÇ ´ÑÀÚ ½´Ã÷ÀÇ ¹®Á¦Á¡À» °³¼±ÇÑ »õ ´ÑÀÚ ½´Ã÷. º¸´Ù °¡º±°í ¼¶À¯ÀÇ °­µµ¸¦ ³ô¿´´Ù.",
				"AGI + 1. 3Á¦·Ã ´ç AGI 1¾¿ Áõ°¡.",
				"¿©¿ì ¹®¾ç ÆÈ¸ñ º¸È£´ë¿Í ÇÔ²² ÀåÂø ½Ã, AGI + 2 Ãß°¡.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777770^000000",
				"¹«°Ô : ^777777120^000000",
				"¿ä±¸·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15054: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "´ÑÀÚ ºñ´Ã °©¿Ê",
			identifiedResourceName: "\xb4\xd1\xc0\xda\xba\xf1\xb4\xc3\xb0\xa9\xbf\xca",
			identifiedDescriptionName: [
				"ÀÏ¹ÝÀûÀÎ ´ÑÀÚ¼úÀ» ¹þ¾î³ª °ú°¨ÇÑ ¼ú¹ýÀ¸·Î Àü¼³ÀÇ ¹Ý¿­¿¡ ¿À¸¥ ´ÑÀÚ°¡ Âø¿ëÇß´Ù°í ¾Ë·ÁÁø ºñ´Ã °©¿Ê. ±ÙÁ¢°ø°Ý¿¡ Æ¯È­µÇ¾î ÀÖ´Ù.",
				"MaxHP + 15%, MaxSP - 30%.",
				"´Á´ë ¹®¾ç ÆÈ¸ñ º¸È£´ë¿Í ÇÔ²² ÀåÂø ½Ã, ATK + 10%, STR + 2 Ãß°¡.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777790^000000",
				"¹«°Ô : ^777777180^000000",
				"¿ä±¸·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15055: {
			unidentifiedDisplayName: "Armor",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¹«Áß¾Ï¿µ",
			identifiedResourceName: "\xb9\xab\xc1\xdf\xbe\xcf\xbf\xb5",
			identifiedDescriptionName: [
				"´ÑÀÚÀÇ ¾Ï»ì·ÎºÎÅÍ °íÀ§°ü¸®Á÷À» º¸È£ÇÏ±â À§ÇØ Æ¯¼öÁ¦ÀÛ µÇ¾ú´Ù°í ¾Ë·ÁÁø °©¿Ê. °ø°Ý ´çÇÒ ½Ã, °©¿ÊÀÌ Âø¿ëÀÚÀÇ ºÐ½ÅÀ» ¸¸µé¾î ´ë»óÀÇ ´«À» ¼ÓÀÎ´Ù.",
				"AGI + 1 Ãß°¡.",
				"¹°¸®°ø°ÝÀ» ¹ÞÀ» ¶§, ÀÏÁ¤È®·ü·Î È¯¼ú-ÀÜ»ó 1·¹º§ ¹ßµ¿.",
				"ÃÊ½Â´Þ ¹®¾ç ÆÈ¸ñ º¸È£´ë¿Í ÇÔ²² ÀåÂø ½Ã, ¿ÏÀüÈ¸ÇÇ + 10, FLEE + 10 Ãß°¡.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777760^000000",
				"¹«°Ô : ^777777150^000000",
				"¿ä±¸·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15056: {
			unidentifiedDisplayName: "¿Ê",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Æ¯¼ö ´ÑÀÚ ½´Ã÷",
			identifiedResourceName: "\xc6\xaf\xbc\xf6\xb4\xd1\xc0\xda\xbd\xb4\xc3\xf7",
			identifiedDescriptionName: [
				"½ÇÀü °æÇèÀÌ ¸¹Àº ´ÑÀÚµéÀÇ ÀÇ°ßÀ» ¸ð¾Æ ±âÁ¸ÀÇ ´ÑÀÚ ½´Ã÷ÀÇ ¹®Á¦Á¡À» °³¼±ÇÑ »õ ´ÑÀÚ ½´Ã÷. º¸´Ù °¡º±°í ¼¶À¯ÀÇ °­µµ¸¦ ³ô¿´´Ù.",
				"AGI + 1. 3Á¦·Ã ´ç AGI 1¾¿ Áõ°¡.",
				"¿©¿ì ¹®¾ç ÆÈ¸ñ º¸È£´ë¿Í ÇÔ²² ÀåÂø ½Ã, AGI + 2 Ãß°¡.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777770^000000",
				"¹«°Ô : ^777777120^000000",
				"¿ä±¸·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		15062: {
			unidentifiedDisplayName: "¿Ê",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ·ÕÄÚÆ®",
			identifiedResourceName: "\xb7\xd5\xc4\xda\xc6\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MDEF + 15.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"MAXHP + 250, MAXSP + 250.",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 10% °¨¼Ò.",
				"µ¿ºù¿¡ ´ëÇÑ ³»¼º 25% Áõ°¡.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777715^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15063: {
			unidentifiedDisplayName: "°©¿Ê",
			unidentifiedResourceName: "\xbf\xec\xb5\xe7\xb8\xde\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¸ÞÀÏ",
			identifiedResourceName: "\xb8\xde\xc0\xcf",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MDEF + 5.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"MAXHP + 450, MAXSP + 50.",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 15% °¨¼Ò.",
				"µ¿ºù¿¡ ´ëÇÑ ³»¼º 25% Áõ°¡.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777725^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15064: {
			unidentifiedDisplayName: "¿Ê",
			unidentifiedResourceName: "\xc4\xda\xc6\xb0\xbc\xc5\xc3\xf7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¸ÅÁ÷ÄÚÆ®",
			identifiedResourceName: "\xb8\xc5\xc1\xf7\xc4\xda\xc6\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MDEF + 25.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"MAXHP + 200, MAXSP + 300.",
				"ÇÃ·¹ÀÌ¾î·ÎºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 5% °¨¼Ò.",
				"µ¿ºù¿¡ ´ëÇÑ ³»¼º 25% Áõ°¡.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^7777775^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­/¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		15065: {
			unidentifiedDisplayName: "¾Æ¸Þ»þ½ºÆæÅ¸",
			unidentifiedResourceName: "\xc4\xad\xb5\xce\xb6\xf3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¾Æ¸Þ»þ½ºÆæÅ¸",
			identifiedResourceName: "\xc4\xad\xb5\xce\xb6\xf3",
			identifiedDescriptionName: [
				"¾Ë·Á°í ÇÏ¸é ¾ÈµÇ´Â ¾ÆÀÌÅÛ.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16000: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Erde",
			identifiedResourceName: "\xbf\xa1\xb8\xa3\xb5\xa5",
			identifiedDescriptionName: [
				"Crafted in the shape of the Serpent of Knowledge.",
				"MaxSP + 50",
				"Increases damage when using skill ^008800Acid terror or Demontration^000000 by 20%.",
				"Increases recovery rate by 10% when using ^008800Aid Potion or Aid Condensed Potion^000000.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 2,
			ClassNum: 8
		},

		16001: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Square Bag",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbd\xba\xc4\xf9\xbe\xee\xb9\xe9",
			identifiedDescriptionName: [
				"The official suitcase of the Alchemist's society. Its unique design and blazing red colour is a hit amongst women.",
				"MaxHP + 200",
				"Increases damage when using skill ^008800Acid terror or Demontration^000000 by 20%.",
				"[^008800Base Strength >= 90^000000]",
				"A chance to ^880000Stun^000000 status by 5%.",
				"Every time you kill a monster, low chance to drop random Potion.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 130^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 50^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 2,
			ClassNum: 8
		},

		16002: {
			unidentifiedDisplayName: "Stunner",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Stunner",
			identifiedResourceName: "\xbd\xba\xc5\xcd\xb3\xca",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A huge, unwieldy club that can knock enemies unconscious.",
				"Causes ^880000Stun^000000 effect to enemies by 10% chance.",
				"Increases damage against small, medium, large size monsters by 40%.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 175^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		16003: {
			unidentifiedDisplayName: "Carga Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Carga Mace",
			identifiedResourceName: "\xc4\xab\xb8\xa3\xb0\xa1\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"Its name means 'Great Echo' in the Manuk tribe language, a rugged heavy mace with a sharp edge on one side.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 175^000000",
				"Weight :^777777 150^000000",
				"Property :^777777 Neutral^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 3rd Swordman Class, Merchant Class, Acolyte Class^000000",
			],
			slotCount: 2,
			ClassNum: 8
		},

		16004: {
			unidentifiedDisplayName: "P.Mace¥°",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Mace I",
			identifiedResourceName: "\xb7\xd5\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"A beginner level mace created by the Paradise Group.",
				"Impossible to refine this item.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 142^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 26^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		16005: {
			unidentifiedDisplayName: "P.Mace¥±",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Mace II",
			identifiedResourceName: "\xc4\xf5\xb5\xe5\xb8\xb1",
			identifiedDescriptionName: [
				"A mace created by the Paradise Group.",
				"Impossible to refine this item.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 163^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 2^000000",
				"Required Level :^777777 40^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class, Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		16006: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Traveler's Mace",
			identifiedResourceName: "\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"...",
				"INT + 1, AGI + 1.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 45^000000",
				"Weight :^777777 50^000000",
				"Weapon Level :^777777 1^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Novice, Swordman Class, Merchant Class, Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		16007: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mjolnir R",
			identifiedResourceName: "\xb9\xa6\xb8\xa3\xb4\xd2",
			identifiedDescriptionName: [
				"A facsimile of the mighty hammer wielded by Thor, god of thunder.",
				"Increases Attack Speed.",
				"DEX + 40, STR + 15",
				"Impossible to refine this item.",
				"Indestructible.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 250^000000",
				"Weight :^777777 0^000000",
				"Property :^009900 Wind^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 95^000000",
				"Applicable Job :^777777 Swordman Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		16008: {
			unidentifiedDisplayName: "Spanner",
			unidentifiedResourceName: "\xbd\xba\xc6\xd0\xb3\xca",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Wrench",
			identifiedResourceName: "\xbd\xba\xc6\xd0\xb3\xca",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A heavy tool with many practical applications.",
				"Enable a chance of",
				"randomly inflicting the ^880000Stun^000000, ^880000Blind^000000, ^880000Poison^000000",
				"or ^880000Frozen^000000 statuses with",
				"each attack.",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Mace^000000",
				"Attack: ^777777150^000000",
				"Weight : ^7777770^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		16010: {
			unidentifiedDisplayName: "Mace",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Ether Bag",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbf\xa1\xc5\xd7\xb8\xa3\xb0\xa1\xb9\xe6",
			identifiedDescriptionName: [
				"A new bag created by the Alchemist Society that \"A weapon girls love!\"",
				"Increases damage of Crazy Weed and Demonic Fire by 20%. Each refine above +6 increases the skill damage by an additional 2%.",
				"MATK + 100",
				"Class :^777777 Mace^000000",
				"Attack :^777777 15^000000",
				"Weight :^777777 100^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 102^000000",
				"Applicable Job :^777777 Genetic^000000",
			],
			slotCount: 1,
			ClassNum: 8
		},

		16013: {
			unidentifiedDisplayName: "Mace Of Judgement",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mace Of Judgement",
			identifiedResourceName: "\xbd\xc9\xc6\xc7\xc0\xc7\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"A mace that holds the power of Judgement.",
				"MATK + 180, STR + 1, INT + 1",
				"When dealing physical or magical damage, increases damage against Demon monsters by 20%.",
				"[^000088Judgement Robe, Judgement Shoes, & Judgement Shawl Equip Set^000000]",
				"Increases physical and magic damage against Undead monsters by 15%.",
				"Increases damage of ^008800Adoramus^000000 by 100%, but increases the SP cost by 30.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 120^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 100^000000",
				"Applicable Job :^777777 Arch Bishop^000000",
			],
			slotCount: 2,
			ClassNum: 8
		},

		16014: {
			unidentifiedDisplayName: "Eden Group Mace3",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Mace3",
			identifiedResourceName: "\xb8\xf0\xb4\xd7\xbd\xba\xc5\xb8",
			identifiedDescriptionName: [
				"...",
				"Impossible to refine this item.",
				"Class :^777777 Mace^000000",
				"Attack :^777777 172^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Swordman Class, Acolyte Class, Merchant Class^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		16015: {
			unidentifiedDisplayName: "µÐ±â",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°í¾çÀÌ Å¬·´",
			identifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xc5\xac\xb7\xb4",
			identifiedDescriptionName: [
				"¶§·Áµµ ¾ÆÇÃ °Í °°Áö ¾ÊÀº ±âºÐÀÌ µå´Â °í¾çÀÌ ¼Õ¸ð¾ç °ïºÀ.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ³·ÀºÈ®·ü·Î Àû¿¡°Ô ¸Å·á¸¦ °Ç´Ù.",
				"µ¿¹°Çü Àû¿¡°Ô 15% µ¥¹ÌÁö Áõ°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^77777788^000000",
				"¹«°Ô : ^77777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 3,
			ClassNum: 8
		},

		16016: {
			unidentifiedDisplayName: "µÐ±â",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Âü´Ù¶û¾î",
			identifiedResourceName: "\xc2\xfc\xb4\xd9\xb6\xfb\xbe\xee",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"°íµî¾î°úÀÇ °Å´ëÇÑ ¹æÃßÇü ¹Ù´å¹°°í±â. ¿ä¸®¿¡ ¾È¾²ÀÌ´Â °÷ÀÌ ¾ø´Â ÃÖ°í±Þ ¾îÁ¾. ¾ó·Á¼­ ¾ÆÁÖ µüµüÇÏ´Ù.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ³ôÀºÈ®·ü·Î Àû¿¡°Ô ½ºÅÏ ¶Ç´Â ¿ÀÅä½ºÆç ¹è½¬ 5Lv ¹ßµ¿.(5LvÀÌ»óÀÏ °æ¿ì ¹è¿î·¹º§´ë·Î ¹ßµ¿)",
				"±×¸®°í ³·ÀºÈ®·ü·Î ½º½º·Î¿¡°Ô ºù°áÀ» °Ç´Ù.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 20 Ãß°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^777777180^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		16017: {
			unidentifiedDisplayName: "µÐ±â",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ºí·¯µð Å©·Î½º",
			identifiedResourceName: "\xba\xed\xb7\xaf\xb5\xf0\xc5\xa9\xb7\xce\xbd\xba",
			identifiedDescriptionName: [
				"¾îµÒÀÇ ÈûÀÌ ±êµé°Ô µÈ ÇÇÃ³·³ ºÓÀº ½ÊÀÚ°¡ ÇüÅÂÀÇ µÐ±â. ¸¶Ä¡ ÇÇ¸¦ Èí¼öÇÑ °Í °°Àº ºÓÀº»öÀÌ ¼¶¶àÇÑ ±âºÐÀÌ µç´Ù.",
				"±ÙÁ¢ ¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ¿ÀÅä½ºÆç Çï ÀÎÆä¸£³ë 1Lv ¹ßµ¿. Á¦·Ãµµ¿¡ µû¶ó ÇØ´ç½ºÅ³ÀÇ ¹ßµ¿È®·üÀÌ Áõ°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^777777170^000000",
				"¹«°Ô : ^777777150^000000 ¼Ó¼º : ^777777¾Ï^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777Àü½Â º¹»ç°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		16018: {
			unidentifiedDisplayName: "Empowered Mace Of Judgement",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Empowered Mace Of Judgement",
			identifiedResourceName: "\xbd\xc9\xc6\xc7\xc0\xc7\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"½ÉÆÇÀÇ ÈûÀ» ´ãÀº ¸ÞÀÌ½º.",
				"MATK + 180, STR + 2, INT + 2.",
				"¹°¸®, ¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 7ÃÊ°£ ¾Ç¸¶Çü ¸ó½ºÅÍ¿¡°Ô ÁÖ´Â µ¥¹ÌÁö 40% Ãß°¡.",
				"½ÉÆÇÀÇ ·Îºê, ½´Áî, ¼ñ°ú ÇÔ²² ÀåÂø ½Ã ¾ðµ¥µå ¼Ó¼º ¸ó½ºÅÍ¿¡°Ô ÁÖ´Â ¹°¸®, ¸¶¹ýµ¥¹ÌÁö 30% Ãß°¡. ¾Æµµ¶ó¹«½ºÀÇ °ø°Ý·Â 200% Áõ°¡,¼Ò¸ð SP 30 Áõ°¡. ±¸¸¶°è ½ºÅ³ÀÇ º¯µ¿ Ä³½ºÆÃ ´ëÆø °¨¼Ò.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^777777170^000000",
				"¹«°Ô : ^777777120^000000 ¼Ó¼º : ^777777¼º^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777130^000000",
				"ÀåÂø : ^777777¾ÆÅ©ºñ¼ó^000000",
			],
			slotCount: 1,
			ClassNum: 8
		},

		16019: {
			unidentifiedDisplayName: "µÐ±â",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°­È­ ¸ÞÀÌ½º",
			identifiedResourceName: "\xb0\xad\xc8\xad\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ µÐ±â.",
				"Á¦·Ãµµ 1´ç ATK + 10 / Èú·® 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^77777780^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 8
		},

		16020: {
			unidentifiedDisplayName: "µÐ±â",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë ½ºÅÍ³Ê",
			identifiedResourceName: "\xbd\xba\xc6\xc4\xc0\xcc\xc5\xa9",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÀÏ¹Ý ¹°¸® Å¸°Ý ¸íÁß ½Ã ÇÃ·¹ÀÌ¾îÀÇ DEF/MDEFÀ» 5ÃÊ°£ 1·Î °íÁ¤½ÃÅ²´Ù. ½ºÅ³ °ø°Ý¿¡´Â ¿µÇâÀ» ¹ÌÄ¡Áö ¾Ê´Â´Ù.",
				"Á¦·Ãµµ¿¡ µû¶ó ½ºÅÏÀ» °É È®·ü°ú °ø°Ý¼Óµµ°¡ Áõ°¡ÇÑ´Ù.(°ø°Ý ÈÄ µô·¹ÀÌ °¨¼Ò)",
				"ÆÄ±«ºÒ°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^777777170^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		16021: {
			unidentifiedDisplayName: "µÐ±â",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë ÇÃ·¹ÀÏ",
			identifiedResourceName: "\xc7\xc3\xb7\xb9\xc0\xcf",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÀÏ¹Ý ¹°¸® Å¸°Ý ¸íÁß ½Ã ÇÃ·¹ÀÌ¾î¿¡°Ô ¸ðµç È¸º¹ ºÒ°¡´É »óÅÂ¸¦ °Ç´Ù. ½ºÅ³ °ø°Ý¿¡´Â ¿µÇâÀ» ¹ÌÄ¡Áö ¾Ê´Â´Ù.",
				"Á¦·ÃµµÀÇ ÀÏÁ¤ ¼öÄ¡¸¶´Ù HIT¿Í CRI°¡ Áõ°¡ÇÑ´Ù.",
				"ÆÄ±«ºÒ°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^777777170^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		16023: {
			unidentifiedDisplayName: "µÐ±â",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¸ÞÅ» ¸ÞÀÌ½º",
			identifiedResourceName: "\xb8\xde\xc5\xbb\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­Ã¶¿¡ ÇÁ¶óÄÜ°ú ¿¥º£¸£Å¸ÄÜÀ» Ã·°¡ÇÏ¿© ´É·ÂÀ» °­È­½ÃÅ² ±Ý¼ÓÀ¸·Î Á¦ÀÛÇÑ ¸ÞÀÌ½º",
				"Á¦·Ãµµ 1´ç ATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 20ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"(Áõ°¡·®Àº BaseLv 120±îÁö Àû¿ë)",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 8
		},

		16025: {
			unidentifiedDisplayName: "µÐ±â",
			unidentifiedResourceName: "\xc5\xac\xb7\xb4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¸ÞÀÌ½º",
			identifiedResourceName: "\xb8\xde\xc0\xcc\xbd\xba",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÆÄ±«ºÒ°¡.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î µ¿ºù.",
				"Èú·® 5% Áõ°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 8
		},

		16100: {
			unidentifiedDisplayName: "Angry Mouth Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Angry Mouth\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Angry Mouth Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Angry Mouth\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16101: {
			unidentifiedDisplayName: "Lucky Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Lucky Egg\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lucky Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Lucky Egg\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16102: {
			unidentifiedDisplayName: "Claymore Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Claymore\" inside. Available for 7 days. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Claymore Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Claymore\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16103: {
			unidentifiedDisplayName: "Jamadhar Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Jamadhar\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jamadhar Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Jamadhar\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16104: {
			unidentifiedDisplayName: "Two-Handed Axe Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Two-Handed Axe\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Two-Handed Axe Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Two-Handed Axe\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16105: {
			unidentifiedDisplayName: "Lance Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Lance\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lance Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Lance\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16106: {
			unidentifiedDisplayName: "Huuma Giant Wheel Shuriken Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Huuma Giant Wheel Shuriken\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Huuma Giant Wheel Shuriken Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Huuma Giant Wheel Shuriken\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16107: {
			unidentifiedDisplayName: "Orcish Axe Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Orcish Axe\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orcish Axe Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Orcish Axe\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16108: {
			unidentifiedDisplayName: "Spike Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Spike\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spike Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Spike\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16109: {
			unidentifiedDisplayName: "Giant Encyclopedia Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Giant Encyclopedia\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Encyclopedia Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Giant Encyclopedia\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16110: {
			unidentifiedDisplayName: "Fist Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Fist\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fist Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Fist\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16111: {
			unidentifiedDisplayName: "Guitar Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Guitar\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Guitar Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Guitar\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16112: {
			unidentifiedDisplayName: "Rante Whip Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Rante Whip\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rante Whip Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Rante Whip\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16113: {
			unidentifiedDisplayName: "Damascus Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Damascus\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Damascus Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Damascus\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16114: {
			unidentifiedDisplayName: "Flamberge Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Flamberge\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flamberge Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Flamberge\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16115: {
			unidentifiedDisplayName: "Stunner Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Stunner\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stunner Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Stunner\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16116: {
			unidentifiedDisplayName: "Lucky Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Lucky\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lucky Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Lucky\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16117: {
			unidentifiedDisplayName: "Claymore Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Claymore\" inside. Available for 7 days. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Claymore Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Claymore\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16118: {
			unidentifiedDisplayName: "Jamadhar Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Jamadhar\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jamadhar Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Jamadhar\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16119: {
			unidentifiedDisplayName: "Two-Handed Axe Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Two-Handed Axe\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Two-Handed Axe Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Two-Handed Axe\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16120: {
			unidentifiedDisplayName: "Lance Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Lance\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lance Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Lance\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16121: {
			unidentifiedDisplayName: "Huuma Giant Wheel Shuriken Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Huuma Giant Wheel Shuriken\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Huuma Giant Wheel Shuriken Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Huuma Giant Wheel Shuriken\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16122: {
			unidentifiedDisplayName: "Orcish Axe Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Orcish Axe\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orcish Axe Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Orcish Axe\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16123: {
			unidentifiedDisplayName: "Pike Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Spike\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pike Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Spike\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16124: {
			unidentifiedDisplayName: "Giant Encyclopedia Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Giant Encyclopedia\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Encyclopedia Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Giant Encyclopedia\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16125: {
			unidentifiedDisplayName: "Fist Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Fist\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fist Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Fist\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16126: {
			unidentifiedDisplayName: "Guitar Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Guitar\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Guitar Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Guitar\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16127: {
			unidentifiedDisplayName: "Rante Whip Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Rante Whip\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rante Whip Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Rante Whip\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16128: {
			unidentifiedDisplayName: "Damascus Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Damascus\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Damascus Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Damascus\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16129: {
			unidentifiedDisplayName: "Flamberge Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Flamberge\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flamberge Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Flamberge\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16130: {
			unidentifiedDisplayName: "Stunner Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Stunner\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stunner Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Stunner\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16131: {
			unidentifiedDisplayName: "Lady Tanee Doll Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Tanigumi Girl Doll\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lady Tanee Doll Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Tanigumi Girl Doll\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16132: {
			unidentifiedDisplayName: "Lunatic Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Lunatic Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lunatic Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Lunatic Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16133: {
			unidentifiedDisplayName: "Sunshine Staff Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Guardian Of Light Wand\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sunshine Staff Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Guardian Of Light Wand\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16134: {
			unidentifiedDisplayName: "King Frog Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Frog King Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "King Frog Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Frog King Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16135: {
			unidentifiedDisplayName: "Satan's Bone Hat Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Satanic Bone Helm\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Satan's Bone Hat Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 1 \"Satanic Bone Helm\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16136: {
			unidentifiedDisplayName: "Goddess Of Blessing Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Goddess Of Blessing\" inside.",
				"You have the blessings of the goddess!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Goddess Of Blessing Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 \"Goddess Of Blessing\" inside.",
				"You have the blessings of the goddess!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16137: {
			unidentifiedDisplayName: "Angel Of Blessing Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Angel Of Blessing\" inside.",
				"The angel's blessing be with you!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Angel Of Blessing Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 \"Angel Of Blessing\" inside.",
				"The angel's blessing be with you!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16138: {
			unidentifiedDisplayName: "Snow Powder Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Snow Powder\" inside.",
				"During the winter atmosphere I'd like to look good items!",
				"Warning: You can not turn off the lights!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Snow Powder Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 \"Snow Powder\" inside.",
				"During the winter atmosphere I'd like to look good items!",
				"Warning: You can not turn off the lights!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16139: {
			unidentifiedDisplayName: "Small Hearts Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Small Hearts\" inside.",
				"This item is expected to create an atmosphere of love, please!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Small Hearts Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 \"Small Hearts\" inside.",
				"This item is expected to create an atmosphere of love, please!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16140: {
			unidentifiedDisplayName: "Extravagant Firework Box",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Extravagant Firework\" inside.",
				"Gorgeous and beautiful fireworks. When used in a summer night seems to be romantic.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Extravagant Firework Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 \"Extravagant Firework\" inside.",
				"Gorgeous and beautiful fireworks. When used in a summer night seems to be romantic.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16141: {
			unidentifiedDisplayName: "Gold Earring Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Gold Earring\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gold Earring Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Gold Earring\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16142: {
			unidentifiedDisplayName: "Green Jewel Bag Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Green Jewel Bag\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Green Jewel Bag Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Green Jewel Bag\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16143: {
			unidentifiedDisplayName: "Fashion Glasses Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Fashion Glasses\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fashion Glasses Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Fashion Glasses\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16144: {
			unidentifiedDisplayName: "Hairband Of Stars Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Hairband Of Stars\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hairband Of Stars Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Hairband Of Stars\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16145: {
			unidentifiedDisplayName: "Tassel for Durumagi Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Tassel for Durumagi\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tassel for Durumagi Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Tassel for Durumagi\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16146: {
			unidentifiedDisplayName: "Pet Soul Ring Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Pet Soul Ring\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pet Soul Ring Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Pet Soul Ring\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16147: {
			unidentifiedDisplayName: "Beautiful Badges Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Beautiful Badges\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Beautiful Badges Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Beautiful Badges\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16148: {
			unidentifiedDisplayName: "Jade Trinket Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Jade Trinket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jade Trinket Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Jade Trinket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16149: {
			unidentifiedDisplayName: "Summer Fan Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Summer Fan\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Summer Fan Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Summer Fan\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16150: {
			unidentifiedDisplayName: "Ring Of Death Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Ring Of Death\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ring Of Death Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Ring Of Death\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16151: {
			unidentifiedDisplayName: "Queen's Coronet Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Queen's Coronet\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Queen's Coronet Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Queen's Coronet\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16152: {
			unidentifiedDisplayName: "Afro Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Afro\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Afro Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Afro\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16153: {
			unidentifiedDisplayName: "Masked Ball Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Masked Ball\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Masked Ball Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Masked Ball\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16154: {
			unidentifiedDisplayName: "Spring Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Spring\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spring Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Spring\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16155: {
			unidentifiedDisplayName: "Horn Of Hell Box",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Horn Of Hell\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Horn Of Hell Box",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"A box that contains 1 \"Horn Of Hell\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16156: {
			unidentifiedDisplayName: "Poring Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Poring Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Poring Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Poring Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16157: {
			unidentifiedDisplayName: "Drops Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Drops Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Drops Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Drops Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16158: {
			unidentifiedDisplayName: "Poporing Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Poporing Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Poporing Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Poporing Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16159: {
			unidentifiedDisplayName: "Lunatic Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Lunatic Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Lunatic Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Lunatic Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16160: {
			unidentifiedDisplayName: "Picky Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Picky Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Picky Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Picky Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16161: {
			unidentifiedDisplayName: "Peco Peco Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Peco-Peco Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Peco Peco Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Peco-Peco Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16162: {
			unidentifiedDisplayName: "Savage Babe Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Savage Babe Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Savage Babe Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Savage Babe Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16163: {
			unidentifiedDisplayName: "Spore Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Spore Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Spore Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Spore Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16164: {
			unidentifiedDisplayName: "Poison Spore Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Poison Spore Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Poison Spore Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Poison Spore Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16165: {
			unidentifiedDisplayName: "Chonchon Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Chonchon Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Chonchon Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Chonchon Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16166: {
			unidentifiedDisplayName: "Steel Chonchon Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Steel Chonchon Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Steel Chonchon Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Steel Chonchon Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16167: {
			unidentifiedDisplayName: "Sky Petite Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Sky Petite Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Sky Petite Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Sky Petite Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16168: {
			unidentifiedDisplayName: "Deviruchi Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Deviruchi Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Deviruchi Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Deviruchi Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16169: {
			unidentifiedDisplayName: "Isis Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Isis Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Isis Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Isis Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16170: {
			unidentifiedDisplayName: "Smokie Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Smokie Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Smokie Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Smokie Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16171: {
			unidentifiedDisplayName: "Dokebi Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Dokebi Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Dokebi Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Dokebi Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16172: {
			unidentifiedDisplayName: "Baby Desert Wolf Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Baby Desert Wolf Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Baby Desert Wolf Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Baby Desert Wolf Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16173: {
			unidentifiedDisplayName: "Yoyo Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Yoyo Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Yoyo Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Yoyo Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16174: {
			unidentifiedDisplayName: "Sohee Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Sohee Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Sohee Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Sohee Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16175: {
			unidentifiedDisplayName: "Rocker Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Rocker Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Rocker Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Rocker Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16176: {
			unidentifiedDisplayName: "Hunter Fly Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Hunter Fly Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Hunter Fly Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Hunter Fly Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16177: {
			unidentifiedDisplayName: "Orc Warrior Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Orc Warrior Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Orc Warrior Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Orc Warrior Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16178: {
			unidentifiedDisplayName: "Bapho Jr. Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Bapho Jr. Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Bapho Jr. Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Bapho Jr. Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16179: {
			unidentifiedDisplayName: "Munak Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Munak Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Munak Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Munak Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16180: {
			unidentifiedDisplayName: "Bongun Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Bongun Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Bongun Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Bongun Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16181: {
			unidentifiedDisplayName: "Christmas Goblin Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Christmas Goblin Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Christmas Goblin Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Christmas Goblin Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16182: {
			unidentifiedDisplayName: "Rice Cake Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Rice Cake Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Rice Cake Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Rice Cake Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16183: {
			unidentifiedDisplayName: "Zherlthsh Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Zherlthsh Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Zherlthsh Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Zherlthsh Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16184: {
			unidentifiedDisplayName: "Alice Exchange Ticket Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Alice Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Alice Exchange Ticket Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Alice Exchange Ticket\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16185: {
			unidentifiedDisplayName: "Raven Cap Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Crow Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Raven Cap Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Crow Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16186: {
			unidentifiedDisplayName: "Baby Dragon Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Baby Dragon Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Baby Dragon Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Baby Dragon Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16187: {
			unidentifiedDisplayName: "Angry Mouth Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Angry Mouth\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Angry Mouth Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Angry Mouth\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16188: {
			unidentifiedDisplayName: "Magic Rabbit Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Magic Rabbit Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Magic Rabbit Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Magic Rabbit Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16189: {
			unidentifiedDisplayName: "Side Cap Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Side Cap\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Side Cap Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Side Cap\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16190: {
			unidentifiedDisplayName: "Magic Rabbit Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Magic Rabbit Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Magic Rabbit Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Magic Rabbit Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16191: {
			unidentifiedDisplayName: "Side Cap Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Side Cap\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Side Cap Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Side Cap\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16192: {
			unidentifiedDisplayName: "Quati Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Kwati Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Quati Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			identifiedDescriptionName: [
				"A box that contains 1 \"Kwati Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16193: {
			unidentifiedDisplayName: "Tucan Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Tucano Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tucan Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			identifiedDescriptionName: [
				"A box that contains 1 \"Tucano Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16194: {
			unidentifiedDisplayName: "Jaguar Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Jaguar Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jaguar Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			identifiedDescriptionName: [
				"A box that contains 1 \"Jaguar Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16195: {
			unidentifiedDisplayName: "Halloween Scroll",
			unidentifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"An Halloween Scroll. It is very suspicious Scroll... You should keep it secret.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Halloween Scroll",
			identifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"An Halloween Scroll. It is very suspicious Scroll... You should keep it secret.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16196: {
			unidentifiedDisplayName: "Freya's Spiritual Shield Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Shield\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Shield Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Shield\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16197: {
			unidentifiedDisplayName: "Freya's Spiritual Shield Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Shield\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Shield Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Shield\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16198: {
			unidentifiedDisplayName: "Freya's Spiritual Shield Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Shield\" inside. Available for 60 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Shield Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Shield\" inside. Available for 60 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16199: {
			unidentifiedDisplayName: "Freya's Spiritual Shield Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Shield\" inside. Available for 90 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Shield Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Shield\" inside. Available for 90 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16200: {
			unidentifiedDisplayName: "Freya's Spiritual Robe Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Robe\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Robe Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Robe\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16201: {
			unidentifiedDisplayName: "Freya's Spiritual Robe Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Robe\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Robe Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Robe\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16202: {
			unidentifiedDisplayName: "Freya's Spiritual Robe Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Robe\" inside. Available for 60 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Robe Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Robe\" inside. Available for 60 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16203: {
			unidentifiedDisplayName: "Freya's Spiritual Robe Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Robe\" inside. Available for 90 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Robe Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Robe\" inside. Available for 90 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16204: {
			unidentifiedDisplayName: "Freya's Spiritual Scarf Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Scarf\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Scarf Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Scarf\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16205: {
			unidentifiedDisplayName: "Freya's Spiritual Scarf Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Scarf\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Scarf Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Scarf\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16206: {
			unidentifiedDisplayName: "Freya's Spiritual Scarf Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Scarf\" inside. Available for 60 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Scarf Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Scarf\" inside. Available for 60 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16207: {
			unidentifiedDisplayName: "Freya's Spiritual Scarf Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Scarf\" inside. Available for 90 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Scarf Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Scarf\" inside. Available for 90 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16208: {
			unidentifiedDisplayName: "Freya's Spiritual Sandals Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Sandals\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Sandals Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Sandals\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16209: {
			unidentifiedDisplayName: "Freya's Spiritual Sandals Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Sandals\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Sandals Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Sandals\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16210: {
			unidentifiedDisplayName: "Freya's Spiritual Sandals Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Sandals\" inside. Available for 60 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Sandals Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Sandals\" inside. Available for 60 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16211: {
			unidentifiedDisplayName: "Freya's Spiritual Sandals Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Sandals\" inside. Available for 90 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Sandals Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Sandals\" inside. Available for 90 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16212: {
			unidentifiedDisplayName: "Freya's Spiritual Circlet Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Circlet\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Circlet Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Circlet\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16213: {
			unidentifiedDisplayName: "Freya's Spiritual Circlet Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Circlet\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Circlet Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Circlet\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16214: {
			unidentifiedDisplayName: "Freya's Spiritual Circlet Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Circlet\" inside. Available for 60 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Circlet Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Circlet\" inside. Available for 60 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16215: {
			unidentifiedDisplayName: "Freya's Spiritual Circlet Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Circlet\" inside. Available for 90 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Circlet Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Soul Circlet\" inside. Available for 90 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16216: {
			unidentifiedDisplayName: "Freya's Spiritual Bracelet Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Bracelet\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Bracelet Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Bracelet\" inside. Available for 7 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16217: {
			unidentifiedDisplayName: "Freya's Spiritual Bracelet Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Bracelet\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Bracelet Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Bracelet\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16218: {
			unidentifiedDisplayName: "Freya's Spiritual Bracelet Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Bracelet\" inside. Available for 60 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Bracelet Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Bracelet\" inside. Available for 60 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16219: {
			unidentifiedDisplayName: "Freya's Spiritual Bracelet Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Bracelet\" inside. Available for 90 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya's Spiritual Bracelet Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Spirit Bracelet\" inside. Available for 90 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16220: {
			unidentifiedDisplayName: "Marionette Accessory Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Tasty Sundae\", 1 \"Hairband Of Stars\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marionette Accessory Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			identifiedDescriptionName: [
				"A box that contains 5 \"Tasty Sundae\", 1 \"Hairband Of Stars\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16221: {
			unidentifiedDisplayName: "Whisper Accessory Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Customized Coffin\", 1 \"Pet Soul Ring\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Whisper Accessory Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			identifiedDescriptionName: [
				"A box that contains 5 \"Customized Coffin\", 1 \"Pet Soul Ring\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16222: {
			unidentifiedDisplayName: "Incubus Accessory Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Romance Of Girl\", 1 \"Masked Ball\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Incubus Accessory Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			identifiedDescriptionName: [
				"A box that contains 5 \"Romance Of Girl\", 1 \"Masked Ball\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16223: {
			unidentifiedDisplayName: "Marionette Accessory Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Tasty Sundae\", 1 \"Hairband Of Stars\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Marionette Accessory Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			identifiedDescriptionName: [
				"A box that contains 5 \"Tasty Sundae\", 1 \"Hairband Of Stars\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16224: {
			unidentifiedDisplayName: "Whisper Accessory Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Customized Coffin\", 1 \"Pet Soul Ring\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Whisper Accessory Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			identifiedDescriptionName: [
				"A box that contains 5 \"Customized Coffin\", 1 \"Pet Soul Ring\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16225: {
			unidentifiedDisplayName: "Incubus Accessory Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Romance Of Girl\", 1 \"Masked Ball\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Incubus Accessory Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x34",
			identifiedDescriptionName: [
				"A box that contains 5 \"Romance Of Girl\", 1 \"Masked Ball\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16226: {
			unidentifiedDisplayName: "Aries Diadem Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Aries Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aries Diadem Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Aries Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16227: {
			unidentifiedDisplayName: "Aries Crown Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Aries Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Aries Crown Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Aries Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16228: {
			unidentifiedDisplayName: "RJC Flower Katusa Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"RJC Katyusha Flower\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "RJC Flower Katusa Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"RJC Katyusha Flower\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16229: {
			unidentifiedDisplayName: "Scarlet Rose Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Rose Of Crimson\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scarlet Rose Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Rose Of Crimson\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16230: {
			unidentifiedDisplayName: "Taurus Diadem Box",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xbc\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Taurus Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Taurus Diadem Box",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xbc\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Taurus Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16231: {
			unidentifiedDisplayName: "Taurus Crown Box",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xbc\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Taurus Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Taurus Crown Box",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xbc\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Taurus Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16232: {
			unidentifiedDisplayName: "Hairband Of Reginleif Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Hairband Of Reginleif\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hairband Of Reginleif Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Hairband Of Reginleif\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16233: {
			unidentifiedDisplayName: "Festival Grand Circlet Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Festival Grand Circlet\" inside. ",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Festival Grand Circlet Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Festival Grand Circlet\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16234: {
			unidentifiedDisplayName: "Festival Bunny Band Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Festival Bunny Band\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Festival Bunny Band Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Festival Bunny Band\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16235: {
			unidentifiedDisplayName: "Octopus Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Octopus Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Octopus Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Octopus Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16236: {
			unidentifiedDisplayName: "Leaf Cat Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Leaf Cat Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leaf Cat Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Leaf Cat Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16237: {
			unidentifiedDisplayName: "Fur Seal Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Seal Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fur Seal Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Seal Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16238: {
			unidentifiedDisplayName: "Wild Rose Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Wild Rose Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Wild Rose Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Wild Rose Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16239: {
			unidentifiedDisplayName: "Saci's Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Luxury Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Saci's Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Luxury Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16240: {
			unidentifiedDisplayName: "Whikebain's Black Ears Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Whikebine's Black Cat Ears\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Whikebain's Black Ears Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Whikebine's Black Cat Ears\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16241: {
			unidentifiedDisplayName: "Chicken Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Chicken Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chicken Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Chicken Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16242: {
			unidentifiedDisplayName: "Whikebine's Black Cat Ears Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Whikebine's Black Cat Ears\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Whikebine's Black Cat Ears Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Whikebine's Black Cat Ears\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16243: {
			unidentifiedDisplayName: "Chicken Hat Box Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Chicken Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chicken Hat Box Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Chicken Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16244: {
			unidentifiedDisplayName: "Dolor Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x35",
			unidentifiedDescriptionName: [
				"A Box with a Dolor Hat inside.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Dolor Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x35",
			identifiedDescriptionName: [
				"A Box with a Dolor Hat inside.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16245: {
			unidentifiedDisplayName: "Taiwan April Scroll",
			unidentifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Taiwan April Scroll",
			identifiedResourceName: "\xb4\xeb\xb8\xb8\xb9\xe9\xbc\xd2\xc1\xf8\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16246: {
			unidentifiedDisplayName: "Crown of Deceit Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x35",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Crown Of Deceit\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crown of Deceit Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x35",
			identifiedDescriptionName: [
				"A box that contains 1 \"Crown Of Deceit\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16247: {
			unidentifiedDisplayName: "Dragon Arhat Mask Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Dragon Arhat Mask\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Dragon Arhat Mask Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Dragon Arhat Mask\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16248: {
			unidentifiedDisplayName: "Tiger Arhat Mask Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Tiger Arhat Mask\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Tiger Arhat Mask Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"A box that contains 1 \"Tiger Arhat Mask\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16249: {
			unidentifiedDisplayName: "Knight's Gift Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Knight's Gift Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16250: {
			unidentifiedDisplayName: "Valkyrie's Gift Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Helm Of Valkyrie\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			identifiedDisplayName: "Valkyrie's Gift Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x33",
			identifiedDescriptionName: [
				"A box that contains 1 \"Helm Of Valkyrie\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 0^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16251: {
			unidentifiedDisplayName: "Gemini Diadem Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Gemini Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gemini Diadem Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Gemini Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16252: {
			unidentifiedDisplayName: "Gemini Crown Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Gemini Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Gemini Crown Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Gemini Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16253: {
			unidentifiedDisplayName: "Rabbit Scroll",
			unidentifiedResourceName: "\xc5\xe4\xb3\xa2\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Rabbit ears with a little scroll round the eggs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rabbit Scroll",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"Rabbit ears with a little scroll round the eggs.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16254: {
			unidentifiedDisplayName: "Energizing Potion Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Activation Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Energizing Potion Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 5 \"Activation Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16255: {
			unidentifiedDisplayName: "Activation Potion Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Activation Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Activation Potion Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 5 \"Activation Potion\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16256: {
			unidentifiedDisplayName: "Rag DS Helm Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rag DS Helm Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 Hermode Cap, 1 Aumdura's Benefit and 1 Odin Mask.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16257: {
			unidentifiedDisplayName: "Buddha Scroll",
			unidentifiedResourceName: "\xbf\xad\xc7\xf7\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Taiwan's French scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Buddha Scroll",
			identifiedResourceName: "\xbf\xad\xc7\xf7\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"Buddha Scroll.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16258: {
			unidentifiedDisplayName: "HD Bradium 5 Box",
			unidentifiedResourceName: "\x68\x64\x5f\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"High Density Bradium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Bradium 5 Box",
			identifiedResourceName: "\x68\x64\x5f\xba\xea\xb6\xf3\xb5\xf0\xbf\xf2\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box which contains 5 high density bradiums.",
				"A high density Bradium used in upgrading weapons. Take this to Mighty Hammer in Eden Group or Payon next to the Kafra Shop Ladies to help you upgrade weapons at +10 and higher.",
				"This Bradium's density guarantees that your weapon will NOT break when attempting to upgrade and if the upgrade attempt fails, it will only downgrade 1 level instead of 3 like a normal Bradium.",
				"Weight : ^7777771^000000",
				"^ff0000This item is excluded from subscription withdrawal or refund.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16259: {
			unidentifiedDisplayName: "HD Carnium 5 Box",
			unidentifiedResourceName: "\x68\x64\x5f\xc4\xab\xb8\xa3\xb4\xbd\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"High Density Kalunium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Carnium 5 Box",
			identifiedResourceName: "\x68\x64\x5f\xc4\xab\xb8\xa3\xb4\xbd\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box which contains 5 high density carniums.",
				"A high density Carnium used in upgrading armor. Take this to Mighty Hammer in Eden Group or Payon next to the Kafra Shop Ladies to help you upgrade armor at +10 and higher.",
				"This Carnium's density guarantees that your armor will NOT break when attempting to upgrade and if the upgrade attempt fails, it will only downgrade 1 level instead of 3 like a normal Carnium.",
				"Weight : ^7777771^000000",
				"^ff0000This item is excluded from subscription withdrawal or refund.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16260: {
			unidentifiedDisplayName: "HD Bradium 10 Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"High Density Bradium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Bradium 10 Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box that contains 10 \"High Density Bradium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16261: {
			unidentifiedDisplayName: "HD Carnium 10 Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"High Density Kalunium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Carnium 10 Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 10 \"High Density Kalunium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16262: {
			unidentifiedDisplayName: "HD Bradium 5 Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"High Density Bradium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Bradium 5 Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box that contains 5 \"High Density Bradium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16263: {
			unidentifiedDisplayName: "HD Carnium 5 Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"High Density Kalunium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Carnium 5 Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 5 \"High Density Kalunium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16264: {
			unidentifiedDisplayName: "HD Bradium 10 Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"High Density Bradium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Bradium 10 Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box that contains 10 \"High Density Bradium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16265: {
			unidentifiedDisplayName: "HD Carnium 10 Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"High Density Kalunium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HD Carnium 10 Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 10 \"High Density Kalunium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16266: {
			unidentifiedDisplayName: "Red Beret Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Indonesia Beret\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Red Beret Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Indonesia Beret\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16267: {
			unidentifiedDisplayName: "HE Battle Manual Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"High Efficiency Battle Manual\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HE Battle Manual Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 \"High Efficiency Battle Manual\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16268: {
			unidentifiedDisplayName: "HE Bubble Gum Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"High Efficiency Bubble Gum\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HE Bubble Gum Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 \"High Efficiency Bubble Gum\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16269: {
			unidentifiedDisplayName: "Cancer Diadem Box",
			unidentifiedResourceName: "\xb0\xc5\xc7\xd8\xb1\xc3\x5f\xba\xb8\xb0\xfc\x5f\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Cancer Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cancer Diadem Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Cancer Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16270: {
			unidentifiedDisplayName: "Cancer Crown Box",
			unidentifiedResourceName: "\xb0\xc5\xc7\xd8\xb1\xc3\x5f\xbf\xd5\xb0\xfc\x5f\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Cancer Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cancer Crown Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Cancer Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16271: {
			unidentifiedDisplayName: "Hockey Mask Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Hockey Mask\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Hockey Mask Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Hockey Mask\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16272: {
			unidentifiedDisplayName: "Observer Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Observer\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Observer Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Observer\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16273: {
			unidentifiedDisplayName: "Leo Crown Box ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"All In One Ring\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leo Crown Box ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"All In One Ring\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16274: {
			unidentifiedDisplayName: "Leo Diadem Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Spiritual Tunic\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leo Diadem Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Spiritual Tunic\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16275: {
			unidentifiedDisplayName: "Recuvative Armor Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Recuvative Armor\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Recuvative Armor Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Recuvative Armor\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16276: {
			unidentifiedDisplayName: "Shell Of Resistance Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Shell Of Resistance\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shell Of Resistance Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Shell Of Resistance\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16277: {
			unidentifiedDisplayName: "Silf Manteau Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Silf Manteau\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Silf Manteau Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Silf Manteau\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16278: {
			unidentifiedDisplayName: "Refresh Shoes Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Refresh Shoes\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Refresh Shoes Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Refresh Shoes\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16279: {
			unidentifiedDisplayName: "Crunch Toast Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Crunch Toast\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crunch Toast Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Crunch Toast\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16280: {
			unidentifiedDisplayName: "Western Outlaw Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Western Outlaw\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Western Outlaw Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Western Outlaw\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16281: {
			unidentifiedDisplayName: "Lever Action Rifle Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Lever Action Rifle\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lever Action Rifle Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Lever Action Rifle\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16282: {
			unidentifiedDisplayName: "Staff of Healing Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Staff of Healing\" inside. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Staff of Healing Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Staff of Healing\" inside. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16283: {
			unidentifiedDisplayName: "Praccsinos Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Praccsinos\" inside. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Praccsinos Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Praccsinos\" inside. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16284: {
			unidentifiedDisplayName: "Guild Member Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Guild Member Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Guild Member Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Guild Member Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16285: {
			unidentifiedDisplayName: "Party Member Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Party Member Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Party Member Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Party Member Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16286: {
			unidentifiedDisplayName: "Boyfriend Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Boyfriend Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Boyfriend Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Boyfriend Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16287: {
			unidentifiedDisplayName: "Girlfriend Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Girlfriend Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Girlfriend Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Girlfriend Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16288: {
			unidentifiedDisplayName: "Friend Hat Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Friend Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Friend Hat Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 \"Friend Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16289: {
			unidentifiedDisplayName: "Claymore Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Claymore\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Claymore Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Claymore\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16290: {
			unidentifiedDisplayName: "Two-Handed Axe Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Two Handed Axe\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Two-Handed Axe Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Two Handed Axe\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16291: {
			unidentifiedDisplayName: "Lance Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Lance\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Lance Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Lance\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16292: {
			unidentifiedDisplayName: "Jamadhar Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Jamadhar\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Jamadhar Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Jamadhar\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16293: {
			unidentifiedDisplayName: "Huuma Giant Wheel Shuriken Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Huuma Giant Wheel Shuriken\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Huuma Giant Wheel Shuriken Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Huuma Giant Wheel Shuriken\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16294: {
			unidentifiedDisplayName: "Orcish Axe Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Orcish Axe\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Orcish Axe Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Orcish Axe\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16295: {
			unidentifiedDisplayName: "Spike Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Spike\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Spike Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Spike\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16296: {
			unidentifiedDisplayName: "Giant Encyclopedia Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Giant Encyclopedia\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Giant Encyclopedia Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Giant Encyclopedia\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16297: {
			unidentifiedDisplayName: "Fist Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Fist\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Fist Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Fist\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16298: {
			unidentifiedDisplayName: "Guitar Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Guitar\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Guitar Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Guitar\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16299: {
			unidentifiedDisplayName: "Rante Whip Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Rante Whip\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rante Whip Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Rante Whip\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16300: {
			unidentifiedDisplayName: "Damascus Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Damascus\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Damascus Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Damascus\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16301: {
			unidentifiedDisplayName: "Flamberge Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Flamberge\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Flamberge Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Flamberge\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16302: {
			unidentifiedDisplayName: "Stunner Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Stunner\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Stunner Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Stunner\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16303: {
			unidentifiedDisplayName: "Angry Mouth Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A box that contains 1 \"Angry Mouth\" inside. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Angry Mouth Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"A box that contains 1 \"Angry Mouth\" inside. Please take a care because is fragile.",
				"Rental period for 1 day.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16304: {
			unidentifiedDisplayName: "Deviling Incarnation Scroll",
			unidentifiedResourceName: "\xb5\xa5\xba\xf4\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Deviling incarnation scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Deviling Incarnation Scroll",
			identifiedResourceName: "\xb5\xa5\xba\xf4\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"Deviling incarnation scroll.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16305: {
			unidentifiedDisplayName: "Upgrade Guard Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Guard\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Guard Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Guard\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16306: {
			unidentifiedDisplayName: "Reinforcement Guard Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Guard\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Guard Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Guard\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16307: {
			unidentifiedDisplayName: "Upgrade Buckler Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Buckler\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Buckler Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Buckler\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16308: {
			unidentifiedDisplayName: "Reinforcement Buckler Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Buckler\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Buckler Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Buckler\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16309: {
			unidentifiedDisplayName: "Upgrade Shield Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Shield\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Shield Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Shield\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16310: {
			unidentifiedDisplayName: "Reinforcement Shield Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Shield\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Shield Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Shield\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16311: {
			unidentifiedDisplayName: "Upgrade Shoes Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Shoes\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Shoes Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Shoes\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16312: {
			unidentifiedDisplayName: "Reinforcement Shoes Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Shoes\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Shoes Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Shoes\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16313: {
			unidentifiedDisplayName: "Upgrade Boots Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Boots\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Boots Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Boots\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16314: {
			unidentifiedDisplayName: "Reinforcement Boots Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Boots\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Boots Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Boots\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16315: {
			unidentifiedDisplayName: "Upgrade Greave Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Greaves\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Greave Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Greaves\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16316: {
			unidentifiedDisplayName: "Reinforcement Greaves Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Greaves\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Greaves Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Greaves\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16317: {
			unidentifiedDisplayName: "Upgrade Hood Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Hood\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Hood Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Hood\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16318: {
			unidentifiedDisplayName: "Reinforcement Hood Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Hood\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Hood Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Hood\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16319: {
			unidentifiedDisplayName: "Upgrade Muffler Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Muffler\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Muffler Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Muffler\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16320: {
			unidentifiedDisplayName: "Reinforcement Muffler Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Muffler\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Muffler Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Muffler\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16321: {
			unidentifiedDisplayName: "Upgrade Manteau Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Manteau\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Manteau Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Manteau\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16322: {
			unidentifiedDisplayName: "Reinforcement Manteau Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Manteau\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Manteau Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Manteau\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16323: {
			unidentifiedDisplayName: "Upgrade Clip Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Clip\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Clip Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Clip\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16324: {
			unidentifiedDisplayName: "Reinforcement Clip Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Clip\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Clip Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Clip\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16325: {
			unidentifiedDisplayName: "Rune Hairband Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Rune Cloth Circlet\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rune Hairband Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Rune Cloth Circlet\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16326: {
			unidentifiedDisplayName: "Rune Cloth Circlet Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Rune Cloth Circlet\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rune Cloth Circlet Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Rune Cloth Circlet\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16327: {
			unidentifiedDisplayName: "Upgrade Adventure Suit Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Adventure Suit\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Adventure Suit Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Adventure Suit\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16328: {
			unidentifiedDisplayName: "Reinforcement Adventure Suit Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Adventure Suit\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Adventure Suit Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Adventure Suit\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16329: {
			unidentifiedDisplayName: "Upgrade Coat Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Coat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Coat Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Coat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16330: {
			unidentifiedDisplayName: "Reinforcement Coat Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Coat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Coat Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Coat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16331: {
			unidentifiedDisplayName: "Upgrade Saint Robe Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Saint Robe\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Saint Robe Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Saint Robe\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16332: {
			unidentifiedDisplayName: "Reinforcement Saint Robe Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Saint Robe\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Saint Robe Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Saint Robe\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16333: {
			unidentifiedDisplayName: "Upgrade Tights Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Tight\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Tights Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Tight\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16334: {
			unidentifiedDisplayName: "Reinforcement Tight Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Tight\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Tight Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Tight\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16335: {
			unidentifiedDisplayName: "Upgrade Thief Cloth Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Thief Clothes\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Thief Cloth Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Thief Clothes\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16336: {
			unidentifiedDisplayName: "Reinforcement Thief Clothes Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Thief Clothes\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Thief Clothes Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Thief Clothes\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16337: {
			unidentifiedDisplayName: "Upgrade Mail Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Mail\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Mail Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Mail\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16338: {
			unidentifiedDisplayName: "Reinforcement Mail Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Mail\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Mail Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Mail\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16339: {
			unidentifiedDisplayName: "Upgrade Formal Dress Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Formal Suit\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Upgrade Formal Dress Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Formal Suit\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16340: {
			unidentifiedDisplayName: "Reinforcement Formal Suit Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Formal Suit\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reinforcement Formal Suit Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Reinforcement Formal Suit\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16341: {
			unidentifiedDisplayName: "Greed Clip Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that cotains 1 Greed Clip.",
				"Enable to use [Greed] skill.",
				"Class: ^777777Accessory^000000 DEF: ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level: ^77777710^000000",
				"Jobs: ^777777All Jobs except Novice^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Greed Clip Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that cotains 1 Greed Clip.",
				"Enable to use [Greed] skill.",
				"Class: ^777777Accessory^000000 DEF: ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level: ^77777710^000000",
				"Jobs: ^777777All Jobs except Novice^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16343: {
			unidentifiedDisplayName: "Leo Crown Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Leo Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leo Crown Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Leo Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16344: {
			unidentifiedDisplayName: "Leo Diadem Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Leo Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leo Diadem Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Leo Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16345: {
			unidentifiedDisplayName: "Leo Crown Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Leo Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leo Crown Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Leo Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16346: {
			unidentifiedDisplayName: "Leo Diadem Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Leo Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Leo Diadem Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Leo Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16347: {
			unidentifiedDisplayName: "Shooting Star Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Shooting Star\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shooting Star Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Shooting Star\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16348: {
			unidentifiedDisplayName: "Bloody Spear Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Bloody Spear\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bloody Spear Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Bloody Spear\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16349: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16350: {
			unidentifiedDisplayName: "Healing Of Staff Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Healing Of Staff\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Healing Of Staff Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Healing Of Staff\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16351: {
			unidentifiedDisplayName: "Anti Demon Shield",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Anti Demon Shield\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Anti Demon Shield",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Anti Demon Shield\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16352: {
			unidentifiedDisplayName: "Shooting Star Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Shooting Star\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shooting Star Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Shooting Star\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16353: {
			unidentifiedDisplayName: "Bloody Spear Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Bloody Spear\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bloody Spear Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Bloody Spear\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16354: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16355: {
			unidentifiedDisplayName: "Healing Of Staff Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Healing Of Staff\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Healing Of Staff Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Healing Of Staff\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16356: {
			unidentifiedDisplayName: "Anti Demon Shield Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Anti Demon Shield\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Anti Demon Shield Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Anti Demon Shield\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16357: {
			unidentifiedDisplayName: "Satanic Bone Helm Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Satanic Bone Helm\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Satanic Bone Helm Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 1 \"Satanic Bone Helm\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16358: {
			unidentifiedDisplayName: "Mobile Pet Random Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mobile Pet Random Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16359: {
			unidentifiedDisplayName: "7th Years Random Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "7th Years Random Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16360: {
			unidentifiedDisplayName: "Desert Prince Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Desert Princess\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Desert Prince Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Desert Princess\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16361: {
			unidentifiedDisplayName: "Desert Prince Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Desert Princess\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Desert Prince Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Desert Princess\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16362: {
			unidentifiedDisplayName: "Sigrun's Wing Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Sigrun's Wings\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sigrun's Wing Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box contains 1 \"Sigrun's Wings\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16363: {
			unidentifiedDisplayName: "Sigrun's Wings Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box contains 1 \"Sigrun's Wings\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sigrun's Wings Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box contains 1 \"Sigrun's Wings\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16364: {
			unidentifiedDisplayName: "Sleipnir R Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Sleipnir R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Sleipnir R Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Sleipnir R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16365: {
			unidentifiedDisplayName: "Megingjard R Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Megingjard R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Megingjard R Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Megingjard R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16366: {
			unidentifiedDisplayName: "Brisingamen R Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Brisingamen R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Brisingamen R Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Brisingamen R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16367: {
			unidentifiedDisplayName: "Virgo Diadem Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Mjolnir R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Mjolnir R Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Mjolnir R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16368: {
			unidentifiedDisplayName: "Virgo Crown Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Virgo Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Virgo Crown Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Virgo Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16369: {
			unidentifiedDisplayName: "Freya Ring R Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Ring R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya Ring R Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Ring R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16370: {
			unidentifiedDisplayName: "Freya Ring R Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Ring R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya Ring R Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Ring R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16371: {
			unidentifiedDisplayName: "Unknown Scroll",
			unidentifiedResourceName: "\xbe\xf0\xb5\xa5\xb5\xe5\xbe\xcb",
			unidentifiedDescriptionName: [
				"An unknown Scroll.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Unknown Scroll",
			identifiedResourceName: "\xbe\xf0\xb5\xa5\xb5\xe5\xbe\xcb",
			identifiedDescriptionName: [
				"An unknown Scroll.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16372: {
			unidentifiedDisplayName: "Four Leaf Clover Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover In Mouth R\" inside. Available for one weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Four Leaf Clover Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover in Mouth R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16373: {
			unidentifiedDisplayName: "4 Leaf Clover In Mouth R Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover in Mouth R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "4 Leaf Clover In Mouth R Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover In Mouth R\" inside. Available for one weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16374: {
			unidentifiedDisplayName: "Bubble Gum In Mouth Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Chewing Bubblegum R\" inside. Available for one weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bubble Gum In Mouth Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Chewing Bubblegum R\" inside. Available for one week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16375: {
			unidentifiedDisplayName: "Chewing Bubblegum R Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Chewing Bubblegum R\" inside. Available for one weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chewing Bubblegum R Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Chewing Bubblegum R\" inside. Available for one weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16376: {
			unidentifiedDisplayName: "Odin's Recall 7days Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Odin Recall R\" inside. Available for one week.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Odin's Recall 7days Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Odin Recall R\" inside. Available for one week.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16377: {
			unidentifiedDisplayName: "Odin's Recall 30days Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Odin Recall R\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Odin's Recall 30days Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Odin Recall R\" inside. Available for 30 days.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16378: {
			unidentifiedDisplayName: "Siege Teleport Scroll Gold 30Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 30 \"Siege Map Teleport Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Siege Teleport Scroll Gold 30Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 30 \"Siege Map Teleport Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16379: {
			unidentifiedDisplayName: "Siege Teleport Scroll Silver 10Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Siege Map Teleport Scroll II\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Siege Teleport Scroll Silver 10Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 10 \"Siege Map Teleport Scroll II\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16380: {
			unidentifiedDisplayName: "Siege Teleport Scroll Silver 30Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 30 \"Siege Map Teleport Scroll II\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Siege Teleport Scroll Silver 30Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 30 \"Siege Map Teleport Scroll II\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16381: {
			unidentifiedDisplayName: "Siege Tele 10 Scroll Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Siege Map Teleport Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "WoE Teleport Scroll 100 Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 10 \"Siege Map Teleport Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16382: {
			unidentifiedDisplayName: "Siege Map Teleport Scroll Box(30)",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 30 \"Siege Map Teleport Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Siege Map Teleport Scroll Box(30)",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 30 \"Siege Map Teleport Scroll\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16383: {
			unidentifiedDisplayName: "Siege Map Teleport Scroll II(10)",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Siege Map Teleport Scroll II\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Siege Map Teleport Scroll II(10)",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 10 \"Siege Map Teleport Scroll II\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16384: {
			unidentifiedDisplayName: "Siege Map Teleport Scroll II(30)",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 30 \"Siege Map Teleport Scroll II\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Siege Map Teleport Scroll II(30)",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 30 \"Siege Map Teleport Scroll II\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16385: {
			unidentifiedDisplayName: "O'Riley's Green Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover In Mouth R\" inside. Available for two weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "O'Riley's Green Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover in Mouth R\" inside. Available for two weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16386: {
			unidentifiedDisplayName: "Four Leaf Clover In Mouth Box3",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover In Mouth R\" inside. Available for four weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Four Leaf Clover In Mouth Box3",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover In Mouth R\" inside. Available for four weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16387: {
			unidentifiedDisplayName: "4 Leaf Clover In Mouth R Box II",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover In Mouth R\" inside. Available for two weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "4 Leaf Clover In Mouth R Box II",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover in Mouth R\" inside. Available for two weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16388: {
			unidentifiedDisplayName: "4 Leaf Clover In Mouth R Box III",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover In Mouth R\" inside. Available for four weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "4 Leaf Clover In Mouth R Box III",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"4 Leaf Clover In Mouth R\" inside. Available for four weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16389: {
			unidentifiedDisplayName: "Bubble Gum In Mouth Box2",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Chewing Bubblegum R\" inside. Available for two weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bubble Gum In Mouth Box2",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Chewing Bubblegum R\" inside. Available for two weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16390: {
			unidentifiedDisplayName: "Bubble Gum In Mouth Box3",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Chewing Bubblegum R\" inside. Available for four weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bubble Gum In Mouth Box3",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Chewing Bubblegum R\" inside. Available for four weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16391: {
			unidentifiedDisplayName: "Chewing Bubblegum R Box II",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Chewing Bubblegum R II\" inside. Available for two weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chewing Bubblegum R Box II",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Chewing Bubblegum R II\" inside. Available for two weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16392: {
			unidentifiedDisplayName: "Chewing Bubblegum R Box III",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Chewing Bubblegum R III\" inside. Available for four weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chewing Bubblegum R Box III",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Chewing Bubblegum R III\" inside. Available for four weeks.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16393: {
			unidentifiedDisplayName: "HE Oridecon Box5",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Purified Oridecon\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HE Oridecon Box5",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box that contains 5 \"Purified Oridecon\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16394: {
			unidentifiedDisplayName: "HE Oridecon Box10",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Purified Oridecon\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HE Oridecon Box10",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box that contains 10 \"Purified Oridecon\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16395: {
			unidentifiedDisplayName: "HE Elunium Box5",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Purified Eluminium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HE Elunium Box5",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 5 \"Purified Eluminium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16396: {
			unidentifiedDisplayName: "HE Elunium Box10",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Purified Eluminium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "HE Elunium Box10",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 10 \"Purified Eluminium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16397: {
			unidentifiedDisplayName: "Virgo Diadem Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Virgo Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Virgo Diadem Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Virgo Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16398: {
			unidentifiedDisplayName: "Virgo Crown Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Virgo Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Virgo Crown Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Virgo Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16399: {
			unidentifiedDisplayName: "Virgo Diadem Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Virgo Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Virgo Diadem Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Virgo Diadem\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16400: {
			unidentifiedDisplayName: "Purified Oridecon Box(5)",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Purified Oridecon\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Purified Oridecon Box(5)",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box that contains 5 \"Purified Oridecon\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16401: {
			unidentifiedDisplayName: "Purified Oridecon Box(10)",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Purified Oridecon\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Purified Oridecon Box(10)",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box that contains 10 \"Purified Oridecon\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16402: {
			unidentifiedDisplayName: "Purified Eluminium Box(5)",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 5 \"Purified Eluminium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Purified Eluminium Box(5)",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 5 \"Purified Eluminium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16403: {
			unidentifiedDisplayName: "Purified Eluminium Box(10)",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"A box that contains 10 \"Purified Eluminium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Purified Eluminium Box(10)",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"A box that contains 10 \"Purified Eluminium\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16405: {
			unidentifiedDisplayName: "Rune-Midgard Coin Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Midgard Coin\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rune-Midgard Coin Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Midgard Coin\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16406: {
			unidentifiedDisplayName: "Midgard Coin Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Midgard Coin\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Midgard Coin Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Midgard Coin\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16407: {
			unidentifiedDisplayName: "Freya Ring R Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Ring R\" inside. Available for One week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya Ring R Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Ring R\" inside. Available for One week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16408: {
			unidentifiedDisplayName: "Freya Ring R Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Freya Ring R\" inside. Available for One week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Freya Ring R Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Freya Ring R\" inside. Available for One week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16409: {
			unidentifiedDisplayName: "Chrysanthemum Scroll",
			unidentifiedResourceName: "\xb1\xb9\xc8\xad\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Chrysanthemum Scroll",
			identifiedResourceName: "\xb1\xb9\xc8\xad\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A chrysanthemum scroll that represents of beautiful fall season.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16410: {
			unidentifiedDisplayName: "Chung Hairpin Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 Chung Hairpin in it.",
				"^ffffff_^000000",
				"If you wear this, it feels like you become a fancy Chung aristocrat.",
				"LUK + 3, Mdef +4, Def+5",
				"When receiving any physical attack,  Mammonite Lv5 will be activated at a low rate.",
				"(If you have no zeny, it won't be activated.)",
				"Item Class : ^777777Headgear^000000    Defense : ^7777775^000000",
				"Location : ^777777Upper^000000    Weight : ^77777750^000000",
				"Required Level : ^77777760^000000",
				"Jobs : ^777777All Jobs^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Chung Hairpin Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 Chung Hairpin in it.",
				"^ffffff_^000000",
				"If you wear this, it feels like you become a fancy Chung aristocrat.",
				"LUK + 3, MDEF +4, Def+5",
				"When receiving any physical attack, Mammonite Lv5 will be activated at a low rate.",
				"(If you have no zeny, it won't be activated.)",
				"Item Class : ^777777Headgear^000000 Defense : ^7777775^000000",
				"Location : ^777777Upper^000000 Weight : ^77777750^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16412: {
			unidentifiedDisplayName: "Ice Ear Wing Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 Ice Ear Wing in it.",
				"^ffffff_^000000",
				"Earrings made of ice and other special chemicals. If you wear these, you can beat off the heat by its cool energy!",
				"LUK + 1.",
				"When receiving any physical attack, Autospell Coldbolt Lv5 will be activated at a low rate.",
				"Item Class : ^777777Headgear^000000    Defense : ^7777770^000000",
				"Location : ^777777Mid ^000000 Weight : ^77777710^000000",
				"Required Level : ^77777710^000000",
				"Jobs : ^777777All Jobs^000000",
				"Weight : ^7777770^000000",
			],
			identifiedDisplayName: "Ice Ear Wing Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 Ice Ear Wing in it.",
				"^ffffff_^000000",
				"Earrings made of ice and other special chemicals. If you wear these, you can beat off the heat by its cool energy!",
				"LUK + 1.",
				"When receiving any physical attack, Autospell Coldbolt Lv5 will be activated at a low rate.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Mid ^000000 Weight : ^77777710^000000",
				"Required Level : ^77777710^000000",
				"Applicable Job : ^777777All Jobs^000000",
				"Weight : ^7777770^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16414: {
			unidentifiedDisplayName: "Turtle Hat Box",
			unidentifiedResourceName: "\xb2\xbf\xba\xcf\xc0\xcc\xb8\xf0\xc0\xda\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that contains 1 Turtle Hat in it.",
				"^ffffff_^000000",
				"A hat modeled after cute turtle doll.",
				"AGI + 1.",
				"When receiving any physical attack, Autospell reducing agility Lv3 will be activated at a low rate.",
				"Item Class : ^777777Headgear^000000    Defense : ^7777770^000000",
				"Location : ^777777Upper^000000    Weight : ^77777730^000000",
				"Required Level : ^77777710^000000",
				"Jobs : ^777777All Jobs^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Turtle Hat Box",
			identifiedResourceName: "\xb2\xbf\xba\xcf\xc0\xcc\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Turtle Hat in it.",
				"^ffffff_^000000",
				"A hat modeled after cute turtle doll.",
				"AGI + 1.",
				"When receiving any physical attack, Autospell reducing agility Lv3 will be activated at a low rate.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper^000000 Weight : ^77777730^000000",
				"Required Level : ^77777710^000000",
				"Applicable Job : ^777777All Jobs^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16415: {
			unidentifiedDisplayName: "Turtle Hat Box",
			unidentifiedResourceName: "\xb2\xbf\xba\xcf\xc0\xcc\xb8\xf0\xc0\xda\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A Box that contains 1 Turtle Hat",
				"^ffffff_^000000",
				"Description:",
				"A disgruntled snapping turtle sits above your head. Count your fingers after putting this on.",
				"Agi +1.",
				"Has a low chance of casting Lv. 3 Decrease Agi while being physically attacked.",
				"^FF0000Event Stats from 7/8 - 7/29:",
				"Increases damage to turtle monsters in Turtle Dungeon by 20%.",
				"Decreases damage from turtle monsters in Turtle Dungeon by 20%.",
				"If upgraded to +7 or higher, Adds 25% EXP bonus for any monster killed.^000000",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Required level : ^77777710^000000",
				"Jobs : ^777777All^000000",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Turtle Hat Box",
			identifiedResourceName: "\xb2\xbf\xba\xcf\xc0\xcc\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A Box that contains 1 Turtle Hat.",
				"Once opened, the Turtle Hat is account bound.",
				"^ffffff_^000000",
				"Description:",
				"A disgruntled snapping turtle sits above your head. Count your fingers after putting this on.",
				"AGI + 1.",
				"Has a low chance of casting Lv. 3 Decrease Agi on your enemy while being physically attacked.",
				"Account Bound.",
				"^FF0000Event Stats from 7/8 - 8/5:",
				"Def +3,",
				"Increases damage to turtle monsters on Turtle Island by 20%.",
				"Decreases damage from turtle monsters on Turtle Island by 20%.",
				"If upgraded to +7 or higher, Adds 25% EXP bonus for any monster killed.^000000",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Required level : ^77777710^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16418: {
			unidentifiedDisplayName: "Giant Fly Wing Box 500",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 500 Giant Fly Wings.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Giant Fly Wing Box 500",
			identifiedResourceName: "\xb0\xc5\xb4\xeb\xc7\xd1\xc6\xc4\xb8\xae\xb3\xaf\xb0\xb3\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box containing 500 Giant Fly Wings.",
				"^ffffff_^000000",
				"An enchanted, giant wing from an ancient creatures. Enables instant teleportation of many people when used by a Party Master.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16419: {
			unidentifiedDisplayName: "Greed Scroll 30 Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box containing 30 Greed Scrolls, which each enable a single cast of Greed.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Greed Scroll 30 Box",
			identifiedResourceName: "\xb4\xeb\xc1\xf6\xc0\xc7\xc1\xd6\xb9\xae\xbc\xad\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box containing 30 Greed Scrolls, which each enable a single cast of Greed.",
				"This scroll has the same restrictions as the normal casting of Greed; some maps do not allow Greed to be used.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16420: {
			unidentifiedDisplayName: "Pet Egg Scroll",
			unidentifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A pack of consumables to aid the adventurer on the long journey.",
				"^ffffff_^000000",
				"Contains:",
				"10 Battle Manual",
				"10 Bubble Gum",
				"20 Lv 10 Agi Scroll",
				"20 Lv 10 Blessing Scroll",
				"10 Token Of Siegfried",
				"10 Life Insurance",
				"5 Kafra Card",
				"10 Stew of Immortality",
				"10 Hwegelmir's Tonic",
				"10 Steamed Scorpion",
				"10 Cooked Nine Tail's Tails",
				"10 Steamed Tongue",
				"10 Dragon Breath Cocktail",
				"^ffffff_^000000",
				"Adventurer Pack can not be traded, dropped, or sold.",
				"it can be stored.",
				"Weight:  ^7777771^000000",
			],
			identifiedDisplayName: "Adventurer Pack",
			identifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A pack of consumables to",
				"aid the adventurer on the",
				"long journey.",
				"^ffffff_^000000",
				"Contains:",
				"10 Battle Manual",
				"10 Bubble Gum",
				"20 Lv 10 Agi Scroll",
				"20 Lv 10 Blessing Scroll",
				"10 Token Of Siegfried",
				"10 Life Insurance",
				"5 Kafra Card",
				"10 Stew of Immortality",
				"10 Hwegelmir's Tonic",
				"10 Steamed Scorpion",
				"10 Cooked Nine Tail's Tails",
				"10 Steamed Tongue",
				"10 Dragon Breath Cocktail",
				"^ffffff_^000000",
				"Adventurer Pack can not be",
				"traded, dropped, or sold;",
				"it can be stored.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16421: {
			unidentifiedDisplayName: "Marriage Covenant Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 1 Written Oath of Marriage, to be used on your wedding day.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Written Oath Of Marriage Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Written Oath of Marriage, to be used on your wedding day.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16422: {
			unidentifiedDisplayName: "Magestic Goat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Baphomet Horns^000000",
				"Duration: 7 Days after opening.",
				"Weight: ^77777780^000000",
			],
			identifiedDisplayName: "Magestic Goat Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Baphomet Horns^000000",
				"Duration: 7 Days after opening.",
				"A headgear made from the horns of Baphomet.",
				"Inflicts 12% more damage to Demihumans.",
				"Increases ATK based on the wearer's Job Lvl.",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Headgear^000000 Defense : ^7777775^000000",
				"Location : ^777777Upper^000000 Weight : ^77777780^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16423: {
			unidentifiedDisplayName: "Pet Egg Scroll",
			unidentifiedResourceName: "\xc1\xf6\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"^ff0000This package is tradeable.^000000",
				"^ff0000The items inside are not.^000000",
				"^ffffff_^000000",
				"Contains:",
				"Episode 13.1 Poporing Key",
				"2 Battle Manuals",
				"10 Yellow Butterfly Wings",
				"^ffffff_^000000",
				"The Episode 13.1 Poporing Key will disappear on ^ff000007/09/09^000000 during maintenance;",
				"at that time, the Episode 13.1 content will be fully available to everyone on Valkyrie.",
			],
			identifiedDisplayName: "Episode 13.1 Key Package",
			identifiedResourceName: "\x50\x6f\x70\x6f\x72\x69\x6e\x67\x4b\x65\x79",
			identifiedDescriptionName: [
				"^ff0000This package is tradeable.^000000",
				"^ff0000The items inside are not.^000000",
				"^ffffff_^000000",
				"Contains:",
				"Episode 13.1 Poporing Key",
				"2 Battle Manuals",
				"10 Yellow Butterfly Wings",
				"^ffffff_^000000",
				"The Episode 13.1 Poporing Key will disappear on ^ff000007/09/09^000000 during maintenance;",
				"at that time, the Episode 13.1 content will be fully available to everyone on Valkyrie.",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16424: {
			unidentifiedDisplayName: "Executioner Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Executioner^000000",
				"Duration: 7 Days after opening.",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Executioner Box",
			identifiedResourceName: "\xbe\xd7\xbc\xad\xc5\xa5\xbc\xc5\xb3\xca\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Executioner^000000",
				"Duration: 7 Days after opening.",
				"A gruesome sword used",
				"to behead criminals judged with the death penalty.",
				"Pierces Defense of",
				"Demihuman monsters.",
				"Increases damage inflicted on Demihuman monsters by 20%, but increases damage received by Demihuman monsters by 10%.",
				"This item cannot be Dropped or Traded.",
				"Class :",
				"^777777Two-handed Sword^000000",
				"Attack: ^777777190^000000",
				"Weight : ^7777771^000000",
				"Property: ^777777Shadow^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16425: {
			unidentifiedDisplayName: "Cutlas Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Cutlas^000000",
				"Duration: 7 Days after opening.",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Cutlas Box",
			identifiedResourceName: "\xc4\xbf\xc6\xb2\xb7\xaf\xbd\xba\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Cutlas^000000",
				"Duration: 7 Days after opening.",
				"A one-handed sword",
				"popularized by its use",
				"by sea adventurers.",
				"Enables use of",
				"^008800Level 5 Bash^000000.",
				"STR + 2",
				"DEF + 1",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Sword^000000",
				"Attack: ^777777185^000000",
				"Weight : ^7777771^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Swordman,",
				"Merchant, and",
				"Thief Classes^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16426: {
			unidentifiedDisplayName: "Moonlight Sword Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Moonlight Dagger^000000",
				"Duration: 7 Days after opening.",
				"Weight: ^77777771^000000",
			],
			identifiedDisplayName: "Moonlight Dagger Box",
			identifiedResourceName: "\xbf\xf9\xb1\xa4\xb0\xcb\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Moonlight Dagger^000000",
				"Duration: 7 Days after opening.",
				"A dagger imbued with",
				"lunar spirit and the power to drain an enemy's soul.",
				"Regain 3 SP",
				"with each attack.",
				"Max SP +10%",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Dagger^000000",
				"Attack: ^77777785^000000",
				"Weight : ^77777771^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Swordman, Mage, Archer, Merchant,",
				"Thief Classes, Soul Linker, and Ninja^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16427: {
			unidentifiedDisplayName: "Spanner Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Wrench^000000",
				"Duration: 7 Days after opening.",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Wrench Box",
			identifiedResourceName: "\xbd\xba\xc6\xd0\xb3\xca\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Wrench^000000",
				"Duration: 7 Days after opening.",
				"A heavy tool with many practical applications.",
				"Enable a chance of",
				"randomly inflicting the ^880000Stun^000000, ^880000Blind^000000, ^880000Poison^000000",
				"or ^880000Frozen^000000 statuses with",
				"each attack.",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Mace^000000",
				"Attack: ^777777150^000000",
				"Weight : ^7777771^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Acolyte Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16428: {
			unidentifiedDisplayName: "Solar Sword Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Solar Sword^000000",
				"Duration: 7 Days after opening.",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Solar Sword Box",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xb0\xcb\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Solar Sword^000000",
				"Duration: 7 Days after opening.",
				"A one-handed sword",
				"adorned with an engraving of the sun, symbolizing battle spirit and vigor.",
				"Regains 1% of the damage inflicted on its target as HP with each attack.",
				"Drains 15 SP from its",
				"owner every 10 seconds.",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777One-handed Sword^000000",
				"Attack: ^777777120^000000",
				"Weight : ^7777771^000000",
				"Property: ^777777Fire^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Swordman,",
				"Merchant, and",
				"Thief Classes^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16429: {
			unidentifiedDisplayName: "Tomahawk Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Tomahawk^000000",
				"Duration: 7 Days after opening.",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Tomahawk Box",
			identifiedResourceName: "\xc5\xe4\xb8\xb6\xc8\xa3\xc5\xa9\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Tomahawk^000000",
				"Duration: 7 Days after opening.",
				"A light axe imbued with the Wind property which can be hurled at enemies.",
				"Enables use of",
				"^008800Tomahawk Throwing^000000.",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Axe^000000",
				"Attack: ^777777200^000000",
				"Weight : ^7777771^000000",
				"Property: ^777777Wind^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Swordman",
				"and Merchant Classes^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16430: {
			unidentifiedDisplayName: "Bow Of Rudra Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Rudra Bow^000000",
				"Duration: 7 Days after opening.",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Rudra Bow Box",
			identifiedResourceName: "\xb7\xe7\xb5\xe5\xb6\xf3\xc0\xc7\xc8\xb0\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Rudra Bow^000000",
				"Duration: 7 Days after opening.",
				"A bow imbued with the",
				"sacred essense of Rudra, one of the ancient gods.",
				"Adds 50% tolerance to the Poison, Curse, Silence,",
				"Chaos and Blind statuses. Enables the use of",
				"^008800Level 1 Heal^000000 and",
				"^008800Level 1 Cure^000000. INT + 5",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Bow^000000",
				"Attack: ^777777185^000000",
				"Weight : ^7777771^000000",
				"Property: ^777777Holy^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Archer Class;",
				"Rogue Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16431: {
			unidentifiedDisplayName: "Pole Axe Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Pole Axe^000000",
				"Duration: 7 Days after opening",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Poll Axe Box",
			identifiedResourceName: "\xc6\xfa\xbe\xd7\xbd\xba\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains:",
				"^000088Rental Item^000000",
				"^6A5ACD1 Poll Axe^000000",
				"Duration: 7 Days after opening",
				"A weapon consisting",
				"of an axe head mounted",
				"on a long pole that",
				"is designed to break",
				"through thick armor.",
				"STR + 1, INT + 2, DEX + 1",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Spear^000000",
				"Attack: ^777777195^000000",
				"Weight : ^7777771^000000",
				"Weapon Level: ^7777773^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Swordman Class^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16432: {
			unidentifiedDisplayName: "Field Manual Package Box(A)",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Field Manual Package Box(A)",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16433: {
			unidentifiedDisplayName: "Field Manual Package Box(A)",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Field Manual Package Box(A)",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16434: {
			unidentifiedDisplayName: "Field Manual Package Box(B)",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Field Manual Package Box(B)",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16435: {
			unidentifiedDisplayName: "Field Manual Package Box(B)",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Field Manual Package Box(B)",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16436: {
			unidentifiedDisplayName: "Libra Crown Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Libra Celestial Crown\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Libra Crown Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Libra Celestial Crown\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16437: {
			unidentifiedDisplayName: "Libra Crown Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Libra Crown\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Libra Crown Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Libra Crown\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16438: {
			unidentifiedDisplayName: "Libra Diadem Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Libra Celestial Diadem\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Libra Diadem Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Libra Celestial Diadem\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16439: {
			unidentifiedDisplayName: "Libra Diadem Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Libra Diadem\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Libra Diadem Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"A box that contains 1 \"Libra Diadem\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16440: {
			unidentifiedDisplayName: "Filir Wings Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Filir Wings\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Filir Wings Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box that contains 1 \"Filir Wings\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16441: {
			unidentifiedDisplayName: "Filir Wings Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Filir Wings\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Filir Wings Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box that contains 1 \"Filir Wings\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16442: {
			unidentifiedDisplayName: "Shaman Hat Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Shaman Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shaman Hat Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Shaman Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16443: {
			unidentifiedDisplayName: "Shaman Hat Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Shaman Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Shaman Hat Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Shaman Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16444: {
			unidentifiedDisplayName: "Crown Cap Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Crown Cap\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crown Cap Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Crown Cap\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16445: {
			unidentifiedDisplayName: "Crown Cap Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Crown Cap\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crown Cap Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Crown Cap\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16446: {
			unidentifiedDisplayName: "Pegasus Scroll",
			unidentifiedResourceName: "\xc6\xe4\xb0\xa1\xbc\xf6\xbd\xba\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Pegasus Scroll",
			identifiedResourceName: "\xc6\xe4\xb0\xa1\xbc\xf6\xbd\xba\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A Pegasus scroll.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16447: {
			unidentifiedDisplayName: "Scorpio Crown Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scorpio Crown Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 Scorpio Celestial Crown.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16448: {
			unidentifiedDisplayName: "Scorpio Diadem Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scorpio Diadem Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"A box that contains 1 Scorpio Celestial Diadem.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16449: {
			unidentifiedDisplayName: "Scorpio Crown Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scorpio Crown Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16450: {
			unidentifiedDisplayName: "Scorpio Diadem Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Scorpio Diadem Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16451: {
			unidentifiedDisplayName: "Crow Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Crow Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Crow Hat Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains 1 \"Crow Hat\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16452: {
			unidentifiedDisplayName: "Rage Of Luster Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Rage Of Luster\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rage Of Luster Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Rage Of Luster\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16453: {
			unidentifiedDisplayName: "Triangle Rune Cap Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Triangle Rune Cap\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Triangle Rune Cap Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Triangle Rune Cap\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16454: {
			unidentifiedDisplayName: "Rage Of Luster Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Rage Of Luster\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Rage Of Luster Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Rage Of Luster\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16455: {
			unidentifiedDisplayName: "Triangle Rune Cap Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Triangle Rune Cap\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Triangle Rune Cap Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains 1 \"Triangle Rune Cap\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16456: {
			unidentifiedDisplayName: "Bride's Ribbon Scroll",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				"An egg glittering as a clean water. Rage of a splendor, It would be included a Ribbon Of Bride item!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bride's Ribbon Scroll",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				"An egg glittering as a clean water. Rage of a splendor, It would be included a Ribbon Of Bride item!",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16457: {
			unidentifiedDisplayName: "Bough Scroll",
			unidentifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"...",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Bough Scroll",
			identifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A bough scroll.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16458: {
			unidentifiedDisplayName: "2009 Love Dad Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"LOve Dad\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "2009 Love Dad Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"LOve Dad\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16459: {
			unidentifiedDisplayName: "Ant Queen Crown Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Ant Queen Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ant Queen Crown Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Ant Queen Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16460: {
			unidentifiedDisplayName: "Ant Queen Crown Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Ant Queen Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Ant Queen Crown Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"Ant Queen Crown\" inside.",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16461: {
			unidentifiedDisplayName: "Red Wing Hat Box",
			unidentifiedResourceName: "\xc7\xc1\xb8\xae\xbd\xba\xc6\xae\xc0\xc7\xb8\xf0\xc0\xda\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that contains 1 Red Wing Hat.",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Red Wing Hat Box",
			identifiedResourceName: "\xc7\xc1\xb8\xae\xbd\xba\xc6\xae\xc0\xc7\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Red Wing Hat",
				"^FFFFFF_^000000",
				"A red driver's hat decorated with white wings.",
				"STR + 1, INT + 1, DEX + 1.",
				"If refiend to 7, increase Atk and Matk by 2%.",
				"If refined to 9, aditional increase Atk and Matk by 2%.",
				"Slot : ^7777771^000000",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Head Position : ^777777Upper ^000000",
				"Weight : ^77777760^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^FFFFFF_^000000",
				"^ff0000Cancellation of purchase or refund is not allowed for this item.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16462: {
			unidentifiedDisplayName: "Red Wing Hat Box",
			unidentifiedResourceName: "\xc7\xc1\xb8\xae\xbd\xba\xc6\xae\xc0\xc7\xb8\xf0\xc0\xda\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that contains 1 Red Wing Hat.",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Red Wing Hat Box",
			identifiedResourceName: "\xc7\xc1\xb8\xae\xbd\xba\xc6\xae\xc0\xc7\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Red Wing Hat",
				"^FFFFFF_^000000",
				"A red driver's hat decorated with white wings.",
				"STR + 1, INT + 1, DEX + 1.",
				"If refiend to 7, increase Atk and Matk by 2%.",
				"If refined to 9, aditional increase Atk and Matk by 2%.",
				"Slot : ^7777771^000000",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Head Position : ^777777Upper ^000000",
				"Weight : ^77777760^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^FFFFFF_^000000",
				"^ff0000Cancellation of purchase or refund is not allowed for this item.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16463: {
			unidentifiedDisplayName: "NoFear Belt Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"NoFear Belts\" inside.",
				"Available for 90 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "NoFear Belt Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"NoFear Belts\" inside.",
				"Available for 90 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16464: {
			unidentifiedDisplayName: "NoFear Shoes Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"NoFear Shoes\" inside.",
				"Available for 90 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "NoFear Shoes Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"NoFear Shoes\" inside.",
				"Available for 90 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16465: {
			unidentifiedDisplayName: "NoFear Underwear Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"NoFear Underwear\" inside.",
				"Available for 90 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "NoFear Underwear Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 \"NoFear Underwear\" inside.",
				"Available for 90 days.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16466: {
			unidentifiedDisplayName: "Egg Of Light Scroll",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				"An egg shining with a clean water of blood. A rabbit bonit would be poped from this egg!",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Egg Of Light Scroll",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				"An egg shining with a clean water of blood. A rabbit bonit would be poped from this egg!",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16467: {
			unidentifiedDisplayName: "Christmas Card Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Christmas Card\" inside. Available for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Christmas Card Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Christmas Card\" inside. Available for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16468: {
			unidentifiedDisplayName: "Christmas Card Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Christmas Card\" inside. Available for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Christmas Card Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Christmas Card\" inside. Available for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16469: {
			unidentifiedDisplayName: "Christmas Card Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Christmas Card\" inside. Available for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Christmas Card Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Christmas Card\" inside. Available for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16470: {
			unidentifiedDisplayName: "Christmas Card Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Christmas Card\" inside. Available for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			identifiedDisplayName: "Christmas Card Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"A box that contains 1 \"Christmas Card\" inside. Available for 1 week.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight : ^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16542: {
			unidentifiedDisplayName: "Christmas Wishes",
			unidentifiedResourceName: "\xc5\xa9\xb8\xae\xbd\xba\xb8\xb6\xbd\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Christmas Wishes",
			identifiedResourceName: "\xc5\xa9\xb8\xae\xbd\xba\xb8\xb6\xbd\xba\xbe\xcb",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16543: {
			unidentifiedDisplayName: "Snowman Hat Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Snowman Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Snowman Hat Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box that contains 1 \"Snowman Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16544: {
			unidentifiedDisplayName: "Snowman Hat Box",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Snowman Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Snowman Hat Box",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x34",
			identifiedDescriptionName: [
				"A box that contains 1 \"Snowman Hat\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16548: {
			unidentifiedDisplayName: "Sagittarius Crown Box",
			unidentifiedResourceName: "\xc0\xce\xb8\xb6\xb1\xc3\xbf\xd5\xb0\xfc\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that contains 1 Sagittarius Crown.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sagittarius Crown Box",
			identifiedResourceName: "\xc0\xce\xb8\xb6\xb1\xc3\xbf\xd5\xb0\xfc\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box contains the Sagittarius Crown.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16549: {
			unidentifiedDisplayName: "Sagittarius Diadem Box",
			unidentifiedResourceName: "\xc0\xce\xb8\xb6\xb1\xc3\xba\xb8\xb0\xfc\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that contains 1 Sagittarius Diadem.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sagittarius Diadem Box",
			identifiedResourceName: "\xc0\xce\xb8\xb6\xb1\xc3\xba\xb8\xb0\xfc\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box contains the Sagittarius Diadem.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16550: {
			unidentifiedDisplayName: "Sagittarius Crown Box",
			unidentifiedResourceName: "\xc0\xce\xb8\xb6\xb1\xc3\xbf\xd5\xb0\xfc\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that contains 1 Sagittarius Crown.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sagittarius Crown Box",
			identifiedResourceName: "\xc0\xce\xb8\xb6\xb1\xc3\xbf\xd5\xb0\xfc\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Sagittarius Crown.",
				"^ff0000Cancellation of purchase or refund for this item is not available.^000000",
				"DEX + 2, Increases resistance to Fire property by 7%.",
				"If refined to 7, Aspd +2% (after-attack delay)",
				"If refined to 8, AGI + 2.",
				"If refined to 9, ranged attack damage +5%",
				"If refined to 10, when physically attacking, has a low chance of increasing Dex and Agi by 10 for 10 seconds.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777773^000000",
				"Location : ^777777Uppper ^000000",
				"Weight : ^77777730^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16551: {
			unidentifiedDisplayName: "Sagittarius Diadem Box",
			unidentifiedResourceName: "\xc0\xce\xb8\xb6\xb1\xc3\xba\xb8\xb0\xfc\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that contains 1 Sagittarius Diadem.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sagittarius Diadem Box",
			identifiedResourceName: "\xc0\xce\xb8\xb6\xb1\xc3\xba\xb8\xb0\xfc\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Sagittarius Diadem.",
				"^ff0000Cancellation of purchase or refund for this item is not available.^000000",
				"DEX + 2, MDEF +3,",
				"Increases resistance to Fire property by 7%",
				"If refine to 7, spell casting time -3%.",
				"If refine to 8, when using magic attack, has a low chance of autocasting Lvl 1 Sightrasher.",
				"If refine to 9, additional spell casting time decrease by 2%.",
				"If refine to 10, Matk +4%.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777773^000000",
				"Location : ^777777Uppper ^000000",
				"Weight : ^77777730^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16554: {
			unidentifiedDisplayName: "Elven Sunglasses Box",
			unidentifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that contains 1 pair of Elven Sunglasses.",
				"^ffffff_^000000",
				"Weight: ^7777771^000000",
			],
			identifiedDisplayName: "Elven Sunglasses Box",
			identifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 pair of Elven Sunglasses",
				"Description:",
				"Even elves are very cool creatures. So naturally they wear sunglasses.",
				"Increases resistance to Blind status by 5%.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Location : ^777777Middle^000000",
				"Weight : ^77777720^000000",
				"Applicable Job :^777777 Every Job^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16555: {
			unidentifiedDisplayName: "Reset Stone Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Premium Reset Stone\" inside. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Playspan Reset Stone Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box that contains 1 \"Premium Reset Stone\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16556: {
			unidentifiedDisplayName: "Reset Stone Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box that contains 1 \"Premium Reset Stone\" inside. ",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Reset Stone Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box that contains 1 \"Premium Reset Stone\" inside.",
				"^ffffff_^000000",
				"^000088Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
				"^ffffff_^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16557: {
			unidentifiedDisplayName: "Chemical Protection Helm Scroll Box(10)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chemical Protection Helm Scroll Box(10)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16558: {
			unidentifiedDisplayName: "Chemical Protection Shield Scroll Box(10)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chemical Protection Shield Scroll Box(10)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16559: {
			unidentifiedDisplayName: "Chemical Protection Armor Scroll Box(10)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chemical Protection Armor Scroll Box(10)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16560: {
			unidentifiedDisplayName: "Chemical Protection Weapon Scroll Box(10)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Chemical Protection Weapon Scroll Box(10)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16561: {
			unidentifiedDisplayName: "Full Chemical Protection Scroll Box(10)",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Full Chemical Protection Scroll Box(10)",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16562: {
			unidentifiedDisplayName: "Royal Little Egg",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Royal Little Egg",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbd\xc5\xc0\xc7\xbb\xf3\xc2\xa1",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16564: {
			unidentifiedDisplayName: "Dragon Scroll",
			unidentifiedResourceName: "\xc5\xc2\xbe\xe7\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll that imbued with Drangon spirit.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Dragon Scroll",
			identifiedResourceName: "\xc5\xc2\xbe\xe7\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll that imbued with Drangon spirit.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16565: {
			unidentifiedDisplayName: "Capricon Crown Box",
			unidentifiedResourceName: "\xb8\xb6\xb0\xa5\xb1\xc3\xbf\xd5\xb0\xfc\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that cotains 1 Capricorn Crown.",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Capricorn Crown Box",
			identifiedResourceName: "\xb8\xb6\xb0\xa5\xb1\xc3\xbf\xd5\xb0\xfc\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that cotains 1 Capricorn Crown",
				"DEX + 2, Vit +2",
				"If refined to 7 or higher, when melee-attacking, has a chance of auto-casting Lv 1 Mild Wind (Earth endow).",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777773^000000",
				"Location : ^777777Upper ^000000",
				"Weight : ^77777730^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16566: {
			unidentifiedDisplayName: "Capricon Crown Box",
			unidentifiedResourceName: "\xb8\xb6\xb0\xa5\xb1\xc3\xbf\xd5\xb0\xfc\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that cotains 1 Capricorn Crown.",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Capricorn Crown Box",
			identifiedResourceName: "\xb8\xb6\xb0\xa5\xb1\xc3\xbf\xd5\xb0\xfc\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that cotains 1 Capricorn Crown",
				"DEX + 2, Vit +2",
				"If refined to 7 or higher, when melee-attacking, has a chance of auto-casting Lv 1 Mild Wind (Earth endow).",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777773^000000",
				"Location : ^777777Upper ^000000",
				"Weight : ^77777730^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16567: {
			unidentifiedDisplayName: "Capricon Diadem Box",
			unidentifiedResourceName: "\xb8\xb6\xb0\xa5\xb1\xc3\xba\xb8\xb0\xfc\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that cotains 1 Capricorn Diadem.",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Capricorn Diadem Box",
			identifiedResourceName: "\xb8\xb6\xb0\xa5\xb1\xc3\xba\xb8\xb0\xfc\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that cotains 1 Capricorn Diadem",
				"DEX + 2, MDEF +5.",
				"Increases resistance to Earth property by 5%.",
				"If refined to 7 or higher, INT + 2.",
				"If refined to 8 or higher, decreases casting time by 3%.",
				"If refined to 9 or higher, increases the effectiveness of Heal and Sanctuary skills by 4%.",
				"If refined to 10 or higher, when attacked, has a low chance of auto-casting Lv 5 Hammer Fall.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777773^000000",
				"Location : ^777777Upper ^000000",
				"Weight : ^77777730^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16568: {
			unidentifiedDisplayName: "Capricon Diadem Box",
			unidentifiedResourceName: "\xb8\xb6\xb0\xa5\xb1\xc3\xba\xb8\xb0\xfc\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that cotains 1 Capricorn Diadem.",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Capricorn Diadem Box",
			identifiedResourceName: "\xb8\xb6\xb0\xa5\xb1\xc3\xba\xb8\xb0\xfc\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that cotains 1 Capricorn Diadem",
				"DEX + 2, MDEF +5.",
				"Increases resistance to Earth property by 5%.",
				"If refined to 7 or higher, INT + 2.",
				"If refined to 8 or higher, decreases casting time by 3%.",
				"If refined to 9 or higher, increases the effectiveness of Heal and Sanctuary skills by 4%.",
				"If refined to 10 or higher, when attacked, has a low chance of auto-casting Lv 5 Hammer Fall.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777773^000000",
				"Location : ^777777Upper ^000000",
				"Weight : ^77777730^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16569: {
			unidentifiedDisplayName: "Swimming Scroll",
			unidentifiedResourceName: "\xbf\xa9\xb8\xa7\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Summer package for last summer vacation! You might get something special!",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "Swimming Scroll",
			identifiedResourceName: "\xbf\xa9\xb8\xa7\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"Summer package for last summer vacation! You might get something special!",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16570: {
			unidentifiedDisplayName: "Muscle Knights Summertime Guide Box",
			unidentifiedResourceName: "\xb1\xd9\xc0\xb0\xc0\xcc\xbe\xdf\xb1\xe2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Muscle Knights Summertime Guide Box",
			identifiedResourceName: "\xb1\xd9\xc0\xb0\xc0\xcc\xbe\xdf\xb1\xe2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16573: {
			unidentifiedDisplayName: "ÇØ°ñ ÈÄµå »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"ÇØ°ñ ÈÄµå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"ÇØ°ñ¸ðÇüÀÌ Àå½ÄµÈ °ËÀº ÈÄµå. Á×À½ÀÇ »çÀÚ°¡ µÈ °Í °°Àº ±âºÐÀÌ µç´Ù.",
				"¾Ç¸¶Çü, ºÒ»çÇü Àû¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 10% °¨¼Ò.",
				"7Á¦·Ã ÀÌ»ó ½Ã ¹°¸® °ø°Ý ½Ã 10ÃÊ°£ Å©¸®Æ¼ÄÃ 30%, ¸íÁß·ü + 10.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^77777710^000000",
				"À§Ä¡ : ^777777»óÁß´Ü ^000000 ¹«°Ô : ^77777770^000000",
				"¿ä±¸ ·¹º§ : ^77777730^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÇØ°ñ ÈÄµå »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇØ°ñ ÈÄµå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"ÇØ°ñ¸ðÇüÀÌ Àå½ÄµÈ °ËÀº ÈÄµå. Á×À½ÀÇ »çÀÚ°¡ µÈ °Í °°Àº ±âºÐÀÌ µç´Ù.",
				"¾Ç¸¶Çü, ºÒ»çÇü Àû¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 10% °¨¼Ò.",
				"7Á¦·Ã ÀÌ»ó ½Ã ¹°¸® °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 10ÃÊ°£ Å©¸®Æ¼ÄÃ 30%, ¸íÁß·ü + 10.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^77777710^000000",
				"À§Ä¡ : ^777777»óÁß´Ü ^000000 ¹«°Ô : ^77777770^000000",
				"¿ä±¸ ·¹º§ : ^77777730^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16574: {
			unidentifiedDisplayName: "ÇØ°ñ ÈÄµå »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"ÇØ°ñ ÈÄµå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"ÇØ°ñ¸ðÇüÀÌ Àå½ÄµÈ °ËÀº ÈÄµå. Á×À½ÀÇ »çÀÚ°¡ µÈ °Í °°Àº ±âºÐÀÌ µç´Ù.",
				"¾Ç¸¶Çü, ºÒ»çÇü Àû¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 10% °¨¼Ò.",
				"7Á¦·Ã ÀÌ»ó ½Ã ¹°¸® °ø°Ý ½Ã 10ÃÊ°£ Å©¸®Æ¼ÄÃ 30%, ¸íÁß·ü + 10.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^77777710^000000",
				"À§Ä¡ : ^777777»óÁß´Ü ^000000 ¹«°Ô : ^77777770^000000",
				"¿ä±¸ ·¹º§ : ^77777730^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÇØ°ñ ÈÄµå »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇØ°ñ ÈÄµå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"ÇØ°ñ¸ðÇüÀÌ Àå½ÄµÈ °ËÀº ÈÄµå. Á×À½ÀÇ »çÀÚ°¡ µÈ °Í °°Àº ±âºÐÀÌ µç´Ù.",
				"¾Ç¸¶Çü, ºÒ»çÇü Àû¿¡°Ô ¹Þ´Â µ¥¹ÌÁö 10% °¨¼Ò.",
				"7Á¦·Ã ÀÌ»ó ½Ã ¹°¸® °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 10ÃÊ°£ Å©¸®Æ¼ÄÃ 30%, ¸íÁß·ü + 10.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^77777710^000000",
				"À§Ä¡ : ^777777»óÁß´Ü ^000000 ¹«°Ô : ^77777770^000000",
				"¿ä±¸ ·¹º§ : ^77777730^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16575: {
			unidentifiedDisplayName: "2011 Pagdayaw Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"A box contains 1 2011 Pagdayaw in it.",
				"^ffffff_^000000",
				"An headgear which is made of many kinds of property rings. It looks very luxurious and charming. Reduce all damage from Demi-humans by 10%, ",
				"Reduce damage from Water, Fire, Wind by 5%, Reduce damage from Ghost property monsters by 10%, Increase damage against Ghost property Demi-humans by 50%. ",
				"30 days Rental Item.",
				"Item Class : ^777777Headgear^000000    Defense : ^7777772^000000",
				"Location : ^777777Upper,Mid,Lower^000000    Weight : ^7777770^000000",
				"Required Level : ^77777720^000000",
				"Jobs : ^777777All Jobs Except Novice^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "2011 Pagdayaw Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box contains 1 2011 Pagdayaw in it.",
				"^ffffff_^000000",
				"An headgear which is made of many kinds of property rings. It looks very luxurious and charming. Reduce all damage from Demi-humans by 10%,",
				"Reduce damage from Water, Fire, Wind by 5%, Reduce damage from Ghost property monsters by 10%, Increase damage against Ghost property Demi-humans by 50%.",
				"30 days Rental Item.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777772^000000",
				"Location : ^777777Upper,Mid,Lower^000000 Weight : ^7777770^000000",
				"Required Level : ^77777720^000000",
				"Applicable Job : ^777777All Jobs Except Novice^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16576: {
			unidentifiedDisplayName: "Oboro Egg",
			unidentifiedResourceName: "\xc8\xaf\xbf\xb5\xb9\xab\xbb\xf3",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Oboro Egg",
			identifiedResourceName: "\xc8\xaf\xbf\xb5\xb9\xab\xbb\xf3",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16577: {
			unidentifiedDisplayName: "Nidhogg Egg",
			unidentifiedResourceName: "\xb1\xba\xbf\xeb\xc1\xf6\xbc\xf6",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Nidhogg Egg",
			identifiedResourceName: "\xb1\xba\xbf\xeb\xc1\xf6\xbc\xf6",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16578: {
			unidentifiedDisplayName: "Steam Scroll",
			unidentifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll that imbued with burning passion heart.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Steam Scroll",
			identifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll that imbued with burning passion heart.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16579: {
			unidentifiedDisplayName: "Phoenix Scroll",
			unidentifiedResourceName: "\xbf\xad\xc7\xf7\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"A scroll that imbued with spirit of legendary Phoenix from Rune-Midgard Kingdom.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Phoenix Scroll",
			identifiedResourceName: "\xbf\xad\xc7\xf7\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll that imbued with spirit of legendary Phoenix from Rune-Midgard Kingdom.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16580: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"»Ü¿Ë ¹óÅ©·¹¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"¼¯Ä«¸Î°î ¿Ë¼¯°¡ ³­·¿ °¶¾â°Í ÈúÆ®°¡ Àå²ÄºÈ µ·³®ÀÌ ÁÖ»Â ±Æ·§»Ù°òÀÌ ¶¦ÇÏ¿Ô ±î°ï·¿»Ù.",
				"3Á¦¸Ã ²Ã ·¹»Ù ZGP, NZGP  40 Áõ¿¡.",
				"6ÀÌ´ó Á¦¸Ã ²Ã : ÁßÇü ·ó²µÅÍ°¡ »ëÇÑ º¥¶ÌÁö 8% Áõ¿¡. ¼¸ÀµÈ®¸ü¸Î 5ÃÊ¿£ ¶«¾â°¡ »ëÇÑ Å©¾â Æä¼ÎÆ³¿¡ ´ç¹óÁü.",
				"9ÀÌ´ó Á¦¸Ã ²Ã : ÁßÇü ·ó²µÅÍ°¡ »ëÇÑ º¥¶ÌÁö 20% Áõ¿¡.",
				"12ÀÌ´ó Á¦¸Ã ²Ã : Å©¾â Æä¼ÎÆ³ ´ç¹óÁüÀÌ ´ó²Ã Áö³Ó.",
				"[¿ñºåKX¶æ°¡³­ ´ç°ë ²Ã Ãß¿¡ °É³Ç]",
				"·Å Å·¿Ý»ç HK 1±° È·µ¶, ÁßÇü ·ó²µÅÍ°¡ »ëÇÑ º¥¶ÌÁö 5% Ãß¿¡ Áõ¿¡.",
				"8ÀÌ´ó Á¦¸Ã ²Ã : Å©¾â ÆÐ¼ÎÆ³ ´ç¹óÁüÀÌ ´ó²Ã Áö³Ó.",
				"9ÀÌ´ó Á¦¸Ã ²Ã : Å·¿Ý ²Ã ¼¸ÀµÈ®¸ü¸Î 5ÃÊ¿£ HK 2 Ãß¿¡ È·µ¶.",
				"¿è°­ : ^777777»Ü¿Ë^000000 ¿ø¿Ý : ^77777745^000000",
				"Weight : ^77777765^000000",
				"¶«¾â ¸¶µ§ : ^7777773^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777¼ëµñ²µ/¿Ë´ç¿è°­/·¹¶ý´ç¿è°­/¾Ã³ö¿è°­/´óÀÎ¿è°­/ºººÏ¿è°­/³Ò°ï·ºÄ°/»ÑÀÚ^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"»Ü¿Ë ¹óÅ©·¹¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"¼¯Ä«¸Î°î ¿Ë¼¯°¡ ³­·¿ °¶¾â°Í ÈúÆ®°¡ Àå²ÄºÈ µ·³®ÀÌ ÁÖ»Â ±Æ·§»Ù°òÀÌ ¶¦ÇÏ¿Ô ±î°ï·¿»Ù.",
				"3Á¦¸Ã ²Ã ·¹»Ù ZGP, NZGP 40 Áõ¿¡.",
				"6ÀÌ´ó Á¦¸Ã ²Ã : ÁßÇü ·ó²µÅÍ°¡ »ëÇÑ º¥¶ÌÁö 8% Áõ¿¡. ¼¸ÀµÈ®¸ü¸Î 5ÃÊ¿£ ¶«¾â°¡ »ëÇÑ Å©¾â Æä¼ÎÆ³¿¡ ´ç¹óÁü.",
				"9ÀÌ´ó Á¦¸Ã ²Ã : ÁßÇü ·ó²µÅÍ°¡ »ëÇÑ º¥¶ÌÁö 20% Áõ¿¡.",
				"12ÀÌ´ó Á¦¸Ã ²Ã : Å©¾â Æä¼ÎÆ³ ´ç¹óÁüÀÌ ´ó²Ã Áö³Ó.",
				"[¿ñºåKX¶æ°¡³­ ´ç°ë ²Ã Ãß¿¡ °É³Ç]",
				"·Å Å·¿Ý»ç HK 1±° È·µ¶, ÁßÇü ·ó²µÅÍ°¡ »ëÇÑ º¥¶ÌÁö 5% Ãß¿¡ Áõ¿¡.",
				"8ÀÌ´ó Á¦¸Ã ²Ã : Å©¾â ÆÐ¼ÎÆ³ ´ç¹óÁüÀÌ ´ó²Ã Áö³Ó.",
				"9ÀÌ´ó Á¦¸Ã ²Ã : Å·¿Ý ²Ã ¼¸ÀµÈ®¸ü¸Î 5ÃÊ¿£ HK 2 Ãß¿¡ È·µ¶.",
				"¿è°­ : ^777777»Ü¿Ë^000000 ¿ø¿Ý : ^77777745^000000",
				"Weight : ^77777765^000000",
				"¶«¾â ¸¶µ§ : ^7777773^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777¼ëµñ²µ/¿Ë´ç¿è°­/·¹¶ý´ç¿è°­/¾Ã³ö¿è°­/´óÀÎ¿è°­/ºººÏ¿è°­/³Ò°ï·ºÄ°/»ÑÀÚ^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16581: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"»Ü¿Ë ¹óÅ©·¹¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"¼¯Ä«¸Î°î ¿Ë¼¯°¡ ³­·¿ °¶¾â°Í ÈúÆ®°¡ Àå²ÄºÈ µ·³®ÀÌ ÁÖ»Â ±Æ·§»Ù°òÀÌ ¶¦ÇÏ¿Ô ±î°ï·¿»Ù.",
				"3Á¦¸Ã ²Ã ·¹»Ù ZGP, NZGP  40 Áõ¿¡.",
				"6ÀÌ´ó Á¦¸Ã ²Ã : ÁßÇü ·ó²µÅÍ°¡ »ëÇÑ º¥¶ÌÁö 8% Áõ¿¡. ¼¸ÀµÈ®¸ü¸Î 5ÃÊ¿£ ¶«¾â°¡ »ëÇÑ Å©¾â Æä¼ÎÆ³¿¡ ´ç¹óÁü.",
				"9ÀÌ´ó Á¦¸Ã ²Ã : ÁßÇü ·ó²µÅÍ°¡ »ëÇÑ º¥¶ÌÁö 20% Áõ¿¡.",
				"12ÀÌ´ó Á¦¸Ã ²Ã : Å©¾â Æä¼ÎÆ³ ´ç¹óÁüÀÌ ´ó²Ã Áö³Ó.",
				"[¿ñºåKX¶æ°¡³­ ´ç°ë ²Ã Ãß¿¡ °É³Ç]",
				"·Å Å·¿Ý»ç HK 1±° È·µ¶, ÁßÇü ·ó²µÅÍ°¡ »ëÇÑ º¥¶ÌÁö 5% Ãß¿¡ Áõ¿¡.",
				"8ÀÌ´ó Á¦¸Ã ²Ã : Å©¾â ÆÐ¼ÎÆ³ ´ç¹óÁüÀÌ ´ó²Ã Áö³Ó.",
				"9ÀÌ´ó Á¦¸Ã ²Ã : Å·¿Ý ²Ã ¼¸ÀµÈ®¸ü¸Î 5ÃÊ¿£ HK 2 Ãß¿¡ È·µ¶.",
				"¿è°­ : ^777777»Ü¿Ë^000000 ¿ø¿Ý : ^77777745^000000",
				"Weight : ^77777765^000000",
				"¶«¾â ¸¶µ§ : ^7777773^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777¼ëµñ²µ/¿Ë´ç¿è°­/·¹¶ý´ç¿è°­/¾Ã³ö¿è°­/´óÀÎ¿è°­/ºººÏ¿è°­/³Ò°ï·ºÄ°/»ÑÀÚ^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"»Ü¿Ë ¹óÅ©·¹¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"¼¯Ä«¸Î°î ¿Ë¼¯°¡ ³­·¿ °¶¾â°Í ÈúÆ®°¡ Àå²ÄºÈ µ·³®ÀÌ ÁÖ»Â ±Æ·§»Ù°òÀÌ ¶¦ÇÏ¿Ô ±î°ï·¿»Ù.",
				"3Á¦¸Ã ²Ã ·¹»Ù ZGP, NZGP 40 Áõ¿¡.",
				"6ÀÌ´ó Á¦¸Ã ²Ã : ÁßÇü ·ó²µÅÍ°¡ »ëÇÑ º¥¶ÌÁö 8% Áõ¿¡. ¼¸ÀµÈ®¸ü¸Î 5ÃÊ¿£ ¶«¾â°¡ »ëÇÑ Å©¾â Æä¼ÎÆ³¿¡ ´ç¹óÁü.",
				"9ÀÌ´ó Á¦¸Ã ²Ã : ÁßÇü ·ó²µÅÍ°¡ »ëÇÑ º¥¶ÌÁö 20% Áõ¿¡.",
				"12ÀÌ´ó Á¦¸Ã ²Ã : Å©¾â Æä¼ÎÆ³ ´ç¹óÁüÀÌ ´ó²Ã Áö³Ó.",
				"[¿ñºåKX¶æ°¡³­ ´ç°ë ²Ã Ãß¿¡ °É³Ç]",
				"·Å Å·¿Ý»ç HK 1±° È·µ¶, ÁßÇü ·ó²µÅÍ°¡ »ëÇÑ º¥¶ÌÁö 5% Ãß¿¡ Áõ¿¡.",
				"8ÀÌ´ó Á¦¸Ã ²Ã : Å©¾â ÆÐ¼ÎÆ³ ´ç¹óÁüÀÌ ´ó²Ã Áö³Ó.",
				"9ÀÌ´ó Á¦¸Ã ²Ã : Å·¿Ý ²Ã ¼¸ÀµÈ®¸ü¸Î 5ÃÊ¿£ HK 2 Ãß¿¡ È·µ¶.",
				"¿è°­ : ^777777»Ü¿Ë^000000 ¿ø¿Ý : ^77777745^000000",
				"Weight : ^77777765^000000",
				"¶«¾â ¸¶µ§ : ^7777773^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777¼ëµñ²µ/¿Ë´ç¿è°­/·¹¶ý´ç¿è°­/¾Ã³ö¿è°­/´óÀÎ¿è°­/ºººÏ¿è°­/³Ò°ï·ºÄ°/»ÑÀÚ^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16582: {
			unidentifiedDisplayName: "Red Bunny Band Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box contains 1 Red Bunny Band in it.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Red Bunny Band Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box contains 1 Red Bunny Band in it.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16584: {
			unidentifiedDisplayName: "Sloth Hat Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"¼ª¶«»Ãµ· ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sloth Hat Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 Sloth Hat.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16585: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"¼ª¶«»Ãµ· ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"¼ª¶«»Ãµ· ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16586: {
			unidentifiedDisplayName: "LU Live2010 Duneyrr Hat Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"ºÎ¼×ÀÌ·£ Åõ¾·¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "LU Live2010 Duneyrr Hat Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 Duneyrr Hat.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16587: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"ºÎ¼×ÀÌ·£ Åõ¾·¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"ºÎ¼×ÀÌ·£ Åõ¾·¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16588: {
			unidentifiedDisplayName: "Thoughtful Hat Box",
			unidentifiedResourceName: "\xbb\xe7\xb7\xc1\xb1\xed\xc0\xba\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"·Þ²ÃÁö¿¡ ºé±îÀÖ»Â ´óÀÚ. ´óÀÚ·¦ °­·é »Ù·¥ ·ðÇè¿¡°¡¿Ô »ç²ÅÀÌ Ã£¿í ÀÖ»Â ¿Ô ¶«±ùÀÎÁö ±Ë¸ÁÁÖ»Â 6¿¡Áö ·Þ²ÃÁö Áß ÇÏ¼ª·¦ ¶ÞÀ´ ³ö ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Thoughtful Hat Box",
			identifiedResourceName: "\xbb\xe7\xb7\xc1\xb1\xed\xc0\xba\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"·Þ²ÃÁö¿¡ ºé±îÀÖ»Â ´óÀÚ. ´óÀÚ·¦ °­·é »Ù·¥ ·ðÇè¿¡°¡¿Ô »ç²ÅÀÌ Ã£¿í ÀÖ»Â ¿Ô ¶«±ùÀÎÁö ±Ë¸ÁÁÖ»Â 6¿¡Áö ·Þ²ÃÁö Áß ÇÏ¼ª·¦ ¶ÞÀ´ ³ö ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16589: {
			unidentifiedDisplayName: "Thoughtful Hat Box",
			unidentifiedResourceName: "\xbb\xe7\xb7\xc1\xb1\xed\xc0\xba\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"·Þ²ÃÁö¿¡ ºé±îÀÖ»Â ´óÀÚ. ´óÀÚ·¦ °­·é »Ù·¥ ·ðÇè¿¡°¡¿Ô »ç²ÅÀÌ Ã£¿í ÀÖ»Â ¿Ô ¶«±ùÀÎÁö ±Ë¸ÁÁÖ»Â 6¿¡Áö ·Þ²ÃÁö Áß ÇÏ¼ª·¦ ¶ÞÀ´ ³ö ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Thoughtful Hat Box",
			identifiedResourceName: "\xbb\xe7\xb7\xc1\xb1\xed\xc0\xba\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"·Þ²ÃÁö¿¡ ºé±îÀÖ»Â ´óÀÚ. ´óÀÚ·¦ °­·é »Ù·¥ ·ðÇè¿¡°¡¿Ô »ç²ÅÀÌ Ã£¿í ÀÖ»Â ¿Ô ¶«±ùÀÎÁö ±Ë¸ÁÁÖ»Â 6¿¡Áö ·Þ²ÃÁö Áß ÇÏ¼ª·¦ ¶ÞÀ´ ³ö ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16590: {
			unidentifiedDisplayName: "Thoughtful Hat Box",
			unidentifiedResourceName: "\xbb\xe7\xb7\xc1\xb1\xed\xc0\xba\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"·Þ²ÃÁö¿¡ ºé±îÀÖ»Â ´óÀÚ. ´óÀÚ·¦ °­·é »Ù·¥ ·ðÇè¿¡°¡¿Ô »ç²ÅÀÌ Ã£¿í ÀÖ»Â ¿Ô ¶«±ùÀÎÁö ±Ë¸ÁÁÖ»Â 6¿¡Áö ·Þ²ÃÁö Áß ÇÏ¼ª·¦ ¶ÞÀ´ ³ö ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Thoughtful Hat Box",
			identifiedResourceName: "\xbb\xe7\xb7\xc1\xb1\xed\xc0\xba\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"·Þ²ÃÁö¿¡ ºé±îÀÖ»Â ´óÀÚ. ´óÀÚ·¦ °­·é »Ù·¥ ·ðÇè¿¡°¡¿Ô »ç²ÅÀÌ Ã£¿í ÀÖ»Â ¿Ô ¶«±ùÀÎÁö ±Ë¸ÁÁÖ»Â 6¿¡Áö ·Þ²ÃÁö Áß ÇÏ¼ª·¦ ¶ÞÀ´ ³ö ÀÖ»Ù.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16591: {
			unidentifiedDisplayName: "Kotakahuana Egg",
			unidentifiedResourceName: "\xbf\xa9\xb8\xa7\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"µê¹óÁúÀÇ °©·§¶æÇÐÀ´ À§ÇÑ ²æ·ÓÆÐÅ¿Áö! ¶«±ð¿¡ Æ¯µ¿ÇÑ ±ÆÀÌÅÛÀ´ ±ò¿Ô ºÉ ³ö ÀÖ»Ù!",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "Kotakahuana Egg",
			identifiedResourceName: "\xbf\xa9\xb8\xa7\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"µê¹óÁúÀÇ °©·§¶æÇÐÀ´ À§ÇÑ ²æ·ÓÆÐÅ¿Áö! ¶«±ð¿¡ Æ¯µ¿ÇÑ ±ÆÀÌÅÛÀ´ ±ò¿Ô ºÉ ³ö ÀÖ»Ù!",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16592: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"ÆÐ¶Ð·® ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"ÆÐ¶Ð·® ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16593: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"ÆÐ¶Ð·® ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"ÆÐ¶Ð·® ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16596: {
			unidentifiedDisplayName: "½É¿¬ÀÇ Åõ±¸ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"½É¿¬ÀÇ Åõ±¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"½É¿¬ÀÇ ±â»ç°¡ ¾²´Â Åõ±¸. °­ÇÑ °ø°Ý¿¡ ´ëÇÑ ³»¼ºÀº °­ÇÏ³ª ¿ÀÈ÷·Á ¾àÇÑ °ø°Ý¿¡ Ãë¾àÇÑ ¸éÀ» º¸ÀÎ´Ù.",
				"º¸½ºÇü ¸ó½ºÅÍ·ÎºÎÅÍ ¹Þ´Â °ø°Ý¿¡ ´ëÇÑ ³»¼º 10% Áõ°¡",
				"ÀÏ¹ÝÇü ¸ó½ºÅÍ·ÎºÎÅÍ ¹Þ´Â °ø°Ý¿¡ ´ëÇÑ ³»¼º 5% °¨¼Ò",
				"°è¿­ : ^777777Åõ±¸^000000    ¹æ¾î : ^7777779^000000",
				"À§Ä¡ : ^777777»ó´Ü^000000    ¹«°Ô : ^777777100^000000",
				"¿ä±¸·¹º§ : ^77777770^000000",
				"ÀåÂø : ^777777°Ë»ç / »óÀÎ / µµµÏ °è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½É¿¬ÀÇ Åõ±¸ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½É¿¬ÀÇ Åõ±¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"½É¿¬ÀÇ ±â»ç°¡ ¾²´Â Åõ±¸. °­ÇÑ °ø°Ý¿¡ ´ëÇÑ ³»¼ºÀº °­ÇÏ³ª ¿ÀÈ÷·Á ¾àÇÑ °ø°Ý¿¡ Ãë¾àÇÑ ¸éÀ» º¸ÀÎ´Ù.",
				"º¸½ºÇü ¸ó½ºÅÍ·ÎºÎÅÍ ¹Þ´Â °ø°Ý¿¡ ´ëÇÑ ³»¼º 10% Áõ°¡",
				"ÀÏ¹ÝÇü ¸ó½ºÅÍ·ÎºÎÅÍ ¹Þ´Â °ø°Ý¿¡ ´ëÇÑ ³»¼º 5% °¨¼Ò",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777779^000000",
				"À§Ä¡ : ^777777»ó´Ü^000000 ¹«°Ô : ^777777100^000000",
				"¿ä±¸·¹º§ : ^77777770^000000",
				"ÀåÂø : ^777777°Ë»ç / »óÀÎ / µµµÏ °è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16597: {
			unidentifiedDisplayName: "½É¿¬ÀÇ Åõ±¸ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"½É¿¬ÀÇ Åõ±¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"½É¿¬ÀÇ ±â»ç°¡ ¾²´Â Åõ±¸. °­ÇÑ °ø°Ý¿¡ ´ëÇÑ ³»¼ºÀº °­ÇÏ³ª ¿ÀÈ÷·Á ¾àÇÑ °ø°Ý¿¡ Ãë¾àÇÑ ¸éÀ» º¸ÀÎ´Ù.",
				"º¸½ºÇü ¸ó½ºÅÍ·ÎºÎÅÍ ¹Þ´Â °ø°Ý¿¡ ´ëÇÑ ³»¼º 10% Áõ°¡",
				"ÀÏ¹ÝÇü ¸ó½ºÅÍ·ÎºÎÅÍ ¹Þ´Â °ø°Ý¿¡ ´ëÇÑ ³»¼º 5% °¨¼Ò",
				"°è¿­ : ^777777Åõ±¸^000000    ¹æ¾î : ^7777779^000000",
				"À§Ä¡ : ^777777»ó´Ü^000000    ¹«°Ô : ^777777100^000000",
				"¿ä±¸·¹º§ : ^77777770^000000",
				"ÀåÂø : ^777777°Ë»ç / »óÀÎ / µµµÏ °è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½É¿¬ÀÇ Åõ±¸ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½É¿¬ÀÇ Åõ±¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"½É¿¬ÀÇ ±â»ç°¡ ¾²´Â Åõ±¸. °­ÇÑ °ø°Ý¿¡ ´ëÇÑ ³»¼ºÀº °­ÇÏ³ª ¿ÀÈ÷·Á ¾àÇÑ °ø°Ý¿¡ Ãë¾àÇÑ ¸éÀ» º¸ÀÎ´Ù.",
				"º¸½ºÇü ¸ó½ºÅÍ·ÎºÎÅÍ ¹Þ´Â °ø°Ý¿¡ ´ëÇÑ ³»¼º 10% Áõ°¡",
				"ÀÏ¹ÝÇü ¸ó½ºÅÍ·ÎºÎÅÍ ¹Þ´Â °ø°Ý¿¡ ´ëÇÑ ³»¼º 5% °¨¼Ò",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777779^000000",
				"À§Ä¡ : ^777777»ó´Ü^000000 ¹«°Ô : ^777777100^000000",
				"¿ä±¸·¹º§ : ^77777770^000000",
				"ÀåÂø : ^777777°Ë»ç / »óÀÎ / µµµÏ °è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16598: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"È¿³µÈ­ÀÇ Æ÷³Ç 5¿¼°Í Çà°îÀÇ ±Ë 1¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"ÄÁºð³ÇÀ´ È¿³µÈ­ ²ÃÄÑ ÀüÅõ¸ÂÀÌ ÀÏ²ÃÀûÀ·¸Î °À·£»Â µñ±à. 1.5O°ë¸®Àµ Ãâ²Ã °¶Á¤·· ÀâÇôÀÖ»Ù.",
				"2µÐ¿£ ZGP, NZGP  2%. Èú¿ú ±ÆÀÌÅÛÀÇ È·µ¶È°»É 10% Áõ¿¡.",
				"´ç·Á ²Ã, Wrhkvoo ²Ã È°»ÉÀÌ ´ç¹óÁø»Ù.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"È¿³µÈ­ÀÇ Æ÷³Ç 5¿¼°Í Çà°îÀÇ ±Ë 1¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"ÄÁºð³ÇÀ´ È¿³µÈ­ ²ÃÄÑ ÀüÅõ¸ÂÀÌ ÀÏ²ÃÀûÀ·¸Î °À·£»Â µñ±à. 1.5O°ë¸®Àµ Ãâ²Ã °¶Á¤·· ÀâÇôÀÖ»Ù.",
				"2µÐ¿£ ZGP, NZGP 2%. Èú¿ú ±ÆÀÌÅÛÀÇ È·µ¶È°»É 10% Áõ¿¡.",
				"´ç·Á ²Ã, Wrhkvoo ²Ã È°»ÉÀÌ ´ç¹óÁø»Ù.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16599: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"È¿³µÈ­ÀÇ Æ÷³Ç 5¿¼°Í Çà°îÀÇ ±Ë 1¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"ÄÁºð³ÇÀ´ È¿³µÈ­ ²ÃÄÑ ÀüÅõ¸ÂÀÌ ÀÏ²ÃÀûÀ·¸Î °À·£»Â µñ±à. 1.5O°ë¸®Àµ Ãâ²Ã °¶Á¤·· ÀâÇôÀÖ»Ù.",
				"2µÐ¿£ ZGP, NZGP  2%. Èú¿ú ±ÆÀÌÅÛÀÇ È·µ¶È°»É 10% Áõ¿¡.",
				"´ç·Á ²Ã, Wrhkvoo ²Ã È°»ÉÀÌ ´ç¹óÁø»Ù.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"È¿³µÈ­ÀÇ Æ÷³Ç 5¿¼°Í Çà°îÀÇ ±Ë 1¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"ÄÁºð³ÇÀ´ È¿³µÈ­ ²ÃÄÑ ÀüÅõ¸ÂÀÌ ÀÏ²ÃÀûÀ·¸Î °À·£»Â µñ±à. 1.5O°ë¸®Àµ Ãâ²Ã °¶Á¤·· ÀâÇôÀÖ»Ù.",
				"2µÐ¿£ ZGP, NZGP 2%. Èú¿ú ±ÆÀÌÅÛÀÇ È·µ¶È°»É 10% Áõ¿¡.",
				"´ç·Á ²Ã, Wrhkvoo ²Ã È°»ÉÀÌ ´ç¹óÁø»Ù.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16600: {
			unidentifiedDisplayName: "Spring Flowers",
			unidentifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Spring Flowers",
			identifiedResourceName: "\xba\xa2\xb2\xc9\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16601: {
			unidentifiedDisplayName: "Blue Arara Hat Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"ÆÄ¹õ ±Æ¹ó¹ó ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Blue Arara Hat Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box that contains 1 Blue Arara Hat.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16602: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"ÆÄ¹õ ±Æ¹ó¹ó ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"ÆÄ¹õ ±Æ¹ó¹ó ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16603: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"»Ã±îÁø µ·Åä¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"»Ã±îÁø µ·Åä¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16604: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"»Ã±îÁø µ·Åä¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"»Ã±îÁø µ·Åä¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16605: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"ÅÙºå·¾·®°Â ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"ÅÙºå·¾·®°Â ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16606: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"ÅÙºå·¾·®°Â ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"ÅÙºå·¾·®°Â ·ðÀÚ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16607: {
			unidentifiedDisplayName: "Bubble Gum Box(2)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Bubble Gum Box(2)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16608: {
			unidentifiedDisplayName: "Bubble Gum Box(4)",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Bubble Gum Box(4)",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16615: {
			unidentifiedDisplayName: "Charming Ribbon Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Charming Ribbon Box",
			identifiedResourceName: "\xbf\xb9\xbb\xdb\xb8\xae\xba\xbb\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Charming Ribbon",
				"Description:",
				"A pretty red ribbon",
				"decorated with a pink",
				"heart in the middle.",
				"Reduce damage from",
				"Undead and Demon",
				"monsters by 5%.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777772^000000",
				"Location: ^777777Upper^000000",
				"Weight : ^77777740^000000",
				"Level Requirement: ^77777710^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16616: {
			unidentifiedDisplayName: "Charming Ribbon Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Charming Ribbon Box",
			identifiedResourceName: "\xbf\xb9\xbb\xdb\xb8\xae\xba\xbb\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Charming Ribbon",
				"Description:",
				"A pretty red ribbon",
				"decorated with a pink",
				"heart in the middle.",
				"Reduce damage from",
				"Undead and Demon",
				"monsters by 5%.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777772^000000",
				"Location: ^777777Upper^000000",
				"Weight : ^77777740^000000",
				"Level Requirement: ^77777710^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16619: {
			unidentifiedDisplayName: "Yellow Bunny Band Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"¼ë¹õ Åä¼¢ ·Ó·®¹ì¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Yellow Bunny Band Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box contains 1 Yellow Bunny Band in it.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16620: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"¼ë¹õ Åä¼¢ ·Ó·®¹ì¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"¼ë¹õ Åä¼¢ ·Ó·®¹ì¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16621: {
			unidentifiedDisplayName: "Pink Bunny Band Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"ÇÎÅ© Åä¼¢ ·Ó·®¹ì¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Pink Bunny Band Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box contains 1 Pink Bunny Band in it.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16622: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"ÇÎÅ© Åä¼¢ ·Ó·®¹ì¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"ÇÎÅ© Åä¼¢ ·Ó·®¹ì¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16623: {
			unidentifiedDisplayName: "Green Bunny Band Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"¾×·¿ Åä¼¢ ·Ó·®¹ì¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Green Bunny Band Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box contains 1 Green Bunny Band in it.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16624: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"¾×·¿ Åä¼¢ ·Ó·®¹ì¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"¾×·¿ Åä¼¢ ·Ó·®¹ì¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16625: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"±Æ²µÇÁ·®Ä«(Ã³ÇèÆÇ)ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"7ÀÏ¿£ ´ç°ë ¿¡»É ÇÏ»Ù.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"³³´ó°¡ Á·ÀçÇÏ»Â ·ðºç µûÀ´ ·ð±Æ ··ºé±îÁø ¼¯¿¼. '²ÅºéÀÇ µû'ÀÌ¹ó»Â ÀÇ¶Ì·¦ ¿¡Áö¿í ÀÖ»Ù.",
				"·ðºç ³Ó³µÀÇ ¶¿·®¿ø¿Ý°¡ »ëÇÑ ¼´³µ 15%.",
				"UOVV  15, NWVU  2.",
				"ÅÚ¸¶Æ÷Æ® Oe1 ´ç°ë¿¡»É.",
				"Á¦¸ÃµÒ¿¡. ÆÄ¾«µÒ¿¡.",
				"¿è°­ : ^777777¿ÉÄ¥¿Í^000000    ¶æ±î : ^77777720^000000",
				"Weight : ^7777770^000000",
				"°ä¾·¸¶µ§ : ^77777747^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"±Æ²µÇÁ·®Ä«(Ã³ÇèÆÇ)ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"7ÀÏ¿£ ´ç°ë ¿¡»É ÇÏ»Ù.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"³³´ó°¡ Á·ÀçÇÏ»Â ·ðºç µûÀ´ ·ð±Æ ··ºé±îÁø ¼¯¿¼. '²ÅºéÀÇ µû'ÀÌ¹ó»Â ÀÇ¶Ì·¦ ¿¡Áö¿í ÀÖ»Ù.",
				"·ðºç ³Ó³µÀÇ ¶¿·®¿ø¿Ý°¡ »ëÇÑ ¼´³µ 15%.",
				"UOVV 15, NWVU 2.",
				"ÅÚ¸¶Æ÷Æ® Oe1 ´ç°ë¿¡»É.",
				"Á¦¸ÃµÒ¿¡. ÆÄ¾«µÒ¿¡.",
				"¿è°­ : ^777777¿ÉÄ¥¿Í^000000 ¶æ±î : ^77777720^000000",
				"Weight : ^7777770^000000",
				"°ä¾·¸¶µ§ : ^77777747^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16626: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"·Þ¾ä¾â°À·£ºå(Ã³ÇèÆÇ)ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"7ÀÏ¿£ ´ç°ë ¿¡»É ÇÏ»Ù.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"Çã·®°¡ Âø°ëÇÏ·é ÈûÀ´ ¾ØÀûÀ·¸Î ½ø±î°Ã¸Á ¿¡È÷ ¾«¶¿ÀÌ¹ó µÒ·¾ Á¤ºº¸Î ··ºé±îÁÖ»Â ±ÆÀÌÅÛ.  ¼ú²Å Åä·£ÀÇ Àü°ë Çã·®¹ì°»»Ù.",
				"HGI , NWVU ",
				"Âø°ëÀÚÀÇ YzhvOE°¡ ºû¹ó HGI Ãß¿¡ Áõ¿¡.",
				"HGIÀÌ ³ø³ö 120 ÀÎ ¿æ°ì, µ·²µ·ó²µÅÍ°¡¿Ô 5% ¶¿·® º¥¶ÌÁö Ãß¿¡.",
				"¿è°­ : ^777777±Ç³³´ç·®^000000",
				"¶æ±î : ^7777771^000000      Weight : ^7777770^000000",
				"°ä¾·¸¶µ§ : ^77777747^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"·Þ¾ä¾â°À·£ºå(Ã³ÇèÆÇ)ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"7ÀÏ¿£ ´ç°ë ¿¡»É ÇÏ»Ù.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"Çã·®°¡ Âø°ëÇÏ·é ÈûÀ´ ¾ØÀûÀ·¸Î ½ø±î°Ã¸Á ¿¡È÷ ¾«¶¿ÀÌ¹ó µÒ·¾ Á¤ºº¸Î ··ºé±îÁÖ»Â ±ÆÀÌÅÛ. ¼ú²Å Åä·£ÀÇ Àü°ë Çã·®¹ì°»»Ù.",
				"HGI , NWVU",
				"Âø°ëÀÚÀÇ YzhvOE°¡ ºû¹ó HGI Ãß¿¡ Áõ¿¡.",
				"HGIÀÌ ³ø³ö 120 ÀÎ ¿æ°ì, µ·²µ·ó²µÅÍ°¡¿Ô 5% ¶¿·® º¥¶ÌÁö Ãß¿¡.",
				"¿è°­ : ^777777±Ç³³´ç·®^000000",
				"¶æ±î : ^7777771^000000 Weight : ^7777770^000000",
				"°ä¾·¸¶µ§ : ^77777747^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16627: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"µê·®²Ì¿¡·à(Ã³ÇèÆÇ)ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"7ÀÏ¿£ ´ç°ë ¿¡»É ÇÏ»Ù.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"°©²Å ÇÁ¸¶ÀÌ±ß¿¡ Âø°ëÇß»Ù¿í ÇÏ»Â ·ñ¿ÉÀÌ¸Î ±Æ·§»Ù°ò¿ú »õµÒ±î ÈÇ·¢ÇÑ »É¸ÂÀ´ Âø°ëÀÚ°¡¿Ô Á¦¿øÇÏ»Â ²ÅÀÇ ±ÆÀÌÅÛ.",
				"HGI, ZTR, WVC, ERG ¿¢  ´ó²Â, OFP, RMG ¿¢  ´ó²Â.",
				"NWVU ",
				"ÀÚ²ÅÀÌ ´ç°ëÇÏ»Â Èú, ´ýÃò±î·® ²µÅ¼ÀÇ È·µ¶¸®ÀÌ 3% Áõ¿¡.",
				"¿è°­ : ^777777±Ç³³´ç·®^000000",
				"¶æ±î : ^7777771^000000      Weight : ^7777770^000000",
				"°ä¾·¸¶µ§ : ^77777747^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"µê·®²Ì¿¡·à(Ã³ÇèÆÇ)ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"7ÀÏ¿£ ´ç°ë ¿¡»É ÇÏ»Ù.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"°©²Å ÇÁ¸¶ÀÌ±ß¿¡ Âø°ëÇß»Ù¿í ÇÏ»Â ·ñ¿ÉÀÌ¸Î ±Æ·§»Ù°ò¿ú »õµÒ±î ÈÇ·¢ÇÑ »É¸ÂÀ´ Âø°ëÀÚ°¡¿Ô Á¦¿øÇÏ»Â ²ÅÀÇ ±ÆÀÌÅÛ.",
				"HGI, ZTR, WVC, ERG ¿¢ ´ó²Â, OFP, RMG ¿¢ ´ó²Â.",
				"NWVU",
				"ÀÚ²ÅÀÌ ´ç°ëÇÏ»Â Èú, ´ýÃò±î·® ²µÅ¼ÀÇ È·µ¶¸®ÀÌ 3% Áõ¿¡.",
				"¿è°­ : ^777777±Ç³³´ç·®^000000",
				"¶æ±î : ^7777771^000000 Weight : ^7777770^000000",
				"°ä¾·¸¶µ§ : ^77777747^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16628: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"µê¸ôÈúÆ®(Ã³ÇèÆÇ)ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"7ÀÏ¿£ ´ç°ë ¿¡»É ÇÏ»Ù.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"°ë·ÍÇß»ø ¶ßÅ¿·® Áß ÇÏ¼ªÀÎ µê¸ôÈúÆ®, '²Î°ì»Â ÀÚÀÇ ¿©°Ê'ÀÌ¹ó»Â ÀÇ¶Ì·¦ ¿¡Áö¿í ÀÖ»Ù.",
				"Yzhv Oe 20¶è ··Å­ÀÇ NSKÁõ¿¡. Yzhv Oe 5¶è ··Å­ÀÇ NHKÁõ¿¡.",
				"¶¿·®¿ø¿Ý¸Â 5%, ·¹¶ý¿ø¿Ý¸Â 5% Áõ¿¡.",
				"NWVU  5.",
				"¼Ë¶éµÒ¿¡. Á¦¸ÃµÒ¿¡. ÆÄ¾«µÒ¿¡.",
				"¿è°­ : ^777777¿©°Ê^000000    ¶æ±î : ^77777760^000000",
				"Weight : ^7777770^000000",
				"°ä¾·¸¶µ§ : ^77777747^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"µê¸ôÈúÆ®(Ã³ÇèÆÇ)ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"7ÀÏ¿£ ´ç°ë ¿¡»É ÇÏ»Ù.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"°ë·ÍÇß»ø ¶ßÅ¿·® Áß ÇÏ¼ªÀÎ µê¸ôÈúÆ®, '²Î°ì»Â ÀÚÀÇ ¿©°Ê'ÀÌ¹ó»Â ÀÇ¶Ì·¦ ¿¡Áö¿í ÀÖ»Ù.",
				"Yzhv Oe 20¶è ··Å­ÀÇ NSKÁõ¿¡. Yzhv Oe 5¶è ··Å­ÀÇ NHKÁõ¿¡.",
				"¶¿·®¿ø¿Ý¸Â 5%, ·¹¶ý¿ø¿Ý¸Â 5% Áõ¿¡.",
				"NWVU 5.",
				"¼Ë¶éµÒ¿¡. Á¦¸ÃµÒ¿¡. ÆÄ¾«µÒ¿¡.",
				"¿è°­ : ^777777¿©°Ê^000000 ¶æ±î : ^77777760^000000",
				"Weight : ^7777770^000000",
				"°ä¾·¸¶µ§ : ^77777747^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø¿¡»É^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16629: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"¾×¸£ºå ÆäÄÚÀÇ ·Ó·®¹ì¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"¾×¸£ºå ÆäÄÚÆäÄÚÀÇ ¼¯¿¼¾êÅÐÀ´ °«±î··ºç È­¸ÁÇÑ ·Ó·®Àå²Ä.",
				"ÀÎ¿£Çü, º°¶¿Çü ·ó²µÅÍ°¡¿Ô ÁÖ»Â º¥¶ÌÁö 7% Áõ¿¡.",
				"¶¿·® º¥¶ÌÁö·¦ ¶ÞÀ´ ²Ã ÇÇÇØ·¦ ÀÔÈù »ë´ó°¡¿Ô ÀÏÁ¤È®¸ü¸Î ÀúÁÖ·¦ ¿Ç»Ù.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777775^000000",
				"À§Ä¡: ^777777´óÁß»Ü ^000000 Weight : ^77777780^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"¾×¸£ºå ÆäÄÚÀÇ ·Ó·®¹ì¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"¾×¸£ºå ÆäÄÚÆäÄÚÀÇ ¼¯¿¼¾êÅÐÀ´ °«±î··ºç È­¸ÁÇÑ ·Ó·®Àå²Ä.",
				"ÀÎ¿£Çü, º°¶¿Çü ·ó²µÅÍ°¡¿Ô ÁÖ»Â º¥¶ÌÁö 7% Áõ¿¡.",
				"¶¿·® º¥¶ÌÁö·¦ ¶ÞÀ´ ²Ã ÇÇÇØ·¦ ÀÔÈù »ë´ó°¡¿Ô ÀÏÁ¤È®¸ü¸Î ÀúÁÖ·¦ ¿Ç»Ù.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777775^000000",
				"À§Ä¡: ^777777´óÁß»Ü ^000000 Weight : ^77777780^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16630: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"¾×¸£ºå ÆäÄÚÀÇ ·Ó·®¹ì¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"¾×¸£ºå ÆäÄÚÆäÄÚÀÇ ¼¯¿¼¾êÅÐÀ´ °«±î··ºç È­¸ÁÇÑ ·Ó·®Àå²Ä.",
				"ÀÎ¿£Çü, º°¶¿Çü ·ó²µÅÍ°¡¿Ô ÁÖ»Â º¥¶ÌÁö 7% Áõ¿¡.",
				"¶¿·® º¥¶ÌÁö·¦ ¶ÞÀ´ ²Ã ÇÇÇØ·¦ ÀÔÈù »ë´ó°¡¿Ô ÀÏÁ¤È®¸ü¸Î ÀúÁÖ·¦ ¿Ç»Ù.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777775^000000",
				"À§Ä¡: ^777777´óÁß»Ü ^000000 Weight : ^77777780^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"¾×¸£ºå ÆäÄÚÀÇ ·Ó·®¹ì¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"¾×¸£ºå ÆäÄÚÆäÄÚÀÇ ¼¯¿¼¾êÅÐÀ´ °«±î··ºç È­¸ÁÇÑ ·Ó·®Àå²Ä.",
				"ÀÎ¿£Çü, º°¶¿Çü ·ó²µÅÍ°¡¿Ô ÁÖ»Â º¥¶ÌÁö 7% Áõ¿¡.",
				"¶¿·® º¥¶ÌÁö·¦ ¶ÞÀ´ ²Ã ÇÇÇØ·¦ ÀÔÈù »ë´ó°¡¿Ô ÀÏÁ¤È®¸ü¸Î ÀúÁÖ·¦ ¿Ç»Ù.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777775^000000",
				"À§Ä¡: ^777777´óÁß»Ü ^000000 Weight : ^77777780^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16631: {
			unidentifiedDisplayName: "Aributa Scroll",
			unidentifiedResourceName: "\xbe\xc6\xb8\xae\xba\xce\xc5\xb8\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"2010 winter collection, Aributa Scroll. Limited edition only!",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Aributa Scroll",
			identifiedResourceName: "\xbe\xc6\xb8\xae\xba\xce\xc5\xb8\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"2010 winter collection, Aributa Scroll. Limited edition only!",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16632: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16633: {
			unidentifiedDisplayName: "Bubble Gum Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Bubble Gum Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16634: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"»ë·ø¶ÚÈù ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 2²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"·¹Ä¡ »ë·øÀÌ ¶ÚÈù ºí µ·°© ¶«²Ã¶«²ÃÇÑ »À¼¦ÀÇ ²µÄ«ÇÁ.",
				"ZGP  30, SK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î SK  2%, °ø¿Å·® ¶¿·® ¿ø¿Ý¸Â  2%.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"»ë·ø¶ÚÈù ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 2²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"·¹Ä¡ »ë·øÀÌ ¶ÚÈù ºí µ·°© ¶«²Ã¶«²ÃÇÑ »À¼¦ÀÇ ²µÄ«ÇÁ.",
				"ZGP 30, SK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î SK 2%, °ø¿Å·® ¶¿·® ¿ø¿Ý¸Â 2%.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16635: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¶«Áö¿¼ ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 2²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¶«Áö¿¼ ´öÀ´ ¹è È­¸ÁÇÑ ²µÄ«ÇÁ.",
				"NZGP  30, NHK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î NHK  2%, µ¯º°Ä¼²µÆÃ ²Ã¿£ 2% »ÜÃà.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"¶«Áö¿¼ ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 2²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¶«Áö¿¼ ´öÀ´ ¹è È­¸ÁÇÑ ²µÄ«ÇÁ.",
				"NZGP 30, NHK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î NHK 2%, µ¯º°Ä¼²µÆÃ ²Ã¿£ 2% »ÜÃà.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16636: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"»ë·ø¶ÚÈù ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 4²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"·¹Ä¡ »ë·øÀÌ ¶ÚÈù ºí µ·°© ¶«²Ã¶«²ÃÇÑ »À¼¦ÀÇ ²µÄ«ÇÁ.",
				"ZGP  30, SK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î SK  2%, °ø¿Å·® ¶¿·® ¿ø¿Ý¸Â  2%.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"»ë·ø¶ÚÈù ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 4²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"·¹Ä¡ »ë·øÀÌ ¶ÚÈù ºí µ·°© ¶«²Ã¶«²ÃÇÑ »À¼¦ÀÇ ²µÄ«ÇÁ.",
				"ZGP 30, SK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î SK 2%, °ø¿Å·® ¶¿·® ¿ø¿Ý¸Â 2%.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16637: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¶«Áö¿¼ ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 4²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¶«Áö¿¼ ´öÀ´ ¹è È­¸ÁÇÑ ²µÄ«ÇÁ.",
				"NZGP  30, NHK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î NHK  2%, µ¯º°Ä¼²µÆÃ ²Ã¿£ 2% »ÜÃà.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"¶«Áö¿¼ ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 4²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¶«Áö¿¼ ´öÀ´ ¹è È­¸ÁÇÑ ²µÄ«ÇÁ.",
				"NZGP 30, NHK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î NHK 2%, µ¯º°Ä¼²µÆÃ ²Ã¿£ 2% »ÜÃà.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16638: {
			unidentifiedDisplayName: "Life Ribbon Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"´ý·íÀÇ ·®µ´ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 1²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¼ë¹û¿ú ÃÊ¸ÏÀ·¸Î »ëµñºÇ»Â ¾Í°©°î ±çÂÊ·®µ´.",
				"RMG  1, NWVU  2.",
				"ÀÚ²ÅÀÌ ´ç°ëÇÏ»Â Èú¸® 2% Áõ¿¡.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î RMG  1, È·µ¶±ÆÀÌÅÛ ´ç°ëÀÌ¼ª ÈúÀ´ ¶ÞÀ´ ²ÃÀÇ È·µ¶¸® 2% Áõ¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777772^000000",
				"À§Ä¡: ^777777Áß»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Life Ribbon Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Life Ribbon in it. 1 hour duration.",
				"^000088Rental item^000000",
				"Yellow, green matching cute ribbon item.",
				"INT + 1, MDEF + 2.",
				"Increase the effect of the Heal that its wearer casts by 2%.",
				"Class : ^777777Headgear^000000 Defense : ^7777772^000000",
				"Location : ^777777Middle ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs^000000",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16639: {
			unidentifiedDisplayName: "Life Ribbon Box2",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"´ý·íÀÇ ·®µ´ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 2²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¼ë¹û¿ú ÃÊ¸ÏÀ·¸Î »ëµñºÇ»Â ¾Í°©°î ±çÂÊ·®µ´.",
				"RMG  1, NWVU  2.",
				"ÀÚ²ÅÀÌ ´ç°ëÇÏ»Â Èú¸® 2% Áõ¿¡.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î RMG  1, È·µ¶±ÆÀÌÅÛ ´ç°ëÀÌ¼ª ÈúÀ´ ¶ÞÀ´ ²ÃÀÇ È·µ¶¸® 2% Áõ¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777772^000000",
				"À§Ä¡: ^777777Áß»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Life Ribbon Box2",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Life Ribbon in it. 2 hours duration.",
				"^000088Rental item^000000",
				"Yellow, green matching cute ribbon item.",
				"INT + 1, MDEF + 2.",
				"Increase the effect of the Heal that its wearer casts by 2%.",
				"Class : ^777777Headgear^000000 Defense : ^7777772^000000",
				"Location : ^777777Middle ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs^000000",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16640: {
			unidentifiedDisplayName: "Life Ribbon Box3",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"´ý·íÀÇ ·®µ´ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 4²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¼ë¹û¿ú ÃÊ¸ÏÀ·¸Î »ëµñºÇ»Â ¾Í°©°î ±çÂÊ·®µ´.",
				"RMG  1, NWVU  2.",
				"ÀÚ²ÅÀÌ ´ç°ëÇÏ»Â Èú¸® 2% Áõ¿¡.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î RMG  1, È·µ¶±ÆÀÌÅÛ ´ç°ëÀÌ¼ª ÈúÀ´ ¶ÞÀ´ ²ÃÀÇ È·µ¶¸® 2% Áõ¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777772^000000",
				"À§Ä¡: ^777777Áß»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Life Ribbon Box3",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box contains 1 Life Ribbon in it. 4 hours duration.",
				"^000088Rental item^000000",
				"Yellow, green matching cute ribbon item.",
				"INT + 1, MDEF + 2.",
				"Increase the effect of the Heal that its wearer casts by 2%.",
				"Class : ^777777Headgear^000000 Defense : ^7777772^000000",
				"Location : ^777777Middle ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777All Jobs^000000",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16641: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"»ë·ø¶ÚÈù ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 1²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"·¹Ä¡ »ë·øÀÌ ¶ÚÈù ºí µ·°© ¶«²Ã¶«²ÃÇÑ »À¼¦ÀÇ ²µÄ«ÇÁ.",
				"ZGP  30, SK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î SK  2%, °ø¿Å·® ¶¿·® ¿ø¿Ý¸Â  2%.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"»ë·ø¶ÚÈù ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 1²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"·¹Ä¡ »ë·øÀÌ ¶ÚÈù ºí µ·°© ¶«²Ã¶«²ÃÇÑ »À¼¦ÀÇ ²µÄ«ÇÁ.",
				"ZGP 30, SK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î SK 2%, °ø¿Å·® ¶¿·® ¿ø¿Ý¸Â 2%.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16642: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¶«Áö¿¼ ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 1²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¶«Áö¿¼ ´öÀ´ ¹è È­¸ÁÇÑ ²µÄ«ÇÁ.",
				"NZGP  30, NHK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î NHK  2%, µ¯º°Ä¼²µÆÃ ²Ã¿£ 2% »ÜÃà.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"¶«Áö¿¼ ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 1²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¶«Áö¿¼ ´öÀ´ ¹è È­¸ÁÇÑ ²µÄ«ÇÁ.",
				"NZGP 30, NHK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î NHK 2%, µ¯º°Ä¼²µÆÃ ²Ã¿£ 2% »ÜÃà.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16643: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"»ë·ø¶ÚÈù ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 2²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"·¹Ä¡ »ë·øÀÌ ¶ÚÈù ºí µ·°© ¶«²Ã¶«²ÃÇÑ »À¼¦ÀÇ ²µÄ«ÇÁ.",
				"ZGP  30, SK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î SK  2%, °ø¿Å·® ¶¿·® ¿ø¿Ý¸Â  2%.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"»ë·ø¶ÚÈù ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 2²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"·¹Ä¡ »ë·øÀÌ ¶ÚÈù ºí µ·°© ¶«²Ã¶«²ÃÇÑ »À¼¦ÀÇ ²µÄ«ÇÁ.",
				"ZGP 30, SK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î SK 2%, °ø¿Å·® ¶¿·® ¿ø¿Ý¸Â 2%.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16644: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¶«Áö¿¼ ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 2²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¶«Áö¿¼ ´öÀ´ ¹è È­¸ÁÇÑ ²µÄ«ÇÁ.",
				"NZGP  30, NHK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î NHK  2%, µ¯º°Ä¼²µÆÃ ²Ã¿£ 2% »ÜÃà.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"¶«Áö¿¼ ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 2²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¶«Áö¿¼ ´öÀ´ ¹è È­¸ÁÇÑ ²µÄ«ÇÁ.",
				"NZGP 30, NHK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î NHK 2%, µ¯º°Ä¼²µÆÃ ²Ã¿£ 2% »ÜÃà.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16645: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"»ë·ø¶ÚÈù ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 4²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"·¹Ä¡ »ë·øÀÌ ¶ÚÈù ºí µ·°© ¶«²Ã¶«²ÃÇÑ »À¼¦ÀÇ ²µÄ«ÇÁ.",
				"ZGP  30, SK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î SK  2%, °ø¿Å·® ¶¿·® ¿ø¿Ý¸Â  2%.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"»ë·ø¶ÚÈù ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 4²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"·¹Ä¡ »ë·øÀÌ ¶ÚÈù ºí µ·°© ¶«²Ã¶«²ÃÇÑ »À¼¦ÀÇ ²µÄ«ÇÁ.",
				"ZGP 30, SK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î SK 2%, °ø¿Å·® ¶¿·® ¿ø¿Ý¸Â 2%.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16646: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¶«Áö¿¼ ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 4²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¶«Áö¿¼ ´öÀ´ ¹è È­¸ÁÇÑ ²µÄ«ÇÁ.",
				"NZGP  30, NHK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î NHK  2%, µ¯º°Ä¼²µÆÃ ²Ã¿£ 2% »ÜÃà.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"¶«Áö¿¼ ²µÄ«ÇÁ¿¡ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 4²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¶«Áö¿¼ ´öÀ´ ¹è È­¸ÁÇÑ ²µÄ«ÇÁ.",
				"NZGP 30, NHK - 2%.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î NHK 2%, µ¯º°Ä¼²µÆÃ ²Ã¿£ 2% »ÜÃà.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777ÇÏ»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16647: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"´ý·íÀÇ ·®µ´ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 1²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¼ë¹û¿ú ÃÊ¸ÏÀ·¸Î »ëµñºÇ»Â ¾Í°©°î ±çÂÊ·®µ´.",
				"RMG  1, NWVU  2.",
				"ÀÚ²ÅÀÌ ´ç°ëÇÏ»Â Èú¸® 2% Áõ¿¡.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î RMG  1, È·µ¶±ÆÀÌÅÛ ´ç°ëÀÌ¼ª ÈúÀ´ ¶ÞÀ´ ²ÃÀÇ È·µ¶¸® 2% Áõ¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777772^000000",
				"À§Ä¡: ^777777Áß»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"´ý·íÀÇ ·®µ´ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 1²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¼ë¹û¿ú ÃÊ¸ÏÀ·¸Î »ëµñºÇ»Â ¾Í°©°î ±çÂÊ·®µ´.",
				"RMG 1, NWVU 2.",
				"ÀÚ²ÅÀÌ ´ç°ëÇÏ»Â Èú¸® 2% Áõ¿¡.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î RMG 1, È·µ¶±ÆÀÌÅÛ ´ç°ëÀÌ¼ª ÈúÀ´ ¶ÞÀ´ ²ÃÀÇ È·µ¶¸® 2% Áõ¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777772^000000",
				"À§Ä¡: ^777777Áß»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16648: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"´ý·íÀÇ ·®µ´ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 2²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¼ë¹û¿ú ÃÊ¸ÏÀ·¸Î »ëµñºÇ»Â ¾Í°©°î ±çÂÊ·®µ´.",
				"RMG  1, NWVU  2.",
				"ÀÚ²ÅÀÌ ´ç°ëÇÏ»Â Èú¸® 2% Áõ¿¡.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î RMG  1, È·µ¶±ÆÀÌÅÛ ´ç°ëÀÌ¼ª ÈúÀ´ ¶ÞÀ´ ²ÃÀÇ È·µ¶¸® 2% Áõ¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777772^000000",
				"À§Ä¡: ^777777Áß»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"´ý·íÀÇ ·®µ´ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 2²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¼ë¹û¿ú ÃÊ¸ÏÀ·¸Î »ëµñºÇ»Â ¾Í°©°î ±çÂÊ·®µ´.",
				"RMG 1, NWVU 2.",
				"ÀÚ²ÅÀÌ ´ç°ëÇÏ»Â Èú¸® 2% Áõ¿¡.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î RMG 1, È·µ¶±ÆÀÌÅÛ ´ç°ëÀÌ¼ª ÈúÀ´ ¶ÞÀ´ ²ÃÀÇ È·µ¶¸® 2% Áõ¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777772^000000",
				"À§Ä¡: ^777777Áß»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16649: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"´ý·íÀÇ ·®µ´ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 4²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¼ë¹û¿ú ÃÊ¸ÏÀ·¸Î »ëµñºÇ»Â ¾Í°©°î ±çÂÊ·®µ´.",
				"RMG  1, NWVU  2.",
				"ÀÚ²ÅÀÌ ´ç°ëÇÏ»Â Èú¸® 2% Áõ¿¡.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î RMG  1, È·µ¶±ÆÀÌÅÛ ´ç°ëÀÌ¼ª ÈúÀ´ ¶ÞÀ´ ²ÃÀÇ È·µ¶¸® 2% Áõ¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777772^000000",
				"À§Ä¡: ^777777Áß»Ü ^000000 Weight : ^7777770^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"´ý·íÀÇ ·®µ´ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ. 4²Ã¿£ º°±È ´ç°ë¿¡»É.",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"¼ë¹û¿ú ÃÊ¸ÏÀ·¸Î »ëµñºÇ»Â ¾Í°©°î ±çÂÊ·®µ´.",
				"RMG 1, NWVU 2.",
				"ÀÚ²ÅÀÌ ´ç°ëÇÏ»Â Èú¸® 2% Áõ¿¡.",
				"¿ñºå KX¶æ°¡³­ ´ç°ë ²Ã, Ãß¿¡¸Î RMG 1, È·µ¶±ÆÀÌÅÛ ´ç°ëÀÌ¼ª ÈúÀ´ ¶ÞÀ´ ²ÃÀÇ È·µ¶¸® 2% Áõ¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777772^000000",
				"À§Ä¡: ^777777Áß»Ü ^000000 Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16650: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"²ÖÀÚ¾Ã ÇÏ»ÃÀÇ µ·¿üÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"È½ºº 3¶øÂ¿ ÀÚ·®ÀÎ ²ÖÀÚ¾ÃÀ´ ¼ªÅ·¼´»Â µ·¿ü. Åµ´ý³®ÀÎ ±Ë¸µ´êºå¹óÀÌÆ®¿¡ ¶ÚÇôÀÖ»Ù.",
				"WVC  2, ²µÅ¼ ÈÄ ºô¸¶ÀÌ 2% ¿¨³Ò, Ç¼³Ó³µ ¿ø¿Ý ÀúÇ× 5%.",
				"7Á¦¸Ã ÀÌ´ó ²Ã WVC  1, NZGP  30 Ãß¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777´ó»Ü ^000000 Weight : ^77777730^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"²ÖÀÚ¾Ã ÇÏ»ÃÀÇ µ·¿üÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"È½ºº 3¶øÂ¿ ÀÚ·®ÀÎ ²ÖÀÚ¾ÃÀ´ ¼ªÅ·¼´»Â µ·¿ü. Åµ´ý³®ÀÎ ±Ë¸µ´êºå¹óÀÌÆ®¿¡ ¶ÚÇôÀÖ»Ù.",
				"WVC 2, ²µÅ¼ ÈÄ ºô¸¶ÀÌ 2% ¿¨³Ò, Ç¼³Ó³µ ¿ø¿Ý ÀúÇ× 5%.",
				"7Á¦¸Ã ÀÌ´ó ²Ã WVC 1, NZGP 30 Ãß¿¡.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777773^000000",
				"À§Ä¡: ^777777´ó»Ü ^000000 Weight : ^77777730^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16651: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"²ÖÀÚ¾Ã ÇÏ»ÃÀÇ °Õ¿üÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"È½ºº 3¶øÂ¿ ÀÚ·®ÀÎ ²ÖÀÚ¾ÃÀ´ ¼ªÅ·¼´»Â °Õ¿ü. Åµ´ý³®ÀÎ ±Ë¸µ´êºå¹óÀÌÆ®¿¡ ¶ÚÇôÀÖ»Ù.",
				"ZTR  2, UOVV  10, Ç¼³Ó³µ ¿ø¿Ý°¡ »ëÇÑ ÀúÇ× 5%.",
				"7Á¦¸Ã ÀÌ´ó ÀÏ ¿æ°ì SRG  5, ZGP  30.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777776^000000",
				"À§Ä¡: ^777777´ó»Ü ^000000 Weight : ^77777730^000000",
				"°ä¾· ¸¶µ§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"²ÖÀÚ¾Ã ÇÏ»ÃÀÇ °Õ¿üÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"È½ºº 3¶øÂ¿ ÀÚ·®ÀÎ ²ÖÀÚ¾ÃÀ´ ¼ªÅ·¼´»Â °Õ¿ü. Åµ´ý³®ÀÎ ±Ë¸µ´êºå¹óÀÌÆ®¿¡ ¶ÚÇôÀÖ»Ù.",
				"ZTR 2, UOVV 10, Ç¼³Ó³µ ¿ø¿Ý°¡ »ëÇÑ ÀúÇ× 5%.",
				"7Á¦¸Ã ÀÌ´ó ÀÏ ¿æ°ì SRG 5, ZGP 30.",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777776^000000",
				"À§Ä¡: ^777777´ó»Ü ^000000 Weight : ^77777730^000000",
				"Required Level : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷±÷^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16652: {
			unidentifiedDisplayName: "Flame Scroll",
			unidentifiedResourceName: "\xc8\xad\xbf\xb0\xc0\xc7\xba\xfb",
			unidentifiedDescriptionName: [
				"2010 winter collection, Flame Scroll. Limited edition only!",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Flame Scroll",
			identifiedResourceName: "\xc8\xad\xbf\xb0\xc0\xc7\xba\xfb",
			identifiedDescriptionName: [
				"2010 winter collection, Flame Scroll. Limited edition only!",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16653: {
			unidentifiedDisplayName: "Battle Manual 75% Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Battle Manual 75% Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16654: {
			unidentifiedDisplayName: "Gryphon Hat Box",
			unidentifiedResourceName: "\xbf\xeb\xb8\xcd\xc7\xd1\xc0\xc7\xc1\xf6",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Gryphon Hat Box",
			identifiedResourceName: "\xbf\xeb\xb8\xcd\xc7\xd1\xc0\xc7\xc1\xf6",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16655: {
			unidentifiedDisplayName: "Rapid Life Potion 10 Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"²Å³ÓÇÑ ´ý·í³ö¿¡ 10¿¼°Í Çà°îÀÇ ±Ë 1¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"¿¢Á± È·µ¶¸Â°¡ ºº°òÀÌ ºÇ»Â ²Ä¶¿ÁóÀ´ ÀÀÃàÇØ »ã±Æ¼õÀµ µ». µü·¥ ´óÃ¼ Àç´ý°¡ È°ÇèÀÌ ÀÖ»Ù¿í ÇÑ»Ù.",
				"µ¶°ëÇÏ·é 10µÐ¿£ 3ÃÊ·¹»Ù NSKÀÇ 6%·¦ È·µ¶ÇÑ»Ù.",
				"¶ö³­Å© ´óÅÂ°¡³­»Â È°¿ú¿¡ ¶ßº°ÇÏÁö ±Ê»Â»Ù.",
				"^000088Ä¼·¯ÅÍ¿¡ ÀüÅõµÒ»É´óÅÂ¿¡ ºÇ·é ±ÆÀÌÅÛ È°¿úºº ´ç¹óÁý»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Rapid Life Potion 10 Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box contains 10 Rapid Life Potions in it.",
				"Potion contains verious recovery herb juice. Effective for faster wound healing.",
				"Recovers 6% of MaxHP every 3 seconds for 10 minutes.",
				"Not available in berserk condition.",
				"^000088When player's character becomes combat ineffective, the item buff effect will wear off.^000000",
				"Weight : ^7777771^000000",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16656: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"²Å³ÓÇÑ ´ý·í³ö¿¡ 10¿¼°Í Çà°îÀÇ ±Ë 1¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"¿¢Á± È·µ¶¸Â°¡ ºº°òÀÌ ºÇ»Â ²Ä¶¿ÁóÀ´ ÀÀÃàÇØ »ã±Æ¼õÀµ µ». µü·¥ ´óÃ¼ Àç´ý°¡ È°ÇèÀÌ ÀÖ»Ù¿í ÇÑ»Ù.",
				"µ¶°ëÇÏ·é 10µÐ¿£ 3ÃÊ·¹»Ù NSKÀÇ 6%·¦ È·µ¶ÇÑ»Ù.",
				"¶ö³­Å© ´óÅÂ°¡³­»Â È°¿ú¿¡ ¶ßº°ÇÏÁö ±Ê»Â»Ù.",
				"^000088Ä¼·¯ÅÍ¿¡ ÀüÅõµÒ»É´óÅÂ¿¡ ºÇ·é ±ÆÀÌÅÛ È°¿úºº ´ç¹óÁý»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"²Å³ÓÇÑ ´ý·í³ö¿¡ 10¿¼°Í Çà°îÀÇ ±Ë 1¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"¿¢Á± È·µ¶¸Â°¡ ºº°òÀÌ ºÇ»Â ²Ä¶¿ÁóÀ´ ÀÀÃàÇØ »ã±Æ¼õÀµ µ». µü·¥ ´óÃ¼ Àç´ý°¡ È°ÇèÀÌ ÀÖ»Ù¿í ÇÑ»Ù.",
				"µ¶°ëÇÏ·é 10µÐ¿£ 3ÃÊ·¹»Ù NSKÀÇ 6%·¦ È·µ¶ÇÑ»Ù.",
				"¶ö³­Å© ´óÅÂ°¡³­»Â È°¿ú¿¡ ¶ßº°ÇÏÁö ±Ê»Â»Ù.",
				"^000088Ä¼·¯ÅÍ¿¡ ÀüÅõµÒ»É´óÅÂ¿¡ ºÇ·é ±ÆÀÌÅÛ È°¿úºº ´ç¹óÁý»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16657: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"²Å³ÓÇÑ ´ý·í³ö¿¡ 10¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"¿¢Á± È·µ¶¸Â°¡ ºº°òÀÌ ºÇ»Â ²Ä¶¿ÁóÀ´ ÀÀÃàÇØ »ã±Æ¼õÀµ µ». µü·¥ ´óÃ¼ Àç´ý°¡ È°ÇèÀÌ ÀÖ»Ù¿í ÇÑ»Ù.",
				"µ¶°ëÇÏ·é 10µÐ¿£ 3ÃÊ·¹»Ù NSKÀÇ 6%·¦ È·µ¶ÇÑ»Ù.",
				"¶ö³­Å© ´óÅÂ°¡³­»Â È°¿ú¿¡ ¶ßº°ÇÏÁö ±Ê»Â»Ù.",
				"^000088Ä¼·¯ÅÍ¿¡ ÀüÅõµÒ»É´óÅÂ¿¡ ºÇ·é ±ÆÀÌÅÛ È°¿úºº ´ç¹óÁý»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"²Å³ÓÇÑ ´ý·í³ö¿¡ 10¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"¿¢Á± È·µ¶¸Â°¡ ºº°òÀÌ ºÇ»Â ²Ä¶¿ÁóÀ´ ÀÀÃàÇØ »ã±Æ¼õÀµ µ». µü·¥ ´óÃ¼ Àç´ý°¡ È°ÇèÀÌ ÀÖ»Ù¿í ÇÑ»Ù.",
				"µ¶°ëÇÏ·é 10µÐ¿£ 3ÃÊ·¹»Ù NSKÀÇ 6%·¦ È·µ¶ÇÑ»Ù.",
				"¶ö³­Å© ´óÅÂ°¡³­»Â È°¿ú¿¡ ¶ßº°ÇÏÁö ±Ê»Â»Ù.",
				"^000088Ä¼·¯ÅÍ¿¡ ÀüÅõµÒ»É´óÅÂ¿¡ ºÇ·é ±ÆÀÌÅÛ È°¿úºº ´ç¹óÁý»Ï»Ù.^000000",
				"¶«¿Ô : ^7777771^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16658: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"²Å³ÓÇÑ ´ý·í³ö¿¡ 10¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"¿¢Á± È·µ¶¸Â°¡ ºº°òÀÌ ºÇ»Â ²Ä¶¿ÁóÀ´ ÀÀÃàÇØ »ã±Æ¼õÀµ µ». µü·¥ ´óÃ¼ Àç´ý°¡ È°ÇèÀÌ ÀÖ»Ù¿í ÇÑ»Ù.",
				"µ¶°ëÇÏ·é 10µÐ¿£ 3ÃÊ·¹»Ù NSKÀÇ 6%·¦ È·µ¶ÇÑ»Ù.",
				"¶ö³­Å© ´óÅÂ°¡³­»Â È°¿ú¿¡ ¶ßº°ÇÏÁö ±Ê»Â»Ù.",
				"^000088Ä¼·¯ÅÍ¿¡ ÀüÅõµÒ»É´óÅÂ¿¡ ºÇ·é ±ÆÀÌÅÛ È°¿úºº ´ç¹óÁý»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"²Å³ÓÇÑ ´ý·í³ö¿¡ 10¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"¿¢Á± È·µ¶¸Â°¡ ºº°òÀÌ ºÇ»Â ²Ä¶¿ÁóÀ´ ÀÀÃàÇØ »ã±Æ¼õÀµ µ». µü·¥ ´óÃ¼ Àç´ý°¡ È°ÇèÀÌ ÀÖ»Ù¿í ÇÑ»Ù.",
				"µ¶°ëÇÏ·é 10µÐ¿£ 3ÃÊ·¹»Ù NSKÀÇ 6%·¦ È·µ¶ÇÑ»Ù.",
				"¶ö³­Å© ´óÅÂ°¡³­»Â È°¿ú¿¡ ¶ßº°ÇÏÁö ±Ê»Â»Ù.",
				"^000088Ä¼·¯ÅÍ¿¡ ÀüÅõµÒ»É´óÅÂ¿¡ ºÇ·é ±ÆÀÌÅÛ È°¿úºº ´ç¹óÁý»Ï»Ù.^000000",
				"¶«¿Ô : ^7777771^000000",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16659: {
			unidentifiedDisplayName: "Zodiac Diadem Pack",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xc7\xb3",
			unidentifiedDescriptionName: [
				"Open the box and receive one of the 12 Zodiac Diadem headgears.",
				"Contains one of the following:",
				"Aquarius Diadem",
				"Pisces Diadem",
				"Aries Diadem",
				"Taurus Diadem",
				"Gemini Diadem",
				"Cancer Diadem",
				"Leo Diadem",
				"Virgo Diadem",
				"Libra Diadem",
				"Scorpio Diadem",
				"Sagittarius Diadem",
				"Capricorn Diadem",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Zodiac Diadem Pack",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xc7\xb3",
			identifiedDescriptionName: [
				"Open the box and receive one of the 12 Zodiac Diadem headgears.",
				"Contains one of the following:",
				"Aries Diadem",
				"Taurus Diadem",
				"Gemini Diadem",
				"Cancer Diadem",
				"Leo Diadem",
				"Virgo Diadem",
				"Libra Diadem",
				"Scorpio Diadem",
				"Sagittarius Diadem",
				"Capricorn Diadem",
				"Aquarius Diadem",
				"Pisces Diadem",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16660: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"°ºÈ¥ÀÇ ³Û¿÷ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"°ºÈ¥ÀÇ ³Û¿÷ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16661: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"°ºÈ¥ÀÇ ³Û¿÷ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"°ºÈ¥ÀÇ ³Û¿÷ÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16662: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"¶é±ç¾Ã ÇÏ»ÃÀÇ µ·¿üÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uuuuuu_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"¶é±ç¾Ã ÇÏ»ÃÀÇ µ·¿üÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uuuuuu_^000000",
				"¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16663: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"¶é±ç¾Ã ÇÏ»ÃÀÇ °Õ¿üÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uuuuuu_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"¶é±ç¾Ã ÇÏ»ÃÀÇ °Õ¿üÀÌ 1¿¼ ºé±îÀÖ»Â ´óÀÚ.",
				"^uuuuuu_^000000",
				"¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16664: {
			unidentifiedDisplayName: "Leo Crown Egg",
			unidentifiedResourceName: "\xbb\xe7\xc0\xda\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Leo Crown Egg",
			identifiedResourceName: "\xbb\xe7\xc0\xda\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16665: {
			unidentifiedDisplayName: "Virgo Crown Egg",
			unidentifiedResourceName: "\xc3\xb3\xb3\xe0\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Virgo Crown Egg",
			identifiedResourceName: "\xc3\xb3\xb3\xe0\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		16666: {
			unidentifiedDisplayName: "Magic Candy 10Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"·¹¶ýÄººð 10¿¼°Í Çà°îÀÇ ±Ë¥¹ 1¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"ÀÔ±È°¡ ¼ÖÀ··é ÅåÅå Æ¢»Â ²Å¾âÇÑ ´çÅÁ. ·Ô¿í ¼ª³¾ ÀÌ´¡À´ ½À »Ûºº¸Ï ÇÏÀÚ.",
				"1µÐº°±È NZGP + 30, ¿íÁ¤ Ä¼²µÆÃ 70% ¿¨³Ò, Ä¼²µÆÃÀÌ ½÷¾âÁö ±ÊÀ². 10ÃÊ»ç HK 90±° ¿¨³Ò.",
				"3µÐÀÇ Àç´ç°ë »ë¾â²Ã¿£ Á·Àç.",
				"(¿íÁ¤ Ä¼²µÆÃÀÇ % Áõ¿¨ È°¿ú»Â ¿¡Àå Å« È°¿ú·· Àû°ëºË»Ï»Ù. Àç´ç°ë »ë¾â²Ã¿£Àµ ÅåÅåÄººð°Í ¿øÀ¯ÇÕ»Ï»Ù.)",
				"Ä¼·¯ÅÍ¿¡ ÀüÅõµÒ»É´óÅÂ¿¡ ºÇ·é ±ÆÀÌÅÛ È°¿úºº ´ç¹óÁý»Ï»Ù.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Magic Candy 10Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"A box contains 10 Magic Candy in it.",
				"This fun candy won't stop poping in your mouth. Make sure to brush your teeth afterwards.",
				"For 1 minute MATK + 30, Hold casting reduce 70%, Casting doesn't end. SP goes down 90 in every 10 seconds.",
				"3 minutes cool down time.",
				"(Hold Casting % effect is only for maximum effect. Reuse delay time is same as Sparkling Candy.)",
				"When player's character becomes combat ineffective, the item buff effect will wear off.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16667: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"·¹¶ýÄººð 10¿¼°Í Çà°îÀÇ ±Ë¥¹ 1¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"ÀÔ±È°¡ ¼ÖÀ··é ÅåÅå Æ¢»Â ²Å¾âÇÑ ´çÅÁ. ·Ô¿í ¼ª³¾ ÀÌ´¡À´ ½À »Ûºº¸Ï ÇÏÀÚ.",
				"1µÐº°±È NZGP + 30, ¿íÁ¤ Ä¼²µÆÃ 70% ¿¨³Ò, Ä¼²µÆÃÀÌ ½÷¾âÁö ±ÊÀ². 10ÃÊ»ç HK 90±° ¿¨³Ò.",
				"3µÐÀÇ Àç´ç°ë »ë¾â²Ã¿£ Á·Àç.",
				"(¿íÁ¤ Ä¼²µÆÃÀÇ % Áõ¿¨ È°¿ú»Â ¿¡Àå Å« È°¿ú·· Àû°ëºË»Ï»Ù. Àç´ç°ë »ë¾â²Ã¿£Àµ ÅåÅåÄººð°Í ¿øÀ¯ÇÕ»Ï»Ù.)",
				"Ä¼·¯ÅÍ¿¡ ÀüÅõµÒ»É´óÅÂ¿¡ ºÇ·é ±ÆÀÌÅÛ È°¿úºº ´ç¹óÁý»Ï»Ù.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"·¹¶ýÄººð 10¿¼°Í Çà°îÀÇ ±Ë¥¹ 1¿¼¿¡ ºé±îÀÖ»Â ´óÀÚ.",
				"ÀÔ±È°¡ ¼ÖÀ··é ÅåÅå Æ¢»Â ²Å¾âÇÑ ´çÅÁ. ·Ô¿í ¼ª³¾ ÀÌ´¡À´ ½À »Ûºº¸Ï ÇÏÀÚ.",
				"1µÐº°±È NZGP + 30, ¿íÁ¤ Ä¼²µÆÃ 70% ¿¨³Ò, Ä¼²µÆÃÀÌ ½÷¾âÁö ±ÊÀ². 10ÃÊ»ç HK 90±° ¿¨³Ò.",
				"3µÐÀÇ Àç´ç°ë »ë¾â²Ã¿£ Á·Àç.",
				"(¿íÁ¤ Ä¼²µÆÃÀÇ % Áõ¿¨ È°¿ú»Â ¿¡Àå Å« È°¿ú·· Àû°ëºË»Ï»Ù. Àç´ç°ë »ë¾â²Ã¿£Àµ ÅåÅåÄººð°Í ¿øÀ¯ÇÕ»Ï»Ù.)",
				"Ä¼·¯ÅÍ¿¡ ÀüÅõµÒ»É´óÅÂ¿¡ ºÇ·é ±ÆÀÌÅÛ È°¿úºº ´ç¹óÁý»Ï»Ù.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ Ã´±àÃ¹È·¼ª È¯µÒ »ë´ó°¡³­ Á¦°ÜºÇ»Â ±ÆÀÌÅÛÀÔ»Ï»Ù.^000000",
				"¶«¿Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16671: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"¸¶¹ýÄµµð 10°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"ÀÔ¾È¿¡ ³ÖÀ¸¸é ÅåÅå Æ¢´Â ½Å±âÇÑ »çÅÁ. ¸Ô°í ³ª¼± ÀÌ»¡À» ²À ´Ûµµ·Ï ÇÏÀÚ.",
				"1ºÐµ¿¾È MATK + 30, °íÁ¤ Ä³½ºÆÃ 70% °¨¼Ò, Ä³½ºÆÃÀÌ ²÷±âÁö ¾ÊÀ½. 10ÃÊ´ç SP 90¾¿ °¨¼Ò.",
				"3ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"(°íÁ¤ Ä³½ºÆÃÀÇ % Áõ°¨ È¿°ú´Â °¡Àå Å« È¿°ú¸¸ Àû¿ëµË´Ï´Ù. Àç»ç¿ë ´ë±â½Ã°£Àº ÅåÅåÄµµð¿Í °øÀ¯ÇÕ´Ï´Ù.)",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"¸¶¹ýÄµµð 10°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"ÀÔ¾È¿¡ ³ÖÀ¸¸é ÅåÅå Æ¢´Â ½Å±âÇÑ »çÅÁ. ¸Ô°í ³ª¼± ÀÌ»¡À» ²À ´Ûµµ·Ï ÇÏÀÚ.",
				"1ºÐµ¿¾È MATK + 30, °íÁ¤ Ä³½ºÆÃ 70% °¨¼Ò, Ä³½ºÆÃÀÌ ²÷±âÁö ¾ÊÀ½. 10ÃÊ´ç SP 90¾¿ °¨¼Ò.",
				"3ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"(°íÁ¤ Ä³½ºÆÃÀÇ % Áõ°¨ È¿°ú´Â °¡Àå Å« È¿°ú¸¸ Àû¿ëµË´Ï´Ù. Àç»ç¿ë ´ë±â½Ã°£Àº ÅåÅåÄµµð¿Í °øÀ¯ÇÕ´Ï´Ù.)",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16672: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"¸¶¹ýÄµµð 10°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"ÀÔ¾È¿¡ ³ÖÀ¸¸é ÅåÅå Æ¢´Â ½Å±âÇÑ »çÅÁ. ¸Ô°í ³ª¼± ÀÌ»¡À» ²À ´Ûµµ·Ï ÇÏÀÚ.",
				"1ºÐµ¿¾È MATK + 30, °íÁ¤ Ä³½ºÆÃ 70% °¨¼Ò, Ä³½ºÆÃÀÌ ²÷±âÁö ¾ÊÀ½. 10ÃÊ´ç SP 90¾¿ °¨¼Ò.",
				"3ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"(°íÁ¤ Ä³½ºÆÃÀÇ % Áõ°¨ È¿°ú´Â °¡Àå Å« È¿°ú¸¸ Àû¿ëµË´Ï´Ù. Àç»ç¿ë ´ë±â½Ã°£Àº ÅåÅåÄµµð¿Í °øÀ¯ÇÕ´Ï´Ù.)",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶¹ýÄµµð 10°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"ÀÔ¾È¿¡ ³ÖÀ¸¸é ÅåÅå Æ¢´Â ½Å±âÇÑ »çÅÁ. ¸Ô°í ³ª¼± ÀÌ»¡À» ²À ´Ûµµ·Ï ÇÏÀÚ.",
				"1ºÐµ¿¾È MATK + 30, °íÁ¤ Ä³½ºÆÃ 70% °¨¼Ò, Ä³½ºÆÃÀÌ ²÷±âÁö ¾ÊÀ½. 10ÃÊ´ç SP 90¾¿ °¨¼Ò.",
				"3ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"(°íÁ¤ Ä³½ºÆÃÀÇ % Áõ°¨ È¿°ú´Â °¡Àå Å« È¿°ú¸¸ Àû¿ëµË´Ï´Ù. Àç»ç¿ë ´ë±â½Ã°£Àº ÅåÅåÄµµð¿Í °øÀ¯ÇÕ´Ï´Ù.)",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16673: {
			unidentifiedDisplayName: "Libra Scroll",
			unidentifiedResourceName: "\xc3\xb5\xc4\xaa\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Taiwan's September Zodiac Scroll. Limited edition only!",
				"Wish you good luck to get something nice!! ",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Libra Scroll",
			identifiedResourceName: "\xc3\xb5\xc4\xaa\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"Taiwan's September Zodiac Scroll. Limited edition only!",
				"Wish you good luck to get something nice!!",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16674: {
			unidentifiedDisplayName: "New Insurance Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box has 10 PCS of New life insurance certificate.",
				"Once you have one, will recover EXP that you might lose when unable to battle.",
				"Weight : ^7777771^000000",
				"^ff0000 unable to trade or refund .^000000",
			],
			identifiedDisplayName: "New Insurance Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box has 10 PCS of New life insurance certificate.",
				"Once you have one, will recover EXP that you might lose when unable to battle.",
				"Weight : ^7777771^000000",
				"^ff0000 unable to trade or refund .^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16675: {
			unidentifiedDisplayName: "Splash Scroll",
			unidentifiedResourceName: "\xc2\xfb\xb6\xfb\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Special Scroll for this summer!",
				"You might obtain the Splash Hat!",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Splash Scroll",
			identifiedResourceName: "\xc2\xfb\xb6\xfb\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"Special Scroll for this summer!",
				"You might obtain the Splash Hat!",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16676: {
			unidentifiedDisplayName: "Zodiac Crown Pack",
			unidentifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xc7\xb3",
			unidentifiedDescriptionName: [
				"Open the box and receive one of the 12 Zodiac Crown headgears.",
				"Contains one of the following:",
				"Aries Crown",
				"Taurus Crown",
				"Gemini Crown",
				"Cancer Crown",
				"Leo Crown",
				"Virgo Crown",
				"Libra Crown",
				"Scorpio Crown",
				"Sagittarius Crown",
				"Capricorn Crown",
				"Aquarius Crown",
				"Pisces Crown",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Zodiac Crown Pack",
			identifiedResourceName: "\xbd\xba\xc7\xc7\xbe\xee\xc6\xd1\x5f\xc7\xb3",
			identifiedDescriptionName: [
				"Open the box and receive one of the 12 Zodiac Crown headgears.",
				"Contains one of the following:",
				"Aries Crown",
				"Taurus Crown",
				"Gemini Crown",
				"Cancer Crown",
				"Leo Crown",
				"Virgo Crown",
				"Libra Crown",
				"Scorpio Crown",
				"Sagittarius Crown",
				"Capricorn Crown",
				"Aquarius Crown",
				"Pisces Crown",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16677: {
			unidentifiedDisplayName: "Bargain Hunter's Catalog 10 Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"¸¸´É Ä«Å»·Î±× °ñµå°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"°ÔÆæ ¸¶¹ýÇÐÈ¸ÀÇ ´õ¿í ÁøÈ­ÇÑ ¿¬±¸ ¼º°ú!",
				"'³ëÁ¡¿¡¼­ ÆÇ¸Å, ±¸ÀÔ ÁßÀÎ ¾ÆÀÌÅÛÀ» °Ë»öÇÒ ¼ö ÀÖ´Â' ¸¶¹ýÀÌ ´ã±ä ½ºÅ©·Ñ·Î, °Ë»öµÈ ¸µÅ©¸¦ ÅëÇØ ¹°°ÇÀ» Á÷Á¢ ±¸¸ÅÇÏ°Å³ª ÆÇ¸Åµµ °¡´ÉÇÏ´Ù!",
				"^000088»ç¿ëÀÚ°¡ ¼­ ÀÖ´Â ¸Ê¿¡ ¿­·ÁÀÖ´Â ³ëÁ¡¸¸ °Ë»öÇÕ´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Bargain Hunter's Catalog 10 Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¸´É Ä«Å»·Î±× °ñµå°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"°ÔÆæ ¸¶¹ýÇÐÈ¸ÀÇ ´õ¿í ÁøÈ­ÇÑ ¿¬±¸ ¼º°ú!",
				"'³ëÁ¡¿¡¼­ ÆÇ¸Å, ±¸ÀÔ ÁßÀÎ ¾ÆÀÌÅÛÀ» °Ë»öÇÒ ¼ö ÀÖ´Â' ¸¶¹ýÀÌ ´ã±ä ½ºÅ©·Ñ·Î, °Ë»öµÈ ¸µÅ©¸¦ ÅëÇØ ¹°°ÇÀ» Á÷Á¢ ±¸¸ÅÇÏ°Å³ª ÆÇ¸Åµµ °¡´ÉÇÏ´Ù!",
				"^000088»ç¿ëÀÚ°¡ ¼­ ÀÖ´Â ¸Ê¿¡ ¿­·ÁÀÖ´Â ³ëÁ¡¸¸ °Ë»öÇÕ´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16678: {
			unidentifiedDisplayName: "Bargain Hunter's Catalog 50 Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"¸¸´É Ä«Å»·Î±× °ñµå°¡ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"°ÔÆæ ¸¶¹ýÇÐÈ¸ÀÇ ´õ¿í ÁøÈ­ÇÑ ¿¬±¸ ¼º°ú!",
				"'³ëÁ¡¿¡¼­ ÆÇ¸Å, ±¸ÀÔ ÁßÀÎ ¾ÆÀÌÅÛÀ» °Ë»öÇÒ ¼ö ÀÖ´Â' ¸¶¹ýÀÌ ´ã±ä ½ºÅ©·Ñ·Î, °Ë»öµÈ ¸µÅ©¸¦ ÅëÇØ ¹°°ÇÀ» Á÷Á¢ ±¸¸ÅÇÏ°Å³ª ÆÇ¸Åµµ °¡´ÉÇÏ´Ù!",
				"^000088»ç¿ëÀÚ°¡ ¼­ ÀÖ´Â ¸Ê¿¡ ¿­·ÁÀÖ´Â ³ëÁ¡¸¸ °Ë»öÇÕ´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Bargain Hunter's Catalog 50 Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¸´É Ä«Å»·Î±× °ñµå°¡ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"°ÔÆæ ¸¶¹ýÇÐÈ¸ÀÇ ´õ¿í ÁøÈ­ÇÑ ¿¬±¸ ¼º°ú!",
				"'³ëÁ¡¿¡¼­ ÆÇ¸Å, ±¸ÀÔ ÁßÀÎ ¾ÆÀÌÅÛÀ» °Ë»öÇÒ ¼ö ÀÖ´Â' ¸¶¹ýÀÌ ´ã±ä ½ºÅ©·Ñ·Î, °Ë»öµÈ ¸µÅ©¸¦ ÅëÇØ ¹°°ÇÀ» Á÷Á¢ ±¸¸ÅÇÏ°Å³ª ÆÇ¸Åµµ °¡´ÉÇÏ´Ù!",
				"^000088»ç¿ëÀÚ°¡ ¼­ ÀÖ´Â ¸Ê¿¡ ¿­·ÁÀÖ´Â ³ëÁ¡¸¸ °Ë»öÇÕ´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16679: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"¸¸´É Ä«Å»·Î±× °ñµå°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"°ÔÆæ ¸¶¹ýÇÐÈ¸ÀÇ ´õ¿í ÁøÈ­ÇÑ ¿¬±¸ ¼º°ú!",
				"'³ëÁ¡¿¡¼­ ÆÇ¸Å, ±¸ÀÔ ÁßÀÎ ¾ÆÀÌÅÛÀ» °Ë»öÇÒ ¼ö ÀÖ´Â' ¸¶¹ýÀÌ ´ã±ä ½ºÅ©·Ñ·Î, °Ë»öµÈ ¸µÅ©¸¦ ÅëÇØ ¹°°ÇÀ» Á÷Á¢ ±¸¸ÅÇÏ°Å³ª ÆÇ¸Åµµ °¡´ÉÇÏ´Ù!",
				"^000088»ç¿ëÀÚ°¡ ¼­ ÀÖ´Â ¸Ê¿¡ ¿­·ÁÀÖ´Â ³ëÁ¡¸¸ °Ë»öÇÕ´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¸´É Ä«Å»·Î±× °ñµå°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"°ÔÆæ ¸¶¹ýÇÐÈ¸ÀÇ ´õ¿í ÁøÈ­ÇÑ ¿¬±¸ ¼º°ú!",
				"'³ëÁ¡¿¡¼­ ÆÇ¸Å, ±¸ÀÔ ÁßÀÎ ¾ÆÀÌÅÛÀ» °Ë»öÇÒ ¼ö ÀÖ´Â' ¸¶¹ýÀÌ ´ã±ä ½ºÅ©·Ñ·Î, °Ë»öµÈ ¸µÅ©¸¦ ÅëÇØ ¹°°ÇÀ» Á÷Á¢ ±¸¸ÅÇÏ°Å³ª ÆÇ¸Åµµ °¡´ÉÇÏ´Ù!",
				"^000088»ç¿ëÀÚ°¡ ¼­ ÀÖ´Â ¸Ê¿¡ ¿­·ÁÀÖ´Â ³ëÁ¡¸¸ °Ë»öÇÕ´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16680: {
			unidentifiedDisplayName: "...",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"¸¸´É Ä«Å»·Î±× °ñµå°¡ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"°ÔÆæ ¸¶¹ýÇÐÈ¸ÀÇ ´õ¿í ÁøÈ­ÇÑ ¿¬±¸ ¼º°ú!",
				"'³ëÁ¡¿¡¼­ ÆÇ¸Å, ±¸ÀÔ ÁßÀÎ ¾ÆÀÌÅÛÀ» °Ë»öÇÒ ¼ö ÀÖ´Â' ¸¶¹ýÀÌ ´ã±ä ½ºÅ©·Ñ·Î, °Ë»öµÈ ¸µÅ©¸¦ ÅëÇØ ¹°°ÇÀ» Á÷Á¢ ±¸¸ÅÇÏ°Å³ª ÆÇ¸Åµµ °¡´ÉÇÏ´Ù!",
				"^000088»ç¿ëÀÚ°¡ ¼­ ÀÖ´Â ¸Ê¿¡ ¿­·ÁÀÖ´Â ³ëÁ¡¸¸ °Ë»öÇÕ´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "...",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¸´É Ä«Å»·Î±× °ñµå°¡ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"°ÔÆæ ¸¶¹ýÇÐÈ¸ÀÇ ´õ¿í ÁøÈ­ÇÑ ¿¬±¸ ¼º°ú!",
				"'³ëÁ¡¿¡¼­ ÆÇ¸Å, ±¸ÀÔ ÁßÀÎ ¾ÆÀÌÅÛÀ» °Ë»öÇÒ ¼ö ÀÖ´Â' ¸¶¹ýÀÌ ´ã±ä ½ºÅ©·Ñ·Î, °Ë»öµÈ ¸µÅ©¸¦ ÅëÇØ ¹°°ÇÀ» Á÷Á¢ ±¸¸ÅÇÏ°Å³ª ÆÇ¸Åµµ °¡´ÉÇÏ´Ù!",
				"^000088»ç¿ëÀÚ°¡ ¼­ ÀÖ´Â ¸Ê¿¡ ¿­·ÁÀÖ´Â ³ëÁ¡¸¸ °Ë»öÇÕ´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16681: {
			unidentifiedDisplayName: "BR Independence Scrol",
			unidentifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"a scroll for celebrating indepence in Brazil. You can expect the items.",
				"^ff0000this item cannot be refund.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "BR Independence Scroll",
			identifiedResourceName: "\xc7\xb3\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"a scroll for celebrating indepence in Brazil. You can expect the items.",
				"^ff0000this item cannot be refund.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16682: {
			unidentifiedDisplayName: "Boarding Halter Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains Riding halter. Item will be available for a week.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Halter Lead 7 Day Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains Riding halter. Item will be available for a week.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16683: {
			unidentifiedDisplayName: "Boarding Halter Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			unidentifiedDescriptionName: [
				"A box that contains Riding halter. Item will be available for a week.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Halter Lead 30 Day Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x32",
			identifiedDescriptionName: [
				"A box that contains Riding halter. Item will be available for a week.",
				"^ff0000This item is not refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16689: {
			unidentifiedDisplayName: "Garuda Hat Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"°¡·ç´Ù ÇÞÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"Àü¼³ÀÇ »õ °¡·ç´ÙÀÇ ±êÅÐ·Î ¸¸µé¾îÁø ¸Å¿ì µ¶Æ¯ÇÏ¸ç Èñ±ÍÇÑ Åõ±¸.",
				"¸ðµç ¸ó½ºÅÍ·Î ºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 5% °¨¼Ò.",
				"LUK + 5, MDEF + 3, HIT + 10, Ä³½ºÆÃ µô·¹ÀÌ 5% °¨¼Ò.",
				"7Á¦·Ã ÀÌ»ó ½Ã ¸ó½ºÅÍ¸¦ ¾²·¯Æ®¸± ¶§ ÀÏÁ¤È®·ü·Î ¸¶½ºÅ×¶óÀÇ ¿­¸Å¸¦ È¹µæÇÒ ¼ö ÀÖÀ¸¸ç, ÀÌÈÄ Á¦·Ãµµ 1´ç È¹µæÈ®·ü Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777774^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^77777730^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Garuda Hat Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°¡·ç´Ù ÇÞÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"Àü¼³ÀÇ »õ °¡·ç´ÙÀÇ ±êÅÐ·Î ¸¸µé¾îÁø ¸Å¿ì µ¶Æ¯ÇÏ¸ç Èñ±ÍÇÑ Åõ±¸.",
				"¸ðµç ¸ó½ºÅÍ·Î ºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 5% °¨¼Ò.",
				"LUK + 5, MDEF + 3, HIT + 10, Ä³½ºÆÃ µô·¹ÀÌ 5% °¨¼Ò.",
				"7Á¦·Ã ÀÌ»ó ½Ã ¸ó½ºÅÍ¸¦ ¾²·¯Æ®¸± ¶§ ÀÏÁ¤È®·ü·Î ¸¶½ºÅ×¶óÀÇ ¿­¸Å¸¦ È¹µæÇÒ ¼ö ÀÖÀ¸¸ç, ÀÌÈÄ Á¦·Ãµµ 1´ç È¹µæÈ®·ü Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777774^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^77777730^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16690: {
			unidentifiedDisplayName: "°¡·ç´Ù ÇÞ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"°¡·ç´Ù ÇÞÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"Àü¼³ÀÇ »õ °¡·ç´ÙÀÇ ±êÅÐ·Î ¸¸µé¾îÁø ¸Å¿ì µ¶Æ¯ÇÏ¸ç Èñ±ÍÇÑ Åõ±¸.",
				"¸ðµç ¸ó½ºÅÍ·Î ºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 5% °¨¼Ò.",
				"LUK + 5, MDEF + 3, HIT + 10, Ä³½ºÆÃ µô·¹ÀÌ 5% °¨¼Ò.",
				"7Á¦·Ã ÀÌ»ó ½Ã ¸ó½ºÅÍ¸¦ ¾²·¯Æ®¸± ¶§ ÀÏÁ¤È®·ü·Î ¸¶½ºÅ×¶óÀÇ ¿­¸Å¸¦ È¹µæÇÒ ¼ö ÀÖÀ¸¸ç, ÀÌÈÄ Á¦·Ãµµ 1´ç È¹µæÈ®·ü Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777774^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^77777730^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°¡·ç´Ù ÇÞ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°¡·ç´Ù ÇÞÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"Àü¼³ÀÇ »õ °¡·ç´ÙÀÇ ±êÅÐ·Î ¸¸µé¾îÁø ¸Å¿ì µ¶Æ¯ÇÏ¸ç Èñ±ÍÇÑ Åõ±¸.",
				"¸ðµç ¸ó½ºÅÍ·Î ºÎÅÍ ¹Þ´Â µ¥¹ÌÁö 5% °¨¼Ò.",
				"LUK + 5, MDEF + 3, HIT + 10, Ä³½ºÆÃ µô·¹ÀÌ 5% °¨¼Ò.",
				"7Á¦·Ã ÀÌ»ó ½Ã ¸ó½ºÅÍ¸¦ ¾²·¯Æ®¸± ¶§ ÀÏÁ¤È®·ü·Î ¸¶½ºÅ×¶óÀÇ ¿­¸Å¸¦ È¹µæÇÒ ¼ö ÀÖÀ¸¸ç, ÀÌÈÄ Á¦·Ãµµ 1´ç È¹µæÈ®·ü Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777774^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^77777730^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16692: {
			unidentifiedDisplayName: "Alice Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Alice Hat Box",
			identifiedResourceName: "\xbf\xa4\xb8\xae\xbd\xba\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Alice Doll",
				"Description:",
				"A hat adorned with an",
				"Alice doll. When worn,",
				"it seems like Alice is",
				"cheering you on from",
				"the top of your head.",
				"''Be strong, master!''",
				"+10% damage against",
				"Demihuman monsters,",
				"and has low chance of",
				"casting Sleep on",
				"its wearer.",
				"STR + 1.",
				"Cannot be upgraded.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777771^000000",
				"Location: ^777777Upper^000000",
				"Weight : ^77777750^000000",
				"Level Requirement: ^77777730^000000",
				"Jobs: ^777777Every",
				"Job except Novice^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16693: {
			unidentifiedDisplayName: "Crescent Helm Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Crescent Helm Box",
			identifiedResourceName: "\xc3\xca\xbd\xc2\xb4\xde\xc5\xf5\xb1\xb8\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Crescent Helm",
				"Description:",
				"A sturdy, decorative",
				"hat worn by military",
				"generals in a far",
				"east country. Vit +1.",
				"Reduce Demihuman",
				"monster damage by 5%.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000 Defense :^7777778^000000",
				"Location: ^777777Upper, Mid^000000 Weight : ^777777300^000000",
				"Level Requirement: ^77777750^000000",
				"Jobs: ^777777Swordman and",
				"Merchant Classes^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16694: {
			unidentifiedDisplayName: "Crescent Helm Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Crescent Helm Box",
			identifiedResourceName: "\xc3\xca\xbd\xc2\xb4\xde\xc5\xf5\xb1\xb8\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Crescent Helm",
				"Description:",
				"A sturdy, decorative",
				"hat worn by military",
				"generals in a far",
				"east country. Vit +1.",
				"Reduce Demihuman",
				"monster damage by 5%.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000 Defense :^7777778^000000",
				"Location: ^777777Upper, Mid^000000 Weight : ^777777300^000000",
				"Level Requirement: ^77777750^000000",
				"Jobs: ^777777Swordman and",
				"Merchant Classes^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16695: {
			unidentifiedDisplayName: "Dragon Skull Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Dragon Skull Box",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xc7\xd8\xb0\xf1\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Dragon Skull",
				"Description:",
				"A helmet made from",
				"a dragon's skull that",
				"provides protection",
				"against dragons.",
				"Decreases damage",
				"from Dragon Class",
				"monsters by 5%.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^77777710^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777780^000000",
				"Required Level: ^77777750^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16696: {
			unidentifiedDisplayName: "Dragon Skull Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Dragon Skull Box",
			identifiedResourceName: "\xbf\xeb\xc0\xc7\xc7\xd8\xb0\xf1\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Dragon Skull",
				"Description:",
				"A helmet made from",
				"a dragon's skull that",
				"provides protection",
				"against dragons.",
				"Decreases damage",
				"from Dragon Class",
				"monsters by 5%.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^77777710^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777780^000000",
				"Required Level: ^77777750^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16697: {
			unidentifiedDisplayName: "Drooping Bunny Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Drooping Bunny Box",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xc5\xe4\xb3\xa2\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Drooping Bunny",
				"Description:",
				"A cute rabbit doll that can be worn on the head.",
				"DEX + 1, Flee +2.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777773^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777710^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16698: {
			unidentifiedDisplayName: "Drooping Bunny Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Drooping Bunny Box",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xc5\xe4\xb3\xa2\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Drooping Bunny",
				"Description:",
				"A cute rabbit doll that can be worn on the head.",
				"DEX + 1, Flee +2.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777773^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777710^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16699: {
			unidentifiedDisplayName: "Evolved Blue Fish Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Evolved Blue Fish Box",
			identifiedResourceName: "\xbb\xfd\xbc\xb1\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Evolved Blue Fish",
				"description:",
				"A headgear that looks",
				"just like a scrumptious fish. It even has the",
				"same smell! AGI + 1,",
				"DEX + 1. Cannot be",
				"dropped or traded,",
				"but can be placed",
				"in Kafra Storage.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777774^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^77777750^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16700: {
			unidentifiedDisplayName: "Evolved Blue Fish Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Evolved Blue Fish Box",
			identifiedResourceName: "\xbb\xfd\xbc\xb1\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Evolved Blue Fish",
				"description:",
				"A headgear that looks",
				"just like a scrumptious fish. It even has the",
				"same smell! AGI + 1,",
				"DEX + 1. Cannot be",
				"dropped or traded,",
				"but can be placed",
				"in Kafra Storage.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777774^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^77777750^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16701: {
			unidentifiedDisplayName: "Evolved Pair of Red Ribbon Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Evolved Pair of Red Ribbon Box",
			identifiedResourceName: "\xbe\xe7\xc2\xca\xb1\xcd\xb9\xd8\xb8\xae\xba\xbb\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Evolved Pair of Red Ribbon",
				"Description:",
				"A pair of small",
				"red hairbands that",
				"makes girls look",
				"really cute when they",
				"wear them. Flee +5.",
				"Cannot be traded or",
				"dropped, but can be",
				"placed in Kafra Storage.",
				"Impossible to Upgrade",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777772^000000",
				"Location : ^777777Middle^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^77777745^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16702: {
			unidentifiedDisplayName: "Evolved Pair of Red Ribbon Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Evolved Pair of Red Ribbon Box",
			identifiedResourceName: "\xbe\xe7\xc2\xca\xb1\xcd\xb9\xd8\xb8\xae\xba\xbb\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Evolved Pair of Red Ribbon",
				"Description:",
				"A pair of small",
				"red hairbands that",
				"makes girls look",
				"really cute when they",
				"wear them. Flee +5.",
				"Cannot be traded or",
				"dropped, but can be",
				"placed in Kafra Storage.",
				"Impossible to Upgrade",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777772^000000",
				"Location : ^777777Middle^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^77777745^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16703: {
			unidentifiedDisplayName: "Evolved Pipe Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Evolved Pipe Box",
			identifiedResourceName: "\xc6\xc4\xc0\xcc\xc7\xc1\xb4\xe3\xb9\xe8\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Evolved Pipe",
				"Description:",
				"Just say no.",
				"Especially if",
				"you're underage.",
				"Vit +1. Reduce",
				"damage from Brute",
				"class monsters by 5%.",
				"Cannot be traded or",
				"dropped, but can be",
				"placed in Kafra Storage.",
				"Impossible to Upgrade",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777770^000000",
				"Location : ^777777Lower^000000",
				"Weight : ^77777710^000000",
				"Jobs: ^777777Novices",
				"can't smoke, but as",
				"for everyone else...^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16704: {
			unidentifiedDisplayName: "Evolved Pipe Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Evolved Pipe Box",
			identifiedResourceName: "\xc6\xc4\xc0\xcc\xc7\xc1\xb4\xe3\xb9\xe8\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Evolved Pipe",
				"Description:",
				"Just say no.",
				"Especially if",
				"you're underage.",
				"Vit +1. Reduce",
				"damage from Brute",
				"class monsters by 5%.",
				"Cannot be traded or",
				"dropped, but can be",
				"placed in Kafra Storage.",
				"Impossible to Upgrade",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777770^000000",
				"Location : ^777777Lower^000000",
				"Weight : ^77777710^000000",
				"Jobs: ^777777Novices",
				"can't smoke, but as",
				"for everyone else...^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16705: {
			unidentifiedDisplayName: "Hibiscus Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Hibiscus Box",
			identifiedResourceName: "\xba\xce\xbf\xeb\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Hibiscus",
				"Description:",
				"A flower said to",
				"be as beautiful as",
				"a fairy in a far east",
				"country, and usually",
				"used as a medicinal",
				"herb. DEX + 1, INT + 1",
				"MDEF +5.",
				"Cannot be upgraded.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location: ^777777Upper^000000 Weight : ^77777720^000000",
				"Level Requirement: ^77777710^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16706: {
			unidentifiedDisplayName: "Hibiscus Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Hibiscus Box",
			identifiedResourceName: "\xba\xce\xbf\xeb\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Hibiscus",
				"Description:",
				"A flower said to",
				"be as beautiful as",
				"a fairy in a far east",
				"country, and usually",
				"used as a medicinal",
				"herb. DEX + 1, INT + 1",
				"MDEF +5.",
				"Cannot be upgraded.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location: ^777777Upper^000000 Weight : ^77777720^000000",
				"Level Requirement: ^77777710^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16707: {
			unidentifiedDisplayName: "Jumping Poring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Jumping Poring Box",
			identifiedResourceName: "\xc6\xfa\xc2\xa6\xc0\xcc\xb4\xc2\xc6\xf7\xb8\xb5\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Jumping Poring",
				"Description:",
				"A Poring hat that feels like hopping on top of your head. It brings fortune to the wearer.",
				"LUK + 1",
				"Cannot be upgraded and destroyed.",
				"Class : ^777777Headgear^000000 Defense : ^7777773^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16708: {
			unidentifiedDisplayName: "Jumping Poring Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Jumping Poring Box",
			identifiedResourceName: "\xc6\xfa\xc2\xa6\xc0\xcc\xb4\xc2\xc6\xf7\xb8\xb5\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Jumping Poring",
				"Description:",
				"A Poring hat that feels like hopping on top of your head. It brings fortune to the wearer.",
				"LUK + 1",
				"Cannot be upgraded and destroyed.",
				"Class : ^777777Headgear^000000 Defense : ^7777773^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16709: {
			unidentifiedDisplayName: "Kettle Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Kettle Hat Box",
			identifiedResourceName: "\xc1\xd6\xc0\xfc\xc0\xda\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Kettle Hat",
				"Description:",
				"A sturdy pot worn on",
				"the head that overflows with water if shaken.",
				"Has a chance of auto-",
				"casting Lv.2 Deluge",
				"or Lv.3 Waterball",
				"with each attack.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777778^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777760^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16710: {
			unidentifiedDisplayName: "Kettle Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Kettle Hat Box",
			identifiedResourceName: "\xc1\xd6\xc0\xfc\xc0\xda\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Kettle Hat",
				"Description:",
				"A sturdy pot worn on",
				"the head that overflows with water if shaken.",
				"Has a chance of auto-",
				"casting Lv.2 Deluge",
				"or Lv.3 Waterball",
				"with each attack.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777778^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777760^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16711: {
			unidentifiedDisplayName: "Magic Eyes Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Magic Eyes Box",
			identifiedResourceName: "\xb8\xc5\xc1\xf7\xbe\xc6\xc0\xcc\xc1\xee\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Magic Eyes",
				"Descripiton:",
				"A hat that looks like the eyes of a dark mage, which are rumored to blink sometimes.",
				"Reduce Variable Casting Time by 10% and increase SP Consumption by 20%.",
				"MDEF + 5.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777773^000000",
				"Location : ^777777Upper^000000",
				"^ffffff_^000000",
				"Weight : ^7777773^000000",
				"Required Level : ^77777730^000000",
				"Applicable Job : ^777777Magician Class/Soul Linker^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16712: {
			unidentifiedDisplayName: "Magic Eyes Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Magic Eyes Box",
			identifiedResourceName: "\xb8\xc5\xc1\xf7\xbe\xc6\xc0\xcc\xc1\xee\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Magic Eyes",
				"Descripiton:",
				"A hat that looks like the eyes of a dark mage, which are rumored to blink sometimes.",
				"Reduce Variable Casting Time by 10% and increase SP Consumption by 20%.",
				"MDEF + 5.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777773^000000",
				"Location : ^777777Upper^000000",
				"^ffffff_^000000",
				"Weight : ^7777773^000000",
				"Required Level : ^77777730^000000",
				"Applicable Job : ^777777Magician Class/Soul Linker^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16713: {
			unidentifiedDisplayName: "Mini Propeller Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Mini Propeller Box",
			identifiedResourceName: "\xc7\xc1\xb7\xce\xc6\xe7\xb6\xf3\x5f\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Mini Propeller",
				"Description:",
				"This hat makes the",
				"wearer feel as if he",
				"is floating on air.",
				"AGI + 2, DEX + 1,",
				"Dodge +10. This",
				"headgear's",
				"upgrade level affects",
				"the percentage of",
				"Cast Time reduction.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777774^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777720^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16714: {
			unidentifiedDisplayName: "Mini Propeller Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Mini Propeller Box",
			identifiedResourceName: "\xc7\xc1\xb7\xce\xc6\xe7\xb6\xf3\x5f\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Mini Propeller",
				"Description:",
				"This hat makes the",
				"wearer feel as if he",
				"is floating on air.",
				"AGI + 2, DEX + 1,",
				"Dodge +10. This",
				"headgear's",
				"upgrade level affects",
				"the percentage of",
				"Cast Time reduction.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777774^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777720^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16715: {
			unidentifiedDisplayName: "Puppy Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Puppy Hat Box",
			identifiedResourceName: "\xb0\xad\xbe\xc6\xc1\xf6\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Puppy Hat",
				"Description:",
				"A small brown-colored dog that sits atop your head. It's so cute you'd be barking mad to remove it.",
				"AGI + 1.",
				"Auto casts Gloria Lv1 with low percent chance; if AGI is over 77, the cast increases to Lv3.",
				"Cannot be upgraded.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777774^000000",
				"Location : ^777777Upper^000000",
				"^ffffff_^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16716: {
			unidentifiedDisplayName: "Puppy Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Puppy Hat Box",
			identifiedResourceName: "\xb0\xad\xbe\xc6\xc1\xf6\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Puppy Hat",
				"Description:",
				"A small brown-colored dog that sits atop your head. It's so cute you'd be barking mad to remove it.",
				"AGI + 1.",
				"Auto casts Gloria Lv1 with low percent chance; if AGI is over 77, the cast increases to Lv3.",
				"Cannot be upgraded.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777774^000000",
				"Location : ^777777Upper^000000",
				"^ffffff_^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16717: {
			unidentifiedDisplayName: "Sheep Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Sheep Hat Box",
			identifiedResourceName: "\xbe\xe7\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Sheep Hat",
				"Description:",
				"A hat that looks like",
				"a sheep's head that is",
				"so adorable, an enemy",
				"might change his mind",
				"about attacking. Reflects 5% physical damage.",
				"Impossible to Upgrade",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777773^000000",
				"Location: ^777777Upper^000000",
				"Weight : ^77777715^000000",
				"Required Level : ^77777750^000000",
				"Jobs: ^777777Acolyte Class^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16718: {
			unidentifiedDisplayName: "Sheep Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Sheep Hat Box",
			identifiedResourceName: "\xbe\xe7\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Sheep Hat",
				"Description:",
				"A hat that looks like",
				"a sheep's head that is",
				"so adorable, an enemy",
				"might change his mind",
				"about attacking. Reflects 5% physical damage.",
				"Impossible to Upgrade",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777773^000000",
				"Location: ^777777Upper^000000",
				"Weight : ^77777715^000000",
				"Required Level : ^77777750^000000",
				"Jobs: ^777777Acolyte Class^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16719: {
			unidentifiedDisplayName: "Tiger Mask Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Tiger Mask Box",
			identifiedResourceName: "\xc5\xb8\xc0\xcc\xb0\xc5\xb8\xb6\xbd\xba\xc5\xa9\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Tiger Mask",
				"Description:",
				"A mask rumored to make its wearer ferociously aggressive.",
				"STR + 3",
				"HP +100",
				"Indestructible",
				"Impossible to Upgrade",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000 Defense: ^7777772^000000",
				"Location: ^777777Upper, Mid^000000 Weight : ^77777740^000000",
				"Required Level : ^77777750^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16720: {
			unidentifiedDisplayName: "Vacation Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Vacation Hat Box",
			identifiedResourceName: "\xb9\xd9\xc4\xb2\xbd\xba\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Vacation Hat",
				"Description:",
				"A hat that's perfect",
				"for vacationing, and",
				"shields the wearer's",
				"face from UV rays.",
				"VIT +1. Cannot",
				"be upgraded.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777772^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777720^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16721: {
			unidentifiedDisplayName: "Vacation Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Vacation Hat Box",
			identifiedResourceName: "\xb9\xd9\xc4\xb2\xbd\xba\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Vacation Hat",
				"Description:",
				"A hat that's perfect",
				"for vacationing, and",
				"shields the wearer's",
				"face from UV rays.",
				"VIT +1. Cannot",
				"be upgraded.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777772^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777720^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16722: {
			unidentifiedDisplayName: "Vane Hairpin Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Vane Hairpin Box",
			identifiedResourceName: "\xc7\xb3\xc2\xf7\xba\xf1\xb3\xe0\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Vane Hairpin",
				"Description:",
				"A hairpin that looks",
				"like a spinning windmill, but it doesn't generate",
				"any power, though. AGI + 2. Cannot be upgraded.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777774^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16723: {
			unidentifiedDisplayName: "Vane Hairpin Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Vane Hairpin Box",
			identifiedResourceName: "\xc7\xb3\xc2\xf7\xba\xf1\xb3\xe0\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Vane Hairpin",
				"Description:",
				"A hairpin that looks",
				"like a spinning windmill, but it doesn't generate",
				"any power, though. AGI + 2. Cannot be upgraded.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777774^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16724: {
			unidentifiedDisplayName: "Vanilmirth Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Vanilmirth Hat Box",
			identifiedResourceName: "\xb9\xd9\xb4\xd2\xb9\xcc\xb8\xa3\xbd\xba\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Vanilmirth Hat",
				"Description:",
				"A cold, soft hat that is shaped like a Vanilmirth.",
				"Has a certain chance",
				"of auto-casting a Lv.1",
				"Bolt skill with each",
				"melee attack. Magic",
				"Defense +5. Cannot be upgraded. Indestructible.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777770^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^777777100^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16725: {
			unidentifiedDisplayName: "Vanilmirth Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Vanilmirth Hat Box",
			identifiedResourceName: "\xb9\xd9\xb4\xd2\xb9\xcc\xb8\xa3\xbd\xba\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Vanilmirth Hat",
				"Description:",
				"A cold, soft hat that is shaped like a Vanilmirth.",
				"Has a certain chance",
				"of auto-casting a Lv.1",
				"Bolt skill with each",
				"melee attack. Magic",
				"Defense +5. Cannot be upgraded. Indestructible.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777770^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^777777100^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16726: {
			unidentifiedDisplayName: "Water Lily Crown Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Water Lily Crown Box",
			identifiedResourceName: "\xbc\xf6\xb7\xc3\xbf\xd5\xb0\xfc\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Water Lily Crown",
				"Description:",
				"A training cap that",
				"lends a sense of",
				"quiet and stability",
				"to the wearer.",
				"DEX +1, AGI + 1,",
				"Magic Defense +3.",
				"Increases HP Recovery",
				"by 5% and SP Recovery by 3%. Cannot be upgraded.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777770^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777720^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16727: {
			unidentifiedDisplayName: "Water Lily Crown Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Water Lily Crown Box",
			identifiedResourceName: "\xbc\xf6\xb7\xc3\xbf\xd5\xb0\xfc\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Water Lily Crown",
				"Description:",
				"A training cap that",
				"lends a sense of",
				"quiet and stability",
				"to the wearer.",
				"DEX +1, AGI + 1,",
				"Magic Defense +3.",
				"Increases HP Recovery",
				"by 5% and SP Recovery by 3%. Cannot be upgraded.",
				"Cannot be Dropped,",
				"or Tradable",
				"Can be placed in Kafra Storage",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777770^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777720^000000",
				"Required Level: ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16728: {
			unidentifiedDisplayName: "Pink Beanie Hat",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Pink Beanie Hat",
			identifiedResourceName: "\xba\xd0\xc8\xab\xc5\xd0\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Pink Beanie",
				"Description:",
				"A hat woven out of",
				"yarn that keeps the",
				"head warm, but is",
				"mostly worn because",
				"of its fashionable",
				"look. LUK + 1.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777773^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777735^000000",
				"Level Requirement: ^777777None^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16729: {
			unidentifiedDisplayName: "Pink Beanie Hat",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Pink Beanie Hat",
			identifiedResourceName: "\xba\xd0\xc8\xab\xc5\xd0\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Pink Beanie",
				"Description:",
				"A hat woven out of",
				"yarn that keeps the",
				"head warm, but is",
				"mostly worn because",
				"of its fashionable",
				"look. LUK + 1.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777773^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777735^000000",
				"Level Requirement: ^777777None^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16730: {
			unidentifiedDisplayName: "Green Ribbon Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Green Ribbon Box",
			identifiedResourceName: "\xb8\xae\xba\xbb\x5f\xc3\xca\xb7\xcf\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Green Ribbon",
				"Description:",
				"A long piece of green satin tied together into a neat little ribbon that wards off harmful magic.",
				"MDEF +3",
				"^FFFFFF_^000000",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777771^000000",
				"Head Position : ^777777Upper^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^777777None^000000",
				"Applicable Job : ^777777Every job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16731: {
			unidentifiedDisplayName: "Green Ribbon Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Green Ribbon Box",
			identifiedResourceName: "\xb8\xae\xba\xbb\x5f\xc3\xca\xb7\xcf\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Green Ribbon",
				"Description:",
				"A long piece of green satin tied together into a neat little ribbon that wards off harmful magic.",
				"MDEF +3",
				"^FFFFFF_^000000",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777771^000000",
				"Head Position : ^777777Upper^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^777777None^000000",
				"Applicable Job : ^777777Every job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16732: {
			unidentifiedDisplayName: "Gray Deviruchi Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Gray Deviruchi Hat Box",
			identifiedResourceName: "\xc8\xf2\xbb\xf6\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Gray Deviruchi Hat",
				"Description:",
				"A cute hat shaped",
				"like a Deviruchi that",
				"brings happiness",
				"to its wearer and",
				"onlookers. STR + 1,",
				"INT + 1.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777774^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777780^000000",
				"Level Requirement: ^77777764^000000",
				"Jobs: ^777777All except Novice^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16733: {
			unidentifiedDisplayName: "Gray Deviruchi Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Gray Deviruchi Hat Box",
			identifiedResourceName: "\xc8\xf2\xbb\xf6\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Gray Deviruchi Hat",
				"Description:",
				"A cute hat shaped",
				"like a Deviruchi that",
				"brings happiness",
				"to its wearer and",
				"onlookers. STR + 1,",
				"INT + 1.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777774^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777780^000000",
				"Level Requirement: ^77777764^000000",
				"Jobs: ^777777All except Novice^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16734: {
			unidentifiedDisplayName: "Blue Drooping Cat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Blue Drooping Cat Box",
			identifiedResourceName: "\xc6\xc4\xb6\xfb\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Blue Drooping Cat",
				"Description:",
				"A cat doll that you",
				"can carry on your",
				"head. If you think",
				"you hear it meow",
				"or feel it move, it's",
				"just an illusion.",
				"MDEF +15. +30% defense",
				"against Curse status.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777773^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777750^000000",
				"Level Requirement: ^777777None^000000",
				"Jobs: ^777777All except Novice ^000000 ^FFFFFF_^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16735: {
			unidentifiedDisplayName: "Blue Drooping Cat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Blue Drooping Cat Box",
			identifiedResourceName: "\xc6\xc4\xb6\xfb\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Blue Drooping Cat",
				"Description:",
				"A cat doll that you",
				"can carry on your",
				"head. If you think",
				"you hear it meow",
				"or feel it move, it's",
				"just an illusion.",
				"MDEF +15. +30% defense",
				"against Curse status.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777773^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777750^000000",
				"Level Requirement: ^777777None^000000",
				"Jobs: ^777777All except Novice ^000000 ^FFFFFF_^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16736: {
			unidentifiedDisplayName: "Fantastic Wig Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Fantastic Wig Box",
			identifiedResourceName: "\xc8\xaf\xbb\xf3\xc0\xfb\xc0\xce\xb0\xa1\xb9\xdf\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Fantastic Wig",
				"Description:",
				"Wig with red, white and black colors.",
				"When equipped, increases movement speed.",
				"DEF+4",
				"Enables the use of the skill 'Hiding' Lv1.",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper-Mid^000000 Weight : ^77777710^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16737: {
			unidentifiedDisplayName: "Fantastic Wig Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Fantastic Wig Box",
			identifiedResourceName: "\xc8\xaf\xbb\xf3\xc0\xfb\xc0\xce\xb0\xa1\xb9\xdf\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Fantastic Wig",
				"Description:",
				"Wig with red, white and black colors.",
				"When equipped, increases movement speed.",
				"DEF+4",
				"Enables the use of the skill 'Hiding' Lv1.",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper-Mid^000000 Weight : ^77777710^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16738: {
			unidentifiedDisplayName: "Yellow Mage Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Yellow Mage Hat Box",
			identifiedResourceName: "\xb3\xeb\xb6\xfb\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Yellow Mage Hat",
				"Description:",
				"A crude looking",
				"hat that lends a",
				"look of cheerfulness",
				"and agility, and is",
				"coveted by most",
				"skilled magic users.",
				"INT + 2, SP +150.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777772^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Jobs: ^777777Mage Classes,",
				"and Soul Linker Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16739: {
			unidentifiedDisplayName: "Yellow Mage Hat Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Yellow Mage Hat Box",
			identifiedResourceName: "\xb3\xeb\xb6\xfb\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 1 Yellow Mage Hat",
				"Description:",
				"A crude looking",
				"hat that lends a",
				"look of cheerfulness",
				"and agility, and is",
				"coveted by most",
				"skilled magic users.",
				"INT + 2, SP +150.",
				"Class : ^777777Headgear^000000",
				"Defense: ^7777772^000000",
				"Position: ^777777Upper^000000",
				"Weight : ^77777730^000000",
				"Jobs: ^777777Mage Classes,",
				"and Soul Linker Job^000000",
				"^777777_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16740: {
			unidentifiedDisplayName: "¹Ù´Ù½ÅÀÇ °¡È£ 23½Ã°£ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"¹Ù´Ù½ÅÀÇ °¡È£°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. (23½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¹Ù´Ù½ÅÀÇ °¡È£°¡ ±êµç Â¡Ç¥. ½ÉÇØÀÇ °Å¼¾ ¹°»ì¿¡¼­µµ »ì¾Æ³²À» ¼ö ÀÖ´Â °­ÇÑ »ýÁ¸´É·ÂÀ» Áö´Ï°Ô ÇØÁØ´Ù.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "The Sea God's Call 23 Hour Box",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹Ù´Ù½ÅÀÇ °¡È£°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. (23½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¹Ù´Ù½ÅÀÇ °¡È£°¡ ±êµç Â¡Ç¥. ½ÉÇØÀÇ °Å¼¾ ¹°»ì¿¡¼­µµ »ì¾Æ³²À» ¼ö ÀÖ´Â °­ÇÑ »ýÁ¸´É·ÂÀ» Áö´Ï°Ô ÇØÁØ´Ù.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16741: {
			unidentifiedDisplayName: "°¥Ä¡ 1½Ã°£ »óÀÚ",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"°¥Ä¡°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (1½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"°¥Ä¡°ú ¹Ù´å¹°°í±â. ±æ´Ù¶õ Ä®¸ð¾çÀÌ¾î¼­ µµ¾î·Î ºÒ¸®±âµµ Çß´Ù. ¾ÆÁÖ µüµüÇÏ°Ô ¾ó·ÁÁ® ÀÖ´Ù.",
				"CRI + 20, Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 50% »ó½Â.",
				"°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ³Ãµ¿À» °Ç´Ù.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 50 Ãß°¡.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°¥Ä¡ 1½Ã°£ »óÀÚ",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°¥Ä¡°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (1½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"°¥Ä¡°ú ¹Ù´å¹°°í±â. ±æ´Ù¶õ Ä®¸ð¾çÀÌ¾î¼­ µµ¾î·Î ºÒ¸®±âµµ Çß´Ù. ¾ÆÁÖ µüµüÇÏ°Ô ¾ó·ÁÁ® ÀÖ´Ù.",
				"CRI + 20, Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 50% »ó½Â.",
				"°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ³Ãµ¿À» °Ç´Ù.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 50 Ãß°¡.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16742: {
			unidentifiedDisplayName: "°¥Ä¡ 7ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"°¥Ä¡°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (7ÀÏ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"°¥Ä¡°ú ¹Ù´å¹°°í±â. ±æ´Ù¶õ Ä®¸ð¾çÀÌ¾î¼­ µµ¾î·Î ºÒ¸®±âµµ Çß´Ù. ¾ÆÁÖ µüµüÇÏ°Ô ¾ó·ÁÁ® ÀÖ´Ù.",
				"CRI + 20, Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 50% »ó½Â.",
				"°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ³Ãµ¿À» °Ç´Ù.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 50 Ãß°¡.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°¥Ä¡ 7ÀÏ »óÀÚ",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°¥Ä¡°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (7ÀÏ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"°¥Ä¡°ú ¹Ù´å¹°°í±â. ±æ´Ù¶õ Ä®¸ð¾çÀÌ¾î¼­ µµ¾î·Î ºÒ¸®±âµµ Çß´Ù. ¾ÆÁÖ µüµüÇÏ°Ô ¾ó·ÁÁ® ÀÖ´Ù.",
				"CRI + 20, Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 50% »ó½Â.",
				"°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î Àû¿¡°Ô ³Ãµ¿À» °Ç´Ù.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 50 Ãß°¡.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16743: {
			unidentifiedDisplayName: "Ã»»õÄ¡ 1½Ã°£ »óÀÚ",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Ã»»õÄ¡°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (1½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"Ã»»õÄ¡°ú ¹Ù´å¹°°í±â. °èÀýµû¶ó ÀÌµ¿ÇÏ´Â È¸·ù¼º ¹°°í±â·Î »õÄ¡·ù Áß °¡Àå ¸ÀÀÌ ÁÁ´Ù°í ¾Ë·ÁÁø °í±Þ»ý¼±. ¾ó·Á¼­ ¾ÆÁÖ µüµüÇÏ´Ù.",
				"ÇÇ¾î½º, ½ºÆÄÀÌ·² ÇÇ¾î½º »ç¿ë ½Ã ³ôÀº È®·ü·Î Àû¿¡°Ô ÃâÇ÷À» °Ç´Ù. ±×¸®°í ³·Àº È®·ü·Î ½º½º·Î¿¡°Ô ºù°áÀ» °Ç´Ù.",
				"½ºÆÄÀÌ·² ÇÇ¾î½ºÀÇ °ø°Ý·Â 100% Áõ°¡, ÀÎ½ºÇÇ·¹ÀÌ¼ÇÀÇ °ø°Ý·Â 50% Áõ°¡. (ÀÎ½ºÇÇ·¹ÀÌ¼ÇÀÇ È¿°ú´Â ÀåÂø ÇØÁ¦½Ã »ç¶óÁý´Ï´Ù.)",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 30 Ãß°¡.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Ã»»õÄ¡ 1½Ã°£ »óÀÚ",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ã»»õÄ¡°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (1½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"Ã»»õÄ¡°ú ¹Ù´å¹°°í±â. °èÀýµû¶ó ÀÌµ¿ÇÏ´Â È¸·ù¼º ¹°°í±â·Î »õÄ¡·ù Áß °¡Àå ¸ÀÀÌ ÁÁ´Ù°í ¾Ë·ÁÁø °í±Þ»ý¼±. ¾ó·Á¼­ ¾ÆÁÖ µüµüÇÏ´Ù.",
				"ÇÇ¾î½º, ½ºÆÄÀÌ·² ÇÇ¾î½º »ç¿ë ½Ã ³ôÀº È®·ü·Î Àû¿¡°Ô ÃâÇ÷À» °Ç´Ù. ±×¸®°í ³·Àº È®·ü·Î ½º½º·Î¿¡°Ô ºù°áÀ» °Ç´Ù.",
				"½ºÆÄÀÌ·² ÇÇ¾î½ºÀÇ °ø°Ý·Â 100% Áõ°¡, ÀÎ½ºÇÇ·¹ÀÌ¼ÇÀÇ °ø°Ý·Â 50% Áõ°¡. (ÀÎ½ºÇÇ·¹ÀÌ¼ÇÀÇ È¿°ú´Â ÀåÂø ÇØÁ¦½Ã »ç¶óÁý´Ï´Ù.)",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 30 Ãß°¡.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16744: {
			unidentifiedDisplayName: "Ã»»õÄ¡ 7ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"Ã»»õÄ¡°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (7ÀÏ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"Ã»»õÄ¡°ú ¹Ù´å¹°°í±â. °èÀýµû¶ó ÀÌµ¿ÇÏ´Â È¸·ù¼º ¹°°í±â·Î »õÄ¡·ù Áß °¡Àå ¸ÀÀÌ ÁÁ´Ù°í ¾Ë·ÁÁø °í±Þ»ý¼±. ¾ó·Á¼­ ¾ÆÁÖ µüµüÇÏ´Ù.",
				"ÇÇ¾î½º, ½ºÆÄÀÌ·² ÇÇ¾î½º »ç¿ë ½Ã ³ôÀº È®·ü·Î Àû¿¡°Ô ÃâÇ÷À» °Ç´Ù. ±×¸®°í ³·Àº È®·ü·Î ½º½º·Î¿¡°Ô ºù°áÀ» °Ç´Ù.",
				"½ºÆÄÀÌ·² ÇÇ¾î½ºÀÇ °ø°Ý·Â 100% Áõ°¡, ÀÎ½ºÇÇ·¹ÀÌ¼ÇÀÇ °ø°Ý·Â 50% Áõ°¡. (ÀÎ½ºÇÇ·¹ÀÌ¼ÇÀÇ È¿°ú´Â ÀåÂø ÇØÁ¦½Ã »ç¶óÁý´Ï´Ù.)",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 30 Ãß°¡.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Ã»»õÄ¡ 7ÀÏ »óÀÚ",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ã»»õÄ¡°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (7ÀÏ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"Ã»»õÄ¡°ú ¹Ù´å¹°°í±â. °èÀýµû¶ó ÀÌµ¿ÇÏ´Â È¸·ù¼º ¹°°í±â·Î »õÄ¡·ù Áß °¡Àå ¸ÀÀÌ ÁÁ´Ù°í ¾Ë·ÁÁø °í±Þ»ý¼±. ¾ó·Á¼­ ¾ÆÁÖ µüµüÇÏ´Ù.",
				"ÇÇ¾î½º, ½ºÆÄÀÌ·² ÇÇ¾î½º »ç¿ë ½Ã ³ôÀº È®·ü·Î Àû¿¡°Ô ÃâÇ÷À» °Ç´Ù. ±×¸®°í ³·Àº È®·ü·Î ½º½º·Î¿¡°Ô ºù°áÀ» °Ç´Ù.",
				"½ºÆÄÀÌ·² ÇÇ¾î½ºÀÇ °ø°Ý·Â 100% Áõ°¡, ÀÎ½ºÇÇ·¹ÀÌ¼ÇÀÇ °ø°Ý·Â 50% Áõ°¡. (ÀÎ½ºÇÇ·¹ÀÌ¼ÇÀÇ È¿°ú´Â ÀåÂø ÇØÁ¦½Ã »ç¶óÁý´Ï´Ù.)",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 30 Ãß°¡.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16745: {
			unidentifiedDisplayName: "Àü°»ÀÌ 1½Ã°£ »óÀÚ",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Àü°»ÀÌ°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (1½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"³ó¾î¸ñ Àü°»ÀÌ°úÀÇ ¹Ù´å¹°°í±â. ¿©·¯°¡Áö·Î ¿ä¸®ÇÒ ¼ö ÀÖ´Ù°í ÇÑ´Ù. ¾ÆÁÖ µüµüÇÏ°Ô ¾ó·ÁÁ® ÀÖ´Ù.",
				"MATK + 100.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 7ÃÊ°£ ATK + 30.",
				"¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 7ÃÊ°£ MATK + 20.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 10, MATK + 10 Ãß°¡.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777160^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Àü°»ÀÌ 1½Ã°£ »óÀÚ",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Àü°»ÀÌ°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (1½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"³ó¾î¸ñ Àü°»ÀÌ°úÀÇ ¹Ù´å¹°°í±â. ¿©·¯°¡Áö·Î ¿ä¸®ÇÒ ¼ö ÀÖ´Ù°í ÇÑ´Ù. ¾ÆÁÖ µüµüÇÏ°Ô ¾ó·ÁÁ® ÀÖ´Ù.",
				"MATK + 100.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 7ÃÊ°£ ATK + 30.",
				"¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 7ÃÊ°£ MATK + 20.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 10, MATK + 10 Ãß°¡.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777160^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16746: {
			unidentifiedDisplayName: "Àü°»ÀÌ 7ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"Àü°»ÀÌ°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (7ÀÏ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"³ó¾î¸ñ Àü°»ÀÌ°úÀÇ ¹Ù´å¹°°í±â. ¿©·¯°¡Áö·Î ¿ä¸®ÇÒ ¼ö ÀÖ´Ù°í ÇÑ´Ù. ¾ÆÁÖ µüµüÇÏ°Ô ¾ó·ÁÁ® ÀÖ´Ù.",
				"MATK + 100.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 7ÃÊ°£ ATK + 30.",
				"¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 7ÃÊ°£ MATK + 20.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 10, MATK + 10 Ãß°¡.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777160^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Àü°»ÀÌ 7ÀÏ »óÀÚ",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Àü°»ÀÌ°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (7ÀÏ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"³ó¾î¸ñ Àü°»ÀÌ°úÀÇ ¹Ù´å¹°°í±â. ¿©·¯°¡Áö·Î ¿ä¸®ÇÒ ¼ö ÀÖ´Ù°í ÇÑ´Ù. ¾ÆÁÖ µüµüÇÏ°Ô ¾ó·ÁÁ® ÀÖ´Ù.",
				"MATK + 100.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 7ÃÊ°£ ATK + 30.",
				"¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 7ÃÊ°£ MATK + 20.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 10, MATK + 10 Ãß°¡.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777160^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16747: {
			unidentifiedDisplayName: "Âü´Ù¶û¾î 1½Ã°£ »óÀÚ",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Âü´Ù¶û¾î°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (1½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"°íµî¾î°úÀÇ °Å´ëÇÑ ¹æÃßÇü ¹Ù´å¹°°í±â. ¿ä¸®¿¡ ¾È¾²ÀÌ´Â °÷ÀÌ ¾ø´Â ÃÖ°í±Þ ¾îÁ¾. ¾ó·Á¼­ ¾ÆÁÖ µüµüÇÏ´Ù.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ³ôÀºÈ®·ü·Î Àû¿¡°Ô ½ºÅÏ ¶Ç´Â ¿ÀÅä½ºÆç ¹è½¬ 5Lv ¹ßµ¿.(5LvÀÌ»óÀÏ °æ¿ì ¹è¿î·¹º§´ë·Î ¹ßµ¿)",
				"±×¸®°í ³·ÀºÈ®·ü·Î ½º½º·Î¿¡°Ô ºù°áÀ» °Ç´Ù.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 20 Ãß°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^777777180^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Âü´Ù¶û¾î 1½Ã°£ »óÀÚ",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Âü´Ù¶û¾î°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (1½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"°íµî¾î°úÀÇ °Å´ëÇÑ ¹æÃßÇü ¹Ù´å¹°°í±â. ¿ä¸®¿¡ ¾È¾²ÀÌ´Â °÷ÀÌ ¾ø´Â ÃÖ°í±Þ ¾îÁ¾. ¾ó·Á¼­ ¾ÆÁÖ µüµüÇÏ´Ù.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ³ôÀºÈ®·ü·Î Àû¿¡°Ô ½ºÅÏ ¶Ç´Â ¿ÀÅä½ºÆç ¹è½¬ 5Lv ¹ßµ¿.(5LvÀÌ»óÀÏ °æ¿ì ¹è¿î·¹º§´ë·Î ¹ßµ¿)",
				"±×¸®°í ³·ÀºÈ®·ü·Î ½º½º·Î¿¡°Ô ºù°áÀ» °Ç´Ù.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 20 Ãß°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^777777180^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16748: {
			unidentifiedDisplayName: "Âü´Ù¶û¾î 7ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"Âü´Ù¶û¾î°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (7ÀÏ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"°íµî¾î°úÀÇ °Å´ëÇÑ ¹æÃßÇü ¹Ù´å¹°°í±â. ¿ä¸®¿¡ ¾È¾²ÀÌ´Â °÷ÀÌ ¾ø´Â ÃÖ°í±Þ ¾îÁ¾. ¾ó·Á¼­ ¾ÆÁÖ µüµüÇÏ´Ù.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ³ôÀºÈ®·ü·Î Àû¿¡°Ô ½ºÅÏ ¶Ç´Â ¿ÀÅä½ºÆç ¹è½¬ 5Lv ¹ßµ¿.(5LvÀÌ»óÀÏ °æ¿ì ¹è¿î·¹º§´ë·Î ¹ßµ¿)",
				"±×¸®°í ³·ÀºÈ®·ü·Î ½º½º·Î¿¡°Ô ºù°áÀ» °Ç´Ù.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 20 Ãß°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^777777180^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Âü´Ù¶û¾î 7ÀÏ »óÀÚ",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Âü´Ù¶û¾î°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (7ÀÏ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"°íµî¾î°úÀÇ °Å´ëÇÑ ¹æÃßÇü ¹Ù´å¹°°í±â. ¿ä¸®¿¡ ¾È¾²ÀÌ´Â °÷ÀÌ ¾ø´Â ÃÖ°í±Þ ¾îÁ¾. ¾ó·Á¼­ ¾ÆÁÖ µüµüÇÏ´Ù.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ½Ã ³ôÀºÈ®·ü·Î Àû¿¡°Ô ½ºÅÏ ¶Ç´Â ¿ÀÅä½ºÆç ¹è½¬ 5Lv ¹ßµ¿.(5LvÀÌ»óÀÏ °æ¿ì ¹è¿î·¹º§´ë·Î ¹ßµ¿)",
				"±×¸®°í ³·ÀºÈ®·ü·Î ½º½º·Î¿¡°Ô ºù°áÀ» °Ç´Ù.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ATK + 20 Ãß°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^777777180^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16749: {
			unidentifiedDisplayName: "¸»¶û´ë°Ô 1½Ã°£ »óÀÚ",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸»¶ûÇØ»ê ´ë°Ô°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (1½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"½Ê°¢¸ñ ¹°¸ÂÀÌ°Ô°úÀÇ °©°¢·ù. ´Ù¸®°¡ ±æ¸ç ¼ö½ÉÀÌ ±íÀº ¹Ù´ÙÀÇ ¸ð·¡³ª ÁøÈë¼Ó¿¡ »ê´Ù.",
				"LUK + 3, Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 50% »ó½Â.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ¿ø°Å¸® ¹°¸® °ø°Ý·Â 20% Ãß°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­/µµµÏ/·Î±×°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸»¶û´ë°Ô 1½Ã°£ »óÀÚ",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸»¶ûÇØ»ê ´ë°Ô°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (1½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"½Ê°¢¸ñ ¹°¸ÂÀÌ°Ô°úÀÇ °©°¢·ù. ´Ù¸®°¡ ±æ¸ç ¼ö½ÉÀÌ ±íÀº ¹Ù´ÙÀÇ ¸ð·¡³ª ÁøÈë¼Ó¿¡ »ê´Ù.",
				"LUK + 3, Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 50% »ó½Â.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ¿ø°Å¸® ¹°¸® °ø°Ý·Â 20% Ãß°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­/µµµÏ/·Î±×°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16750: {
			unidentifiedDisplayName: "¸»¶û´ë°Ô 7ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"¸»¶ûÇØ»ê ´ë°Ô°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (7ÀÏ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"½Ê°¢¸ñ ¹°¸ÂÀÌ°Ô°úÀÇ °©°¢·ù. ´Ù¸®°¡ ±æ¸ç ¼ö½ÉÀÌ ±íÀº ¹Ù´ÙÀÇ ¸ð·¡³ª ÁøÈë¼Ó¿¡ »ê´Ù.",
				"LUK + 3, Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 50% »ó½Â.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ¿ø°Å¸® ¹°¸® °ø°Ý·Â 20% Ãß°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­/µµµÏ/·Î±×°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸»¶û´ë°Ô 7ÀÏ »óÀÚ",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸»¶ûÇØ»ê ´ë°Ô°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (7ÀÏ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"½Ê°¢¸ñ ¹°¸ÂÀÌ°Ô°úÀÇ °©°¢·ù. ´Ù¸®°¡ ±æ¸ç ¼ö½ÉÀÌ ±íÀº ¹Ù´ÙÀÇ ¸ð·¡³ª ÁøÈë¼Ó¿¡ »ê´Ù.",
				"LUK + 3, Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 50% »ó½Â.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ¿ø°Å¸® ¹°¸® °ø°Ý·Â 20% Ãß°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­/µµµÏ/·Î±×°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16751: {
			unidentifiedDisplayName: "¾ó·è¹«´ÌÀå¾î 1½Ã°£ »óÀÚ",
			unidentifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¾ó·è¹«´Ì Àå¾î°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (1½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸»¶ûµµ ÇØ¾È¿¡ ³ªÅ¸³­´Ù´Â ¾ó·è¹«´Ì Àå¾î. Åº·ÂÀÖ´Âµ¥´Ù ¸öÀ» 1ÀÚ·Î ¼¼¿ì·Á´Â ¼ºÁúÀÌ ÀÖ¾î È°·Î ¾²ÀÌ°Ô µÇ¾ú´Ù.",
				"AGI + 3, ¿ø°Å¸® ¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 5ÃÊ°£ ASPD + 2.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ¿ø°Å¸® ¹°¸® °ø°Ý·Â 20% Ãß°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777180^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777ÇåÅÍ°è¿­/¹Ùµå°è¿­/´í¼­°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¾ó·è¹«´ÌÀå¾î 1½Ã°£ »óÀÚ",
			identifiedResourceName: "\xbb\xf3\xc0\xce\xc0\xfc\xc1\xf7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾ó·è¹«´Ì Àå¾î°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (1½Ã°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸»¶ûµµ ÇØ¾È¿¡ ³ªÅ¸³­´Ù´Â ¾ó·è¹«´Ì Àå¾î. Åº·ÂÀÖ´Âµ¥´Ù ¸öÀ» 1ÀÚ·Î ¼¼¿ì·Á´Â ¼ºÁúÀÌ ÀÖ¾î È°·Î ¾²ÀÌ°Ô µÇ¾ú´Ù.",
				"AGI + 3, ¿ø°Å¸® ¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 5ÃÊ°£ ASPD + 2.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ¿ø°Å¸® ¹°¸® °ø°Ý·Â 20% Ãß°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777180^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777ÇåÅÍ°è¿­/¹Ùµå°è¿­/´í¼­°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16752: {
			unidentifiedDisplayName: "¾ó·è¹«´ÌÀå¾î 7ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"¾ó·è¹«´Ì Àå¾î°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (7ÀÏ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸»¶ûµµ ÇØ¾È¿¡ ³ªÅ¸³­´Ù´Â ¾ó·è¹«´Ì Àå¾î. Åº·ÂÀÖ´Âµ¥´Ù ¸öÀ» 1ÀÚ·Î ¼¼¿ì·Á´Â ¼ºÁúÀÌ ÀÖ¾î È°·Î ¾²ÀÌ°Ô µÇ¾ú´Ù.",
				"AGI + 3, ¿ø°Å¸® ¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 5ÃÊ°£ ASPD + 2.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ¿ø°Å¸® ¹°¸® °ø°Ý·Â 20% Ãß°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777180^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777ÇåÅÍ°è¿­/¹Ùµå°è¿­/´í¼­°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¾ó·è¹«´ÌÀå¾î 7ÀÏ »óÀÚ",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾ó·è¹«´Ì Àå¾î°¡ 1¸¶¸® µé¾îÀÖ´Â »óÀÚ. (7ÀÏ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸»¶ûµµ ÇØ¾È¿¡ ³ªÅ¸³­´Ù´Â ¾ó·è¹«´Ì Àå¾î. Åº·ÂÀÖ´Âµ¥´Ù ¸öÀ» 1ÀÚ·Î ¼¼¿ì·Á´Â ¼ºÁúÀÌ ÀÖ¾î È°·Î ¾²ÀÌ°Ô µÇ¾ú´Ù.",
				"AGI + 3, ¿ø°Å¸® ¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 5ÃÊ°£ ASPD + 2.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ¿ø°Å¸® ¹°¸® °ø°Ý·Â 20% Ãß°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777180^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777ÇåÅÍ°è¿­/¹Ùµå°è¿­/´í¼­°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16753: {
			unidentifiedDisplayName: "Unbreak Weap Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box which contains a blessed weapon ore.",
				"Oridecon which is blessed by the smith God.",
				"When refining weapon with refine Lv between +6  and +12, weapon won't vanish even if the refine fails.",
				"Weight : ^7777771^000000",
				"^ff0000Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
			],
			identifiedDisplayName: "Unbreak Weap Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box which contains a blessed weapon ore.",
				"Oridecon which is blessed by the smith God.",
				"When refining weapon with refine level between +6 and +12, weapon won't vanish even if the refine fails.",
				"Weight : ^7777771^000000",
				"^ff0000Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16754: {
			unidentifiedDisplayName: "F Unbreak Weap Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box which contains a blessed weapon ore.",
				"Oridecon which is blessed by the smith God.",
				"When refining weapon with refine Lv between +6  and +12, weapon won't vanish even if the refine fails.",
				"Weight : ^7777771^000000",
				"^ff0000Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
			],
			identifiedDisplayName: "F Unbreak Weap Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box which contains a blessed weapon ore.",
				"Oridecon which is blessed by the smith God.",
				"When refining weapon with refine level between +6 and +12, weapon won't vanish even if the refine fails.",
				"Weight : ^7777771^000000",
				"^ff0000Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16755: {
			unidentifiedDisplayName: "Unbreak Def Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"A box which contains a blessed armor ore.",
				"Elunium which is blessed by the smith God. When refining weapon with refine Lv between +6  and +12, armor won't vanish even if the refine fails.",
				"Weight : ^7777771^000000",
				"^ff0000Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
			],
			identifiedDisplayName: "Unbreak Def Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"A box which contains a blessed armor ore.",
				"Elunium which is blessed by the smith God.",
				"When refining weapon with refine level between +6 and +12, armor won't vanish even if the refine fails.",
				"Weight : ^7777771^000000",
				"^ff0000Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16756: {
			unidentifiedDisplayName: "F Unbreak Def Box",
			unidentifiedResourceName: "",
			unidentifiedDescriptionName: [
				"A box which contains a blessed armor ore.",
				"Elunium which is blessed by the smith God. When refining weapon with refine Lv between +6  and +12, armor won't vanish even if the refine fails.",
				"Weight : ^7777771^000000",
				"^ff0000Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
			],
			identifiedDisplayName: "F Unbreak Def Box",
			identifiedResourceName: "",
			identifiedDescriptionName: [
				"A box which contains a blessed armor ore.",
				"Elunium which is blessed by the smith God. When refining weapon with refine Lv between +6 and +12, armor won't vanish even if the refine fails.",
				"Weight : ^7777771^000000",
				"^ff0000Once this item is purchased, termination of contract is impossible. Also, this item is not refundable.^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16757: {
			unidentifiedDisplayName: "Hallo Scroll",
			unidentifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"a scroll for celebrating holloween day. can have random item.",
				"^ff0000you cannot trade this item.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Hallo Scroll",
			identifiedResourceName: "\xbf\xb0\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll for celebrating holloween day. can have random item.",
				"^ff0000Cannot be traded.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16758: {
			unidentifiedDisplayName: "Umbala Spirit Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"¿ò¹ß¶óÀÇ È¥ 1°³¿Í Çà¿îÀÇ ¾Ë 1°³°¡ µé¾îÀÖ´Â »óÀÚ. ¿ò¹ß¶óÀÇ È¥Àº 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¿ò¹ß¶ó ÁÖ¹ÎµéÀÌ ¾Ö¿ëÇÏ´Â ÇÇ¾î½Ì ¾Ç¼¼»ç¸®. °ÅÄ£ ÀÚ¿¬ÀÇ ¼¼°è¿¡¼­ »ì¾Æ°¡´Â ÀÌµéÀÇ È¥ÀÌ ´À²¸Áø´Ù.",
				"MHP + 1%.",
				"'°í±â'ÀÇ È¸º¹·ÂÀÌ 25% Áõ°¡.",
				"¸ó½ºÅÍ¸¦ ¾²·¯Æ®·ÈÀ» ½Ã ÀÏÁ¤È®·ü·Î '°í±â' µå·Ó.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Umbala Spirit Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ò¹ß¶óÀÇ È¥ 1°³¿Í Çà¿îÀÇ ¾Ë 1°³°¡ µé¾îÀÖ´Â »óÀÚ. ¿ò¹ß¶óÀÇ È¥Àº 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¿ò¹ß¶ó ÁÖ¹ÎµéÀÌ ¾Ö¿ëÇÏ´Â ÇÇ¾î½Ì ¾Ç¼¼»ç¸®. °ÅÄ£ ÀÚ¿¬ÀÇ ¼¼°è¿¡¼­ »ì¾Æ°¡´Â ÀÌµéÀÇ È¥ÀÌ ´À²¸Áø´Ù.",
				"MaxHP + 1%.",
				"'°í±â'ÀÇ È¸º¹·ÂÀÌ 25% Áõ°¡.",
				"¸ó½ºÅÍ¸¦ ¾²·¯Æ®·ÈÀ» ½Ã ÀÏÁ¤È®·ü·Î '°í±â' µå·Ó.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16759: {
			unidentifiedDisplayName: "¿ò¹ß¶óÀÇ È¥ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"¿ò¹ß¶óÀÇ È¥ 1°³¿Í Çà¿îÀÇ ¾Ë 1°³°¡ µé¾îÀÖ´Â »óÀÚ. ¿ò¹ß¶óÀÇ È¥Àº 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¿ò¹ß¶ó ÁÖ¹ÎµéÀÌ ¾Ö¿ëÇÏ´Â ÇÇ¾î½Ì ¾Ç¼¼»ç¸®. °ÅÄ£ ÀÚ¿¬ÀÇ ¼¼°è¿¡¼­ »ì¾Æ°¡´Â ÀÌµéÀÇ È¥ÀÌ ´À²¸Áø´Ù.",
				"MHP + 1%.",
				"'°í±â'ÀÇ È¸º¹·ÂÀÌ 25% Áõ°¡.",
				"¸ó½ºÅÍ¸¦ ¾²·¯Æ®·ÈÀ» ½Ã ÀÏÁ¤È®·ü·Î '°í±â' µå·Ó.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿ò¹ß¶óÀÇ È¥ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ò¹ß¶óÀÇ È¥ 1°³¿Í Çà¿îÀÇ ¾Ë 1°³°¡ µé¾îÀÖ´Â »óÀÚ. ¿ò¹ß¶óÀÇ È¥Àº 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¿ò¹ß¶ó ÁÖ¹ÎµéÀÌ ¾Ö¿ëÇÏ´Â ÇÇ¾î½Ì ¾Ç¼¼»ç¸®. °ÅÄ£ ÀÚ¿¬ÀÇ ¼¼°è¿¡¼­ »ì¾Æ°¡´Â ÀÌµéÀÇ È¥ÀÌ ´À²¸Áø´Ù.",
				"MaxHP + 1%.",
				"'°í±â'ÀÇ È¸º¹·ÂÀÌ 25% Áõ°¡.",
				"¸ó½ºÅÍ¸¦ ¾²·¯Æ®·ÈÀ» ½Ã ÀÏÁ¤È®·ü·Î '°í±â' µå·Ó.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777772^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16760: {
			unidentifiedDisplayName: "Early Wrapped Christmas Gift",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"¿ò¹ß¶óÀÇ È¥ 1°³°¡ µé¾îÀÖ´Â »óÀÚ. 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¿ò¹ß¶ó ÁÖ¹ÎµéÀÌ ¾Ö¿ëÇÏ´Â ÇÇ¾î½Ì ¾Ç¼¼»ç¸®. °ÅÄ£ ÀÚ¿¬ÀÇ ¼¼°è¿¡¼­ »ì¾Æ°¡´Â ÀÌµéÀÇ È¥ÀÌ ´À²¸Áø´Ù.",
				"MHP + 1%.",
				"'°í±â'ÀÇ È¸º¹·ÂÀÌ 25% Áõ°¡.",
				"¸ó½ºÅÍ¸¦ ¾²·¯Æ®·ÈÀ» ½Ã ÀÏÁ¤È®·ü·Î '°í±â' µå·Ó.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Early Wrapped Christmas Gift",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ò¹ß¶óÀÇ È¥ 1°³°¡ µé¾îÀÖ´Â »óÀÚ. 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¿ò¹ß¶ó ÁÖ¹ÎµéÀÌ ¾Ö¿ëÇÏ´Â ÇÇ¾î½Ì ¾Ç¼¼»ç¸®. °ÅÄ£ ÀÚ¿¬ÀÇ ¼¼°è¿¡¼­ »ì¾Æ°¡´Â ÀÌµéÀÇ È¥ÀÌ ´À²¸Áø´Ù.",
				"MaxHP + 1%.",
				"'°í±â'ÀÇ È¸º¹·ÂÀÌ 25% Áõ°¡.",
				"¸ó½ºÅÍ¸¦ ¾²·¯Æ®·ÈÀ» ½Ã ÀÏÁ¤È®·ü·Î '°í±â' µå·Ó.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16761: {
			unidentifiedDisplayName: "¿ò¹ß¶óÀÇ È¥ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"¿ò¹ß¶óÀÇ È¥ 1°³°¡ µé¾îÀÖ´Â »óÀÚ. 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¿ò¹ß¶ó ÁÖ¹ÎµéÀÌ ¾Ö¿ëÇÏ´Â ÇÇ¾î½Ì ¾Ç¼¼»ç¸®. °ÅÄ£ ÀÚ¿¬ÀÇ ¼¼°è¿¡¼­ »ì¾Æ°¡´Â ÀÌµéÀÇ È¥ÀÌ ´À²¸Áø´Ù.",
				"MHP + 1%.",
				"'°í±â'ÀÇ È¸º¹·ÂÀÌ 25% Áõ°¡.",
				"¸ó½ºÅÍ¸¦ ¾²·¯Æ®·ÈÀ» ½Ã ÀÏÁ¤È®·ü·Î '°í±â' µå·Ó.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿ò¹ß¶óÀÇ È¥ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ò¹ß¶óÀÇ È¥ 1°³°¡ µé¾îÀÖ´Â »óÀÚ. 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¿ò¹ß¶ó ÁÖ¹ÎµéÀÌ ¾Ö¿ëÇÏ´Â ÇÇ¾î½Ì ¾Ç¼¼»ç¸®. °ÅÄ£ ÀÚ¿¬ÀÇ ¼¼°è¿¡¼­ »ì¾Æ°¡´Â ÀÌµéÀÇ È¥ÀÌ ´À²¸Áø´Ù.",
				"MaxHP + 1%.",
				"'°í±â'ÀÇ È¸º¹·ÂÀÌ 25% Áõ°¡.",
				"¸ó½ºÅÍ¸¦ ¾²·¯Æ®·ÈÀ» ½Ã ÀÏÁ¤È®·ü·Î '°í±â' µå·Ó.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16762: {
			unidentifiedDisplayName: "¿ò¹ß¶óÀÇ È¥ 7ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¿ò¹ß¶óÀÇ È¥ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¿ò¹ß¶ó ÁÖ¹ÎµéÀÌ ¾Ö¿ëÇÏ´Â ÇÇ¾î½Ì ¾Ç¼¼»ç¸®. °ÅÄ£ ÀÚ¿¬ÀÇ ¼¼°è¿¡¼­ »ì¾Æ°¡´Â ÀÌµéÀÇ È¥ÀÌ ´À²¸Áø´Ù.",
				"MHP + 1%.",
				"'°í±â'ÀÇ È¸º¹·ÂÀÌ 25% Áõ°¡.",
				"¸ó½ºÅÍ¸¦ ¾²·¯Æ®·ÈÀ» ½Ã ÀÏÁ¤È®·ü·Î '°í±â' µå·Ó.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿ò¹ß¶óÀÇ È¥ 7ÀÏ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ò¹ß¶óÀÇ È¥ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¿ò¹ß¶ó ÁÖ¹ÎµéÀÌ ¾Ö¿ëÇÏ´Â ÇÇ¾î½Ì ¾Ç¼¼»ç¸®. °ÅÄ£ ÀÚ¿¬ÀÇ ¼¼°è¿¡¼­ »ì¾Æ°¡´Â ÀÌµéÀÇ È¥ÀÌ ´À²¸Áø´Ù.",
				"MaxHP + 1%.",
				"'°í±â'ÀÇ È¸º¹·ÂÀÌ 25% Áõ°¡.",
				"¸ó½ºÅÍ¸¦ ¾²·¯Æ®·ÈÀ» ½Ã ÀÏÁ¤È®·ü·Î '°í±â' µå·Ó.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16763: {
			unidentifiedDisplayName: "¹Ù´Ù½ÅÀÇ °¡È£ 7ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"¹Ù´Ù½ÅÀÇ °¡È£°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. (7ÀÏ°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¹Ù´Ù½ÅÀÇ °¡È£°¡ ±êµç Â¡Ç¥. ½ÉÇØÀÇ °Å¼¾ ¹°»ì¿¡¼­µµ »ì¾Æ³²À» ¼ö ÀÖ´Â °­ÇÑ »ýÁ¸´É·ÂÀ» Áö´Ï°Ô ÇØÁØ´Ù.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "The Sea God's Call 7 Day Box",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹Ù´Ù½ÅÀÇ °¡È£°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. (7ÀÏ°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¹Ù´Ù½ÅÀÇ °¡È£°¡ ±êµç Â¡Ç¥. ½ÉÇØÀÇ °Å¼¾ ¹°»ì¿¡¼­µµ »ì¾Æ³²À» ¼ö ÀÖ´Â °­ÇÑ »ýÁ¸´É·ÂÀ» Áö´Ï°Ô ÇØÁØ´Ù.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16764: {
			unidentifiedDisplayName: "¹Ù´Ù½ÅÀÇ °¡È£ 15ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"¹Ù´Ù½ÅÀÇ °¡È£°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. (15ÀÏ°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¹Ù´Ù½ÅÀÇ °¡È£°¡ ±êµç Â¡Ç¥. ½ÉÇØÀÇ °Å¼¾ ¹°»ì¿¡¼­µµ »ì¾Æ³²À» ¼ö ÀÖ´Â °­ÇÑ »ýÁ¸´É·ÂÀ» Áö´Ï°Ô ÇØÁØ´Ù.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "The Sea God's Call 15 Day Box",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹Ù´Ù½ÅÀÇ °¡È£°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. (15ÀÏ°£ »ç¿ë°¡´É)",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¹Ù´Ù½ÅÀÇ °¡È£°¡ ±êµç Â¡Ç¥. ½ÉÇØÀÇ °Å¼¾ ¹°»ì¿¡¼­µµ »ì¾Æ³²À» ¼ö ÀÖ´Â °­ÇÑ »ýÁ¸´É·ÂÀ» Áö´Ï°Ô ÇØÁØ´Ù.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16765: {
			unidentifiedDisplayName: "¹®¾î»ç³É¿ë ²¿Ã¬ÀÌ 23½Ã°£ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"¹®¾î»ç³É¿ë ²¿Ã¬ÀÌ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. (23½Ã°£ »ç¿ë°¡´É)",
				"´ë¿Õ ¹®¾î¸¦ »ç³ÉÇÏ±â À§ÇØ ¸¸µé¾îÁø Æ¯¼öÇÑ ²¿Ã¬ÀÌ.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Octopus Hunting Skewer 23 Hour Box",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹®¾î»ç³É¿ë ²¿Ã¬ÀÌ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. (23½Ã°£ »ç¿ë°¡´É)",
				"´ë¿Õ ¹®¾î¸¦ »ç³ÉÇÏ±â À§ÇØ ¸¸µé¾îÁø Æ¯¼öÇÑ ²¿Ã¬ÀÌ.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16766: {
			unidentifiedDisplayName: "¹®¾î»ç³É¿ë ²¿Ã¬ÀÌ 23½Ã°£ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"¹®¾î»ç³É¿ë ²¿Ã¬ÀÌ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. (3ÀÏ°£ »ç¿ë°¡´É)",
				"´ë¿Õ ¹®¾î¸¦ »ç³ÉÇÏ±â À§ÇØ ¸¸µé¾îÁø Æ¯¼öÇÑ ²¿Ã¬ÀÌ.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Octopus Hunting Skewer 3 Day Box",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹®¾î»ç³É¿ë ²¿Ã¬ÀÌ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. (3ÀÏ°£ »ç¿ë°¡´É)",
				"´ë¿Õ ¹®¾î¸¦ »ç³ÉÇÏ±â À§ÇØ ¸¸µé¾îÁø Æ¯¼öÇÑ ²¿Ã¬ÀÌ.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16767: {
			unidentifiedDisplayName: "¹®¾î»ç³É¿ë ²¿Ã¬ÀÌ 7ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"¹®¾î»ç³É¿ë ²¿Ã¬ÀÌ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. (7ÀÏ°£ »ç¿ë°¡´É)",
				"´ë¿Õ ¹®¾î¸¦ »ç³ÉÇÏ±â À§ÇØ ¸¸µé¾îÁø Æ¯¼öÇÑ ²¿Ã¬ÀÌ.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Octopus Hunting Skewer 7 Day Box",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹®¾î»ç³É¿ë ²¿Ã¬ÀÌ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. (7ÀÏ°£ »ç¿ë°¡´É)",
				"´ë¿Õ ¹®¾î¸¦ »ç³ÉÇÏ±â À§ÇØ ¸¸µé¾îÁø Æ¯¼öÇÑ ²¿Ã¬ÀÌ.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16768: {
			unidentifiedDisplayName: "Neuralizer Box",
			unidentifiedResourceName: "\xbc\xb6\xb1\xa4\xb8\xb7\xb4\xeb\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box containing",
				"1 Neuralizer",
				"Description:",
				"Pressing the button",
				"on this stick will",
				"flash blinding light",
				"that seems to cause",
				"memory loss. Resets",
				"the Skill Tree and",
				"gives the corresponding^FFFFFF   ^000000 number of Skill Points.",
				"This item can only be",
				"used in town, and the",
				"character must carry",
				"0 weight, and cannot be^FFFFFF   ^000000 equipped with a Pushcart,",
				"Falcon, or PecoPeco.",
				"Cannot be used by",
				"Novice Class.",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Neuralizer Box",
			identifiedResourceName: "\xbc\xb6\xb1\xa4\xb8\xb7\xb4\xeb\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box containing",
				"1 Neuralizer",
				"Description:",
				"Pressing the button",
				"on this stick will",
				"flash blinding light",
				"that seems to cause",
				"memory loss. Resets",
				"the Skill Tree and",
				"gives the corresponding number of Skill Points.",
				"This item can only be",
				"used in town, and the",
				"character must carry",
				"0 weight, and cannot be equipped with a Pushcart,",
				"Falcon, or PecoPeco.",
				"Cannot be used by",
				"Novice Class.",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16769: {
			unidentifiedDisplayName: "Neuralizer Box",
			unidentifiedResourceName: "\xbc\xb6\xb1\xa4\xb8\xb7\xb4\xeb\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box containing",
				"1 Neuralizer",
				"Description:",
				"Pressing the button",
				"on this stick will",
				"flash blinding light",
				"that seems to cause",
				"memory loss. Resets",
				"the Skill Tree and",
				"gives the corresponding^FFFFFF   ^000000 number of Skill Points.",
				"This item can only be",
				"used in town, and the",
				"character must carry",
				"0 weight, and cannot be^FFFFFF   ^000000 equipped with a Pushcart,",
				"Falcon, or PecoPeco.",
				"Cannot be used by",
				"Novice Class.",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Neuralizer Box",
			identifiedResourceName: "\xbc\xb6\xb1\xa4\xb8\xb7\xb4\xeb\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box containing",
				"1 Neuralizer",
				"Description:",
				"Pressing the button",
				"on this stick will",
				"flash blinding light",
				"that seems to cause",
				"memory loss. Resets",
				"the Skill Tree and",
				"gives the corresponding number of Skill Points.",
				"This item can only be",
				"used in town, and the",
				"character must carry",
				"0 weight, and cannot be equipped with a Pushcart,",
				"Falcon, or PecoPeco.",
				"Cannot be used by",
				"Novice Class.",
				"^ffffff_^000000",
				"Weight : ^7777770^000000",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16770: {
			unidentifiedDisplayName: "°³´Ù·¡ ¿­¸Å 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"°³´Ù·¡ ¿­¸Å°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¼Ò·®ÀÇ ÅëÁ¶¸²µµ º¸³Ê½º·Î µé¾îÀÖ´Ù.",
				"ÀßÀÍÀº °³´Ù·¡ ³ª¹«ÀÇ ¿­¸Å. ÀÎ°£ÀÌ º¸±â¿£ ±×Àú ¸À¾ø°í Æò¹üÇÑ ¿­¸ÅÀÎµ¥ ¸»¶ûµµ¿¡¼± »ó»ó ÀÌ»óÀÇ ´ë´ÜÇÑ °¡Ä¡¸¦ Áö´Ñ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°³´Ù·¡ ¿­¸Å 10°³ »óÀÚ",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°³´Ù·¡ ¿­¸Å°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¼Ò·®ÀÇ ÅëÁ¶¸²µµ º¸³Ê½º·Î µé¾îÀÖ´Ù.",
				"ÀßÀÍÀº °³´Ù·¡ ³ª¹«ÀÇ ¿­¸Å. ÀÎ°£ÀÌ º¸±â¿£ ±×Àú ¸À¾ø°í Æò¹üÇÑ ¿­¸ÅÀÎµ¥ ¸»¶ûµµ¿¡¼± »ó»ó ÀÌ»óÀÇ ´ë´ÜÇÑ °¡Ä¡¸¦ Áö´Ñ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16771: {
			unidentifiedDisplayName: "°³´Ù·¡ ¿­¸Å 40°³ »óÀÚ",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"°³´Ù·¡ ¿­¸Å°¡ 40°³ µé¾îÀÖ´Â »óÀÚ. ¼Ò·®ÀÇ ÅëÁ¶¸²µµ º¸³Ê½º·Î µé¾îÀÖ´Ù.",
				"ÀßÀÍÀº °³´Ù·¡ ³ª¹«ÀÇ ¿­¸Å. ÀÎ°£ÀÌ º¸±â¿£ ±×Àú ¸À¾ø°í Æò¹üÇÑ ¿­¸ÅÀÎµ¥ ¸»¶ûµµ¿¡¼± »ó»ó ÀÌ»óÀÇ ´ë´ÜÇÑ °¡Ä¡¸¦ Áö´Ñ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°³´Ù·¡ ¿­¸Å 40°³ »óÀÚ",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°³´Ù·¡ ¿­¸Å°¡ 40°³ µé¾îÀÖ´Â »óÀÚ. ¼Ò·®ÀÇ ÅëÁ¶¸²µµ º¸³Ê½º·Î µé¾îÀÖ´Ù.",
				"ÀßÀÍÀº °³´Ù·¡ ³ª¹«ÀÇ ¿­¸Å. ÀÎ°£ÀÌ º¸±â¿£ ±×Àú ¸À¾ø°í Æò¹üÇÑ ¿­¸ÅÀÎµ¥ ¸»¶ûµµ¿¡¼± »ó»ó ÀÌ»óÀÇ ´ë´ÜÇÑ °¡Ä¡¸¦ Áö´Ñ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16774: {
			unidentifiedDisplayName: "Asgard Scroll",
			unidentifiedResourceName: "\xbf\xa3\xc1\xa9\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"asgard scroll",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Asgard Scroll",
			identifiedResourceName: "\xbf\xa3\xc1\xa9\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"asgard scroll",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16776: {
			unidentifiedDisplayName: "¸¸´É Ä«Å»·Î±× °ñµå 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"¸¸´É Ä«Å»·Î±× °ñµå°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"°ÔÆæ ¸¶¹ýÇÐÈ¸ÀÇ ´õ¿í ÁøÈ­ÇÑ ¿¬±¸ ¼º°ú!",
				"'³ëÁ¡¿¡¼­ ÆÇ¸Å, ±¸ÀÔ ÁßÀÎ ¾ÆÀÌÅÛÀ» °Ë»öÇÒ ¼ö ÀÖ´Â' ¸¶¹ýÀÌ ´ã±ä ½ºÅ©·Ñ·Î, °Ë»öµÈ ¸µÅ©¸¦ ÅëÇØ ¹°°ÇÀ» Á÷Á¢ ±¸¸ÅÇÏ°Å³ª ÆÇ¸Åµµ °¡´ÉÇÏ´Ù!",
				"^000088»ç¿ëÀÚ°¡ ¼­ ÀÖ´Â ¸Ê¿¡ ¿­·ÁÀÖ´Â ³ëÁ¡¸¸ °Ë»öÇÕ´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸¸´É Ä«Å»·Î±× °ñµå 10°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¸´É Ä«Å»·Î±× °ñµå°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"°ÔÆæ ¸¶¹ýÇÐÈ¸ÀÇ ´õ¿í ÁøÈ­ÇÑ ¿¬±¸ ¼º°ú!",
				"'³ëÁ¡¿¡¼­ ÆÇ¸Å, ±¸ÀÔ ÁßÀÎ ¾ÆÀÌÅÛÀ» °Ë»öÇÒ ¼ö ÀÖ´Â' ¸¶¹ýÀÌ ´ã±ä ½ºÅ©·Ñ·Î, °Ë»öµÈ ¸µÅ©¸¦ ÅëÇØ ¹°°ÇÀ» Á÷Á¢ ±¸¸ÅÇÏ°Å³ª ÆÇ¸Åµµ °¡´ÉÇÏ´Ù!",
				"^000088»ç¿ëÀÚ°¡ ¼­ ÀÖ´Â ¸Ê¿¡ ¿­·ÁÀÖ´Â ³ëÁ¡¸¸ °Ë»öÇÕ´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16777: {
			unidentifiedDisplayName: "¸¸´É Ä«Å»·Î±× °ñµå 50°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"¸¸´É Ä«Å»·Î±× °ñµå°¡ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"°ÔÆæ ¸¶¹ýÇÐÈ¸ÀÇ ´õ¿í ÁøÈ­ÇÑ ¿¬±¸ ¼º°ú!",
				"'³ëÁ¡¿¡¼­ ÆÇ¸Å, ±¸ÀÔ ÁßÀÎ ¾ÆÀÌÅÛÀ» °Ë»öÇÒ ¼ö ÀÖ´Â' ¸¶¹ýÀÌ ´ã±ä ½ºÅ©·Ñ·Î, °Ë»öµÈ ¸µÅ©¸¦ ÅëÇØ ¹°°ÇÀ» Á÷Á¢ ±¸¸ÅÇÏ°Å³ª ÆÇ¸Åµµ °¡´ÉÇÏ´Ù!",
				"^000088»ç¿ëÀÚ°¡ ¼­ ÀÖ´Â ¸Ê¿¡ ¿­·ÁÀÖ´Â ³ëÁ¡¸¸ °Ë»öÇÕ´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸¸´É Ä«Å»·Î±× °ñµå 50°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¸´É Ä«Å»·Î±× °ñµå°¡ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"°ÔÆæ ¸¶¹ýÇÐÈ¸ÀÇ ´õ¿í ÁøÈ­ÇÑ ¿¬±¸ ¼º°ú!",
				"'³ëÁ¡¿¡¼­ ÆÇ¸Å, ±¸ÀÔ ÁßÀÎ ¾ÆÀÌÅÛÀ» °Ë»öÇÒ ¼ö ÀÖ´Â' ¸¶¹ýÀÌ ´ã±ä ½ºÅ©·Ñ·Î, °Ë»öµÈ ¸µÅ©¸¦ ÅëÇØ ¹°°ÇÀ» Á÷Á¢ ±¸¸ÅÇÏ°Å³ª ÆÇ¸Åµµ °¡´ÉÇÏ´Ù!",
				"^000088»ç¿ëÀÚ°¡ ¼­ ÀÖ´Â ¸Ê¿¡ ¿­·ÁÀÖ´Â ³ëÁ¡¸¸ °Ë»öÇÕ´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16778: {
			unidentifiedDisplayName: "Çú¹Ù´Ú¿ä¸® 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"STR+10 ¿ä¸®°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Çú¹Ù´Ú¿ä¸® 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"STR+10 ¿ä¸®°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16779: {
			unidentifiedDisplayName: "Çú¹Ù´Ú¿ä¸® 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"STR+10 ¿ä¸®°¡ 50°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Çú¹Ù´Ú¿ä¸® 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"STR+10 ¿ä¸®°¡ 50°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16780: {
			unidentifiedDisplayName: "»ç¸·Àü°¥ ¸ð·¡Âò 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"AGI+10 ¿ä¸®°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "»ç¸·Àü°¥ ¸ð·¡Âò 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"AGI+10 ¿ä¸®°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16781: {
			unidentifiedDisplayName: "»ç¸·Àü°¥ ¸ð·¡Âò 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"AGI+10 ¿ä¸®°¡ 50°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "»ç¸·Àü°¥ ¸ð·¡Âò 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"AGI+10 ¿ä¸®°¡ 50°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16782: {
			unidentifiedDisplayName: "ºÒ»çÀÇ Âî°³ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"VIT+10 ¿ä¸®°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ºÒ»çÀÇ Âî°³ 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"VIT+10 ¿ä¸®°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16783: {
			unidentifiedDisplayName: "ºÒ»çÀÇ Âî°³ 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"VIT+10 ¿ä¸®°¡ 50°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ºÒ»çÀÇ Âî°³ 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"VIT+10 ¿ä¸®°¡ 50°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16784: {
			unidentifiedDisplayName: "Ä¬Å×ÀÏ ¿ëÀÇ ¼û°á 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"INT+10 ¿ä¸®°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Ä¬Å×ÀÏ ¿ëÀÇ ¼û°á 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"INT+10 ¿ä¸®°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16785: {
			unidentifiedDisplayName: "Ä¬Å×ÀÏ ¿ëÀÇ ¼û°á 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"INT+10 ¿ä¸®°¡ 50°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Ä¬Å×ÀÏ ¿ëÀÇ ¼û°á 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"INT+10 ¿ä¸®°¡ 50°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16786: {
			unidentifiedDisplayName: "Èåº£¸£°Ö¹Ì¸£ÀÇ ¼ú 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"DEX+10 ¿ä¸®°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Èåº£¸£°Ö¹Ì¸£ÀÇ ¼ú 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"DEX+10 ¿ä¸®°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16787: {
			unidentifiedDisplayName: "Èåº£¸£°Ö¹Ì¸£ÀÇ ¼ú 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"DEX+10 ¿ä¸®°¡ 50°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Èåº£¸£°Ö¹Ì¸£ÀÇ ¼ú 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"DEX+10 ¿ä¸®°¡ 50°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16788: {
			unidentifiedDisplayName: "±¸¹ÌÈ£ ²¿¸®¿ä¸® 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"LUK+10 ¿ä¸®°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "±¸¹ÌÈ£ ²¿¸®¿ä¸® 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"LUK+10 ¿ä¸®°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16789: {
			unidentifiedDisplayName: "±¸¹ÌÈ£ ²¿¸®¿ä¸® 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"LUK+10 ¿ä¸®°¡ 50°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "±¸¹ÌÈ£ ²¿¸®¿ä¸® 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"LUK+10 ¿ä¸®°¡ 50°³ µé¾îÀÖ´Â »óÀÚ. ¿ä¸®°¡ »óÇÏÁö ¾Êµµ·Ï Æ¯¼öÃ³¸®µÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16790: {
			unidentifiedDisplayName: "º¸ÇèÁõ¼­ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸¸ÀÏÀ» ´ëºñÇÏ´Â ´ç½Å¿¡°Ô! »ý¸íº¸Çè Áõ¼­°¡ 10Àå µé¾îÀÖ´Â »óÀÚ. ÇÏÁö¸¸ ÀÏºÎ·¯ ´ÙÄ¡Áö´Â ¸»ÀÚ.",
				"^ffffff_^000000",
				"»ý¸íº¸Çè Áõ¼­ - 30ºÐ°£ 1È¸¿¡ ÇÑÇØ, »ç¸Á ½Ã °æÇèÄ¡¸¦ ¶³±¸Áö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "º¸ÇèÁõ¼­ 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¸ÀÏÀ» ´ëºñÇÏ´Â ´ç½Å¿¡°Ô! »ý¸íº¸Çè Áõ¼­°¡ 10Àå µé¾îÀÖ´Â »óÀÚ. ÇÏÁö¸¸ ÀÏºÎ·¯ ´ÙÄ¡Áö´Â ¸»ÀÚ.",
				"^ffffff_^000000",
				"»ý¸íº¸Çè Áõ¼­ - 30ºÐ°£ 1È¸¿¡ ÇÑÇØ, »ç¸Á ½Ã °æÇèÄ¡¸¦ ¶³±¸Áö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16791: {
			unidentifiedDisplayName: "º¸ÇèÁõ¼­ 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸¸ÀÏÀ» ´ëºñÇÏ´Â ´ç½Å¿¡°Ô! »ý¸íº¸Çè Áõ¼­°¡ 50Àå µé¾îÀÖ´Â »óÀÚ. ÇÏÁö¸¸ ÀÏºÎ·¯ ´ÙÄ¡Áö´Â ¸»ÀÚ.",
				"^ffffff_^000000",
				"»ý¸íº¸Çè Áõ¼­ - 30ºÐ°£ 1È¸¿¡ ÇÑÇØ, »ç¸Á ½Ã °æÇèÄ¡¸¦ ¶³±¸Áö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "º¸ÇèÁõ¼­ 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¸ÀÏÀ» ´ëºñÇÏ´Â ´ç½Å¿¡°Ô! »ý¸íº¸Çè Áõ¼­°¡ 50Àå µé¾îÀÖ´Â »óÀÚ. ÇÏÁö¸¸ ÀÏºÎ·¯ ´ÙÄ¡Áö´Â ¸»ÀÚ.",
				"^ffffff_^000000",
				"»ý¸íº¸Çè Áõ¼­ - 30ºÐ°£ 1È¸¿¡ ÇÑÇØ, »ç¸Á ½Ã °æÇèÄ¡¸¦ ¶³±¸Áö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16792: {
			unidentifiedDisplayName: "Ä«ÇÁ¶ó ¸íÇÔ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Ä«ÇÁ¶ó Á÷¿øÀÇ ¸íÇÔÀÌ 10Àå µé¾îÀÖ´Â »óÀÚ. ¸íÇÔÀÌ µé¾îÀÖ´Â »óÀÚÄ¡°í´Â ºÎÇÇ°¡ Å©´Ù.",
				"^ffffff_^000000",
				"Ä«ÇÁ¶ó ¸íÇÔ - »ç¿ë ½Ã, Ä«ÇÁ¶ó Ã¢°í ¼­ºñ½º¸¦ 1È¸ »ç¿ëÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Ä«ÇÁ¶ó ¸íÇÔ 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä«ÇÁ¶ó Á÷¿øÀÇ ¸íÇÔÀÌ 10Àå µé¾îÀÖ´Â »óÀÚ. ¸íÇÔÀÌ µé¾îÀÖ´Â »óÀÚÄ¡°í´Â ºÎÇÇ°¡ Å©´Ù.",
				"^ffffff_^000000",
				"Ä«ÇÁ¶ó ¸íÇÔ - »ç¿ë ½Ã, Ä«ÇÁ¶ó Ã¢°í ¼­ºñ½º¸¦ 1È¸ »ç¿ëÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16793: {
			unidentifiedDisplayName: "Ä«ÇÁ¶ó ¸íÇÔ 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Ä«ÇÁ¶ó Á÷¿øÀÇ ¸íÇÔÀÌ 50Àå µé¾îÀÖ´Â »óÀÚ. ¸íÇÔÀÌ µé¾îÀÖ´Â »óÀÚÄ¡°í´Â ºÎÇÇ°¡ Å©´Ù.",
				"^ffffff_^000000",
				"Ä«ÇÁ¶ó ¸íÇÔ - »ç¿ë ½Ã, Ä«ÇÁ¶ó Ã¢°í ¼­ºñ½º¸¦ 1È¸ »ç¿ëÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Ä«ÇÁ¶ó ¸íÇÔ 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä«ÇÁ¶ó Á÷¿øÀÇ ¸íÇÔÀÌ 50Àå µé¾îÀÖ´Â »óÀÚ. ¸íÇÔÀÌ µé¾îÀÖ´Â »óÀÚÄ¡°í´Â ºÎÇÇ°¡ Å©´Ù.",
				"^ffffff_^000000",
				"Ä«ÇÁ¶ó ¸íÇÔ - »ç¿ë ½Ã, Ä«ÇÁ¶ó Ã¢°í ¼­ºñ½º¸¦ 1È¸ »ç¿ëÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16794: {
			unidentifiedDisplayName: "°Å´ëÇÑ ÆÄ¸®ÀÇ ³¯°³ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"°Å´ëÇÑ ÆÄ¸®ÀÇ ³¯°³°¡ 10Àå µé¾îÀÖ´Â »óÀÚ. ¸Å¿ì °¡º±´Ù.",
				"^ffffff_^000000",
				"°Å´ëÇÑ ÆÄ¸®ÀÇ ³¯°³ - ÆÄÆ¼ÀåÀÌ »ç¿ë ½Ã È¿·ÂÀÌ ¹ßµ¿ÇÏ¸ç, ÆÄÆ¼ÀåÀÌ ÀÌµ¿ÇÑ °÷À¸·Î °°Àº ¸ÊÀÇ ¸ðµç ÆÄÆ¼¿øÀÌ ÀÌµ¿ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°Å´ëÇÑ ÆÄ¸®ÀÇ ³¯°³ 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°Å´ëÇÑ ÆÄ¸®ÀÇ ³¯°³°¡ 10Àå µé¾îÀÖ´Â »óÀÚ. ¸Å¿ì °¡º±´Ù.",
				"^ffffff_^000000",
				"°Å´ëÇÑ ÆÄ¸®ÀÇ ³¯°³ - ÆÄÆ¼ÀåÀÌ »ç¿ë ½Ã È¿·ÂÀÌ ¹ßµ¿ÇÏ¸ç, ÆÄÆ¼ÀåÀÌ ÀÌµ¿ÇÑ °÷À¸·Î °°Àº ¸ÊÀÇ ¸ðµç ÆÄÆ¼¿øÀÌ ÀÌµ¿ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16795: {
			unidentifiedDisplayName: "°Å´ëÇÑ ÆÄ¸®ÀÇ ³¯°³ 100°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"°Å´ëÇÑ ÆÄ¸®ÀÇ ³¯°³°¡ 100Àå µé¾îÀÖ´Â »óÀÚ. ¸Å¿ì °¡º±´Ù.",
				"^ffffff_^000000",
				"°Å´ëÇÑ ÆÄ¸®ÀÇ ³¯°³ - ÆÄÆ¼ÀåÀÌ »ç¿ë ½Ã È¿·ÂÀÌ ¹ßµ¿ÇÏ¸ç, ÆÄÆ¼ÀåÀÌ ÀÌµ¿ÇÑ °÷À¸·Î °°Àº ¸ÊÀÇ ¸ðµç ÆÄÆ¼¿øÀÌ ÀÌµ¿ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°Å´ëÇÑ ÆÄ¸®ÀÇ ³¯°³ 100°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°Å´ëÇÑ ÆÄ¸®ÀÇ ³¯°³°¡ 100Àå µé¾îÀÖ´Â »óÀÚ. ¸Å¿ì °¡º±´Ù.",
				"^ffffff_^000000",
				"°Å´ëÇÑ ÆÄ¸®ÀÇ ³¯°³ - ÆÄÆ¼ÀåÀÌ »ç¿ë ½Ã È¿·ÂÀÌ ¹ßµ¿ÇÏ¸ç, ÆÄÆ¼ÀåÀÌ ÀÌµ¿ÇÑ °÷À¸·Î °°Àº ¸ÊÀÇ ¸ðµç ÆÄÆ¼¿øÀÌ ÀÌµ¿ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16796: {
			unidentifiedDisplayName: "ÁöÅ©ÇÁ¸®µåÀÇ ÁõÇ¥ 5°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"ÁöÅ©ÇÁ¸®µåÀÇ ÁõÇ¥°¡ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"ÁöÅ©ÇÁ¸®µåÀÇ ÁõÇ¥ - »ç¸Á½Ã »ç¸ÁÀå¼Ò¿¡¼­ ¹Ù·Î ºÎÈ° °¡´É",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÁöÅ©ÇÁ¸®µåÀÇ ÁõÇ¥ 5°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÁöÅ©ÇÁ¸®µåÀÇ ÁõÇ¥°¡ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"ÁöÅ©ÇÁ¸®µåÀÇ ÁõÇ¥ - »ç¸Á½Ã »ç¸ÁÀå¼Ò¿¡¼­ ¹Ù·Î ºÎÈ° °¡´É",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16797: {
			unidentifiedDisplayName: "ÁöÅ©ÇÁ¸®µåÀÇ ÁõÇ¥ 20°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"ÁöÅ©ÇÁ¸®µåÀÇ ÁõÇ¥°¡ 20°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"ÁöÅ©ÇÁ¸®µåÀÇ ÁõÇ¥ - »ç¸Á½Ã »ç¸ÁÀå¼Ò¿¡¼­ ¹Ù·Î ºÎÈ° °¡´É",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÁöÅ©ÇÁ¸®µåÀÇ ÁõÇ¥ 20°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÁöÅ©ÇÁ¸®µåÀÇ ÁõÇ¥°¡ 20°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"ÁöÅ©ÇÁ¸®µåÀÇ ÁõÇ¥ - »ç¸Á½Ã »ç¸ÁÀå¼Ò¿¡¼­ ¹Ù·Î ºÎÈ° °¡´É",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16798: {
			unidentifiedDisplayName: "º¼·Ï°Å¿ï 5°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"º¼·Ï°Å¿ïÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ!",
				"^ffffff_^000000",
				"º¼·Ï°Å¿ï - »ç¿ëÇÏ¸é ÇØ´ç ¸Ê¿¡¼­ MVP º¸½º ¸ó½ºÅÍ°¡ ÃâÇöÇÏ´Â ½Ã°£À» ¾Ë ¼ö ÀÖ´Ù.",
				"ÀÌ¹Ì ÃâÇöÇØ ÀÖ´Ù¸é Áö¼Ó½Ã°£µ¿¾È ¹Ì´Ï¸Ê¿¡¼­ À§Ä¡°¡ Ç¥½ÃµÈ´Ù.",
				"»ç¿ë ÈÄ 10ºÐ°£ Áö¼ÓµÇ¸ç, ¸ÊÀ» ¹þ¾î³ª°Å³ª Á¢¼ÓÀ» Á¾·áÇÏ¸é È¿°ú´Â »ç¶óÁø´Ù.",
				"Á×ÀºÀÚÀÇ ÁÖÀÎ, »ýÃ¼½ÇÇè ´øÀü ÃÖÇÏÃþ º¸½º, Å©Åø¶ó³«½º, ¸¶°Ë»ç Å¸³ªÅä½ºÀÇ ±â¾ï ¸ó½ºÅÍ¿Í",
				"ÀÏºÎ ÀÌº¥Æ®·Î ÃâÇöÇÏ´Â MVP º¸½º ¸ó½ºÅÍ´Â °¨ÁöÇÒ ¼ö ¾ø´Ù.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "º¼·Ï°Å¿ï 5°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¼·Ï°Å¿ïÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ!",
				"^ffffff_^000000",
				"º¼·Ï°Å¿ï - »ç¿ëÇÏ¸é ÇØ´ç ¸Ê¿¡¼­ MVP º¸½º ¸ó½ºÅÍ°¡ ÃâÇöÇÏ´Â ½Ã°£À» ¾Ë ¼ö ÀÖ´Ù.",
				"ÀÌ¹Ì ÃâÇöÇØ ÀÖ´Ù¸é Áö¼Ó½Ã°£µ¿¾È ¹Ì´Ï¸Ê¿¡¼­ À§Ä¡°¡ Ç¥½ÃµÈ´Ù.",
				"»ç¿ë ÈÄ 10ºÐ°£ Áö¼ÓµÇ¸ç, ¸ÊÀ» ¹þ¾î³ª°Å³ª Á¢¼ÓÀ» Á¾·áÇÏ¸é È¿°ú´Â »ç¶óÁø´Ù.",
				"Á×ÀºÀÚÀÇ ÁÖÀÎ, »ýÃ¼½ÇÇè ´øÀü ÃÖÇÏÃþ º¸½º, Å©Åø¶ó³«½º, ¸¶°Ë»ç Å¸³ªÅä½ºÀÇ ±â¾ï ¸ó½ºÅÍ¿Í",
				"ÀÏºÎ ÀÌº¥Æ®·Î ÃâÇöÇÏ´Â MVP º¸½º ¸ó½ºÅÍ´Â °¨ÁöÇÒ ¼ö ¾ø´Ù.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16799: {
			unidentifiedDisplayName: "º¼·Ï°Å¿ï 30°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"º¼·Ï°Å¿ïÀÌ 30°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ!",
				"^ffffff_^000000",
				"º¼·Ï°Å¿ï - »ç¿ëÇÏ¸é ÇØ´ç ¸Ê¿¡¼­ MVP º¸½º ¸ó½ºÅÍ°¡ ÃâÇöÇÏ´Â ½Ã°£À» ¾Ë ¼ö ÀÖ´Ù.",
				"ÀÌ¹Ì ÃâÇöÇØ ÀÖ´Ù¸é Áö¼Ó½Ã°£µ¿¾È ¹Ì´Ï¸Ê¿¡¼­ À§Ä¡°¡ Ç¥½ÃµÈ´Ù.",
				"»ç¿ë ÈÄ 10ºÐ°£ Áö¼ÓµÇ¸ç, ¸ÊÀ» ¹þ¾î³ª°Å³ª Á¢¼ÓÀ» Á¾·áÇÏ¸é È¿°ú´Â »ç¶óÁø´Ù.",
				"Á×ÀºÀÚÀÇ ÁÖÀÎ, »ýÃ¼½ÇÇè ´øÀü ÃÖÇÏÃþ º¸½º, Å©Åø¶ó³«½º, ¸¶°Ë»ç Å¸³ªÅä½ºÀÇ ±â¾ï ¸ó½ºÅÍ¿Í",
				"ÀÏºÎ ÀÌº¥Æ®·Î ÃâÇöÇÏ´Â MVP º¸½º ¸ó½ºÅÍ´Â °¨ÁöÇÒ ¼ö ¾ø´Ù.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "º¼·Ï°Å¿ï 30°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¼·Ï°Å¿ïÀÌ 30°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ!",
				"^ffffff_^000000",
				"º¼·Ï°Å¿ï - »ç¿ëÇÏ¸é ÇØ´ç ¸Ê¿¡¼­ MVP º¸½º ¸ó½ºÅÍ°¡ ÃâÇöÇÏ´Â ½Ã°£À» ¾Ë ¼ö ÀÖ´Ù.",
				"ÀÌ¹Ì ÃâÇöÇØ ÀÖ´Ù¸é Áö¼Ó½Ã°£µ¿¾È ¹Ì´Ï¸Ê¿¡¼­ À§Ä¡°¡ Ç¥½ÃµÈ´Ù.",
				"»ç¿ë ÈÄ 10ºÐ°£ Áö¼ÓµÇ¸ç, ¸ÊÀ» ¹þ¾î³ª°Å³ª Á¢¼ÓÀ» Á¾·áÇÏ¸é È¿°ú´Â »ç¶óÁø´Ù.",
				"Á×ÀºÀÚÀÇ ÁÖÀÎ, »ýÃ¼½ÇÇè ´øÀü ÃÖÇÏÃþ º¸½º, Å©Åø¶ó³«½º, ¸¶°Ë»ç Å¸³ªÅä½ºÀÇ ±â¾ï ¸ó½ºÅÍ¿Í",
				"ÀÏºÎ ÀÌº¥Æ®·Î ÃâÇöÇÏ´Â MVP º¸½º ¸ó½ºÅÍ´Â °¨ÁöÇÒ ¼ö ¾ø´Ù.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16800: {
			unidentifiedDisplayName: "ºí·¹½Ì ½ºÅ©·Ñ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"ºí·¹½Ì 10·¹º§ ½ºÅ©·ÑÀÌ 10Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ºí·¹½Ì ½ºÅ©·Ñ 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ºí·¹½Ì 10·¹º§ ½ºÅ©·ÑÀÌ 10Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16801: {
			unidentifiedDisplayName: "ºí·¹½Ì ½ºÅ©·Ñ 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"ºí·¹½Ì 10·¹º§ ½ºÅ©·ÑÀÌ 50Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ºí·¹½Ì ½ºÅ©·Ñ 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ºí·¹½Ì 10·¹º§ ½ºÅ©·ÑÀÌ 50Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16802: {
			unidentifiedDisplayName: "¹ÎÃ¸¼ºÁõ°¡ ½ºÅ©·Ñ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¹ÎÃ¸¼º Áõ°¡ 10·¹º§ ½ºÅ©·ÑÀÌ 10Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹ÎÃ¸¼ºÁõ°¡ ½ºÅ©·Ñ 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹ÎÃ¸¼º Áõ°¡ 10·¹º§ ½ºÅ©·ÑÀÌ 10Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16803: {
			unidentifiedDisplayName: "¹ÎÃ¸¼ºÁõ°¡ ½ºÅ©·Ñ 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¹ÎÃ¸¼º Áõ°¡ 10·¹º§ ½ºÅ©·ÑÀÌ 50Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹ÎÃ¸¼ºÁõ°¡ ½ºÅ©·Ñ 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹ÎÃ¸¼º Áõ°¡ 10·¹º§ ½ºÅ©·ÑÀÌ 50Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16804: {
			unidentifiedDisplayName: "¾Æµå·¹³¯¸°·¯½¬ ½ºÅ©·Ñ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¾Æµå·¹³¯¸° ·¯½¬ 5·¹º§ ½ºÅ©·ÑÀÌ 10Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¾Æµå·¹³¯¸°·¯½¬ ½ºÅ©·Ñ 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾Æµå·¹³¯¸° ·¯½¬ 5·¹º§ ½ºÅ©·ÑÀÌ 10Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16805: {
			unidentifiedDisplayName: "¾Æµå·¹³¯¸°·¯½¬ ½ºÅ©·Ñ 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¾Æµå·¹³¯¸° ·¯½¬ 5·¹º§ ½ºÅ©·ÑÀÌ 50Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¾Æµå·¹³¯¸°·¯½¬ ½ºÅ©·Ñ 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾Æµå·¹³¯¸° ·¯½¬ 5·¹º§ ½ºÅ©·ÑÀÌ 50Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16806: {
			unidentifiedDisplayName: "¾Æ½ºÆä¸£½Ã¿À ½ºÅ©·Ñ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¾Æ½ºÆä¸£½Ã¿À 5·¹º§ ½ºÅ©·ÑÀÌ 10Àå µé¾îÀÖ´Â »óÀÚ. ¼ºÁ÷ÀÚÀÇ Ãàº¹ÀÌ ±êµé¾î µû·Î ¼º¼ö¸¦ ¼Ò¸ðÇÏÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¾Æ½ºÆä¸£½Ã¿À ½ºÅ©·Ñ 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾Æ½ºÆä¸£½Ã¿À 5·¹º§ ½ºÅ©·ÑÀÌ 10Àå µé¾îÀÖ´Â »óÀÚ. ¼ºÁ÷ÀÚÀÇ Ãàº¹ÀÌ ±êµé¾î µû·Î ¼º¼ö¸¦ ¼Ò¸ðÇÏÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16807: {
			unidentifiedDisplayName: "¾Æ½ºÆä¸£½Ã¿À ½ºÅ©·Ñ 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¾Æ½ºÆä¸£½Ã¿À 5·¹º§ ½ºÅ©·ÑÀÌ 50Àå µé¾îÀÖ´Â »óÀÚ. ¼ºÁ÷ÀÚÀÇ Ãàº¹ÀÌ ±êµé¾î µû·Î ¼º¼ö¸¦ ¼Ò¸ðÇÏÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¾Æ½ºÆä¸£½Ã¿À ½ºÅ©·Ñ 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾Æ½ºÆä¸£½Ã¿À 5·¹º§ ½ºÅ©·ÑÀÌ 50Àå µé¾îÀÖ´Â »óÀÚ. ¼ºÁ÷ÀÚÀÇ Ãàº¹ÀÌ ±êµé¾î µû·Î ¼º¼ö¸¦ ¼Ò¸ðÇÏÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16808: {
			unidentifiedDisplayName: "ÀüÅõ±³¹ü »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀüÅõ±³¹ü Ã¥ÀÌ µé¾îÀÖ´Â ¹Ú½º. 1±ÇÀÇ Ã¥ÀÌ µé¾îÀÖ´Ù.",
				"^ffffff_^000000",
				"ÀüÅõ±³¹ü Ã¥ - 30ºÐ°£ È¹µæÇÏ´Â °æÇèÄ¡°¡ 50% Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀüÅõ±³¹ü »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀüÅõ±³¹ü Ã¥ÀÌ µé¾îÀÖ´Â ¹Ú½º. 1±ÇÀÇ Ã¥ÀÌ µé¾îÀÖ´Ù.",
				"^ffffff_^000000",
				"ÀüÅõ±³¹ü Ã¥ - 30ºÐ°£ È¹µæÇÏ´Â °æÇèÄ¡°¡ 50% Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16809: {
			unidentifiedDisplayName: "ÀüÅõ±³¹ü 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀüÅõ±³¹ü Ã¥ÀÌ µé¾îÀÖ´Â ¹Ú½º. 10±ÇÀÇ Ã¥ÀÌ µé¾îÀÖ´Ù.",
				"^ffffff_^000000",
				"ÀüÅõ±³¹ü Ã¥ - 30ºÐ°£ È¹µæÇÏ´Â °æÇèÄ¡°¡ 50% Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀüÅõ±³¹ü 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀüÅõ±³¹ü Ã¥ÀÌ µé¾îÀÖ´Â ¹Ú½º. 10±ÇÀÇ Ã¥ÀÌ µé¾îÀÖ´Ù.",
				"^ffffff_^000000",
				"ÀüÅõ±³¹ü Ã¥ - 30ºÐ°£ È¹µæÇÏ´Â °æÇèÄ¡°¡ 50% Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16810: {
			unidentifiedDisplayName: "Ç³¼±²­ ¹Ú½º",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"ÂÌ±êÂÌ±ê Çâ±ßÇÑ Ç³¼±²­ 1°³ µé¾îÀÖ´Â ¹Ú½º.",
				"^ffffff_^000000",
				"Ç³¼±²­ - 30ºÐ°£, ¸ó½ºÅÍ°¡ ¾ÆÀÌÅÛÀ» µå·ÓÇÒ È®·üÀÌ 100% Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Ç³¼±²­ ¹Ú½º",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÂÌ±êÂÌ±ê Çâ±ßÇÑ Ç³¼±²­ 1°³ µé¾îÀÖ´Â ¹Ú½º.",
				"^ffffff_^000000",
				"Ç³¼±²­ - 30ºÐ°£, ¸ó½ºÅÍ°¡ ¾ÆÀÌÅÛÀ» µå·ÓÇÒ È®·üÀÌ 100% Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16811: {
			unidentifiedDisplayName: "Ç³¼±²­ 10°³ ¹Ú½º",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"ÂÌ±êÂÌ±ê Çâ±ßÇÑ Ç³¼±²­ 10°³ µé¾îÀÖ´Â ¹Ú½º.",
				"^ffffff_^000000",
				"Ç³¼±²­ - 30ºÐ°£, ¸ó½ºÅÍ°¡ ¾ÆÀÌÅÛÀ» µå·ÓÇÒ È®·üÀÌ 100% Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Ç³¼±²­ 10°³ ¹Ú½º",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÂÌ±êÂÌ±ê Çâ±ßÇÑ Ç³¼±²­ 10°³ µé¾îÀÖ´Â ¹Ú½º.",
				"^ffffff_^000000",
				"Ç³¼±²­ - 30ºÐ°£, ¸ó½ºÅÍ°¡ ¾ÆÀÌÅÛÀ» µå·ÓÇÒ È®·üÀÌ 100% Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16812: {
			unidentifiedDisplayName: "È®¼º±â »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"È®¼º±â°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÃÊ¼ÒÇü È®¼º±âÀÎ µí ÇÏ´Ù.",
				"^ffffff_^000000",
				"È®¼º±â - ¼­¹ö ÀüÃ¼¿¡ ÀÚ½ÅÀÌ ÀÔ·ÂÇÑ ¹®ÀåÀ» ¹æ¼ÛÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "È®¼º±â »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È®¼º±â°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÃÊ¼ÒÇü È®¼º±âÀÎ µí ÇÏ´Ù.",
				"^ffffff_^000000",
				"È®¼º±â - ¼­¹ö ÀüÃ¼¿¡ ÀÚ½ÅÀÌ ÀÔ·ÂÇÑ ¹®ÀåÀ» ¹æ¼ÛÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16813: {
			unidentifiedDisplayName: "È®¼º±â 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"È®¼º±â°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ÃÊ¼ÒÇü È®¼º±âÀÎ µí ÇÏ´Ù.",
				"^ffffff_^000000",
				"È®¼º±â - ¼­¹ö ÀüÃ¼¿¡ ÀÚ½ÅÀÌ ÀÔ·ÂÇÑ ¹®ÀåÀ» ¹æ¼ÛÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "È®¼º±â 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È®¼º±â°¡ 10°³ µé¾îÀÖ´Â »óÀÚ. ÃÊ¼ÒÇü È®¼º±âÀÎ µí ÇÏ´Ù.",
				"^ffffff_^000000",
				"È®¼º±â - ¼­¹ö ÀüÃ¼¿¡ ÀÚ½ÅÀÌ ÀÔ·ÂÇÑ ¹®ÀåÀ» ¹æ¼ÛÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16814: {
			unidentifiedDisplayName: "³óÃà ¿¡¸£´½ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"³óÃà ¿¡¸£´½ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"³óÃà ¿¡¸£´½ - ¹æ¾î±¸ÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "³óÃà ¿¡¸£´½ 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³óÃà ¿¡¸£´½ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"³óÃà ¿¡¸£´½ - ¹æ¾î±¸ÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16815: {
			unidentifiedDisplayName: "³óÃà ¿¡¸£´½ 5°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"³óÃà ¿¡¸£´½ÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"³óÃà ¿¡¸£´½ - ¹æ¾î±¸ÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "³óÃà ¿¡¸£´½ 5°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³óÃà ¿¡¸£´½ÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"³óÃà ¿¡¸£´½ - ¹æ¾î±¸ÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16816: {
			unidentifiedDisplayName: "³óÃà ¿À¸®µ¥¿ÀÄÜ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"³óÃà ¿À¸®µ¥¿ÀÄÜÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"³óÃà ¿À¸®µ¥¿ÀÄÜ - ¹«±âÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "³óÃà ¿À¸®µ¥¿ÀÄÜ 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³óÃà ¿À¸®µ¥¿ÀÄÜÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"³óÃà ¿À¸®µ¥¿ÀÄÜ - ¹«±âÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16817: {
			unidentifiedDisplayName: "³óÃà ¿À¸®µ¥¿ÀÄÜ 5°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"³óÃà ¿À¸®µ¥¿ÀÄÜÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"³óÃà ¿À¸®µ¥¿ÀÄÜ - ¹«±âÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "³óÃà ¿À¸®µ¥¿ÀÄÜ 5°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³óÃà ¿À¸®µ¥¿ÀÄÜÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"³óÃà ¿À¸®µ¥¿ÀÄÜ - ¹«±âÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16818: {
			unidentifiedDisplayName: "¼¶±¤¸·´ë »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¼¶±¤¸·´ë°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ!",
				"^ffffff_^000000",
				"¼¶±¤¸·´ë - ½ºÅ³Æ®¸®¸¦ ÃÊ±âÈ­ ½ÃÄÑÁØ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¼¶±¤¸·´ë »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼¶±¤¸·´ë°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ!",
				"^ffffff_^000000",
				"¼¶±¤¸·´ë - ½ºÅ³Æ®¸®¸¦ ÃÊ±âÈ­ ½ÃÄÑÁØ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16819: {
			unidentifiedDisplayName: "¿¬¸¶Á¦ 5°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¹«±â¸¦ ³¯Ä«·Ó°Ô ¸¸µå´Â ¿¬¸¶Á¦°¡ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹«±â¿¡ ¹Ù¸£¸é 5ºÐ°£ Å©¸®Æ¼ÄÃ È®·üÀÌ 30 Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿¬¸¶Á¦ 5°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«±â¸¦ ³¯Ä«·Ó°Ô ¸¸µå´Â ¿¬¸¶Á¦°¡ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹«±â¿¡ ¹Ù¸£¸é 5ºÐ°£ Å©¸®Æ¼ÄÃ È®·üÀÌ 30 Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16820: {
			unidentifiedDisplayName: "¿¬¸¶Á¦ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¹«±â¸¦ ³¯Ä«·Ó°Ô ¸¸µå´Â ¿¬¸¶Á¦°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹«±â¿¡ ¹Ù¸£¸é 5ºÐ°£ Å©¸®Æ¼ÄÃ È®·üÀÌ 30 Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿¬¸¶Á¦ 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«±â¸¦ ³¯Ä«·Ó°Ô ¸¸µå´Â ¿¬¸¶Á¦°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹«±â¿¡ ¹Ù¸£¸é 5ºÐ°£ Å©¸®Æ¼ÄÃ È®·üÀÌ 30 Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16821: {
			unidentifiedDisplayName: "´øÀü ÀÌµ¿ ½ºÅ©·Ñ 5°³ »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¿©·¯ ´øÀüÀÇ ÁÂÇ¥°¡ ±â·ÏµÇ¾î ÀÖ´Â ½ºÅ©·ÑÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ. »ç¿ëÇÏ¸é ±× ´øÀüÀ¸·Î ¹Ù·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Â µí ÇÏ´Ù.",
				"\"¿ë¾Ï´øÀü\" \"Æó±¤´øÀü\" \"¿ò¹ß¶ó ´øÀü\" \"¾ÆÀÎºê·ÎÅ© ±¤»ê´øÀü\" \"ÆäÀÌ¿æ ´øÀü\" \"Àå³­°¨ ´øÀü\" \"°í¼º °¨¿Á´øÀü\" \"¿ëÁö¼º´øÀü\" \"Äï·é´øÀü\" \"ÀÌÁî·çµå ´øÀü\" \"°ÅºÏ¼¶´øÀü\" \"½Ã°èÅ¾ ÁöÇÏ3Ãþ\" \"½Ã°èÅ¾ Áö»ó 3Ãþ\" \"°í¼º ÁöÇÏ¼ö·Î 2Ãþ\" \"½ºÇÎÅ©½º ´øÀü 4Ãþ\" \"ÇÇ¶ó¹Ìµå ´øÀü 4Ãþ\" \"ÇÁ·Ð",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "´øÀü ÀÌµ¿ ½ºÅ©·Ñ 5°³ »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿©·¯ ´øÀüÀÇ ÁÂÇ¥°¡ ±â·ÏµÇ¾î ÀÖ´Â ½ºÅ©·ÑÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ. »ç¿ëÇÏ¸é ±× ´øÀüÀ¸·Î ¹Ù·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Â µí ÇÏ´Ù.",
				"¿ë¾Ï´øÀü \"Æó±¤´øÀü\" \"¿ò¹ß¶ó ´øÀü\" \"¾ÆÀÎºê·ÎÅ© ±¤»ê´øÀü\" \"ÆäÀÌ¿æ ´øÀü\" \"Àå³­°¨ ´øÀü\" \"°í¼º °¨¿Á´øÀü\" \"¿ëÁö¼º´øÀü\" \"Äï·é´øÀü\" \"ÀÌÁî·çµå ´øÀü\" \"°ÅºÏ¼¶´øÀü\" \"½Ã°èÅ¾ ÁöÇÏ3Ãþ\" \"½Ã°èÅ¾ Áö»ó 3Ãþ\" \"°í¼º ÁöÇÏ¼ö·Î 2Ãþ\" \"½ºÇÎÅ©½º ´øÀü 4Ãþ\" \"ÇÇ¶ó¹Ìµå ´øÀü 4Ãþ\" \"ÇÁ·Ð",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16822: {
			unidentifiedDisplayName: "´øÀü ÀÌµ¿ ½ºÅ©·Ñ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¿©·¯ ´øÀüÀÇ ÁÂÇ¥°¡ ±â·ÏµÇ¾î ÀÖ´Â ½ºÅ©·ÑÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. »ç¿ëÇÏ¸é ±× ´øÀüÀ¸·Î ¹Ù·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Â µí ÇÏ´Ù.",
				"\"¿ë¾Ï´øÀü\" \"Æó±¤´øÀü\" \"¿ò¹ß¶ó ´øÀü\" \"¾ÆÀÎºê·ÎÅ© ±¤»ê´øÀü\" \"ÆäÀÌ¿æ ´øÀü\" \"Àå³­°¨ ´øÀü\" \"°í¼º °¨¿Á´øÀü\" \"¿ëÁö¼º´øÀü\" \"Äï·é´øÀü\" \"ÀÌÁî·çµå ´øÀü\" \"°ÅºÏ¼¶´øÀü\" \"½Ã°èÅ¾ ÁöÇÏ3Ãþ\" \"½Ã°èÅ¾ Áö»ó 3Ãþ\" \"°í¼º ÁöÇÏ¼ö·Î 2Ãþ\" \"½ºÇÎÅ©½º ´øÀü 4Ãþ\" \"ÇÇ¶ó¹Ìµå ´øÀü 4Ãþ\" \"ÇÁ·Ð",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "´øÀü ÀÌµ¿ ½ºÅ©·Ñ 10°³ »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿©·¯ ´øÀüÀÇ ÁÂÇ¥°¡ ±â·ÏµÇ¾î ÀÖ´Â ½ºÅ©·ÑÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. »ç¿ëÇÏ¸é ±× ´øÀüÀ¸·Î ¹Ù·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Â µí ÇÏ´Ù.",
				"¿ë¾Ï´øÀü \"Æó±¤´øÀü\" \"¿ò¹ß¶ó ´øÀü\" \"¾ÆÀÎºê·ÎÅ© ±¤»ê´øÀü\" \"ÆäÀÌ¿æ ´øÀü\" \"Àå³­°¨ ´øÀü\" \"°í¼º °¨¿Á´øÀü\" \"¿ëÁö¼º´øÀü\" \"Äï·é´øÀü\" \"ÀÌÁî·çµå ´øÀü\" \"°ÅºÏ¼¶´øÀü\" \"½Ã°èÅ¾ ÁöÇÏ3Ãþ\" \"½Ã°èÅ¾ Áö»ó 3Ãþ\" \"°í¼º ÁöÇÏ¼ö·Î 2Ãþ\" \"½ºÇÎÅ©½º ´øÀü 4Ãþ\" \"ÇÇ¶ó¹Ìµå ´øÀü 4Ãþ\" \"ÇÁ·Ð",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16823: {
			unidentifiedDisplayName: "Çï½ºÀå È¸¿ø±Ç »óÀÚ",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¼ÒÁö·®À» ´Ã·ÁÁÖ´Â Çï½ºÀå È¸¿ø±ÇÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"ÀÌ È¸¿ø±ÇÀ» Æ¯Á¤ NPC¿¡°Ô Àü´ÞÇÒ °æ¿ì, NPC°¡ Æ¯¼öÇÑ ¼ÒÁö·® Áõ°¡ ½ºÅ³À» °¡¸£ÃÄ ÁØ´Ù.",
				"½ºÅ³ ·¹º§ 1 ´ç, 200ÀÇ ¼ÒÁö·®ÀÌ Áõ°¡ÇÏ¸ç, 10·¹º§±îÁö ¹è¿ï ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Çï½ºÀå È¸¿ø±Ç »óÀÚ",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼ÒÁö·®À» ´Ã·ÁÁÖ´Â Çï½ºÀå È¸¿ø±ÇÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"ÀÌ È¸¿ø±ÇÀ» Æ¯Á¤ NPC¿¡°Ô Àü´ÞÇÒ °æ¿ì, NPC°¡ Æ¯¼öÇÑ ¼ÒÁö·® Áõ°¡ ½ºÅ³À» °¡¸£ÃÄ ÁØ´Ù.",
				"½ºÅ³ ·¹º§ 1 ´ç, 200ÀÇ ¼ÒÁö·®ÀÌ Áõ°¡ÇÏ¸ç, 10·¹º§±îÁö ¹è¿ï ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16824: {
			unidentifiedDisplayName: "È¸º¹·Â Çâ»óÆ÷¼Ç 5°³ »óÀÚ",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"È¸º¹·Â Çâ»ó Æ÷¼ÇÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"º¹¿ëÇÏ¸é ¹Þ´Â Èú°ú »ç¿ëÇÏ´Â ÀÏºÎ Æ÷¼Ç°è¿­ È¸º¹ ¾ÆÀÌÅÛÀÇ ¼º´ÉÀÌ 30ºÐ°£ 20% »ó½ÂÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "È¸º¹·Â Çâ»óÆ÷¼Ç 5°³ »óÀÚ",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È¸º¹·Â Çâ»ó Æ÷¼ÇÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"º¹¿ëÇÏ¸é ¹Þ´Â Èú°ú »ç¿ëÇÏ´Â ÀÏºÎ Æ÷¼Ç°è¿­ È¸º¹ ¾ÆÀÌÅÛÀÇ ¼º´ÉÀÌ 30ºÐ°£ 20% »ó½ÂÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16825: {
			unidentifiedDisplayName: "È¸º¹·Â Çâ»óÆ÷¼Ç 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"È¸º¹·Â Çâ»ó Æ÷¼ÇÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"º¹¿ëÇÏ¸é ¹Þ´Â Èú°ú »ç¿ëÇÏ´Â ÀÏºÎ Æ÷¼Ç°è¿­ È¸º¹ ¾ÆÀÌÅÛÀÇ ¼º´ÉÀÌ 30ºÐ°£ 20% »ó½ÂÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "È¸º¹·Â Çâ»óÆ÷¼Ç 10°³ »óÀÚ",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È¸º¹·Â Çâ»ó Æ÷¼ÇÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"º¹¿ëÇÏ¸é ¹Þ´Â Èú°ú »ç¿ëÇÏ´Â ÀÏºÎ Æ÷¼Ç°è¿­ È¸º¹ ¾ÆÀÌÅÛÀÇ ¼º´ÉÀÌ 30ºÐ°£ 20% »ó½ÂÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16827: {
			unidentifiedDisplayName: "¼ÒÇü »ý¸í¼ö 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¼ÒÇü »ý¸í¼ö°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 5ÃÊ¸¶´Ù MHPÀÇ 5%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¼ÒÇü »ý¸í¼ö 10°³ »óÀÚ",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼ÒÇü »ý¸í¼ö°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 5ÃÊ¸¶´Ù MaxHPÀÇ 5%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16828: {
			unidentifiedDisplayName: "¼ÒÇü »ý¸í¼ö 50°³ »óÀÚ",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¼ÒÇü »ý¸í¼ö°¡ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 5ÃÊ¸¶´Ù MHPÀÇ 5%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¼ÒÇü »ý¸í¼ö 50°³ »óÀÚ",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼ÒÇü »ý¸í¼ö°¡ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 5ÃÊ¸¶´Ù MaxHPÀÇ 5%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16829: {
			unidentifiedDisplayName: "ÁßÇü »ý¸í¼ö 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"ÁßÇü »ý¸í¼ö°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 4ÃÊ¸¶´Ù MHPÀÇ 7%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÁßÇü »ý¸í¼ö 10°³ »óÀÚ",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÁßÇü »ý¸í¼ö°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 4ÃÊ¸¶´Ù MaxHPÀÇ 7%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16830: {
			unidentifiedDisplayName: "ÁßÇü »ý¸í¼ö 50°³ »óÀÚ",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"ÁßÇü »ý¸í¼ö°¡ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 4ÃÊ¸¶´Ù MHPÀÇ 7%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÁßÇü »ý¸í¼ö 50°³ »óÀÚ",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÁßÇü »ý¸í¼ö°¡ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 4ÃÊ¸¶´Ù MaxHPÀÇ 7%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16831: {
			unidentifiedDisplayName: "È¯¿µÀÇ ¼úÀÜ 5°³ »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"È¯¿µÀÇ ¼úÀÜÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"È¯¿µÀÇ ¼úÀÜ - 1ºÐ°£ ¿ÏÀüÈ¸ÇÇ + 20. 5ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "È¯¿µÀÇ ¼úÀÜ 5°³ »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È¯¿µÀÇ ¼úÀÜÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"È¯¿µÀÇ ¼úÀÜ - 1ºÐ°£ ¿ÏÀüÈ¸ÇÇ + 20. 5ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16832: {
			unidentifiedDisplayName: "È¯¿µÀÇ ¼úÀÜ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"È¯¿µÀÇ ¼úÀÜÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"È¯¿µÀÇ ¼úÀÜ - 1ºÐ°£ ¿ÏÀüÈ¸ÇÇ + 20. 5ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "È¯¿µÀÇ ¼úÀÜ 10°³ »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È¯¿µÀÇ ¼úÀÜÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"È¯¿µÀÇ ¼úÀÜ - 1ºÐ°£ ¿ÏÀüÈ¸ÇÇ + 20. 5ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16833: {
			unidentifiedDisplayName: "½¦µµ¿ì ¾Æ¸Ó ½ºÅ©·Ñ 5°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"½¦µµ¿ì ¾Æ¸Ó ½ºÅ©·ÑÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"½¦µµ¿ì ¾Æ¸Ó ½ºÅ©·Ñ - ¸ö ¼Ó¼ºÀ» 30ºÐ°£ ¾Ï¼Ó¼ºÀ¸·Î º¯È­½ÃÅ²´Ù. »ç¸Á ½Ã¿¡µµ È¿°ú´Â »ç¶óÁöÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½¦µµ¿ì ¾Æ¸Ó ½ºÅ©·Ñ 5°³ »óÀÚ",
			identifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½¦µµ¿ì ¾Æ¸Ó ½ºÅ©·ÑÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"½¦µµ¿ì ¾Æ¸Ó ½ºÅ©·Ñ - ¸ö ¼Ó¼ºÀ» 30ºÐ°£ ¾Ï¼Ó¼ºÀ¸·Î º¯È­½ÃÅ²´Ù. »ç¸Á ½Ã¿¡µµ È¿°ú´Â »ç¶óÁöÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16834: {
			unidentifiedDisplayName: "½¦µµ¿ì ¾Æ¸Ó ½ºÅ©·Ñ 30°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"½¦µµ¿ì ¾Æ¸Ó ½ºÅ©·ÑÀÌ 30°³ µé¾îÀÖ´Â »óÀÚ.",
				"½¦µµ¿ì ¾Æ¸Ó ½ºÅ©·Ñ - ¸ö ¼Ó¼ºÀ» 30ºÐ°£ ¾Ï¼Ó¼ºÀ¸·Î º¯È­½ÃÅ²´Ù. »ç¸Á ½Ã¿¡µµ È¿°ú´Â »ç¶óÁöÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½¦µµ¿ì ¾Æ¸Ó ½ºÅ©·Ñ 30°³ »óÀÚ",
			identifiedResourceName: "\xbf\xec\xbf\xef\xc7\xd1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½¦µµ¿ì ¾Æ¸Ó ½ºÅ©·ÑÀÌ 30°³ µé¾îÀÖ´Â »óÀÚ.",
				"½¦µµ¿ì ¾Æ¸Ó ½ºÅ©·Ñ - ¸ö ¼Ó¼ºÀ» 30ºÐ°£ ¾Ï¼Ó¼ºÀ¸·Î º¯È­½ÃÅ²´Ù. »ç¸Á ½Ã¿¡µµ È¿°ú´Â »ç¶óÁöÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16835: {
			unidentifiedDisplayName: "È¦¸® ¾Æ¸Ó ½ºÅ©·Ñ 5°³ »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"È¦¸® ¾Æ¸Ó ½ºÅ©·ÑÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"È¦¸® ¾Æ¸Ó ½ºÅ©·Ñ - ¸ö ¼Ó¼ºÀ» 30ºÐ°£ ¼º¼Ó¼ºÀ¸·Î º¯È­½ÃÅ²´Ù. »ç¸Á ½Ã¿¡µµ È¿°ú´Â »ç¶óÁöÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "È¦¸® ¾Æ¸Ó ½ºÅ©·Ñ 5°³ »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È¦¸® ¾Æ¸Ó ½ºÅ©·ÑÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"È¦¸® ¾Æ¸Ó ½ºÅ©·Ñ - ¸ö ¼Ó¼ºÀ» 30ºÐ°£ ¼º¼Ó¼ºÀ¸·Î º¯È­½ÃÅ²´Ù. »ç¸Á ½Ã¿¡µµ È¿°ú´Â »ç¶óÁöÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16836: {
			unidentifiedDisplayName: "È¦¸® ¾Æ¸Ó ½ºÅ©·Ñ 30°³ »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"È¦¸® ¾Æ¸Ó ½ºÅ©·ÑÀÌ 30°³ µé¾îÀÖ´Â »óÀÚ.",
				"È¦¸® ¾Æ¸Ó ½ºÅ©·Ñ - ¸ö ¼Ó¼ºÀ» 30ºÐ°£ ¼º¼Ó¼ºÀ¸·Î º¯È­½ÃÅ²´Ù. »ç¸Á ½Ã¿¡µµ È¿°ú´Â »ç¶óÁöÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "È¦¸® ¾Æ¸Ó ½ºÅ©·Ñ 30°³ »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È¦¸® ¾Æ¸Ó ½ºÅ©·ÑÀÌ 30°³ µé¾îÀÖ´Â »óÀÚ.",
				"È¦¸® ¾Æ¸Ó ½ºÅ©·Ñ - ¸ö ¼Ó¼ºÀ» 30ºÐ°£ ¼º¼Ó¼ºÀ¸·Î º¯È­½ÃÅ²´Ù. »ç¸Á ½Ã¿¡µµ È¿°ú´Â »ç¶óÁöÁö ¾Ê´Â´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16837: {
			unidentifiedDisplayName: "´øÀü ÀÌµ¿ ½ºÅ©·ÑII 5°³ »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"´øÀü ÀÌµ¿ ½ºÅ©·Ñ II °¡ 5Àå µé¾îÀÖ´Â »óÀÚ.",
				"\"Åä¸£È­»ê ´øÀü 2Ãþ\" \"¾óÀ½´øÀü ÀÔ±¸\" \"º£ÀÎ½º ³ª·çÅÍ\" \"´ÏÇÃÇìÀÓ\" \"¹Ì±Ã\" \"À¯Æä·Î½º\" \"°³¹Ì´øÀü\" \"Å³ ÇÏÀÌ¸£ ÇÐ¿ø ÀÔ±¸\" \"Å¸³ªÅä½º Å¸¿ö ÀÔ±¸\" \"¾îºñ½º ·¹ÀÌÅ© ÀÔ±¸\" \"¶óÇï ½ÅÀü ÀÔ±¸\" \"¿Àµò ½ÅÀü\" À¸·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "´øÀü ÀÌµ¿ ½ºÅ©·ÑII 5°³ »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´øÀü ÀÌµ¿ ½ºÅ©·Ñ II °¡ 5Àå µé¾îÀÖ´Â »óÀÚ.",
				"Åä¸£È­»ê ´øÀü 2Ãþ \"¾óÀ½´øÀü ÀÔ±¸\" \"º£ÀÎ½º ³ª·çÅÍ\" \"´ÏÇÃÇìÀÓ\" \"¹Ì±Ã\" \"À¯Æä·Î½º\" \"°³¹Ì´øÀü\" \"Å³ ÇÏÀÌ¸£ ÇÐ¿ø ÀÔ±¸\" \"Å¸³ªÅä½º Å¸¿ö ÀÔ±¸\" \"¾îºñ½º ·¹ÀÌÅ© ÀÔ±¸\" \"¶óÇï ½ÅÀü ÀÔ±¸\" \"¿Àµò ½ÅÀü\" À¸·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16838: {
			unidentifiedDisplayName: "´øÀü ÀÌµ¿ ½ºÅ©·ÑII 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"´øÀü ÀÌµ¿ ½ºÅ©·Ñ II °¡ 10Àå µé¾îÀÖ´Â »óÀÚ.",
				"\"Åä¸£È­»ê ´øÀü 2Ãþ\" \"¾óÀ½´øÀü ÀÔ±¸\" \"º£ÀÎ½º ³ª·çÅÍ\" \"´ÏÇÃÇìÀÓ\" \"¹Ì±Ã\" \"À¯Æä·Î½º\" \"°³¹Ì´øÀü\" \"Å³ ÇÏÀÌ¸£ ÇÐ¿ø ÀÔ±¸\" \"Å¸³ªÅä½º Å¸¿ö ÀÔ±¸\" \"¾îºñ½º ·¹ÀÌÅ© ÀÔ±¸\" \"¶óÇï ½ÅÀü ÀÔ±¸\" \"¿Àµò ½ÅÀü\" À¸·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "´øÀü ÀÌµ¿ ½ºÅ©·ÑII 10°³ »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´øÀü ÀÌµ¿ ½ºÅ©·Ñ II °¡ 10Àå µé¾îÀÖ´Â »óÀÚ.",
				"Åä¸£È­»ê ´øÀü 2Ãþ \"¾óÀ½´øÀü ÀÔ±¸\" \"º£ÀÎ½º ³ª·çÅÍ\" \"´ÏÇÃÇìÀÓ\" \"¹Ì±Ã\" \"À¯Æä·Î½º\" \"°³¹Ì´øÀü\" \"Å³ ÇÏÀÌ¸£ ÇÐ¿ø ÀÔ±¸\" \"Å¸³ªÅä½º Å¸¿ö ÀÔ±¸\" \"¾îºñ½º ·¹ÀÌÅ© ÀÔ±¸\" \"¶óÇï ½ÅÀü ÀÔ±¸\" \"¿Àµò ½ÅÀü\" À¸·Î ÀÌµ¿ÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16839: {
			unidentifiedDisplayName: "ÅåÅåÄµµð 5°³ »óÀÚ",
			unidentifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"ÀÔ¾È¿¡ ³ÖÀ¸¸é ÅåÅå Æ¢´Â ½Å±âÇÑ »çÅÁÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ. ¸Ô°í ³ª¼± ÀÌ»¡À» ²À ´Ûµµ·Ï ÇÏÀÚ.",
				"1ºÐµ¿¾È ATK + 20, °ø°Ý¼Óµµ + 25%, ¹«ÇÑÀÎµà¾î»óÅÂ. 10ÃÊ´ç HP 100¾¿ °¨¼Ò.",
				"3ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÅåÅåÄµµð 5°³ »óÀÚ",
			identifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¾È¿¡ ³ÖÀ¸¸é ÅåÅå Æ¢´Â ½Å±âÇÑ »çÅÁÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ. ¸Ô°í ³ª¼± ÀÌ»¡À» ²À ´Ûµµ·Ï ÇÏÀÚ.",
				"1ºÐµ¿¾È ATK + 20, °ø°Ý¼Óµµ + 25%, ¹«ÇÑÀÎµà¾î»óÅÂ. 10ÃÊ´ç HP 100¾¿ °¨¼Ò.",
				"3ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16840: {
			unidentifiedDisplayName: "ÅåÅåÄµµð 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"ÀÔ¾È¿¡ ³ÖÀ¸¸é ÅåÅå Æ¢´Â ½Å±âÇÑ »çÅÁÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. ¸Ô°í ³ª¼± ÀÌ»¡À» ²À ´Ûµµ·Ï ÇÏÀÚ.",
				"1ºÐµ¿¾È ATK + 20, °ø°Ý¼Óµµ + 25%, ¹«ÇÑÀÎµà¾î»óÅÂ. 10ÃÊ´ç HP 100¾¿ °¨¼Ò.",
				"3ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÅåÅåÄµµð 10°³ »óÀÚ",
			identifiedResourceName: "\xc7\xe6\xb6\xb1\xc0\xcc\xb4\xc2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¾È¿¡ ³ÖÀ¸¸é ÅåÅå Æ¢´Â ½Å±âÇÑ »çÅÁÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. ¸Ô°í ³ª¼± ÀÌ»¡À» ²À ´Ûµµ·Ï ÇÏÀÚ.",
				"1ºÐµ¿¾È ATK + 20, °ø°Ý¼Óµµ + 25%, ¹«ÇÑÀÎµà¾î»óÅÂ. 10ÃÊ´ç HP 100¾¿ °¨¼Ò.",
				"3ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16841: {
			unidentifiedDisplayName: "¹«±â¼ö¸® ½ºÅ©·Ñ »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¹«±â¼ö¸® 1½ºÅ³À» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·ÑÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ. ÀÚ¸ÅÇ°À¸·Î ¼ö¸®¿¡ ÇÊ¿äÇÑ ¿©·¯°¡Áö ±¤¼®ÀÌ ÇÔ²² µé¾îÀÖ´Ù.",
				"ÀÌ »óÀÚ¿¡¼­ ³ª¿À´Â ¼ö¸® Àç·áµéÀº ´Ù¸¥ ¿ëµµ·Î »ç¿ëÇÏ´Âµ¥ ºÒÆíÇÔÀÌ ÀÖÀ» ¼ö ÀÖ½À´Ï´Ù. ÁÖÀÇÇÏ½Ê½Ã¿À.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹«±â¼ö¸® ½ºÅ©·Ñ »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«±â¼ö¸® 1½ºÅ³À» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·ÑÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ. ÀÚ¸ÅÇ°À¸·Î ¼ö¸®¿¡ ÇÊ¿äÇÑ ¿©·¯°¡Áö ±¤¼®ÀÌ ÇÔ²² µé¾îÀÖ´Ù.",
				"ÀÌ »óÀÚ¿¡¼­ ³ª¿À´Â ¼ö¸® Àç·áµéÀº ´Ù¸¥ ¿ëµµ·Î »ç¿ëÇÏ´Âµ¥ ºÒÆíÇÔÀÌ ÀÖÀ» ¼ö ÀÖ½À´Ï´Ù. ÁÖÀÇÇÏ½Ê½Ã¿À.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16842: {
			unidentifiedDisplayName: "¹«±â ¼ö¸® ÁÖ¹®¼­ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¹«±â¼ö¸® 1½ºÅ³À» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·ÑÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. ÀÚ¸ÅÇ°À¸·Î ¼ö¸®¿¡ ÇÊ¿äÇÑ ¿©·¯°¡Áö ±¤¼®ÀÌ ÇÔ²² µé¾îÀÖ´Ù.",
				"ÀÌ »óÀÚ¿¡¼­ ³ª¿À´Â ¼ö¸® Àç·áµéÀº ´Ù¸¥ ¿ëµµ·Î »ç¿ëÇÏ´Âµ¥ ºÒÆíÇÔÀÌ ÀÖÀ» ¼ö ÀÖ½À´Ï´Ù. ÁÖÀÇÇÏ½Ê½Ã¿À.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹«±â ¼ö¸® ÁÖ¹®¼­ 10°³ »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"¹«±â¼ö¸® 1½ºÅ³À» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·ÑÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. ÀÚ¸ÅÇ°À¸·Î ¼ö¸®¿¡ ÇÊ¿äÇÑ ¿©·¯°¡Áö ±¤¼®ÀÌ ÇÔ²² µé¾îÀÖ´Ù.",
				"ÀÌ »óÀÚ¿¡¼­ ³ª¿À´Â ¼ö¸® Àç·áµéÀº ´Ù¸¥ ¿ëµµ·Î »ç¿ëÇÏ´Âµ¥ ºÒÆíÇÔÀÌ ÀÖÀ» ¼ö ÀÖ½À´Ï´Ù. ÁÖÀÇÇÏ½Ê½Ã¿À.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16843: {
			unidentifiedDisplayName: "¹Ì¿ë»óÇ°±Ç »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¹Ì¿ë»óÇ°±ÇÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ´Ù¸¥ »ç¶÷µé°ú Â÷º°µÈ ¹«¾ð°¡¸¦ ¿øÇÏ´Â ´ç½ÅÀ» À§ÇÑ ¾ÆÀÌÅÛÀÌ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹Ì¿ë»óÇ°±Ç »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹Ì¿ë»óÇ°±ÇÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ´Ù¸¥ »ç¶÷µé°ú Â÷º°µÈ ¹«¾ð°¡¸¦ ¿øÇÏ´Â ´ç½ÅÀ» À§ÇÑ ¾ÆÀÌÅÛÀÌ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16844: {
			unidentifiedDisplayName: "¿¤¸®½º ¼ÒÈ¯¼­ »óÀÚ 5",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸ó½ºÅÍ ¿¤¸®½º¸¦ ¿ëº´À¸·Î ºÒ·¯³¾ ¼ö ÀÖ´Â ¼ÒÈ¯¼­°¡ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿¤¸®½º ¼ÒÈ¯¼­ »óÀÚ 5",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸ó½ºÅÍ ¿¤¸®½º¸¦ ¿ëº´À¸·Î ºÒ·¯³¾ ¼ö ÀÖ´Â ¼ÒÈ¯¼­°¡ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16845: {
			unidentifiedDisplayName: "¿¤¸®½º ¼ÒÈ¯¼­ »óÀÚ 10",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸ó½ºÅÍ ¿¤¸®½º¸¦ ¿ëº´À¸·Î ºÒ·¯³¾ ¼ö ÀÖ´Â ¼ÒÈ¯¼­°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿¤¸®½º ¼ÒÈ¯¼­ »óÀÚ 10",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸ó½ºÅÍ ¿¤¸®½º¸¦ ¿ëº´À¸·Î ºÒ·¯³¾ ¼ö ÀÖ´Â ¼ÒÈ¯¼­°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16846: {
			unidentifiedDisplayName: "¹Ì¹Í ¼ÒÈ¯¼­ »óÀÚ 5",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸ó½ºÅÍ ¹Ì¹ÍÀ» ¿ëº´À¸·Î ºÒ·¯³¾ ¼ö ÀÖ´Â ¼ÒÈ¯¼­°¡ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹Ì¹Í ¼ÒÈ¯¼­ »óÀÚ 5",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸ó½ºÅÍ ¹Ì¹ÍÀ» ¿ëº´À¸·Î ºÒ·¯³¾ ¼ö ÀÖ´Â ¼ÒÈ¯¼­°¡ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16847: {
			unidentifiedDisplayName: "¹Ì¹Í ¼ÒÈ¯¼­ »óÀÚ 10",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸ó½ºÅÍ ¹Ì¹ÍÀ» ¿ëº´À¸·Î ºÒ·¯³¾ ¼ö ÀÖ´Â ¼ÒÈ¯¼­°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹Ì¹Í ¼ÒÈ¯¼­ »óÀÚ 10",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸ó½ºÅÍ ¹Ì¹ÍÀ» ¿ëº´À¸·Î ºÒ·¯³¾ ¼ö ÀÖ´Â ¼ÒÈ¯¼­°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16848: {
			unidentifiedDisplayName: "µð½º°¡ÀÌÁî ¼ÒÈ¯¼­ »óÀÚ 5",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸ó½ºÅÍ µð½º°¡ÀÌÁî¸¦ ¿ëº´À¸·Î ºÒ·¯³¾ ¼ö ÀÖ´Â ¼ÒÈ¯¼­°¡ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "µð½º°¡ÀÌÁî ¼ÒÈ¯¼­ »óÀÚ 5",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸ó½ºÅÍ µð½º°¡ÀÌÁî¸¦ ¿ëº´À¸·Î ºÒ·¯³¾ ¼ö ÀÖ´Â ¼ÒÈ¯¼­°¡ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16849: {
			unidentifiedDisplayName: "µð½º°¡ÀÌÁî ¼ÒÈ¯¼­ »óÀÚ 10",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸ó½ºÅÍ µð½º°¡ÀÌÁî¸¦ ¿ëº´À¸·Î ºÒ·¯³¾ ¼ö ÀÖ´Â ¼ÒÈ¯¼­°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "µð½º°¡ÀÌÁî ¼ÒÈ¯¼­ »óÀÚ 10",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸ó½ºÅÍ µð½º°¡ÀÌÁî¸¦ ¿ëº´À¸·Î ºÒ·¯³¾ ¼ö ÀÖ´Â ¼ÒÈ¯¼­°¡ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿ëº´ Áö¼Ó½Ã°£ Áß Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¿ëº´Àº »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16850: {
			unidentifiedDisplayName: "¸¶¹ý·Â ÁõÆø ½ºÅ©·Ñ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸¶¹ý·Â Áõ°¡ 10LvÀ» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·ÑÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸¶¹ý·Â ÁõÆø ½ºÅ©·Ñ 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶¹ý·Â Áõ°¡ 10LvÀ» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·ÑÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16851: {
			unidentifiedDisplayName: "¸¶¹ý·Â ÁõÆø ½ºÅ©·Ñ 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸¶¹ý·Â Áõ°¡ 10LvÀ» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·ÑÀÌ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸¶¹ý·Â ÁõÆø ½ºÅ©·Ñ 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶¹ý·Â Áõ°¡ 10LvÀ» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·ÑÀÌ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16852: {
			unidentifiedDisplayName: "Äâ±×½ºÅ©·Ñ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Äâ±×¸¶ÀÌ¾î 5LvÀ» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·ÑÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Äâ±×½ºÅ©·Ñ 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Äâ±×¸¶ÀÌ¾î 5LvÀ» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·ÑÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16853: {
			unidentifiedDisplayName: "Äâ±×½ºÅ©·Ñ 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Äâ±×¸¶ÀÌ¾î 5LvÀ» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·ÑÀÌ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Äâ±×½ºÅ©·Ñ 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Äâ±×¸¶ÀÌ¾î 5LvÀ» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·ÑÀÌ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16854: {
			unidentifiedDisplayName: "¿Ê¿°»ö ÄíÆù »óÀÚ",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¿Ê ¿°»ö ÄíÆùÀÌ 1Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿Ê¿°»ö ÄíÆù »óÀÚ",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿Ê ¿°»ö ÄíÆùÀÌ 1Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16855: {
			unidentifiedDisplayName: "¿Ê¿°»ö ÄíÆù »óÀÚ ¥±",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"º»·¡ÀÇ »öÀ¸·Î  ¿ÊÀ» ¿°»ö ÇÒ ¼ö ÀÖ´Â ÄíÆùÀÌ 1Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿Ê¿°»ö ÄíÆù »óÀÚ ¥±",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º»·¡ÀÇ »öÀ¸·Î ¿ÊÀ» ¿°»ö ÇÒ ¼ö ÀÖ´Â ÄíÆùÀÌ 1Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16856: {
			unidentifiedDisplayName: "Å½¿å ½ºÅ©·Ñ 20°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Å½¿å ½ºÅ©·ÑÀÌ 20°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"Å½¿å ½ºÅ³À» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·Ñ. ¿ØÁö µé°í¸¸ ÀÖ¾îµµ »ç¶÷ÀÌ Å½¿å½º·¯¿öÁö´Â µí ÇÑ ´À³¦ÀÌ µå´Â°Ç ¿ÖÀÏ±î?",
				"°æ°í! - ¸¶À»¿¡¼­´Â ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù. »ç¿ë ½Ã, ½ºÅ©·Ñ¸¸ ÆÄ¼ÕµË´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Å½¿å ½ºÅ©·Ñ 20°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Å½¿å ½ºÅ©·ÑÀÌ 20°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"Å½¿å ½ºÅ³À» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·Ñ. ¿ØÁö µé°í¸¸ ÀÖ¾îµµ »ç¶÷ÀÌ Å½¿å½º·¯¿öÁö´Â µí ÇÑ ´À³¦ÀÌ µå´Â°Ç ¿ÖÀÏ±î?",
				"°æ°í! - ¸¶À»¿¡¼­´Â ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù. »ç¿ë ½Ã, ½ºÅ©·Ñ¸¸ ÆÄ¼ÕµË´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16857: {
			unidentifiedDisplayName: "Å½¿å ½ºÅ©·Ñ 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Å½¿å ½ºÅ©·ÑÀÌ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"Å½¿å ½ºÅ³À» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·Ñ. ¿ØÁö µé°í¸¸ ÀÖ¾îµµ »ç¶÷ÀÌ Å½¿å½º·¯¿öÁö´Â µí ÇÑ ´À³¦ÀÌ µå´Â°Ç ¿ÖÀÏ±î?",
				"°æ°í! - ¸¶À»¿¡¼­´Â ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù. »ç¿ë ½Ã, ½ºÅ©·Ñ¸¸ ÆÄ¼ÕµË´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Å½¿å ½ºÅ©·Ñ 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Å½¿å ½ºÅ©·ÑÀÌ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"Å½¿å ½ºÅ³À» »ç¿ëÇÒ ¼ö ÀÖ´Â ½ºÅ©·Ñ. ¿ØÁö µé°í¸¸ ÀÖ¾îµµ »ç¶÷ÀÌ Å½¿å½º·¯¿öÁö´Â µí ÇÑ ´À³¦ÀÌ µå´Â°Ç ¿ÖÀÏ±î?",
				"°æ°í! - ¸¶À»¿¡¼­´Â ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù. »ç¿ë ½Ã, ½ºÅ©·Ñ¸¸ ÆÄ¼ÕµË´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16858: {
			unidentifiedDisplayName: "¸àÅ» Æ÷¼Ç 20°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸àÅ» Æ÷¼ÇÀÌ 20°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"Á¤½Å·ÂÀ» Ãæ¸¸ÇÏ°Ô ÇØÁÖ´Â Æ÷¼Ç.",
				"30ºÐ°£ MSP 10% Áõ°¡, SP ¼Ò¸ð·® 10% °¨¼Ò.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸àÅ» Æ÷¼Ç 20°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸àÅ» Æ÷¼ÇÀÌ 20°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"Á¤½Å·ÂÀ» Ãæ¸¸ÇÏ°Ô ÇØÁÖ´Â Æ÷¼Ç.",
				"30ºÐ°£ MaxSP 10% Áõ°¡, SP ¼Ò¸ð·® 10% °¨¼Ò.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16859: {
			unidentifiedDisplayName: "¸àÅ» Æ÷¼Ç 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸àÅ» Æ÷¼ÇÀÌ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"Á¤½Å·ÂÀ» Ãæ¸¸ÇÏ°Ô ÇØÁÖ´Â Æ÷¼Ç.",
				"30ºÐ°£ MSP 10% Áõ°¡, SP ¼Ò¸ð·® 10% °¨¼Ò.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸àÅ» Æ÷¼Ç 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸àÅ» Æ÷¼ÇÀÌ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"Á¤½Å·ÂÀ» Ãæ¸¸ÇÏ°Ô ÇØÁÖ´Â Æ÷¼Ç.",
				"30ºÐ°£ MaxSP 10% Áõ°¡, SP ¼Ò¸ð·® 10% °¨¼Ò.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16860: {
			unidentifiedDisplayName: "Æ¼¸£ÀÇ Ãàº¹ 20°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Æ¼¸£ÀÇ Ãàº¹ÀÌ 20°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"½Î¿òÀÇ ½Å Æ¼¸£ÀÇ Ãàº¹ÀÌ ´ã°ÜÀÖ´Â Æ÷¼Ç.",
				"5ºÐ°£ ATK, MATK 20 Áõ°¡. ¸íÁß 30, È¸ÇÇ 30 Áõ°¡.",
				"°æ°í! - À¯°ú, ´Ù½Ä, ¹«Áö°³¶± »ç¿ë ½Ã, Áö¼Ó½Ã°£ ¹× ´É·ÂÄ¡°¡ Á¦´ë·Î Àû¿ëµÇÁö ¾Ê½À´Ï´Ù. ÇÇ¾¾¹æ ¹öÇÁ¿Í ÁßÃ¸µÇÁö ¾Ê½À´Ï´Ù.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Æ¼¸£ÀÇ Ãàº¹ 20°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Æ¼¸£ÀÇ Ãàº¹ÀÌ 20°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"½Î¿òÀÇ ½Å Æ¼¸£ÀÇ Ãàº¹ÀÌ ´ã°ÜÀÖ´Â Æ÷¼Ç.",
				"5ºÐ°£ ATK, MATK 20 Áõ°¡. ¸íÁß 30, È¸ÇÇ 30 Áõ°¡.",
				"°æ°í! - À¯°ú, ´Ù½Ä, ¹«Áö°³¶± »ç¿ë ½Ã, Áö¼Ó½Ã°£ ¹× ´É·ÂÄ¡°¡ Á¦´ë·Î Àû¿ëµÇÁö ¾Ê½À´Ï´Ù. ÇÇ¾¾¹æ ¹öÇÁ¿Í ÁßÃ¸µÇÁö ¾Ê½À´Ï´Ù.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16861: {
			unidentifiedDisplayName: "Æ¼¸£ÀÇ Ãàº¹ 50°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Æ¼¸£ÀÇ Ãàº¹ÀÌ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"½Î¿òÀÇ ½Å Æ¼¸£ÀÇ Ãàº¹ÀÌ ´ã°ÜÀÖ´Â Æ÷¼Ç.",
				"5ºÐ°£ ATK, MATK 20 Áõ°¡. ¸íÁß 30, È¸ÇÇ 30 Áõ°¡.",
				"°æ°í! - À¯°ú, ´Ù½Ä, ¹«Áö°³¶± »ç¿ë ½Ã, Áö¼Ó½Ã°£ ¹× ´É·ÂÄ¡°¡ Á¦´ë·Î Àû¿ëµÇÁö ¾Ê½À´Ï´Ù. ÇÇ¾¾¹æ ¹öÇÁ¿Í ÁßÃ¸µÇÁö ¾Ê½À´Ï´Ù.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Æ¼¸£ÀÇ Ãàº¹ 50°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Æ¼¸£ÀÇ Ãàº¹ÀÌ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"½Î¿òÀÇ ½Å Æ¼¸£ÀÇ Ãàº¹ÀÌ ´ã°ÜÀÖ´Â Æ÷¼Ç.",
				"5ºÐ°£ ATK, MATK 20 Áõ°¡. ¸íÁß 30, È¸ÇÇ 30 Áõ°¡.",
				"°æ°í! - À¯°ú, ´Ù½Ä, ¹«Áö°³¶± »ç¿ë ½Ã, Áö¼Ó½Ã°£ ¹× ´É·ÂÄ¡°¡ Á¦´ë·Î Àû¿ëµÇÁö ¾Ê½À´Ï´Ù. ÇÇ¾¾¹æ ¹öÇÁ¿Í ÁßÃ¸µÇÁö ¾Ê½À´Ï´Ù.",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16862: {
			unidentifiedDisplayName: "JOB ÀüÅõ±³¹ü »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"JOB ÀüÅõ±³¹üÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"»ç¿ëÇÏ¸é 30ºÐ°£ Àâ °æÇèÄ¡°¡ 25% Áõ°¡ÇÏ´Â ÀüÅõ±³¹ü. ÀüÅõ±³¹üÀÇ »õ·Î¿î ÁöÆòÀ» ¿­¾ú´Ù´Â ÆòÀ» ¹Þ°í ÀÖ´Ù.",
				"ÀüÅõ±³¹ü°ú Áßº¹ »ç¿ë °¡´É",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "JOB ÀüÅõ±³¹ü »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"JOB ÀüÅõ±³¹üÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"»ç¿ëÇÏ¸é 30ºÐ°£ Àâ °æÇèÄ¡°¡ 25% Áõ°¡ÇÏ´Â ÀüÅõ±³¹ü. ÀüÅõ±³¹üÀÇ »õ·Î¿î ÁöÆòÀ» ¿­¾ú´Ù´Â ÆòÀ» ¹Þ°í ÀÖ´Ù.",
				"ÀüÅõ±³¹ü°ú Áßº¹ »ç¿ë °¡´É",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16863: {
			unidentifiedDisplayName: "JOB ÀüÅõ±³¹ü 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"JOB ÀüÅõ±³¹üÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"»ç¿ëÇÏ¸é 30ºÐ°£ Àâ °æÇèÄ¡°¡ 25% Áõ°¡ÇÏ´Â ÀüÅõ±³¹ü. ÀüÅõ±³¹üÀÇ »õ·Î¿î ÁöÆòÀ» ¿­¾ú´Ù´Â ÆòÀ» ¹Þ°í ÀÖ´Ù.",
				"ÀüÅõ±³¹ü°ú Áßº¹ »ç¿ë °¡´É",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "JOB ÀüÅõ±³¹ü 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"JOB ÀüÅõ±³¹üÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"»ç¿ëÇÏ¸é 30ºÐ°£ Àâ °æÇèÄ¡°¡ 25% Áõ°¡ÇÏ´Â ÀüÅõ±³¹ü. ÀüÅõ±³¹üÀÇ »õ·Î¿î ÁöÆòÀ» ¿­¾ú´Ù´Â ÆòÀ» ¹Þ°í ÀÖ´Ù.",
				"ÀüÅõ±³¹ü°ú Áßº¹ »ç¿ë °¡´É",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16864: {
			unidentifiedDisplayName: "°ø¼º¸Ê ÅÚ·¹Æ÷Æ® 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"°ø¼º¸Ê ÅÚ·¹Æ÷Æ® ½ºÅ©·ÑÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ö¸¹Àº ¼ºÀÇ ÁÂÇ¥°¡ ÀûÇôÀÖ´Â ½ºÅ©·Ñ. ½ºÅ©·ÑÀ» ÂõÀ¸¸é ÇØ´ç °ø¼º¸ÊÀ¸·Î ÀÌµ¿ÀÌ °¡´ÉÇÏ´Ù.",
				"\"³ëÀÎ½´¹Ý½ºÅ¸ÀÎ\", \"È£Çî½´¹Ý°¡¿ì\", \"´µ·»º£¸£Å©\", \"·ÎÅÙºÎ¸£Å©\", \"¿çºê¸®°Å\", \"ÀÌ½º³ÚÇÁ\", \"º£¸£°Ö\", \"¸á¼¼½ºµ¥Ã÷\", \"¸íÁ¤\", \"ºÒ¿µ\", \"È«·ç\", \"Á×¸²Çö\", \"½º¹ÝÈúÆ®\", \"¶óÁî¸®±×½º\", \"½ºÄê±¼\", \"±­µé\"",
				"¹«°Ô : ^7777771^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°ø¼º¸Ê ÅÚ·¹Æ÷Æ® 10°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"°ø¼º¸Ê ÅÚ·¹Æ÷Æ® ½ºÅ©·ÑÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ö¸¹Àº ¼ºÀÇ ÁÂÇ¥°¡ ÀûÇôÀÖ´Â ½ºÅ©·Ñ. ½ºÅ©·ÑÀ» ÂõÀ¸¸é ÇØ´ç °ø¼º¸ÊÀ¸·Î ÀÌµ¿ÀÌ °¡´ÉÇÏ´Ù.",
				"\"³ëÀÎ½´¹Ý½ºÅ¸ÀÎ\", \"È£Çî½´¹Ý°¡¿ì\", \"´µ·»º£¸£Å©\", \"·ÎÅÙºÎ¸£Å©\", \"¿çºê¸®°Å\", \"ÀÌ½º³ÚÇÁ\", \"º£¸£°Ö\", \"¸á¼¼½ºµ¥Ã÷\", \"¸íÁ¤\", \"ºÒ¿µ\", \"È«·ç\", \"Á×¸²Çö\", \"½º¹ÝÈúÆ®\", \"¶óÁî¸®±×½º\", \"½ºÄê±¼\", \"±­µé\"",
				"¹«°Ô : ^7777771^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16865: {
			unidentifiedDisplayName: "°ø¼º¸Ê ÅÚ·¹Æ÷Æ® 30°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"°ø¼º¸Ê ÅÚ·¹Æ÷Æ® ½ºÅ©·ÑÀÌ 30°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ö¸¹Àº ¼ºÀÇ ÁÂÇ¥°¡ ÀûÇôÀÖ´Â ½ºÅ©·Ñ. ½ºÅ©·ÑÀ» ÂõÀ¸¸é ÇØ´ç °ø¼º¸ÊÀ¸·Î ÀÌµ¿ÀÌ °¡´ÉÇÏ´Ù.",
				"\"³ëÀÎ½´¹Ý½ºÅ¸ÀÎ\", \"È£Çî½´¹Ý°¡¿ì\", \"´µ·»º£¸£Å©\", \"·ÎÅÙºÎ¸£Å©\", \"¿çºê¸®°Å\", \"ÀÌ½º³ÚÇÁ\", \"º£¸£°Ö\", \"¸á¼¼½ºµ¥Ã÷\", \"¸íÁ¤\", \"ºÒ¿µ\", \"È«·ç\", \"Á×¸²Çö\", \"½º¹ÝÈúÆ®\", \"¶óÁî¸®±×½º\", \"½ºÄê±¼\", \"±­µé\"",
				"¹«°Ô : ^7777771^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°ø¼º¸Ê ÅÚ·¹Æ÷Æ® 30°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"°ø¼º¸Ê ÅÚ·¹Æ÷Æ® ½ºÅ©·ÑÀÌ 30°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ö¸¹Àº ¼ºÀÇ ÁÂÇ¥°¡ ÀûÇôÀÖ´Â ½ºÅ©·Ñ. ½ºÅ©·ÑÀ» ÂõÀ¸¸é ÇØ´ç °ø¼º¸ÊÀ¸·Î ÀÌµ¿ÀÌ °¡´ÉÇÏ´Ù.",
				"\"³ëÀÎ½´¹Ý½ºÅ¸ÀÎ\", \"È£Çî½´¹Ý°¡¿ì\", \"´µ·»º£¸£Å©\", \"·ÎÅÙºÎ¸£Å©\", \"¿çºê¸®°Å\", \"ÀÌ½º³ÚÇÁ\", \"º£¸£°Ö\", \"¸á¼¼½ºµ¥Ã÷\", \"¸íÁ¤\", \"ºÒ¿µ\", \"È«·ç\", \"Á×¸²Çö\", \"½º¹ÝÈúÆ®\", \"¶óÁî¸®±×½º\", \"½ºÄê±¼\", \"±­µé\"",
				"¹«°Ô : ^7777771^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16866: {
			unidentifiedDisplayName: "°ø¼º¸Ê ÅÚ·¹Æ÷Æ®¥± 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"°ø¼º¸Ê ÅÚ·¹Æ÷Æ® ½ºÅ©·ÑÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ö¸¹Àº ¼ºÀÇ ÁÂÇ¥°¡ ÀûÇôÀÖ´Â ½ºÅ©·Ñ. ½ºÅ©·ÑÀ» ÂõÀ¸¸é ÇØ´ç °ø¼º¸ÊÀ¸·Î ÀÌµ¿ÀÌ °¡´ÉÇÏ´Ù.",
				"\"¸¶¸£µ¹\", \"½Ã¸£\", \"È£¸¥\", \"°ÔÇÂ\", \"¹Ù³ªµð½º\", \"È÷¹Î\", \"¾Èµé¶û±×\", \"ºñµåºí¶óÀÎ\", \"Èê·áµå\", \"½ºÄ«Æ¼¸£´Ò\"",
				"¹«°Ô : ^7777771^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°ø¼º¸Ê ÅÚ·¹Æ÷Æ®¥± 10°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°ø¼º¸Ê ÅÚ·¹Æ÷Æ® ½ºÅ©·ÑÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ö¸¹Àº ¼ºÀÇ ÁÂÇ¥°¡ ÀûÇôÀÖ´Â ½ºÅ©·Ñ. ½ºÅ©·ÑÀ» ÂõÀ¸¸é ÇØ´ç °ø¼º¸ÊÀ¸·Î ÀÌµ¿ÀÌ °¡´ÉÇÏ´Ù.",
				"¸¶¸£µ¹, \"½Ã¸£\", \"È£¸¥\", \"°ÔÇÂ\", \"¹Ù³ªµð½º\", \"È÷¹Î\", \"¾Èµé¶û±×\", \"ºñµåºí¶óÀÎ\", \"Èê·áµå\", \"½ºÄ«Æ¼¸£´Ò\"",
				"¹«°Ô : ^7777771^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16867: {
			unidentifiedDisplayName: "°ø¼º¸Ê ÅÚ·¹Æ÷Æ®¥± 30°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"°ø¼º¸Ê ÅÚ·¹Æ÷Æ® ½ºÅ©·ÑÀÌ 30°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ö¸¹Àº ¼ºÀÇ ÁÂÇ¥°¡ ÀûÇôÀÖ´Â ½ºÅ©·Ñ. ½ºÅ©·ÑÀ» ÂõÀ¸¸é ÇØ´ç °ø¼º¸ÊÀ¸·Î ÀÌµ¿ÀÌ °¡´ÉÇÏ´Ù.",
				"\"¸¶¸£µ¹\", \"½Ã¸£\", \"È£¸¥\", \"°ÔÇÂ\", \"¹Ù³ªµð½º\", \"È÷¹Î\", \"¾Èµé¶û±×\", \"ºñµåºí¶óÀÎ\", \"Èê·áµå\", \"½ºÄ«Æ¼¸£´Ò\"",
				"¹«°Ô : ^7777771^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°ø¼º¸Ê ÅÚ·¹Æ÷Æ®¥± 30°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°ø¼º¸Ê ÅÚ·¹Æ÷Æ® ½ºÅ©·ÑÀÌ 30°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ö¸¹Àº ¼ºÀÇ ÁÂÇ¥°¡ ÀûÇôÀÖ´Â ½ºÅ©·Ñ. ½ºÅ©·ÑÀ» ÂõÀ¸¸é ÇØ´ç °ø¼º¸ÊÀ¸·Î ÀÌµ¿ÀÌ °¡´ÉÇÏ´Ù.",
				"¸¶¸£µ¹, \"½Ã¸£\", \"È£¸¥\", \"°ÔÇÂ\", \"¹Ù³ªµð½º\", \"È÷¹Î\", \"¾Èµé¶û±×\", \"ºñµåºí¶óÀÎ\", \"Èê·áµå\", \"½ºÄ«Æ¼¸£´Ò\"",
				"¹«°Ô : ^7777771^000000",
				"°æ°í - »ç¿ë ÈÄ, 3ºÐ µ¿¾È ¾Æ¹« ¸»µµ ÀÔ·ÂÇÏÁö ¾ÊÀ¸¸é, È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê½À´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16868: {
			unidentifiedDisplayName: "°í¹Ðµµ ºê¶óµð¿ò 5°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í¹Ðµµ ºê¶óµð¿òÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹«°Ô : ^7777771^000000",
				"¹Ìµå°¡¸£µå ÇÐÀÚµéÀÌ ¿¬±¸¸¦ °ÅµìÇÏ¿© ¹Ðµµ¿Í °­µµ°¡ ´õ¿í ³ô¾ÆÁ³´Ù. ¹«±â Á¦·Ã¿¡´Â ´õ¿í ±î´Ù·Î¿öÁø °Í °°´Ù.",
				"- Á¦·Ãµµ°¡ +10 ÀÌ»óÀÎ ¹«±â¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹«±â°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
			],
			identifiedDisplayName: "°í¹Ðµµ ºê¶óµð¿ò 5°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í¹Ðµµ ºê¶óµð¿òÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹«°Ô : ^7777771^000000",
				"¹Ìµå°¡¸£µå ÇÐÀÚµéÀÌ ¿¬±¸¸¦ °ÅµìÇÏ¿© ¹Ðµµ¿Í °­µµ°¡ ´õ¿í ³ô¾ÆÁ³´Ù. ¹«±â Á¦·Ã¿¡´Â ´õ¿í ±î´Ù·Î¿öÁø °Í °°´Ù.",
				"- Á¦·Ãµµ°¡ +10 ÀÌ»óÀÎ ¹«±â¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹«±â°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16869: {
			unidentifiedDisplayName: "°í¹Ðµµ ºê¶óµð¿ò 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í¹Ðµµ ºê¶óµð¿òÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹«°Ô : ^7777771^000000",
				"¹Ìµå°¡¸£µå ÇÐÀÚµéÀÌ ¿¬±¸¸¦ °ÅµìÇÏ¿© ¹Ðµµ¿Í °­µµ°¡ ´õ¿í ³ô¾ÆÁ³´Ù. ¹«±â Á¦·Ã¿¡´Â ´õ¿í ±î´Ù·Î¿öÁø °Í °°´Ù.",
				"- Á¦·Ãµµ°¡ +10 ÀÌ»óÀÎ ¹«±â¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹«±â°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
			],
			identifiedDisplayName: "°í¹Ðµµ ºê¶óµð¿ò 10°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í¹Ðµµ ºê¶óµð¿òÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹«°Ô : ^7777771^000000",
				"¹Ìµå°¡¸£µå ÇÐÀÚµéÀÌ ¿¬±¸¸¦ °ÅµìÇÏ¿© ¹Ðµµ¿Í °­µµ°¡ ´õ¿í ³ô¾ÆÁ³´Ù. ¹«±â Á¦·Ã¿¡´Â ´õ¿í ±î´Ù·Î¿öÁø °Í °°´Ù.",
				"- Á¦·Ãµµ°¡ +10 ÀÌ»óÀÎ ¹«±â¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹«±â°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16870: {
			unidentifiedDisplayName: "°í¹Ðµµ Ä«¸£´½ 5°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í¹Ðµµ Ä«¸£´½ÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹«°Ô : ^7777771^000000",
				"±î¸¶µæÇÏ°Ô ¿À·£½Ã°£ ¾ÐÃàµÇ¾î ¹Ðµµ¿Í °­µµ°¡ ´õ¿í ³ô¾ÆÁ³´Ù. ¹æ¾î±¸ Á¦·Ã¿¡´Â ´õ¿í ±î´Ù·Î¿öÁø °Í °°´Ù.",
				"- Á¦·Ãµµ°¡ +10 ÀÌ»óÀÎ ¹æ¾î±¸¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹æ¾î±¸°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
			],
			identifiedDisplayName: "°í¹Ðµµ Ä«¸£´½ 5°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í¹Ðµµ Ä«¸£´½ÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹«°Ô : ^7777771^000000",
				"±î¸¶µæÇÏ°Ô ¿À·£½Ã°£ ¾ÐÃàµÇ¾î ¹Ðµµ¿Í °­µµ°¡ ´õ¿í ³ô¾ÆÁ³´Ù. ¹æ¾î±¸ Á¦·Ã¿¡´Â ´õ¿í ±î´Ù·Î¿öÁø °Í °°´Ù.",
				"- Á¦·Ãµµ°¡ +10 ÀÌ»óÀÎ ¹æ¾î±¸¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹æ¾î±¸°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16871: {
			unidentifiedDisplayName: "°í¹Ðµµ Ä«¸£´½ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í¹Ðµµ Ä«¸£´½ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹«°Ô : ^7777771^000000",
				"±î¸¶µæÇÏ°Ô ¿À·£½Ã°£ ¾ÐÃàµÇ¾î ¹Ðµµ¿Í °­µµ°¡ ´õ¿í ³ô¾ÆÁ³´Ù. ¹æ¾î±¸ Á¦·Ã¿¡´Â ´õ¿í ±î´Ù·Î¿öÁø °Í °°´Ù.",
				"- Á¦·Ãµµ°¡ +10 ÀÌ»óÀÎ ¹æ¾î±¸¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹æ¾î±¸°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
			],
			identifiedDisplayName: "°í¹Ðµµ Ä«¸£´½ 10°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í¹Ðµµ Ä«¸£´½ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹«°Ô : ^7777771^000000",
				"±î¸¶µæÇÏ°Ô ¿À·£½Ã°£ ¾ÐÃàµÇ¾î ¹Ðµµ¿Í °­µµ°¡ ´õ¿í ³ô¾ÆÁ³´Ù. ¹æ¾î±¸ Á¦·Ã¿¡´Â ´õ¿í ±î´Ù·Î¿öÁø °Í °°´Ù.",
				"- Á¦·Ãµµ°¡ +10 ÀÌ»óÀÎ ¹æ¾î±¸¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹æ¾î±¸°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16872: {
			unidentifiedDisplayName: "°í³óÃà ¿À¸®µ¥¿ÀÄÜ 5°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"°í³óÃà ¿À¸®µ¥¿ÀÄÜÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ÒÁßÇÑ ÀåºñµéÀÇ ¾ÈÀüÀ» º¸ÀåÇØÁÖ´Â ¼¶¼¼ÇÑ ±¤¼®.",
				"- Á¦·Ãµµ°¡ +7 ÀÌ»óÀÎ ¹«±â¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹«±â°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! ´Ü, +10 ÀÌ»óÀº Á¦·ÃµÇÁö ¾Ê½À´Ï´Ù. -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°í³óÃà ¿À¸®µ¥¿ÀÄÜ 5°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í³óÃà ¿À¸®µ¥¿ÀÄÜÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ÒÁßÇÑ ÀåºñµéÀÇ ¾ÈÀüÀ» º¸ÀåÇØÁÖ´Â ¼¶¼¼ÇÑ ±¤¼®.",
				"- Á¦·Ãµµ°¡ +7 ÀÌ»óÀÎ ¹«±â¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹«±â°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! ´Ü, +10 ÀÌ»óÀº Á¦·ÃµÇÁö ¾Ê½À´Ï´Ù. -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16873: {
			unidentifiedDisplayName: "°í³óÃà ¿À¸®µ¥¿ÀÄÜ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"°í³óÃà ¿À¸®µ¥¿ÀÄÜÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ÒÁßÇÑ ÀåºñµéÀÇ ¾ÈÀüÀ» º¸ÀåÇØÁÖ´Â ¼¶¼¼ÇÑ ±¤¼®.",
				"- Á¦·Ãµµ°¡ +7 ÀÌ»óÀÎ ¹«±â¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹«±â°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! ´Ü, +10 ÀÌ»óÀº Á¦·ÃµÇÁö ¾Ê½À´Ï´Ù. -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°í³óÃà ¿À¸®µ¥¿ÀÄÜ 10°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í³óÃà ¿À¸®µ¥¿ÀÄÜÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ÒÁßÇÑ ÀåºñµéÀÇ ¾ÈÀüÀ» º¸ÀåÇØÁÖ´Â ¼¶¼¼ÇÑ ±¤¼®.",
				"- Á¦·Ãµµ°¡ +7 ÀÌ»óÀÎ ¹«±â¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹«±â°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! ´Ü, +10 ÀÌ»óÀº Á¦·ÃµÇÁö ¾Ê½À´Ï´Ù. -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16874: {
			unidentifiedDisplayName: "°í³óÃà ¿¡¸£´½ 5°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"°í³óÃà ¿¡¸£´½ÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ÒÁßÇÑ ÀåºñµéÀÇ ¾ÈÀüÀ» º¸ÀåÇØÁÖ´Â ¼¶¼¼ÇÑ ±¤¼®.",
				"- Á¦·Ãµµ°¡ +7 ÀÌ»óÀÎ ¹æ¾î±¸¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹æ¾î±¸°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! ´Ü, +10 ÀÌ»óÀº Á¦·ÃµÇÁö ¾Ê½À´Ï´Ù. -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°í³óÃà ¿¡¸£´½ 5°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í³óÃà ¿¡¸£´½ÀÌ 5°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ÒÁßÇÑ ÀåºñµéÀÇ ¾ÈÀüÀ» º¸ÀåÇØÁÖ´Â ¼¶¼¼ÇÑ ±¤¼®.",
				"- Á¦·Ãµµ°¡ +7 ÀÌ»óÀÎ ¹æ¾î±¸¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹æ¾î±¸°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! ´Ü, +10 ÀÌ»óÀº Á¦·ÃµÇÁö ¾Ê½À´Ï´Ù. -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16875: {
			unidentifiedDisplayName: "°í³óÃà ¿¡¸£´½ 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"°í³óÃà ¿¡¸£´½ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ÒÁßÇÑ ÀåºñµéÀÇ ¾ÈÀüÀ» º¸ÀåÇØÁÖ´Â ¼¶¼¼ÇÑ ±¤¼®.",
				"- Á¦·Ãµµ°¡ +7 ÀÌ»óÀÎ ¹æ¾î±¸¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹æ¾î±¸°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! ´Ü, +10 ÀÌ»óÀº Á¦·ÃµÇÁö ¾Ê½À´Ï´Ù. -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°í³óÃà ¿¡¸£´½ 10°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°í³óÃà ¿¡¸£´½ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¼ÒÁßÇÑ ÀåºñµéÀÇ ¾ÈÀüÀ» º¸ÀåÇØÁÖ´Â ¼¶¼¼ÇÑ ±¤¼®.",
				"- Á¦·Ãµµ°¡ +7 ÀÌ»óÀÎ ¹æ¾î±¸¸¦ Á¦·Ã ½Ã, ½ÇÆÐÇÏ´õ¶óµµ ¹æ¾î±¸°¡ ÆÄ±«µÇ¾î »ç¶óÁöÁö ¾Ê½À´Ï´Ù! ´Ü, +10 ÀÌ»óÀº Á¦·ÃµÇÁö ¾Ê½À´Ï´Ù. -",
				"(Á¦·Ã¿¡ ½ÇÆÐ ½Ã Á¦·Ãµµ°¡ 1 ÇÏ¶ôÇÕ´Ï´Ù.)",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16876: {
			unidentifiedDisplayName: "½Å¼ÓÇÑ »ý¸í¼ö 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"½Å¼ÓÇÑ »ý¸í¼ö°¡ 10°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"°¢Á¾ È¸º¹·Â¿¡ µµ¿òÀÌ µÇ´Â ½Ä¹°ÁóÀ» ÀÀÃàÇØ ´ã¾Æ³õÀº º´. ºü¸¥ »óÃ³ Àç»ý¿¡ È¿ÇèÀÌ ÀÖ´Ù°í ÇÑ´Ù.",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 3ÃÊ¸¶´Ù MHPÀÇ 6%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½Å¼ÓÇÑ »ý¸í¼ö 10°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½Å¼ÓÇÑ »ý¸í¼ö°¡ 10°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"°¢Á¾ È¸º¹·Â¿¡ µµ¿òÀÌ µÇ´Â ½Ä¹°ÁóÀ» ÀÀÃàÇØ ´ã¾Æ³õÀº º´. ºü¸¥ »óÃ³ Àç»ý¿¡ È¿ÇèÀÌ ÀÖ´Ù°í ÇÑ´Ù.",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 3ÃÊ¸¶´Ù MaxHPÀÇ 6%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16877: {
			unidentifiedDisplayName: "¸¶¹ýÄµµð 10°³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"¸¶¹ýÄµµð 10°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"ÀÔ¾È¿¡ ³ÖÀ¸¸é ÅåÅå Æ¢´Â ½Å±âÇÑ »çÅÁ. ¸Ô°í ³ª¼± ÀÌ»¡À» ²À ´Ûµµ·Ï ÇÏÀÚ.",
				"1ºÐµ¿¾È MATK + 30, °íÁ¤ Ä³½ºÆÃ 70% °¨¼Ò, Ä³½ºÆÃÀÌ ²÷±âÁö ¾ÊÀ½. 10ÃÊ´ç SP 90¾¿ °¨¼Ò.",
				"3ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"(°íÁ¤ Ä³½ºÆÃÀÇ % Áõ°¨ È¿°ú´Â °¡Àå Å« È¿°ú¸¸ Àû¿ëµË´Ï´Ù. Àç»ç¿ë ´ë±â½Ã°£Àº ÅåÅåÄµµð¿Í °øÀ¯ÇÕ´Ï´Ù.)",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸¶¹ýÄµµð 10°³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶¹ýÄµµð 10°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"ÀÔ¾È¿¡ ³ÖÀ¸¸é ÅåÅå Æ¢´Â ½Å±âÇÑ »çÅÁ. ¸Ô°í ³ª¼± ÀÌ»¡À» ²À ´Ûµµ·Ï ÇÏÀÚ.",
				"1ºÐµ¿¾È MATK + 30, °íÁ¤ Ä³½ºÆÃ 70% °¨¼Ò, Ä³½ºÆÃÀÌ ²÷±âÁö ¾ÊÀ½. 10ÃÊ´ç SP 90¾¿ °¨¼Ò.",
				"3ºÐÀÇ Àç»ç¿ë ´ë±â½Ã°£ Á¸Àç.",
				"(°íÁ¤ Ä³½ºÆÃÀÇ % Áõ°¨ È¿°ú´Â °¡Àå Å« È¿°ú¸¸ Àû¿ëµË´Ï´Ù. Àç»ç¿ë ´ë±â½Ã°£Àº ÅåÅåÄµµð¿Í °øÀ¯ÇÕ´Ï´Ù.)",
				"Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16878: {
			unidentifiedDisplayName: "¿ò¹ß¶óÀÇ È¥ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ò¹ß¶óÀÇ È¥ 1°³°¡ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¿ò¹ß¶ó ÁÖ¹ÎµéÀÌ ¾Ö¿ëÇÏ´Â ÇÇ¾î½Ì ¾Ç¼¼»ç¸®. °ÅÄ£ ÀÚ¿¬ÀÇ ¼¼°è¿¡¼­ »ì¾Æ°¡´Â ÀÌµéÀÇ È¥ÀÌ ´À²¸Áø´Ù.",
				"MHP + 1%.",
				"'°í±â'ÀÇ È¸º¹·ÂÀÌ 25% Áõ°¡.",
				"¸ó½ºÅÍ¸¦ ¾²·¯Æ®·ÈÀ» ½Ã ÀÏÁ¤È®·ü·Î '°í±â' µå·Ó.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿ò¹ß¶óÀÇ È¥ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ò¹ß¶óÀÇ È¥ 1°³°¡ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¿ò¹ß¶ó ÁÖ¹ÎµéÀÌ ¾Ö¿ëÇÏ´Â ÇÇ¾î½Ì ¾Ç¼¼»ç¸®. °ÅÄ£ ÀÚ¿¬ÀÇ ¼¼°è¿¡¼­ »ì¾Æ°¡´Â ÀÌµéÀÇ È¥ÀÌ ´À²¸Áø´Ù.",
				"MaxHP + 1%.",
				"'°í±â'ÀÇ È¸º¹·ÂÀÌ 25% Áõ°¡.",
				"¸ó½ºÅÍ¸¦ ¾²·¯Æ®·ÈÀ» ½Ã ÀÏÁ¤È®·ü·Î '°í±â' µå·Ó.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16879: {
			unidentifiedDisplayName: "¹«¶ó¸¶»ç »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«¶ó¸¶»ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"µ¿¹æÀÇ ¾î´À ¸í¼º³ôÀº µµ°øÀÇ ÀÌ¸§À» µý °Ë. ¿äµµ¶ó ºÒ¸®¿öÁö±âµµ ÇÏ³ª ±× À§·Â¸¸Å­Àº ¹«½ÃÇÒ ¼ö ¾ø´Ù",
				"Å©¸®Æ¼ÄÃÀ² + 30%",
				"°ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄµô·¹ÀÌ 8% °¨¼Ò)",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000  °ø°Ý : ^777777204^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹«¶ó¸¶»ç »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«¶ó¸¶»ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"µ¿¹æÀÇ ¾î´À ¸í¼º³ôÀº µµ°øÀÇ ÀÌ¸§À» µý °Ë. ¿äµµ¶ó ºÒ¸®¿öÁö±âµµ ÇÏ³ª ±× À§·Â¸¸Å­Àº ¹«½ÃÇÒ ¼ö ¾ø´Ù",
				"Å©¸®Æ¼ÄÃÀ² + 30%",
				"°ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄµô·¹ÀÌ 8% °¨¼Ò)",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777204^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16880: {
			unidentifiedDisplayName: "¿¢½ºÄ®¸®¹ö »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿¢½ºÄ®¸®¹ö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸Õ ¼­ÂÊ³ª¶ó¿¡¼­ ¹ÙÀ§¿¡ ²ÈÇô ÀÖ¾ú´Ù°í ¾Ë·ÁÁø °Ë. ½º½º·Î ÁÖÀÎÀ» °¡¸®¸ç ¼º½º·¯¿î ÈûÀ» °®°í ÀÖ´Ù",
				"INT +10",
				"LUK +10",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777°Ë^000000      °ø°Ý : ^777777199^000000",
				"¹«°Ô : ^7777770^000000     ¼Ó¼º : ^777777¼º^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿¢½ºÄ®¸®¹ö »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿¢½ºÄ®¸®¹ö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸Õ ¼­ÂÊ³ª¶ó¿¡¼­ ¹ÙÀ§¿¡ ²ÈÇô ÀÖ¾ú´Ù°í ¾Ë·ÁÁø °Ë. ½º½º·Î ÁÖÀÎÀ» °¡¸®¸ç ¼º½º·¯¿î ÈûÀ» °®°í ÀÖ´Ù",
				"INT +10",
				"LUK +10",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777°Ë^000000 °ø°Ý : ^777777199^000000",
				"¹«°Ô : ^7777770^000000 ¼Ó¼º : ^777777¼º^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16881: {
			unidentifiedDisplayName: "ÄÄ¹î³ªÀÌÇÁ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÄÄ¹î³ªÀÌÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"´ëÀÎÀüÅõ¿ëÀ¸·Î½á ´Ù¾çÇÑ °ø°ÝÆÐÅÏÀ» ÃëÇÒ ¼ö ÀÖ°Ô²û ¸¸µé¾îÁø »ì»ó¿ë ´Ü°Ë",
				"ÀÎ°£Çü ¸ó½ºÅÍÀÇ ¹°¸®¹æ¾î·Â ¹«½Ã / ÀÎ°£Çü Àû¿¡ ´ëÇÑ ³»¼º 10%/ ¾Ç¸¶Çü Àû¿¡ ´ëÇÑ ÇÇÇØ 10% Áõ°¡",
				"Àû Å¸°Ý½Ã SP 3 È¸º¹, MaxSP +10%",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777´Ü°Ë^000000    °ø°Ý : ^777777129^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÄÄ¹î³ªÀÌÇÁ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÄÄ¹î³ªÀÌÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"´ëÀÎÀüÅõ¿ëÀ¸·Î½á ´Ù¾çÇÑ °ø°ÝÆÐÅÏÀ» ÃëÇÒ ¼ö ÀÖ°Ô²û ¸¸µé¾îÁø »ì»ó¿ë ´Ü°Ë",
				"ÀÎ°£Çü ¸ó½ºÅÍÀÇ ¹°¸®¹æ¾î·Â ¹«½Ã / ÀÎ°£Çü Àû¿¡ ´ëÇÑ ³»¼º 10%/ ¾Ç¸¶Çü Àû¿¡ ´ëÇÑ ÇÇÇØ 10% Áõ°¡",
				"Àû Å¸°Ý½Ã SP 3 È¸º¹, MaxSP +10%",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777129^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16882: {
			unidentifiedDisplayName: "Ä«¿îÅÍ´Ü°Ë »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä«¿îÅÍ´Ü°ËÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"»ó´ë¿¡°Ô Ä¡¸íÀûÀÎ ÀÏ°ÝÀ» ÁÙ °¡´É¼ºÀÌ ³ôÀº ´Ü°Ë",
				"Å©¸®Æ¼ÄÃ + 90%",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777´Ü°Ë^000000      °ø°Ý : ^777777209^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¸¶¹ý»ç°è¿­/¼Ò¿ï¸µÄ¿ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Ä«¿îÅÍ´Ü°Ë »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä«¿îÅÍ´Ü°ËÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"»ó´ë¿¡°Ô Ä¡¸íÀûÀÎ ÀÏ°ÝÀ» ÁÙ °¡´É¼ºÀÌ ³ôÀº ´Ü°Ë",
				"Å©¸®Æ¼ÄÃ + 90%",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777209^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¸¶¹ý»ç°è¿­/¼Ò¿ï¸µÄ¿ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16883: {
			unidentifiedDisplayName: "¸¶ÀÌÆ®½ºÅÂÇÁ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶ÀÌÆ®½ºÅÂÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"»ç¿ëÀÚÀÇ Á¤½Å·ÂÀ» ÆÄ±«·ÂÀ¸·Î º¯È¯ÇØ ÁÖ´Â ÁöÆÎÀÌ·Î ÀûÀº Á¤½Å·ÂÀ¸·Î ¹«½Ã¹«½ÃÇÑ ÆÄ±«·ÂÀ» º¸ÀåÇØÁØ´Ù",
				"Àû Å¸°Ý½Ã SP - 1",
				"STR + 10 ,INT + 4, MATK + 120",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777ÁöÆÎÀÌ^000000  °ø°Ý : ^777777165^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777773^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸¶ÀÌÆ®½ºÅÂÇÁ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶ÀÌÆ®½ºÅÂÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"»ç¿ëÀÚÀÇ Á¤½Å·ÂÀ» ÆÄ±«·ÂÀ¸·Î º¯È¯ÇØ ÁÖ´Â ÁöÆÎÀÌ·Î ÀûÀº Á¤½Å·ÂÀ¸·Î ¹«½Ã¹«½ÃÇÑ ÆÄ±«·ÂÀ» º¸ÀåÇØÁØ´Ù",
				"Àû Å¸°Ý½Ã SP - 1",
				"STR + 10 ,INT + 4, MATK + 120",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777ÁöÆÎÀÌ^000000 °ø°Ý : ^777777165^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777773^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16884: {
			unidentifiedDisplayName: "¶óÀÌÆ®¿¦½Ç·Ð »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¶óÀÌÆ®¿¦½Ç·ÐÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¼º½º·¯¿î ÈûÀÌ ´ã°Ü ÀÖ´Â µµ³¢. ÀÇ·Ê¿¡ ¸¹ÀÌ »ç¿ëµÇ°ï ÇÑ´Ù.",
				"¼º¼Ó¼º",
				"STR + 10, 3·¹º§ÀÇ Èú »ç¿ë°¡´É",
				"¾Ç¸¶Á· ¸ó½ºÅÍ¿¡°Ô 3%ÀÇ Ãß°¡ µ¥¹ÌÁö, ÀÌµ¿¼Óµµ Áõ°¡",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777µµ³¢^000000    °ø°Ý : ^777777229^000000",
				"¹«°Ô : ^7777770^000000     ¼Ó¼º : ^777777¼º^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¶óÀÌÆ®¿¦½Ç·Ð »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¶óÀÌÆ®¿¦½Ç·ÐÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¼º½º·¯¿î ÈûÀÌ ´ã°Ü ÀÖ´Â µµ³¢. ÀÇ·Ê¿¡ ¸¹ÀÌ »ç¿ëµÇ°ï ÇÑ´Ù.",
				"¼º¼Ó¼º",
				"STR + 10, 3·¹º§ÀÇ Èú »ç¿ë°¡´É",
				"¾Ç¸¶Á· ¸ó½ºÅÍ¿¡°Ô 3%ÀÇ Ãß°¡ µ¥¹ÌÁö, ÀÌµ¿¼Óµµ Áõ°¡",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777µµ³¢^000000 °ø°Ý : ^777777229^000000",
				"¹«°Ô : ^7777770^000000 ¼Ó¼º : ^777777¼º^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16885: {
			unidentifiedDisplayName: "¹ß¸®½ºÅ¸ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹ß¸®½ºÅ¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"°ø¼ºÀü¿¡¼­ »ç¿ëÇÏ´Â, ´ëÇü È°·Î ¿ø·¡ ¼ºº® ¹× ¼º¹® ÆÄ±«¿ëÀÌ¾úÀ¸³ª Å©±â¿Í µ¥¹ÌÁö¸¦ ÁÙ¿© ÀåÂø°¡´ÉÇÏ°Ô ÀçÅº»ýÇÏ°Ô µÈ È°.",
				"¿ø°Å¸® °ø°Ý½Ã µ¥¹ÌÁö 20% Áõ°¡",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777È°^000000      °ø°Ý : ^777777194^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇåÅÍ/¹Ùµå/´í¼­ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹ß¸®½ºÅ¸ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹ß¸®½ºÅ¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"°ø¼ºÀü¿¡¼­ »ç¿ëÇÏ´Â, ´ëÇü È°·Î ¿ø·¡ ¼ºº® ¹× ¼º¹® ÆÄ±«¿ëÀÌ¾úÀ¸³ª Å©±â¿Í µ¥¹ÌÁö¸¦ ÁÙ¿© ÀåÂø°¡´ÉÇÏ°Ô ÀçÅº»ýÇÏ°Ô µÈ È°.",
				"¿ø°Å¸® °ø°Ý½Ã µ¥¹ÌÁö 20% Áõ°¡",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777194^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇåÅÍ/¹Ùµå/´í¼­ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16886: {
			unidentifiedDisplayName: "ÇöÀÚÀÇ ÀÏ±â »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇöÀÚÀÇ ÀÏ±â°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"´ëÇöÀÚ°¡ ÀÚ½ÅÀÇ ±ú´ÞÀ½À» ÀÏ±â Çü½ÄÀ¸·Î Àû¾î ³õÀº Ã¥.",
				"MATK + 140, °ø°Ý¼Óµµ Áõ°¡.(°ø°Ý ÈÄµô·¹ÀÌ 5% °¨¼Ò)",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777Ã¥^000000      °ø°Ý : ^777777135^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777773^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®/¼¼ÀÌÁö/±Ç¼º ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÇöÀÚÀÇ ÀÏ±â »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇöÀÚÀÇ ÀÏ±â°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"´ëÇöÀÚ°¡ ÀÚ½ÅÀÇ ±ú´ÞÀ½À» ÀÏ±â Çü½ÄÀ¸·Î Àû¾î ³õÀº Ã¥.",
				"MATK + 140, °ø°Ý¼Óµµ Áõ°¡.(°ø°Ý ÈÄµô·¹ÀÌ 5% °¨¼Ò)",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777Ã¥^000000 °ø°Ý : ^777777135^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777773^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®/¼¼ÀÌÁö/±Ç¼º ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16887: {
			unidentifiedDisplayName: "¾Æ½´¶ó »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾Æ½´¶ó°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸Õ ¿¾³¯ ½ÅÀÌ ÀÎ°£¿¡°Ô ¼±»çÇß´Ù´Â °Ë. ÀÌ °ËÀ» ¼Õ¿¡ Áã¸é ÆÄ±«ÀûÀÎ Ãæµ¿À» ´À³¢°Ô µÈ´Ù.",
				"MATK + 98",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777´Ü°Ë^000000      °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777771^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777´ÑÀÚÀü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¾Æ½´¶ó »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾Æ½´¶ó°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸Õ ¿¾³¯ ½ÅÀÌ ÀÎ°£¿¡°Ô ¼±»çÇß´Ù´Â °Ë. ÀÌ °ËÀ» ¼Õ¿¡ Áã¸é ÆÄ±«ÀûÀÎ Ãæµ¿À» ´À³¢°Ô µÈ´Ù.",
				"MATK + 98",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777771^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777´ÑÀÚÀü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16888: {
			unidentifiedDisplayName: "ºê·ÎÄ¡ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ºê·ÎÄ¡°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¿ÊµîÀÇ Ãµ¿¡ Àå½ÄÇÏ¿© ¹ß¶öÇÔÀ» ÇÑ²¯ µ¸º¸ÀÌ°Ô ¸¸µé¾îÁÖ´Â Àå½Ä¹°",
				"AGI + 4.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000",
				"¹æ¾î : ^7777770^000000      ¹«°Ô : ^7777770^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ºê·ÎÄ¡ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ºê·ÎÄ¡°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¿ÊµîÀÇ Ãµ¿¡ Àå½ÄÇÏ¿© ¹ß¶öÇÔÀ» ÇÑ²¯ µ¸º¸ÀÌ°Ô ¸¸µé¾îÁÖ´Â Àå½Ä¹°",
				"AGI + 4.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000",
				"¹æ¾î : ^7777770^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16889: {
			unidentifiedDisplayName: "¼¼ÀÌÇÁÆ¼¸µ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼¼ÀÌÇÁÆ¼¸µÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ÀÏÁ¾ÀÇ ¸¶¹ýÀûÀÎ ´É·ÂÀ» ¹ßÈÖÇÏ¿© Âø¿ëÀÚ¸¦ º¸È£ÇÏ°í ±× ÇÇÇØ¸¦ °Ý°¨½ÃÄÑÁÖ´Â ¸¶¹ýÀÇ ¹ÝÁö",
				"DEF + 8 , MDEF + 8",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000",
				"¹æ¾î : ^7777770^000000      ¹«°Ô : ^7777770^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¼¼ÀÌÇÁÆ¼¸µ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼¼ÀÌÇÁÆ¼¸µÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ÀÏÁ¾ÀÇ ¸¶¹ýÀûÀÎ ´É·ÂÀ» ¹ßÈÖÇÏ¿© Âø¿ëÀÚ¸¦ º¸È£ÇÏ°í ±× ÇÇÇØ¸¦ °Ý°¨½ÃÄÑÁÖ´Â ¸¶¹ýÀÇ ¹ÝÁö",
				"DEF + 8 , MDEF + 8",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000",
				"¹æ¾î : ^7777770^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16890: {
			unidentifiedDisplayName: "ÆäÄÚÆäÄÚ ¸Ó¸®¶ì »óÀÚ",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÆäÄÚÆäÄÚÀÇ ³¯°³¸¦ Çü»óÈ­ ÇÑ ÆäÄÚÆäÄÚ ¸Ó¸®¶ì°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 2ÁÖ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸¶Ä¡ ÆäÄÚÆäÄÚÀÇ ³¯°³°¡ ¸ö¿¡ ´Þ¸° µí ÇÑ ´À³¦ÀÌ µå´Â Åõ±¸. ÆäÄÚÆäÄÚÃ³·³ »¡¸® ÀÌµ¿ÇÒ ¼ö ÀÖ°Ô ÇØ ÁØ´Ù.",
				"ÀÌµ¿¼Óµµ Áõ°¡.",
				"°ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄµô·¹ÀÌ 5% °¨¼Ò). º¯µ¿ Ä³½ºÆÃ ½Ã°£ÀÌ 5% °¨¼Ò.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000    ¹æ¾î : ^7777776^000000",
				"À§Ä¡ : ^777777»ó´Ü^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÆäÄÚÆäÄÚ ¸Ó¸®¶ì »óÀÚ",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÆäÄÚÆäÄÚÀÇ ³¯°³¸¦ Çü»óÈ­ ÇÑ ÆäÄÚÆäÄÚ ¸Ó¸®¶ì°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 2ÁÖ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸¶Ä¡ ÆäÄÚÆäÄÚÀÇ ³¯°³°¡ ¸ö¿¡ ´Þ¸° µí ÇÑ ´À³¦ÀÌ µå´Â Åõ±¸. ÆäÄÚÆäÄÚÃ³·³ »¡¸® ÀÌµ¿ÇÒ ¼ö ÀÖ°Ô ÇØ ÁØ´Ù.",
				"ÀÌµ¿¼Óµµ Áõ°¡.",
				"°ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄµô·¹ÀÌ 5% °¨¼Ò). º¯µ¿ Ä³½ºÆÃ ½Ã°£ÀÌ 5% °¨¼Ò.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777776^000000",
				"À§Ä¡ : ^777777»ó´Ü^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16891: {
			unidentifiedDisplayName: "³×ÀÌ°Ç »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³×ÀÌ°ÇÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¿©·¯ °³ÀÇ ³¯ÀÌ ÀÖ¾î ÇÑ¹ø º£ÀÌ¸é Ä¡¸íÀûÀÎ »óÃ³¸¦ ¸éÇÏ±â ¾î·Á¿î ÀÜÀÎÇÑ °Ë",
				"ÀÎ°£Çü ¸ó½ºÅÍ¿¡°Ô 40%ÀÇ Ãß°¡µ¥¹ÌÁö",
				"¹°¸®°ø°Ý ½Ã ´õºí¾îÅÃ 5LV(µµµÏ°è¿­Àº ¹è¿î·¹º§¸¸Å­) ¹ßµ¿.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777°Ë^000000      °ø°Ý : ^777777148^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "³×ÀÌ°Ç »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³×ÀÌ°ÇÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¿©·¯ °³ÀÇ ³¯ÀÌ ÀÖ¾î ÇÑ¹ø º£ÀÌ¸é Ä¡¸íÀûÀÎ »óÃ³¸¦ ¸éÇÏ±â ¾î·Á¿î ÀÜÀÎÇÑ °Ë",
				"ÀÎ°£Çü ¸ó½ºÅÍ¿¡°Ô 40%ÀÇ Ãß°¡µ¥¹ÌÁö",
				"¹°¸®°ø°Ý ½Ã ´õºí¾îÅÃ 5LV(µµµÏ°è¿­Àº ¹è¿î·¹º§¸¸Å­) ¹ßµ¿.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777°Ë^000000 °ø°Ý : ^777777148^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16892: {
			unidentifiedDisplayName: "²¿Ã¬ÀÌ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"²¿Ã¬ÀÌ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"±æ°í °¡´À´Ù¶õ ³¯À» °¡Áø ¼è¸·´ë·Î ¾î¶² ¹æ¾î±¸¸¦ ÀÔ¾îµµ ±× Æ´»õ·Î Âñ·¯µé¾î°¥ ¼ö ÀÖ´Ù°í ÇÑ´Ù",
				"»ó´ë¹æÀÇ ¹æ¾î·Â ¹«½Ã. º¸½º¿¡°Ô´Â ÅëÇÏÁö ¾Ê´Â´Ù.",
				"ÁßÇü, ´ëÇü Àû¿¡°Ô 20%ÀÇ Ãß°¡ µ¥¹ÌÁö",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777Ã¢^000000      °ø°Ý : ^777777149^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "²¿Ã¬ÀÌ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"²¿Ã¬ÀÌ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"±æ°í °¡´À´Ù¶õ ³¯À» °¡Áø ¼è¸·´ë·Î ¾î¶² ¹æ¾î±¸¸¦ ÀÔ¾îµµ ±× Æ´»õ·Î Âñ·¯µé¾î°¥ ¼ö ÀÖ´Ù°í ÇÑ´Ù",
				"»ó´ë¹æÀÇ ¹æ¾î·Â ¹«½Ã. º¸½º¿¡°Ô´Â ÅëÇÏÁö ¾Ê´Â´Ù.",
				"ÁßÇü, ´ëÇü Àû¿¡°Ô 20%ÀÇ Ãß°¡ µ¥¹ÌÁö",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777Ã¢^000000 °ø°Ý : ^777777149^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16893: {
			unidentifiedDisplayName: "Äõµå¸± »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Äõµå¸±ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"µÐ±â°¡ ¾Æ´Ï¶ó Ã¶Ãß¶ó°í ºÒ·Áµµ µÉ Á¤µµ·Î °Å´ëÇÑ ¸Ó¸®¸¦ °®°í ÀÖ´Â ÃÊ´ëÇü µÐ±â",
				"¾ðµ¥µå, ¾Ç¸¶Çü ¸ó½ºÅÍ¿¡°Ô °¢°¢ 40% Ãß°¡µ¥¹ÌÁö, ÀÎ°£Çü Àû¿¡°Ô 30%Ãß°¡µ¥¹ÌÁö.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777µÐ±â^000000    °ø°Ý : ^777777193^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777º¹»ç°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Äõµå¸± »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Äõµå¸±ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"µÐ±â°¡ ¾Æ´Ï¶ó Ã¶Ãß¶ó°í ºÒ·Áµµ µÉ Á¤µµ·Î °Å´ëÇÑ ¸Ó¸®¸¦ °®°í ÀÖ´Â ÃÊ´ëÇü µÐ±â",
				"¾ðµ¥µå, ¾Ç¸¶Çü ¸ó½ºÅÍ¿¡°Ô °¢°¢ 40% Ãß°¡µ¥¹ÌÁö, ÀÎ°£Çü Àû¿¡°Ô 30%Ãß°¡µ¥¹ÌÁö.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^777777193^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777º¹»ç°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16894: {
			unidentifiedDisplayName: "È­ÀÌ¾î ºê·£µå »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È­ÀÌ¾î ºê·£µå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ºÒÀÇ ÈûÀ» °¡Áö°í ÀÖ´Â ºÓÀº Ä®³¯ÀÇ µÐÅ¹ÇØ º¸ÀÌ´Â °Ë.",
				"¹°¸® °ø°Ý½Ã ¿ÀÅä½ºÆç ÆÄÀÌ¾îº¼Æ® 5·¹º§À» ³·ÀºÈ®·ü·Î ½ÃÀü.",
				"INT + 2, ÆÄÀÌ¾îº¼Æ® 5·¹º§ ½ÃÀü°¡´É.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777°Ë^000000      °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000      ¼Ó¼º : ^777777È­^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "È­ÀÌ¾î ºê·£µå »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È­ÀÌ¾î ºê·£µå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ºÒÀÇ ÈûÀ» °¡Áö°í ÀÖ´Â ºÓÀº Ä®³¯ÀÇ µÐÅ¹ÇØ º¸ÀÌ´Â °Ë.",
				"¹°¸® °ø°Ý½Ã ¿ÀÅä½ºÆç ÆÄÀÌ¾îº¼Æ® 5·¹º§À» ³·ÀºÈ®·ü·Î ½ÃÀü.",
				"INT + 2, ÆÄÀÌ¾îº¼Æ® 5·¹º§ ½ÃÀü°¡´É.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777°Ë^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000 ¼Ó¼º : ^777777È­^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16895: {
			unidentifiedDisplayName: "³ªºñ °¡¸é »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³ªºñ °¡¸éÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 2ÁÖ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"°¡Á×À» Àç·á·Î ÇÏ¿© ¸¸µé¾îÁø ³ªºñ¸ð¾çÀÇ °ËÀº °¡¸éÀ¸·Î ¹Ù¶óº¸°í ÀÖ³ë¶ó¸é ¾ß¸©ÇÑ ´À³¦ÀÌ µå´Â °ÍÀº ¾îÂ¿ ¼ö ¾ø´Ù",
				"ÀÎ°£Çü Àû¿¡°Ô 7% Ãß°¡ ´ë¹ÌÁö.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000    ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777Áß´Ü^000000    ¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "³ªºñ °¡¸é »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³ªºñ °¡¸éÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 2ÁÖ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"°¡Á×À» Àç·á·Î ÇÏ¿© ¸¸µé¾îÁø ³ªºñ¸ð¾çÀÇ °ËÀº °¡¸éÀ¸·Î ¹Ù¶óº¸°í ÀÖ³ë¶ó¸é ¾ß¸©ÇÑ ´À³¦ÀÌ µå´Â °ÍÀº ¾îÂ¿ ¼ö ¾ø´Ù",
				"ÀÎ°£Çü Àû¿¡°Ô 7% Ãß°¡ ´ë¹ÌÁö.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777Áß´Ü^000000 ¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16896: {
			unidentifiedDisplayName: "¿ÀÅ©È÷¾î·ÎÀÇ Åõ±¸ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ÀÅ©È÷¾î·ÎÀÇ Åõ±¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 2ÁÖ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ÁøÁ¤ÇÑ ¿ÀÅ©ÀÇ ¿ëÀÚ¿¡°Ô¸¸ ÁÖ¾îÁö´Â Åõ±¸·Î ¿ÀÅ©Á· »çÀÌ¿¡¼­ °¡Àå ¿ë¸ÍÇÏ°í À§´ëÇÑ ¿ÀÅ©¶ó´Â Áõ°ÅÀÓ¿¡ Æ²¸²¾ø´Ù.",
				"STR + 5, VIT + 3.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000    ¹æ¾î : ^77777710^000000",
				"À§Ä¡ : ^777777»óÁß´Ü^000000    ¹«°Ô : ^7777770^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ ¸ðµçÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿ÀÅ©È÷¾î·ÎÀÇ Åõ±¸ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ÀÅ©È÷¾î·ÎÀÇ Åõ±¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 2ÁÖ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ÁøÁ¤ÇÑ ¿ÀÅ©ÀÇ ¿ëÀÚ¿¡°Ô¸¸ ÁÖ¾îÁö´Â Åõ±¸·Î ¿ÀÅ©Á· »çÀÌ¿¡¼­ °¡Àå ¿ë¸ÍÇÏ°í À§´ëÇÑ ¿ÀÅ©¶ó´Â Áõ°ÅÀÓ¿¡ Æ²¸²¾ø´Ù.",
				"STR + 5, VIT + 3.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^77777710^000000",
				"À§Ä¡ : ^777777»óÁß´Ü^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ ¸ðµçÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16897: {
			unidentifiedDisplayName: "´Ã¾îÁø °í¾çÀÌ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´Ã¾îÁø °í¾çÀÌ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 2ÁÖ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸Ó¸®À§¿¡ ¾ñ°í ´Ù´Ò¼ö ÀÖµµ·Ï ¸¸µé¾îÁø ÀÎÇü. ¾îµð¼±°¡ °í¾çÀÌ ¿ïÀ½¼Ò¸®°¡ µé¸®°Å³ª ¸Ó¸®À§¿¡¼­ ¿òÁ÷ÀÓÀÌ ´À²¸Áö°Å³ª ÇÏ´Â°Ç ±âºÐÅ¿ÀÌ´Ù.",
				"MDEF + 15, ÀúÁÖ¿¡ ´ëÇÑ ³»¼º 40%, ½ºÅÏ¿¡ ´ëÇÑ ³»¼º 10%.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000    ¹æ¾î : ^7777779^000000",
				"À§Ä¡ : ^777777»ó´Ü^000000    ¹«°Ô : ^7777770^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ ¸ðµçÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "´Ã¾îÁø °í¾çÀÌ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´Ã¾îÁø °í¾çÀÌ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 2ÁÖ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸Ó¸®À§¿¡ ¾ñ°í ´Ù´Ò¼ö ÀÖµµ·Ï ¸¸µé¾îÁø ÀÎÇü. ¾îµð¼±°¡ °í¾çÀÌ ¿ïÀ½¼Ò¸®°¡ µé¸®°Å³ª ¸Ó¸®À§¿¡¼­ ¿òÁ÷ÀÓÀÌ ´À²¸Áö°Å³ª ÇÏ´Â°Ç ±âºÐÅ¿ÀÌ´Ù.",
				"MDEF + 15, ÀúÁÖ¿¡ ´ëÇÑ ³»¼º 40%, ½ºÅÏ¿¡ ´ëÇÑ ³»¼º 10%.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777779^000000",
				"À§Ä¡ : ^777777»ó´Ü^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ ¸ðµçÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16898: {
			unidentifiedDisplayName: "ÇÇ¹¯Àº Ã¶±¸ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇÇ¹¯Àº Ã¶±¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸Õ ¿¾³¯, ÈäÆøÇÑ ÁË¼öÀÇ ¿òÁ÷ÀÓÀ» ºÀÇÏ±â À§ÇØ, Á·¼â¿¡ ´Þ¾Ò´ø Ã¶±¸. ±×·¯³ª ±× ÁË¼ö´Â ±× Ã¶±¸¸¶Àúµµ ÀÚ½ÅÀÇ ¹«±â·Î¼­ »ç¿ëÇß¾ú´Ù°í ÇÑ´Ù.",
				"ATK + 30.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000",
				"¹æ¾î : ^7777770^000000      ¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÇÇ¹¯Àº Ã¶±¸ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇÇ¹¯Àº Ã¶±¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÆÄ¼Õ ÁÖÀÇ! °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸Õ ¿¾³¯, ÈäÆøÇÑ ÁË¼öÀÇ ¿òÁ÷ÀÓÀ» ºÀÇÏ±â À§ÇØ, Á·¼â¿¡ ´Þ¾Ò´ø Ã¶±¸. ±×·¯³ª ±× ÁË¼ö´Â ±× Ã¶±¸¸¶Àúµµ ÀÚ½ÅÀÇ ¹«±â·Î¼­ »ç¿ëÇß¾ú´Ù°í ÇÑ´Ù.",
				"ATK + 30.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000",
				"¹æ¾î : ^7777770^000000 ¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16899: {
			unidentifiedDisplayName: "ÇÏÅ°¸¶½ºÅ© »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇÏÅ° ¸¶½ºÅ©°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÇÏÅ° ¸¶½ºÅ©. ¿ØÁö ÀÌ °¡¸éÀ» ¾²¸é ¼Õ¿¡ ¹«±â¸¦ Áã¾î¾ß ÇÒ °Í °°Àº Ãæµ¿ÀÌ ÀÏ¾î³­´Ù.",
				"ÀÎ°£Çü ¸ó½ºÅÍ¿¡°Ô µ¥¹ÌÁö 5% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000    ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÁßÇÏ´Ü^000000    ¹«°Ô : ^77777710^000000",
				"¿ä±¸·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777¸ðµçÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÇÏÅ°¸¶½ºÅ© »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇÏÅ° ¸¶½ºÅ©°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÇÏÅ° ¸¶½ºÅ©. ¿ØÁö ÀÌ °¡¸éÀ» ¾²¸é ¼Õ¿¡ ¹«±â¸¦ Áã¾î¾ß ÇÒ °Í °°Àº Ãæµ¿ÀÌ ÀÏ¾î³­´Ù.",
				"ÀÎ°£Çü ¸ó½ºÅÍ¿¡°Ô µ¥¹ÌÁö 5% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÁßÇÏ´Ü^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777¸ðµçÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16900: {
			unidentifiedDisplayName: "¿ÉÀú¹ö »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ÉÀú¹ö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"»ó´ë¹æÀÇ ÈûÀ» ÃøÁ¤ÇÒ ¼ö ÀÖ´Â ÀåÄ¡. ¸¶À» »ç¶÷µéÀ» ÃøÁ¤ÇÏ¸é º¸Åë 5ÀÇ ¼öÄ¡°¡ ³ª¿Â´Ù°í ÇÑ´Ù.",
				"¸ó½ºÅÍ °¨Á¤ 1·¹º§ »ç¿ë °¡´É.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000    ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777Áß´Ü^000000    ¹«°Ô : ^77777710^000000",
				"¿ä±¸·¹º§ : ^77777735^000000",
				"ÀåÂø : ^777777¸ðµçÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿ÉÀú¹ö »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ÉÀú¹ö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"»ó´ë¹æÀÇ ÈûÀ» ÃøÁ¤ÇÒ ¼ö ÀÖ´Â ÀåÄ¡. ¸¶À» »ç¶÷µéÀ» ÃøÁ¤ÇÏ¸é º¸Åë 5ÀÇ ¼öÄ¡°¡ ³ª¿Â´Ù°í ÇÑ´Ù.",
				"¸ó½ºÅÍ °¨Á¤ 1·¹º§ »ç¿ë °¡´É.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777Áß´Ü^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸·¹º§ : ^77777735^000000",
				"ÀåÂø : ^777777¸ðµçÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16901: {
			unidentifiedDisplayName: "¿ÃÀÎ¿ø ¹ÝÁö »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ÃÀÎ¿ø ¹ÝÁö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"3°¡Áö ¸¶¹ýÀÇ Á¤¼ö°¡ ´ã±ä º¸¼® ¹ÝÁö.",
				"Èú°ú ÅÚ·¹Æ÷Å×ÀÌ¼Ç 1·¹º§ »ç¿ë °¡´É. Ä³½ºÆÃÀÌ ²÷¾îÁöÁö ¾Ê´Â´Ù.",
				"ALL STATUS + 1. º¯µ¿ Ä³½ºÆÃ ½Ã°£ÀÌ 10% Áõ°¡ÇÑ´Ù.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000",
				"¹æ¾î : ^7777770^000000      ¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿ÃÀÎ¿ø ¹ÝÁö »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ÃÀÎ¿ø ¹ÝÁö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"3°¡Áö ¸¶¹ýÀÇ Á¤¼ö°¡ ´ã±ä º¸¼® ¹ÝÁö.",
				"Èú°ú ÅÚ·¹Æ÷Å×ÀÌ¼Ç 1·¹º§ »ç¿ë °¡´É. Ä³½ºÆÃÀÌ ²÷¾îÁöÁö ¾Ê´Â´Ù.",
				"ALL STATUS + 1. º¯µ¿ Ä³½ºÆÃ ½Ã°£ÀÌ 10% Áõ°¡ÇÑ´Ù.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000",
				"¹æ¾î : ^7777770^000000 ¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16902: {
			unidentifiedDisplayName: "½ºÇÇ¸®Ãò¾ó Æ©´Ð »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½ºÇÇ¸®Ãò¾ó Æ©´ÐÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"°¢Á¾ ¼Ó¼º¿¡ ´ëÇÑ ÀúÇ×·ÂÀ» ³ôÀÎ ¸¶¹ý Æ©´Ð",
				"MHP + 800. µ¿ºùµÇÁö ¾Ê´Â´Ù.",
				"¹«¼Ó¼º°ú ¼ö¼Ó¼ºÀ» Á¦¿ÜÇÑ ¼Ó¼º ´ë¹ÌÁö 20% °¨¼Ò. MDEF + 5",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777°©¿Ê^000000    ¹æ¾î : ^77777738^000000",
				"¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½ºÇÇ¸®Ãò¾ó Æ©´Ð »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½ºÇÇ¸®Ãò¾ó Æ©´ÐÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"°¢Á¾ ¼Ó¼º¿¡ ´ëÇÑ ÀúÇ×·ÂÀ» ³ôÀÎ ¸¶¹ý Æ©´Ð",
				"MaxHP + 800. µ¿ºùµÇÁö ¾Ê´Â´Ù.",
				"¹«¼Ó¼º°ú ¼ö¼Ó¼ºÀ» Á¦¿ÜÇÑ ¼Ó¼º ´ë¹ÌÁö 20% °¨¼Ò. MDEF + 5",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777738^000000",
				"¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16903: {
			unidentifiedDisplayName: "¸®Å¥ÆÛ·¹ÀÌÆ¼ºê ¾Æ¸Ó »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸®Å¥ÆÛ·¹ÀÌÆ¼ºê ¾Æ¸Ó°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ÀûÀÇ »ý¸í·ÂÀ» ÀÚ½ÅÀÇ »ý¸í·ÂÀ¸·Î ÀüÈ¯ÇÏ¿© ÁÖÀÎÀ» È¸º¹½ÃÄÑÁÖ´Â ÈûÀ» Áö´Ñ ¾Æ¸Ó.",
				"HP, SP ÀÚµ¿È¸º¹ ºÒ°¡. ÀåÂø ÇØÁ¦ ½Ã, SP 100 ¼Ò½Ç.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ¹× ¸¶¹ý °ø°ÝÀ¸·Î ¸ó½ºÅÍ¸¦ Á×ÀÏ ½Ã, 60ÀÇ HP¿Í 6ÀÇ SP È¸º¹.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777°©¿Ê^000000    ¹æ¾î : ^77777767^000000",
				"¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸®Å¥ÆÛ·¹ÀÌÆ¼ºê ¾Æ¸Ó »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸®Å¥ÆÛ·¹ÀÌÆ¼ºê ¾Æ¸Ó°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ÀûÀÇ »ý¸í·ÂÀ» ÀÚ½ÅÀÇ »ý¸í·ÂÀ¸·Î ÀüÈ¯ÇÏ¿© ÁÖÀÎÀ» È¸º¹½ÃÄÑÁÖ´Â ÈûÀ» Áö´Ñ ¾Æ¸Ó.",
				"HP, SP ÀÚµ¿È¸º¹ ºÒ°¡. ÀåÂø ÇØÁ¦ ½Ã, SP 100 ¼Ò½Ç.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ¹× ¸¶¹ý °ø°ÝÀ¸·Î ¸ó½ºÅÍ¸¦ Á×ÀÏ ½Ã, 60ÀÇ HP¿Í 6ÀÇ SP È¸º¹.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777767^000000",
				"¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16904: {
			unidentifiedDisplayName: "½©ÅÍ ¿Àºê ·¹Áö½ºÅÏ½º »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½©ÅÍ ¿Àºê ·¹Áö½ºÅÏ½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸ðµç Àû´ëÀûÀÎ °ø°ÝÀ¸·ÎºÎÅÍ °­ÇÑ ÀúÇ×·ÂÀ» Áö´Ñ ¸¶¹ý ¹æÆÐ.",
				"¸ðµç ¸ó½ºÅÍ·ÎºÎÅÍ ¹Þ´Â ´ë¹ÌÁö 20% °¨¼Ò.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ´ë¹ÌÁö 1% ¹Ý»ç.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777¹æÆÐ^000000    ¹æ¾î : ^777777140^000000",
				"¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½©ÅÍ ¿Àºê ·¹Áö½ºÅÏ½º »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½©ÅÍ ¿Àºê ·¹Áö½ºÅÏ½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸ðµç Àû´ëÀûÀÎ °ø°ÝÀ¸·ÎºÎÅÍ °­ÇÑ ÀúÇ×·ÂÀ» Áö´Ñ ¸¶¹ý ¹æÆÐ.",
				"¸ðµç ¸ó½ºÅÍ·ÎºÎÅÍ ¹Þ´Â ´ë¹ÌÁö 20% °¨¼Ò.",
				"±ÙÁ¢ ¹°¸® °ø°Ý ´ë¹ÌÁö 1% ¹Ý»ç.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^777777140^000000",
				"¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16905: {
			unidentifiedDisplayName: "½ÇÇÇµå ¸ÁÅä »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½ÇÇÇµå ¸ÁÅä°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¹Ù¶÷ÀÇ Á¤·ÉÀÇ °¡È£°¡ ±êµç ±êÅÐ¸ÁÅä. Âø¿ëÀÚ¸¦ À§ÇèÀ¸·ÎºÎÅÍ º¸È£ÇØ ÁØ´Ù°í ÇÑ´Ù.",
				"FLEE + 13, ¹«¼Ó¼º ´ë¹ÌÁö 13% °¨¼Ò. ¿ÏÀüÈ¸ÇÇ + 1",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000  ¹æ¾î : ^77777733^000000",
				"¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½ÇÇÇµå ¸ÁÅä »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½ÇÇÇµå ¸ÁÅä°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¹Ù¶÷ÀÇ Á¤·ÉÀÇ °¡È£°¡ ±êµç ±êÅÐ¸ÁÅä. Âø¿ëÀÚ¸¦ À§ÇèÀ¸·ÎºÎÅÍ º¸È£ÇØ ÁØ´Ù°í ÇÑ´Ù.",
				"FLEE + 13, ¹«¼Ó¼º ´ë¹ÌÁö 13% °¨¼Ò. ¿ÏÀüÈ¸ÇÇ + 1",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777733^000000",
				"¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16906: {
			unidentifiedDisplayName: "¸®ÇÁ·¹½¬ ½´Áî »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸®ÇÁ·¹½¬ ½´Áî°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¼¶¼¼ÇÑ µðÀÚÀÎ¿¡ ºÎµå·¯¿î °¡Á×À» »ç¿ëÇÏ¿© ¹ßÀÇ Æí¾ÈÇÔÀ» ¿ì¼±½ÃÇÑ ½´Áî.",
				"MHP 17% Áõ°¡, MSP 8% Áõ°¡.",
				"10ÃÊ¸¶´Ù HP°¡ 20, SP°¡ 3¾¿ È¸º¹µÈ´Ù.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777½Å¹ß^000000    ¹æ¾î : ^77777720^000000",
				"¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸®ÇÁ·¹½¬ ½´Áî »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸®ÇÁ·¹½¬ ½´Áî°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¼¶¼¼ÇÑ µðÀÚÀÎ¿¡ ºÎµå·¯¿î °¡Á×À» »ç¿ëÇÏ¿© ¹ßÀÇ Æí¾ÈÇÔÀ» ¿ì¼±½ÃÇÑ ½´Áî.",
				"MaxHP 17% Áõ°¡, MaxSP 8% Áõ°¡.",
				"10ÃÊ¸¶´Ù HP°¡ 20, SP°¡ 3¾¿ È¸º¹µÈ´Ù.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777720^000000",
				"¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16907: {
			unidentifiedDisplayName: "È²¾ßÀÇ ¹«¹ýÀÚ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È²¾ßÀÇ ¹«¹ýÀÚ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"±ÇÃÑ Æ¯À¯ÀÇ ¿¬»ç·Â¿¡ ³ôÀº ¸íÁß·üÀ» ÀÚ¶ûÇÏ´Â ÀÌ ÃÑÀº, ÃÑ±âÀÇ ¸í°¡¿¡¼­ °ÅÄ£ È²¾ß¿¡¼­ ÀÚ½ÅÀÇ ÃÑ¸¸À» ¹Ï°í ¸ðµç °í³­À» ±Øº¹ÇØ³½ ÀÌ¸§¾ø´Â °Ç½½¸µ°Å¸¦ ±â¸®±â À§ÇØ ¸¸µç ±ÇÃÑÀÌ´Ù.",
				"Agi ¼öÄ¡¿¡ µû¶ó Hit ¹× °ø°Ý¼Óµµ Áõ°¡. ¸ðµç Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¸®º¼¹ö^000000",
				"°ø°Ý : ^777777100^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777773^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°ÅÀü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "È²¾ßÀÇ ¹«¹ýÀÚ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È²¾ßÀÇ ¹«¹ýÀÚ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"±ÇÃÑ Æ¯À¯ÀÇ ¿¬»ç·Â¿¡ ³ôÀº ¸íÁß·üÀ» ÀÚ¶ûÇÏ´Â ÀÌ ÃÑÀº, ÃÑ±âÀÇ ¸í°¡¿¡¼­ °ÅÄ£ È²¾ß¿¡¼­ ÀÚ½ÅÀÇ ÃÑ¸¸À» ¹Ï°í ¸ðµç °í³­À» ±Øº¹ÇØ³½ ÀÌ¸§¾ø´Â °Ç½½¸µ°Å¸¦ ±â¸®±â À§ÇØ ¸¸µç ±ÇÃÑÀÌ´Ù.",
				"Agi ¼öÄ¡¿¡ µû¶ó Hit ¹× °ø°Ý¼Óµµ Áõ°¡. ¸ðµç Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¸®º¼¹ö^000000",
				"°ø°Ý : ^777777100^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777773^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°ÅÀü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16908: {
			unidentifiedDisplayName: "·¹¹ö¾×¼Ç ¶óÀÌÇÃ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·¹¹ö¾×¼Ç ¶óÀÌÇÃÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¶óÀÌÇÃÀÇ ¼º´ÉÀ» ±Ø´ëÈ­ÇÑ ¸íÀÛ. ¾Æ¸§´Ù¿î ÃÑ½ÅÀº °Ç½½¸µ°ÅÀÇ ¸¶À½À» ÇÑ¼ø°£¿¡ ¾Ñ¾Æ°¡°í ±× Ä¡¸íÀûÀÎ ¼º´ÉÀº ´Ü¹ø¿¡ ÀûÀÇ ½ÉÀåÀ» ²ç¶Õ´Â´Ù.",
				"HIT+ 20, Cri+ 50, ¸ðµç Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¶óÀÌÇÃ^000000",
				"°ø°Ý : ^777777170^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777773^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°ÅÀü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "·¹¹ö¾×¼Ç ¶óÀÌÇÃ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·¹¹ö¾×¼Ç ¶óÀÌÇÃÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¶óÀÌÇÃÀÇ ¼º´ÉÀ» ±Ø´ëÈ­ÇÑ ¸íÀÛ. ¾Æ¸§´Ù¿î ÃÑ½ÅÀº °Ç½½¸µ°ÅÀÇ ¸¶À½À» ÇÑ¼ø°£¿¡ ¾Ñ¾Æ°¡°í ±× Ä¡¸íÀûÀÎ ¼º´ÉÀº ´Ü¹ø¿¡ ÀûÀÇ ½ÉÀåÀ» ²ç¶Õ´Â´Ù.",
				"HIT+ 20, Cri+ 50, ¸ðµç Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¶óÀÌÇÃ^000000",
				"°ø°Ý : ^777777170^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777773^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°ÅÀü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16909: {
			unidentifiedDisplayName: "Å©·¹ÀÌ¸ð¾î »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Å©·¹ÀÌ¸ð¾î°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¼ÕÀâÀÌ°¡ ½ÊÀÚ°¡ ¸ð¾çÀ¸·Î ¸¸µé¾îÁø ½ÉÇÃÇÑ ÇüÅÂÀÇ ´ëÇü ¾ç¼Õ°Ë.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ªÀÌÆ®/Å©·ç¼¼ÀÌ´õ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Å©·¹ÀÌ¸ð¾î »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Å©·¹ÀÌ¸ð¾î°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¼ÕÀâÀÌ°¡ ½ÊÀÚ°¡ ¸ð¾çÀ¸·Î ¸¸µé¾îÁø ½ÉÇÃÇÑ ÇüÅÂÀÇ ´ëÇü ¾ç¼Õ°Ë.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ªÀÌÆ®/Å©·ç¼¼ÀÌ´õ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16910: {
			unidentifiedDisplayName: "ÀÚ¸¶´Ù¸£ »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÚ¸¶´Ù¸£°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¿©·¯ °³ÀÇ ³¯À» °®°í °ø°Ý·ÂÀ» ±Øµµ·Î °­È­ÇÑ º´±â.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^777777200^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¾î¼¼½Å Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀÚ¸¶´Ù¸£ »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÚ¸¶´Ù¸£°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¿©·¯ °³ÀÇ ³¯À» °®°í °ø°Ý·ÂÀ» ±Øµµ·Î °­È­ÇÑ º´±â.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^777777200^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¾î¼¼½Å Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16911: {
			unidentifiedDisplayName: "ÅõÇÚµå¾×½º »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÅõÇÚµå ¾×½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¹«°Ô¸¦ ÀÌ¿ëÇØ ³»·Á²ÈÈú¶§ÀÇ ÆÄ±«·ÂÀÌ ¹«½Ã¹«½ÃÇÑ ¾ç¼Õµµ³¢.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¾ç¼Õµµ³¢^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÅõÇÚµå¾×½º »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÅõÇÚµå ¾×½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¹«°Ô¸¦ ÀÌ¿ëÇØ ³»·Á²ÈÈú¶§ÀÇ ÆÄ±«·ÂÀÌ ¹«½Ã¹«½ÃÇÑ ¾ç¼Õµµ³¢.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¾ç¼Õµµ³¢^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16912: {
			unidentifiedDisplayName: "·£½º »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·£½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸¶»óµ¹°Ý¿ëÀ¸·Î »ç¿ëµÇ¾îÁö´Â ±ä Ã¢.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 50% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "·£½º »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·£½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸¶»óµ¹°Ý¿ëÀ¸·Î »ç¿ëµÇ¾îÁö´Â ±ä Ã¢.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 50% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777220^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16913: {
			unidentifiedDisplayName: "¿ÀÅ°½¬ ¾×½º »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ÀÅ°½¬ ¾×½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¿ÀÅ©ºÎÁ·ÀÌ »ç¿ëÇÏ´Â µµ³¢.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 70% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777ÇÑ¼Õµµ³¢^000000 °ø°Ý : ^777777110^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/»óÀÎ°è¿­/¾î½Ø½Å^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿ÀÅ°½¬ ¾×½º »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ÀÅ°½¬ ¾×½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¿ÀÅ©ºÎÁ·ÀÌ »ç¿ëÇÏ´Â µµ³¢.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 70% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777ÇÑ¼Õµµ³¢^000000 °ø°Ý : ^777777110^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/»óÀÎ°è¿­/¾î½Ø½Å^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16914: {
			unidentifiedDisplayName: "´ë¹é°ú »çÀü »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´ë¹é°ú »çÀüÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸ð¼­¸®°¡ ´Ü´ÜÇÏ±â·Î À¯¸íÇÑ ÇÁ·ÐÅ×¶ó ¸ð ÃâÆÇ»çÀÇ ´ë¹é°ú »çÀü. ÀÌ ¸ð¼­¸®¿¡ ÂïÇô º» »ç¶÷µéÀº, ¸ð¼­¸®¿¡ 3Ä³·µ ´ÙÀÌ¾Æ¸óµå¸¦ ¹ÚÀº °Ô ¾Æ´Ï³Ä°í ÇÒ Á¤µµ·Î ¸Å¿ì ´Ü´ÜÇÏ´Ù.",
				"Matk + 100, INT + 3, DEX + 2, CRI + 20.",
				"¼ø¼ö ·° ¼öÄ¡¿¡ µû¶ó Å©¸®À² Ãß°¡·Î Áõ°¡.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777Ã¥^000000 °ø°Ý : ^777777145^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777770^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®/¼¼ÀÌÁö/±Ç¼º Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "´ë¹é°ú »çÀü »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´ë¹é°ú »çÀüÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¸ð¼­¸®°¡ ´Ü´ÜÇÏ±â·Î À¯¸íÇÑ ÇÁ·ÐÅ×¶ó ¸ð ÃâÆÇ»çÀÇ ´ë¹é°ú »çÀü. ÀÌ ¸ð¼­¸®¿¡ ÂïÇô º» »ç¶÷µéÀº, ¸ð¼­¸®¿¡ 3Ä³·µ ´ÙÀÌ¾Æ¸óµå¸¦ ¹ÚÀº °Ô ¾Æ´Ï³Ä°í ÇÒ Á¤µµ·Î ¸Å¿ì ´Ü´ÜÇÏ´Ù.",
				"Matk + 100, INT + 3, DEX + 2, CRI + 20.",
				"¼ø¼ö ·° ¼öÄ¡¿¡ µû¶ó Å©¸®À² Ãß°¡·Î Áõ°¡.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777Ã¥^000000 °ø°Ý : ^777777145^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777770^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®/¼¼ÀÌÁö/±Ç¼º Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16915: {
			unidentifiedDisplayName: "ÇÇ½ºÆ® »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇÇ½ºÆ®°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¼ÕµîºÎºÐÀ» µüµüÇÑ Àå°©À¸·Î µ¤¾î ÁÖ¸ÔÀÇ º¸È£¿Í µ¥¹ÌÁöÀÇ Çâ»óÀÌ¶ó´Â ÀåÁ¡À» »ì¸° º¸È£´ë.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777³ÊÅ¬^000000 °ø°Ý : ^777777150^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®/¸ùÅ©^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÇÇ½ºÆ® »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇÇ½ºÆ®°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¼ÕµîºÎºÐÀ» µüµüÇÑ Àå°©À¸·Î µ¤¾î ÁÖ¸ÔÀÇ º¸È£¿Í µ¥¹ÌÁöÀÇ Çâ»óÀÌ¶ó´Â ÀåÁ¡À» »ì¸° º¸È£´ë.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777³ÊÅ¬^000000 °ø°Ý : ^777777150^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®/¸ùÅ©^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16916: {
			unidentifiedDisplayName: "±âÅ¸ »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±âÅ¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ÇöÀ» ¼ÕÀ¸·Î Æ¨°Ü¼­ ¼Ò¸®¸¦ ³»´Â Çö¾Ç±â.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40%Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¾Ç±â^000000 °ø°Ý : ^777777177^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¹Ùµå Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "±âÅ¸ »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±âÅ¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ÇöÀ» ¼ÕÀ¸·Î Æ¨°Ü¼­ ¼Ò¸®¸¦ ³»´Â Çö¾Ç±â.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40%Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777¾Ç±â^000000 °ø°Ý : ^777777177^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¹Ùµå Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16917: {
			unidentifiedDisplayName: "´Ù¸¶½ºÄ¿½º »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´Ù¸¶½ºÄ¿½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"Æ¯¼öÇÑ Á¦Á¶¹ýÀ¸·Î ¸¸µé¾îÁø ´Ü°Ë. ºûÀ» ¹Ý»çÇÒ¶§ µå·¯³ª´Â °Ë½Å¿¡ »õ°ÜÁø ¹°°á¹«´Ì´Â ¾Æ¸§´Ù¿ò¿¡ ³ÌÀ» ÀÒ°Ô ÇÏ±â¿¡ ÃæºÐÇÏ´Ù.",
				"Àý´ë ¼Õ»óµÇÁö ¾Ê´Â´Ù.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777153^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "´Ù¸¶½ºÄ¿½º »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´Ù¸¶½ºÄ¿½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"Æ¯¼öÇÑ Á¦Á¶¹ýÀ¸·Î ¸¸µé¾îÁø ´Ü°Ë. ºûÀ» ¹Ý»çÇÒ¶§ µå·¯³ª´Â °Ë½Å¿¡ »õ°ÜÁø ¹°°á¹«´Ì´Â ¾Æ¸§´Ù¿ò¿¡ ³ÌÀ» ÀÒ°Ô ÇÏ±â¿¡ ÃæºÐÇÏ´Ù.",
				"Àý´ë ¼Õ»óµÇÁö ¾Ê´Â´Ù.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^777777153^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16918: {
			unidentifiedDisplayName: "ÇÁ¶÷º£¸£±× »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇÁ¶÷º£¸£±×°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"°Ë³¯ÀÌ ¹°°á¹«´Ì¸¦ ÀÌ·ç°í ÀÖ´Â ¾Æ¸§´Ù¿î °Ë. ¾Æ¸§´Ù¿î ¿Ü°ü¿¡ ºñÇØ ¸Å¿ì ÀÜÀÎÇÑ À§·ÂÀ» °¡Áö°í ÀÖ´Ù.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777°Ë^000000 °ø°Ý : ^777777185^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ªÀÌÆ®/Å©·ç¼¼ÀÌ´õ^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÇÁ¶÷º£¸£±× »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÇÁ¶÷º£¸£±×°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"°Ë³¯ÀÌ ¹°°á¹«´Ì¸¦ ÀÌ·ç°í ÀÖ´Â ¾Æ¸§´Ù¿î °Ë. ¾Æ¸§´Ù¿î ¿Ü°ü¿¡ ºñÇØ ¸Å¿ì ÀÜÀÎÇÑ À§·ÂÀ» °¡Áö°í ÀÖ´Ù.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777°Ë^000000 °ø°Ý : ^777777185^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ªÀÌÆ®/Å©·ç¼¼ÀÌ´õ^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16919: {
			unidentifiedDisplayName: "½ºÅÍ³Ê »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½ºÅÍ³Ê°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ÇÑ´ë ¸Â´Â ¼ø°£ ¾ÆµæÇÑ ´À³¦ÀÌ µé¸ç ¼¼»óÀ» ÃÊ¿ùÇÑ ´À³¦À» µé°Ô ¸¸µé¾îÁÖ´Â µÐ±â",
				"°ø°Ý½Ã 10% È®·ü·Î ÀûÀ» ½ºÅÏ¿¡ °É¸®°Ô ÇÑ´Ù.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^777777175^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777º¹»ç°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½ºÅÍ³Ê »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½ºÅÍ³Ê°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ÇÑ´ë ¸Â´Â ¼ø°£ ¾ÆµæÇÑ ´À³¦ÀÌ µé¸ç ¼¼»óÀ» ÃÊ¿ùÇÑ ´À³¦À» µé°Ô ¸¸µé¾îÁÖ´Â µÐ±â",
				"°ø°Ý½Ã 10% È®·ü·Î ÀûÀ» ½ºÅÏ¿¡ °É¸®°Ô ÇÑ´Ù.",
				"¼Ò, Áß, ´ëÇü Àû¿¡ ´ëÇÑ °ø°Ý·Â 40% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^777777175^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777º¹»ç°è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16920: {
			unidentifiedDisplayName: "È¥ÀÎ ¼­¾à¼­ »óÀÚ",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"È¥ÀÎ ¼­¾à¼­°¡ 1Àå µé¾îÀÖ´Â »óÀÚ.",
				"°ËÀº ¸Ó¸®°¡ ÆÄ»Ñ¸®°¡ µÉ ¶§±îÁö, Æò»ý ¼­·Î ¾Æ³¢°í »ç¶ûÇÒ °ÍÀ» ¸Í¼¼ÇÑ ¼­¾à¼­°¡ µé¾îÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "È¥ÀÎ ¼­¾à¼­ »óÀÚ",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"È¥ÀÎ ¼­¾à¼­°¡ 1Àå µé¾îÀÖ´Â »óÀÚ.",
				"°ËÀº ¸Ó¸®°¡ ÆÄ»Ñ¸®°¡ µÉ ¶§±îÁö, Æò»ý ¼­·Î ¾Æ³¢°í »ç¶ûÇÒ °ÍÀ» ¸Í¼¼ÇÑ ¼­¾à¼­°¡ µé¾îÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16921: {
			unidentifiedDisplayName: "½´ÆÃ½ºÅ¸ »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½´ÆÃ½ºÅ¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¼ö·ÁÇÑ ¿Ü°üÀ» °¡Áø ¾Æ¸§´Ù¿î È°.",
				"¿ø°Å¸® °ø°Ý½Ã µ¥¹ÌÁö 20% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã Ãß°¡·Î, ¹°¸®°ø°Ý½Ã ³·Àº È®·ü·Î ¿ÀÅä½ºÆç ´õºí ½ºÆ®·¹ÀÌÇÎ 2LV, ATK + 10, MATK + 10.",
				"°è¿­ : ^777777È°^000000      °ø°Ý : ^777777190^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇåÅÍ/¹Ùµå/´í¼­ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½´ÆÃ½ºÅ¸ »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½´ÆÃ½ºÅ¸°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"¼ö·ÁÇÑ ¿Ü°üÀ» °¡Áø ¾Æ¸§´Ù¿î È°.",
				"¿ø°Å¸® °ø°Ý½Ã µ¥¹ÌÁö 20% Áõ°¡.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã Ãß°¡·Î, ¹°¸®°ø°Ý½Ã ³·Àº È®·ü·Î ¿ÀÅä½ºÆç ´õºí ½ºÆ®·¹ÀÌÇÎ 2LV, ATK + 10, MATK + 10.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777190^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇåÅÍ/¹Ùµå/´í¼­ ÀåÂø°¡´É^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16922: {
			unidentifiedDisplayName: "ºí·¯µðÇÇ¾î »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ºí·¯µð ÇÇ¾î°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ÀÎ°£Çü Àû¿¡°Ô Å¹¿ùÇÑ ´É·ÂÀ» º¸ÀÌ´Â °ËºÓÀº »öÀ» ¶è Ä«Å¸¸£.",
				"ÀÎ°£Çü ÀûÀÇ ¹æ¾î·Â ¹«½Ã, ³·Àº È®·ü·Î Àû¿¡°Ô ÃâÇ÷.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã Ãß°¡·Î, Àû »ç¸Á ½Ã SP 1 È¸º¹, ATK + 10, MATK + 10.",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^777777145^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¾î¼¼½Å Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ºí·¯µðÇÇ¾î »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ºí·¯µð ÇÇ¾î°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"ÀÎ°£Çü Àû¿¡°Ô Å¹¿ùÇÑ ´É·ÂÀ» º¸ÀÌ´Â °ËºÓÀº »öÀ» ¶è Ä«Å¸¸£.",
				"ÀÎ°£Çü ÀûÀÇ ¹æ¾î·Â ¹«½Ã, ³·Àº È®·ü·Î Àû¿¡°Ô ÃâÇ÷.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã Ãß°¡·Î, Àû »ç¸Á ½Ã SP 1 È¸º¹, ATK + 10, MATK + 10.",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^777777145^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777774^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¾î¼¼½Å Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16923: {
			unidentifiedDisplayName: "Èú¸µ ½ºÅÂÇÁ »óÀÚ",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Èú¸µ ½ºÅÂÇÁ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"Ä¡À¯¸¦ ¸ñÀûÀ¸·Î Ãàº¹¹ÞÀº ÀÌ±×µå¶ó½Ç ³ª¹µ°¡Áö·Î ¸¸µé¾îÁø ÁöÆÎÀÌ. ÁöÆÎÀÌ¿¡ °í´ë¾î·Î ¡®¹«º´Àå¼ö±â¿ø¡¯ÀÌ¶ó°í ¾²¿© ÀÖ´Ù.",
				"Matk + 100.",
				"ÀÚ½ÅÀÌ »ç¿ëÇÏ´Â Èú, »ýÃò¾î¸® ½ºÅ³ÀÇ È¸º¹·®ÀÌ 18% Áõ°¡ÇÑ´Ù.",
				"¼º¼Ó¼º.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã Ãß°¡·Î, Èú »ç¿ë½Ã ³·Àº È®·ü·Î ¿ÀÅä½ºÆç Èú.",
				"Èú, »ýÃò¾î¸® ½ºÅ³ÀÇ È¸º¹·ÂÀÌ Ãß°¡·Î 5% Áõ°¡ÇÑ´Ù.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777ÁöÆÎÀÌ^000000  °ø°Ý : ^77777710^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777773^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777º¹»ç °è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000^",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Èú¸µ ½ºÅÂÇÁ »óÀÚ",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Èú¸µ ½ºÅÂÇÁ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 7ÀÏ°£ »ç¿ë °¡´É.",
				"^000088ÀÓ´ë¾ÆÀÌÅÛ^000000",
				"Ä¡À¯¸¦ ¸ñÀûÀ¸·Î Ãàº¹¹ÞÀº ÀÌ±×µå¶ó½Ç ³ª¹µ°¡Áö·Î ¸¸µé¾îÁø ÁöÆÎÀÌ. ÁöÆÎÀÌ¿¡ °í´ë¾î·Î ¡®¹«º´Àå¼ö±â¿ø¡¯ÀÌ¶ó°í ¾²¿© ÀÖ´Ù.",
				"Matk + 100.",
				"ÀÚ½ÅÀÌ »ç¿ëÇÏ´Â Èú, »ýÃò¾î¸® ½ºÅ³ÀÇ È¸º¹·®ÀÌ 18% Áõ°¡ÇÑ´Ù.",
				"¼º¼Ó¼º.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã Ãß°¡·Î, Èú »ç¿ë½Ã ³·Àº È®·ü·Î ¿ÀÅä½ºÆç Èú.",
				"Èú, »ýÃò¾î¸® ½ºÅ³ÀÇ È¸º¹·ÂÀÌ Ãß°¡·Î 5% Áõ°¡ÇÑ´Ù.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã ATK + 10, MATK + 10.",
				"°è¿­ : ^777777ÁöÆÎÀÌ^000000 °ø°Ý : ^77777710^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â·¹º§ : ^7777773^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777º¹»ç °è¿­ Àü¿ë^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000^",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16924: {
			unidentifiedDisplayName: "ÀÔ¿¡ ¹® ³×ÀÙÅ¬·Î¹ö »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¿¡ ¹® ³×ÀÙÅ¬·Î¹ö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 1½Ã°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÆÄ¸©ÇÑ Ç®³»À½ÀÌ ³ª´Â ³×ÀÙÅ©·Î¹ö.",
				"¿îÀÌ µû¸¦ °Í °°´Ù.",
				"ATK + 5, MATK + 5, MDEF + 2.",
				"°ñµåPC¹æ¿¡¼­ Âø¿ë ½Ã °æÇèÄ¡ È¹µæ·® 2% Áõ°¡, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀÔ¿¡ ¹® ³×ÀÙÅ¬·Î¹ö »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¿¡ ¹® ³×ÀÙÅ¬·Î¹ö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 1½Ã°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÆÄ¸©ÇÑ Ç®³»À½ÀÌ ³ª´Â ³×ÀÙÅ©·Î¹ö.",
				"¿îÀÌ µû¸¦ °Í °°´Ù.",
				"ATK + 5, MATK + 5, MDEF + 2.",
				"°ñµåPC¹æ¿¡¼­ Âø¿ë ½Ã °æÇèÄ¡ È¹µæ·® 2% Áõ°¡, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16925: {
			unidentifiedDisplayName: "ÀÔ¿¡ ¹® ³×ÀÙÅ¬·Î¹ö »óÀÚ¥±",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¿¡ ¹® ³×ÀÙÅ¬·Î¹ö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 2½Ã°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÆÄ¸©ÇÑ Ç®³»À½ÀÌ ³ª´Â ³×ÀÙÅ©·Î¹ö.",
				"¿îÀÌ µû¸¦ °Í °°´Ù.",
				"ATK + 5, MATK + 5, MDEF + 2.",
				"°ñµåPC¹æ¿¡¼­ Âø¿ë ½Ã °æÇèÄ¡ È¹µæ·® 2% Áõ°¡, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀÔ¿¡ ¹® ³×ÀÙÅ¬·Î¹ö »óÀÚ¥±",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¿¡ ¹® ³×ÀÙÅ¬·Î¹ö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 2½Ã°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÆÄ¸©ÇÑ Ç®³»À½ÀÌ ³ª´Â ³×ÀÙÅ©·Î¹ö.",
				"¿îÀÌ µû¸¦ °Í °°´Ù.",
				"ATK + 5, MATK + 5, MDEF + 2.",
				"°ñµåPC¹æ¿¡¼­ Âø¿ë ½Ã °æÇèÄ¡ È¹µæ·® 2% Áõ°¡, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16926: {
			unidentifiedDisplayName: "ÀÔ¿¡ ¹® ³×ÀÙÅ¬·Î¹ö »óÀÚ¥²",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¿¡ ¹® ³×ÀÙÅ¬·Î¹ö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 4½Ã°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÆÄ¸©ÇÑ Ç®³»À½ÀÌ ³ª´Â ³×ÀÙÅ©·Î¹ö.",
				"¿îÀÌ µû¸¦ °Í °°´Ù.",
				"ATK + 5, MATK + 5, MDEF + 2.",
				"°ñµåPC¹æ¿¡¼­ Âø¿ë ½Ã °æÇèÄ¡ È¹µæ·® 2% Áõ°¡, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀÔ¿¡ ¹® ³×ÀÙÅ¬·Î¹ö »óÀÚ¥²",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¿¡ ¹® ³×ÀÙÅ¬·Î¹ö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 4½Ã°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"ÆÄ¸©ÇÑ Ç®³»À½ÀÌ ³ª´Â ³×ÀÙÅ©·Î¹ö.",
				"¿îÀÌ µû¸¦ °Í °°´Ù.",
				"ATK + 5, MATK + 5, MDEF + 2.",
				"°ñµåPC¹æ¿¡¼­ Âø¿ë ½Ã °æÇèÄ¡ È¹µæ·® 2% Áõ°¡, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16927: {
			unidentifiedDisplayName: "ÀÔ¿¡ ¹® Ç³¼±²­ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¿¡ ¹® Ç³¼±²­ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 1½Ã°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"Ç³¼± °°ÀÌ ºÎÇ®¾îÁö´Â ²­. °³ÀÎ ¿ª·®¿¡ µû¶ó Ä¿´Ù¶þ°Ô ºÎÇ®±âµµ ÇÑ´Ù!",
				"¾óÇÍ ºÒ·®ÇØ º¸ÀÏ ¼ö ÀÖÀ¸¹Ç·Î ÁÖÀÇ.",
				"ATK + 5, MATK + 5, MDEF + 2.",
				"°ñµåPC¹æ¿¡¼­ Âø¿ë½Ã ¾ÆÀÌÅÛ µå·Ó·ü 5% Áõ°¡, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀÔ¿¡ ¹® Ç³¼±²­ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¿¡ ¹® Ç³¼±²­ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 1½Ã°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"Ç³¼± °°ÀÌ ºÎÇ®¾îÁö´Â ²­. °³ÀÎ ¿ª·®¿¡ µû¶ó Ä¿´Ù¶þ°Ô ºÎÇ®±âµµ ÇÑ´Ù!",
				"¾óÇÍ ºÒ·®ÇØ º¸ÀÏ ¼ö ÀÖÀ¸¹Ç·Î ÁÖÀÇ.",
				"ATK + 5, MATK + 5, MDEF + 2.",
				"°ñµåPC¹æ¿¡¼­ Âø¿ë½Ã ¾ÆÀÌÅÛ µå·Ó·ü 5% Áõ°¡, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16928: {
			unidentifiedDisplayName: "ÀÔ¿¡ ¹® Ç³¼±²­ »óÀÚ¥±",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¿¡ ¹® Ç³¼±²­ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 2½Ã°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"Ç³¼± °°ÀÌ ºÎÇ®¾îÁö´Â ²­. °³ÀÎ ¿ª·®¿¡ µû¶ó Ä¿´Ù¶þ°Ô ºÎÇ®±âµµ ÇÑ´Ù!",
				"¾óÇÍ ºÒ·®ÇØ º¸ÀÏ ¼ö ÀÖÀ¸¹Ç·Î ÁÖÀÇ.",
				"ATK + 5, MATK + 5, MDEF + 2.",
				"°ñµåPC¹æ¿¡¼­ Âø¿ë½Ã ¾ÆÀÌÅÛ µå·Ó·ü 5% Áõ°¡, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀÔ¿¡ ¹® Ç³¼±²­ »óÀÚ¥±",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¿¡ ¹® Ç³¼±²­ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 2½Ã°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"Ç³¼± °°ÀÌ ºÎÇ®¾îÁö´Â ²­. °³ÀÎ ¿ª·®¿¡ µû¶ó Ä¿´Ù¶þ°Ô ºÎÇ®±âµµ ÇÑ´Ù!",
				"¾óÇÍ ºÒ·®ÇØ º¸ÀÏ ¼ö ÀÖÀ¸¹Ç·Î ÁÖÀÇ.",
				"ATK + 5, MATK + 5, MDEF + 2.",
				"°ñµåPC¹æ¿¡¼­ Âø¿ë½Ã ¾ÆÀÌÅÛ µå·Ó·ü 5% Áõ°¡, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16929: {
			unidentifiedDisplayName: "ÀÔ¿¡ ¹® Ç³¼±²­ »óÀÚ¥²",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¿¡ ¹® Ç³¼±²­ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 4½Ã°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"Ç³¼± °°ÀÌ ºÎÇ®¾îÁö´Â ²­. °³ÀÎ ¿ª·®¿¡ µû¶ó Ä¿´Ù¶þ°Ô ºÎÇ®±âµµ ÇÑ´Ù!",
				"¾óÇÍ ºÒ·®ÇØ º¸ÀÏ ¼ö ÀÖÀ¸¹Ç·Î ÁÖÀÇ.",
				"ATK + 5, MATK + 5, MDEF + 2.",
				"°ñµåPC¹æ¿¡¼­ Âø¿ë½Ã ¾ÆÀÌÅÛ µå·Ó·ü 5% Áõ°¡, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀÔ¿¡ ¹® Ç³¼±²­ »óÀÚ¥²",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÔ¿¡ ¹® Ç³¼±²­ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 4½Ã°£ »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"Ç³¼± °°ÀÌ ºÎÇ®¾îÁö´Â ²­. °³ÀÎ ¿ª·®¿¡ µû¶ó Ä¿´Ù¶þ°Ô ºÎÇ®±âµµ ÇÑ´Ù!",
				"¾óÇÍ ºÒ·®ÇØ º¸ÀÏ ¼ö ÀÖÀ¸¹Ç·Î ÁÖÀÇ.",
				"ATK + 5, MATK + 5, MDEF + 2.",
				"°ñµåPC¹æ¿¡¼­ Âø¿ë½Ã ¾ÆÀÌÅÛ µå·Ó·ü 5% Áõ°¡, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16930: {
			unidentifiedDisplayName: "´ë¸ø¹ÚÈù ½ºÄ«ÇÁ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´ë¸ø¹ÚÈù ½ºÄ«ÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 1½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸¶Ä¡ ´ë¸øÀÌ ¹ÚÈù µí º¸¿© ¹«½Ã¹«½ÃÇÑ ´À³¦ÀÇ ½ºÄ«ÇÁ.",
				"ATK + 30, HP - 2%.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î HP + 2%, ¿ø°Å¸® ¹°¸® °ø°Ý·Â + 2%, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777773^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "´ë¸ø¹ÚÈù ½ºÄ«ÇÁ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´ë¸ø¹ÚÈù ½ºÄ«ÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 1½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸¶Ä¡ ´ë¸øÀÌ ¹ÚÈù µí º¸¿© ¹«½Ã¹«½ÃÇÑ ´À³¦ÀÇ ½ºÄ«ÇÁ.",
				"ATK + 30, HP - 2%.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î HP + 2%, ¿ø°Å¸® ¹°¸® °ø°Ý·Â + 2%, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777773^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16931: {
			unidentifiedDisplayName: "´ë¸ø¹ÚÈù ½ºÄ«ÇÁ »óÀÚ¥±",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´ë¸ø¹ÚÈù ½ºÄ«ÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 2½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸¶Ä¡ ´ë¸øÀÌ ¹ÚÈù µí º¸¿© ¹«½Ã¹«½ÃÇÑ ´À³¦ÀÇ ½ºÄ«ÇÁ.",
				"ATK + 30, HP - 2%.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î HP + 2%, ¿ø°Å¸® ¹°¸® °ø°Ý·Â + 2%, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777773^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "´ë¸ø¹ÚÈù ½ºÄ«ÇÁ »óÀÚ¥±",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´ë¸ø¹ÚÈù ½ºÄ«ÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 2½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸¶Ä¡ ´ë¸øÀÌ ¹ÚÈù µí º¸¿© ¹«½Ã¹«½ÃÇÑ ´À³¦ÀÇ ½ºÄ«ÇÁ.",
				"ATK + 30, HP - 2%.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î HP + 2%, ¿ø°Å¸® ¹°¸® °ø°Ý·Â + 2%, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777773^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16932: {
			unidentifiedDisplayName: "´ë¸ø¹ÚÈù ½ºÄ«ÇÁ »óÀÚ¥²",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´ë¸ø¹ÚÈù ½ºÄ«ÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 4½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸¶Ä¡ ´ë¸øÀÌ ¹ÚÈù µí º¸¿© ¹«½Ã¹«½ÃÇÑ ´À³¦ÀÇ ½ºÄ«ÇÁ.",
				"ATK + 30, HP - 2%.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î HP + 2%, ¿ø°Å¸® ¹°¸® °ø°Ý·Â + 2%, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777773^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "´ë¸ø¹ÚÈù ½ºÄ«ÇÁ »óÀÚ¥²",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"´ë¸ø¹ÚÈù ½ºÄ«ÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 4½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸¶Ä¡ ´ë¸øÀÌ ¹ÚÈù µí º¸¿© ¹«½Ã¹«½ÃÇÑ ´À³¦ÀÇ ½ºÄ«ÇÁ.",
				"ATK + 30, HP - 2%.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î HP + 2%, ¿ø°Å¸® ¹°¸® °ø°Ý·Â + 2%, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777773^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16933: {
			unidentifiedDisplayName: "¹«Áö°³ ½ºÄ«ÇÁ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«Áö°³ ½ºÄ«ÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 1½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¹«Áö°³ »öÀ» ¶è È­·ÁÇÑ ½ºÄ«ÇÁ.",
				"MATK + 30, MSP - 2%.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î MSP + 2%, º¯µ¿Ä³½ºÆÃ ½Ã°£ 2% ´ÜÃà, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹«Áö°³ ½ºÄ«ÇÁ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«Áö°³ ½ºÄ«ÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 1½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¹«Áö°³ »öÀ» ¶è È­·ÁÇÑ ½ºÄ«ÇÁ.",
				"MATK + 30, MaxSP - 2%.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î MaxSP + 2%, º¯µ¿Ä³½ºÆÃ ½Ã°£ 2% ´ÜÃà, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16934: {
			unidentifiedDisplayName: "¹«Áö°³ ½ºÄ«ÇÁ »óÀÚ¥±",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«Áö°³ ½ºÄ«ÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 2½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¹«Áö°³ »öÀ» ¶è È­·ÁÇÑ ½ºÄ«ÇÁ.",
				"MATK + 30, MSP - 2%.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î MSP + 2%, º¯µ¿Ä³½ºÆÃ ½Ã°£ 2% ´ÜÃà, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹«Áö°³ ½ºÄ«ÇÁ »óÀÚ¥±",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«Áö°³ ½ºÄ«ÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 2½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¹«Áö°³ »öÀ» ¶è È­·ÁÇÑ ½ºÄ«ÇÁ.",
				"MATK + 30, MaxSP - 2%.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î MaxSP + 2%, º¯µ¿Ä³½ºÆÃ ½Ã°£ 2% ´ÜÃà, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16935: {
			unidentifiedDisplayName: "¹«Áö°³ ½ºÄ«ÇÁ »óÀÚ¥²",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«Áö°³ ½ºÄ«ÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 4½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¹«Áö°³ »öÀ» ¶è È­·ÁÇÑ ½ºÄ«ÇÁ.",
				"MATK + 30, MSP - 2%.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î MSP + 2%, º¯µ¿Ä³½ºÆÃ ½Ã°£ 2% ´ÜÃà, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹«Áö°³ ½ºÄ«ÇÁ »óÀÚ¥²",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹«Áö°³ ½ºÄ«ÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 4½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¹«Áö°³ »öÀ» ¶è È­·ÁÇÑ ½ºÄ«ÇÁ.",
				"MATK + 30, MaxSP - 2%.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î MaxSP + 2%, º¯µ¿Ä³½ºÆÃ ½Ã°£ 2% ´ÜÃà, All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16936: {
			unidentifiedDisplayName: "»ý¸íÀÇ ¸®º» »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»ý¸íÀÇ ¸®º»ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 1½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"³ë¶û°ú ÃÊ·ÏÀ¸·Î ´ëºñµÇ´Â ±Í¿©¿î ¾çÂÊ¸®º».",
				"INT + 1, MDEF + 2.",
				"ÀÚ½ÅÀÌ »ç¿ëÇÏ´Â Èú·® 2% Áõ°¡.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î È¸º¹¾ÆÀÌÅÛ »ç¿ëÀÌ³ª ÈúÀ» ¹ÞÀ» ½ÃÀÇ È¸º¹·® 2% Áõ°¡, INT + 2, INT Á¦¿Ü ³ª¸ÓÁö State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777Áß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "»ý¸íÀÇ ¸®º» »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»ý¸íÀÇ ¸®º»ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 1½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"³ë¶û°ú ÃÊ·ÏÀ¸·Î ´ëºñµÇ´Â ±Í¿©¿î ¾çÂÊ¸®º».",
				"INT + 1, MDEF + 2.",
				"ÀÚ½ÅÀÌ »ç¿ëÇÏ´Â Èú·® 2% Áõ°¡.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î È¸º¹¾ÆÀÌÅÛ »ç¿ëÀÌ³ª ÈúÀ» ¹ÞÀ» ½ÃÀÇ È¸º¹·® 2% Áõ°¡, INT + 2, INT Á¦¿Ü ³ª¸ÓÁö State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777Áß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16937: {
			unidentifiedDisplayName: "»ý¸íÀÇ ¸®º» »óÀÚ¥±",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»ý¸íÀÇ ¸®º»ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 2½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"³ë¶û°ú ÃÊ·ÏÀ¸·Î ´ëºñµÇ´Â ±Í¿©¿î ¾çÂÊ¸®º».",
				"INT + 1, MDEF + 2.",
				"ÀÚ½ÅÀÌ »ç¿ëÇÏ´Â Èú·® 2% Áõ°¡.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î È¸º¹¾ÆÀÌÅÛ »ç¿ëÀÌ³ª ÈúÀ» ¹ÞÀ» ½ÃÀÇ È¸º¹·® 2% Áõ°¡, INT + 2, INT Á¦¿Ü ³ª¸ÓÁö State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777Áß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "»ý¸íÀÇ ¸®º» »óÀÚ¥±",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»ý¸íÀÇ ¸®º»ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 2½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"³ë¶û°ú ÃÊ·ÏÀ¸·Î ´ëºñµÇ´Â ±Í¿©¿î ¾çÂÊ¸®º».",
				"INT + 1, MDEF + 2.",
				"ÀÚ½ÅÀÌ »ç¿ëÇÏ´Â Èú·® 2% Áõ°¡.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î È¸º¹¾ÆÀÌÅÛ »ç¿ëÀÌ³ª ÈúÀ» ¹ÞÀ» ½ÃÀÇ È¸º¹·® 2% Áõ°¡, INT + 2, INT Á¦¿Ü ³ª¸ÓÁö State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777Áß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16938: {
			unidentifiedDisplayName: "»ý¸íÀÇ ¸®º» »óÀÚ¥²",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»ý¸íÀÇ ¸®º»ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 4½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"³ë¶û°ú ÃÊ·ÏÀ¸·Î ´ëºñµÇ´Â ±Í¿©¿î ¾çÂÊ¸®º».",
				"INT + 1, MDEF + 2.",
				"ÀÚ½ÅÀÌ »ç¿ëÇÏ´Â Èú·® 2% Áõ°¡.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î È¸º¹¾ÆÀÌÅÛ »ç¿ëÀÌ³ª ÈúÀ» ¹ÞÀ» ½ÃÀÇ È¸º¹·® 2% Áõ°¡, INT + 2, INT Á¦¿Ü ³ª¸ÓÁö State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777Áß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "»ý¸íÀÇ ¸®º» »óÀÚ¥²",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»ý¸íÀÇ ¸®º»ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ. °³ºÀ ÈÄ, 4½Ã°£ µ¿¾È »ç¿ë°¡´É.",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"³ë¶û°ú ÃÊ·ÏÀ¸·Î ´ëºñµÇ´Â ±Í¿©¿î ¾çÂÊ¸®º».",
				"INT + 1, MDEF + 2.",
				"ÀÚ½ÅÀÌ »ç¿ëÇÏ´Â Èú·® 2% Áõ°¡.",
				"°ñµå PC¹æ¿¡¼­ »ç¿ë ½Ã, Ãß°¡·Î È¸º¹¾ÆÀÌÅÛ »ç¿ëÀÌ³ª ÈúÀ» ¹ÞÀ» ½ÃÀÇ È¸º¹·® 2% Áõ°¡, INT + 2, INT Á¦¿Ü ³ª¸ÓÁö State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777Áß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16939: {
			unidentifiedDisplayName: "·¯ºê¾ØÁ© ¸¶¹ý°¡·ç »óÀÚ",
			unidentifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"·¯ºê¾ØÁ© ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ »ç¶û½º·¯¿öÁö´Â ¾ÆÀÌÅÛ. ¾Ö±³¸¦ ºÎ¸®°Å³ª, ¹«¾ð°¡ Å« Àß¸øÀ» ÀúÁö¸£°í »ç°úÇÒ ¶§ »ç¿ëÇÏ¸é È¿°ú¸¸Á¡ÀÏ °Í °°´Ù. »ç¿ëÇÏ¸é ¸»Åõ°¡ ¹Ù²î¸ç, ´Ù½Ã »ç¿ëÇÏ¸é ¿ø·¡´ë·ÎÀÇ ¸»Åõ·Î µ¹¾Æ¿Â´Ù.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "·¯ºê¾ØÁ© ¸¶¹ý°¡·ç »óÀÚ",
			identifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·¯ºê¾ØÁ© ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ »ç¶û½º·¯¿öÁö´Â ¾ÆÀÌÅÛ. ¾Ö±³¸¦ ºÎ¸®°Å³ª, ¹«¾ð°¡ Å« Àß¸øÀ» ÀúÁö¸£°í »ç°úÇÒ ¶§ »ç¿ëÇÏ¸é È¿°ú¸¸Á¡ÀÏ °Í °°´Ù. »ç¿ëÇÏ¸é ¸»Åõ°¡ ¹Ù²î¸ç, ´Ù½Ã »ç¿ëÇÏ¸é ¿ø·¡´ë·ÎÀÇ ¸»Åõ·Î µ¹¾Æ¿Â´Ù.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16940: {
			unidentifiedDisplayName: "·¯ºê¾ØÁ© ¸¶¹ý°¡·ç »óÀÚ 30ÀÏ",
			unidentifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"·¯ºê¾ØÁ© ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ »ç¶û½º·¯¿öÁö´Â ¾ÆÀÌÅÛ. ¾Ö±³¸¦ ºÎ¸®°Å³ª, ¹«¾ð°¡ Å« Àß¸øÀ» ÀúÁö¸£°í »ç°úÇÒ ¶§ »ç¿ëÇÏ¸é È¿°ú¸¸Á¡ÀÏ °Í °°´Ù. »ç¿ëÇÏ¸é ¸»Åõ°¡ ¹Ù²î¸ç, ´Ù½Ã »ç¿ëÇÏ¸é ¿ø·¡´ë·ÎÀÇ ¸»Åõ·Î µ¹¾Æ¿Â´Ù.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "·¯ºê¾ØÁ© ¸¶¹ý°¡·ç »óÀÚ 30ÀÏ",
			identifiedResourceName: "\xb7\xaf\xba\xea\xbe\xd8\xc1\xa9\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·¯ºê¾ØÁ© ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ »ç¶û½º·¯¿öÁö´Â ¾ÆÀÌÅÛ. ¾Ö±³¸¦ ºÎ¸®°Å³ª, ¹«¾ð°¡ Å« Àß¸øÀ» ÀúÁö¸£°í »ç°úÇÒ ¶§ »ç¿ëÇÏ¸é È¿°ú¸¸Á¡ÀÏ °Í °°´Ù. »ç¿ëÇÏ¸é ¸»Åõ°¡ ¹Ù²î¸ç, ´Ù½Ã »ç¿ëÇÏ¸é ¿ø·¡´ë·ÎÀÇ ¸»Åõ·Î µ¹¾Æ¿Â´Ù.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16941: {
			unidentifiedDisplayName: "½ºÄû·² ¸¶¹ý°¡·ç »óÀÚ",
			unidentifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"½ºÄû·² ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ °³±¸ÀïÀÌ °°¾ÆÁö´Â ¾ÆÀÌÅÛ. ¹º°¡ ÅõÁ¤À» ºÎ¸®°Å³ª Àå³­À» Ä¥ ¶§ »ç¿ëÇÏ¸é ¾î¿ï¸± °Í °°´Ù. ´õºíÅ¬¸¯ÇÏ¸é ¸»Åõ°¡ ¹Ù²î¸ç, ´Ù½Ã »ç¿ëÇÏ¸é ¿ø·¡´ë·ÎÀÇ ¸»Åõ·Î µ¹¾Æ¿Â´Ù.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½ºÄû·² ¸¶¹ý°¡·ç »óÀÚ",
			identifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½ºÄû·² ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ °³±¸ÀïÀÌ °°¾ÆÁö´Â ¾ÆÀÌÅÛ. ¹º°¡ ÅõÁ¤À» ºÎ¸®°Å³ª Àå³­À» Ä¥ ¶§ »ç¿ëÇÏ¸é ¾î¿ï¸± °Í °°´Ù. ´õºíÅ¬¸¯ÇÏ¸é ¸»Åõ°¡ ¹Ù²î¸ç, ´Ù½Ã »ç¿ëÇÏ¸é ¿ø·¡´ë·ÎÀÇ ¸»Åõ·Î µ¹¾Æ¿Â´Ù.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16942: {
			unidentifiedDisplayName: "½ºÄû·² ¸¶¹ý°¡·ç »óÀÚ 30ÀÏ",
			unidentifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"½ºÄû·² ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ °³±¸ÀïÀÌ °°¾ÆÁö´Â ¾ÆÀÌÅÛ. ¹º°¡ ÅõÁ¤À» ºÎ¸®°Å³ª Àå³­À» Ä¥ ¶§ »ç¿ëÇÏ¸é ¾î¿ï¸± °Í °°´Ù. ´õºíÅ¬¸¯ÇÏ¸é ¸»Åõ°¡ ¹Ù²î¸ç, ´Ù½Ã »ç¿ëÇÏ¸é ¿ø·¡´ë·ÎÀÇ ¸»Åõ·Î µ¹¾Æ¿Â´Ù.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½ºÄû·² ¸¶¹ý°¡·ç »óÀÚ 30ÀÏ",
			identifiedResourceName: "\xbd\xba\xc4\xfb\xb7\xb2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½ºÄû·² ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ °³±¸ÀïÀÌ °°¾ÆÁö´Â ¾ÆÀÌÅÛ. ¹º°¡ ÅõÁ¤À» ºÎ¸®°Å³ª Àå³­À» Ä¥ ¶§ »ç¿ëÇÏ¸é ¾î¿ï¸± °Í °°´Ù. ´õºíÅ¬¸¯ÇÏ¸é ¸»Åõ°¡ ¹Ù²î¸ç, ´Ù½Ã »ç¿ëÇÏ¸é ¿ø·¡´ë·ÎÀÇ ¸»Åõ·Î µ¹¾Æ¿Â´Ù.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16943: {
			unidentifiedDisplayName: "±×¸²ÀÏ±â ¸¶¹ý°¡·ç »óÀÚ",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"±×¸²ÀÏ±â ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "±×¸²ÀÏ±â ¸¶¹ý°¡·ç »óÀÚ",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±×¸²ÀÏ±â ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16944: {
			unidentifiedDisplayName: "±×¸²ÀÏ±â ¸¶¹ý°¡·ç 30ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"±×¸²ÀÏ±â ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "±×¸²ÀÏ±â ¸¶¹ý°¡·ç 30ÀÏ »óÀÚ",
			identifiedResourceName: "\xb1\xd7\xb8\xb2\xc0\xcf\xb1\xe2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±×¸²ÀÏ±â ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16945: {
			unidentifiedDisplayName: "¹Ì´ÏÇÏÆ® ¸¶¹ý°¡·ç »óÀÚ",
			unidentifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¹Ì´ÏÇÏÆ® ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹Ì´ÏÇÏÆ® ¸¶¹ý°¡·ç »óÀÚ",
			identifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹Ì´ÏÇÏÆ® ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16946: {
			unidentifiedDisplayName: "¹Ì´ÏÇÏÆ® ¸¶¹ý°¡·ç 30ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¹Ì´ÏÇÏÆ® ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹Ì´ÏÇÏÆ® ¸¶¹ý°¡·ç 30ÀÏ »óÀÚ",
			identifiedResourceName: "\xb9\xcc\xb4\xcf\xc7\xcf\xc6\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹Ì´ÏÇÏÆ® ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16947: {
			unidentifiedDisplayName: "»õ³»±â ¸¶¹ý°¡·ç »óÀÚ",
			unidentifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"»õ³»±â ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "»õ³»±â ¸¶¹ý°¡·ç »óÀÚ",
			identifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»õ³»±â ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16948: {
			unidentifiedDisplayName: "»õ³»±â ¸¶¹ý°¡·ç 30ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"»õ³»±â ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "»õ³»±â ¸¶¹ý°¡·ç 30ÀÏ »óÀÚ",
			identifiedResourceName: "\xbb\xf5\xb3\xbb\xb1\xe2\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"»õ³»±â ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16949: {
			unidentifiedDisplayName: "²¿²¿¸¶ ¸¶¹ý°¡·ç »óÀÚ",
			unidentifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"²¿²¿¸¶ ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "²¿²¿¸¶ ¸¶¹ý°¡·ç »óÀÚ",
			identifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"²¿²¿¸¶ ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16950: {
			unidentifiedDisplayName: "²¿²¿¸¶ ¸¶¹ý°¡·ç 30ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"²¿²¿¸¶ ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "²¿²¿¸¶ ¸¶¹ý°¡·ç 30ÀÏ »óÀÚ",
			identifiedResourceName: "\xb2\xbf\xb2\xbf\xb8\xb6\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"²¿²¿¸¶ ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16951: {
			unidentifiedDisplayName: "¸¶¹ýÀÇ ¼º ¸¶¹ý°¡·ç »óÀÚ",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸¶¹ýÀÇ¼º ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸¶¹ýÀÇ ¼º ¸¶¹ý°¡·ç »óÀÚ",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶¹ýÀÇ¼º ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16952: {
			unidentifiedDisplayName: "¸¶¹ýÀÇ ¼º ¸¶¹ý°¡·ç 30ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"¸¶¹ýÀÇ¼º ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸¶¹ýÀÇ ¼º ¸¶¹ý°¡·ç 30ÀÏ »óÀÚ",
			identifiedResourceName: "\xb8\xb6\xb9\xfd\xc0\xc7\xbc\xba\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶¹ýÀÇ¼º ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16953: {
			unidentifiedDisplayName: "Â¯±¸ ¸¶¹ý°¡·ç »óÀÚ",
			unidentifiedResourceName: "\xc2\xaf\xb1\xb8\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Â¯±¸ ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Â¯±¸ ¸¶¹ý°¡·ç »óÀÚ",
			identifiedResourceName: "\xc2\xaf\xb1\xb8\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Â¯±¸ ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ÀÏÁÖÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16954: {
			unidentifiedDisplayName: "Â¯±¸ ¸¶¹ý°¡·ç 30ÀÏ »óÀÚ",
			unidentifiedResourceName: "\xc2\xaf\xb1\xb8\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Â¯±¸ ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Â¯±¸ ¸¶¹ý°¡·ç 30ÀÏ »óÀÚ",
			identifiedResourceName: "\xc2\xaf\xb1\xb8\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Â¯±¸ ¸¶¹ý°¡·ç°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 30ÀÏ°£ »ç¿ë°¡´É",
				"°¡·ç¸¦ µéÀÌ¸¶½Ã¸é ¸»Åõ°¡ º¯ÇÏ´Â ¾ÆÀÌÅÛ.",
				"¸Ó¸® À§¿¡ ¶ß´Â ´ëÈ­¿Í, Ã¤ÆÃ¹æ Á¦¸ñ, ³ëÁ¡ Á¦¸ñ¿¡¸¸ È¿°ú°¡ ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16955: {
			unidentifiedDisplayName: "°­È­ °¡µå »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ °¡µå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ °¡µå.",
				"MHP + 3%",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^77777725^000000",
				"¹«°Ô : ^77777715^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ °¡µå »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ °¡µå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ °¡µå.",
				"MaxHP + 3%",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^77777725^000000",
				"¹«°Ô : ^77777715^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16956: {
			unidentifiedDisplayName: "°­È­ ¹öÅ¬·¯ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¹öÅ¬·¯°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¹öÅ¬·¯.",
				"MHP + 3%",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^77777745^000000",
				"¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¹Ùµå,´í¼­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ¹öÅ¬·¯ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¹öÅ¬·¯°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¹öÅ¬·¯.",
				"MaxHP + 3%",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^77777745^000000",
				"¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¹Ùµå,´í¼­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16957: {
			unidentifiedDisplayName: "°­È­ ½¯µå »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ½¯µå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^000000^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ½¯µå.",
				"MHP + 3%",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^77777765^000000",
				"¹«°Ô : ^77777765^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ½¯µå »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ½¯µå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^000000^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ½¯µå.",
				"MaxHP + 3%",
				"°è¿­ : ^777777¹æÆÐ^000000 ¹æ¾î : ^77777765^000000",
				"¹«°Ô : ^77777765^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16958: {
			unidentifiedDisplayName: "°­È­ ½´Áî »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ½´Áî°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ½´Áî.",
				"MHP + 3%",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777715^000000",
				"¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ½´Áî »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ½´Áî°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ½´Áî.",
				"MaxHP + 3%",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777715^000000",
				"¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16959: {
			unidentifiedDisplayName: "°­È­ ºÎÃ÷ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ºÎÃ÷°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ºÎÃ÷.",
				"MHP + 3%",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777721^000000",
				"¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/±Ã¼ö°è¿­/ÅÂ±Ç°è¿­/°Ç³Ê^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ºÎÃ÷ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ºÎÃ÷°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ºÎÃ÷.",
				"MaxHP + 3%",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777721^000000",
				"¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/±Ã¼ö°è¿­/ÅÂ±Ç°è¿­/°Ç³Ê^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16960: {
			unidentifiedDisplayName: "°­È­ ±×¸®ºê »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ºÎÃ÷°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ±×¸®ºê.",
				"MHP + 3%",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777732^000000",
				"¹«°Ô : ^77777740^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ªÀÌÆ®/Å©·ç¼¼ÀÌ´õ^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ±×¸®ºê »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ºÎÃ÷°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ±×¸®ºê.",
				"MaxHP + 3%",
				"°è¿­ : ^777777½Å¹ß^000000 ¹æ¾î : ^77777732^000000",
				"¹«°Ô : ^77777740^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ªÀÌÆ®/Å©·ç¼¼ÀÌ´õ^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16961: {
			unidentifiedDisplayName: "°­È­ ÈÄµå »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ÈÄµå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ÈÄµå.",
				"MHP + 3%",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^7777779^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ÈÄµå »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ÈÄµå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ÈÄµå.",
				"MaxHP + 3%",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^7777779^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16962: {
			unidentifiedDisplayName: "°­È­ ¸ÓÇÃ·¯ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸ÓÇÃ·¯°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¸ÓÇÃ·¯.",
				"MHP + 3%",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777713^000000",
				"¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ¸ÓÇÃ·¯ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸ÓÇÃ·¯°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¸ÓÇÃ·¯.",
				"MaxHP + 3%",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777713^000000",
				"¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16963: {
			unidentifiedDisplayName: "°­È­ ¸ÁÅä »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸ÁÅä°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¸ÁÅä.",
				"MHP + 3%",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777718^000000",
				"¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/ÅÂ±Ç°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ¸ÁÅä »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸ÁÅä°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¸ÁÅä.",
				"MaxHP + 3%",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777718^000000",
				"¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/ÅÂ±Ç°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16964: {
			unidentifiedDisplayName: "°­È­ Å¬¸³ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ Å¬¸³ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Å¬¸³.",
				"MHP + 3%. MSP + 30.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ Å¬¸³ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ Å¬¸³ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Å¬¸³.",
				"MaxHP + 3%. MaxSP + 30.",
				"°è¿­ : ^777777¾Ç¼¼»ç¸®^000000 ¹æ¾î : ^7777770^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16965: {
			unidentifiedDisplayName: "°­È­ ¾îµåº¥ÃÄ ½´Ã÷ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¾îµåº¥Ã³ ½´Ã÷°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾îµåº¥ÃÄ½´Ã÷.",
				"MHP + 3%",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777725^000000",
				"¹«°Ô : ^77777715^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ¾îµåº¥ÃÄ ½´Ã÷ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¾îµåº¥Ã³ ½´Ã÷°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾îµåº¥ÃÄ½´Ã÷.",
				"MaxHP + 3%",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777725^000000",
				"¹«°Ô : ^77777715^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16966: {
			unidentifiedDisplayName: "°­È­ ·Õ ÄÚÆ® »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ·Õ ÄÚÆ®°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ·ÕÄÚÆ®.",
				"MHP + 3%",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777747^000000",
				"¹«°Ô : ^77777760^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ·Õ ÄÚÆ® »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ·Õ ÄÚÆ®°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ·ÕÄÚÆ®.",
				"MaxHP + 3%",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777747^000000",
				"¹«°Ô : ^77777760^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16967: {
			unidentifiedDisplayName: "°­È­ ¼¼ÀÎÆ® ·Îºê »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¼¼ÀÎÆ® ·Îºê°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¼¼ÀÎÆ®·Îºê.",
				"MHP + 3%, MDEF + 5.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777755^000000",
				"¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777º¹»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ¼¼ÀÎÆ® ·Îºê »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¼¼ÀÎÆ® ·Îºê°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¼¼ÀÎÆ®·Îºê.",
				"MaxHP + 3%, MDEF + 5.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777755^000000",
				"¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777º¹»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16968: {
			unidentifiedDisplayName: "°­È­ Å¸ÀÌÁî »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ Å¸ÀÌÁî°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Å¸ÀÌÁî.",
				"MHP + 3%, DEX + 1.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777732^000000",
				"¹«°Ô : ^77777725^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­ Àü¿ë^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ Å¸ÀÌÁî »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ Å¸ÀÌÁî°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Å¸ÀÌÁî.",
				"MaxHP + 3%, DEX + 1.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777732^000000",
				"¹«°Ô : ^77777725^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­ Àü¿ë^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16969: {
			unidentifiedDisplayName: "°­È­ ¾¾ÇÁÅ¬·Î½º »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¾¾ÇÁÅ¬·Î½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾¾ÇÁÅ¬·Î½º.",
				"MHP + 3%, AGI + 1.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777745^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777µµµÏ°è¿­ Àü¿ë^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ¾¾ÇÁÅ¬·Î½º »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¾¾ÇÁÅ¬·Î½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾¾ÇÁÅ¬·Î½º.",
				"MaxHP + 3%, AGI + 1.",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777745^000000",
				"¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777µµµÏ°è¿­ Àü¿ë^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16970: {
			unidentifiedDisplayName: "°­È­ ¸ÞÀÏ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸ÞÀÏÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¸ÞÀÏ.",
				"MHP + 3%",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777760^000000",
				"¹«°Ô : ^777777165^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­ Àü¿ë^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ¸ÞÀÏ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸ÞÀÏÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¸ÞÀÏ.",
				"MaxHP + 3%",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777760^000000",
				"¹«°Ô : ^777777165^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­ Àü¿ë^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16971: {
			unidentifiedDisplayName: "°­È­ Æ÷¸Ö µå·¹½º »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ Æ÷¸Öµå·¹½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Æ÷¸Ö µå·¹½º.",
				"MHP + 3%",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777745^000000",
				"¹«°Ô : ^77777715^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ Æ÷¸Ö µå·¹½º »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ Æ÷¸Öµå·¹½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿¡¸£´½°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Æ÷¸Ö µå·¹½º.",
				"MaxHP + 3%",
				"°è¿­ : ^777777°©¿Ê^000000 ¹æ¾î : ^77777745^000000",
				"¹«°Ô : ^77777715^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º¸¦ Á¦¿ÜÇÑ ÀüÁ÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16972: {
			unidentifiedDisplayName: "Weather Report Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains Fine sun, Rainbow, Rain cloud, Lighting cloud each.",
				"^ff0000Once this item opened, cannot be refunded.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Weather Report Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains Fine sun, Rainbow, Rain cloud, Lighting cloud each.",
				"^ff0000Once this item opened, cannot be refunded.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16973: {
			unidentifiedDisplayName: "Costume: Yellow Hat Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains Yellow hat.",
				"^ff0000Once this item opened, cannot be refunded.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Costume: Yellow Hat Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains",
				"1 Costume-Yellow Hat",
				"Description:",
				"A simple yellow hat with a long feather in it. Fashionistas wear it to the side lest they be shunned.",
				"Class : ^777777Costume^000000",
				"Location: ^777777Upper ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
				"Box Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16974: {
			unidentifiedDisplayName: "Costume: Old-Timey Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains Charlie hat, Charlie beard.",
				"^ff0000Once this item opened, cannot be refunded.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Costume: Old-Timey Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains Charlie hat, Charlie beard.",
				"^ff0000Once this item opened, cannot be refunded.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16975: {
			unidentifiedDisplayName: "Costume: Singing Bird Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains Singing_Bird",
				"^ff0000Once this item opened, cannot be refunded.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Costume: Singing Bird Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains",
				"1 Costume-Singing Bird",
				"Description:",
				"A newly hatched baby bird chirps it's tunes on a twig of dreams.",
				"Class : ^777777Costume^000000",
				"Location: ^777777Upper ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
				"Box Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16976: {
			unidentifiedDisplayName: "Costume: Chicken Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains Chicken beak and Cocks comb.",
				"^ff0000Once this item opened, cannot be refunded.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Costume: Chicken Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains Chicken beak and Cocks comb.",
				"^ff0000Once this item opened, cannot be refunded.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16977: {
			unidentifiedDisplayName: "Costume: Mini Crown Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains Red crown",
				"^ff0000Once this item opened, cannot be refunded.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Costume: Mini Crown Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains",
				"1 Costume-Mini Crown",
				"Description:",
				"A mini red crown affixed to a headband and worn off to the side. Though not a true symbol of royalty, this crown does have a regal air about it.",
				"Class : ^777777Costume^000000",
				"Location: ^777777Upper ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
				"Box Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16978: {
			unidentifiedDisplayName: "°­¾ÆÁö Ç® »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"°­¾ÆÁö Ç®ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹æ¶ûÇÏ´Â ³ª±×³×°¡ Ç®¹ç¿¡ ´©¿ö ÀÔ¿¡ ¹°°íÀÖ¾î¾ß ±×·²½ÎÇÑ ¾ÆÀÌÅÛ.",
				"MATK + 10, ¸ðµç °íÁ¤Ä³½ºÆÃ 0.1ÃÊ °¨¼Ò.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­¾ÆÁö Ç® »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­¾ÆÁö Ç®ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"¹æ¶ûÇÏ´Â ³ª±×³×°¡ Ç®¹ç¿¡ ´©¿ö ÀÔ¿¡ ¹°°íÀÖ¾î¾ß ±×·²½ÎÇÑ ¾ÆÀÌÅÛ.",
				"MATK + 10, ¸ðµç °íÁ¤Ä³½ºÆÃ 0.1ÃÊ °¨¼Ò.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16979: {
			unidentifiedDisplayName: "°³´Ù·¡ ¿­¸Å 4°³ »óÀÚ",
			unidentifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"°³´Ù·¡ ¿­¸Å°¡ 4°³ µé¾îÀÖ´Â »óÀÚ. ¼Ò·®ÀÇ ÅëÁ¶¸²µµ º¸³Ê½º·Î µé¾îÀÖ´Ù.",
				"ÀßÀÍÀº °³´Ù·¡ ³ª¹«ÀÇ ¿­¸Å. ÀÎ°£ÀÌ º¸±â¿£ ±×Àú ¸À¾ø°í Æò¹üÇÑ ¿­¸ÅÀÎµ¥ ¸»¶ûµµ¿¡¼± »ó»ó ÀÌ»óÀÇ ´ë´ÜÇÑ °¡Ä¡¸¦ Áö´Ñ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°³´Ù·¡ ¿­¸Å 4°³ »óÀÚ",
			identifiedResourceName: "\xbe\xd7\xbc\xbc\xbc\xad\xb8\xae\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°³´Ù·¡ ¿­¸Å°¡ 4°³ µé¾îÀÖ´Â »óÀÚ. ¼Ò·®ÀÇ ÅëÁ¶¸²µµ º¸³Ê½º·Î µé¾îÀÖ´Ù.",
				"ÀßÀÍÀº °³´Ù·¡ ³ª¹«ÀÇ ¿­¸Å. ÀÎ°£ÀÌ º¸±â¿£ ±×Àú ¸À¾ø°í Æò¹üÇÑ ¿­¸ÅÀÎµ¥ ¸»¶ûµµ¿¡¼± »ó»ó ÀÌ»óÀÇ ´ë´ÜÇÑ °¡Ä¡¸¦ Áö´Ñ´Ù°í ÀüÇØÁø´Ù.",
				"¹«°Ô : ^7777770^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16995: {
			unidentifiedDisplayName: "¿À·¡µÈ ¸ðÀÚ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"½ÅºñÇÑ Çª¸¥ ºûÀ» ¶ì´Â ¿À·¡µÈ ¸ðÀÚ »óÀÚ.",
				"22Á¾ÀÇ Åõ±¸ Áß ¾î¶² Åõ±¸¸¦ ¾ò°Ô µÉ Áö ¾Ë ¼ö ¾ø´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¿À·¡µÈ ¸ðÀÚ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xc6\xc4\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½ÅºñÇÑ Çª¸¥ ºûÀ» ¶ì´Â ¿À·¡µÈ ¸ðÀÚ »óÀÚ.",
				"22Á¾ÀÇ Åõ±¸ Áß ¾î¶² Åõ±¸¸¦ ¾ò°Ô µÉ Áö ¾Ë ¼ö ¾ø´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16998: {
			unidentifiedDisplayName: "Archangel Wing Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"a box has a archangel wing inside.",
				"white and big wings of archangel.",
				"class : ^777777costume^000000  defence : ^77777718^000000",
				"Weight : ^77777720^000000",
				"required level : ^7777771^000000",
				"job : ^777777all jobs job°¡´É^000000",
				"^ff0000Once this item opened, cannot be refunded..^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Archangel Wing Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box has a archangel wing inside.",
				"White and big wings of archangel.",
				"Class : ^777777Garment^000000",
				"Defense : ^77777718^000000",
				"Weight : ^77777720^000000",
				"required level : ^7777771^000000",
				"Applicable Job : ^777777Every Job^000000",
				"^ff0000Once this item opened, cannot be refunded..^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		16999: {
			unidentifiedDisplayName: "Heroic Backpack Box",
			unidentifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"a box has a brabery bag inside.",
				"a bag for bravery adventure. you feel safe with this bag.",
				"class : ^777777costume^000000 defence : ^77777720^000000",
				"Weight : ^77777720^000000",
				"required level : ^7777771^000000",
				"job : ^777777all jobs^000000",
				"^ff0000Once this item opened, cannot be refunded..^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Heroic Backpack Box",
			identifiedResourceName: "\xc7\xde\xba\xfb\xc0\xc7\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 1 Heroic Backpack",
				"Description:",
				"A backpack befitting of any hero.",
				"Enables the use of level 1 Greed",
				"If refined to +7 or higher and base stats (without modifiers) is equal to 90 or higher,",
				"-Str -> Attack +20",
				"-Int -> Magic Attack +30",
				"-Vit -> Tolerance to Neutral Property +5",
				"-Agi -> Aspd +8%",
				"-Dex -> Ranged Attack +5",
				"-Luk -> Cri +10",
				"If refined to +9 or higher and base stats (without modifiers) is equal to 90 or higher,",
				"-Str -> Attack +30",
				"-Int -> Magic Attack +50",
				"-Vit -> Tolerance to Neutral Property +10",
				"-Agi -> Aspd +8% & Aspd +1",
				"-Dex -> Ranged Attack +10",
				"-Luk -> Cri +15",
				"Class : ^777777Garment^000000",
				"Defense: ^77777720^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
				"Box Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17013: {
			unidentifiedDisplayName: "¸»¶ûµµ ´øÀüÃâÀÔÁõ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"¹®¾î»ç³É¿ë ²¿Ã¬ÀÌ°¡ 1°³¿Í ¹Ù´Ù½ÅÀÇ °¡È£ 1°³°¡ µé¾îÀÖ´Â »óÀÚ. (23½Ã°£ »ç¿ë°¡´É)",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸»¶ûµµ ´øÀüÃâÀÔÁõ »óÀÚ",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹®¾î»ç³É¿ë ²¿Ã¬ÀÌ°¡ 1°³¿Í ¹Ù´Ù½ÅÀÇ °¡È£ 1°³°¡ µé¾îÀÖ´Â »óÀÚ. (23½Ã°£ »ç¿ë°¡´É)",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17014: {
			unidentifiedDisplayName: "Costume: Butterfly Ears Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains Butterfly wing ear",
				"^ff0000Once this item opened, cannot be refunded.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Costume: Butterfly Ears Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains",
				"Costume-Butterfly Ears",
				"Description:",
				"Have the appearance of wearing the wings of a butterfly as your ears with this accessory.",
				"Class : ^777777Middle^000000",
				"Location: ^777777Upper ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
				"Box Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17015: {
			unidentifiedDisplayName: "Costume: Bolt Ears Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box that contains Nut on head.",
				"^ff0000Once this item opened, cannot be refunded.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Costume: Bolt Ears Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box that contains",
				"1 Costume-Bolt Ears",
				"Description:",
				"You can look like you just rolled off the assembly line with these bolt-on ear accessories.",
				"Class : ^777777Middle^000000",
				"Location: ^777777Upper ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
				"Box Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17024: {
			unidentifiedDisplayName: "Lovely Aquarius Scroll",
			unidentifiedResourceName: "\xba\xb8\xba\xb4\xb1\xc3\xbf\xd5\xb0\xfc\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"a special scroll for valentine. you will get lots of rare items in it",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Lovely Aquarius Scroll",
			identifiedResourceName: "\xba\xb8\xba\xb4\xb1\xc3\xbf\xd5\xb0\xfc\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A special scroll for valentine.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17026: {
			unidentifiedDisplayName: "Boitata Scroll",
			unidentifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			unidentifiedDescriptionName: [
				"A scroll that enchanted with power of Boitata. Player can get random item.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Boitata Scroll",
			identifiedResourceName: "\xc8\xad\xbc\xd3\xbc\xba\xbe\xcb",
			identifiedDescriptionName: [
				"A scroll that enchanted with power of Boitata. Player can get random item.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17027: {
			unidentifiedDisplayName: "Á¦·Ã¿ë ±¤¼®»óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³óÃà ¿¡¸£´½, ³óÃà ¿À¸®µ¥¿ÀÄÜÀÌ °¢°¢ 5°³¾¿ µé¾îÀÖ´Â »óÀÚ. Çà¿îÀÇ ¾Ë¥¸µµ ¾òÀ» ¼ö ÀÖ´Ù.",
				"³óÃà ¿¡¸£´½ - ¹æ¾î±¸ÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"³óÃà ¿À¸®µ¥¿ÀÄÜ - ¹«±âÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Á¦·Ã¿ë ±¤¼®»óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³óÃà ¿¡¸£´½, ³óÃà ¿À¸®µ¥¿ÀÄÜÀÌ °¢°¢ 5°³¾¿ µé¾îÀÖ´Â »óÀÚ. Çà¿îÀÇ ¾Ë¥¸µµ ¾òÀ» ¼ö ÀÖ´Ù.",
				"³óÃà ¿¡¸£´½ - ¹æ¾î±¸ÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"³óÃà ¿À¸®µ¥¿ÀÄÜ - ¹«±âÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17030: {
			unidentifiedDisplayName: "St Patrick's Hat Box",
			unidentifiedResourceName: "\xb7\xb9\xc7\xc1\xb8\xae\xc4\xc1\xc0\xc7\xb8\xf0\xc0\xda\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box containing 1 St_Patrick's_Hat.",
				"^ff0000This item is not available for refund or cancel of purchase.^000000",
				"Weight : ^77777710^000000",
			],
			identifiedDisplayName: "St Patrick's Hat Box",
			identifiedResourceName: "\xb7\xb9\xc7\xc1\xb8\xae\xc4\xc1\xc0\xc7\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box containing 1 St_Patrick's_Hat.",
				"^ff0000This item is not available for refund or cancel of purchase.^000000",
				"Weight : ^77777710^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17035: {
			unidentifiedDisplayName: "Energetic Pisces Scroll",
			unidentifiedResourceName: "\xbd\xd6\xbe\xee\xb1\xc3\xbf\xd5\xb0\xfc\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Special Scroll for celebrating Pices.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Energetic Pisces Scroll",
			identifiedResourceName: "\xbd\xd6\xbe\xee\xb1\xc3\xbf\xd5\xb0\xfc\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"Special Scroll for celebrating Pices.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17036: {
			unidentifiedDisplayName: "Pisces Scroll 10box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"a box having 10 Pices Scroll",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Energetic Pisces Scroll 10box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"a box having 10 Pices Scroll",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17037: {
			unidentifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(µ¥ºñ·çÄ¡)10°³ »óÀÚ",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(µ¥ºñ·çÄ¡)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 1°³ Ãß°¡!",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"µ¥ºñ·çÄ¡\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"µ¥ºñ·çÄ¡·Î º¯½ÅÇÑ ½Ã°£ µ¿¾È ASPD + 1, HIT + 5.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(µ¥ºñ·çÄ¡)10°³ »óÀÚ",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(µ¥ºñ·çÄ¡)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 1°³ Ãß°¡!",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"µ¥ºñ·çÄ¡\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"µ¥ºñ·çÄ¡·Î º¯½ÅÇÑ ½Ã°£ µ¿¾È ASPD + 1, HIT + 5.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17038: {
			unidentifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(·¹ÀÌ¾ÆÃÄ)10°³ »óÀÚ",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(·¹ÀÌµå¸¯¾ÆÃÄ)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 1°³ Ãß°¡!",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"·¹ÀÌµå¸¯ ¾ÆÃÄ\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È È° °ø°Ý·Â 25% Áõ°¡.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(·¹ÀÌ¾ÆÃÄ)10°³ »óÀÚ",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(·¹ÀÌµå¸¯¾ÆÃÄ)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 1°³ Ãß°¡!",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"·¹ÀÌµå¸¯ ¾ÆÃÄ\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È È° °ø°Ý·Â 25% Áõ°¡.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17039: {
			unidentifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(¸¶ºêÄ«)10°³ »óÀÚ",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(¸¶ºêÄ«)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 1°³ Ãß°¡!",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"¸¶ºêÄ«\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È È° °ø°Ý·Â 25% Áõ°¡.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(¸¶ºêÄ«)10°³ »óÀÚ",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(¸¶ºêÄ«)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 1°³ Ãß°¡!",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"¸¶ºêÄ«\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È È° °ø°Ý·Â 25% Áõ°¡.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17040: {
			unidentifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(¸¶¸£µÎÅ©)10°³ »óÀÚ",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(¸¶¸£µÎÅ©)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 1°³ Ãß°¡!",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"¸¶¸£µÎÅ©\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È MATK + 25 Áõ°¡.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(¸¶¸£µÎÅ©)10°³ »óÀÚ",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(¸¶¸£µÎÅ©)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 1°³ Ãß°¡!",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"¸¶¸£µÎÅ©\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È MATK + 25 Áõ°¡.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17041: {
			unidentifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(¹ê½Ã)10°³ »óÀÚ",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(¹ê½Ã)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 1°³ Ãß°¡!",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"¹ê½Ã\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È MATK + 25 Áõ°¡.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(¹ê½Ã)10°³ »óÀÚ",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(¹ê½Ã)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 1°³ Ãß°¡!",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"¹ê½Ã\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È MATK + 25 Áõ°¡.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17042: {
			unidentifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)10°³ »óÀÚ",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"Æ÷¸µ\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 5% Áõ°¡.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)10°³ »óÀÚ",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"Æ÷¸µ\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 5% Áõ°¡.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17043: {
			unidentifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(°í·½)10°³ »óÀÚ",
			unidentifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(°í·½)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 1°³ Ãß°¡!",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"°í·½\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È ¹°¸®°ø°ÝÀ» ¹ÞÀ» ½Ã ÀÏÁ¤È®·ü·Î ÀÎµà¾î 5Lv¹ßµ¿, ¹«¼Ó¼º ³»¼º 2% Áõ°¡.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "º¯½Å ½ºÅ©·Ñ(°í·½)10°³ »óÀÚ",
			identifiedResourceName: "\xc5\xd7\xc0\xcc\xb9\xd6\xbc\xbc\xc6\xae",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"º¯½Å ½ºÅ©·Ñ(°í·½)ÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î º¯½Å ½ºÅ©·Ñ(Æ÷¸µ)ÀÌ 1°³ Ãß°¡!",
				"20ºÐ µ¿¾È ¸ó½ºÅÍ \"°í·½\"ÀÇ ¸ð½ÀÀ¸·Î º¯½ÅÀÌ °¡´ÉÇÑ ½ÅºñÇÑ ½ºÅ©·Ñ.",
				"º¯½ÅÇÑ ½Ã°£ µ¿¾È ¹°¸®°ø°ÝÀ» ¹ÞÀ» ½Ã ÀÏÁ¤È®·ü·Î ÀÎµà¾î 5Lv¹ßµ¿, ¹«¼Ó¼º ³»¼º 2% Áõ°¡.",
				"ÁÖÀÇ! »ç¸Á ½Ã º¯½ÅÀÌ Ç®·Á¹ö¸³´Ï´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17044: {
			unidentifiedDisplayName: "ÃÊ·Ï ¸®º» »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÃÊ·Ï ¸®º»ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ÃÊ·Ï ¸®º» ¾ÆÀÌÅÛÀº \"±¸È£ ¼º±Ý\"¿ëÀÌ¹Ç·Î, Ã»¾àÃ¶È¸ ¹× È¯ºÒÀÌ µÇÁö ¾Ê½À´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÃÊ·Ï ¸®º» »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xec\xbb\xf6",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÃÊ·Ï ¸®º»ÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ÃÊ·Ï ¸®º» ¾ÆÀÌÅÛÀº \"±¸È£ ¼º±Ý\"¿ëÀÌ¹Ç·Î, Ã»¾àÃ¶È¸ ¹× È¯ºÒÀÌ µÇÁö ¾Ê½À´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17045: {
			unidentifiedDisplayName: "ÆÇ°ü¸ðÀÚ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÆÇ°ü¸ðÀÚ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"¸í ÆÇ°üÀÌ ½è´Ù´Â ±× À¯¸íÇÑ ¸ðÀÚ.",
				"º¯µ¿ Ä³½ºÆÃ 6% °¨¼Ò. °ø°Ý¼Óµµ Áõ°¡ (°ø°Ý ÈÄ µô·¹ÀÌ 6%°¨¼Ò)",
				"MDEF + 2.",
				"°Ë»ç, »óÀÎ, µµµÏ, ¸ùÅ©, ÅÂ±Ç°è¿­ÀÎ °æ¿ì 2Á¦·Ã´ç ATK 1%¾¿ Áõ°¡.",
				"¸¶¹ý»ç, º¹»ç, ¼Ò¿ï¸µÄ¿, ´ÑÀÚ°è¿­ÀÎ °æ¿ì 2Á¦·Ã´ç MATK 1%¾¿ Áõ°¡.",
				"±Ã¼ö, °Ç½½¸µ°Å°è¿­ÀÎ °æ¿ì 1Á¦·Ã´ç ¿ø°Å¸® ¹°¸®°ø°Ý·Â 1%¾¿ Áõ°¡.",
				"[°ñµåPC¹æÀÎ °æ¿ì]",
				"All State + 1, ÀÎ°£Çü Àû¿¡°Ô µ¥¹ÌÁö 10% °¨¼Ò.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÆÇ°ü¸ðÀÚ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÆÇ°ü¸ðÀÚ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"¸í ÆÇ°üÀÌ ½è´Ù´Â ±× À¯¸íÇÑ ¸ðÀÚ.",
				"º¯µ¿ Ä³½ºÆÃ 6% °¨¼Ò. °ø°Ý¼Óµµ Áõ°¡ (°ø°Ý ÈÄ µô·¹ÀÌ 6%°¨¼Ò)",
				"MDEF + 2.",
				"°Ë»ç, »óÀÎ, µµµÏ, ¸ùÅ©, ÅÂ±Ç°è¿­ÀÎ °æ¿ì 2Á¦·Ã´ç ATK 1%¾¿ Áõ°¡.",
				"¸¶¹ý»ç, º¹»ç, ¼Ò¿ï¸µÄ¿, ´ÑÀÚ°è¿­ÀÎ °æ¿ì 2Á¦·Ã´ç MATK 1%¾¿ Áõ°¡.",
				"±Ã¼ö, °Ç½½¸µ°Å°è¿­ÀÎ °æ¿ì 1Á¦·Ã´ç ¿ø°Å¸® ¹°¸®°ø°Ý·Â 1%¾¿ Áõ°¡.",
				"[°ñµåPC¹æÀÎ °æ¿ì]",
				"All State + 1, ÀÎ°£Çü Àû¿¡°Ô µ¥¹ÌÁö 10% °¨¼Ò.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17046: {
			unidentifiedDisplayName: "Ãâ¼® ÄÚ½ºÃõ»óÀÚ",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÇ»ó ÃÊ·Ï ´õµëÀÌ, ÀÇ»ó ¸Ó¸®¾È°æ, ÀÇ»ó Çï¸§, ÀÇ»ó »þÇÁÇìµå±â¾î, ÀÇ»ó ¾ÆÀÌ¾ð ÄÉÀÎ Áß ¾î¶² ¸ðÀÚ°¡ µé¾îÀÖÀ» Áö ¾Ë ¼ö ¾ø´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Ãâ¼® ÄÚ½ºÃõ»óÀÚ",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀÇ»ó ÃÊ·Ï ´õµëÀÌ, ÀÇ»ó ¸Ó¸®¾È°æ, ÀÇ»ó Çï¸§, ÀÇ»ó »þÇÁÇìµå±â¾î, ÀÇ»ó ¾ÆÀÌ¾ð ÄÉÀÎ Áß ¾î¶² ¸ðÀÚ°¡ µé¾îÀÖÀ» Áö ¾Ë ¼ö ¾ø´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17053: {
			unidentifiedDisplayName: "Butterflywing Color Box",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"A box that contains 10 of each colored Butterfly Wings and 10 Dungeon Teleport Scrolls.",
				"^ffff00Yellow Butterfly Wing^000000:",
				"An enchanted butterfly's wing that instantly sends its user to the towns of the Rune Midgarts Kingdom.",
				"Locations: \"Prontera\", \"Geffen\", \"Payon\", \"Morroc\", \"Al De Baran\" or \"Alberta\" when waved in the air.",
				"Warning: If no town is selected, the item will disappear.",
				"Weight : ^7777771^000000",
				"^00ff00Green Butterfly Wing^000000:",
				"An enchanted butterfly's wing that instantly sends its user to the towns of the Schwaltzwalt Republic.",
				"Locations: \"Juno\", \"Lighthalzen\", Einbroch\" or \"Hugel\" when waved in the air.",
				"Warning: If no town is selected, the item will disappear.",
				"Weight : ^7777771^000000",
				"^ff0000Red Butterfly Wing^000000:",
				"An enchanted butterfly's wing that instantly sends its user to the towns of Arunafeltz.",
				"Locations: \"Veins\" or \"Rachel\"",
				"Warning: If no town is selected, the item will disappear.",
				"Weight : ^7777771^000000",
				"^0000ffBlue Butterfly Wing^000000:",
				"An enchanted butterfly's wing that instantly sends its user to the island towns of Rune Midgard.",
				"Locations: \"Ayothaya\", \"Amatsu\", \"Luoyang\", \"Kunlun\"",
				"Warning: If no town is selected, the item will disappear.",
				"Weight : ^7777771^000000",
				"^ffffff_^000000",
				"Box Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Butterflywing Color Box",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 of each colored Butterfly Wings and 10 Dungeon Teleport Scrolls.",
				"^ffff00Yellow Butterfly Wing^000000:",
				"An enchanted butterfly's wing that instantly sends its user to the towns of the Rune Midgarts Kingdom.",
				"Locations: \"Prontera\", \"Geffen\", \"Payon\", \"Morroc\", \"Al De Baran\" or \"Alberta\" when waved in the air.",
				"Warning: If no town is selected, the item will disappear.",
				"Weight : ^7777771^000000",
				"^00ff00Green Butterfly Wing^000000:",
				"An enchanted butterfly's wing that instantly sends its user to the towns of the Schwaltzwalt Republic.",
				"Locations: \"Juno\", \"Lighthalzen\", Einbroch\" or \"Hugel\" when waved in the air.",
				"Warning: If no town is selected, the item will disappear.",
				"Weight : ^7777771^000000",
				"^ff0000Red Butterfly Wing^000000:",
				"An enchanted butterfly's wing that instantly sends its user to the towns of Arunafeltz.",
				"Locations: \"Veins\" or \"Rachel\"",
				"Warning: If no town is selected, the item will disappear.",
				"Weight : ^7777771^000000",
				"^0000ffBlue Butterfly Wing^000000:",
				"An enchanted butterfly's wing that instantly sends its user to the island towns of Rune Midgard.",
				"Locations: \"Ayothaya\", \"Amatsu\", \"Luoyang\", \"Kunlun\"",
				"Warning: If no town is selected, the item will disappear.",
				"Weight : ^7777771^000000",
				"^ffffff_^000000",
				"Box Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17065: {
			unidentifiedDisplayName: "±Ý¿ì±Ã ¿Õ°ü »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±Ý¿ì±Ã ¿Õ°üÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"È²µµ 2¹øÂ° ÀÚ¸®ÀÎ ±Ý¿ì±ÃÀ» ³ªÅ¸³»´Â ¿Õ°ü. Åº»ý¼®ÀÎ ¿¡¸Þ¶öµå°¡ ¹ÚÇôÀÖ´Ù.",
				"AGI + 2, FLEE + 10.",
				"¹°¸®°ø°Ý ½Ã Àû¿¡°Ô ³·Àº È®·ü·Î ½ºÅÏÀ» °Ç´Ù. Á¦·Ãµµ¿¡ µû¶ó ½ºÅÏÀ» °É È®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"7Á¦·Ã ÀÌ»ó ÀÏ °æ¿ì ATK + 15, °ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄ µô·¹ÀÌ 5% °¨¼Ò)",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777776^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^77777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "±Ý¿ì±Ã ¿Õ°ü »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb0\xcb\xc1\xa4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±Ý¿ì±Ã ¿Õ°üÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"È²µµ 2¹øÂ° ÀÚ¸®ÀÎ ±Ý¿ì±ÃÀ» ³ªÅ¸³»´Â ¿Õ°ü. Åº»ý¼®ÀÎ ¿¡¸Þ¶öµå°¡ ¹ÚÇôÀÖ´Ù.",
				"AGI + 2, FLEE + 10.",
				"¹°¸®°ø°Ý ½Ã Àû¿¡°Ô ³·Àº È®·ü·Î ½ºÅÏÀ» °Ç´Ù. Á¦·Ãµµ¿¡ µû¶ó ½ºÅÏÀ» °É È®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"7Á¦·Ã ÀÌ»ó ÀÏ °æ¿ì ATK + 15, °ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄ µô·¹ÀÌ 5% °¨¼Ò)",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777776^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^77777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17066: {
			unidentifiedDisplayName: "Poison Bottle Box50",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has poison bottle 50. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Poison Bottle Box50",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has poison bottle 50. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17067: {
			unidentifiedDisplayName: "Poison Bottle Box100",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has poison bottle 100. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Poison Bottle Box100",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has poison bottle 100. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17068: {
			unidentifiedDisplayName: "Acid Bomb 50 Pack",
			unidentifiedResourceName: "\x62\x6f\x74\x74\x6c\x65\x5f\x67\x72\x65\x6e\x61\x64\x65",
			unidentifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has fire bottle 50 and acid bottle 50. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Acid Bomb 50 Pack",
			identifiedResourceName: "\x62\x6f\x74\x74\x6c\x65\x5f\x67\x72\x65\x6e\x61\x64\x65",
			identifiedDescriptionName: [
				"A demolition specialist's starter kit, designed to help with creation of Acid Bombs.",
				"Contains 50 each of the following:",
				"-Acid Bottle",
				"-Bottle Grenade",
				"^ff0000This item will be available initially for one week as a test, if it proves viable it may remain in the shop.^000000.",
				"^ff0000unable to trade with other account.^000000",
				"^ff0000Cannot be refunded once opened.^000000",
				"Weight: ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17069: {
			unidentifiedDisplayName: "Acidbomb Box100",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has fire bottle 100 and acid bottle 100. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Acidbomb Box100",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has fire bottle 100 and acid bottle 100. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17070: {
			unidentifiedDisplayName: "Acidbomb Box500",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has fire bottle 500 and acid bottle 500. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Acidbomb Box500",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has fire bottle 500 and acid bottle 500. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17071: {
			unidentifiedDisplayName: "Superb Fish Box50",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has Superb Fish Slice 50. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Superb Fish Box50",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has Superb Fish Slice 50. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17072: {
			unidentifiedDisplayName: "Superb Fish Box100",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has Superb Fish Slice 100. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Superb Fish Box100",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has Superb Fish Slice 100. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17073: {
			unidentifiedDisplayName: "Superb Fish Box500",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has Superb Fish Slice 500. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Superb Fish Box500",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has Superb Fish Slice 500. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17074: {
			unidentifiedDisplayName: "Empty Bottle Box10",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has empty bottle 10. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Empty Bottle Box10",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has empty bottle 10. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17075: {
			unidentifiedDisplayName: "Empty Bottle Box100",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has empty bottle 100. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Empty Bottle Box100",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has empty bottle 100. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17076: {
			unidentifiedDisplayName: "Empty Bottle Box500",
			unidentifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has empty bottle 500. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Empty Bottle Box500",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000 unable to trade with other account.^000000",
				"A box has empty bottle 500. must careful on dealing with.",
				"^ff0000once opens, cannot refund .^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17080: {
			unidentifiedDisplayName: "March and Groove Pack",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2\x67",
			unidentifiedDescriptionName: [
				"ÃµÇæ±Ã ¿Õ°ü, ¸ðÇè°¡ÀÇ ¹è³¶ µî Èñ±ÍÇÑ ¾ÆÀÌÅÛÀ» ¾òÀ» ¼ö ÀÖ´Â ½ÅºñÇÑ ¾Ë.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "March and Groove Pack",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2\x67",
			identifiedDescriptionName: [
				"^ff0000Available for sale until March 26, 2012.",
				"Can only be placed in storage.^000000",
				"May cause unrestrained delight from the receiver of Gift Baskets, Each March and Groove pack contains:",
				"2 Gift Baskets which have delightful chocolates!",
				"And randomly:",
				"-1x Safe to 7 Chance Box,",
				"-1x Battle Manual x3,",
				"-25x Mystical Amplification Scrolls,",
				"-1x Heroic Desocketing Book,",
				"-1x 4 Leaf Clover in Mouth.",
				"Box Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17081: {
			unidentifiedDisplayName: "Yggdrasil Crown Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			unidentifiedDescriptionName: [
				"^ff0000Not available for trade.^000000",
				"A Box containing 1 Crown of Yggdrasil",
				"^ff0000This item is not available for refund or cancel of purchase.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Yggdrasil Crown Box",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			identifiedDescriptionName: [
				"^ff0000Not available for trade.^000000",
				"A Box containing 1 Crown of Yggdrasil",
				"^ff0000This item is not available for refund or cancel of purchase.^000000",
				"Item Description:",
				"A Crown woven from Yggdrasil's Branches which represents new life after a sacrifice.",
				"MDEF + 3,",
				"Increases the effectiveness of received healing 10%",
				"Increases the effectiveness of healing skills by 2%",
				"If refined by +7 or higher : +5% Healing effectiveness",
				"If refined by +9 or higher : +3% Healing effectiveness",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777773^000000",
				"Location : ^777777Upper ^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777771^000000",
				"Applicable Job :^777777 Every Job^000000",
				"^ffffff_^000000",
				"Box Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17082: {
			unidentifiedDisplayName: "Gemini Diadem Scroll",
			unidentifiedResourceName: "\xbd\xd6\xc0\xda\xb1\xc3\xba\xb8\xb0\xfc\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"A special scroll to celebrate the month of Gemini. You would get Gemini Diadem, Salamander Card, Freyja's Overcoat, Boys Cap, Gang's Scarf and also other valuable items.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Gemini Diadem Scroll",
			identifiedResourceName: "\xbd\xd6\xc0\xda\xb1\xc3\xba\xb8\xb0\xfc\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A special scroll to celebrate the month of Gemini. You would get Gemini Diadem, Salamander Card, Freyja's Overcoat, Boys Cap, Gang's Scarf and also other valuable items.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17083: {
			unidentifiedDisplayName: "Gemini Diadem Scroll 10Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box containing ten Gemini Diadem Scrolls.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Gemini Diadem Scroll 10Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box containing ten Gemini Diadem Scrolls.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17084: {
			unidentifiedDisplayName: "°­È­ Ä«Å¸¸£ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ Ä«Å¸¸£°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Ä«Å¸¸£.",
				"Á¦·Ãµµ 1´ç ATK + 10 / Å©¸®Æ¼ÄÃ °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^777777100^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¾î¼¼½Å°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ Ä«Å¸¸£ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ Ä«Å¸¸£°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Ä«Å¸¸£.",
				"Á¦·Ãµµ 1´ç ATK + 10 / Å©¸®Æ¼ÄÃ °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^777777100^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¾î¼¼½Å°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17085: {
			unidentifiedDisplayName: "°­È­ ÅõÇÚµå¾×½º »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ÅõÇÚµå¾×½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼Õµµ³¢.",
				"ÆÄ±«ºÒ°¡.",
				"Á¦·Ãµµ 1´ç ATK + 14 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õµµ³¢^000000 °ø°Ý : ^777777110^000000",
				"¹«°Ô : ^777777200^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ÅõÇÚµå¾×½º »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ÅõÇÚµå¾×½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼Õµµ³¢.",
				"ÆÄ±«ºÒ°¡.",
				"Á¦·Ãµµ 1´ç ATK + 14 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õµµ³¢^000000 °ø°Ý : ^777777110^000000",
				"¹«°Ô : ^777777200^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17086: {
			unidentifiedDisplayName: "°­È­ ·£½º »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ·£½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼ÕÃ¢.",
				"Á¦·Ãµµ 1´ç ATK + 12 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777105^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ·£½º »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ·£½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼ÕÃ¢.",
				"Á¦·Ãµµ 1´ç ATK + 12 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777105^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17087: {
			unidentifiedDisplayName: "°­È­ ºÏ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ºÏÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Ã¥.",
				"MATK + 20.",
				"Á¦·Ãµµ 1´ç ATK + 10 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ã¥^000000 °ø°Ý : ^77777745^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®°è¿­/¼¼ÀÌÁö°è¿­/±Ç¼º^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ºÏ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ºÏÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Ã¥.",
				"MATK + 20.",
				"Á¦·Ãµµ 1´ç ATK + 10 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ã¥^000000 °ø°Ý : ^77777745^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®°è¿­/¼¼ÀÌÁö°è¿­/±Ç¼º^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17088: {
			unidentifiedDisplayName: "°­È­ ½ºÅÂÇÁ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ½ºÅÂÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ÁöÆÎÀÌ.",
				"MATK + 70.",
				"À§ÀÚµå °è¿­ ÀåÂø ½Ã MATK + 30 Ãß°¡.",
				"¼¼ÀÌÁö °è¿­ ÀåÂø ½Ã MATK + 20 Ãß°¡.",
				"Á¦·Ãµµ 1´ç MATK + 10 / Èú·® 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù MATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^777777100^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ½ºÅÂÇÁ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ½ºÅÂÇÁ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ÁöÆÎÀÌ.",
				"MATK + 70.",
				"À§ÀÚµå °è¿­ ÀåÂø ½Ã MATK + 30 Ãß°¡.",
				"¼¼ÀÌÁö °è¿­ ÀåÂø ½Ã MATK + 20 Ãß°¡.",
				"Á¦·Ãµµ 1´ç MATK + 10 / Èú·® 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù MATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^777777100^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17089: {
			unidentifiedDisplayName: "°­È­ ´ë°Å »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ´ë°Å°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ´Ü°Ë.",
				"Á¦·Ãµµ 1´ç ATK + 10 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^77777755^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ´ë°Å »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ´ë°Å°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ´Ü°Ë.",
				"Á¦·Ãµµ 1´ç ATK + 10 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^77777755^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17090: {
			unidentifiedDisplayName: "°­È­ ¸®º¼¹ö »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸®º¼¹ö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¸®º¼¹ö.",
				"Á¦·Ãµµ 1´ç ATK + 5 / ¿ø°Å¸® ¹°¸® °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777±ÇÃÑ^000000 °ø°Ý : ^77777735^000000",
				"¹«°Ô : ^77777750^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ¸®º¼¹ö »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸®º¼¹ö°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¸®º¼¹ö.",
				"Á¦·Ãµµ 1´ç ATK + 5 / ¿ø°Å¸® ¹°¸® °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777±ÇÃÑ^000000 °ø°Ý : ^77777735^000000",
				"¹«°Ô : ^77777750^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17091: {
			unidentifiedDisplayName: "°­È­ ¸ÞÀÌ½º »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸ÞÀÌ½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ µÐ±â.",
				"Á¦·Ãµµ 1´ç ATK + 10 / Èú·® 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^77777780^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ¸ÞÀÌ½º »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸ÞÀÌ½º°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ µÐ±â.",
				"Á¦·Ãµµ 1´ç ATK + 10 / Èú·® 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^77777780^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17092: {
			unidentifiedDisplayName: "°­È­ º¸¿ì »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ º¸¿ì°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ È°.",
				"ÇåÅÍ °è¿­ÀÌ ÀåÂø ½Ã ATK + 20.",
				"Á¦·Ãµµ 1´ç ATK + 7 / ¿ø°Å¸® ¹°¸® °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^77777760^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ º¸¿ì »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ º¸¿ì°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ È°.",
				"ÇåÅÍ °è¿­ÀÌ ÀåÂø ½Ã ATK + 20.",
				"Á¦·Ãµµ 1´ç ATK + 7 / ¿ø°Å¸® ¹°¸® °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^77777760^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17093: {
			unidentifiedDisplayName: "°­È­ ÅõÇÚµå¼Òµå »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ÅõÇÚµå¼Òµå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼Õ°Ë.",
				"Á¦·Ãµµ 1´ç ATK + 12 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ÅõÇÚµå¼Òµå »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ÅõÇÚµå¼Òµå°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼Õ°Ë.",
				"Á¦·Ãµµ 1´ç ATK + 12 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17094: {
			unidentifiedDisplayName: "°­È­ Ä«Å¸¸£ »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ Ä«Å¸¸£ 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Ä«Å¸¸£.",
				"Á¦·Ãµµ 1´ç ATK + 10 / Å©¸®Æ¼ÄÃ °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^777777100^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¾î¼¼½Å°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ Ä«Å¸¸£ »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ Ä«Å¸¸£ 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Ä«Å¸¸£.",
				"Á¦·Ãµµ 1´ç ATK + 10 / Å©¸®Æ¼ÄÃ °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ä«Å¸¸£^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^777777100^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¾î¼¼½Å°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17095: {
			unidentifiedDisplayName: "°­È­ ÅõÇÚµå¾×½º »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ÅõÇÚµå¾×½º 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼Õµµ³¢.",
				"ÆÄ±«ºÒ°¡.",
				"Á¦·Ãµµ 1´ç ATK + 14 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õµµ³¢^000000 °ø°Ý : ^777777110^000000",
				"¹«°Ô : ^777777200^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ÅõÇÚµå¾×½º »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ÅõÇÚµå¾×½º 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼Õµµ³¢.",
				"ÆÄ±«ºÒ°¡.",
				"Á¦·Ãµµ 1´ç ATK + 14 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õµµ³¢^000000 °ø°Ý : ^777777110^000000",
				"¹«°Ô : ^777777200^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17096: {
			unidentifiedDisplayName: "°­È­ ·£½º »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ·£½º 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼ÕÃ¢.",
				"Á¦·Ãµµ 1´ç ATK + 12 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777105^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ·£½º »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ·£½º 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼ÕÃ¢.",
				"Á¦·Ãµµ 1´ç ATK + 12 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼ÕÃ¢^000000 °ø°Ý : ^777777105^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17097: {
			unidentifiedDisplayName: "°­È­ ºÏ »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ºÏ 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Ã¥.",
				"MATK + 20.",
				"Á¦·Ãµµ 1´ç ATK + 10 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ã¥^000000 °ø°Ý : ^77777745^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®°è¿­/¼¼ÀÌÁö°è¿­/±Ç¼º^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ºÏ »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ºÏ 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Ã¥.",
				"MATK + 20.",
				"Á¦·Ãµµ 1´ç ATK + 10 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ã¥^000000 °ø°Ý : ^77777745^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÇÁ¸®½ºÆ®°è¿­/¼¼ÀÌÁö°è¿­/±Ç¼º^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17098: {
			unidentifiedDisplayName: "°­È­ ½ºÅÂÇÁ »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ½ºÅÂÇÁ 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ÁöÆÎÀÌ.",
				"MATK + 70.",
				"À§ÀÚµå °è¿­ ÀåÂø ½Ã MATK + 30 Ãß°¡.",
				"¼¼ÀÌÁö °è¿­ ÀåÂø ½Ã MATK + 20 Ãß°¡.",
				"Á¦·Ãµµ 1´ç MATK + 10 / Èú·® 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù MATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^777777100^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ½ºÅÂÇÁ »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ½ºÅÂÇÁ 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ÁöÆÎÀÌ.",
				"MATK + 70.",
				"À§ÀÚµå °è¿­ ÀåÂø ½Ã MATK + 30 Ãß°¡.",
				"¼¼ÀÌÁö °è¿­ ÀåÂø ½Ã MATK + 20 Ãß°¡.",
				"Á¦·Ãµµ 1´ç MATK + 10 / Èú·® 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù MATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õ ÁöÆÎÀÌ^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^777777100^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17099: {
			unidentifiedDisplayName: "°­È­ ´ë°Å »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ´ë°Å 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ´Ü°Ë.",
				"Á¦·Ãµµ 1´ç ATK + 10 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^77777755^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ´ë°Å »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ´ë°Å 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ´Ü°Ë.",
				"Á¦·Ãµµ 1´ç ATK + 10 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777´Ü°Ë^000000 °ø°Ý : ^77777755^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/¸¶¹ý»ç°è¿­/±Ã¼ö°è¿­/»óÀÎ°è¿­/µµµÏ°è¿­/¼Ò¿ï¸µÄ¿/´ÑÀÚ^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17100: {
			unidentifiedDisplayName: "°­È­ ¸®º¼¹ö »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸®º¼¹ö 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¸®º¼¹ö.",
				"Á¦·Ãµµ 1´ç ATK + 5 / ¿ø°Å¸® ¹°¸® °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777±ÇÃÑ^000000 °ø°Ý : ^77777735^000000",
				"¹«°Ô : ^77777750^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ¸®º¼¹ö »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸®º¼¹ö 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¸®º¼¹ö.",
				"Á¦·Ãµµ 1´ç ATK + 5 / ¿ø°Å¸® ¹°¸® °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777±ÇÃÑ^000000 °ø°Ý : ^77777735^000000",
				"¹«°Ô : ^77777750^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ç½½¸µ°Å^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17101: {
			unidentifiedDisplayName: "°­È­ ¸ÞÀÌ½º »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸ÞÀÌ½º 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ µÐ±â.",
				"Á¦·Ãµµ 1´ç ATK + 10 / Èú·® 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^77777780^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ¸ÞÀÌ½º »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ¸ÞÀÌ½º 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ µÐ±â.",
				"Á¦·Ãµµ 1´ç ATK + 10 / Èú·® 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777µÐ±â^000000 °ø°Ý : ^77777780^000000",
				"¹«°Ô : ^77777780^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º/°Ë»ç°è¿­/º¹»ç°è¿­/»óÀÎ°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17102: {
			unidentifiedDisplayName: "°­È­ º¸¿ì »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ º¸¿ì 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ È°.",
				"ÇåÅÍ °è¿­ÀÌ ÀåÂø ½Ã ATK + 20.",
				"Á¦·Ãµµ 1´ç ATK + 7 / ¿ø°Å¸® ¹°¸® °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^77777760^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ º¸¿ì »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ º¸¿ì 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ È°.",
				"ÇåÅÍ °è¿­ÀÌ ÀåÂø ½Ã ATK + 20.",
				"Á¦·Ãµµ 1´ç ATK + 7 / ¿ø°Å¸® ¹°¸® °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^77777760^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17103: {
			unidentifiedDisplayName: "°­È­ ÅõÇÚµå¼Òµå »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ÅõÇÚµå¼Òµå 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼Õ°Ë.",
				"Á¦·Ãµµ 1´ç ATK + 12 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ ÅõÇÚµå¼Òµå »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ ÅõÇÚµå¼Òµå 1°³¿Í Çà¿îÀÇ ¾Ë¥¹ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼Õ°Ë.",
				"Á¦·Ãµµ 1´ç ATK + 12 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17104: {
			unidentifiedDisplayName: "HD Oridecon 50 Box",
			unidentifiedResourceName: "\x68\x64\xc3\xe0\xbf\xc0\xb8\xae\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"HD_Oridecon_50_Box",
			],
			identifiedDisplayName: "HD Oridecon 50 Box",
			identifiedResourceName: "\x68\x64\xc3\xe0\xbf\xc0\xb8\xae\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 50 HD Oridecon",
				"Description:",
				"High Density Oridecon that has been buried deep underground.",
				"Used as a material to strengthen weapons currently from refine levels 7 through 9.",
				"This item's density ensures that refine attempts will not break the weapon and if the attempt fails it will only downgrade by 1.",
				"Only a Blacksmith named Mighty Hammer in Payon can use this ore to refine.",
				"Box Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17105: {
			unidentifiedDisplayName: "HD Elunium 50 Box",
			unidentifiedResourceName: "\x68\x64\xc3\xe0\xbf\xa1\xb8\xa3\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"HD_Elunium_50_Box",
			],
			identifiedDisplayName: "HD Elunium 50 Box",
			identifiedResourceName: "\x68\x64\xc3\xe0\xbf\xa1\xb8\xa3\x62\x6f\x78",
			identifiedDescriptionName: [
				"A box that contains 50 HD Elunium",
				"Description:",
				"High Density Elunium that has been buried deep underground.",
				"Used as a material to strengthen armor currently from refine levels 7 through 9.",
				"This item's density ensures that refine attempts will not break the armor and if the attempt fails it will only downgrade by 1.",
				"Only a Blacksmith named Mighty Hammer in Payon can use this ore to refine.",
				"Box Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17106: {
			unidentifiedDisplayName: "Heavy Lifter Box",
			unidentifiedResourceName: "\xc4\xab\xc7\xc1\xb6\xf3\xc0\xcc\xbf\xeb\xb1\xc7\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A box that contains 10 Gym Passes",
				"Description:",
				"A Gym Pass that can be",
				"given to a special",
				"NPC to learn a skill",
				"that will increase your^FFFFFF   ^000000 Maximum Weight",
				"Capacity by 200 for",
				"each skill level.",
				"This special skill",
				"can only be learned",
				"up to Level 10.",
				"^ffffff_^000000",
				"Weight : ^7777771^000000",
				"Box Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Gym Membership Card 10 Box",
			identifiedResourceName: "\xc1\xb9\xb8\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"A box that contains 10 Gym Passes",
				"Description:",
				"A Gym Pass that can be given to a special NPC to learn a skill that will increase your^FFFFFF Maximum Weight Capacity^000000 by 200 for each skill level.",
				"This special skill can only be learned up to Level 10.",
				"Weight : ^7777771^000000",
				"^ffffff_^000000",
				"Box Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17107: {
			unidentifiedDisplayName: "Gemini Crown Scroll",
			unidentifiedResourceName: "\xbd\xd6\xc0\xda\xb1\xc3\xbf\xd5\xb0\xfc\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"A special scroll to celebrate the month of Gemini. You can get a valuable item such as Gemini Crown, Dark Snake Lord Card, Elven Ears, Gentleman's Pipe, Hawk Eyes etc.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Gemini Crown Scroll",
			identifiedResourceName: "\xbd\xd6\xc0\xda\xb1\xc3\xbf\xd5\xb0\xfc\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A special scroll to celebrate the month of Gemini. You can get a valuable item such as Gemini Crown, Dark Snake Lord Card, Elven Ears, Gentleman's Pipe, Hawk Eyes etc.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17108: {
			unidentifiedDisplayName: "Gemini Crown Scroll 10 Box",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"A box containing 10 piece of Gemini Crown Scroll.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Gemini Crown Scroll 10 Box",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"A box containing 10 piece of Gemini Crown Scroll.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17109: {
			unidentifiedDisplayName: "Capri Scroll",
			unidentifiedResourceName: "\xbf\xb0\xbc\xd2\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"È¯»óÀÇ ¿µ¾à, ¸¶°¥±Ã º¸°ü, ¸¶°¥±Ã ¿Õ°ü, ¸¶·Â ±êµç CardÃ¸, Å¸¶ôÇÑ´ë½Å°üCard µî Èñ±ÍÇÑ ¾ÆÀÌÅÛÀÌ µé¾îÀÖ´Â ½ºÅ©·Ñ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Capri Scroll",
			identifiedResourceName: "\xbf\xb0\xbc\xd2\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll with the Capricorn sign fixed upon it.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17110: {
			unidentifiedDisplayName: "Aquarius Scroll",
			unidentifiedResourceName: "\xb9\xb0\xba\xb4\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"È¯»óÀÇ ¿µ¾à, º¸º´±Ã º¸°ü, º¸º´±Ã ¿Õ°ü, ´Ã¾îÁø ±¸¹ÌÈ£, ¾î½Ø½ÅÅ©·Î½ºCard µî Èñ±ÍÇÑ ¾ÆÀÌÅÛÀÌ µé¾îÀÖ´Â ½ºÅ©·Ñ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Aquarius Scroll",
			identifiedResourceName: "\xb9\xb0\xba\xb4\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll with the Aquarius sign fixed upon it.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17113: {
			unidentifiedDisplayName: "Pisces Scroll",
			unidentifiedResourceName: "\xb9\xb0\xb0\xed\xb1\xe2\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"È¯»óÀÇ ¿µ¾à, ½Ö¾î±Ã º¸°ü, ½Ö¾î±Ã ¿Õ°ü, Æ¼¶ó¾ßº¸³Ý, º¸½º ÀÌ±×´ÏÁªCard µî Èñ±ÍÇÑ ¾ÆÀÌÅÛÀÌ µé¾îÀÖ´Â ½ºÅ©·Ñ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Marching Hat Box",
			identifiedResourceName: "\x67\x72\x65\x65\x6e\x5f\x62\x6f\x78",
			identifiedDescriptionName: [
				"Available from March 9 - April 3",
				"Randomly Gives one of the 3 Marching hats.",
				"^ff0000The Box is not tradable, but the hats inside may be traded and vended normally.^000000",
				"Box Weight : ^7777771^000000",
				"Parade Hat Description:",
				"A hat by those leading the way to celebrations.",
				"MDEF +2,",
				"Increases tolerance to Stun by 10%.",
				"When being physically attacked, has a chance of auto-casting Lv 5 Angelus or Lv 1 Assumptio on onself.",
				"If the user is an Acolyte, Priest , High Priest or Arch Bishop class, will auto-cast Lv 1 Lex Aeterna when using Heal Skill on an enemy.",
				"^ff0000This item can be traded, stored, and put into a cart^000000",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Upper^000000",
				"Defense : ^7777774^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777710^000000",
				"Job : ^777777All Classes^000000",
				"Holy Marching Hat Description:",
				"A marching hat with holy angel wings affixed to the sides made famous by a righteous Rune Midgardian band.",
				"INT + 1, DEX + 1, MDEF +5.",
				"If refined to +7 or higher, increases Heal effectieness by 5%.",
				"If refined to +9 or higher, Matk +5 and increases Heal effectiveness by 5%.",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper^000000",
				"Defense: ^7777775^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
				"Evil Marcher Hat Description:",
				"A dark marching hat worn by members of an undead band from Niffleheim.",
				"STR + 2. Attack +2% to all monsters.",
				"If refined to +7 or higher, Critical +10%.",
				"If refined to +9 or higher, the Attack and ranged attack damage increases by 5%.",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper^000000",
				"Defense: ^77777710^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17114: {
			unidentifiedDisplayName: "Ancient Horns Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			unidentifiedDescriptionName: [
				"Ancient_Horns_Box",
			],
			identifiedDisplayName: "Ancient Horns Box",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xc0\xce\xc0\xc7\x5f\xbb\xd4\x5f\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Horn_Of_Ancient_Box",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17115: {
			unidentifiedDisplayName: "Sprout Hat Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			unidentifiedDescriptionName: [
				"^ff0000once you open this box, this item won't be refundable.^000000",
				"a box has sprout hat",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Sprout Hat Box",
			identifiedResourceName: "\xbb\xf5\xbd\xcf\xb8\xf0\xc0\xda\x5f\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Sprout_Hat_Box",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17116: {
			unidentifiedDisplayName: "Mercury Riser Box",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x33",
			unidentifiedDescriptionName: [
				"Mercury_Riser_Box",
			],
			identifiedDisplayName: "Mercury Riser Box",
			identifiedResourceName: "\xb8\xd3\xc5\xa5\xb8\xae\xc0\xc7\x5f\xc5\xf5\xb1\xb8\x5f\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Mercury_Helm_Box",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17117: {
			unidentifiedDisplayName: "Aries Scroll",
			unidentifiedResourceName: "\xbe\xe7\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"Å¸¶ôÃµ»çÀÇ ³¯°³, ÀÌÇÁ¸®Æ® Card, ¹é¾ç±Ã ¿Õ°ü, ¹é¾ç±Ã º¸°ü, È¯»óÀÇ ¿µ¾à µî Èñ±ÍÇÑ ¾ÆÀÌÅÛÀÌ µé¾îÀÖ´Â ½ºÅ©·Ñ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Aries Scroll",
			identifiedResourceName: "\xbe\xe7\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll with the Aries sign fixed upon it.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17118: {
			unidentifiedDisplayName: "ASPD°­È­Æ÷¼Ç »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.",
				"±âÁ¸ °ø°Ý¼Óµµ Æ÷¼Ç°ú µ¿ÀÏÇÏ°Ô Àû¿ëµÇ¸ç AGI¿¡ µû¶ó °ø¼Ó Áõ°¡·®ÀÌ ´Þ¶óÁú ¼ö ÀÖ½À´Ï´Ù.^000000",
				"ASPD °­È­ Æ÷¼ÇÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿©Å¸ÀÇ °ø°Ý¼Óµµ Çâ»ó Æ÷¼Ç°ú ÇÔ²² »ç¿ë ½Ã ´õ Å« È¿°ú°¡ ³ªÅ¸³ª´Â °­È­ Æ÷¼Ç.",
				"º¹¿ëÇÏ¸é 15ºÐ°£ °ø°Ý¼Óµµ°¡ Á¶±Ý ´õ »ó½ÂÇÑ´Ù. ÀüÁ÷¾÷ÀÌ »ç¿ëÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ASPD°­È­Æ÷¼Ç »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.",
				"±âÁ¸ °ø°Ý¼Óµµ Æ÷¼Ç°ú µ¿ÀÏÇÏ°Ô Àû¿ëµÇ¸ç AGI¿¡ µû¶ó °ø¼Ó Áõ°¡·®ÀÌ ´Þ¶óÁú ¼ö ÀÖ½À´Ï´Ù.^000000",
				"ASPD °­È­ Æ÷¼ÇÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿©Å¸ÀÇ °ø°Ý¼Óµµ Çâ»ó Æ÷¼Ç°ú ÇÔ²² »ç¿ë ½Ã ´õ Å« È¿°ú°¡ ³ªÅ¸³ª´Â °­È­ Æ÷¼Ç.",
				"º¹¿ëÇÏ¸é 15ºÐ°£ °ø°Ý¼Óµµ°¡ Á¶±Ý ´õ »ó½ÂÇÑ´Ù. ÀüÁ÷¾÷ÀÌ »ç¿ëÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17119: {
			unidentifiedDisplayName: "Premium Hat Box",
			unidentifiedResourceName: "\x73\x75\x6d\x6d\x65\x72\x5f\x70\x61\x63\x6b",
			unidentifiedDescriptionName: [
				"Premium_Hat_Box",
			],
			identifiedDisplayName: "Summer Lucky Pack",
			identifiedResourceName: "\x73\x75\x6d\x6d\x65\x72\x5f\x70\x61\x63\x6b",
			identifiedDescriptionName: [
				"Inside are some old favorites as well as some fresh outta the factory items like Headgears created by our very own Adventurers.",
				"^0000FFS Class: 1 Black Frame Glasses [1]^000000",
				"^00FF00A Class: 2000 Prize Medal^000000",
				"^00FF00A Class: 1 Super Summer Hat Pack^000000",
				"^00FF00A Class: 5 Battle Manual X3^000000",
				"^00FF00B Class: 1 Mercury Riser^000000",
				"^0000CCB Class: 1 Ancient Horn^000000",
				"^0000CCB Class: 1 Sprout Hat^000000",
				"^CC0000C Class: Virgo Crown^000000",
				"^CC0000C Class: Virgo Diadem^000000",
				"^CC0000C Class: 250 Valor Badges^000000",
				"^00CC00D Class: 1 Slotting Advertisement^000000",
				"^00CC00D Class: 2 Bloody Branch^000000",
				"^00CC00D Class: 1 Party Buff Scroll Pack^000000",
				"^00CC00D Class: 10 Spearman Scroll 10^000000",
				"^00CC00D Class: 5 Girl's Naivety^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17120: {
			unidentifiedDisplayName: "Taurus Scroll",
			unidentifiedResourceName: "\xc8\xb2\xbc\xd2\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"¾ÆÆ®·Î½º Card, È¯»óÀÇ ¿µ¾à, ¹ßÅ°¸®ÀÇ °©¿Ê, ¾Æ¿äÅ¸¾ß ¸ðÀÚ, ´ëÇàÀÚÀÇ ²®Áú Á¶°¢ µî Èñ±ÍÇÑ ¾ÆÀÌÅÛÀÌ µé¾îÀÖ´Â ½ºÅ©·Ñ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Taurus Scroll",
			identifiedResourceName: "\xc8\xb2\xbc\xd2\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll with the Taurus sign fixed upon it.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17121: {
			unidentifiedDisplayName: "Starry Scroll",
			unidentifiedResourceName: "\xba\xb0\xba\xfb\xc7\xcf\xb4\xc3\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"¿ù¾ßÈ­ Card, »çÀÚ±Ãº¸°ü, ½Ö³à±Ãº¸°ü, ½Ö³à±Ã¿Õ°ü, ÃµÄª±Ãº¸°ü, ÃµÄª±Ã¿Õ°ü µî Èñ±ÍÇÑ ¾ÆÀÌÅÛÀÌ µé¾îÀÖ´Â ½ºÅ©·Ñ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Starry Scroll",
			identifiedResourceName: "\xba\xb0\xba\xfb\xc7\xcf\xb4\xc3\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll with numerous stars.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17122: {
			unidentifiedDisplayName: "Immuned Shield Box",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000this item is not allowed to be traded.^000000",
				"A box that contains an immuned shield",
				"A square shaped exotic shield. There is a Gem which is specialized to defense Physical force.",
				"If it refined over 5, will give 1% tolerance on property \"nothing\" attack",
				"(This bonus would work up to +12, 8%)",
				"Class : ^777777Shield^000000 Def : ^77777755^000000",
				"Weight : ^77777770^000000",
				"Required Lv. : ^7777771^000000",
				"Jobs : ^777777All^000000",
				"^ff0000once you open this box, this item won't be refundable.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Immune Shield Box",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000this item is not allowed to be traded.^000000",
				"A box that contains an immuned shield",
				"A square shaped exotic shield. There is a Gem which is specialized to defense Physical force.",
				"If it refined over 5, will give 1% tolerance on property \"nothing\" attack",
				"(This bonus would work up to +12, 8%)",
				"Class : ^777777Shield^000000 Defense : ^77777755^000000",
				"Weight : ^77777770^000000",
				"Required Lv. : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^ff0000once you open this box, this item won't be refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17123: {
			unidentifiedDisplayName: "Black Devil's Mask Box",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000this item is not allowed to be traded.^000000",
				"A box that contains an Black_Devil_Mask",
				"A creepy shaped mask that covers half of face. it seems that has no difficulties on vision as it has hole on eye part.",
				"All State + 2.",
				"Class : ^777777Headgear^000000 Def : ^7777770^000000",
				"Location : ^777777Middle ^000000Weight : ^77777710^000000",
				"Required Lv. : ^7777771^000000",
				"Jobs : ^777777All^000000",
				"^ff0000once you open this box, this item won't be refundable.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Black Devil's Mask Box",
			identifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000this item is not allowed to be traded.^000000",
				"A box that contains an Black_Devil_Mask",
				"A creepy shaped mask that covers half of face. it seems that has no difficulties on vision as it has hole on eye part.",
				"All State + 2.",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Middle ^000000Weight : ^77777710^000000",
				"Required Lv. : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^ff0000once you open this box, this item won't be refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17124: {
			unidentifiedDisplayName: "Cat Ears Beret Box",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000this item is not allowed to be traded.^000000",
				"A box that contains a Cat_Ears_Beret",
				"a cute beret that feels cat is wearing it because of its ear decoration.",
				"ATK + 5%.",
				"If it refined over 5, will give 1% bonus on physical attack to \"Human\" type and receive less damage from \"Human\" type.",
				"(This bonus would work up to +12, 7%)",
				"Class : ^777777Headgear^000000 Def : ^7777775^000000",
				"Location : ^777777Upper ^000000Weight : ^77777730^000000",
				"Required Lv. : ^7777771^000000",
				"Jobs : ^777777All^000000",
				"^ff0000once you open this box, this item won't be refundable.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Cat Ear Beret Box",
			identifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xb1\xcd\xba\xa3\xb7\xb9\xb8\xf0\x62\x6f\x78",
			identifiedDescriptionName: [
				"^ff0000this item is not allowed to be traded.^000000",
				"A box that contains a Cat_Ears_Beret",
				"a cute beret that feels cat is wearing it because of its ear decoration.",
				"ATK + 5%.",
				"If it refined over 5, will give 1% bonus on physical attack to \"Human\" type and receive less damage from \"Human\" type.",
				"(This bonus would work up to +12, 7%)",
				"Class : ^777777Headgear^000000 Defense : ^7777775^000000",
				"Location : ^777777Upper ^000000Weight : ^77777730^000000",
				"Required Lv. : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^ff0000once you open this box, this item won't be refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17125: {
			unidentifiedDisplayName: "Red Bread Hat Box",
			unidentifiedResourceName: "\x70\x72\x6f\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000this item is not allowed to be traded.^000000",
				"A box that contains Red_Bread_Hat",
				"cute girl style red bread hat.",
				"MATK + 5%, MDEF + 5.",
				"If it refined over 5, will give 1% bonus on magical attack to \"Human\" type and receive less damage from \"Human\" type.",
				"(This bonus would work up to +12, 7%)",
				"Class : ^777777Headgear^000000 Def : ^7777770^000000",
				"Location : ^777777Upper ^000000Weight : ^77777730^000000",
				"Required Lv. : ^7777771^000000",
				"Jobs : ^777777All^000000",
				"^ff0000once you open this box, this item won't be refundable.^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Red Pom Band Box",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xa7\xb8\xf0\xc0\xda\x62\x6f\x78",
			identifiedDescriptionName: [
				"^ff0000this item is not allowed to be traded.^000000",
				"A box that contains Red_Bread_Hat",
				"cute girl style red bread hat.",
				"MATK + 5%, MDEF + 5.",
				"If it refined over 5, will give 1% bonus on magical attack to \"Human\" type and receive less damage from \"Human\" type.",
				"(This bonus would work up to +12, 7%)",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper ^000000Weight : ^77777730^000000",
				"Required Lv. : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
				"^ff0000once you open this box, this item won't be refundable.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17126: {
			unidentifiedDisplayName: "ASPD°­È­Æ÷¼Ç »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.",
				"±âÁ¸ °ø°Ý¼Óµµ Æ÷¼Ç°ú µ¿ÀÏÇÏ°Ô Àû¿ëµÇ¸ç AGI¿¡ µû¶ó °ø¼Ó Áõ°¡·®ÀÌ ´Þ¶óÁú ¼ö ÀÖ½À´Ï´Ù.^000000",
				"ASPD °­È­ Æ÷¼ÇÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿©Å¸ÀÇ °ø°Ý¼Óµµ Çâ»ó Æ÷¼Ç°ú ÇÔ²² »ç¿ë ½Ã ´õ Å« È¿°ú°¡ ³ªÅ¸³ª´Â °­È­ Æ÷¼Ç.",
				"º¹¿ëÇÏ¸é 15ºÐ°£ °ø°Ý¼Óµµ°¡ Á¶±Ý ´õ »ó½ÂÇÑ´Ù. ÀüÁ÷¾÷ÀÌ »ç¿ëÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ASPD°­È­Æ÷¼Ç »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xb3\xeb\xb6\xf5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.",
				"±âÁ¸ °ø°Ý¼Óµµ Æ÷¼Ç°ú µ¿ÀÏÇÏ°Ô Àû¿ëµÇ¸ç AGI¿¡ µû¶ó °ø¼Ó Áõ°¡·®ÀÌ ´Þ¶óÁú ¼ö ÀÖ½À´Ï´Ù.^000000",
				"ASPD °­È­ Æ÷¼ÇÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ.",
				"¿©Å¸ÀÇ °ø°Ý¼Óµµ Çâ»ó Æ÷¼Ç°ú ÇÔ²² »ç¿ë ½Ã ´õ Å« È¿°ú°¡ ³ªÅ¸³ª´Â °­È­ Æ÷¼Ç.",
				"º¹¿ëÇÏ¸é 15ºÐ°£ °ø°Ý¼Óµµ°¡ Á¶±Ý ´õ »ó½ÂÇÑ´Ù. ÀüÁ÷¾÷ÀÌ »ç¿ëÇÒ ¼ö ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17127: {
			unidentifiedDisplayName: "March Groove and Win Crate",
			unidentifiedResourceName: "\xbb\xe7\xc0\xda\xc0\xda\xb8\xae\xbd\xba\xc5\xa9\xb7\xd1\x32",
			unidentifiedDescriptionName: [
				"´ë¸¸ 8¿ù º°ÀÚ¸® ÇÑÁ¤ ÆÇ¸Å »óÀÚ.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "March Groove and Win Crate",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2\x67\x62\x6f\x78",
			identifiedDescriptionName: [
				"This Special Crate not only contains 5 March Groove Packs, it also contains a special Safe to 10 Certificate, which allows Mighty Hammer to not degrade equipment on a failure, increasing your ability to +10 equipment.",
				"^ff0000Available until March 27.^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17135: {
			unidentifiedDisplayName: "¸ó½ºÅÍ º¯½Å A¼¼Æ®",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"µ¥ºñ·çÄ¡ º¯½Å ½ºÅ©·Ñ 30°³¿Í °ñ·½ º¯½Å ½ºÅ©·Ñ 30°³, Æ÷¸µ º¯½Å ½ºÅ©·Ñ 6°³, ¿Ê¿°»ö ÄíÆù »óÀÚ 1°³¸¦ ¸ð¾ÆµÐ A ¼¼Æ®.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸ó½ºÅÍ º¯½Å A¼¼Æ®",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"µ¥ºñ·çÄ¡ º¯½Å ½ºÅ©·Ñ 30°³¿Í °ñ·½ º¯½Å ½ºÅ©·Ñ 30°³, Æ÷¸µ º¯½Å ½ºÅ©·Ñ 6°³, ¿Ê¿°»ö ÄíÆù »óÀÚ 1°³¸¦ ¸ð¾ÆµÐ A ¼¼Æ®.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17136: {
			unidentifiedDisplayName: "¸ó½ºÅÍ º¯½Å B¼¼Æ®",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹ê½Ã º¯½Å ½ºÅ©·Ñ 30°³¿Í ¸¶¸£µÎÅ© º¯½Å ½ºÅ©·Ñ 30°³, Æ÷¸µ º¯½Å ½ºÅ©·Ñ 6°³, ¿Ê¿°»ö ÄíÆù »óÀÚ 1°³¸¦ ¸ð¾ÆµÐ B ¼¼Æ®.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸ó½ºÅÍ º¯½Å B¼¼Æ®",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹ê½Ã º¯½Å ½ºÅ©·Ñ 30°³¿Í ¸¶¸£µÎÅ© º¯½Å ½ºÅ©·Ñ 30°³, Æ÷¸µ º¯½Å ½ºÅ©·Ñ 6°³, ¿Ê¿°»ö ÄíÆù »óÀÚ 1°³¸¦ ¸ð¾ÆµÐ B ¼¼Æ®.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17137: {
			unidentifiedDisplayName: "¸ó½ºÅÍ º¯½Å C¼¼Æ®",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶ºêÄ« º¯½Å ½ºÅ©·Ñ 30°³¿Í ·¹ÀÌµå¸¯ ¾ÆÃÄ º¯½Å ½ºÅ©·Ñ 30°³, Æ÷¸µ º¯½Å ½ºÅ©·Ñ 6°³, ¿Ê¿°»ö ÄíÆù »óÀÚ 1°³¸¦ ¸ð¾ÆµÐ C ¼¼Æ®.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸ó½ºÅÍ º¯½Å C¼¼Æ®",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¸¶ºêÄ« º¯½Å ½ºÅ©·Ñ 30°³¿Í ·¹ÀÌµå¸¯ ¾ÆÃÄ º¯½Å ½ºÅ©·Ñ 30°³, Æ÷¸µ º¯½Å ½ºÅ©·Ñ 6°³, ¿Ê¿°»ö ÄíÆù »óÀÚ 1°³¸¦ ¸ð¾ÆµÐ C ¼¼Æ®.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17138: {
			unidentifiedDisplayName: "Cancer Scroll",
			unidentifiedResourceName: "\xb0\xc5\xc7\xd8\xb1\xc3\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"°ÅÇØ±Ã ÀÚ¸®ÀÇ ´ÞÀ» ±â³äÇÏ´Â Æ¯º°ÇÑ ½ºÅ©·Ñ. °ÅÇØ±Ã ¿Õ°ü, °ÅÇØ±Ã º¸°ü, ÇÏÆ¼ Card, ºñÄ¡Å¸¿Ã, ºñ»óÇÏ´Â Ãµ»ç ¹× ´Ù¸¥ ±ÍÁßÇÑ ¾ÆÀÌÅÛÀ» È¹µæÇÒ ¼ö ÀÖ´Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Cancer Scroll",
			identifiedResourceName: "\xb0\xc5\xc7\xd8\xb1\xc3\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll with the Cancer sign fixed upon it.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17140: {
			unidentifiedDisplayName: "Leo Scroll",
			unidentifiedResourceName: "\xbb\xe7\xc0\xda\xb1\xc3\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"»çÀÚ±Ã ÀÚ¸®ÀÇ ´ÞÀ» ±â³äÇÏ´Â Æ¯º°ÇÑ ½ºÅ©·Ñ. »çÀÚ±Ã ¿Õ°ü, »çÀÚ±Ã º¸°ü, Å¸¶ôÇÑ´ë½Å°ü Card, ½ºÅ² ¿Àºê º¥Åõ½º, ³¯°í ½ÍÀº ¿£Á©¸µ ¹× ´Ù¸¥ ±ÍÁßÇÑ ¾ÆÀÌÅÛÀ» È¹µæÇÒ ¼ö ÀÖ´Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Leo Scroll",
			identifiedResourceName: "\xbb\xe7\xc0\xda\xb1\xc3\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll with the Leo sign fixed upon it.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17141: {
			unidentifiedDisplayName: "Virgo Scroll",
			unidentifiedResourceName: "\xbd\xd6\xb3\xe0\xb1\xc3\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"½Ö³à±Ã ÀÚ¸®ÀÇ ´ÞÀ» ±â³äÇÏ´Â Æ¯º°ÇÑ ½ºÅ©·Ñ. ½Ö³à±Ã ¿Õ°ü, ½Ö³à±Ã º¸°ü, ´ëÇàÀÚÀÇ ²®ÁúÁ¶°¢, ¹°ÀÇ °©¿Ê[1], ´ëÇü ¸¶Á¦½ºÆ½°í¿ìÆ® ¹× ´Ù¸¥ ±ÍÁßÇÑ ¾ÆÀÌÅÛÀ» È¹µæÇÒ ¼ö ÀÖ´Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Virgo Scroll",
			identifiedResourceName: "\xbd\xd6\xb3\xe0\xb1\xc3\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll with the Virgo sign fixed upon it.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17142: {
			unidentifiedDisplayName: "Libra Scrol",
			unidentifiedResourceName: "\xc3\xb5\xc4\xaa\xb1\xc3\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"ÃµÄª±Ã ÀÚ¸®ÀÇ ´ÞÀ» ±â³äÇÏ´Â Æ¯º°ÇÑ ½ºÅ©·Ñ. ÃµÄª±Ã ¿Õ°ü, ÃµÄª±Ã º¸°ü, ÇÏÀÌÀ§ÀÚµåCard, ¸ðÇè°¡ÀÇ ¹è³¶, ¿£Á©¸µ ÇÉ, ¸¶·Â±êµç CardÃ¸ ¹× ´Ù¸¥ ±ÍÁßÇÑ ¾ÆÀÌÅÛÀ» È¹µæÇÒ ¼ö ÀÖ´Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Libra Scrol",
			identifiedResourceName: "\xc3\xb5\xc4\xaa\xb1\xc3\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll with the Libra sign fixed upon it.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17143: {
			unidentifiedDisplayName: "Scorpius Scroll",
			unidentifiedResourceName: "\xc3\xb5\xc7\xe6\xb1\xc3\xbd\xba\xc5\xa9\xb7\xd1",
			unidentifiedDescriptionName: [
				"ÃµÇæ±Ã ÀÚ¸®ÀÇ ´ÞÀ» ±â³äÇÏ´Â Æ¯º°ÇÑ ½ºÅ©·Ñ. ÃµÇæ±Ã ¿Õ°ü, ÃµÇæ±Ã º¸°ü, Å¸³ªÅä½ºÀÇ ±â¾ï Card, º»ÇÃ·¹ÀÌÆ®, Å¸³ªÅä½ºÀÇ Áõ¿À °¡¸é, ÈÖÄÉ¹ÙÀÎÀÇ °ËÀº ²¿¸® ¹× ´Ù¸¥ ±ÍÁßÇÑ ¾ÆÀÌÅÛÀ» È¹µæÇÒ ¼ö ÀÖ´Ù.",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Scorpius Scroll",
			identifiedResourceName: "\xc3\xb5\xc7\xe6\xb1\xc3\xbd\xba\xc5\xa9\xb7\xd1",
			identifiedDescriptionName: [
				"A scroll with the Scorpio sign fixed upon it.",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17144: {
			unidentifiedDisplayName: "¸ðµë¿ä¸®¼¼Æ®",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ä¸® Á¾ÇÕ ¼±¹°¼¼Æ®ÀÎ ¸ðµë¿ä¸®»óÀÚ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î µå·¡°ïÀÇ ¾Ëµµ Æ÷ÇÔµÇ¾î ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸ðµë¿ä¸®¼¼Æ®",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¿ä¸® Á¾ÇÕ ¼±¹°¼¼Æ®ÀÎ ¸ðµë¿ä¸®»óÀÚ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. º¸³Ê½º·Î µå·¡°ïÀÇ ¾Ëµµ Æ÷ÇÔµÇ¾î ÀÖ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17145: {
			unidentifiedDisplayName: "¸ðµë¿ä¸®»óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"Çú¹Ù´Ú¿ä¸®, Ä¬Å×ÀÏ ¿ëÀÇ ¼û°á, ºÒ»çÀÇ Âî°³, »ç¸·Àü°¥ ¸ð·¡Âò, Èåº£¸£°Ö¹Ì¸£ÀÇ ¼ú, ±¸¹ÌÈ£ ²¿¸®¿ä¸®°¡ °¢°¢ 5°³¾¿ µé¾îÀÖ´Â ¿ä¸® Á¾ÇÕ ¼±¹°¼¼Æ®. º¸³Ê½º·Î ÅåÅåÄµµð 3°³µµ Æ÷ÇÔµÇ¾î ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸ðµë¿ä¸®»óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"Çú¹Ù´Ú¿ä¸®, Ä¬Å×ÀÏ ¿ëÀÇ ¼û°á, ºÒ»çÀÇ Âî°³, »ç¸·Àü°¥ ¸ð·¡Âò, Èåº£¸£°Ö¹Ì¸£ÀÇ ¼ú, ±¸¹ÌÈ£ ²¿¸®¿ä¸®°¡ °¢°¢ 5°³¾¿ µé¾îÀÖ´Â ¿ä¸® Á¾ÇÕ ¼±¹°¼¼Æ®. º¸³Ê½º·Î ÅåÅåÄµµð 3°³µµ Æ÷ÇÔµÇ¾î ÀÖ´Ù.",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17153: {
			unidentifiedDisplayName: "·¹µå ºÎ½ºÅÍ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·¹µå ºÎ½ºÅÍ°¡ 20°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"Ã¼³» ¿¡³ÊÁö¸¦ È°¼ºÈ­ ÇÏ¿©, ÀüÅõ¸¦ º¸Á¶ÇØÁÖ´Â ·¹µå ºÎ½ºÅÍ. Ã¼·Â¿¡ ´Ù¼Ò ºÎ´ãÀÌ °¡´Ï ÁÖÀÇ ÇÏÀÚ.",
				"10ºÐ°£ ATK, MATK + 30, °ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄ µô·¹ÀÌ°¨¼Ò 5%), º¯µ¿ Ä³½ºÆÃ 5% °¨¼Ò, MHP, MSP - 10%.",
				"¹°¸®, ¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ÁýÁß·ÂÇâ»ó 3Lv ¹ßµ¿.",
				"^ffffff_^000000",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "·¹µå ºÎ½ºÅÍ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·¹µå ºÎ½ºÅÍ°¡ 20°³ µé¾îÀÖ´Â »óÀÚ.",
				"Ã¼³» ¿¡³ÊÁö¸¦ È°¼ºÈ­ ÇÏ¿©, ÀüÅõ¸¦ º¸Á¶ÇØÁÖ´Â ·¹µå ºÎ½ºÅÍ. Ã¼·Â¿¡ ´Ù¼Ò ºÎ´ãÀÌ °¡´Ï ÁÖÀÇ ÇÏÀÚ.",
				"10ºÐ°£ ATK, MATK + 30, °ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄ µô·¹ÀÌ°¨¼Ò 5%), º¯µ¿ Ä³½ºÆÃ 5% °¨¼Ò, MaxHP, MaxSP - 10%.",
				"¹°¸®, ¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ÁýÁß·ÂÇâ»ó 3Lv ¹ßµ¿.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17154: {
			unidentifiedDisplayName: "·¹µå ºÎ½ºÅÍ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·¹µå ºÎ½ºÅÍ 20°³¿Í 2011 RWC ½ºÅ©·Ñ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"Ã¼³» ¿¡³ÊÁö¸¦ È°¼ºÈ­ ÇÏ¿©, ÀüÅõ¸¦ º¸Á¶ÇØÁÖ´Â ·¹µå ºÎ½ºÅÍ. Ã¼·Â¿¡ ´Ù¼Ò ºÎ´ãÀÌ °¡´Ï ÁÖÀÇ ÇÏÀÚ.",
				"10ºÐ°£ ATK, MATK + 30, °ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄ µô·¹ÀÌ°¨¼Ò 5%), º¯µ¿ Ä³½ºÆÃ 5% °¨¼Ò, MHP, MSP - 10%.",
				"¹°¸®, ¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ÁýÁß·ÂÇâ»ó 3Lv ¹ßµ¿.",
				"^ffffff_^000000",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "·¹µå ºÎ½ºÅÍ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"·¹µå ºÎ½ºÅÍ 20°³¿Í 2011 RWC ½ºÅ©·Ñ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"Ã¼³» ¿¡³ÊÁö¸¦ È°¼ºÈ­ ÇÏ¿©, ÀüÅõ¸¦ º¸Á¶ÇØÁÖ´Â ·¹µå ºÎ½ºÅÍ. Ã¼·Â¿¡ ´Ù¼Ò ºÎ´ãÀÌ °¡´Ï ÁÖÀÇ ÇÏÀÚ.",
				"10ºÐ°£ ATK, MATK + 30, °ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄ µô·¹ÀÌ°¨¼Ò 5%), º¯µ¿ Ä³½ºÆÃ 5% °¨¼Ò, MaxHP, MaxSP - 10%.",
				"¹°¸®, ¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ÁýÁß·ÂÇâ»ó 3Lv ¹ßµ¿.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17155: {
			unidentifiedDisplayName: "°­È­ Ç³¸¶¼ö¸®°Ë »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ Ç³¸¶¼ö¸®°ËÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Ç³¸¶¼ö¸®°Ë.",
				"ÆÄ±«ºÒ°¡.",
				"Á¦·Ãµµ 1´ç ATK + 10 / MATK + 5, ¿ø°Å¸® ¹°¸® °ø°Ý·Â 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ç³¸¶ ¼ö¸®°Ë^000000 °ø°Ý : ^77777755^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "°­È­ Ç³¸¶¼ö¸®°Ë »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­È­ Ç³¸¶¼ö¸®°ËÀÌ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ Ç³¸¶¼ö¸®°Ë.",
				"ÆÄ±«ºÒ°¡.",
				"Á¦·Ãµµ 1´ç ATK + 10 / MATK + 5, ¿ø°Å¸® ¹°¸® °ø°Ý·Â 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Ç³¸¶ ¼ö¸®°Ë^000000 °ø°Ý : ^77777755^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777´ÑÀÚ°è¿­^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17159: {
			unidentifiedDisplayName: "ÀÌ¸§ º¯°æ Ä«µå »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä³¸¯ÅÍÀÇ ÀÌ¸§À» º¯°æÇÒ ¼ö ÀÖ´Â Ä«µå°¡ 1Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀÌ¸§ º¯°æ Ä«µå »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä³¸¯ÅÍÀÇ ÀÌ¸§À» º¯°æÇÒ ¼ö ÀÖ´Â Ä«µå°¡ 1Àå µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17160: {
			unidentifiedDisplayName: "ÀÌ¸§ º¯°æ Ä«µå »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä³¸¯ÅÍÀÇ ÀÌ¸§À» º¯°æÇÒ ¼ö ÀÖ´Â Ä«µå 1Àå°ú ½½·ÔÀÌµ¿Ä«µå 1ÀåÀÌ µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀÌ¸§ º¯°æ Ä«µå »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xbb\xa1\xb0\xad",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Ä³¸¯ÅÍÀÇ ÀÌ¸§À» º¯°æÇÒ ¼ö ÀÖ´Â Ä«µå 1Àå°ú ½½·ÔÀÌµ¿Ä«µå 1ÀåÀÌ µé¾îÀÖ´Â »óÀÚ.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17163: {
			unidentifiedDisplayName: "¹Ì½ºÆ½ ÆÄ¿ì´õ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹Ì½ºÆ½ ÆÄ¿ì´õ 30°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"»Ñ¸®¸é Àá½Ãµ¿¾È ¸öÀÌ ¸Å¿ì °¡º­¿öÁö´Â ½ÅºñÇÑ ÆÄ¿ì´õ.",
				"5ºÐ°£ FLEE + 20, LUK + 10.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹Ì½ºÆ½ ÆÄ¿ì´õ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹Ì½ºÆ½ ÆÄ¿ì´õ 30°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"»Ñ¸®¸é Àá½Ãµ¿¾È ¸öÀÌ ¸Å¿ì °¡º­¿öÁö´Â ½ÅºñÇÑ ÆÄ¿ì´õ.",
				"5ºÐ°£ FLEE + 20, LUK + 10.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17164: {
			unidentifiedDisplayName: "¹Ì½ºÆ½ ÆÄ¿ì´õ »óÀÚ",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹Ì½ºÆ½ ÆÄ¿ì´õ 30°³¿Í Å©·ç ½ºÅ©·Ñ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"»Ñ¸®¸é Àá½Ãµ¿¾È ¸öÀÌ ¸Å¿ì °¡º­¿öÁö´Â ½ÅºñÇÑ ÆÄ¿ì´õ.",
				"5ºÐ°£ FLEE + 20, LUK + 10.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¹Ì½ºÆ½ ÆÄ¿ì´õ »óÀÚ",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xba\xb8\xb6\xf3",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹Ì½ºÆ½ ÆÄ¿ì´õ 30°³¿Í Å©·ç ½ºÅ©·Ñ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"»Ñ¸®¸é Àá½Ãµ¿¾È ¸öÀÌ ¸Å¿ì °¡º­¿öÁö´Â ½ÅºñÇÑ ÆÄ¿ì´õ.",
				"5ºÐ°£ FLEE + 20, LUK + 10.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17166: {
			unidentifiedDisplayName: "¾ÆÅ© ¿£Á©¸µ ¸ðÀÚ »óÀÚ",
			unidentifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾ÆÅ© ¿£Á©¸µ¸ðÀÚ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¾ÆÅ©¿£Á©¸µÀ» º»µû ¸¸µç ¸»¶û¸»¶ûÇÑ ¸ðÀÚ.",
				"HPÈ¸º¹·Â 150% »ó½Â.",
				"Á¦·Ãµµ 1´ç MHP + 80¾¿ Áõ°¡.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777773^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¾ÆÅ© ¿£Á©¸µ ¸ðÀÚ »óÀÚ",
			identifiedResourceName: "\xc6\xf7\xb8\xb5\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¾ÆÅ© ¿£Á©¸µ¸ðÀÚ°¡ 1°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"¾ÆÅ©¿£Á©¸µÀ» º»µû ¸¸µç ¸»¶û¸»¶ûÇÑ ¸ðÀÚ.",
				"HPÈ¸º¹·Â 150% »ó½Â.",
				"Á¦·Ãµµ 1´ç MaxHP + 80¾¿ Áõ°¡.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777773^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17171: {
			unidentifiedDisplayName: "ÀüÅõ±³¹ü 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀüÅõ±³¹ü Ã¥ÀÌ µé¾îÀÖ´Â ¹Ú½º. 10±ÇÀÇ Ã¥ÀÌ µé¾îÀÖ´Ù. »óÀÚ ¶Ñ²±¿¡ ºñ¸ÅÇ° 3±ÇÀ» ´õ ºÙ¿© ³õÀº Æ¯º° ÆÐÅ°ÁöÀÌ´Ù.",
				"^ffffff_^000000",
				"ÀüÅõ±³¹ü Ã¥ - 30ºÐ°£ È¹µæÇÏ´Â °æÇèÄ¡°¡ 50% Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "ÀüÅõ±³¹ü 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"ÀüÅõ±³¹ü Ã¥ÀÌ µé¾îÀÖ´Â ¹Ú½º. 10±ÇÀÇ Ã¥ÀÌ µé¾îÀÖ´Ù. »óÀÚ ¶Ñ²±¿¡ ºñ¸ÅÇ° 3±ÇÀ» ´õ ºÙ¿© ³õÀº Æ¯º° ÆÐÅ°ÁöÀÌ´Ù.",
				"^ffffff_^000000",
				"ÀüÅõ±³¹ü Ã¥ - 30ºÐ°£ È¹µæÇÏ´Â °æÇèÄ¡°¡ 50% Áõ°¡ÇÑ´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"^ffffff_^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17172: {
			unidentifiedDisplayName: "JOB ÀüÅõ±³¹ü 10°³ »óÀÚ",
			unidentifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"JOB ÀüÅõ±³¹üÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. »óÀÚ ¶Ñ²±¿¡ ºñ¸ÅÇ° 3±ÇÀ» ´õ ºÙ¿© ³õÀº Æ¯º° ÆÐÅ°ÁöÀÌ´Ù.",
				"^ffffff_^000000",
				"»ç¿ëÇÏ¸é 30ºÐ°£ Àâ °æÇèÄ¡°¡ 25% Áõ°¡ÇÏ´Â ÀüÅõ±³¹ü. ÀüÅõ±³¹üÀÇ »õ·Î¿î ÁöÆòÀ» ¿­¾ú´Ù´Â ÆòÀ» ¹Þ°í ÀÖ´Ù.",
				"ÀüÅõ±³¹ü°ú Áßº¹ »ç¿ë °¡´É",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "JOB ÀüÅõ±³¹ü 10°³ »óÀÚ",
			identifiedResourceName: "\xbf\xc0\xb7\xa1\xb5\xc8\xba\xb8\xb6\xf3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"JOB ÀüÅõ±³¹üÀÌ 10°³ µé¾îÀÖ´Â »óÀÚ. »óÀÚ ¶Ñ²±¿¡ ºñ¸ÅÇ° 3±ÇÀ» ´õ ºÙ¿© ³õÀº Æ¯º° ÆÐÅ°ÁöÀÌ´Ù.",
				"^ffffff_^000000",
				"»ç¿ëÇÏ¸é 30ºÐ°£ Àâ °æÇèÄ¡°¡ 25% Áõ°¡ÇÏ´Â ÀüÅõ±³¹ü. ÀüÅõ±³¹üÀÇ »õ·Î¿î ÁöÆòÀ» ¿­¾ú´Ù´Â ÆòÀ» ¹Þ°í ÀÖ´Ù.",
				"ÀüÅõ±³¹ü°ú Áßº¹ »ç¿ë °¡´É",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17173: {
			unidentifiedDisplayName: "±Û·Î¹ú ¸ðÀÚ Æä½ºÆ¼¹ú »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼¼°è °¢Áö¸¦ µ¹¸ç ¼öÁýÇÑ ¸ðÀÚµéÀÌ ´ã°Ü ÀÖ´Â »óÀÚ.",
				"µ¿, ¼­¾çÀ» °¡¸®Áö ¾Ê´Â µ¶Æ¯ÇÑ ¸ðÀÚµéÀÌ µé¾î ÀÖ´Ù.",
				"¾î¶² ¸ðÀÚ¸¦ ¾ò°Ô µÉ Áö ¾Ë ¼ö ¾ø´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "±Û·Î¹ú ¸ðÀÚ Æä½ºÆ¼¹ú »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼¼°è °¢Áö¸¦ µ¹¸ç ¼öÁýÇÑ ¸ðÀÚµéÀÌ ´ã°Ü ÀÖ´Â »óÀÚ.",
				"µ¿, ¼­¾çÀ» °¡¸®Áö ¾Ê´Â µ¶Æ¯ÇÑ ¸ðÀÚµéÀÌ µé¾î ÀÖ´Ù.",
				"¾î¶² ¸ðÀÚ¸¦ ¾ò°Ô µÉ Áö ¾Ë ¼ö ¾ø´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17174: {
			unidentifiedDisplayName: "±Û·Î¹ú Æä½ºÆ¼¹ú 5°³ ÆÐÅ°Áö",
			unidentifiedResourceName: "\xbc\xd6\xb7\xce\xc0\xc7\xbc\xb1\xb9\xb0\xb9\xd9\xb1\xb8\xb4\xcf",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±Û·Î¹ú ¸ðÀÚ Æä½ºÆ¼¹ú »óÀÚ°¡ 5°³ µé¾îÀÖ´Â ÆÐÅ°Áö.",
				"µ¿, ¼­¾çÀ» °¡¸®Áö ¾Ê´Â µ¶Æ¯ÇÑ ¸ðÀÚµéÀÌ µé¾î ÀÖ´Ù.",
				"¾î¶² ¸ðÀÚ¸¦ ¾ò°Ô µÉ Áö ¾Ë ¼ö ¾ø´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "±Û·Î¹ú Æä½ºÆ¼¹ú 5°³ ÆÐÅ°Áö",
			identifiedResourceName: "\xbc\xd6\xb7\xce\xc0\xc7\xbc\xb1\xb9\xb0\xb9\xd9\xb1\xb8\xb4\xcf",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±Û·Î¹ú ¸ðÀÚ Æä½ºÆ¼¹ú »óÀÚ°¡ 5°³ µé¾îÀÖ´Â ÆÐÅ°Áö.",
				"µ¿, ¼­¾çÀ» °¡¸®Áö ¾Ê´Â µ¶Æ¯ÇÑ ¸ðÀÚµéÀÌ µé¾î ÀÖ´Ù.",
				"¾î¶² ¸ðÀÚ¸¦ ¾ò°Ô µÉ Áö ¾Ë ¼ö ¾ø´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17175: {
			unidentifiedDisplayName: "±Û·Î¹ú ¸ðÀÚ Æä½ºÆ¼¹ú »óÀÚ",
			unidentifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼¼°è °¢Áö¸¦ µ¹¸ç ¼öÁýÇÑ ¸ðÀÚµéÀÌ ´ã°Ü ÀÖ´Â »óÀÚ.",
				"µ¿, ¼­¾çÀ» °¡¸®Áö ¾Ê´Â µ¶Æ¯ÇÑ ¸ðÀÚµéÀÌ µé¾î ÀÖ´Ù.",
				"¾î¶² ¸ðÀÚ¸¦ ¾ò°Ô µÉ Áö ¾Ë ¼ö ¾ø´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀº ÆÐÅ°Áö »óÀÚ¸¦ °³ºÀÇÏ¿© ³ª¿Â ¾ÆÀÌÅÛÀÌ±â ¶§¹®¿¡ Ã»¾àÃ¶È¸ ¹× È¯ºÒ´ë»ó¿¡¼­ Á¦¿ÜµË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "±Û·Î¹ú ¸ðÀÚ Æä½ºÆ¼¹ú »óÀÚ",
			identifiedResourceName: "\xbc\xb1\xb9\xb0\xbb\xf3\xc0\xda\x5f\x32",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼¼°è °¢Áö¸¦ µ¹¸ç ¼öÁýÇÑ ¸ðÀÚµéÀÌ ´ã°Ü ÀÖ´Â »óÀÚ.",
				"µ¿, ¼­¾çÀ» °¡¸®Áö ¾Ê´Â µ¶Æ¯ÇÑ ¸ðÀÚµéÀÌ µé¾î ÀÖ´Ù.",
				"¾î¶² ¸ðÀÚ¸¦ ¾ò°Ô µÉ Áö ¾Ë ¼ö ¾ø´Ù.",
				"^ff0000º» ¾ÆÀÌÅÛÀº ÆÐÅ°Áö »óÀÚ¸¦ °³ºÀÇÏ¿© ³ª¿Â ¾ÆÀÌÅÛÀÌ±â ¶§¹®¿¡ Ã»¾àÃ¶È¸ ¹× È¯ºÒ´ë»ó¿¡¼­ Á¦¿ÜµË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17176: {
			unidentifiedDisplayName: "Å¾½Â¿ë °í»ß »óÀÚ[Ã¼ÇèÆÇ]",
			unidentifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Å¾½Â¿ë °í»ß°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 3ÀÏ°£ »ç¿ë°¡´É.",
				"^ffffff_^000000",
				"°¢ Á÷¾÷±º¿¡ ¾î¿ï¸®´Â Å» °ÍÀ¸·Î ¹«¾ùÀÌµç Å¾½Â °¡´ÉÇÑ ½ÅºñÇÑ °í»ß.",
				"°¢ Á÷¾÷°è¿­ º°·Î Å» °ÍÀÇ Á¾·ù°¡ ³ª´µ¾î ÀÖÀ¸¸ç, Àü½Â ¶Ç´Â ÀüÁ÷ ½Ã ÇØ´ç°è¿­¿¡ ¸Â´Â Å» °ÍÀ¸·Î ¹Ù²ò´Ï´Ù.",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Å¾½Â¿ë °í»ß »óÀÚ[Ã¼ÇèÆÇ]",
			identifiedResourceName: "\xb9\xf8\xc8\xa3\xbb\xf3\xc0\xda\x30\x31",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Å¾½Â¿ë °í»ß°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. 3ÀÏ°£ »ç¿ë°¡´É.",
				"^ffffff_^000000",
				"°¢ Á÷¾÷±º¿¡ ¾î¿ï¸®´Â Å» °ÍÀ¸·Î ¹«¾ùÀÌµç Å¾½Â °¡´ÉÇÑ ½ÅºñÇÑ °í»ß.",
				"°¢ Á÷¾÷°è¿­ º°·Î Å» °ÍÀÇ Á¾·ù°¡ ³ª´µ¾î ÀÖÀ¸¸ç, Àü½Â ¶Ç´Â ÀüÁ÷ ½Ã ÇØ´ç°è¿­¿¡ ¸Â´Â Å» °ÍÀ¸·Î ¹Ù²ò´Ï´Ù.",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17177: {
			unidentifiedDisplayName: "¸ðµë¿ä¸®»óÀÚ[Ã¼ÇèÆÇ]",
			unidentifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Çú¹Ù´Ú¿ä¸®, Ä¬Å×ÀÏ ¿ëÀÇ ¼û°á, ºÒ»çÀÇ Âî°³, »ç¸·Àü°¥ ¸ð·¡Âò, Èåº£¸£°Ö¹Ì¸£ÀÇ ¼ú, ±¸¹ÌÈ£ ²¿¸®¿ä¸®°¡ °¢°¢ 1°³¾¿ µé¾îÀÖ´Â ¿ä¸® Á¾ÇÕ ¼±¹°¼¼Æ®.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "¸ðµë¿ä¸®»óÀÚ[Ã¼ÇèÆÇ]",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Çú¹Ù´Ú¿ä¸®, Ä¬Å×ÀÏ ¿ëÀÇ ¼û°á, ºÒ»çÀÇ Âî°³, »ç¸·Àü°¥ ¸ð·¡Âò, Èåº£¸£°Ö¹Ì¸£ÀÇ ¼ú, ±¸¹ÌÈ£ ²¿¸®¿ä¸®°¡ °¢°¢ 1°³¾¿ µé¾îÀÖ´Â ¿ä¸® Á¾ÇÕ ¼±¹°¼¼Æ®.",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17178: {
			unidentifiedDisplayName: "½Å¹¦ÇÑ »ý¸í¼ö »óÀÚ(¾ðµ¥µå)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½Å¹¦ÇÑ »ý¸í¼ö°¡ 50°³¿Í ¾ðµ¥µåÀÇ ÇÙ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 3ÃÊ¸¶´Ù MHPÀÇ 4%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½Å¹¦ÇÑ »ý¸í¼ö »óÀÚ(¾ðµ¥µå)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½Å¹¦ÇÑ »ý¸í¼ö°¡ 50°³¿Í ¾ðµ¥µåÀÇ ÇÙ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 3ÃÊ¸¶´Ù MaxHPÀÇ 4%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17179: {
			unidentifiedDisplayName: "½Å¹¦ÇÑ »ý¸í¼ö 50°³ »óÀÚ",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½Å¹¦ÇÑ »ý¸í¼ö°¡ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 3ÃÊ¸¶´Ù MHPÀÇ 4%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½Å¹¦ÇÑ »ý¸í¼ö 50°³ »óÀÚ",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½Å¹¦ÇÑ »ý¸í¼ö°¡ 50°³ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 3ÃÊ¸¶´Ù MaxHPÀÇ 4%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17180: {
			unidentifiedDisplayName: "½Å¹¦ÇÑ »ý¸í¼ö »óÀÚ(¼Ò³à)",
			unidentifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½Å¹¦ÇÑ »ý¸í¼ö°¡ 50°³¿Í ¼Ò³àÀÇ ¸¶À½ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 3ÃÊ¸¶´Ù MHPÀÇ 4%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "½Å¹¦ÇÑ »ý¸í¼ö »óÀÚ(¼Ò³à)",
			identifiedResourceName: "\xc0\xc0\xb1\xde\xc3\xb3\xc4\xa1\xbb\xf3\xc0\xda",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"½Å¹¦ÇÑ »ý¸í¼ö°¡ 50°³¿Í ¼Ò³àÀÇ ¸¶À½ 1°³°¡ µé¾îÀÖ´Â »óÀÚ.",
				"^ffffff_^000000",
				"º¹¿ëÇÏ¸é 10ºÐ°£ 3ÃÊ¸¶´Ù MaxHPÀÇ 4%¸¦ È¸º¹ÇÑ´Ù.",
				"¹ö¼­Å© »óÅÂ¿¡¼­´Â È¿°ú°¡ ¹ßµ¿ÇÏÁö ¾Ê´Â´Ù.",
				"^000088Ä³¸¯ÅÍ°¡ ÀüÅõºÒ´É»óÅÂ°¡ µÇ¸é ¾ÆÀÌÅÛ È¿°úµµ »ç¶óÁý´Ï´Ù.^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17181: {
			unidentifiedDisplayName: "Getting Lucky Box",
			unidentifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			unidentifiedDescriptionName: [
				"The Getting Lucky Box contains many items of pure win.  It is advised to use with caution.",
				"Getting Lucky Box is not meant to be consumed internally.",
				"^FF0000This item cannot be traded, but may be stored.^000000",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Getting Lucky Box",
			identifiedResourceName: "\xc0\xbd\xbd\xc4\xba\xb8\xc0\xda\xb1\xe2",
			identifiedDescriptionName: [
				"The Getting Lucky Box contains many items of pure win. It is advised to use with caution.",
				"Getting Lucky Box is not meant to be consumed internally.",
				"^FFFFFF_^000000",
				"Opening this randomly give you one of the following item sets",
				"- 1x Heroic Desocketing Book",
				"- 1x Heroic Backpack",
				"- 1x Elephant Hat",
				"- 1x Scarlet Rose",
				"- 1x Koneko Hat",
				"- 1x Aquarius Crown",
				"- 1x Aquarius Diadem",
				"- 1x Heart Eyepatch",
				"- 1x Party Hard Pack",
				"- 1x Party Buff Scroll Pack",
				"- 1x +20 Basic Food Pack",
				"- 3x Battle Manual X3",
				"- 10x Mental Potion",
				"- 10x Spearman Scroll 10",
				"- 1500x Prize Medal",
				"^FFFFFF_^000000",
				"^FF0000This item cannot be traded, but may be stored.^000000",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17182: {
			unidentifiedDisplayName: "Å¸¶ôÃµ»çÀÇ ³¯°³ »óÀÚ",
			unidentifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Å¸¶ôÃµ»çÀÇ ³¯°³°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ¾ÆÀÌÅÛ¸ô¿¡ ÀÖ´Â \"´ÙÅ© ·çÈ÷¸£\" ¿¡°Ô ¹«·á·Î ÀÎÃ¦Æ®¸¦ ¹ÞÀ» ¼ö ÀÖ½À´Ï´Ù.",
				"^ffffff_^000000",
				"Å¸¶ôÃµ»çÀÇ Ä¿´Ù¶þ°í °ËÀº ³¯°³.",
				"All State + 1.",
				"¼ø¼ö STR 20 ´ç ATK + 1,",
				"¼ø¼ö INT 20 ´ç MATK + 1,",
				"¼ø¼ö VIT 20 ´ç ¹«¼Ó¼º °ø°Ý¿¡ ´ëÇÑ ³»¼º 1%,",
				"¼ø¼ö AGI 20 ´ç °ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄµô·¹ÀÌ 1% °¨¼Ò),",
				"¼ø¼ö DEX 20 ´ç ¿ø°Å¸® °ø°Ý·Â 1% Áõ°¡,",
				"¼ø¼ö LUK 20 ´ç Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 1% Áõ°¡.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000  ¹æ¾î : ^77777718^000000",
				"¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Å¸¶ôÃµ»çÀÇ ³¯°³ »óÀÚ",
			identifiedResourceName: "\xba\xb8\xb9\xb0\xbb\xf3\xc0\xda\x5f",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Å¸¶ôÃµ»çÀÇ ³¯°³°¡ 1°³ µé¾îÀÖ´Â »óÀÚ. ¾ÆÀÌÅÛ¸ô¿¡ ÀÖ´Â \"´ÙÅ© ·çÈ÷¸£\" ¿¡°Ô ¹«·á·Î ÀÎÃ¦Æ®¸¦ ¹ÞÀ» ¼ö ÀÖ½À´Ï´Ù.",
				"^ffffff_^000000",
				"Å¸¶ôÃµ»çÀÇ Ä¿´Ù¶þ°í °ËÀº ³¯°³.",
				"All State + 1.",
				"¼ø¼ö STR 20 ´ç ATK + 1,",
				"¼ø¼ö INT 20 ´ç MATK + 1,",
				"¼ø¼ö VIT 20 ´ç ¹«¼Ó¼º °ø°Ý¿¡ ´ëÇÑ ³»¼º 1%,",
				"¼ø¼ö AGI 20 ´ç °ø°Ý¼Óµµ Áõ°¡(°ø°Ý ÈÄµô·¹ÀÌ 1% °¨¼Ò),",
				"¼ø¼ö DEX 20 ´ç ¿ø°Å¸® °ø°Ý·Â 1% Áõ°¡,",
				"¼ø¼ö LUK 20 ´ç Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 1% Áõ°¡.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777718^000000",
				"¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17193: {
			unidentifiedDisplayName: "Á¦·Ã¿ë ±¤¼®»óÀÚ¥±",
			unidentifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³óÃà ¿¡¸£´½, ³óÃà ¿À¸®µ¥¿ÀÄÜÀÌ °¢°¢ 5°³¾¿ µé¾îÀÖ´Â »óÀÚ. ±³È²½ºÅ©·Ñµµ ¾òÀ» ¼ö ÀÖ´Ù.",
				"^ffffff_^000000",
				"³óÃà ¿¡¸£´½ - ¹æ¾î±¸ÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"³óÃà ¿À¸®µ¥¿ÀÄÜ - ¹«±âÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			identifiedDisplayName: "Á¦·Ã¿ë ±¤¼®»óÀÚ¥±",
			identifiedResourceName: "\xc4\xb3\xbd\xc3\xbb\xf3\xc0\xda\x5f\xb3\xeb\xb6\xfb",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"³óÃà ¿¡¸£´½, ³óÃà ¿À¸®µ¥¿ÀÄÜÀÌ °¢°¢ 5°³¾¿ µé¾îÀÖ´Â »óÀÚ. ±³È²½ºÅ©·Ñµµ ¾òÀ» ¼ö ÀÖ´Ù.",
				"^ffffff_^000000",
				"³óÃà ¿¡¸£´½ - ¹æ¾î±¸ÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"³óÃà ¿À¸®µ¥¿ÀÄÜ - ¹«±âÀÇ Á¦·ÃÈ®·üÀÌ Áõ°¡ÇÑ´Ù.",
				"^ffffff_^000000",
				"^ff0000º» ¾ÆÀÌÅÛÀ» °³ºÀÇÏ½Ã¸é Ã»¾àÃ¶È¸ ´ë»ó¿¡¼­ Á¦¿Ü µË´Ï´Ù.^000000",
				"¹«°Ô : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		17199: {
			unidentifiedDisplayName: "Spring Lucky Crate",
			unidentifiedResourceName: "\x73\x75\x6d\x6d\x65\x72\x5f\x70\x61\x63\x6b\x5f\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"A crate that contains ^0000CC6 Spring Lucky Boxes^000000 & ^0000CC1 Safe to 10 Certificate^000000",
				"^ff0000This item and the box inside is account bound.^000000",
				"Description:",
				"The Spring Lucky Box contains many items of pure win.  It is advised to use with caution.",
				"Spring Lucky Box is not meant to be consumed internally.",
				"^FFFFFF_^000000",
				"Opening this randomly give you one of the following item sets",
				"- 1x Heroic Desocketing Book",
				"- 1x Slotting Advertisement",
				"- 1x Party Hard Pack",
				"- 1x +20 Basic Food Pack",
				"- 1x Party Buff Scroll Pack",
				"- 1x Class Set Card Album",
				"- 2x Battle Manual X3",
				"- 10x Fencer Scroll",
				"- 30x KVM Badge",
				"- 1500x Prize Medal",
				"- 1x Archangel Wing",
				"- 1x Blue Tiger Mask",
				"- 1x Mini Glasses [1]",
				"- 1x Red Wing Hat [1]",
				"- 1x Taurus Crown",
				"- 1x Taurus Diadem",
				"- 1x Aries Crown",
				"- 1x Aries Diadem",
				"^FFFFFF_^000000",
				"^FF0000This item cannot be traded, but may be stored.^000000",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			identifiedDisplayName: "Spring Lucky Crate",
			identifiedResourceName: "\x73\x75\x6d\x6d\x65\x72\x5f\x70\x61\x63\x6b\x5f\x62\x6f\x78",
			identifiedDescriptionName: [
				"A crate that contains ^0000CC6 Spring Lucky Boxes^000000 & ^0000CC1 Safe to 10 Certificate^000000",
				"^ff0000This item and the box inside is account bound.^000000",
				"Description:",
				"The Spring Lucky Box contains many items of pure win. It is advised to use with caution.",
				"Spring Lucky Box is not meant to be consumed internally.",
				"^FFFFFF_^000000",
				"Opening this randomly give you one of the following item sets",
				"- 1x Heroic Desocketing Book",
				"- 1x Slotting Advertisement",
				"- 1x Party Hard Pack",
				"- 1x +20 Basic Food Pack",
				"- 1x Party Buff Scroll Pack",
				"- 1x Class Set Card Album",
				"- 2x Battle Manual X3",
				"- 10x Fencer Scroll",
				"- 30x KVM Badge",
				"- 1500x Prize Medal",
				"- 1x Archangel Wing",
				"- 1x Blue Tiger Mask",
				"- 1x Mini Glasses [1]",
				"- 1x Red Wing Hat [1]",
				"- 1x Taurus Crown",
				"- 1x Taurus Diadem",
				"- 1x Aries Crown",
				"- 1x Aries Diadem",
				"^FFFFFF_^000000",
				"^FF0000This item cannot be traded, but may be stored.^000000",
				"^FFFFFF_^000000",
				"Weight : ^7777771^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18000: {
			unidentifiedDisplayName: "Cannon Ball",
			unidentifiedResourceName: "\xc4\xb3\xb3\xed\xba\xbc",
			unidentifiedDescriptionName: [
				"Required item to use the Mechanic Magic gear skill \"Arm Cannon\".",
				"Class :^777777 Shell^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 1^000000",
			],
			identifiedDisplayName: "Cannon Ball",
			identifiedResourceName: "\xc4\xb3\xb3\xed\xba\xbc",
			identifiedDescriptionName: [
				"Required item to use the Mechanic Magic gear skill \"Arm Cannon\".",
				"Class :^777777 Shell^000000",
				"Attack :^777777 100^000000",
				"Weight :^777777 1^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18001: {
			unidentifiedDisplayName: "Holy Cannon Ball",
			unidentifiedResourceName: "\xc8\xa6\xb8\xae\xc4\xb3\xb3\xed\xba\xbc",
			unidentifiedDescriptionName: [
				"Required item to use the Mechanic Magic gear skill \"Arm Cannon\".",
				"Class :^777777 Shell^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Holy^000000",
			],
			identifiedDisplayName: "Holy Cannon Ball",
			identifiedResourceName: "\xc8\xa6\xb8\xae\xc4\xb3\xb3\xed\xba\xbc",
			identifiedDescriptionName: [
				"Required item to use the Mechanic Magic gear skill \"Arm Cannon\".",
				"Class :^777777 Shell^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Holy^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18002: {
			unidentifiedDisplayName: "Dark Cannon Ball",
			unidentifiedResourceName: "\xb4\xd9\xc5\xa9\xc4\xb3\xb3\xed\xba\xbc",
			unidentifiedDescriptionName: [
				"Required item to use the Mechanic Magic gear skill \"Arm Cannon\".",
				"Class :^777777 Shell^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Dark^000000",
			],
			identifiedDisplayName: "Dark Cannon Ball",
			identifiedResourceName: "\xb4\xd9\xc5\xa9\xc4\xb3\xb3\xed\xba\xbc",
			identifiedDescriptionName: [
				"Required item to use the Mechanic Magic gear skill \"Arm Cannon\".",
				"Class :^777777 Shell^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Dark^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18003: {
			unidentifiedDisplayName: "Soul Cannon Ball",
			unidentifiedResourceName: "\xbc\xd2\xbf\xef\xc4\xb3\xb3\xed\xba\xbc",
			unidentifiedDescriptionName: [
				"Required item to use the Mechanic Magic gear skill \"Arm Cannon\".",
				"Class :^777777 Shell^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Ghost^000000",
			],
			identifiedDisplayName: "Soul Cannon Ball",
			identifiedResourceName: "\xbc\xd2\xbf\xef\xc4\xb3\xb3\xed\xba\xbc",
			identifiedDescriptionName: [
				"Required item to use the Mechanic Magic gear skill \"Arm Cannon\".",
				"Class :^777777 Shell^000000",
				"Attack :^777777 120^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Ghost^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18004: {
			unidentifiedDisplayName: "Iron Cannon Ball",
			unidentifiedResourceName: "\xbe\xc6\xc0\xcc\xbe\xf0\xc4\xb3\xb3\xed\xba\xbc",
			unidentifiedDescriptionName: [
				"Required item to use the Mechanic Magic gear skill \"Arm Cannon\".",
				"Class :^777777 Shell^000000",
				"Attack :^777777 250^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Neutral^000000",
			],
			identifiedDisplayName: "Iron Cannon Ball",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbe\xf0\xc4\xb3\xb3\xed\xba\xbc",
			identifiedDescriptionName: [
				"Required item to use the Mechanic Magic gear skill \"Arm Cannon\".",
				"Class :^777777 Shell^000000",
				"Attack :^777777 250^000000",
				"Weight :^777777 1^000000",
				"Property :^777777 Neutral^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18100: {
			unidentifiedDisplayName: "Shooting Star",
			unidentifiedResourceName: "\xb7\xe7\xb5\xe5\xb6\xf3\xc0\xc7\xc8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Shooting Star",
			identifiedResourceName: "\xb7\xe7\xb5\xe5\xb6\xf3\xc0\xc7\xc8\xb0",
			identifiedDescriptionName: [
				"^000088Rental Items^000000",
				"...",
				"...",
				"...",
				"Class :^777777 Bow^000000",
				"Attack :^777777 190^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 4^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Hunter, Bard, Dancer^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		18101: {
			unidentifiedDisplayName: "Bow Of Rudra",
			unidentifiedResourceName: "\xb7\xe7\xb5\xe5\xb6\xf3\xc0\xc7\xc8\xb0",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rental Bow Of Rudra",
			identifiedResourceName: "\xb7\xe7\xb5\xe5\xb6\xf3\xc0\xc7\xc8\xb0",
			identifiedDescriptionName: [
				"^000088Rental Item^000000",
				"A bow imbued with the",
				"sacred essense of Rudra, one of the ancient gods.",
				"Adds 50% tolerance to the Poison, Curse, Silence,",
				"Chaos and Blind statuses. Enables the use of",
				"^008800Level 1 Heal^000000 and",
				"^008800Level 1 Cure^000000. INT + 5",
				"This item cannot be Dropped or Traded.",
				"Class : ^777777Bow^000000",
				"Attack: ^777777185^000000",
				"Weight : ^7777770^000000",
				"Property: ^777777Holy^000000",
				"Weapon Level: ^7777774^000000",
				"Required Level : ^7777771^000000",
				"Jobs: ^777777Archer Class;",
				"Rogue Job^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		18103: {
			unidentifiedDisplayName: "Bow",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mystic Bow",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xc6\xbd\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"A small bow infused with a mysterious power.",
				"Reduces the SP cost of Severe Rainstorm by 10 sp.",
				"INT + 4, MATK + 100.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 75^000000",
				"Weight :^777777 170^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 105^000000",
				"Applicable Job :^777777 3rd Job Archer Class^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		18106: {
			unidentifiedDisplayName: "Eden Group Bow3",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Bow3",
			identifiedResourceName: "\xc0\xbd\xc0\xaf\xbd\xc3\xc0\xce\xc0\xc7\xc8\xb0",
			identifiedDescriptionName: [
				"...",
				"Impossible to refine this item.",
				"Class :^777777 Bow^000000",
				"Attack :^777777 140^000000",
				"Weight :^777777 0^000000",
				"Weapon Level :^777777 3^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Archer Class, Rogue^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		18107: {
			unidentifiedDisplayName: "È°",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"½Ê°¢¸ñ ¹°¸ÂÀÌ°Ô°úÀÇ °©°¢·ù. ´Ù¸®°¡ ±æ¸ç ¼ö½ÉÀÌ ±íÀº ¹Ù´ÙÀÇ ¸ð·¡³ª ÁøÈë¼Ó¿¡ »ê´Ù.",
				"LUK + 3, Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 50% »ó½Â.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ¿ø°Å¸® ¹°¸® °ø°Ý·Â 20% Ãß°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­/µµµÏ/·Î±×°è¿­^000000",
			],
			identifiedDisplayName: "¸»¶û ´ë°Ô",
			identifiedResourceName: "\xb8\xbb\xb6\xfb\xb4\xeb\xb0\xd4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"½Ê°¢¸ñ ¹°¸ÂÀÌ°Ô°úÀÇ °©°¢·ù. ´Ù¸®°¡ ±æ¸ç ¼ö½ÉÀÌ ±íÀº ¹Ù´ÙÀÇ ¸ð·¡³ª ÁøÈë¼Ó¿¡ »ê´Ù.",
				"LUK + 3, Å©¸®Æ¼ÄÃ µ¥¹ÌÁö 50% »ó½Â.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ¿ø°Å¸® ¹°¸® °ø°Ý·Â 20% Ãß°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­/µµµÏ/·Î±×°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		18108: {
			unidentifiedDisplayName: "È°",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸»¶ûµµ ÇØ¾È¿¡ ³ªÅ¸³­´Ù´Â ¾ó·è¹«´Ì Àå¾î. Åº·ÂÀÖ´Âµ¥´Ù ¸öÀ» 1ÀÚ·Î ¼¼¿ì·Á´Â ¼ºÁúÀÌ ÀÖ¾î È°·Î ¾²ÀÌ°Ô µÇ¾ú´Ù.",
				"AGI + 3, ¿ø°Å¸® ¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 5ÃÊ°£ ASPD + 2.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ¿ø°Å¸® ¹°¸® °ø°Ý·Â 20% Ãß°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777180^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777ÇåÅÍ°è¿­/¹Ùµå°è¿­/´í¼­°è¿­^000000",
			],
			identifiedDisplayName: "¾ó·è¹«´ÌÀå¾î",
			identifiedResourceName: "\xbe\xf3\xb7\xe8\xb9\xab\xb4\xcc\xc0\xe5\xbe\xee",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¸»¶ûµµ ÇØ¾È¿¡ ³ªÅ¸³­´Ù´Â ¾ó·è¹«´Ì Àå¾î. Åº·ÂÀÖ´Âµ¥´Ù ¸öÀ» 1ÀÚ·Î ¼¼¿ì·Á´Â ¼ºÁúÀÌ ÀÖ¾î È°·Î ¾²ÀÌ°Ô µÇ¾ú´Ù.",
				"AGI + 3, ¿ø°Å¸® ¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î 5ÃÊ°£ ASPD + 2.",
				"º£ÀÌ½º ·¹º§ 100 ÀÌ»ó ½Ã ¿ø°Å¸® ¹°¸® °ø°Ý·Â 20% Ãß°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777180^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777771^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777ÇåÅÍ°è¿­/¹Ùµå°è¿­/´í¼­°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		18109: {
			unidentifiedDisplayName: "È°",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¿¬³ë",
			identifiedResourceName: "\xbf\xac\xb3\xeb",
			identifiedDescriptionName: [
				"µµµÏ±æµå¿¡¼­ °³¹ßÇÑ ¿©·¯¹ßÀÇ È­»ìÀ» µ¿½Ã¿¡ ¹ß»ç ¿ëÀÌÇÏµµ·Ï ¸¸µé¾îÁø È°.",
				"Á¦·ÃµµÀÇ 2¹è¸¸Å­ÀÇ Æ®¶óÀÌ¾Þ±Û¼¦ °ø°Ý·Â %Áõ°¡, ÇØ´ç½ºÅ³ÀÇ ¼Ò¸ðSPµµ Áõ°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777150^000000",
				"¹«°Ô : ^777777110^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777»õµµ¿ìÃ¼ÀÌ¼­^000000",
			],
			slotCount: 2,
			ClassNum: 11
		},

		18110: {
			unidentifiedDisplayName: "È°",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "´ëÇü Å©·Î½º º¸¿ì",
			identifiedResourceName: "\xb4\xeb\xc7\xfc\xc5\xa9\xb7\xce\xbd\xba\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"¿¬¼Ó »ç°Ý¿¡ Æ¯È­µÈ º¹ÀâÇÑ ±â°üÀÌ ¾ôÇôÀÖ´Â »ç¿ëÀÌ ±î´Ù·Î¿î È°.",
				"Á¦·ÃµµÀÇ 5¹è ¸¸Å­ ¾Ö·Î¿ì½ºÅè °ø°Ý·Â %Áõ°¡, ÇØ´ç ½ºÅ³ÀÇ ¼Ò¸ðSPµµ Áõ°¡, ¼ø¼ö AGI 120ÀÎ °æ¿ì ASPD + 1.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777160^000000",
				"¹«°Ô : ^77777790^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^777777110^000000",
				"ÀåÂø : ^777777·¹ÀÎÀú^000000",
			],
			slotCount: 2,
			ClassNum: 11
		},

		18111: {
			unidentifiedDisplayName: "È°",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Å©¸®ÆÛ º¸¿ì",
			identifiedResourceName: "\xc5\xa9\xb8\xae\xc6\xdb\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"¸¶°èÀÇ ´Ü´ÜÇÑ µ¢±¼ ÁÙ±â·Î ¸¸µç È°. °Å¹ÌÁÙ È­»ìÀ» »ç¿ëÇÏ¿© ÀûÀ» ¹­´Â ÈûÀÌ ÀÖ´Ù.",
				"DEX + 1, ¹°¸®°ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ¿ÀÅä½ºÆç ½ºÆÄÀÌ´õ À¥ 1Lv ¹ßµ¿.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777150^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^777777120^000000",
				"ÀåÂø : ^7777773Â÷ ±Ã¼ö°è¿­^000000",
			],
			slotCount: 2,
			ClassNum: 11
		},

		18112: {
			unidentifiedDisplayName: "È°",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°­È­ º¸¿ì",
			identifiedResourceName: "\xb0\xad\xc8\xad\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ È°.",
				"ÇåÅÍ °è¿­ÀÌ ÀåÂø ½Ã ATK + 20.",
				"Á¦·Ãµµ 1´ç ATK + 7 / ¿ø°Å¸® ¹°¸® °ø°Ý·Â 2% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^77777760^000000",
				"¹«°Ô : ^77777760^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		18113: {
			unidentifiedDisplayName: "È°",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë ¾Ë¹Ù·¹½ºÆ®",
			identifiedResourceName: "\xbe\xcb\xb9\xd9\xb7\xb9\xbd\xba\xc6\xae",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÀÌ ¹«±â´Â ÀÏ¹Ý °ø°Ý ½Ã ÀÚ½ÅÀÇ °ø°Ý·ÂÀ» ¹«½ÃÇÑ Ã¤, Å¸°Ý ÇÃ·¹ÀÌ¾îÀÇ SP¸¦ °íÁ¤ 4%¾¿ ¼Ò¸ê½ÃÅ²´Ù. (½ºÅ³°ø°Ý¿¡´Â ÇØ´ç ¿É¼ÇÀÌ ¹ßµ¿µÇÁö ¾Ê´Â´Ù.)",
				"ASPD - 5.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^777777110^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­/µµµÏ/·Î±×°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		18114: {
			unidentifiedDisplayName: "È°",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë Å©·Î½ºº¸¿ì",
			identifiedResourceName: "\xc5\xa9\xb7\xce\xbd\xba\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 30% Áõ°¡, ¹°¸® ¹æ¾î·Â 30% ¹«½Ã.",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·ÂÀº 1Á¦·Ã´ç 1%¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777110^000000",
				"¹«°Ô : ^777777110^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­/µµµÏ/·Î±×°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		18116: {
			unidentifiedDisplayName: "È°",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¸ÞÅ» º¸¿ì",
			identifiedResourceName: "\xb8\xde\xc5\xbb\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­Ã¶¿¡ ÇÁ¶óÄÜ°ú ¿¥º£¸£Å¸ÄÜÀ» Ã·°¡ÇÏ¿© ´É·ÂÀ» °­È­½ÃÅ² ±Ý¼ÓÀ¸·Î ÄÚÆÃÇÑ º¸¿ì",
				"ÇåÅÍ °è¿­ÀÌ ÀåÂø ½Ã ATK + 10.",
				"Á¦·Ãµµ 1´ç ATK + 3 / ¿ø°Å¸® ¹°¸® °ø°Ý·Â 1% Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 20ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"(Áõ°¡·®Àº BaseLv 120±îÁö Àû¿ë)",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^77777750^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 11
		},

		18118: {
			unidentifiedDisplayName: "È°",
			unidentifiedResourceName: "\xba\xb8\xbf\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º È°",
			identifiedResourceName: "\xba\xb8\xbf\xec",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ÀúÁÖ.",
				"°è¿­ : ^777777È°^000000 °ø°Ý : ^777777120^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777±Ã¼ö°è¿­/µµµÏ/·Î±×°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 11
		},

		18500: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÀ¿ø ½ºÄ«ÇÁ¥µ",
			identifiedResourceName: "\xb0\xbb\xbd\xba\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"Á¤°­ÀûÀÎ ´¡¿£´öÀÇ ÀÀ°ø°ë ²µÄ«ÇÁ.",
				"·ó²µÅÍ°¡¿Ô³­ È¶ºæ ¿æÇèÄ¡ 60% Áõ¿¡.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ»Ü^000000",
				"Weight : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø^000000",
			],
			slotCount: 0,
			ClassNum: 369
		},

		18501: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÀ¿ø ½ºÄ«ÇÁ¥·",
			identifiedResourceName: "\xb0\xbb\xbd\xba\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"Á¤°­ÀûÀÎ ´¡¿£´öÀÇ ÀÀ°ø°ë ²µÄ«ÇÁ.",
				"·ó²µÅÍ°¡¿Ô³­ È¶ºæ ¿æÇèÄ¡ 80% Áõ¿¡.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ»Ü^000000",
				"Weight : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø^000000",
			],
			slotCount: 0,
			ClassNum: 369
		},

		18502: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÀ¿ø ½ºÄ«ÇÁ¥¹",
			identifiedResourceName: "\xb0\xbb\xbd\xba\xc4\xab\xc7\xc1",
			identifiedDescriptionName: [
				"^000088ÀÓ»ë ±ÆÀÌÅÛ^000000",
				"Á¤°­ÀûÀÎ ´¡¿£´öÀÇ ÀÀ°ø°ë ²µÄ«ÇÁ.",
				"·ó²µÅÍ°¡¿Ô³­ È¶ºæ ¿æÇèÄ¡ 100% Áõ¿¡.",
				"^uu0000µ´ ±ÆÀÌÅÛÀµ ÀÌµ¥Æ® ¾â¿£ ÀÌÈÄ ´èÁ¦ºË»Ï»Ù.^000000",
				"¿è°­ : ^777777Åõ¾·^000000 ¶æ±î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ»Ü^000000",
				"Weight : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷±÷ ÀåÂø^000000",
			],
			slotCount: 0,
			ClassNum: 369
		},

		18503: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Small Devil Horns",
			identifiedResourceName: "\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb5\xa5\xba\xf4\xc8\xa5",
			identifiedDescriptionName: [
				"...",
				"ATK, MATK 5%.",
				"MaxHP, MaxSP + 10%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 2^000000",
				"Equipped on :^777777 Mid^000000",
				"Weight :^777777 10^000000",
				"Required Level :^777777 1^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 562
		},

		18504: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				""
			],
			identifiedDisplayName: "Anubis Hat",
			identifiedResourceName: "\xbe\xc6\xb4\xa9\xba\xf1\xbd\xba\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				""
			],
			slotCount: 0,
			ClassNum: 0
		},

		18505: {
			unidentifiedDisplayName: "Umbala Spirit",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Umbala Spirit",
			identifiedResourceName: "\xbf\xf2\xb9\xdf\xb6\xf3\xc0\xc7\xc8\xa5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¿ò¹ß¶ó ÁÖ¹ÎµéÀÌ ¾Ö¿ëÇÏ´Â ÇÇ¾î½Ì ¾Ç¼¼»ç¸®. °ÅÄ£ ÀÚ¿¬ÀÇ ¼¼°è¿¡¼­ »ì¾Æ°¡´Â ÀÌµéÀÇ È¥ÀÌ ´À²¸Áø´Ù.",
				"MaxHP + 1%.",
				"'°í±â'ÀÇ È¸º¹·ÂÀÌ 25% Áõ°¡.",
				"¸ó½ºÅÍ¸¦ ¾²·¯Æ®·ÈÀ» ½Ã ÀÏÁ¤È®·ü·Î '°í±â' µå·Ó.",
				"°ñµåPC¹æ¿¡¼­ ÀåÂø ½Ã All State + 1.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 675
		},

		18506: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÇÏÅ¸ ºí·¢",
			identifiedResourceName: "\xc7\xcf\xc5\xb8\xba\xed\xb7\xa2",
			identifiedDescriptionName: [
				"ºÎµå·¯¿î ½ÇÅ©·Î ¸¸µé¾îÁø °ÍÀ¸·Î ¾Æ¶ø¿¡¼­´Â ÁÖ·Î ¸Ó¸®¿¡ ¾´´Ù.",
				"MaxHP + 10%, MaxSP + 10%.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777»óÁßÇÏ´Ü ^000000 ¹«°Ô : ^777777400^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 676
		},

		18507: {
			unidentifiedDisplayName: "Elven Ears",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elven Ears",
			identifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"It's known to be made after elf's ear. You can have the feeling of elves playing around under the greenwood.",
				"Type : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Mid^000000 Weight : ^77777710^000000",
				"Required Level : ^77777770^000000",
				"Applicable Job : ^777777All jobs except Novice class^000000",
			],
			slotCount: 1,
			ClassNum: 73
		},

		18508: {
			unidentifiedDisplayName: "Garuda Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Garuda Hat",
			identifiedResourceName: "\xb0\xa1\xb7\xe7\xb4\xd9\xc7\xde",
			identifiedDescriptionName: [
				"A hat which is very unique and rare, made from the sheet of the legendary birds feather, Garuda.",
				"Reduces damage from all type of monster by 5%.",
				"LUK + 5, MDEF + 3, HIT + 10, Reduca casting delay by 5%.",
				"When upgrade more than 7, there's a certain chance to get Fruit of Mastela when attaking monsters. If refined more 1 lv, increase the chance by more 1%.",
				"Class : ^777777Headgear^000000 Defense : ^7777774^000000",
				"Location : ^777777Upper^000000 Weight : ^77777710^000000",
				"Required lv : ^77777730^000000",
				"Applicable Job : ^777777All jobs except Novices^000000",
			],
			slotCount: 1,
			ClassNum: 677
		},

		18509: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\x52\x57\x43\x32\x30\x31\x30\xc0\xce\xb5\xb5\xb3\xd7\xbd\xc3\xbe\xc6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "RWC 2010 Indonesia",
			identifiedResourceName: "\x52\x57\x43\x32\x30\x31\x30\xc0\xce\xb5\xb5\xb3\xd7\xbd\xc3\xbe\xc6",
			identifiedDescriptionName: [
				"A special cap with a neon sign above, dedicated to celebrating RWC 2010 in Indonesia.",
				"Increase resistance against human type monster by 10%, CRI + 10.",
				"Increase the healing effect of Red Potion and White Potion by 100%.",
				"LUK + 5, ASPD + 1, ATK, MATK + 3%.",
				"Class : ^777777Headgear^000000 Defense : ^7777776^000000",
				"Location : ^777777Upper^000000 Weight : ^77777710^000000",
				"Required lv : ^77777715^000000",
				"Applicable Job : ^777777 All jobs except Novices^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18510: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bloody Angel Wings",
			identifiedResourceName: "\xba\xed\xb7\xaf\xb5\xf0\xc3\xb5\xbb\xe7\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"These are the bloodstained wings of a fallen angel acquired from the Betrayal of Emperium event.",
				"Reduce 10% damage from Demi-humans.",
				"Can't be refined.",
				"Item Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location : ^777777Upper ^000000 Weight : ^7777770^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18511: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Bloody Angel Feathers",
			identifiedResourceName: "\xba\xed\xb7\xaf\xb5\xf0\xc3\xb5\xbb\xe7\xb3\xaf\xb0\xb3\xb1\xcd",
			identifiedDescriptionName: [
				"These are the bloodstained feathers of a fallen angel acquired from the Betrayal of Emperium event.",
				"When worn with Bloody Angel Wings: Increase damage to Angels by 3%, MaxHP +2%, MaxSP +1%",
				"Item Class : ^777777Headgear^000000 Defense : ^7777771^000000",
				"Location : ^777777Mid^000000 Weight : ^7777770^000000",
				"Required Level : ^77777760^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18513: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ºû³ª´Â ÇØ¹Ù¶ó±â",
			identifiedResourceName: "\xba\xfb\xb3\xaa\xb4\xc2\xc7\xd8\xb9\xd9\xb6\xf3\xb1\xe2",
			identifiedDescriptionName: [
				"¶ÝÂ¦¶ÝÂ¦ µûÀÌ¼ª¿Ô ºÈ ÇØ¶Ù¹ó¾â.",
				"OFP + 2.",
				"¶¿·® ¿ø¿ÝÀ´ ¶ÞÀ´ ²Ã ÀÏÁ¤È®¸ü¸Î ÀÎºà±î Oe1 ¶ßº°.",
				"¿è°­ : ^777777Åõ¾·^000000",
				"¶æ±î : ^7777770^000000",
				"À§Ä¡: ^777777´ó»Ü ^000000",
				"¶«¿Ô : ^77777730^000000",
				"°ä¾· ¸¶µ§ : ^7777770^000000",
				"ÀåÂø : ^777777¼ëµñ²µ·¦ Á¦°ÜÇÑ ÀüÁ÷±÷^000000",
			],
			slotCount: 0,
			ClassNum: 681
		},

		18514: {
			unidentifiedDisplayName: "Eden Group Hat II",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Eden Group Hat II",
			identifiedResourceName: "\xb3\xab\xbf\xf8\xb4\xdc\xb8\xf0\xc0\xda\x32",
			identifiedDescriptionName: [
				"A hat given only to members of the Paradise Group.",
				"It looks as though it was designed as part of a uniform.",
				"When dealing physical damage there's a high chance that for 5 seconds you will gain ATK + 10.",
				"When dealing magic damage there's a high chance that for 5 seconds you will gain MATK + 10.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 5^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 0^000000",
				"Required Level :^777777 60^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 682
		},

		18515: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"",
			],
			identifiedDisplayName: "RTC ¿ì½ÂÀÚ Åõ±¸",
			identifiedResourceName: "\x52\x54\x43\xbf\xec\xbd\xc2\xc0\xda\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"",
			],
			slotCount: 1,
			ClassNum: 683
		},

		18516: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"",
			],
			identifiedDisplayName: "RTC ÁØ¿ì½ÂÀÚ Åõ±¸",
			identifiedResourceName: "\x52\x54\x43\xc1\xd8\xbf\xec\xbd\xc2\xc0\xda\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"",
			],
			slotCount: 1,
			ClassNum: 684
		},

		18517: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"",
			],
			identifiedDisplayName: "RTC 3µî Åõ±¸",
			identifiedResourceName: "\x52\x54\x43\x33\xb5\xee\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"",
			],
			slotCount: 1,
			ClassNum: 685
		},

		18518: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angel Wing Ears",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xb3\xaf\xb0\xb3\xb1\xcd",
			identifiedDescriptionName: [
				"´«ºÎ½Ã°Ô »õÇÏ¾é°í ¾Æ¸§´Ù¿î Ãµ»ç³¯°³¸¦ º»µû ¸¸µç ±Í Àå½ÄÇ°. Âø¿ëÇÏ¸é ³¯°³¿¡¼­ ½ÅºñÇÑ ÈûÀ» ¾ò´Â °Í °°´Ù.",
				"STR + 1",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777773^000000",
				"À§Ä¡ : ^777777Áß´Ü^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸·¹º§ : ^77777770^000000",
				"ÀåÂø : ^777777¸ðµçÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 158
		},

		18519: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evil Wing Ears",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xb3\xaf\xb0\xb3\xb1\xcd",
			identifiedDescriptionName: [
				"±î¸¸ ³¯°³·Î ¸¸µç ±Í Àå½ÄÇ°À¸·Î ¾Ç¸¶ÀÇ °í°íÇÑ ±âÇ°°ú Ä«¸®½º¸¶°¡ ´À²¸Áø´Ù. Âø¿ëÇÏ¸é ³¯°³¿¡¼­ ½ÅºñÇÑ ÈûÀ» ¾ò´Â °Í °°´Ù.",
				"STR + 1",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777773^000000",
				"À§Ä¡ : ^777777Áß´Ü^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸·¹º§ : ^77777770^000000",
				"ÀåÂø : ^777777¸ðµçÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 152
		},

		18520: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Jaty Crown",
			identifiedResourceName: "\xc0\xda\xc6\xbc\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"...",
				"Reduces damage from Plant and Brute enemies by 5%.",
				"Increases damage to Plant and Brute enemies by 5%.",
				"Class :^777777 Headgear^000000",
				"Defense :^777777 1^000000",
				"Equipped on :^777777 Upper^000000",
				"Weight :^777777 10^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 686
		},

		18521: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lucky Clover",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xae\xb3\xd7\xc0\xd9\xc5\xac\xb7\xce\xb9\xf6",
			identifiedDescriptionName: [
				"a four leaf clover. you might feel green grass smell.",
				"you might have a luck soon.",
				"LUK + 1, MaxSP + 20.",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location: ^777777lower ^000000 Weight : ^77777710^000000",
				"Required Level : ^77777750^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18522: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Evil Marching Hat",
			identifiedResourceName: "\xbb\xe7\xbe\xc7\xc7\xd1\xb8\xb6\xc4\xaa\xc7\xde",
			identifiedDescriptionName: [
				"A dark marching hat worn by members of an undead band from Niffleheim.",
				"STR + 2. Attack +2% to all monsters.",
				"If refined to +7 or higher, Critical +10%.",
				"If refined to +9 or higher, the Attack and ranged attack damage increases by 5%.",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper^000000",
				"Defense: ^77777710^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 687
		},

		18525: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Watermelon Cap",
			identifiedResourceName: "\xbc\xf6\xb9\xda\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"¼ö¹ÚÀÇ °úÀ°À» ±ú²ýÇÏ°Ô ±Ü¾î ¸Ô°í ³²Àº ²®Áú. ´©±º°¡ ¸ÀÀ» º» ÈçÀûµµ ³²¾ÆÀÖ´Ù.",
				"VIT + 1, LUK + 1, MDEF + 4.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777774^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^77777730^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 690
		},

		18526: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¸ÀÀÖ´Â ·Ñ¸®ÆË",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xab\xb4\xc2\xb8\xb7\xb4\xeb\xbb\xe7\xc5\xc1",
			identifiedDescriptionName: [
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"½º½Â´Ôµµ ¸ð¸£´Â ½ÅºñÇÑ ÈûÀÌ ¼Ú¾Æ³­´Ù´Â ¼Ò¹®ÀÇ ·Ñ¸®ÆË.",
				"ATK + 5, MATK + 5, ASPD + 1, °íÁ¤Ä³½ºÆÃ 20%, Èú·® +5%.",
				"(°íÁ¤ Ä³½ºÆÃÀÇ % Áõ°¨ È¿°ú´Â °¡Àå Å« È¿°ú¸¸ Àû¿ëµË´Ï´Ù.)",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü^000000 ¹«°Ô : ^7777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
			],
			slotCount: 0,
			ClassNum: 446
		},

		18527: {
			unidentifiedDisplayName: "Gloomy Pumpkin Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gloomy Pumpkin Hat",
			identifiedResourceName: "\xc0\xbd\xc4\xa7\xc7\xd1\xc8\xa3\xb9\xda\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"There's something wavering in the eyes. Is it possible to wear in head?",
				"when killing monsters, get a pumpkin pie at the regular drop rate.",
				"During Event All State + 2, MDEF + 5, and",
				"Get bonus effect if it is equipped with Smile,Hahoe mask,Alarm mask, Phantom of opera.",
				"Class : ^777777Headgear^000000 Defense : ^7777775^000000",
				"location: ^777777upper ^000000 weight : ^77777750^000000",
				"required level : ^77777745^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 691
		},

		18528: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "´Ã¾îÁø °í¾çÀÌ Å©·ç",
			identifiedResourceName: "\xc5\xb8\xb7\xb9\xb3\xd7\xc4\xda\xc5\xa9\xb7\xe7",
			identifiedDescriptionName: [
				"·Î¸®·ç¸®ÀÇ ¾Ö¿Ïµ¿¹°ÀÎ 'Å©·ç'. ´Ù¼Ò ¿¹¹ÎÇØ¼­ »ç¼ÒÇÑ °Í¿¡µµ ±ôÂ¦ ³î¶ó´Â °æÇâÀÌ ÀÖ´Ù°í ÇÑ´Ù.",
				"INT + 2, MDEF + 5.",
				"¸¶¹ý ¹æ¾î·Â 5% ¹«½Ã. 1Á¦·Ã ´ç 1%ÀÇ ¸¶¹ý ¹æ¾î·Â Ãß°¡ ¹«½Ã.",
				"7Á¦·Ã ½Ã ¸¶¹ý ¹æ¾î·Â 5% Ãß°¡ ¹«½Ã. MATK + 2% Áõ°¡.",
				"9Á¦·Ã ½Ã MATK + 5% Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 692
		},

		18529: {
			unidentifiedDisplayName: "hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Drooping Wild Rose",
			identifiedResourceName: "\xbf\xcd\xc0\xcf\xb5\xe5\xb7\xce\xc1\xee\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Wild rose hat with rapid movement",
				"MaxHP - 10%, ASPD + 3%.",
				"With 'Fish in Mouth', Adds a chance to automatically cast [Greed]",
				"Class : ^777777Headgear^000000",
				"location: ^777777upper-mid ^000000",
				"Defense : ^7777775^000000",
				"Weight : ^77777750^000000",
				"Req Lev : ^77777730^000000",
				"Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18530: {
			unidentifiedDisplayName: "mask",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Tha Despero Mask",
			identifiedResourceName: "\xc5\xb8\xb3\xaa\xc5\xe4\xbd\xba\xc0\xc7\xc0\xfd\xb8\xc1\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"Desperate mask of thanatos,cute but evasion",
				"LUK - 5, FLEE + 4.",
				"Class : ^777777Headgear^000000",
				"location: ^777777Middle-low ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^77777710^000000",
				"Req Lev : ^77777730^000000",
				"Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18531: {
			unidentifiedDisplayName: "hat",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Drooping Permeter",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xc1\xf8\xc6\xdb\xb8\xd3\xc5\xcd",
			identifiedDescriptionName: [
				"A doll revived permeter turtle.",
				"increase Solider, permeter, freezer, assulter ,heater, turtle general damage 20%",
				"Class : ^777777head gear^000000 Defense : ^7777778^000000",
				"Location: ^777777Upper ^000000 Weight : ^777777100^000000",
				"Required Lv : ^77777710^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18532: {
			unidentifiedDisplayName: "Hairband",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unknown item requiring Appraisal. Can be identified by using a Magnifier.",
			],
			identifiedDisplayName: "Heart Ribbon Hairband",
			identifiedResourceName: "\xc7\xcf\xc6\xae\xb8\xae\xba\xbb\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A cute hairband with an outstanding blue-laced ribbon.",
				"INT + 2",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Location: ^777777Upper ^000000",
				"Weight : ^77777710^000000",
				"Required level : ^77777710^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18533: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Honeybee Hat",
			identifiedResourceName: "\xb2\xdc\xb9\xfa\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A hat looks like bee with unique stripe pattern.",
				"MDEF + 3.",
				"Increases Physical and magical damage to Insect type monsters by 5%",
				"Increases Resistance to Insect type monsters by 5%",
				"Class : ^777777Headgear^000000",
				"location: ^777777Upper ^000000",
				"Defense : ^7777773^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^77777750^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18534: {
			unidentifiedDisplayName: "Fancy Phantom Mask",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"undefined. Use magnifier",
			],
			identifiedDisplayName: "Fancy Phantom Mask",
			identifiedResourceName: "\xc8\xad\xb7\xc1\xc7\xd1\xc6\xd2\xc5\xd2\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"a colorful mask that hide owner's identification,",
				"there's a rumor that it make feel exciting when wears.",
				"STR + 1, ATK + 5%, Delay decrease 1% , refined will be MAXHP + 100 per 1",
				"Skill 'Mamer Night', 'Throwing money' will increase Damage 20% Áõ.",
				"Class : ^777777Headgear^000000 Defense : ^7777775^000000",
				"location: ^777777Upper mid ^000000 weight : ^777777100^000000",
				"Required Level : ^77777720^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18536: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°­¾ÆÁö Ç®",
			identifiedResourceName: "\xb0\xad\xbe\xc6\xc1\xf6\xc7\xae",
			identifiedDescriptionName: [
				"¹æ¶ûÇÏ´Â ³ª±×³×°¡ Ç®¹ç¿¡ ´©¿ö ÀÔ¿¡ ¹°°íÀÖ¾î¾ß ±×·²½ÎÇÑ ¾ÆÀÌÅÛ.",
				"MATK + 10, ¸ðµç °íÁ¤Ä³½ºÆÃ 0.1ÃÊ °¨¼Ò.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 711
		},

		18537: {
			unidentifiedDisplayName: "¸Ó¸®¶ì",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¸»¶ûµµ¸ðÀÚ",
			identifiedResourceName: "\xb8\xbb\xb6\xfb\xb5\xb5\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"¸»¶ûµµ Æ¯»ê ¸ðÀÚ. ´Ù¾çÇÑ »ö»óÀÌ ÁØºñµÇ¾î ÀÖ´Ù°í ÇÑ´Ù.",
				"FLEE + 6",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777775^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 726
		},

		18538: {
			unidentifiedDisplayName: "Spirit Whispers",
			unidentifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xbc\xd3\xbb\xe8\xc0\xd3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Spirit Whispers",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xbc\xd3\xbb\xe8\xc0\xd3",
			identifiedDescriptionName: [
				"once you have a mind to overcome sweet allure, can have power.",
				"MDEF + 3. attck endurance +1% from Evil type, Angel type monster attack",
				"can have Holy Water whe killing angel monster, and WaterOf Darkness from evil monster",
				"Class : ^777777Headgear^000000 DEF : ^7777773^000000",
				"location: ^777777Middle ^000000 weight : ^77777730^000000",
				"Required Level : ^7777770^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18539: {
			unidentifiedDisplayName: "Skull Cap",
			unidentifiedResourceName: "\xbd\xba\xc4\xc3\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Skull Cap",
			identifiedResourceName: "\xbd\xba\xc4\xc3\xc4\xb8",
			identifiedDescriptionName: [
				"a black cap with skull.",
				"MATK + 2%.",
				"if refined is over 5 ,add MATK + 3%, if refined is over 7 , add additional 3%.",
				"you can reduce consumption of skill sp 3% once using with Elven Ears .",
				"Class : ^777777Headgear^000000 Defense : ^7777775^000000",
				"Location: ^777777Upper ^000000 Weight : ^77777740^000000",
				"Required Level : ^77777710^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18540: {
			unidentifiedDisplayName: "Demon Mask",
			unidentifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xb0\xa1\xb8\xe9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Demon Mask",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"a mask used from a warrior which was called as Devil in Past.",
				"ASPD + 1%, every 2sec, SP -1.",
				"Class : ^777777Headgear^000000 DEF : ^7777773^000000",
				"location: ^777777Middle-low ^000000 weight : ^777777100^000000",
				"Required Level : ^77777710^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18541: {
			unidentifiedDisplayName: "Little Feather Hat",
			unidentifiedResourceName: "\xb8\xae\xc6\xb2\xc6\xe4\xb4\xf5\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Little Feather Hat",
			identifiedResourceName: "\xb8\xae\xc6\xb2\xc6\xe4\xb4\xf5\xc7\xde",
			identifiedDescriptionName: [
				"a hat for hunter or adventure .",
				"DEX + 2.",
				"increase critical damage 10% , addional damage 5% with sharp arrow, if hat refined is over 7, can have additional 5%.",
				"Class : ^777777head gear^000000 Defense : ^7777771^000000",
				"Location: ^777777Upper ^000000 Weight : ^77777750^000000",
				"Required Lv : ^77777730^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18542: {
			unidentifiedDisplayName: "Benevolent Guardian",
			unidentifiedResourceName: "\xb9\xda\xbe\xd6\xc0\xc7\xbc\xf6\xc8\xa3",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Benevolent Guardian",
			identifiedResourceName: "\xb9\xda\xbe\xd6\xc0\xc7\xbc\xf6\xc8\xa3",
			identifiedDescriptionName: [
				"coif for important event in Catherdral.",
				"increase recovery effect 5% .",
				"when using recovery kill to others, the effect increses 2% and if refined over 7 , can get additional 3%.",
				"Class : ^777777head gear^000000 Defense : ^77777710^000000",
				"Location: ^777777Upper-mid ^000000 Weight : ^77777750^000000",
				"Required Lv : ^77777710^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18549: {
			unidentifiedDisplayName: "hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Butterfly Hairpin",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xb8\xd3\xb8\xae\xc7\xc9",
			identifiedDescriptionName: [
				"a cute hairpin looks like blue butterfly.",
				"Class : ^777777head gear^000000 Defense : ^7777773^000000",
				"Location: ^777777Upper ^000000 Weight : ^77777720^000000",
				"Required Lv : ^77777720^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18550: {
			unidentifiedDisplayName: "Asgard Bless",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"The holy wing is gossiped about its godly power. ",
				"All State + 2.",
				"tolerance for all type of element by 5%.",
				"recover HP 2% and SP 1% in every 10 sec.",
				"class : ^777777headgear^000000 def : ^7777773^000000",
				"location: ^777777upper ^000000 Weight : ^77777730^000000",
				"Rq Lv : ^77777730^000000",
				"Job : ^777777All^000000",
			],
			identifiedDisplayName: "Asgard Bless",
			identifiedResourceName: "\xbe\xc6\xbd\xba\xb0\xa1\xb8\xa3\xb5\xe5\xc0\xc7\xc3\xe0\xba\xb9",
			identifiedDescriptionName: [
				"The holy wing is gossiped about its godly power.",
				"All State + 2.",
				"tolerance for all type of element by 5%.",
				"recover HP 2% and SP 1% in every 10 sec.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777773^000000",
				"location: ^777777upper ^000000 weight : ^77777730^000000",
				"Rq Lv : ^77777730^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18553: {
			unidentifiedDisplayName: "Mini Tree",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Christmas Tree Hat",
			identifiedResourceName: "\xb9\xcc\xb4\xcf\xc6\xae\xb8\xae",
			identifiedDescriptionName: [
				"¹ÝÂ¦¹ÝÂ¦ ºû³ª´Â ¹Ì´Ï Æ®¸®. º¸±â¸¸ ÇØµµ µÎ±Ù°Å¸°´Ù.",
				"¾ÏÈæ, ½ºÅÏ, ÀúÁÖ, È¥¶õ¿¡ ´ëÇÑ ³»¼º 20% Áõ°¡. ¸ó½ºÅÍ¸¦ ¾²·¯Æ®¸± ½Ã ÀÏÁ¤È®·ü·Î »çÅÁ, ¼±¹°»óÀÚ µå¶ø.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777775^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777775^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 727
		},

		18555: {
			unidentifiedDisplayName: "headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "General Helmet",
			identifiedResourceName: "\xc0\xe5\xb1\xba\xc0\xc7\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"a general's head gear who fight against dragons",
				"MDEF + 3.",
				"increase physical ,magic damage 5% to dragon type monster.",
				"increase registance 5%.",
				"can have treasure box at regular drop rate when hunting dragon monster.",
				"Class : ^777777head gear^000000 Defense : ^7777773^000000",
				"Location: ^777777Upper ^000000 Weight : ^77777720^000000",
				"Required Lv : ^77777710^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18556: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Angel's Symbol",
			identifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
				"^ff0000Cannot be traded with others^000000",
				"A glasses which proves the member of the Angel side.",
				"All State + 1.",
				"Able to receive the Hate Much in a certain rate from the messenger of the Devil.",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Mid ^000000 Weight : ^7777770^000000",
				"Req. Lv : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		18557: {
			unidentifiedDisplayName: "Glasses",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Devil's Symbol",
			identifiedResourceName: "\xbc\xb1\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
				"^ff0000Cannot be traded with others^000000",
				"A sunglasses which proves the member of the Devil side.",
				"All State + 1.",
				"Able to receive the Love Much in a certain rate from the messenger of the Angel.",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Mid ^000000 Weight : ^7777770^000000",
				"Req. Lv : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 12
		},

		18559: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÆÄºê´Ï¸£ ½ºÅ²",
			identifiedResourceName: "\xc6\xc4\xba\xea\xb4\xcf\xb8\xa3\xbd\xba\xc5\xb2",
			identifiedDescriptionName: [
				"¿µ¿õ ½Ã±×¸£Æ®¿¡°Ô Á×Àº ÆÄºê´Ï¸£ÀÇ °¡Á×À¸·Î ¸¸µé¾îÁø ³¯°³´Þ¸° ±Í. ÀúÁÖ¹ÞÀº Àç¹°¿¡ ´êÀº ºÎºÐÀ¸·Î ¸¸µé¾îÁ®, ¼ÒÀ¯ÇÑ ÀÚ¸¦ ±«·ÓÈù´Ù°í ÇÑ´Ù.",
				"CRI + 3.",
				"HP°¡ ÀÚµ¿È¸º¹ÇÏÁö ¾Ê´Â´Ù.",
				"ÆÄºê´Ï¸£ÀÇ ¸¶½ºÅ©¿Í ÇÔ²² ÀåºñÇÏ¸é Å©¸®Æ¼ÄÃ µ¥¹ÌÁö +5%.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777773^000000",
				"À§Ä¡ : ^777777Áß´Ü ^000000¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 152
		},

		18560: {
			unidentifiedDisplayName: "¸¶½ºÅ©",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÆÄºê´Ï¸£ÀÇ ¸¶½ºÅ©",
			identifiedResourceName: "\xc6\xc4\xba\xea\xb4\xcf\xb8\xa3\xc0\xc7\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"¿µ¿õ ½Ã±×¸£Æ®¿¡°Ô Á×Àº ÆÄºê´Ï¸£ÀÇ °¡Á×À¸·Î ¸¸µé¾îÁø ¸¶½ºÅ©. Çàº¹À» ´ã´çÇÏ´Â Àç¹°¿¡ ´êÀº ºÎºÐÀ¸·Î ¸¸µé¾îÁ® Çà¿îÀÌ ±êµç´Ù°í ÇÑ´Ù.",
				"CRI + 2.",
				"ÆÄºê´Ï¸£ÀÇ ½ºÅ²°ú ÇÔ²² ÀåºñÇÏ¸é Å©¸®Æ¼ÄÃ µ¥¹ÌÁö + 5%.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 180
		},

		18561: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"spectacles¡¦¡¦¡¦.",
			],
			identifiedDisplayName: "Black Feather Beret",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb1\xea\xc5\xd0\xba\xa3\xb7\xb9\xb8\xf0",
			identifiedDescriptionName: [
				"A noble High quality hat made of luxury black cloth. Wihite feather make it more gorgeous.",
				"reduce damage from human type monster 10%.",
				"VIT + 2, MDEF + 3.",
				"Class : ^777777Head-gear^000000 Defense : ^7777775^000000",
				"Location : ^777777Upper ^000000 Weight : ^77777730^000000",
				"Required Level : ^77777740^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18563: {
			unidentifiedDisplayName: "¸Ó¸®¶ì",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÇÏÆ®³¯°³ Çì¾î¹êµå",
			identifiedResourceName: "\xc7\xcf\xc6\xae\xb3\xaf\xb0\xb3\xc7\xec\xbe\xee\xb9\xea\xb5\xe5",
			identifiedDescriptionName: [
				"ÀÚ±×¸¶ÇÑ ÇÏÆ®¿¡ ³¯°³¿Í ·¹ÀÌ½º¸¦ Àå½ÄÇÑ ¼Ò³àÇ³ Çì¾î¹êµå.",
				"½ºÅ³ ÈÄ µô·¹ÀÌ 5% °¨¼Ò, ½ºÅ³ »ç¿ë ½Ã ¼Ò¸ðSP 10% °¨¼Ò. ½ºÅ³ ÈÄ µô·¹ÀÌ, ½ºÅ³ »ç¿ë ½Ã ¼Ò¸ðSP ¸ðµÎ 3Á¦·Ã´ç 3%¾¿ Ãß°¡ °¨¼Ò.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^77777750^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 733
		},

		18565: {
			unidentifiedDisplayName: "St Patrick's Hat",
			unidentifiedResourceName: "\xb7\xb9\xc7\xc1\xb8\xae\xc4\xc1\xc0\xc7\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "St Patrick's Hat",
			identifiedResourceName: "\xb7\xb9\xc7\xc1\xb8\xae\xc4\xc1\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A festive cap for helpful adventurers",
				"STR + 1, INT + 1, MDEF + 4.",
				"Random chance of Green_Ale item drop when refine level over +7.",
				"Class : ^777777HeadGear^000000 Defense : ^7777778^000000",
				"Position : ^777777Upper ^000000 Weight : ^77777730^000000",
				"Required LV : ^77777740^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18566: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "OTP µµ³Ó",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xae\xb3\xca\xc6\xae\xb5\xb5\xb3\xd3",
			identifiedDescriptionName: [
				"³ÊÆ®°¡ Ã·°¡µÇ¾î ´õ¿í °í¼ÒÇØÁø µµ³Ó! µû¶æÇÑ Â÷¿Í Àß ¾î¿ï¸°´Ù.",
				"ATK + 5, MATK + 5.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777771^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777Àü Á÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 736
		},

		18567: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "´Ã¾î³­ ÄÚ",
			identifiedResourceName: "\xb4\xc3\xbe\xee\xb3\xad\xc4\xda",
			identifiedDescriptionName: [
				"È¥ÀÌ ´ã±ä °ÅÁþ¸»À» ÅëÇØ Ç°°Ý°ú °¡Ä¡¸¦ ³ô¿©¿Â »ç¶÷ÀÇ ÄÚ¸¦ º»µû ¸¸µé¾ú´Ù. °ÅÁþ¸»ÀÇ ½ÅÀÌ¶ó ºÒ¸®´ø ³ª¹«Á¤·ÉÀÇ ÄÚ¶ó´Â ¼Ò¹®µµ ÀÖ´Ù.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 737
		},

		18570: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°í´ëÀÇ ±ÝÀå½Ä",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xc0\xc7\xb1\xdd\xc0\xe5\xbd\xc4",
			identifiedDescriptionName: [
				"°í´ë ¸¶·ÂÀÌ ±êµç È­·ÁÇÑ ±ÝÀå½Ä. »ç¿ëÀÚÀÇ Å¬·¡½º¿¡ ¸ÂÃß¾î ´É·ÂÀÌ º¯È­ÇÑ´Ù.",
				"º£ÀÌ½º·¹º§ 150ÀÎ °æ¿ì All State + 2.",
				"°Ë,»ó,µµ°è¿­ÀÏ °æ¿ì ATK + 8%, ¸¶,º¹°è¿­ÀÏ °æ¿ì MATK + 8%, »ç¿ëÇÏ´Â Èú·® 7%Áõ°¡, ±Ã¼ö°è¿­ÀÏ °æ¿ì DEX + 3, ¿ø°Å¸® ¹°¸®°ø°Ý·Â 10% Áõ°¡.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777777^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^77777740^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^7777773Â÷Á÷¾÷±ºÀü¿ë^000000",
			],
			slotCount: 1,
			ClassNum: 739
		},

		18572: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÆÇ°ü¸ðÀÚ",
			identifiedResourceName: "\xc6\xc7\xb0\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"¸í ÆÇ°üÀÌ ½è´Ù´Â ±× À¯¸íÇÑ ¸ðÀÚ.",
				"º¯µ¿ Ä³½ºÆÃ 6% °¨¼Ò, °ø°Ý¼Óµµ Áõ°¡ (°ø°Ý ÈÄ µô·¹ÀÌ 6%°¨¼Ò)",
				"7Á¦·Ã ½Ã ÀÎ°£Çü Àû¿¡°Ô µ¥¹ÌÁö 2% °¨¼Ò.",
				"MDEF + 2.",
				"°Ë»ç, »óÀÎ, µµµÏ, ¸ùÅ©, ÅÂ±Ç°è¿­ÀÎ °æ¿ì 2Á¦·Ã´ç ATK 1%¾¿ Áõ°¡.",
				"¸¶¹ý»ç, º¹»ç, ¼Ò¿ï¸µÄ¿, ´ÑÀÚ°è¿­ÀÎ °æ¿ì 2Á¦·Ã´ç MATK 1%¾¿ Áõ°¡.",
				"±Ã¼ö, °Ç½½¸µ°Å°è¿­ÀÎ °æ¿ì 1Á¦·Ã´ç ¿ø°Å¸® ¹°¸®°ø°Ý·Â 1%¾¿ Áõ°¡.",
				"[°ñµåPC¹æÀÎ °æ¿ì]",
				"All State + 1, ÀÎ°£Çü Àû¿¡°Ô µ¥¹ÌÁö 10% °¨¼Ò.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 377
		},

		18573: {
			unidentifiedDisplayName: "White Feather",
			unidentifiedResourceName: "\xc8\xad\xc0\xcc\xc6\xae\xc6\xe4\xb4\xf5",
			unidentifiedDescriptionName: [
				"A berret decorated with white feather.",
				"HIT + 20, MaxHP - 10%.",
				"If refined to 5 or higher , HIT - 10, MaxHP + 10%, addtional refine by 2 levels , HIT - 3, MaxHP + 3%.",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Upper ^000000",
				"Defense : ^7777772^000000",
				"Weight : ^77777750^000000",
				"Req level : ^77777730^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			identifiedDisplayName: "White Feather",
			identifiedResourceName: "\xc8\xad\xc0\xcc\xc6\xae\xc6\xe4\xb4\xf5",
			identifiedDescriptionName: [
				"A berret decorated with white feather.",
				"HIT + 20, MaxHP - 10%.",
				"If refined to 5 or higher , HIT - 10, MaxHP + 10%, addtional refine by 2 levels , HIT - 3, MaxHP + 3%.",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Upper ^000000",
				"Defense : ^7777772^000000",
				"Weight : ^77777750^000000",
				"Req level : ^77777730^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18574: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Lord of the Dead Helm",
			identifiedResourceName: "\xc1\xd7\xc0\xba\xc0\xda\xc0\xc7\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"The Helm of the Lord of Death",
				"MDEF + 5. All Stats + 1",
				"Increase Damage to Boss Type Monsters by 10%",
				"Take 5% more damage from normal Monsters and Players.",
				"For every upgrade 5 and higher add 1% more damage to Boss Class monsters.",
				"^99FF66Set Bonus^000000",
				"^00FF00Lord of the Dead Helm^000000",
				"^00FF00Abysmal Knight Card^000000",
				"Increase Damage to Boss Type Monster by additional 5%.",
				"If Lord of the Dead Helm +11 negates the damage from normal Monsters and Players.",
				"^ff0000The Abysmal Knight Card effect is only effective once.^000000",
				"Location: ^777777Upper Middle^000000",
				"Defense: ^77777710^000000",
				"Weight: ^777777100^000000",
				"Required Level: ^77777770^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 742
		},

		18575: {
			unidentifiedDisplayName: "Wunderkammer",
			unidentifiedResourceName: "\xba\xea\xb4\xd9\xc4\xad\xb8\xb6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Wunderkammer",
			identifiedResourceName: "\xba\xea\xb4\xd9\xc4\xad\xb8\xb6",
			identifiedDescriptionName: [
				"Suspicious box that has eyebrow",
				"MDEF + 10.",
				"When in close combat, a chance to auto cast a random skills.",
				"Cannot be refined.",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Upper-mid-low ^000000",
				"Defense : ^77777710^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^77777720^000000",
				"Applicable Job : ^777777All Jobs^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18576: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unknown Item, can be identified by [Magnifier]",
			],
			identifiedDisplayName: "Yin Yang Earrings",
			identifiedResourceName: "\xc5\xc2\xb1\xd8\xb1\xcd\xb0\xc9\xc0\xcc",
			identifiedDescriptionName: [
				"These large Earrings carry the balance between Yin and Yang.",
				"Increase Damage of Raging Quadruple Blow by 10%",
				"Increase Raging Trifecta Blow Damage by 5%",
				"Increase Damage of Raging Thrust by 5%",
				"Incrase Skill cost by 1 SP for Raging Quadruple Blow and Raging Thrust.",
				"^99FF66Set Bonus^000000",
				"^00FF00Yin Yang Earrings^000000",
				"^00FF00Hot-blooded Headband^000000",
				"Increase Damage of Raging Trifecta Blow and Raging Thrust by 5%.",
				"Increase Damage of Glacier Fist and Chain Crush Combo by 3%.",
				"Increases SP consumption of skills by 10 which reduces by 1 SP per refine level up to +10",
				"Location: ^777777Middle^000000",
				"Defense: ^7777770^000000",
				"Weight: ^77777710^000000",
				"Required Level: ^77777750^000000",
				"Jobs: ^777777All Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18579: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xda\xb7\xce\xb3\xdd",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "9ÁÖ³â ±â³ä ¸ðÀÚ",
			identifiedResourceName: "\x39\xc1\xd6\xb3\xe2\xb1\xe2\xb3\xe4\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"¼¼°èÅº»ý 9ÁÖ³âÀ» ±â³äÇÏ¿© ¸¸µé¾îÁ³´Ù.",
				"ÀçÁúÀÌ ¸Å¿ì °í±Þ½º·¯¿î ´À³¦ÀÌ´Ù.",
				"MDEF + 9.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^7777779^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 745
		},

		18580: {
			unidentifiedDisplayName: "Yggdrasil Crown",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Yggdrasil Crown",
			identifiedResourceName: "\xc0\xcc\xb1\xd7\xb5\xe5\xb6\xf3\xbd\xc7\xbf\xd5\xb0\xfc",
			identifiedDescriptionName: [
				"^ff0000Not available for trade.^000000",
				"A Crown woven from Yggdrasil's Branches which represents new life after a sacrifice.",
				"MDEF + 3,",
				"Increases the effectiveness of received healing 10%",
				"Increases the effectiveness of healing skills by 2%",
				"If refined by +7 or higher : +5% Healing effectiveness",
				"If refined by +9 or higher : +3% Healing effectiveness",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Upper ^000000",
				"Defense : ^7777773^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777771^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 746
		},

		18581: {
			unidentifiedDisplayName: "Red Tiger Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Tiger Mask",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xc5\xb8\xc0\xcc\xb0\xc5\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18582: {
			unidentifiedDisplayName: "Blue Tiger Mask",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blue Tiger Mask",
			identifiedResourceName: "\xc6\xc4\xb6\xf5\xc5\xb8\xc0\xcc\xb0\xc5\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A menacing blue Tiger's mask rumored to have belonged to a great warrior.",
				"STR + 3",
				"HP +100",
				"Cannot be refined",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Upper & Middle^000000",
				"Defense : ^7777772^000000",
				"Weight : ^77777740^000000",
				"Required Level : ^77777750^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18583: {
			unidentifiedDisplayName: "Navy Drooping Kitty",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"¸Ó¸®À§¿¡ ¾ñ°í ´Ù´Ò¼ö ÀÖµµ·Ï ¸¸µé¾îÁø ÀÎÇü. ¾îµð¼±°¡ °í¾çÀÌ ¿ïÀ½¼Ò¸®°¡ µé¸®°Å³ª ¸Ó¸®À§¿¡¼­ ¿òÁ÷ÀÓÀÌ ´À²¸Áö°Å³ª ÇÏ´Â°Ç ±âºÐÅ¿ÀÌ´Ù.",
				"MDEF + 15",
				"ÀúÁÖ¿¡ ´ëÇÑ ³»¼º 30%",
				"Class : ^777777Headgear^000000    Defense : ^7777773^000000",
				"Location : ^777777»ó´Ü^000000    Weight : ^77777750^000000",
				"Required Level : ^777777None^000000",
				"Jobs : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ All Jobs^000000",
			],
			identifiedDisplayName: "Navy Drooping Kitty",
			identifiedResourceName: "\xb3\xb2\xbb\xf6\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			identifiedDescriptionName: [
				"A lazy drooping blue kitty hat.",
				"MDEF + 15",
				"Adds 30% resistance to the Curse status.",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Upper^000000",
				"Defense : ^7777773^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18584: {
			unidentifiedDisplayName: "Brown Drooping Kitty",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"¸Ó¸®À§¿¡ ¾ñ°í ´Ù´Ò¼ö ÀÖµµ·Ï ¸¸µé¾îÁø ÀÎÇü. ¾îµð¼±°¡ °í¾çÀÌ ¿ïÀ½¼Ò¸®°¡ µé¸®°Å³ª ¸Ó¸®À§¿¡¼­ ¿òÁ÷ÀÓÀÌ ´À²¸Áö°Å³ª ÇÏ´Â°Ç ±âºÐÅ¿ÀÌ´Ù.",
				"MDEF + 15",
				"ÀúÁÖ¿¡ ´ëÇÑ ³»¼º 30%",
				"Class : ^777777Headgear^000000    Defense : ^7777773^000000",
				"Location : ^777777»ó´Ü^000000    Weight : ^77777750^000000",
				"Required Level : ^777777None^000000",
				"Jobs : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ All Jobs^000000",
			],
			identifiedDisplayName: "Brown Drooping Kitty",
			identifiedResourceName: "\xb0\xa5\xbb\xf6\xb4\xc3\xbe\xee\xc1\xf8\xb0\xed\xbe\xe7\xc0\xcc",
			identifiedDescriptionName: [
				"A lazy drooping brown kitty hat.",
				"MDEF + 15",
				"Adds 30% resistance to the Curse status.",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Upper^000000",
				"Defense : ^7777773^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777Every Job except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18585: {
			unidentifiedDisplayName: "hairband",
			unidentifiedResourceName: "\xbf\xc0\xb7\xbb\xc1\xf6\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Orange Bunny Band",
			identifiedResourceName: "\xbf\xc0\xb7\xbb\xc1\xf6\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hairband that attracts men.",
				"You can wear it when you want to look sexy.",
				"Your sexiness increases to 100%",
				"VIT + 3, INT + 2, STR + 1",
				"If refined to 9, increase ATK and MATK by 2%",
				"If refined to 12, reduce fix casting time by 10%",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper ^000000weight : ^7777771^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18586: {
			unidentifiedDisplayName: "hairband",
			unidentifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb7\xbf\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Violet Bunny Band",
			identifiedResourceName: "\xb9\xd9\xc0\xcc\xbf\xc3\xb7\xbf\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hairband that attracts men.",
				"You can wear it when you want to look sexy.",
				"Your sexiness increases to 100%",
				"VIT + 2, INT + 3, STR + 1",
				"If refined to 9, increase ATK and MATK by 2%",
				"If refined to 12, reduce fix casting time by 10%",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper ^000000weight : ^7777771^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18587: {
			unidentifiedDisplayName: "hairband",
			unidentifiedResourceName: "\xba\xed\xb7\xe7\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Blue Bunny Band",
			identifiedResourceName: "\xba\xed\xb7\xe7\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hairband that attracts men.",
				"You can wear it when you want to look sexy.",
				"Your sexiness increases to 100%",
				"VIT + 2, INT + 1, STR + 3.",
				"If refined to 9, increase ATK and MATK by 2%",
				"If refined to 12, reduce fix casting time by 10%",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper ^000000weight : ^7777771^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18588: {
			unidentifiedDisplayName: "hairband",
			unidentifiedResourceName: "\xbd\xc7\xb9\xf6\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Silvah Bunny Band",
			identifiedResourceName: "\xbd\xc7\xb9\xf6\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hairband that attracts men.",
				"You can wear it when you want to look sexy.",
				"Your sexiness increases to 100%",
				"VIT + 1, INT + 3, STR + 2",
				"If refined to 9, increase ATK and MATK by 2%",
				"If refined to 12, reduce fix casting time by 10%",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper ^000000weight : ^7777771^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18589: {
			unidentifiedDisplayName: "Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Strawberry Hat",
			identifiedResourceName: "\xb5\xfe\xb1\xe2\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A ripe strawberry shaped hat.",
				"Drops Strawberry at a certain rate when killing monsters.",
				"Increases the drop rate of Strawberry with each refine level and caps at level 10.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777775^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18590: {
			unidentifiedDisplayName: "hairband",
			unidentifiedResourceName: "\xb5\xce\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gemma Hairband",
			identifiedResourceName: "\xb7\xe9\xb8\xc5\xb5\xec\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A hairband made with gold string",
				"Decrease magic damage by 5% from Demon type monsters",
				"increase registance by 5% from Demon type monsters",
				"MDEF + 3.",
				"Class : ^777777Headgear^000000",
				"Location : ^777777upper ^000000",
				"Defense : ^7777773^000000",
				"Weight : ^77777720^000000",
				"Req Lev : ^77777710^000000",
				"Job : ^777777Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18591: {
			unidentifiedDisplayName: "Mini Glasses",
			unidentifiedResourceName: "\xb9\xcc\xb4\xcf\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mini Glasses",
			identifiedResourceName: "\xb9\xcc\xb4\xcf\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
				"Glasses worn by true sophisticates.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777772^000000",
				"Location : ^777777Middle^000000",
				"Weight : ^77777710^000000",
				"Jobs: ^777777Every Job except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18595: {
			unidentifiedDisplayName: "Ancient Horns",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Ancient Horns",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xc0\xce\xc0\xc7\xbb\xd4",
			identifiedDescriptionName: [
				"...",
				"If refined to +7 or higher, has a 1% chance of activating +100 attack for 10 seconds.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777778^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777740^000000",
				"Required Level : ^77777750^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 757
		},

		18596: {
			unidentifiedDisplayName: "Sprout Hat",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sprout Hat",
			identifiedResourceName: "\xbb\xf5\xbd\xcf\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"...",
				"Enables the use of Level 3 Heaven's Drive.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777774^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777770^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 758
		},

		18597: {
			unidentifiedDisplayName: "Mercury Riser",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Mercury_Riser",
			],
			identifiedDisplayName: "Mercury Riser",
			identifiedResourceName: "\xb8\xd3\xc5\xa5\xb8\xae\xc0\xc7\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"...",
				"Aspd +3%, Critical +3",
				"If refined to +7 or higher, Aspd +2% and Critical +2.",
				"If refined to +9 or higher, Aspd +2% and Critical +2.",
				"Class : ^777777Headgear^000000",
				"Defense : ^77777710^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777740^000000",
				"Required Level : ^77777770^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 759
		},

		18599: {
			unidentifiedDisplayName: "Black Devil's Mask",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Devil's Mask",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xbe\xc7\xb8\xb6\xc0\xc7\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A creepy shaped mask that covers half of face. it seems that has no difficulties on vision as it has hole on eye part.",
				"All State + 2.",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Middle ^000000Weight : ^77777710^000000",
				"Required Lv. : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 760
		},

		18600: {
			unidentifiedDisplayName: "Cat Ears Beret",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Cat Ear Beret",
			identifiedResourceName: "\xb0\xed\xbe\xe7\xc0\xcc\xb1\xcd\xba\xa3\xb7\xb9\xb8\xf0",
			identifiedDescriptionName: [
				"a cute beret that feels cat is wearing it because of its ear decoration.",
				"ATK + 5%.",
				"If it refined over 5, will give 1% bonus on physical attack to \"Human\" type and receive less damage from \"Human\" type.",
				"(This bonus would work up to +12, 7%)",
				"Class : ^777777Headgear^000000 Defense : ^7777775^000000",
				"Location : ^777777Upper ^000000Weight : ^77777730^000000",
				"Required Lv. : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 761
		},

		18601: {
			unidentifiedDisplayName: "Red Bread Hat",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Red Pom Band",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xbb\xa7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"cute girl style red bread hat.",
				"MATK + 5%, MDEF + 5.",
				"If it refined over 5, will give 1% bonus on magical attack to \"Human\" type and receive less damage from \"Human\" type.",
				"(This bonus would work up to +12, 7%)",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Upper ^000000Weight : ^77777730^000000",
				"Required Lv. : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 762
		},

		18602: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÇÑÀÔ ¼ö¹Ú",
			identifiedResourceName: "\xc7\xd1\xc0\xd4\xbc\xf6\xb9\xda",
			identifiedDescriptionName: [
				"ÇÑÀÔ¿¡ ¸Ô±â µü ÁÁ°Ô Àß·ÁÁø ¼ö¹Ú ÇÑÁ¶°¢.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^77777730^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 763
		},

		18603: {
			unidentifiedDisplayName: "Black Devil's Mask",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Devil's Mask",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xbe\xc7\xb8\xb6\xc0\xc7\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"A creepy shaped mask that covers half of face. it seems that has no difficulties on vision as it has hole on eye part.",
				"All State + 1.",
				"Class : ^777777Headgear^000000 Defense : ^7777770^000000",
				"Location : ^777777Middle ^000000Weight : ^77777710^000000",
				"Required Lv. : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 760
		},

		18607: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xb9\xdf\xb1\xd7\xb7\xb9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¹ß±×·¹",
			identifiedResourceName: "\xb9\xdf\xb1\xd7\xb7\xb9",
			identifiedDescriptionName: [
				"¾ÓÁõ¸Â¾Æ º¸ÀÌ°í ¿¬ÀÎ¿¡°Ô ±Í¿±°Ô º¸ÀÌ°í ½ÍÀ» °æ¿ì Âø¿ëÇÏÀÚ. ¹Ì¼Ò³à/¹Ì¼Ò³âµé¿¡°Ô´Â ÇÊ¼ö¶ó°í ÇØµµ °ú¾ðÀÌ ¾Æ´Ñ µí...",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777Áß´Ü^000000 ¹«°Ô : ^77777710^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
			],
			slotCount: 1,
			ClassNum: 125
		},

		18608: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "µÎ°³ÀÇ ÀÛÀº¸®º»",
			identifiedResourceName: "\xbe\xe7\xc2\xca\xb1\xcd\xb9\xd8\xb8\xae\xba\xbb",
			identifiedDescriptionName: [
				"»¡°£»öÀÌ Æ÷ÀÎÆ®ÀÎ ÀÛÀº ÇÑ½ÖÀÇ ¸®º»À¸·Î ¿©ÀÚ¾ÆÀÌµéÀ» ÇÑÃþ ´õ ±Í¿±°Ô ²Ù¸çÁØ´Ù.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777Áß´Ü^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸·¹º§ : ^77777745^000000",
				"ÀåÂø : ^777777¸ðµçÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 169
		},

		18609: {
			unidentifiedDisplayName: "¸Ó¸®¶ì",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°ËÀº ´«°¡¸®°³",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xb4\xab\xb0\xa1\xb8\xae\xb0\xb3",
			identifiedDescriptionName: [
				"¾îµÒÀÇ ´«°¡¸®°³. ¾ÏÈæÀÇ »öÀ¸·Î ÀÎÇØ ¿À·§µ¿¾È ¾²°í ÀÖÀ¸¸é ¿µ¿øÈ÷ ºûÀ» ÀÒÀ» °Í ¸¸ °°´Ù.",
				"°áÄÚ ¾ÏÈæ¿¡ °É¸®Áö ¾Ê´Â´Ù. ½ºÅÏ¿¡ ´ëÇÑ ³»¼º 2%.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777Áß´Ü^000000 ¹«°Ô : ^77777710^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­À» Á¦¿ÜÇÑ ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
			],
			slotCount: 1,
			ClassNum: 187
		},

		18611: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb0\xcb\xc0\xba\xbb\xd4\xc5\xd7\xbe\xc8\xb0\xe6",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Frame Glasses",
			identifiedResourceName: "\xb0\xcb\xc0\xba\xbb\xd4\xc5\xd7\xbe\xc8\xb0\xe6",
			identifiedDescriptionName: [
				"Dark-colored plastic framed glasses, great for looking retro and intelligent! INT + 1, MDEF +2.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777772^000000",
				"Location : ^777777Middle^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777770^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18612: {
			unidentifiedDisplayName: "White Musang Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "White Musang Hat",
			identifiedResourceName: "\xb9\xe9\xb9\xab\xbb\xf3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A headgear worn by a Warrior of a fighting order. These Warriors in White tend to be physical Combat Specialists.",
				"STR + 2, Vit +2, LUK + 1",
				"Cannot be Damaged",
				"Slot : ^7777771^000000",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper^000000",
				"Defense: ^7777773^000000",
				"Weight : ^77777740^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 770
		},

		18613: {
			unidentifiedDisplayName: "Black Musang Hat",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Black Musang Hat",
			identifiedResourceName: "\xc8\xe6\xb9\xab\xbb\xf3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A headgear worn by a teacher of a fighting order. These Warriors in Black tend to be Esoteric Combat Specialists.",
				"INT + 2, DEX + 2, AGI + 1",
				"Cannot be Damaged",
				"Slot : ^7777771^000000",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper^000000",
				"Defense: ^7777773^000000",
				"Weight : ^77777740^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 771
		},

		18614: {
			unidentifiedDisplayName: "Grim Reaper",
			unidentifiedResourceName: "\xc7\xd8\xb0\xf1\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Grim Reaper",
			identifiedResourceName: "\xc7\xd8\xb0\xf1\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"This Spooky mask of Death. You are too freaked out to put it actually over your face so for now you wear it as a hat.",
				"Adds +3 to Flee while worn.",
				"Slot : ^7777771^000000",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper^000000",
				"Defense: ^7777772^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777720^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18615: {
			unidentifiedDisplayName: "Inured Eyepatch",
			unidentifiedResourceName: "\xba\xce\xbb\xf3\xc0\xda\xc0\xc7\xbe\xc8\xb4\xeb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Inured Eyepatch",
			identifiedResourceName: "\xba\xce\xbb\xf3\xc0\xda\xc0\xc7\xbe\xc8\xb4\xeb",
			identifiedDescriptionName: [
				"Injured_Eyepatch",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Middle^000000",
				"Defense: ^7777772^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777720^000000",
				"Jobs: ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18616: {
			unidentifiedDisplayName: "Long Tongue",
			unidentifiedResourceName: "\xb1\xe4\xc7\xfa\xb9\xd9\xb4\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Long Tongue",
			identifiedResourceName: "\xb1\xe4\xc7\xfa\xb9\xd9\xb4\xda",
			identifiedDescriptionName: [
				"Your parents forgot to tell you that sticking your tongue out at people was rude, and this is the result. Sometimes you just gotta be you!",
				"Cannot be Damaged",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Lower^000000",
				"Defense: ^7777770^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777720^000000",
				"Jobs: ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18617: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xab\xb4\xc2\xc1\xd6\xb8\xd4\xb9\xe4",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Onigiri",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xab\xb4\xc2\xc1\xd6\xb8\xd4\xb9\xe4",
			identifiedDescriptionName: [
				"Onigiri is a delicacy found only on the island nation of Amatsu. Various flavors accentuate the slightly sweet rice.",
				"Increases damage inflicted and decreases damage taken from monsters in the Amatsu area by 5%.",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper^000000",
				"Defense: ^7777770^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777720^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18618: {
			unidentifiedDisplayName: "Elvis Hair",
			unidentifiedResourceName: "\xba\xf1\xc7\xe0\xb1\xe2\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Elvis Hair",
			identifiedResourceName: "\xba\xf1\xc7\xe0\xb1\xe2\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Look like a hunk o' burnin' love with this retro hairstyle wig.",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper^000000",
				"Defense: ^7777778^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777720^000000",
				"Jobs: ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18619: {
			unidentifiedDisplayName: "Thief Bandana",
			unidentifiedResourceName: "\xb5\xb5\xc0\xfb\xb5\xce\xb0\xc7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Thief Bandana",
			identifiedResourceName: "\xb5\xb5\xc0\xfb\xb5\xce\xb0\xc7",
			identifiedDescriptionName: [
				"A bandana that can be worn to disguise yourself one of the common folk.",
				"Has a chance of auto-casting Gank while physically attacking.",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper^000000",
				"Defense: ^7777771^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777720^000000",
				"Jobs: ^777777All Except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18620: {
			unidentifiedDisplayName: "Heart Eyepatch",
			unidentifiedResourceName: "\xc7\xcf\xc6\xae\xbe\xc8\xb4\xeb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Heart Eyepatch",
			identifiedResourceName: "\xc7\xcf\xc6\xae\xbe\xc8\xb4\xeb",
			identifiedDescriptionName: [
				"An eyepatch for those who would not like to look lovelier than a pirate.",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Middle^000000",
				"Defense: ^7777772^000000",
				"Weight : ^7777775^000000",
				"Required Level : ^77777720^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18621: {
			unidentifiedDisplayName: "Mobster's Disguise",
			unidentifiedResourceName: "\xbd\xc3\xc0\xa7\xbf\xeb\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Mobster's Disguise",
			identifiedResourceName: "\xbd\xc3\xc0\xa7\xbf\xeb\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"A gift given to you by Agent York which he retrieved from thugs in Geffen that used this mask to disguise themselves while committing crimes and extorting citizens.",
				"^ff0000From August 16-September 13 special effect: 15% chance to resist Silence, 1% chance to reflect targeted magic, and 15% bonus to EXP from monsters.",
				"Class : ^777777Headgear^000000",
				"Defense : ^7777770^000000",
				"Location : ^777777Upper^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^77777770^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18626: {
			unidentifiedDisplayName: "Gelato Hat",
			unidentifiedResourceName: "\xc1\xa9\xb6\xf3\xb6\xc7\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Gelato Hat",
			identifiedResourceName: "\xc1\xa9\xb6\xf3\xb6\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A delectable frozen treat served with a cherry on top.",
				"MaxHP +300",
				"Enables use of Level 1 Frost Driver",
				"If refined to +7 or higher, Enables use of level 5 Frost Driver",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper^000000",
				"Defense: ^7777772^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777720^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18630: {
			unidentifiedDisplayName: "Drooping Alicel",
			unidentifiedResourceName: "\xc7\xae\xc1\xd7\xc0\xba\xbf\xa4\xb8\xae\xbd\xba\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"A cute doll of a drooping Alicel from the Robot Factory.",
				"Increases damage to Demihuman monsters by 10%.",
				"If refined to +7 or higher, has a low chance of adding 100% Aspd for 7 seconds.",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper^000000",
				"Defense: ^7777776^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^77777770^000000",
				"Jobs: ^777777All except novice^000000",
			],
			identifiedDisplayName: "Drooping Alicel",
			identifiedResourceName: "\xc7\xae\xc1\xd7\xc0\xba\xbf\xa4\xb8\xae\xbd\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A cute doll of a drooping Alicel from the Robot Factory.",
				"Increases damage to Demihuman and Demon monsters by 10%.",
				"If refined to +7 or higher, has a low chance of adding 100% Aspd for 7 seconds.",
				"^FF0000Created by Allysia^000000",
				"^FFFFFF_^000000",
				"Class : ^777777Headgear^000000",
				"Location: ^777777Upper^000000",
				"Defense: ^7777776^000000",
				"Weight : ^77777750^000000",
				"Required Level : ^77777770^000000",
				"Jobs: ^777777All except novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18637: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°í´ëÀå±ºÀÇ Åõ±¸",
			identifiedResourceName: "\xc1\xdf\xc0\xe5\xba\xb8\xba\xb4\xc0\xc7\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"°í´ë ´ë·úÀ» È£·ÉÇÏ´ø ¿Õ±¹ÀÇ Àå±ºµéÀÌ »ç¿ëÇÏ´ø Åõ±¸. ÀÌ Åõ±¸¸¦ ¾²¸é ¼ö¸¹Àº º´»ç¸¦ È£·ÉÇÏ´Â Àå±ºÀÇ ±â»óÀÌ ¿Â¸ö¿¡¼­ ¿ë¼ÚÀ½ Ä£´Ù.",
				"STR + 2, VIT + 1.",
				"8Á¦·Ã ½Ã, ÀÌµ¿ ¼Óµµ°¡ Áõ°¡ÇÑ´Ù.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777774^000000",
				"À§Ä¡ : ^777777»óÁß´Ü ^000000¹«°Ô : ^77777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 660
		},

		18650: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "RWC¿ÜÄ¡´Â ÀÔ",
			identifiedResourceName: "\xba\xd0\xb3\xeb\xc0\xd4",
			identifiedDescriptionName: [
				"ÀÚ±âµµ ¸ð¸£°Ô 'RWC 2011 È­ÀÌÆÃ!!'ÀÌ¶ó°í ¿ÜÄ¡°Ô µÇ¹ö¸®´Â ÀÔ.",
				"¹°¸®, ¸¶¹ý °ø°Ý ½Ã ÀÏÁ¤È®·ü·Î ÀÀ¿ø ¹× ¿©·¯°¡Áö º¸Á¶È¿°ú°¡ ¹ßµ¿ÇÑ´Ù.",
				"RWC Á¾·á ÈÄ »èÁ¦.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000¹«°Ô : ^7777775^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 194
		},

		18656: {
			unidentifiedDisplayName: "Witch's Pumpkin Hat",
			unidentifiedResourceName: "\xb8\xb6\xb9\xfd\xbb\xe7\xc0\xc7\xb8\xf0\xc0\xda",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Witch's Pumpkin Hat",
			identifiedResourceName: "\xb8\xb6\xb3\xe0\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A dark, mysterious power of a Witch is in this hat. In contrast, shiny orange coloured pumpkin symbol makes the hat cute.",
				"STR + 2, INT + 2.",
				"Increase 15% of Magical Damage against Undead, Demon monsters. MDEF + 10.",
				"There are surprising options when worn with some other masks.",
				"^ff0000Will be deleted when the event is finished^000000",
				"Class : ^777777Headgear^000000 Defense : ^77777710^000000",
				"Location : ^777777Top ^000000Weight : ^77777730^000000",
				"Required Level : ^77777720^000000",
				"Job : ^777777All jobs^000000",
			],
			slotCount: 0,
			ClassNum: 717
		},

		18660: {
			unidentifiedDisplayName: "Hairpin",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Indian Feather Headband",
			identifiedResourceName: "\xc0\xce\xb5\xf0\xbe\xc8\xb1\xea\xc5\xd0\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A bling hair decorate that is used to wear from a certain tribe.",
				"AGI + 2",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Middle^000000",
				"Defense : ^7777773^000000",
				"Weight : ^77777740^000000",
				"Required Level : ^777777all^000000",
				"Applicable Job : ^777777Every Jobs except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18663: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Sunglasses Baseball Hat",
			identifiedResourceName: "\xbc\xb1\xb1\xdb\xb6\xf3\xbd\xba\xbe\xdf\xb1\xb8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"The hat is made with sunglasses, it will bring a cool look upon wear it.",
				"INT + 3.",
				"Series : ^777777Headgear^000000",
				"Location : ^777777Upper^000000",
				"Defense : ^7777772^000000",
				"Weight : ^77777720^000000",
				"Level Requirement : ^77777720^000000",
				"Job : ^777777All Job except Novice^000000",
			],
			slotCount: 1,
			ClassNum: 0
		},

		18670: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hankie In Mouth",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xab\xb4\xc2\xbc\xd5\xbc\xf6\xb0\xc7",
			identifiedDescriptionName: [
				"Biting the handkerchief with delicate and charming look.",
				"Damage from Demi-Human -3%.",
				"Series : ^777777Headgear^000000",
				"Location : ^777777Lower^000000",
				"Defense : ^7777771^000000",
				"Weight : ^77777710^000000",
				"Level Requirement : ^77777712^000000",
				"Job : ^777777All Job^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18671: {
			unidentifiedDisplayName: "Cap",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Rudolf Hairband",
			identifiedResourceName: "\xb7\xe7\xb5\xb9\xc7\xc1\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"A Christmas hairband. Rudolf's excited mind for christmas is dwelled on it.",
				"During event period, on close combat, user will have a chance to feel like running faster.",
				"Somehow, you will feel 'Carrot' is tasty on Christmas season.",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Upper ^000000",
				"Defense : ^7777775^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777730^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 836
		},

		18673: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "´Ã¾îÁø ±³È²¸ðÀÚ",
			identifiedResourceName: "\xc5\xb8\xb7\xb9\xb1\xb3\xc8\xb2\xc0\xce\xc7\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"ÀÎ±â ÀýÁ¤! ±³±¹ ¾Æ·ç³ªÆçÃ÷ÀÇ ±³È²À» º»µû ¸ðÀÚ·Î ¸¸µç Åõ±¸!",
				"MDEF + 7.",
				"Èú·® 5% Áõ°¡.",
				"7Á¦·Ã ½ÃºÎÅÍ 1Á¦·Ã´ç Èú·® 1%¾¿ Ãß°¡ Áõ°¡.",
				"9Á¦·Ã ½Ã MATK + 7% Ãß°¡ Áõ°¡.",
				"12Á¦·Ã ½Ã MATK + 5% Ãß°¡ Áõ°¡.",
				"¹ß±×·¹, ¹ß±×·¹[1] ¿Í ÇÔ²² ÀåÂø ½Ã, Èú·® 10% Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 817
		},

		18676: {
			unidentifiedDisplayName: "Glass",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Hexagon Spectacles",
			identifiedResourceName: "\xc0\xb0\xb0\xa2\xbe\xc8\xb0\xe6",
			identifiedDescriptionName: [
				"A unique glasses. You will be a fashion leader",
				"Flee + 2.",
				"Cannot be refined",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Middle^000000",
				"Defense : ^7777773^000000",
				"Weight : ^77777740^000000",
				"Required Level : ^77777720^000000",
				"Applicable Job : ^777777Every Jobs except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18679: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Abacus In Mouth",
			identifiedResourceName: "\xc0\xd4\xbf\xa1\xb9\xab\xb4\xc2\xc1\xd6\xc6\xc7",
			identifiedDescriptionName: [
				"A unique abacus.",
				"item check LV 1' available",
				"Cannot be refined",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Lower ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^77777720^000000",
				"Required Level : ^77777720^000000",
				"Applicable Job : ^777777Every Jobs except Novice^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18682: {
			unidentifiedDisplayName: "Accessory",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Teardrop",
			identifiedResourceName: "\xb4\xab\xb9\xb0",
			identifiedDescriptionName: [
				"An accessory attaching below eye",
				"Class : ^777777Headgear^000000",
				"Location : ^777777Middle ^000000",
				"Defense : ^7777771^000000",
				"Weight : ^77777710^000000",
				"Required Level : ^777777none^000000",
				"Applicable Job : ^777777Every Jobs^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18691: {
			unidentifiedDisplayName: "¸Ó¸®¶ì",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "½ÂÃµ ºí·¢ µå·¡°ï",
			identifiedResourceName: "\xbd\xc2\xc3\xb5\xba\xed\xb7\xa2\xb5\xe5\xb7\xa1\xb0\xef",
			identifiedDescriptionName: [
				"½ÂÃµÇÏ´Â Èæ·æÀ» º»µû ¸¸µç ¸ðÀÚ. Ãø¸éÀÏ ¶§°¡ °¡Àå ÈÇ¸¢ÇÏ°Ô º¸ÀÎ´Ù´Â Èæ·æÀÇ ÀÇÁö°¡ Àû¿ëµÈ Åõ±¸·Î, ´Ã Ãø¸é ¸ð½ÀÀÌ À¯ÁöµÇ¾î ÀÖ´Ù.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777773^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 863
		},

		18705: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÇÃ¸³ ¸ðÀÚ",
			identifiedResourceName: "\xc7\xc3\xb8\xb3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Æò¹üÇÑ ²ÉÀÌ¶ó°í º¸±â¿£ ²ÉÀÙÀ¸·Î ÈÄ·ÁÄ¡´Â ¼Óµµ°¡ ¸Å¼­¿î ¸ó½ºÅÍ, ÇÃ¸³À» º»µû ¸¸µç ¸ðÀÚ.",
				"LUK + 2, ¿ÏÀüÈ¸ÇÇ + 5.",
				"¹°¸®°ø°Ý ½Ã, ÀÏÁ¤È®·ü·Î 6ÃÊ°£ HIT+30, ³ôÀº È®·ü·Î ¼Ò´Ðºí·Î¿ì 10Lv ¹ßµ¿.",
				"¸¶¹ý°ø°Ý ½Ã, ÀÏÁ¤È®·ü·Î 6ÃÊ°£ °íÁ¤, º¯µ¿ Ä³½ºÆÃ ½Ã°£À» 30% °¨¼Ò.",
				"¹°¸®, ¸¶¹ý°ø°Ý ½ÃÀÇ ¹ßµ¿È®·üÀº Åõ±¸ÀÇ Á¦·Ãµµ¿¡ µû¶ó Áõ°¡ÇÑ´Ù.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777775^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 862
		},

		18730: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Å©¸®Åõ¶ó ÇÐ¿ø ¸ðÀÚ",
			identifiedResourceName: "\xc5\xa9\xb8\xae\xc5\xf5\xb6\xf3\xc7\xd0\xbf\xf8\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Çè³­ÇÑ ¸ðÇèÀÇ ¼¼°è¿¡ Ã¹ ¹ßÀ» ³»µó´Â ¾Ö¼ÛÀÌ ¸ðÇè°¡µé¿¡°Ô Áö±ÞµÇ´Â ¸ðÀÚ. »ß¾àÀÌ ¸ðÀÚ·Îµµ ºÒ¸°´Ù.",
				"MaxHP + 15, MaxSP + 5.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777772^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^77777720^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 1,
			ClassNum: 872
		},

		18731: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¹ßÅ°¸® ³ªµéÀÌ Åõ±¸",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¹ßÅ°¸®°¡ ¿ÜÃâÇÒ ¶§ ¾Ö¿ëÇÑ´Ù´Â ³ªµéÀÌ ¸ðÀÚ. ¾îÂ°¼­ÀÎÁö ÀüÅõ¿ë Åõ±¸¿Í º° Â÷ÀÌ°¡ ¾ø¾î º¸ÀÎ´Ù.",
				"All State + 1, °íÁ¤Ä³½ºÆÃ 1ÃÊ °¨¼Ò, ASPD + 1.",
				"\"^ff0000ÀÌº¥Æ® ±â°£ Á¾·á ÈÄ Åõ±¸¿¡ °É·ÁÀÖ´ø Á¤Ç°È¿°ú(Æ¯¼ö¿É¼Ç, ÀÌ¹ÌÁö µî)°¡ »ç¶óÁý´Ï´Ù.^000000\"",
				"Á¦·ÃºÒ°¡.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		18732: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º Ä¸",
			identifiedResourceName: "\xc4\xb8",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MDEF + 5.",
				"¡Ø TE °ø¼ºÁö¿ª Ãß°¡ ¿É¼Ç",
				"ATK + 5, MATK + 5.",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸®/¸¶¹ý °ø°Ý·Â 10% Áõ°¡.",
				"µ¿ºù¿¡ ´ëÇÑ ³»¼º 25% Áõ°¡.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777775^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 14
		},

		18733: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º º»Çï¸§",
			identifiedResourceName: "\xba\xbb\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼ºÁö¿ª Ãß°¡ ¿É¼Ç",
				"ATK + 10.",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 20% Áõ°¡.",
				"µ¿ºù¿¡ ´ëÇÑ ³»¼º 25% Áõ°¡.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^77777710^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 40
		},

		18734: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¸ÅÁ÷¾ÆÀÌÁî",
			identifiedResourceName: "\xb8\xc5\xc1\xf7\xbe\xc6\xc0\xcc\xc1\xee",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MDEF + 5.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"MATK + 10.",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¸¶¹ý °ø°Ý·Â 20% Áõ°¡.",
				"µ¿ºù¿¡ ´ëÇÑ ³»¼º 25% Áõ°¡.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777775^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­/¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			slotCount: 0,
			ClassNum: 209
		},

		18736: {
			unidentifiedDisplayName: "¾×¼¼»ç¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÍ¸í¿äÃ»",
			identifiedResourceName: "\xc0\xcd\xb8\xed\xbf\xe4\xc3\xbb",
			identifiedDescriptionName: [
				"´«ÀÌ °ËÀº ¸ðÀÚÀÌÅ©Ã³¸®°¡ µÇ¾î ´©±¸ÀÎÁö ÀüÇô ¾Ë ¼ö°¡ ¾ø´Ù.",
				"°è¿­ : ^777777Åõ±¸^000000 ¹æ¾î : ^7777770^000000",
				"À§Ä¡ : ^777777Áß´Ü^000000 ¹«°Ô : ^77777710^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷ ÀåÂø°¡´É^000000",
			],
			slotCount: 0,
			ClassNum: 229
		},

		19500: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
			],
			identifiedDisplayName: "T½º¸¶ÀÏ",
			identifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			identifiedDescriptionName: [
			],
			slotCount: 0,
			ClassNum: 65
		},

		19501: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
			],
			identifiedDisplayName: "T½ºÇÎÅ©½º ¸ðÀÚ",
			identifiedResourceName: "\xbd\xba\xc7\xce\xc5\xa9\xbd\xba\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
			],
			slotCount: 0,
			ClassNum: 137
		},

		19502: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
			],
			identifiedDisplayName: "T°í±Û",
			identifiedResourceName: "\xb0\xed\xb1\xdb",
			identifiedDescriptionName: [
			],
			slotCount: 0,
			ClassNum: 1
		},

		19503: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
			],
			identifiedDisplayName: "Majestic Devil",
			identifiedResourceName: "\xb9\xab\xb3\xab\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
			],
			slotCount: 0,
			ClassNum: 51
		},

		19504: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb1\xdb\xb7\xa1\xbd\xba",
			unidentifiedDescriptionName: [
			],
			identifiedDisplayName: "T¼±±Û·¡½º",
			identifiedResourceName: "\xbc\xb1\xb1\xdb\xb7\xa1\xbd\xba",
			identifiedDescriptionName: [
			],
			slotCount: 0,
			ClassNum: 12
		},

		19505: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
			],
			identifiedDisplayName: "T´ã¹è",
			identifiedResourceName: "\xb4\xe3\xb9\xe8",
			identifiedDescriptionName: [
			],
			slotCount: 0,
			ClassNum: 54
		},

		19506: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
			],
			identifiedDisplayName: "T¹ßÅ°¸® ±êÅÐ ¸ðÀÚ",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xb1\xea\xc5\xd0\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
			],
			slotCount: 0,
			ClassNum: 300
		},

		19507: {
			unidentifiedDisplayName: "Costume: Shining Sun",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Shining Sun",
			identifiedResourceName: "\xba\xd2\xc5\xb8\xb4\xc2\xc5\xc2\xbe\xe7",
			identifiedDescriptionName: [
				"A brightly shining sun that floats above your head.",
				"^ff0000This item is account bound^000000",
				"Class : ^777777Costume^000000",
				"Location: ^777777Upper ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 654
		},

		19508: {
			unidentifiedDisplayName: "Headgear",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"",
			],
			identifiedDisplayName: "TÁê¾ó Çï¸§",
			identifiedResourceName: "\xc1\xea\xbe\xf3\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"",
			],
			slotCount: 0,
			ClassNum: 0
		},

		19509: {
			unidentifiedDisplayName: "Costume: Butterfly Ears",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Butterfly Ears",
			identifiedResourceName: "\xb3\xaa\xba\xf1\xb3\xaf\xb0\xb3\xb1\xcd",
			identifiedDescriptionName: [
				"Have the appearance of wearing the wings of a butterfly as your ears with this accessory.",
				"^ff0000This item is account bound^000000",
				"Class : ^777777Costume^000000",
				"Location: ^777777Middle^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 695
		},

		19510: {
			unidentifiedDisplayName: "Costume: Bolt Ears",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Bolt Ears",
			identifiedResourceName: "\xb8\xd3\xb8\xae\xb9\xda\xc8\xf9\xb3\xaa\xbb\xe7",
			identifiedDescriptionName: [
				"You can look like you just rolled off the assembly line with these bolt-on ear accessories.",
				"^ff0000This item is account bound^000000",
				"Class : ^777777Costume^000000",
				"Location: ^777777Middle^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job : ^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 696
		},

		19511: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÆÄ¶õ ÇÏÆ®´« ¾È´ë",
			identifiedResourceName: "\xc7\xcf\xc6\xae\xb4\xab\xbe\xc8\xb4\xeb\x31",
			identifiedDescriptionName: [
				"ÀÛÀº ÇÏÆ®¹«´Ì ÀÚ¼ö°¡ µé¾îÀÖ´Â ÆÄ¶õ»ö ÆÐ¼Ç ¾È´ë.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777Áß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 697
		},

		19512: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ºÐÈ« ÇÏÆ®´« ¾È´ë",
			identifiedResourceName: "\xc7\xcf\xc6\xae\xb4\xab\xbe\xc8\xb4\xeb\x32",
			identifiedDescriptionName: [
				"ÀÛÀº ÇÏÆ®¹«´Ì ÀÚ¼ö°¡ µé¾îÀÖ´Â ºÐÈ«»ö ÆÐ¼Ç ¾È´ë.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777Áß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 698
		},

		19513: {
			unidentifiedDisplayName: "Costume: Chicken Beak",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Chicken Beak",
			identifiedResourceName: "\xb4\xdf\xba\xce\xb8\xae",
			identifiedDescriptionName: [
				"A simple bird beak. Wearing this won't make you less fearful of things.",
				"^ff0000This item is account bound^000000",
				"Class : ^777777Lower^000000",
				"Location: ^777777Lower ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 699
		},

		19514: {
			unidentifiedDisplayName: "Costume: Old Timey Mustache",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Old Timey Mustache",
			identifiedResourceName: "\xc2\xfb\xb8\xae\xc0\xc7\xbc\xf6\xbf\xb0",
			identifiedDescriptionName: [
				"A neatly trimmed mustache reminiscent of the style worn by an 'Old Timey' actor from the past.",
				"^ff0000This item is account bound^000000",
				"Class : ^777777Costume^000000",
				"Location: ^777777Lower ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 700
		},

		19515: {
			unidentifiedDisplayName: "Costume: Yellow Hat",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Yellow Hat",
			identifiedResourceName: "\xb3\xeb\xb6\xf5\xc7\xde",
			identifiedDescriptionName: [
				"A simple yellow hat with a long feather in it. Fashionistas wear it to the side lest they be shunned.",
				"^ff0000This item is account bound^000000",
				"Class : ^777777Costume^000000",
				"Location: ^777777Lower ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 701
		},

		19516: {
			unidentifiedDisplayName: "Costume: Singing Bird",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Singing Bird",
			identifiedResourceName: "\xb3\xeb\xb7\xa1\xc7\xcf\xb4\xc2\xbb\xf5",
			identifiedDescriptionName: [
				"A newly hatched baby bird chirps it's tunes on a twig of dreams.",
				"^ff0000This item is account bound^000000",
				"Class : ^777777Costume^000000",
				"Location: ^777777Upper ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 702
		},

		19517: {
			unidentifiedDisplayName: "Costume: Rooster's Comb",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Rooster's Comb",
			identifiedResourceName: "\xb4\xdf\xba\xad\xbd\xbd",
			identifiedDescriptionName: [
				"A roosters dignified comb. But don't be fooled while wearing this or the yolk's on you!",
				"^ff0000This item is account bound^000000",
				"Class : ^777777Costume^000000",
				"Location: ^777777Upper ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 703
		},

		19518: {
			unidentifiedDisplayName: "Costume: Rainbow",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Rainbow",
			identifiedResourceName: "\xb9\xab\xc1\xf6\xb0\xb3",
			identifiedDescriptionName: [
				"Share your happiness with others with this brightly colored rainbow.",
				"^ff0000This item is account bound^000000",
				"Class : ^777777Costume^000000",
				"Location: ^777777Upper ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 704
		},

		19519: {
			unidentifiedDisplayName: "Costume: Lightning Cloud",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Lightning Cloud",
			identifiedResourceName: "\xba\xad\xb6\xf4\xb1\xb8\xb8\xa7",
			identifiedDescriptionName: [
				"A dark thunder cloud that rivals the bolts created by Thor... well maybe not.",
				"^ff0000This item is account bound^000000",
				"Class : ^777777Costume^000000",
				"Location: ^777777Upper ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 688
		},

		19520: {
			unidentifiedDisplayName: "Costume: Rain Cloud",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Rain Cloud",
			identifiedResourceName: "\xba\xf1\xb1\xb8\xb8\xa7",
			identifiedDescriptionName: [
				"When it rains it pours. Especially when it's only raining above your head.",
				"^ff0000This item is account bound^000000",
				"Class : ^777777Costume^000000",
				"Location: ^777777Upper ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 705
		},

		19521: {
			unidentifiedDisplayName: "Costume: Old Timey Derby",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Old Timey Derby",
			identifiedResourceName: "\xc2\xfb\xb8\xae\xc0\xc7\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"A circular shaped bowler hat reminiscent of the style worn by an 'Old Timey' actor from the past.",
				"^ff0000This item is account bound^000000",
				"Class : ^777777Costume^000000",
				"Location: ^777777Upper ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 706
		},

		19522: {
			unidentifiedDisplayName: "Costume: Mini Crown",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Costume: Mini Crown",
			identifiedResourceName: "\xb9\xcc\xb4\xcf\xc5\xa9\xb6\xf3\xbf\xee\x31",
			identifiedDescriptionName: [
				"A mini red crown affixed to a headband and worn off to the side. Though not a true symbol of royalty, this crown does have a regal air about it.",
				"^ff0000This item is account bound^000000",
				"Class : ^777777Costume^000000",
				"Location: ^777777Upper ^000000",
				"Defense : ^7777770^000000",
				"Weight : ^7777770^000000",
				"Required Level : ^7777771^000000",
				"Applicable Job :^777777 Every Job^000000",
			],
			slotCount: 0,
			ClassNum: 707
		},

		19523: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÃÊ·Ï ¸®º»",
			identifiedResourceName: "\xb8\xae\xba\xbb\x5f\xc3\xca\xb7\xcf",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"±ä ÃµÀ» Àß ¸»¾Æ¼­ ¿¹»Ú°Ô ³ªºñ¸ð¾çÀ¸·Î ¸¸µç °ÍÀ¸·Î ÁÖ·Î ¿©¼º¿ëÀÌÁö¸¸ ³²¼ºÀÌ Âø¿ëÇÒ °æ¿ì ¹Ì¼Ò³âÀÌ ¾Æ´Ï¸é ¿ÀÇØÀÇ ¼ÒÁö¸¦ »ç°Ô µÈ´Ù.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 244
		},

		19524: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ÃÊ·Ï ´õµëÀÌ",
			identifiedResourceName: "\xc3\xca\xb7\xcf\xb4\xf5\xb5\xeb\xc0\xcc",
			identifiedDescriptionName: [
				"¸Þ¶Ñ±âÀÇ ÃÊ·Ï»ö ´õµëÀÌ.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 85
		},

		19525: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ¸Ó¸®¾È°æ",
			identifiedResourceName: "\xb8\xd3\xb8\xae\xbe\xc8\xb0\xe6",
			identifiedDescriptionName: [
				"¸Ó¸®¿¡ ¾²´Â ÆÐ¼Ç¿ë ¾È°æ.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 58
		},

		19526: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó Çï¸§",
			identifiedResourceName: "\xc7\xef\xb8\xa7",
			identifiedDescriptionName: [
				"°Ë»ç°è¿­ÀÇ »óÂ¡ÀÎ ±Ý¼ÓÀ¸·Î ¸¸µç Åõ±¸.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 40
		},

		19527: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó »þÇÁÇìµå±â¾î",
			identifiedResourceName: "\xbb\xfe\xc7\xc1\xc7\xec\xb5\xe5\xb1\xe2\xbe\xee",
			identifiedDescriptionName: [
				"ÇÏ¾é°í ÀÛÀº µÎ°³ÀÇ »ÔÀÌ ´Þ¸° ¸Ó¸®¶ì.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 43
		},

		19528: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ¾ÆÀÌ¾ð ÄÉÀÎ",
			identifiedResourceName: "\xbe\xc6\xc0\xcc\xbe\xf0\xc4\xc9\xc0\xce",
			identifiedDescriptionName: [
				"¾ó±¼À» ´õ Ã¶ÀúÈ÷ °¡·ÁÁÖ´Â ±Ý¼Ó º¸È£´ë.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 53
		},

		19529: {
			unidentifiedDisplayName: "¸Ó¸®¶ì",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó Ãµ»çÀÇ ¸Ó¸®¶ì",
			identifiedResourceName: "\xc3\xb5\xbb\xe7\xc0\xc7\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"¾Æ¸§´Ù¿î Ãµ»çÀÇ ³¯°³¸¦ º»µû¸¸µç Åõ±¸.",
				"AGI + 1 , VIT + 1",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 38
		},

		19530: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ¿ÍÀÏµå ·ÎÁî",
			identifiedResourceName: "\xbf\xcd\xc0\xcf\xb5\xe5\xb7\xce\xc1\xee\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"³­ÆøÇÑ °í¾çÀÌ, ¿ÍÀÏµå ·ÎÁî¸¦ º»µû ¸¸µç ¸ðÀÚ.",
				"ATK + 2, MATK + 2.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 541
		},

		19531: {
			unidentifiedDisplayName: "°¡¸é",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Å¥ºêÀÇ ¾ó±¼À» ¸ðÆ¼ºê·Î ¸¸µç °¡¸é. È£·¯Æ½ÇÑ ÀÌ¹ÌÁöº¸´Ù´Â ÄÚ¹ÍÇÑ ÀÎ»óÀ» ÁØ´Ù.",
				"FLEE + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777ÁßÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			identifiedDisplayName: "Å¥ºê¸¶½ºÅ©",
			identifiedResourceName: "\xc5\xa5\xba\xea\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"Å¥ºêÀÇ ¾ó±¼À» ¸ðÆ¼ºê·Î ¸¸µç °¡¸é. È£·¯Æ½ÇÑ ÀÌ¹ÌÁöº¸´Ù´Â ÄÚ¹ÍÇÑ ÀÎ»óÀ» ÁØ´Ù.",
				"FLEE + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777ÁßÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 472
		},

		19532: {
			unidentifiedDisplayName: "¸Ó¸®¶ì",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "»¡°£ Åä³¢ ¸Ó¸®¶ì",
			identifiedResourceName: "\xbb\xa1\xb0\xa3\xc5\xe4\xb3\xa2\xb8\xd3\xb8\xae\xb6\xec",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"¼½½ÃÇÏ°Ô º¸ÀÌ°í ½ÍÀº ´ç½ÅÀ» À§ÇÑ ¸Ó¸®¶ì!",
				"DEX + 1",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 640
		},

		19533: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ½ºÆ÷¾Æ ¸ðÀÚ",
			identifiedResourceName: "\xbd\xba\xc6\xf7\xbe\xc6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"¹ö¼¸¸ð¾çÀÇ ¸ó½ºÅÍ ½ºÆ÷¾Æ°¡ µÇ°í ½ÍÀº »ç¶÷¿¡°Ô´Â Àû±Ø ÃßÃµÇÏ°í ½Í¾îÁö´Â ¸ðÀÚ. Âø¿ëÇØ¼­ ¹ö¼¸ÀÌ µÈ ±âºÐÀ» ´À²¸º¸ÀÚ!",
				"VIT + 1",
				"°æÇèÄ¡ È¹µæ·® 1% Áõ°¡.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 114
		},

		19534: {
			unidentifiedDisplayName: "°¡¸é",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Å¸³ªÅä½ºÀÇ Àý¸Á °¡¸é",
			identifiedResourceName: "\xc5\xb8\xb3\xaa\xc5\xe4\xbd\xba\xc0\xc7\xc0\xfd\xb8\xc1\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"Å¸³ªÅä½ºÀÇ Àý¸ÁÀÌ ¾²°íÀÖ´ø °¡¸é. ¾Ö±³ÀÖ´Â µðÀÚÀÎÀ¸·Î ÀÎ±â ÀÖ´Â µí ÇÏ´Ù.",
				"ATK + 1%, MATK + 1%, Èú·® + 1%.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777ÁßÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 693
		},

		19535: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "½Å¼±ÃÊ¸ðÀÚ",
			identifiedResourceName: "\xbd\xc5\xbc\xb1\xc3\xca\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"½Å¼±ÃÊÀÇ ¿­¸Å ºÎºÐ. »Ñ¸®°¡ ¶¥¿¡¼­ »ÌÈú ¶§ ¿­¸Å°¡ ºñ¸íÀ» Áö¸¥´Ù´Â ¼Ò¹®ÀÌ ÀÖ´Ù.",
				"STR + 1",
				"°æÇèÄ¡ È¹µæ·® 1% Áõ°¡.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 730
		},

		19536: {
			unidentifiedDisplayName: "¸Ó¸®¶ì",
			unidentifiedResourceName: "\xb2\xc9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "Àå¹Ì ÄÚ¸£»çÁê",
			identifiedResourceName: "\x52\x4a\x43\xc4\xab\xc3\xf2\xbb\xe7",
			identifiedDescriptionName: [
				"¾Æ¸§´Ù¿î Àå¹Ì·Î Àå½ÄÇÑ ÄÚ¸£»çÁê.",
				"INT + 1",
				"°æÇèÄ¡ È¹µæ·® 1% Áõ°¡.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 533
		},

		19537: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ±×¸®Æù ¸ðÀÚ",
			identifiedResourceName: "\xb1\xd7\xb8\xae\xc6\xf9\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"¿ë¸ÍÇÔÀ» »óÂ¡ÇÏ´Â ±×¸®ÆùÀ» º»µû ¸¸µç ¸ðÀÚ.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 591
		},

		19538: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º¸¸§´Þ",
			identifiedResourceName: "\xba\xb8\xb8\xa7\xb4\xde",
			identifiedDescriptionName: [
				"À½·Â ÆÈ¿ù º¸¸§¿¡ °¡Àå Å©°Ô º¸ÀÎ´Ù´Â ¼Ò¹®ÀÇ È¯ÇÑ º¸¸§´Þ.",
				"Ãß¼® ±â°£µ¿¾È ´ÞÀÇ ½ÅºñÇÑ ´É·ÂÀÌ ³ªÅ¸³¯Áöµµ ¸ð¸¥´Ù.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 780
		},

		19539: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "·¹±ä·¹ÀÌºêÀÇ ³¯°³",
			identifiedResourceName: "\xb7\xb9\xb1\xe4\xb7\xb9\xc0\xcc\xba\xea\xc0\xc7\xb3\xaf\xb0\xb3",
			identifiedDescriptionName: [
				"¹ßÅ°¸® ¡¸·¹±ä·¹ÀÌºê¡¹ÀÇ ÀÌ¸§À» µû¿Â ¸Ó¸® Àå½Ä. ¸ö¿¡ °ÉÄ£ ÀÚ´Â ½ÅµéÀÇ Àº»ç¸¦ ¹Þ´Â´Ù°í ÇÑ´Ù.",
				"All State + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»óÁß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 468
		},

		19540: {
			unidentifiedDisplayName: "¸Ó¸®¶ì",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó Åä³¢ ±Í¸¶°³",
			identifiedResourceName: "\xc5\xe4\xb3\xa2\xb1\xcd\xb8\xb6\xb0\xb3",
			identifiedDescriptionName: [
				"ÀÛ°í ±Í¿©¿î Èò»ö Åä³¢¸ð¾ç ±Í¸¶°³.",
				"AGI + 1, FLEE + 2.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»óÁß´Ü ^000000¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 515
		},

		19541: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ÇÏ¾á ²ÉÀÙ",
			identifiedResourceName: "\xc7\xcf\xbe\xe1\xb2\xc9\xc0\xd9",
			identifiedDescriptionName: [
				"ÀÚ±×¸¶ÇÑ ÇÑ¼ÛÀÌ ÇÏ¾á ²ÉÀÙ.",
				"HIT + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 259
		},

		19542: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¾Ç¸¶ÀÇ ¼Ó»èÀÓ",
			identifiedResourceName: "\xbe\xc7\xb8\xb6\xc0\xc7\xbc\xd3\xbb\xe8\xc0\xd3",
			identifiedDescriptionName: [
				"´ÞÄÞÇÑ À¯È¤¿¡ ÀÌ±æ ¼ö ÀÖ´Â ¸¶À½ÀÌ ÀÖÀ¸¸é, Ä¿´Ù¶õ ÈûÀ» ¾òÀ» ¼ö ÀÖ´Ù.",
				"¾Ç¸¶Çü, Ãµ»çÇü ¸ó½ºÅÍ¿¡ ÀÇÇÑ °ø°Ý ³»¼º + 1%.",
				"¾Ç¸¶Çü ¸ó½ºÅÍ¸¦ ¾²·¯Æ®¸± ½Ã ÀÏÁ¤È®·ü·Î '¾Ï¼ö' µå·Ó, Ãµ»çÇü ¸ó½ºÅÍ¸¦ ¾²·¯Æ®¸± ½Ã ÀÏÁ¤È®·ü·Î '¼º¼ö' µå·Ó.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777Áß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 712
		},

		19543: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xbf\xc3\xb8\xae\xb9\xf6\xb4\xc1\xb4\xeb\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¿Ã¸®¹ö ´Á´ëÈÄµå",
			identifiedResourceName: "\xbf\xc3\xb8\xae\xb9\xf6\xb4\xc1\xb4\xeb\xc8\xc4\xb5\xe5",
			identifiedDescriptionName: [
				"´Á´ë¸ð¾ç ÈÄµå. ¾²°í ÀÖÀ¸¸é ÀáÀÌ ¼Ö¼Ö ¿Ã °Í °°Àº ÈÄµå. ÅÐÀÌ º¸¼Ûº¸¼ÛÇØ¼­ ±âºÐÀÌ ÁÁ´Ù.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777730^000000",
				"¿ä±¸ ·¹º§ : ^77777770^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 849
		},

		19544: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ´Ã¾îÁø °í¾çÀÌ Å©·ç",
			identifiedResourceName: "\xc5\xb8\xb7\xb9\xb3\xd7\xc4\xda\xc5\xa9\xb7\xe7",
			identifiedDescriptionName: [
				"·Î¸®·ç¸®ÀÇ ¾Ö¿Ïµ¿¹°ÀÎ 'Å©·ç'. ´Ù¼Ò ¿¹¹ÎÇØ¼­ »ç¼ÒÇÑ °Í¿¡µµ ±ôÂ¦ ³î¶ó´Â °æÇâÀÌ ÀÖ´Ù°í ÇÑ´Ù.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 692
		},

		19545: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ÇÐ»ý¸ð",
			identifiedResourceName: "\xc7\xd0\xbb\xfd\xb8\xf0",
			identifiedDescriptionName: [
				"ÇÐ»ýµéÀÌ ¾²°í ´Ù´Ò ¹ýÇÑ °ËÀº»öÀÇ Åõ¹ÚÇÑ ¸ðÀÚ.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 102
		},

		19546: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ¹ßÅ°¸®Åõ±¸",
			identifiedResourceName: "\xb9\xdf\xc5\xb0\xb8\xae\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"¿ÀµòÀ» ¼¶±â´Â '½Î¿òÀÇ Ã³³à'ÀÇ Åõ±¸. ÆîÃÄÁø ³¯°³¸¦ »óÂ¡ÇÏ´Â µíÇÑ È­·ÁÇÑ Àå½ÄÀÌ µ¸º¸ÀÎ´Ù.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 225
		},

		19547: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó »õ³¢ ¾Ç¸¶ ¸ðÀÚ",
			identifiedResourceName: "\xbb\xf5\xb3\xa2\xbe\xc7\xb8\xb6\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"»õ³¢¾Ç¸¶ µ¥ºñ·çÄ¡¸¦ º»µû ¸¸µç ¸ðÀÚ·Î Âø¿ë°¨ÀÌ »ê¶æÇÏ¸é¼­ ±Í¿©¿ö Âø¿ëÇÑ ÀÌ´Â ¹°·Ð º¸´Â ÀÌµé¿¡°Ôµµ Áñ°Å¿òÀ» ÁÖ´Â ¸ðÀÚ.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 123
		},

		19548: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó °³±¸¸® ¸ðÀÚ",
			identifiedResourceName: "\xb0\xb3\xb1\xb8\xb8\xae\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"°³±¸¸® ½ÅÀÇ Çü»óÀ» µý ¸ðÀÚ. °³±¸¸® ½ÅÀÌ¶ó ÇØµµ ¿ÜÇüÀº °³±¸¸®¿Í º° ¹Ý ´Ù¸¦ ¹Ù ¾ø´Ù.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 448
		},

		19549: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ¸¶Á¦½ºÆ½ °í¿ìÆ®",
			identifiedResourceName: "\xb8\xb6\xc1\xa6\xbd\xba\xc6\xbd\xb0\xed\xbf\xec\xc6\xae",
			identifiedDescriptionName: [
				"»ê¾çÀÇ »ÔÀ» ´àÀº Åõ±¸·Î ¾²´Â ¼ø°£ Âø¿ëÀÚ´Â ¾öÃ»³­ ½Ã¼±ÁýÁßÀÇ È¿°ú¸¦ ´©¸®°Ô µÊ°ú µ¿½Ã¿¡ »ÑµíÇÑ ±âºÐÀ» ¸Àº¸°Ô ÇÑ´Ù´Â ¸ðÀÚ. Á¾±³ÀûÀÎ ÀÇ¹Ì¸¦ °­ÇÏ°Ô ´ã°í ÀÖ´Ù",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 41
		},

		19550: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xb9\xdf\xb1\xd7\xb7\xb9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ¹ß±×·¹",
			identifiedResourceName: "\xb9\xdf\xb1\xd7\xb7\xb9",
			identifiedDescriptionName: [
				"¾ÓÁõ¸Â¾Æ º¸ÀÌ°í ¿¬ÀÎ¿¡°Ô ±Í¿±°Ô º¸ÀÌ°í ½ÍÀ» °æ¿ì Âø¿ëÇÏÀÚ. ¹Ì¼Ò³à/¹Ì¼Ò³âµé¿¡°Ô´Â ÇÊ¼ö¶ó°í ÇØµµ °ú¾ðÀÌ ¾Æ´Ñ µí...",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777Áß´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 125
		},

		19551: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ¿äÁ¤ÀÇ ±Í",
			identifiedResourceName: "\xbf\xe4\xc1\xa4\xc0\xc7\xb1\xcd",
			identifiedDescriptionName: [
				"¿äÁ¤µéÀÇ ±ä ±Í¸¦ º»µû ¸¸µé¾ú´Ù°í ¾Ë·ÁÁ® ÀÖÀ¸¸ç Âø¿ëÇÏ¸é Çª¸¥ ½£¿¡¼­ ³ë´Ï´Â ¿äÁ¤µéÀÇ ´À³¦À» ±×´ë·Î ¹ÞÀ» ¼ö ÀÖ´Ù°í ÇÑ´Ù",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777Áß´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 73
		},

		19552: {
			unidentifiedDisplayName: "¾×¼¼¼­¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ²ÉÀÙ",
			identifiedResourceName: "\xb2\xc9\xc0\xd9",
			identifiedDescriptionName: [
				"ÀÚ±×¸¶ÇÑ ÇÑ¼ÛÀÌ ²ÉÀÙ. ÀÔ¿¡ ¹°°í °¡¸¸È÷ ¾É¾ÆÀÖÀ¸¸é ¼¼»óÀÌ Áñ°Ì°Ô º¸ÀÏ °ÍÀÌ´Ù",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 56
		},

		19553: {
			unidentifiedDisplayName: "¸¶½ºÅ©",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ¾î½Ø½Å ¸¶½ºÅ©",
			identifiedResourceName: "\xbe\xee\xbb\xf5\xbd\xc5\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"¾Ï»ìÀÚ°¡ ¾ó±¼À» °¡¸®±â À§ÇØ ¾²°í ´Ù´Ï´Â ¾îµÎ¿î»öÀÇ ¸¶½ºÅ©. ¾²°í³ª¸é ¿ØÁö ¸¶À½ÀÌ »ç¶óÁö´Â°Í °°´Ù.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 180
		},

		19554: {
			unidentifiedDisplayName: "°¡¸é",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ÇÏÈ¸Å»",
			identifiedResourceName: "\xc7\xcf\xc8\xb8\xc5\xbb",
			identifiedDescriptionName: [
				"¿ô´Â Ç¥Á¤À» ¼¼½ÉÇÏ°Ô Á¶°¢ÇÑ µ¿¹æÀÇ ÀüÅë °¡¸é. º¸°í¸¸ ÀÖ¾îµµ Á¤°Ü¿î ´À³¦ÀÌ´Ù.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777ÁßÇÏ´Ü ^000000 ¹«°Ô : ^77777710^000000",
				"¿ä±¸ ·¹º§ : ^777777100^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 230
		},

		19555: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ÃÊ½Â´ÞÀÇ Åõ±¸",
			identifiedResourceName: "\xc3\xca\xbd\xc2\xb4\xde\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"È­·ÁÇÏ°í °ß°íÇØº¸ÀÌ´Â ¾î´À µ¿ÂÊ³ª¶ó Àå±ºÀÇ ¸ðÀÚ.",
				"VIT + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»óÁß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 213
		},

		19556: {
			unidentifiedDisplayName: "°¡¸é",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó °¡ºÎÅ° °¡¸é",
			identifiedResourceName: "\xb0\xa1\xba\xce\xc5\xb0\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"¸Õ µ¿¹æ ³ª¶óÀÇ ÀüÅë ¿¹¼ú °¡¸é.",
				"INT + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»óÁßÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 214
		},

		19557: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ¾Æ¿äÅ¸¾ß ¸ðÀÚ",
			identifiedResourceName: "\xbe\xc6\xbf\xe4\xc5\xb8\xbe\xdf\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"¾Æ¿äÅ¸¾ßÀÇ À§´ëÇÑ ¿ÕÀÇ ¸ðÀÚ. ÁøÁ¤ÇÑ Àü»ç¸¸ÀÌ Âø¿ëÇÒ ¼ö ÀÖ¾ú´Ù°í ÇÑ´Ù.",
				"STR + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 334
		},

		19558: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ±î¸¶±Í ¸ðÀÚ",
			identifiedResourceName: "\xb1\xee\xb8\xb6\xb1\xcd\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"ºÎ¸®µµ ±êÅÐµµ ¸ðµÎ »õ±î¸¸ ±î¸¶±Í ¸ð¾ç ¸ðÀÚ.",
				"VIT + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 524
		},

		19559: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ¾Æ±â ¿ë ¸ðÀÚ",
			identifiedResourceName: "\xbe\xc6\xb1\xe2\xb5\xe5\xb7\xa1\xb0\xef",
			identifiedDescriptionName: [
				"¸Ó¸® À§¿¡¼­ ÀáÀÌ µç ±Í¿©¿î ¾Æ±â ¿ë.",
				"ÀÌ´ë·Î ¹«¾óÇÏµç ±ú¾î³ªÁö ¾ÊÀ» °Í °°´Ù.",
				"AGI + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 525
		},

		19560: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ÄâÆ¼ ¸ðÀÚ",
			identifiedResourceName: "\xc4\xe2\xc6\xbc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"µµÅèÇÑ ²¿¸®°¡ ±Í¿©¿î ÄâÆ¼¸ðÀÚ. ÄâÆ¼¿¡°Ô¼­ ½£°ú ÀÚ¿¬ÀÇ Çâ±â¸¦ ´À³¥ ¼ö ÀÖ´Ù.",
				"DEX + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 527
		},

		19561: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ÅõÄ­ ¸ðÀÚ",
			identifiedResourceName: "\xc5\xf5\xc4\xad\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"µü´Ù±¸¸®¸ñ ÅõÄ­°ú¿¡ ¼ÓÇÏ´Â »õ·Î ³ë¶þ°í È­·ÁÇÑ ºÎ¸®¸¦ °¡Áø °ÍÀÌ Æ¯Â¡. ¹«¾ðÀÎ°¡ º¼ ¶§ Å« ºÎ¸®¶§¹®¿¡ °¼¿ì¶×ÇÏ°Ô º¸´Â °ÍÀÌ ¸Å·ÂÀÌ´Ù.",
				"DEX + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»óÁß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 528
		},

		19562: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó Àç±Ô¾î ¸ðÀÚ",
			identifiedResourceName: "\xc0\xe7\xb1\xd4\xbe\xee\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"¾Æ¸¶Á¸ Á¤±ÛÀÇ ¿ÕÀÌ¶ó°í ¾Ë·ÁÁø Àç±Ô¾îÀÇ ¸¶½ºÅ©. ÀÌ°ÍÀ» ¾´ »ç¶÷Àº ÀÚ¿¬ÀÇ Ãàº¹À» ¹ÞÀ» ¼ö ÀÖ´Ù´Â ¼Ò¹®ÀÌ´Ù.",
				"STR + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»óÁßÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 530
		},

		19563: {
			unidentifiedDisplayName: "¸¶½ºÅ©",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó Ç×·æ ³ªÇÑ °¡¸é",
			identifiedResourceName: "\xc7\xd7\xb7\xe6\xb3\xaa\xc7\xd1\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"Ç×·æ ³ªÇÑÀÇ °¡¸é.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777ÁßÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 545
		},

		19564: {
			unidentifiedDisplayName: "°¡¸é",
			unidentifiedResourceName: "\xbd\xba\xb8\xb6\xc0\xcf",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó º¹È£ ³ªÇÑ °¡¸é",
			identifiedResourceName: "\xba\xb9\xc8\xa3\xb3\xaa\xc7\xd1\xb0\xa1\xb8\xe9",
			identifiedDescriptionName: [
				"º¹È£ ³ªÇÑÀÇ °¡¸é.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777ÁßÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 546
		},

		19565: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó Ã»³ª¶ó ¸Ó¸®Àå½Ä",
			identifiedResourceName: "\xc3\xbb\xb3\xaa\xb6\xf3\xb8\xd3\xb8\xae\xc0\xe5\xbd\xc4",
			identifiedDescriptionName: [
				"Âø¿ëÇÏ¸é Ã»³ª¶ó ±ÍÁ·ÀÇ È­·ÁÇÑ ºÐÀ§±â¸¦ ¸¸³£ÇÒ ¼ö ÀÖ´Ù.",
				"LUK + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 583
		},

		19566: {
			unidentifiedDisplayName: "¸¶½ºÅ©",
			unidentifiedResourceName: "\xb8\xb6\xbd\xba\xc5\xa9",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó »ç¹«¶óÀÌ ¸¶½ºÅ©",
			identifiedResourceName: "\xbb\xe7\xb9\xab\xb6\xf3\xc0\xcc\xb8\xb6\xbd\xba\xc5\xa9",
			identifiedDescriptionName: [
				"»ç¹«¶óÀÌµéÀÇ ¸¶½ºÅ©·Î ¸ñºÎºÐÀÇ º¸È£¸¦ À§ÇØ ¸¸µé¾îÁ³´Ù°í ÇÑ´Ù.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777ÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 644
		},

		19567: {
			unidentifiedDisplayName: "¾Ç¼¼»ç¸®",
			unidentifiedResourceName: "\xb8\xae\xba\xbb",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ÇÏÅ¸ ºí·¢",
			identifiedResourceName: "\xc7\xcf\xc5\xb8\xba\xed\xb7\xa2",
			identifiedDescriptionName: [
				"ºÎµå·¯¿î ½ÇÅ©·Î ¸¸µé¾îÁø °ÍÀ¸·Î ¾Æ¶ø¿¡¼­´Â ÁÖ·Î ¸Ó¸®¿¡ ¾´´Ù.",
				"VIT + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»óÁßÇÏ´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 676
		},

		19568: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó °í´ëÀÎÀÇ »Ô",
			identifiedResourceName: "\xb0\xed\xb4\xeb\xc0\xce\xc0\xc7\xbb\xd4",
			identifiedDescriptionName: [
				"°í´ëÀÎÀÇ ¿µÈ¥ÀÌ ±êµé¾î ÀÖ´Â »Ô.",
				"STR + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 757
		},

		19569: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc7\xde",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó »õ½Ï¸ðÀÚ",
			identifiedResourceName: "\xbb\xf5\xbd\xcf\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Çª¸©ÇÏ°í ÀÛÀº ¶±ÀÙ ¸ð¾çÀÇ ¸ðÀÚ.",
				"INT + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 758
		},

		19570: {
			unidentifiedDisplayName: "Åõ±¸",
			unidentifiedResourceName: "\xc7\xef\xb8\xa7",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ¸ÓÅ¥¸®ÀÇ Åõ±¸",
			identifiedResourceName: "\xb8\xd3\xc5\xa5\xb8\xae\xc0\xc7\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"¼ö¼ºÀ» °üÀåÇÏ´Â ½Å ¸ÓÅ¥¸®ÀÇ È­·ÁÇÑ Åõ±¸.",
				"LUK + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 759
		},

		19571: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ¹é¹«»ó ¸ðÀÚ",
			identifiedResourceName: "\xb9\xe9\xb9\xab\xbb\xf3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"¹é¹«»óÀÇ ¸ðÀÚ.",
				"STR + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 770
		},

		19572: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó Èæ¹«»ó ¸ðÀÚ",
			identifiedResourceName: "\xc8\xe6\xb9\xab\xbb\xf3\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"Èæ¹«»óÀÇ ¸ðÀÚ.",
				"INT + 1.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 771
		},

		19573: {
			unidentifiedDisplayName: "¸Ó¸®¶ì",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ÇÏÆ®³¯°³ Çì¾î¹êµå",
			identifiedResourceName: "\xc7\xcf\xc6\xae\xb3\xaf\xb0\xb3\xc7\xec\xbe\xee\xb9\xea\xb5\xe5",
			identifiedDescriptionName: [
				"ÀÚ±×¸¶ÇÑ ÇÏÆ®¿¡ ³¯°³¿Í ·¹ÀÌ½º¸¦ Àå½ÄÇÑ ¼Ò³àÇ³ Çì¾î¹êµå.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 733
		},

		19574: {
			unidentifiedDisplayName: "¸ðÀÚ",
			unidentifiedResourceName: "\xc4\xb8",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó Á×Àº ÀÚÀÇ Åõ±¸",
			identifiedResourceName: "\xc1\xd7\xc0\xba\xc0\xda\xc0\xc7\xc5\xf5\xb1\xb8",
			identifiedDescriptionName: [
				"Á×Àº ÀÚÀÇ ÁÖÀÎÀÌ ¾²°í ÀÖ´Â Åõ±¸¸¦ º»µû ¸¸µç °Í.",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»óÁß´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 742
		},

		19575: {
			unidentifiedDisplayName: "¸Ó¸®¶ì",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ½ÂÃµ ºí·¢ µå·¡°ï",
			identifiedResourceName: "\xbd\xc2\xc3\xb5\xba\xed\xb7\xa2\xb5\xe5\xb7\xa1\xb0\xef",
			identifiedDescriptionName: [
				"½ÂÃµÇÏ´Â Èæ·æÀ» º»µû ¸¸µç ¸ðÀÚ. Ãø¸éÀÏ ¶§°¡ °¡Àå ÈÇ¸¢ÇÏ°Ô º¸ÀÎ´Ù´Â Èæ·æÀÇ ÀÇÁö°¡ Àû¿ëµÈ Åõ±¸·Î, ´Ã Ãø¸é ¸ð½ÀÀÌ À¯ÁöµÇ¾î ÀÖ´Ù. ¿©ÀüÈ÷ º¯½ÅÀº ÇÒ ¼ö ÀÖÀ¸³ª...",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 863
		},

		19576: {
			unidentifiedDisplayName: "¸Ó¸®¶ì",
			unidentifiedResourceName: "\xb8\xd3\xb8\xae\xb6\xec",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "ÀÇ»ó ´Ã¾îÁø ±³È²¸ðÀÚ",
			identifiedResourceName: "\xc5\xb8\xb7\xb9\xb1\xb3\xc8\xb2\xc0\xce\xc7\xfc\xb8\xf0\xc0\xda",
			identifiedDescriptionName: [
				"ÀÎ±â ÀýÁ¤! ±³±¹ ¾Æ·ç³ªÆçÃ÷ÀÇ ±³È²À» º»µû ¸ðÀÚ·Î ¸¸µç Åõ±¸!",
				"°è¿­ : ^777777ÀÇ»óÀåºñ^000000",
				"À§Ä¡ : ^777777»ó´Ü ^000000 ¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		20702: {
			unidentifiedDisplayName: "°ÉÄ¥°Í",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¸ÓÇÃ·¯",
			identifiedResourceName: "\xb8\xd3\xc7\xc3\xb7\xaf",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MDEF + 5.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸®/¸¶¹ý °ø°Ý·Â 5% Áõ°¡.",
				"µ¿ºù¿¡ ´ëÇÑ ³»¼º 25% Áõ°¡.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^7777775^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777ÀüÁ÷¾÷^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		20703: {
			unidentifiedDisplayName: "°ÉÄ¥°Í",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¸ÁÅä",
			identifiedResourceName: "\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 10% Áõ°¡.",
				"µ¿ºù¿¡ ´ëÇÑ ³»¼º 25% Áõ°¡.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^77777710^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­/»óÀÎ°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		20704: {
			unidentifiedDisplayName: "°ÉÄ¥°Í",
			unidentifiedResourceName: "\xc8\xc4\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ¸¶¹ý¸ÁÅä",
			identifiedResourceName: "\xb9\xcc\xbd\xba\xb8\xb1\xb8\xb6\xb9\xfd\xb8\xc1\xc5\xe4",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"MDEF + 5.",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¸¶¹ý °ø°Ý·Â 10% Áõ°¡.",
				"µ¿ºù¿¡ ´ëÇÑ ³»¼º 25% Áõ°¡.",
				"°è¿­ : ^777777°ÉÄ¥°Í^000000 ¹æ¾î : ^7777775^000000",
				"¹«°Ô : ^7777770^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777³ëºñ½º°è¿­/¸¶¹ý»ç°è¿­/º¹»ç°è¿­/¼Ò¿ï¸µÄ¿^000000",
			],
			slotCount: 0,
			ClassNum: 0
		},

		21000: {
			unidentifiedDisplayName: "¾ç¼Õ°Ë",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "°­È­ ÅõÇÚµå¼Òµå",
			identifiedResourceName: "\xb0\xad\xc8\xad\xc5\xf5\xc7\xda\xb5\xe5\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"¿À¸®µ¥¿ÀÄÜ°ú È²±ÝÀ» È²±ÝºñÀ²·Î ¼¯¾î ÄÚÆÃÇÑ ¾ç¼Õ°Ë.",
				"Á¦·Ãµµ 1´ç ATK + 12 / MATK + 5 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 70ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 10¾¿ Ãß°¡ Áõ°¡.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^777777150^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		21001: {
			unidentifiedDisplayName: "¾ç¼Õ°Ë",
			unidentifiedResourceName: "\xc4\xab\xc5\xb8\xb3\xaa",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë Å©·¹ÀÌ¸ð¾î",
			identifiedResourceName: "\xc5\xa9\xb6\xf3\xbd\xba\xb3\xaa\xbe\xdf",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 80% Áõ°¡, ¹°¸® ¹æ¾î·Â 30% ¹«½Ã.",
				"+6 Á¦·Ã ÀÌ»óÀÏ ½Ã, ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Ãß°¡ Áõ°¡.",
				"+9 Á¦·Ã ÀÌ»óÀÏ ½Ã,",
				"¹°¸® °ø°ÝÀ» ¹Þ¾ÒÀ» ½Ã, ¹°¸® µ¥¹ÌÁöÀÇ ÀÏºÎ¸¦ ¹Ý»ç.",
				"¸¶¹ý °ø°ÝÀ» ¹Þ¾ÒÀ» ½Ã, ³ôÀº È®·ü·Î °ø°Ý ¸¶¹ýÀ» 2ÃÊ°£ 60%ÀÇ È®·ü·Î ¹Ý»ç.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777260^000000",
				"¹«°Ô : ^777777350^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		21002: {
			unidentifiedDisplayName: "¾ç¼Õ°Ë",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "º§·ë Ä«Ã÷¹ß°Ô¸£",
			identifiedResourceName: "\xc4\xab\xc3\xf7\xb9\xdf\xb0\xd4\xb8\xa3",
			identifiedDescriptionName: [
				"¡Ø PvP, °ø¼ºÀüÁö¿ª Ãß°¡ ¿É¼Ç",
				"ÀÌ ¹«±â´Â ÀÏ¹Ý °ø°Ý ½Ã ÀÚ½ÅÀÇ °ø°Ý·ÂÀ» ¹«½ÃÇÑ Ã¤, Å¸°Ý ÇÃ·¹ÀÌ¾îÀÇ HP¸¦ °íÁ¤ 8%¾¿ ¼Ò¸ê½ÃÅ²´Ù. (½ºÅ³°ø°Ý¿¡´Â ÇØ´ç ¿É¼ÇÀÌ ¹ßµ¿µÇÁö ¾Ê´Â´Ù.)",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777100^000000",
				"¹«°Ô : ^777777250^000000",
				"¹«±â ·¹º§ : ^7777774^000000",
				"¿ä±¸ ·¹º§ : ^77777795^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		21005: {
			unidentifiedDisplayName: "¾ç¼Õ°Ë",
			unidentifiedResourceName: "\xb9\xd9\xbd\xba\xc5\xb8\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "¸ÞÅ» ÅõÇÚµå¼Òµå",
			identifiedResourceName: "\xb8\xde\xc5\xbb\xc5\xf5\xc7\xda\xb5\xe5\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"°­Ã¶¿¡ ÇÁ¶óÄÜ°ú ¿¥º£¸£Å¸ÄÜÀ» Ã·°¡ÇÏ¿© ´É·ÂÀ» °­È­½ÃÅ² ±Ý¼ÓÀ¸·Î Á¦ÀÛÇÑ ÅõÇÚµå¼Òµå",
				"Á¦·Ãµµ 1´ç ATK + 6 / MATK + 2 Áõ°¡.",
				"Ä³¸¯ÅÍ ·¹º§ 20ÀÌ»ó : BaseLvÀÌ 10 »ó½Â ÇÒ ¶§ ¸¶´Ù ATK + 5¾¿ Ãß°¡ Áõ°¡.",
				"(Áõ°¡·®Àº BaseLv 120±îÁö Àû¿ë)",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^77777795^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
			],
			slotCount: 1,
			ClassNum: 3
		},

		21006: {
			unidentifiedDisplayName: "¾ç¼Õ°Ë",
			unidentifiedResourceName: "\xc5\xf5\xc7\xda\xb5\xe5\xbc\xd2\xb5\xe5",
			unidentifiedDescriptionName: [
				"Unidentified item, can be identified with [Magnifier].",
			],
			identifiedDisplayName: "TE °ø¼º ÅõÇÚµå ¼Òµå",
			identifiedResourceName: "\xc5\xf5\xc7\xda\xb5\xe5\xbc\xd2\xb5\xe5",
			identifiedDescriptionName: [
				"^ff0000Å¸ °èÁ¤°ú °Å·¡°¡ ºÒ°¡´ÉÇÑ ¾ÆÀÌÅÛ ÀÔ´Ï´Ù.^000000",
				"^000088ÀÓ´ë ¾ÆÀÌÅÛ^000000",
				"¡Ø TE °ø¼º Áö¿ª Ãß°¡ ¿É¼Ç",
				"ÇÃ·¹ÀÌ¾î¿¡°Ô ¹°¸® °ø°Ý·Â 40% Áõ°¡.",
				"¹°¸® °ø°Ý ½Ã ³ôÀº È®·ü·Î ÃâÇ÷.",
				"°è¿­ : ^777777¾ç¼Õ°Ë^000000 °ø°Ý : ^777777150^000000",
				"¹«°Ô : ^7777770^000000",
				"¹«±â ·¹º§ : ^7777773^000000",
				"¿ä±¸ ·¹º§ : ^7777771^000000",
				"ÀåÂø : ^777777°Ë»ç°è¿­^000000",
			],
			slotCount: 0,
			ClassNum: 3
		},

		25005: {
			unidentifiedDisplayName: "99 Battle Manual",
			unidentifiedResourceName: "\xbe\xdf\xb0\xa1\xc7\xd2\xb8\xd3\xb4\xcf\xb8\xb6\xb9\xfd\xbc\xad",
			unidentifiedDescriptionName: [
				"99_Battle_Manual",
			],
			identifiedDisplayName: "99 Battle Manual",
			identifiedResourceName: "\xbe\xdf\xb0\xa1\xc7\xd2\xb8\xd3\xb4\xcf\xb8\xb6\xb9\xfd\xbc\xad",
			identifiedDescriptionName: [
				"99_Battle_Manual",
			],
			slotCount: 0,
			ClassNum: 0
		},

		25006: {
			unidentifiedDisplayName: "99 Battle Manual Box",
			unidentifiedResourceName: "\xbe\xdf\xb0\xa1\xc7\xd2\xb8\xd3\xb4\xcf\xb8\xb6\xb9\xfd\xbc\xad",
			unidentifiedDescriptionName: [
				"99_Battle_Manual_Box",
			],
			identifiedDisplayName: "99 Battle Manual Box",
			identifiedResourceName: "\xbe\xdf\xb0\xa1\xc7\xd2\xb8\xd3\xb4\xcf\xb8\xb6\xb9\xfd\xbc\xad",
			identifiedDescriptionName: [
				"99_Battle_Manual_Box",
			],
			slotCount: 0,
			ClassNum: 0
		},

		25007: {
			unidentifiedDisplayName: "Beast Powder",
			unidentifiedResourceName: "\xb2\xf6\xc0\xfb\xb2\xf6\xc0\xfb\xc7\xd1\xb5\xb6",
			unidentifiedDescriptionName: [
				"Beast_Powder",
			],
			identifiedDisplayName: "Beast Powder",
			identifiedResourceName: "\xb2\xf6\xc0\xfb\xb2\xf6\xc0\xfb\xc7\xd1\xb5\xb6",
			identifiedDescriptionName: [
				"Beast_Powder",
			],
			slotCount: 0,
			ClassNum: 0
		},

		25008: {
			unidentifiedDisplayName: "Beast Powder Box",
			unidentifiedResourceName: "\xb2\xf6\xc0\xfb\xb2\xf6\xc0\xfb\xc7\xd1\xb5\xb6\x62\x6f\x78",
			unidentifiedDescriptionName: [
				"Beast_Powder_Box",
			],
			identifiedDisplayName: "Beast Powder Box",
			identifiedResourceName: "\xb2\xf6\xc0\xfb\xb2\xf6\xc0\xfb\xc7\xd1\xb5\xb6\x62\x6f\x78",
			identifiedDescriptionName: [
				"Beast_Powder_Box",
			],
			slotCount: 0,
			ClassNum: 0
		},
	};
});
